#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4936
#define LARGE_STATE_COUNT 1405
#define SYMBOL_COUNT 405
#define ALIAS_COUNT 6
#define TOKEN_COUNT 170
#define EXTERNAL_TOKEN_COUNT 5
#define FIELD_COUNT 49
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 303

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_as = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_type = 9,
  anon_sym_typeof = 10,
  anon_sym_import = 11,
  anon_sym_from = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_BANG = 16,
  anon_sym_else = 17,
  anon_sym_if = 18,
  anon_sym_switch = 19,
  anon_sym_for = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_await = 23,
  anon_sym_in = 24,
  anon_sym_of = 25,
  anon_sym_while = 26,
  anon_sym_do = 27,
  anon_sym_try = 28,
  anon_sym_with = 29,
  anon_sym_break = 30,
  anon_sym_continue = 31,
  anon_sym_debugger = 32,
  anon_sym_return = 33,
  anon_sym_throw = 34,
  anon_sym_SEMI = 35,
  anon_sym_COLON = 36,
  anon_sym_case = 37,
  anon_sym_default = 38,
  anon_sym_catch = 39,
  anon_sym_finally = 40,
  anon_sym_yield = 41,
  anon_sym_EQ = 42,
  anon_sym_LBRACK = 43,
  anon_sym_RBRACK = 44,
  sym__glimmer_template_content = 45,
  anon_sym_LTtemplate_GT = 46,
  anon_sym_LT_SLASHtemplate_GT = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  anon_sym_SLASH = 50,
  anon_sym_DOT = 51,
  anon_sym_class = 52,
  anon_sym_async = 53,
  anon_sym_function = 54,
  anon_sym_EQ_GT = 55,
  anon_sym_QMARK_DOT = 56,
  anon_sym_new = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_GT_GT_EQ = 66,
  anon_sym_GT_GT_GT_EQ = 67,
  anon_sym_LT_LT_EQ = 68,
  anon_sym_STAR_STAR_EQ = 69,
  anon_sym_AMP_AMP_EQ = 70,
  anon_sym_PIPE_PIPE_EQ = 71,
  anon_sym_QMARK_QMARK_EQ = 72,
  anon_sym_DOT_DOT_DOT = 73,
  anon_sym_AMP_AMP = 74,
  anon_sym_PIPE_PIPE = 75,
  anon_sym_GT_GT = 76,
  anon_sym_GT_GT_GT = 77,
  anon_sym_LT_LT = 78,
  anon_sym_AMP = 79,
  anon_sym_CARET = 80,
  anon_sym_PIPE = 81,
  anon_sym_PLUS = 82,
  anon_sym_DASH = 83,
  anon_sym_PERCENT = 84,
  anon_sym_STAR_STAR = 85,
  anon_sym_LT_EQ = 86,
  anon_sym_EQ_EQ = 87,
  anon_sym_EQ_EQ_EQ = 88,
  anon_sym_BANG_EQ = 89,
  anon_sym_BANG_EQ_EQ = 90,
  anon_sym_GT_EQ = 91,
  anon_sym_QMARK_QMARK = 92,
  anon_sym_instanceof = 93,
  anon_sym_TILDE = 94,
  anon_sym_void = 95,
  anon_sym_delete = 96,
  anon_sym_PLUS_PLUS = 97,
  anon_sym_DASH_DASH = 98,
  anon_sym_DQUOTE = 99,
  anon_sym_SQUOTE = 100,
  sym_unescaped_double_string_fragment = 101,
  sym_unescaped_single_string_fragment = 102,
  sym_escape_sequence = 103,
  sym_comment = 104,
  anon_sym_BQUOTE = 105,
  anon_sym_DOLLAR_LBRACE = 106,
  anon_sym_SLASH2 = 107,
  sym_regex_pattern = 108,
  sym_regex_flags = 109,
  sym_number = 110,
  sym_private_property_identifier = 111,
  anon_sym_target = 112,
  sym_this = 113,
  sym_super = 114,
  sym_true = 115,
  sym_false = 116,
  sym_null = 117,
  sym_undefined = 118,
  anon_sym_AT = 119,
  anon_sym_static = 120,
  anon_sym_readonly = 121,
  anon_sym_get = 122,
  anon_sym_set = 123,
  anon_sym_QMARK = 124,
  anon_sym_declare = 125,
  anon_sym_namespace = 126,
  anon_sym_public = 127,
  anon_sym_private = 128,
  anon_sym_protected = 129,
  anon_sym_override = 130,
  anon_sym_module = 131,
  anon_sym_any = 132,
  anon_sym_number = 133,
  anon_sym_boolean = 134,
  anon_sym_string = 135,
  anon_sym_symbol = 136,
  anon_sym_abstract = 137,
  anon_sym_satisfies = 138,
  anon_sym_require = 139,
  anon_sym_extends = 140,
  anon_sym_implements = 141,
  anon_sym_global = 142,
  anon_sym_interface = 143,
  anon_sym_enum = 144,
  anon_sym_DASH_QMARK_COLON = 145,
  anon_sym_QMARK_COLON = 146,
  anon_sym_asserts = 147,
  anon_sym_infer = 148,
  anon_sym_is = 149,
  anon_sym_keyof = 150,
  anon_sym_unknown = 151,
  anon_sym_never = 152,
  anon_sym_object = 153,
  anon_sym_LBRACE_PIPE = 154,
  anon_sym_PIPE_RBRACE = 155,
  anon_sym_component = 156,
  anon_sym_POUND = 157,
  anon_sym_instance = 158,
  anon_sym_constructor = 159,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 160,
  anon_sym_prop = 161,
  anon_sym_id = 162,
  anon_sym_event = 163,
  anon_sym_fn = 164,
  anon_sym_on = 165,
  sym__automatic_semicolon = 166,
  sym__template_chars = 167,
  sym__ternary_qmark = 168,
  sym__function_signature_automatic_semicolon = 169,
  sym_program = 170,
  sym_export_statement = 171,
  sym_declaration = 172,
  sym_import = 173,
  sym_import_statement = 174,
  sym_expression_statement = 175,
  sym_variable_declaration = 176,
  sym_lexical_declaration = 177,
  sym_variable_declarator = 178,
  sym_statement_block = 179,
  sym_else_clause = 180,
  sym_if_statement = 181,
  sym_switch_statement = 182,
  sym_for_statement = 183,
  sym_for_in_statement = 184,
  sym__for_header = 185,
  sym_while_statement = 186,
  sym_do_statement = 187,
  sym_try_statement = 188,
  sym_with_statement = 189,
  sym_break_statement = 190,
  sym_continue_statement = 191,
  sym_debugger_statement = 192,
  sym_return_statement = 193,
  sym_throw_statement = 194,
  sym_empty_statement = 195,
  sym_labeled_statement = 196,
  sym_switch_body = 197,
  sym_switch_case = 198,
  sym_switch_default = 199,
  sym_catch_clause = 200,
  sym_finally_clause = 201,
  sym_parenthesized_expression = 202,
  sym_expression = 203,
  sym_primary_expression = 204,
  sym_yield_expression = 205,
  sym_object = 206,
  sym_object_pattern = 207,
  sym_assignment_pattern = 208,
  sym_object_assignment_pattern = 209,
  sym_array = 210,
  sym_array_pattern = 211,
  sym_glimmer_template = 212,
  sym_glimmer_opening_tag = 213,
  sym_glimmer_closing_tag = 214,
  sym_nested_identifier = 215,
  sym_class = 216,
  sym_class_declaration = 217,
  sym_class_heritage = 218,
  sym_function = 219,
  sym_function_declaration = 220,
  sym_generator_function = 221,
  sym_generator_function_declaration = 222,
  sym_arrow_function = 223,
  sym__call_signature = 224,
  sym__formal_parameter = 225,
  sym_optional_chain = 226,
  sym_call_expression = 227,
  sym_new_expression = 228,
  sym_await_expression = 229,
  sym_member_expression = 230,
  sym_subscript_expression = 231,
  sym_assignment_expression = 232,
  sym__augmented_assignment_lhs = 233,
  sym_augmented_assignment_expression = 234,
  sym__initializer = 235,
  sym__destructuring_pattern = 236,
  sym_spread_element = 237,
  sym_ternary_expression = 238,
  sym_binary_expression = 239,
  sym_unary_expression = 240,
  sym_update_expression = 241,
  sym_sequence_expression = 242,
  sym_string = 243,
  sym_template_string = 244,
  sym_template_substitution = 245,
  sym_regex = 246,
  sym_meta_property = 247,
  sym_arguments = 248,
  sym_decorator = 249,
  sym_decorator_member_expression = 250,
  sym_decorator_call_expression = 251,
  sym_class_body = 252,
  sym_formal_parameters = 253,
  sym_class_static_block = 254,
  sym_pattern = 255,
  sym_rest_pattern = 256,
  sym_method_definition = 257,
  sym_pair = 258,
  sym_pair_pattern = 259,
  sym__property_name = 260,
  sym_computed_property_name = 261,
  sym_public_field_definition = 262,
  sym_non_null_expression = 263,
  sym_method_signature = 264,
  sym_abstract_method_signature = 265,
  sym_function_signature = 266,
  sym_type_assertion = 267,
  sym_as_expression = 268,
  sym_satisfies_expression = 269,
  sym_extends_clause = 270,
  sym_implements_clause = 271,
  sym_ambient_declaration = 272,
  sym_abstract_class_declaration = 273,
  sym_module = 274,
  sym_internal_module = 275,
  sym__module = 276,
  sym_import_alias = 277,
  sym_nested_type_identifier = 278,
  sym_interface_declaration = 279,
  sym_extends_type_clause = 280,
  sym_enum_declaration = 281,
  sym_enum_body = 282,
  sym_enum_assignment = 283,
  sym_type_alias_declaration = 284,
  sym_accessibility_modifier = 285,
  sym_override_modifier = 286,
  sym_required_parameter = 287,
  sym_optional_parameter = 288,
  sym__parameter_name = 289,
  sym_omitting_type_annotation = 290,
  sym_opting_type_annotation = 291,
  sym_type_annotation = 292,
  sym_asserts = 293,
  sym__type = 294,
  sym_tuple_parameter = 295,
  sym_optional_tuple_parameter = 296,
  sym_optional_type = 297,
  sym_rest_type = 298,
  sym__tuple_type_member = 299,
  sym_constructor_type = 300,
  sym__primary_type = 301,
  sym_template_type = 302,
  sym_template_literal_type = 303,
  sym_infer_type = 304,
  sym_conditional_type = 305,
  sym_generic_type = 306,
  sym_type_predicate = 307,
  sym_type_predicate_annotation = 308,
  sym__type_query_member_expression = 309,
  sym__type_query_subscript_expression = 310,
  sym__type_query_call_expression = 311,
  sym_type_query = 312,
  sym_index_type_query = 313,
  sym_lookup_type = 314,
  sym_mapped_type_clause = 315,
  sym_literal_type = 316,
  sym__number = 317,
  sym_existential_type = 318,
  sym_flow_maybe_type = 319,
  sym_parenthesized_type = 320,
  sym_predefined_type = 321,
  sym_type_arguments = 322,
  sym_object_type = 323,
  sym_call_signature = 324,
  sym_property_signature = 325,
  sym_type_parameters = 326,
  sym_type_parameter = 327,
  sym_default_type = 328,
  sym_constraint = 329,
  sym_construct_signature = 330,
  sym_index_signature = 331,
  sym_array_type = 332,
  sym_tuple_type = 333,
  sym_readonly_type = 334,
  sym_union_type = 335,
  sym_intersection_type = 336,
  sym_function_type = 337,
  sym_property_assignment_expression = 338,
  sym_import_path = 339,
  sym_import_path_segment = 340,
  sym_import_as = 341,
  sym_js_import_statement = 342,
  sym_component = 343,
  sym_component_declaration = 344,
  sym_component_short_heritage = 345,
  sym_component_heritage = 346,
  sym_component_identifier = 347,
  sym_component_instance = 348,
  sym_component_instance_statement = 349,
  sym_nested_new_component_expression = 350,
  sym_new_component_expression = 351,
  sym_new_tagged_component_expression = 352,
  sym_new_tripple_tagged_component_expression = 353,
  sym_component_body = 354,
  sym_new_component_body = 355,
  sym_constructor_definition = 356,
  sym_tagged_type_string = 357,
  sym_tripple_tagged_type_string = 358,
  sym_formal_type_parameters = 359,
  sym_required_type_parameter = 360,
  sym_optional_type_parameter = 361,
  sym_formal_type_parameter = 362,
  sym_property_declaration_name = 363,
  sym_type_narrow = 364,
  sym_property_declaration = 365,
  sym_property_expression_initializer = 366,
  sym_static_property_declaration = 367,
  sym_identifier_property_assignment = 368,
  sym_property_assignment = 369,
  sym_event_declaration = 370,
  sym_typed_function_return_type = 371,
  sym_property_accessor_declaration = 372,
  sym_typed_method_declaration = 373,
  sym_listener_declaration = 374,
  aux_sym_program_repeat1 = 375,
  aux_sym_variable_declaration_repeat1 = 376,
  aux_sym_statement_block_repeat1 = 377,
  aux_sym_switch_body_repeat1 = 378,
  aux_sym_object_repeat1 = 379,
  aux_sym_object_pattern_repeat1 = 380,
  aux_sym_array_repeat1 = 381,
  aux_sym_array_pattern_repeat1 = 382,
  aux_sym_glimmer_template_repeat1 = 383,
  aux_sym_class_repeat1 = 384,
  aux_sym_string_repeat1 = 385,
  aux_sym_string_repeat2 = 386,
  aux_sym_template_string_repeat1 = 387,
  aux_sym_class_body_repeat1 = 388,
  aux_sym_formal_parameters_repeat1 = 389,
  aux_sym_extends_clause_repeat1 = 390,
  aux_sym_implements_clause_repeat1 = 391,
  aux_sym_extends_type_clause_repeat1 = 392,
  aux_sym_enum_body_repeat1 = 393,
  aux_sym_template_literal_type_repeat1 = 394,
  aux_sym_object_type_repeat1 = 395,
  aux_sym_type_parameters_repeat1 = 396,
  aux_sym_tuple_type_repeat1 = 397,
  aux_sym_import_path_repeat1 = 398,
  aux_sym_import_path_segment_repeat1 = 399,
  aux_sym_js_import_statement_repeat1 = 400,
  aux_sym_component_short_heritage_repeat1 = 401,
  aux_sym_component_body_repeat1 = 402,
  aux_sym_new_component_body_repeat1 = 403,
  aux_sym_formal_type_parameters_repeat1 = 404,
  alias_sym_property_identifier = 405,
  alias_sym_shorthand_property_identifier = 406,
  alias_sym_shorthand_property_identifier_pattern = 407,
  alias_sym_statement_identifier = 408,
  alias_sym_this_type = 409,
  alias_sym_type_identifier = 410,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_type] = "type",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_namespace] = "namespace",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_object] = "object",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_component] = "component",
  [anon_sym_POUND] = "#",
  [anon_sym_instance] = "instance",
  [anon_sym_constructor] = "constructor",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [anon_sym_prop] = "prop",
  [anon_sym_id] = "id",
  [anon_sym_event] = "event",
  [anon_sym_fn] = "fn",
  [anon_sym_on] = "on",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_extends_clause] = "extends_clause",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_asserts] = "asserts",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [sym_property_assignment_expression] = "property_assignment_expression",
  [sym_import_path] = "import_path",
  [sym_import_path_segment] = "import_path_segment",
  [sym_import_as] = "import_as",
  [sym_js_import_statement] = "js_import_statement",
  [sym_component] = "component",
  [sym_component_declaration] = "component_declaration",
  [sym_component_short_heritage] = "component_short_heritage",
  [sym_component_heritage] = "component_heritage",
  [sym_component_identifier] = "component_identifier",
  [sym_component_instance] = "component_instance",
  [sym_component_instance_statement] = "component_instance_statement",
  [sym_nested_new_component_expression] = "nested_new_component_expression",
  [sym_new_component_expression] = "new_component_expression",
  [sym_new_tagged_component_expression] = "new_tagged_component_expression",
  [sym_new_tripple_tagged_component_expression] = "new_tripple_tagged_component_expression",
  [sym_component_body] = "component_body",
  [sym_new_component_body] = "new_component_body",
  [sym_constructor_definition] = "constructor_definition",
  [sym_tagged_type_string] = "tagged_type_string",
  [sym_tripple_tagged_type_string] = "tripple_tagged_type_string",
  [sym_formal_type_parameters] = "formal_type_parameters",
  [sym_required_type_parameter] = "required_type_parameter",
  [sym_optional_type_parameter] = "optional_type_parameter",
  [sym_formal_type_parameter] = "formal_type_parameter",
  [sym_property_declaration_name] = "property_declaration_name",
  [sym_type_narrow] = "type_narrow",
  [sym_property_declaration] = "property_declaration",
  [sym_property_expression_initializer] = "property_expression_initializer",
  [sym_static_property_declaration] = "static_property_declaration",
  [sym_identifier_property_assignment] = "identifier_property_assignment",
  [sym_property_assignment] = "property_assignment",
  [sym_event_declaration] = "event_declaration",
  [sym_typed_function_return_type] = "typed_function_return_type",
  [sym_property_accessor_declaration] = "property_accessor_declaration",
  [sym_typed_method_declaration] = "typed_method_declaration",
  [sym_listener_declaration] = "listener_declaration",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_statement_block_repeat1] = "statement_block_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_class_repeat1] = "class_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_import_path_repeat1] = "import_path_repeat1",
  [aux_sym_import_path_segment_repeat1] = "import_path_segment_repeat1",
  [aux_sym_js_import_statement_repeat1] = "js_import_statement_repeat1",
  [aux_sym_component_short_heritage_repeat1] = "component_short_heritage_repeat1",
  [aux_sym_component_body_repeat1] = "component_body_repeat1",
  [aux_sym_new_component_body_repeat1] = "new_component_body_repeat1",
  [aux_sym_formal_type_parameters_repeat1] = "formal_type_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_instance] = anon_sym_instance,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [anon_sym_prop] = anon_sym_prop,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_on] = anon_sym_on,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_extends_clause] = sym_extends_clause,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_asserts] = sym_asserts,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [sym_property_assignment_expression] = sym_property_assignment_expression,
  [sym_import_path] = sym_import_path,
  [sym_import_path_segment] = sym_import_path_segment,
  [sym_import_as] = sym_import_as,
  [sym_js_import_statement] = sym_js_import_statement,
  [sym_component] = sym_component,
  [sym_component_declaration] = sym_component_declaration,
  [sym_component_short_heritage] = sym_component_short_heritage,
  [sym_component_heritage] = sym_component_heritage,
  [sym_component_identifier] = sym_component_identifier,
  [sym_component_instance] = sym_component_instance,
  [sym_component_instance_statement] = sym_component_instance_statement,
  [sym_nested_new_component_expression] = sym_nested_new_component_expression,
  [sym_new_component_expression] = sym_new_component_expression,
  [sym_new_tagged_component_expression] = sym_new_tagged_component_expression,
  [sym_new_tripple_tagged_component_expression] = sym_new_tripple_tagged_component_expression,
  [sym_component_body] = sym_component_body,
  [sym_new_component_body] = sym_new_component_body,
  [sym_constructor_definition] = sym_constructor_definition,
  [sym_tagged_type_string] = sym_tagged_type_string,
  [sym_tripple_tagged_type_string] = sym_tripple_tagged_type_string,
  [sym_formal_type_parameters] = sym_formal_type_parameters,
  [sym_required_type_parameter] = sym_required_type_parameter,
  [sym_optional_type_parameter] = sym_optional_type_parameter,
  [sym_formal_type_parameter] = sym_formal_type_parameter,
  [sym_property_declaration_name] = sym_property_declaration_name,
  [sym_type_narrow] = sym_type_narrow,
  [sym_property_declaration] = sym_property_declaration,
  [sym_property_expression_initializer] = sym_property_expression_initializer,
  [sym_static_property_declaration] = sym_static_property_declaration,
  [sym_identifier_property_assignment] = sym_identifier_property_assignment,
  [sym_property_assignment] = sym_property_assignment,
  [sym_event_declaration] = sym_event_declaration,
  [sym_typed_function_return_type] = sym_typed_function_return_type,
  [sym_property_accessor_declaration] = sym_property_accessor_declaration,
  [sym_typed_method_declaration] = sym_typed_method_declaration,
  [sym_listener_declaration] = sym_listener_declaration,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_statement_block_repeat1] = aux_sym_statement_block_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_class_repeat1] = aux_sym_class_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_import_path_repeat1] = aux_sym_import_path_repeat1,
  [aux_sym_import_path_segment_repeat1] = aux_sym_import_path_segment_repeat1,
  [aux_sym_js_import_statement_repeat1] = aux_sym_js_import_statement_repeat1,
  [aux_sym_component_short_heritage_repeat1] = aux_sym_component_short_heritage_repeat1,
  [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
  [aux_sym_new_component_body_repeat1] = aux_sym_new_component_body_repeat1,
  [aux_sym_formal_type_parameters_repeat1] = aux_sym_formal_type_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_property_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_path] = {
    .visible = true,
    .named = true,
  },
  [sym_import_path_segment] = {
    .visible = true,
    .named = true,
  },
  [sym_import_as] = {
    .visible = true,
    .named = true,
  },
  [sym_js_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_component] = {
    .visible = true,
    .named = true,
  },
  [sym_component_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_component_short_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_component_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_component_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_component_instance] = {
    .visible = true,
    .named = true,
  },
  [sym_component_instance_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_new_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_tagged_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_tripple_tagged_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_component_body] = {
    .visible = true,
    .named = true,
  },
  [sym_new_component_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_type_string] = {
    .visible = true,
    .named = true,
  },
  [sym_tripple_tagged_type_string] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_required_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_narrow] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_expression_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_static_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_event_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_function_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_property_accessor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_listener_declaration] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_path_segment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_js_import_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_component_short_heritage_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_component_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_new_component_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_assignment = 5,
  field_binding_assignemnt = 6,
  field_body = 7,
  field_close_tag = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_constructor = 12,
  field_content = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_heritage = 19,
  field_id = 20,
  field_increment = 21,
  field_index = 22,
  field_index_type = 23,
  field_initializer = 24,
  field_key = 25,
  field_kind = 26,
  field_label = 27,
  field_left = 28,
  field_member = 29,
  field_module = 30,
  field_name = 31,
  field_object = 32,
  field_open_tag = 33,
  field_operator = 34,
  field_optional_chain = 35,
  field_parameter = 36,
  field_parameters = 37,
  field_pattern = 38,
  field_property = 39,
  field_relative = 40,
  field_return = 41,
  field_return_type = 42,
  field_right = 43,
  field_sign = 44,
  field_source = 45,
  field_type = 46,
  field_type_arguments = 47,
  field_type_parameters = 48,
  field_value = 49,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assignment] = "assignment",
  [field_binding_assignemnt] = "binding_assignemnt",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_heritage] = "heritage",
  [field_id] = "id",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_relative] = "relative",
  [field_return] = "return",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 18, .length = 2},
  [17] = {.index = 20, .length = 3},
  [19] = {.index = 23, .length = 2},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 1},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 28, .length = 1},
  [26] = {.index = 31, .length = 2},
  [27] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 2},
  [31] = {.index = 41, .length = 3},
  [32] = {.index = 44, .length = 1},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 3},
  [35] = {.index = 50, .length = 2},
  [36] = {.index = 52, .length = 2},
  [37] = {.index = 54, .length = 2},
  [38] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 1},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 59, .length = 2},
  [43] = {.index = 61, .length = 1},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 3},
  [46] = {.index = 67, .length = 3},
  [47] = {.index = 70, .length = 3},
  [48] = {.index = 73, .length = 2},
  [49] = {.index = 75, .length = 2},
  [53] = {.index = 77, .length = 1},
  [54] = {.index = 78, .length = 3},
  [55] = {.index = 81, .length = 3},
  [56] = {.index = 84, .length = 2},
  [57] = {.index = 86, .length = 2},
  [58] = {.index = 88, .length = 2},
  [59] = {.index = 14, .length = 2},
  [60] = {.index = 90, .length = 1},
  [61] = {.index = 91, .length = 1},
  [62] = {.index = 92, .length = 2},
  [63] = {.index = 94, .length = 4},
  [64] = {.index = 98, .length = 2},
  [65] = {.index = 100, .length = 2},
  [66] = {.index = 73, .length = 2},
  [67] = {.index = 75, .length = 2},
  [68] = {.index = 102, .length = 3},
  [69] = {.index = 45, .length = 2},
  [70] = {.index = 105, .length = 3},
  [71] = {.index = 105, .length = 3},
  [72] = {.index = 108, .length = 3},
  [73] = {.index = 111, .length = 3},
  [74] = {.index = 114, .length = 4},
  [75] = {.index = 118, .length = 3},
  [76] = {.index = 121, .length = 3},
  [77] = {.index = 124, .length = 3},
  [78] = {.index = 127, .length = 3},
  [79] = {.index = 130, .length = 4},
  [80] = {.index = 134, .length = 1},
  [81] = {.index = 135, .length = 1},
  [82] = {.index = 136, .length = 4},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 4},
  [85] = {.index = 146, .length = 4},
  [86] = {.index = 150, .length = 3},
  [87] = {.index = 153, .length = 3},
  [88] = {.index = 156, .length = 2},
  [89] = {.index = 158, .length = 1},
  [90] = {.index = 159, .length = 2},
  [91] = {.index = 161, .length = 2},
  [92] = {.index = 163, .length = 2},
  [93] = {.index = 165, .length = 2},
  [94] = {.index = 167, .length = 4},
  [95] = {.index = 73, .length = 2},
  [96] = {.index = 171, .length = 2},
  [97] = {.index = 173, .length = 5},
  [98] = {.index = 178, .length = 1},
  [99] = {.index = 179, .length = 1},
  [100] = {.index = 180, .length = 3},
  [101] = {.index = 183, .length = 3},
  [102] = {.index = 186, .length = 4},
  [103] = {.index = 190, .length = 2},
  [104] = {.index = 192, .length = 3},
  [105] = {.index = 195, .length = 2},
  [106] = {.index = 197, .length = 2},
  [107] = {.index = 199, .length = 2},
  [108] = {.index = 201, .length = 3},
  [109] = {.index = 204, .length = 2},
  [110] = {.index = 206, .length = 3},
  [111] = {.index = 209, .length = 2},
  [112] = {.index = 211, .length = 2},
  [113] = {.index = 213, .length = 4},
  [114] = {.index = 211, .length = 2},
  [115] = {.index = 217, .length = 4},
  [116] = {.index = 221, .length = 5},
  [117] = {.index = 226, .length = 3},
  [118] = {.index = 229, .length = 2},
  [119] = {.index = 231, .length = 2},
  [120] = {.index = 121, .length = 3},
  [121] = {.index = 233, .length = 2},
  [122] = {.index = 235, .length = 3},
  [123] = {.index = 238, .length = 4},
  [124] = {.index = 242, .length = 4},
  [125] = {.index = 246, .length = 4},
  [126] = {.index = 250, .length = 1},
  [127] = {.index = 251, .length = 4},
  [128] = {.index = 255, .length = 2},
  [129] = {.index = 257, .length = 2},
  [130] = {.index = 259, .length = 2},
  [131] = {.index = 261, .length = 1},
  [132] = {.index = 262, .length = 4},
  [133] = {.index = 266, .length = 2},
  [134] = {.index = 268, .length = 4},
  [135] = {.index = 268, .length = 4},
  [136] = {.index = 272, .length = 4},
  [137] = {.index = 272, .length = 4},
  [138] = {.index = 276, .length = 4},
  [139] = {.index = 276, .length = 4},
  [140] = {.index = 280, .length = 2},
  [141] = {.index = 282, .length = 3},
  [142] = {.index = 285, .length = 3},
  [143] = {.index = 288, .length = 3},
  [144] = {.index = 291, .length = 3},
  [145] = {.index = 294, .length = 2},
  [146] = {.index = 296, .length = 5},
  [147] = {.index = 301, .length = 1},
  [148] = {.index = 302, .length = 4},
  [149] = {.index = 306, .length = 2},
  [150] = {.index = 308, .length = 2},
  [151] = {.index = 310, .length = 2},
  [152] = {.index = 312, .length = 3},
  [153] = {.index = 315, .length = 3},
  [154] = {.index = 318, .length = 4},
  [155] = {.index = 322, .length = 4},
  [156] = {.index = 326, .length = 4},
  [157] = {.index = 330, .length = 5},
  [158] = {.index = 335, .length = 3},
  [159] = {.index = 338, .length = 3},
  [160] = {.index = 266, .length = 2},
  [161] = {.index = 341, .length = 3},
  [162] = {.index = 344, .length = 4},
  [163] = {.index = 348, .length = 3},
  [164] = {.index = 351, .length = 5},
  [165] = {.index = 356, .length = 1},
  [166] = {.index = 357, .length = 4},
  [167] = {.index = 266, .length = 2},
  [168] = {.index = 361, .length = 1},
  [169] = {.index = 362, .length = 4},
  [170] = {.index = 366, .length = 3},
  [171] = {.index = 369, .length = 2},
  [172] = {.index = 371, .length = 2},
  [173] = {.index = 373, .length = 1},
  [174] = {.index = 374, .length = 2},
  [175] = {.index = 376, .length = 2},
  [176] = {.index = 378, .length = 4},
  [177] = {.index = 382, .length = 4},
  [178] = {.index = 386, .length = 4},
  [179] = {.index = 390, .length = 3},
  [180] = {.index = 393, .length = 3},
  [181] = {.index = 396, .length = 2},
  [182] = {.index = 398, .length = 2},
  [183] = {.index = 400, .length = 2},
  [184] = {.index = 402, .length = 2},
  [185] = {.index = 404, .length = 4},
  [186] = {.index = 408, .length = 2},
  [187] = {.index = 410, .length = 1},
  [188] = {.index = 411, .length = 2},
  [189] = {.index = 413, .length = 2},
  [190] = {.index = 415, .length = 6},
  [191] = {.index = 421, .length = 2},
  [192] = {.index = 423, .length = 2},
  [193] = {.index = 425, .length = 2},
  [194] = {.index = 427, .length = 2},
  [195] = {.index = 429, .length = 1},
  [196] = {.index = 430, .length = 2},
  [197] = {.index = 432, .length = 5},
  [198] = {.index = 437, .length = 2},
  [199] = {.index = 439, .length = 2},
  [200] = {.index = 441, .length = 2},
  [201] = {.index = 443, .length = 3},
  [202] = {.index = 446, .length = 3},
  [203] = {.index = 449, .length = 5},
  [204] = {.index = 454, .length = 4},
  [205] = {.index = 458, .length = 4},
  [206] = {.index = 462, .length = 4},
  [207] = {.index = 466, .length = 2},
  [208] = {.index = 468, .length = 2},
  [209] = {.index = 470, .length = 1},
  [210] = {.index = 471, .length = 3},
  [211] = {.index = 474, .length = 1},
  [212] = {.index = 475, .length = 2},
  [213] = {.index = 477, .length = 4},
  [214] = {.index = 481, .length = 4},
  [215] = {.index = 485, .length = 4},
  [216] = {.index = 489, .length = 4},
  [217] = {.index = 493, .length = 3},
  [218] = {.index = 496, .length = 3},
  [219] = {.index = 499, .length = 3},
  [220] = {.index = 502, .length = 3},
  [221] = {.index = 505, .length = 3},
  [222] = {.index = 508, .length = 3},
  [223] = {.index = 511, .length = 2},
  [224] = {.index = 513, .length = 3},
  [225] = {.index = 516, .length = 6},
  [226] = {.index = 522, .length = 3},
  [227] = {.index = 511, .length = 2},
  [228] = {.index = 525, .length = 1},
  [229] = {.index = 525, .length = 1},
  [230] = {.index = 526, .length = 5},
  [231] = {.index = 531, .length = 2},
  [232] = {.index = 533, .length = 3},
  [233] = {.index = 536, .length = 3},
  [234] = {.index = 539, .length = 2},
  [235] = {.index = 541, .length = 3},
  [236] = {.index = 544, .length = 3},
  [237] = {.index = 541, .length = 3},
  [238] = {.index = 547, .length = 2},
  [239] = {.index = 549, .length = 4},
  [240] = {.index = 553, .length = 4},
  [241] = {.index = 557, .length = 2},
  [242] = {.index = 559, .length = 2},
  [243] = {.index = 561, .length = 4},
  [244] = {.index = 565, .length = 4},
  [245] = {.index = 569, .length = 2},
  [246] = {.index = 571, .length = 2},
  [247] = {.index = 573, .length = 2},
  [248] = {.index = 575, .length = 3},
  [249] = {.index = 578, .length = 2},
  [250] = {.index = 578, .length = 2},
  [251] = {.index = 580, .length = 3},
  [252] = {.index = 583, .length = 5},
  [253] = {.index = 588, .length = 5},
  [254] = {.index = 593, .length = 3},
  [255] = {.index = 596, .length = 2},
  [256] = {.index = 598, .length = 3},
  [257] = {.index = 601, .length = 2},
  [258] = {.index = 603, .length = 1},
  [259] = {.index = 604, .length = 4},
  [260] = {.index = 608, .length = 4},
  [261] = {.index = 612, .length = 3},
  [262] = {.index = 612, .length = 3},
  [263] = {.index = 615, .length = 2},
  [264] = {.index = 617, .length = 3},
  [265] = {.index = 620, .length = 3},
  [266] = {.index = 620, .length = 3},
  [267] = {.index = 623, .length = 3},
  [268] = {.index = 626, .length = 3},
  [269] = {.index = 629, .length = 2},
  [270] = {.index = 631, .length = 2},
  [271] = {.index = 633, .length = 2},
  [272] = {.index = 635, .length = 1},
  [273] = {.index = 636, .length = 3},
  [274] = {.index = 639, .length = 4},
  [275] = {.index = 643, .length = 5},
  [276] = {.index = 648, .length = 5},
  [277] = {.index = 653, .length = 3},
  [278] = {.index = 656, .length = 2},
  [279] = {.index = 658, .length = 3},
  [280] = {.index = 661, .length = 2},
  [281] = {.index = 663, .length = 2},
  [282] = {.index = 665, .length = 4},
  [283] = {.index = 665, .length = 4},
  [284] = {.index = 669, .length = 4},
  [285] = {.index = 673, .length = 4},
  [286] = {.index = 677, .length = 2},
  [287] = {.index = 679, .length = 4},
  [288] = {.index = 683, .length = 4},
  [289] = {.index = 687, .length = 2},
  [291] = {.index = 689, .length = 4},
  [292] = {.index = 693, .length = 5},
  [293] = {.index = 698, .length = 5},
  [294] = {.index = 703, .length = 3},
  [295] = {.index = 706, .length = 2},
  [296] = {.index = 708, .length = 2},
  [297] = {.index = 710, .length = 3},
  [298] = {.index = 713, .length = 4},
  [299] = {.index = 717, .length = 5},
  [300] = {.index = 722, .length = 3},
  [301] = {.index = 725, .length = 5},
  [302] = {.index = 730, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_relative, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_body, 1},
    {field_heritage, 0},
  [5] =
    {field_parameters, 0},
  [6] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [8] =
    {field_source, 2},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [13] =
    {field_member, 0},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_body, 2},
    {field_heritage, 1},
  [18] =
    {field_body, 2},
    {field_id, 1},
  [20] =
    {field_body, 2},
    {field_heritage, 0},
    {field_id, 1},
  [23] =
    {field_argument, 1},
    {field_operator, 0},
  [25] =
    {field_pattern, 0},
  [26] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [28] =
    {field_name, 0},
  [29] =
    {field_constructor, 1},
  [30] =
    {field_constructor, 0},
  [31] =
    {field_argument, 0},
    {field_operator, 1},
  [33] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [35] =
    {field_parameters, 0},
    {field_return_type, 1},
  [37] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [39] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [41] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 1},
  [44] =
    {field_source, 3},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [50] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [52] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [54] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [56] =
    {field_name, 0},
    {field_type_arguments, 1},
  [58] =
    {field_name, 1},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_member, 1, .inherited = true},
  [62] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [64] =
    {field_body, 3},
    {field_heritage, 2},
    {field_name, 1},
  [67] =
    {field_body, 3},
    {field_id, 2},
    {field_name, 1},
  [70] =
    {field_body, 3},
    {field_heritage, 1},
    {field_id, 2},
  [73] =
    {field_left, 0},
    {field_right, 2},
  [75] =
    {field_body, 2},
    {field_parameter, 0},
  [77] =
    {field_pattern, 1},
  [78] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [81] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [84] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [86] =
    {field_name, 0},
    {field_value, 1},
  [88] =
    {field_constraint, 1},
    {field_name, 0},
  [90] =
    {field_value, 1},
  [91] =
    {field_body, 2},
  [92] =
    {field_body, 2},
    {field_type_parameters, 1},
  [94] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [98] =
    {field_arguments, 2},
    {field_constructor, 1},
  [100] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [102] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [105] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [108] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [111] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [114] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [118] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [121] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [124] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 2},
  [127] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_id, 2},
  [130] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 1},
    {field_id, 2},
  [134] =
    {field_source, 4},
  [135] =
    {field_parameters, 1},
  [136] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [140] =
    {field_name, 0},
    {field_type, 1},
  [142] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [146] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [150] =
    {field_binding_assignemnt, 1},
    {field_binding_assignemnt, 2},
    {field_name, 0},
  [153] =
    {field_assignment, 1},
    {field_assignment, 2},
    {field_name, 0},
  [156] =
    {field_module, 0},
    {field_name, 2},
  [158] =
    {field_name, 2},
  [159] =
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_body, 2},
    {field_parameters, 1},
  [163] =
    {field_name, 1},
    {field_parameters, 2},
  [165] =
    {field_parameters, 0},
    {field_return_type, 2},
  [167] =
    {field_body, 4},
    {field_heritage, 2},
    {field_id, 3},
    {field_name, 1},
  [171] =
    {field_key, 0},
    {field_value, 2},
  [173] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [178] =
    {field_type, 2},
  [179] =
    {field_pattern, 2},
  [180] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [183] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [186] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [190] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [192] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [195] =
    {field_flags, 3},
    {field_pattern, 1},
  [197] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [199] =
    {field_body, 3},
    {field_name, 1},
  [201] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [204] =
    {field_type_arguments, 2},
    {field_value, 1},
  [206] =
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [209] =
    {field_body, 3},
    {field_type_parameters, 1},
  [211] =
    {field_body, 3},
    {field_parameter, 1},
  [213] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [217] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [221] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [226] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [229] =
    {field_index, 2},
    {field_object, 0},
  [231] =
    {field_arguments, 2},
    {field_constructor, 0},
  [233] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [235] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [238] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 3},
    {field_name, 2},
  [242] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_id, 3},
    {field_name, 2},
  [246] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 2},
    {field_id, 3},
  [250] =
    {field_source, 5},
  [251] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [255] =
    {field_parameters, 1},
    {field_type, 2},
  [257] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [259] =
    {field_name, 1},
    {field_type, 2},
  [261] =
    {field_parameters, 2},
  [262] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [266] =
    {field_name, 0},
    {field_type, 2},
  [268] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [272] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [276] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [280] =
    {field_parameters, 1},
    {field_type, 3},
  [282] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [285] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [288] =
    {field_binding_assignemnt, 2},
    {field_name, 1},
    {field_type, 0},
  [291] =
    {field_assignment, 2},
    {field_name, 1},
    {field_type, 0},
  [294] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [296] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [301] =
    {field_pattern, 3},
  [302] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [306] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [308] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [310] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [312] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [315] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [318] =
    {field_type_arguments, 2},
    {field_type_arguments, 3, .inherited = true},
    {field_value, 1},
    {field_value, 3, .inherited = true},
  [322] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [326] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [335] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [338] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [341] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [344] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [348] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [351] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_heritage, 3},
    {field_id, 4},
    {field_name, 2},
  [356] =
    {field_source, 6},
  [357] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [361] =
    {field_type, 3},
  [362] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [366] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [369] =
    {field_name, 2},
    {field_type, 3},
  [371] =
    {field_name, 1},
    {field_type, 3},
  [373] =
    {field_name, 3},
  [374] =
    {field_parameters, 2},
    {field_type, 3},
  [376] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [378] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [382] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [386] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [390] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [393] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [396] =
    {field_body, 4},
    {field_name, 1},
  [398] =
    {field_parameters, 2},
    {field_type, 4},
  [400] =
    {field_binding_assignemnt, 3},
    {field_name, 1},
  [402] =
    {field_assignment, 3},
    {field_name, 1},
  [404] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_return, 3},
  [408] =
    {field_body, 2},
    {field_label, 0},
  [410] =
    {field_kind, 0},
  [411] =
    {field_condition, 1},
    {field_consequence, 2},
  [413] =
    {field_body, 2},
    {field_value, 1},
  [415] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [421] =
    {field_body, 2},
    {field_condition, 1},
  [423] =
    {field_body, 1},
    {field_handler, 2},
  [425] =
    {field_body, 1},
    {field_finalizer, 2},
  [427] =
    {field_body, 2},
    {field_object, 1},
  [429] =
    {field_label, 1},
  [430] =
    {field_body, 1},
    {field_name, 0},
  [432] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [437] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [439] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [441] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [443] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [446] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [449] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [454] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [458] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [462] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [466] =
    {field_name, 2},
    {field_type, 4},
  [468] =
    {field_name, 3},
    {field_type, 4},
  [470] =
    {field_type, 4},
  [471] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [474] =
    {field_name, 4},
  [475] =
    {field_index, 3},
    {field_object, 0},
  [477] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [481] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [485] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [489] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_return, 4},
  [493] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [496] =
    {field_body, 5},
    {field_name, 1},
    {field_return, 4},
  [499] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [502] =
    {field_binding_assignemnt, 4},
    {field_name, 1},
    {field_type, 3},
  [505] =
    {field_assignment, 4},
    {field_name, 1},
    {field_type, 3},
  [508] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
  [511] =
    {field_body, 3},
    {field_name, 2},
  [513] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [516] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [522] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [525] =
    {field_type, 1},
  [526] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [531] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [533] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [536] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [539] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [541] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [544] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [547] =
    {field_sign, 0},
    {field_type, 5},
  [549] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [553] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [557] =
    {field_name, 3},
    {field_type, 5},
  [559] =
    {field_name, 4},
    {field_type, 5},
  [561] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
    {field_return, 5},
  [565] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [569] =
    {field_name, 1},
    {field_value, 3},
  [571] =
    {field_body, 1},
    {field_condition, 3},
  [573] =
    {field_body, 4},
    {field_name, 2},
  [575] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [578] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [580] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [583] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [588] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [593] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [596] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [598] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [601] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [603] =
    {field_name, 5},
  [604] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [608] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [612] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [615] =
    {field_name, 4},
    {field_type, 6},
  [617] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [620] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [623] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [626] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [629] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [631] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [633] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [635] =
    {field_name, 2, .inherited = true},
  [636] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [639] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [643] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [648] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [653] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [656] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [658] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [661] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [663] =
    {field_name, 5},
    {field_type, 6},
  [665] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [669] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [673] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [677] =
    {field_body, 3},
    {field_value, 1},
  [679] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [683] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [687] =
    {field_body, 4},
    {field_parameter, 2},
  [689] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [693] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [698] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [703] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [706] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [708] =
    {field_name, 5},
    {field_type, 7},
  [710] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [713] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [717] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [722] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [725] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [730] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [5] = {
    [0] = sym_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [11] = {
    [0] = alias_sym_this_type,
  },
  [18] = {
    [0] = alias_sym_property_identifier,
  },
  [22] = {
    [0] = alias_sym_type_identifier,
  },
  [33] = {
    [2] = alias_sym_property_identifier,
  },
  [38] = {
    [0] = alias_sym_type_identifier,
  },
  [39] = {
    [1] = alias_sym_type_identifier,
  },
  [48] = {
    [0] = sym_identifier,
  },
  [49] = {
    [0] = sym_identifier,
  },
  [50] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [51] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [52] = {
    [1] = sym_identifier,
  },
  [57] = {
    [0] = alias_sym_type_identifier,
  },
  [58] = {
    [0] = alias_sym_type_identifier,
  },
  [59] = {
    [1] = alias_sym_type_identifier,
  },
  [70] = {
    [2] = alias_sym_property_identifier,
  },
  [88] = {
    [2] = alias_sym_type_identifier,
  },
  [95] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [104] = {
    [0] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [112] = {
    [1] = sym_identifier,
  },
  [120] = {
    [2] = alias_sym_type_identifier,
  },
  [134] = {
    [2] = alias_sym_property_identifier,
  },
  [136] = {
    [2] = alias_sym_property_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [153] = {
    [1] = alias_sym_type_identifier,
  },
  [160] = {
    [0] = sym_identifier,
  },
  [161] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [2] = alias_sym_type_identifier,
  },
  [167] = {
    [0] = alias_sym_type_identifier,
  },
  [186] = {
    [0] = alias_sym_statement_identifier,
  },
  [195] = {
    [1] = alias_sym_statement_identifier,
  },
  [204] = {
    [2] = alias_sym_type_identifier,
  },
  [227] = {
    [2] = alias_sym_type_identifier,
  },
  [228] = {
    [1] = alias_sym_type_identifier,
  },
  [235] = {
    [1] = sym_identifier,
  },
  [236] = {
    [0] = alias_sym_type_identifier,
  },
  [245] = {
    [1] = alias_sym_type_identifier,
  },
  [247] = {
    [2] = alias_sym_type_identifier,
  },
  [248] = {
    [2] = alias_sym_type_identifier,
  },
  [249] = {
    [1] = alias_sym_type_identifier,
  },
  [251] = {
    [3] = alias_sym_type_identifier,
  },
  [261] = {
    [2] = sym_identifier,
  },
  [264] = {
    [1] = alias_sym_type_identifier,
  },
  [265] = {
    [1] = sym_identifier,
  },
  [268] = {
    [2] = alias_sym_type_identifier,
  },
  [273] = {
    [3] = alias_sym_type_identifier,
  },
  [274] = {
    [3] = alias_sym_type_identifier,
  },
  [282] = {
    [3] = sym_identifier,
  },
  [290] = {
    [3] = alias_sym_property_identifier,
  },
  [291] = {
    [3] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 17,
  [20] = 16,
  [21] = 17,
  [22] = 17,
  [23] = 16,
  [24] = 16,
  [25] = 17,
  [26] = 16,
  [27] = 17,
  [28] = 16,
  [29] = 16,
  [30] = 16,
  [31] = 17,
  [32] = 16,
  [33] = 17,
  [34] = 17,
  [35] = 16,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 38,
  [43] = 43,
  [44] = 37,
  [45] = 36,
  [46] = 46,
  [47] = 39,
  [48] = 48,
  [49] = 49,
  [50] = 40,
  [51] = 46,
  [52] = 48,
  [53] = 49,
  [54] = 41,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 61,
  [63] = 63,
  [64] = 63,
  [65] = 63,
  [66] = 63,
  [67] = 63,
  [68] = 63,
  [69] = 63,
  [70] = 70,
  [71] = 70,
  [72] = 72,
  [73] = 72,
  [74] = 72,
  [75] = 72,
  [76] = 72,
  [77] = 72,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 78,
  [86] = 78,
  [87] = 78,
  [88] = 78,
  [89] = 78,
  [90] = 78,
  [91] = 91,
  [92] = 91,
  [93] = 91,
  [94] = 94,
  [95] = 94,
  [96] = 96,
  [97] = 97,
  [98] = 97,
  [99] = 96,
  [100] = 97,
  [101] = 94,
  [102] = 96,
  [103] = 103,
  [104] = 104,
  [105] = 104,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 104,
  [110] = 108,
  [111] = 111,
  [112] = 104,
  [113] = 104,
  [114] = 104,
  [115] = 104,
  [116] = 104,
  [117] = 107,
  [118] = 107,
  [119] = 119,
  [120] = 120,
  [121] = 119,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 122,
  [126] = 126,
  [127] = 126,
  [128] = 128,
  [129] = 106,
  [130] = 128,
  [131] = 131,
  [132] = 132,
  [133] = 132,
  [134] = 134,
  [135] = 132,
  [136] = 132,
  [137] = 132,
  [138] = 132,
  [139] = 132,
  [140] = 128,
  [141] = 132,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 128,
  [148] = 148,
  [149] = 144,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 153,
  [155] = 153,
  [156] = 156,
  [157] = 153,
  [158] = 156,
  [159] = 153,
  [160] = 160,
  [161] = 153,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 165,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 176,
  [188] = 188,
  [189] = 156,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 169,
  [198] = 198,
  [199] = 179,
  [200] = 200,
  [201] = 201,
  [202] = 156,
  [203] = 203,
  [204] = 204,
  [205] = 174,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 171,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 203,
  [222] = 211,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 228,
  [229] = 224,
  [230] = 230,
  [231] = 231,
  [232] = 224,
  [233] = 226,
  [234] = 228,
  [235] = 224,
  [236] = 236,
  [237] = 226,
  [238] = 225,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 228,
  [243] = 231,
  [244] = 244,
  [245] = 225,
  [246] = 246,
  [247] = 225,
  [248] = 248,
  [249] = 248,
  [250] = 250,
  [251] = 236,
  [252] = 225,
  [253] = 241,
  [254] = 225,
  [255] = 241,
  [256] = 256,
  [257] = 230,
  [258] = 225,
  [259] = 250,
  [260] = 230,
  [261] = 248,
  [262] = 225,
  [263] = 224,
  [264] = 226,
  [265] = 228,
  [266] = 240,
  [267] = 250,
  [268] = 228,
  [269] = 226,
  [270] = 224,
  [271] = 271,
  [272] = 239,
  [273] = 273,
  [274] = 250,
  [275] = 275,
  [276] = 228,
  [277] = 277,
  [278] = 256,
  [279] = 248,
  [280] = 226,
  [281] = 271,
  [282] = 224,
  [283] = 241,
  [284] = 250,
  [285] = 244,
  [286] = 248,
  [287] = 248,
  [288] = 250,
  [289] = 241,
  [290] = 224,
  [291] = 226,
  [292] = 228,
  [293] = 293,
  [294] = 244,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 241,
  [299] = 244,
  [300] = 250,
  [301] = 248,
  [302] = 248,
  [303] = 241,
  [304] = 304,
  [305] = 239,
  [306] = 306,
  [307] = 241,
  [308] = 250,
  [309] = 225,
  [310] = 228,
  [311] = 225,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 314,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 312,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 330,
  [334] = 326,
  [335] = 319,
  [336] = 325,
  [337] = 324,
  [338] = 323,
  [339] = 322,
  [340] = 321,
  [341] = 319,
  [342] = 318,
  [343] = 343,
  [344] = 312,
  [345] = 345,
  [346] = 331,
  [347] = 317,
  [348] = 348,
  [349] = 332,
  [350] = 316,
  [351] = 314,
  [352] = 352,
  [353] = 343,
  [354] = 332,
  [355] = 330,
  [356] = 345,
  [357] = 316,
  [358] = 358,
  [359] = 317,
  [360] = 318,
  [361] = 361,
  [362] = 345,
  [363] = 358,
  [364] = 319,
  [365] = 313,
  [366] = 321,
  [367] = 358,
  [368] = 327,
  [369] = 322,
  [370] = 331,
  [371] = 313,
  [372] = 323,
  [373] = 312,
  [374] = 313,
  [375] = 324,
  [376] = 343,
  [377] = 325,
  [378] = 378,
  [379] = 352,
  [380] = 314,
  [381] = 348,
  [382] = 316,
  [383] = 317,
  [384] = 345,
  [385] = 318,
  [386] = 328,
  [387] = 387,
  [388] = 328,
  [389] = 343,
  [390] = 352,
  [391] = 345,
  [392] = 321,
  [393] = 343,
  [394] = 352,
  [395] = 314,
  [396] = 316,
  [397] = 317,
  [398] = 318,
  [399] = 399,
  [400] = 321,
  [401] = 319,
  [402] = 321,
  [403] = 322,
  [404] = 387,
  [405] = 323,
  [406] = 406,
  [407] = 322,
  [408] = 323,
  [409] = 314,
  [410] = 316,
  [411] = 313,
  [412] = 324,
  [413] = 327,
  [414] = 317,
  [415] = 318,
  [416] = 319,
  [417] = 325,
  [418] = 313,
  [419] = 321,
  [420] = 322,
  [421] = 323,
  [422] = 324,
  [423] = 325,
  [424] = 326,
  [425] = 326,
  [426] = 324,
  [427] = 325,
  [428] = 325,
  [429] = 326,
  [430] = 343,
  [431] = 431,
  [432] = 313,
  [433] = 324,
  [434] = 327,
  [435] = 435,
  [436] = 323,
  [437] = 328,
  [438] = 322,
  [439] = 312,
  [440] = 328,
  [441] = 321,
  [442] = 319,
  [443] = 331,
  [444] = 318,
  [445] = 326,
  [446] = 348,
  [447] = 331,
  [448] = 332,
  [449] = 326,
  [450] = 345,
  [451] = 358,
  [452] = 330,
  [453] = 317,
  [454] = 327,
  [455] = 316,
  [456] = 314,
  [457] = 352,
  [458] = 330,
  [459] = 343,
  [460] = 328,
  [461] = 345,
  [462] = 330,
  [463] = 328,
  [464] = 327,
  [465] = 465,
  [466] = 326,
  [467] = 325,
  [468] = 468,
  [469] = 332,
  [470] = 324,
  [471] = 312,
  [472] = 332,
  [473] = 348,
  [474] = 474,
  [475] = 352,
  [476] = 331,
  [477] = 323,
  [478] = 322,
  [479] = 479,
  [480] = 331,
  [481] = 358,
  [482] = 352,
  [483] = 348,
  [484] = 484,
  [485] = 330,
  [486] = 484,
  [487] = 332,
  [488] = 484,
  [489] = 331,
  [490] = 319,
  [491] = 491,
  [492] = 327,
  [493] = 327,
  [494] = 494,
  [495] = 318,
  [496] = 332,
  [497] = 358,
  [498] = 330,
  [499] = 328,
  [500] = 435,
  [501] = 312,
  [502] = 317,
  [503] = 316,
  [504] = 312,
  [505] = 314,
  [506] = 313,
  [507] = 352,
  [508] = 508,
  [509] = 343,
  [510] = 345,
  [511] = 358,
  [512] = 358,
  [513] = 348,
  [514] = 484,
  [515] = 515,
  [516] = 516,
  [517] = 516,
  [518] = 515,
  [519] = 519,
  [520] = 519,
  [521] = 521,
  [522] = 521,
  [523] = 521,
  [524] = 521,
  [525] = 519,
  [526] = 519,
  [527] = 527,
  [528] = 528,
  [529] = 527,
  [530] = 528,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 531,
  [539] = 531,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 531,
  [544] = 540,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 528,
  [549] = 547,
  [550] = 550,
  [551] = 547,
  [552] = 546,
  [553] = 546,
  [554] = 546,
  [555] = 547,
  [556] = 547,
  [557] = 546,
  [558] = 528,
  [559] = 559,
  [560] = 559,
  [561] = 540,
  [562] = 559,
  [563] = 559,
  [564] = 564,
  [565] = 564,
  [566] = 566,
  [567] = 564,
  [568] = 566,
  [569] = 566,
  [570] = 566,
  [571] = 564,
  [572] = 572,
  [573] = 573,
  [574] = 573,
  [575] = 575,
  [576] = 573,
  [577] = 575,
  [578] = 575,
  [579] = 573,
  [580] = 575,
  [581] = 581,
  [582] = 582,
  [583] = 581,
  [584] = 582,
  [585] = 581,
  [586] = 582,
  [587] = 581,
  [588] = 581,
  [589] = 582,
  [590] = 582,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 593,
  [595] = 156,
  [596] = 596,
  [597] = 156,
  [598] = 195,
  [599] = 180,
  [600] = 600,
  [601] = 601,
  [602] = 204,
  [603] = 603,
  [604] = 604,
  [605] = 156,
  [606] = 606,
  [607] = 607,
  [608] = 156,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 592,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 191,
  [626] = 626,
  [627] = 619,
  [628] = 156,
  [629] = 156,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 219,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 177,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 156,
  [657] = 657,
  [658] = 658,
  [659] = 156,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 188,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 219,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 215,
  [686] = 686,
  [687] = 177,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 593,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 191,
  [703] = 195,
  [704] = 704,
  [705] = 593,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 156,
  [774] = 188,
  [775] = 215,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 156,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 164,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 601,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 592,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 164,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 736,
  [885] = 156,
  [886] = 886,
  [887] = 191,
  [888] = 888,
  [889] = 735,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 733,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 750,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 738,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 195,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 734,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 732,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 971,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 215,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 180,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 219,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 177,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 204,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 188,
  [1075] = 1075,
  [1076] = 740,
  [1077] = 856,
  [1078] = 854,
  [1079] = 752,
  [1080] = 827,
  [1081] = 825,
  [1082] = 859,
  [1083] = 753,
  [1084] = 862,
  [1085] = 819,
  [1086] = 863,
  [1087] = 864,
  [1088] = 742,
  [1089] = 865,
  [1090] = 866,
  [1091] = 749,
  [1092] = 867,
  [1093] = 767,
  [1094] = 872,
  [1095] = 850,
  [1096] = 728,
  [1097] = 847,
  [1098] = 793,
  [1099] = 724,
  [1100] = 725,
  [1101] = 814,
  [1102] = 1102,
  [1103] = 534,
  [1104] = 1104,
  [1105] = 942,
  [1106] = 1106,
  [1107] = 1106,
  [1108] = 1106,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1106,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 971,
  [1115] = 1106,
  [1116] = 1106,
  [1117] = 532,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1123,
  [1126] = 1123,
  [1127] = 1123,
  [1128] = 1124,
  [1129] = 1124,
  [1130] = 1124,
  [1131] = 1124,
  [1132] = 1123,
  [1133] = 1123,
  [1134] = 1124,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1137,
  [1139] = 1137,
  [1140] = 1137,
  [1141] = 1141,
  [1142] = 1141,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1144,
  [1148] = 1148,
  [1149] = 927,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1152,
  [1154] = 956,
  [1155] = 1152,
  [1156] = 1152,
  [1157] = 1152,
  [1158] = 1158,
  [1159] = 1144,
  [1160] = 929,
  [1161] = 1150,
  [1162] = 1151,
  [1163] = 1151,
  [1164] = 1150,
  [1165] = 1146,
  [1166] = 1151,
  [1167] = 1150,
  [1168] = 1168,
  [1169] = 1146,
  [1170] = 1170,
  [1171] = 1148,
  [1172] = 1172,
  [1173] = 1172,
  [1174] = 1168,
  [1175] = 1172,
  [1176] = 1176,
  [1177] = 1172,
  [1178] = 1168,
  [1179] = 519,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1168,
  [1183] = 1180,
  [1184] = 1170,
  [1185] = 1172,
  [1186] = 1172,
  [1187] = 1170,
  [1188] = 1168,
  [1189] = 1176,
  [1190] = 1190,
  [1191] = 1172,
  [1192] = 1170,
  [1193] = 1168,
  [1194] = 1190,
  [1195] = 1168,
  [1196] = 519,
  [1197] = 1172,
  [1198] = 1176,
  [1199] = 1176,
  [1200] = 1190,
  [1201] = 1170,
  [1202] = 1172,
  [1203] = 1168,
  [1204] = 1170,
  [1205] = 1168,
  [1206] = 1190,
  [1207] = 1170,
  [1208] = 1190,
  [1209] = 1176,
  [1210] = 1190,
  [1211] = 1176,
  [1212] = 1190,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1213,
  [1224] = 1224,
  [1225] = 1221,
  [1226] = 1226,
  [1227] = 1218,
  [1228] = 1215,
  [1229] = 1216,
  [1230] = 1217,
  [1231] = 1221,
  [1232] = 1222,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1234,
  [1236] = 1234,
  [1237] = 1226,
  [1238] = 1238,
  [1239] = 1238,
  [1240] = 1233,
  [1241] = 1238,
  [1242] = 1234,
  [1243] = 1243,
  [1244] = 1218,
  [1245] = 1216,
  [1246] = 1217,
  [1247] = 1238,
  [1248] = 1234,
  [1249] = 1249,
  [1250] = 1221,
  [1251] = 1222,
  [1252] = 1252,
  [1253] = 1218,
  [1254] = 1254,
  [1255] = 1216,
  [1256] = 519,
  [1257] = 1217,
  [1258] = 1238,
  [1259] = 1213,
  [1260] = 1260,
  [1261] = 1221,
  [1262] = 1222,
  [1263] = 1263,
  [1264] = 1260,
  [1265] = 1226,
  [1266] = 1218,
  [1267] = 1267,
  [1268] = 1260,
  [1269] = 1217,
  [1270] = 1252,
  [1271] = 1238,
  [1272] = 1233,
  [1273] = 1215,
  [1274] = 1260,
  [1275] = 1252,
  [1276] = 1213,
  [1277] = 1224,
  [1278] = 1278,
  [1279] = 1224,
  [1280] = 1219,
  [1281] = 1213,
  [1282] = 1220,
  [1283] = 1224,
  [1284] = 1226,
  [1285] = 1285,
  [1286] = 1252,
  [1287] = 1222,
  [1288] = 1233,
  [1289] = 1260,
  [1290] = 1238,
  [1291] = 1220,
  [1292] = 1219,
  [1293] = 519,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1295,
  [1297] = 1219,
  [1298] = 1278,
  [1299] = 1226,
  [1300] = 1222,
  [1301] = 1221,
  [1302] = 1215,
  [1303] = 1217,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1216,
  [1307] = 1220,
  [1308] = 1218,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1295,
  [1312] = 1226,
  [1313] = 1222,
  [1314] = 1216,
  [1315] = 1315,
  [1316] = 1233,
  [1317] = 1215,
  [1318] = 1234,
  [1319] = 1319,
  [1320] = 1221,
  [1321] = 1217,
  [1322] = 1238,
  [1323] = 1323,
  [1324] = 1217,
  [1325] = 1216,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1218,
  [1329] = 1329,
  [1330] = 1234,
  [1331] = 1252,
  [1332] = 1267,
  [1333] = 1278,
  [1334] = 1260,
  [1335] = 1335,
  [1336] = 1233,
  [1337] = 1213,
  [1338] = 1243,
  [1339] = 1224,
  [1340] = 519,
  [1341] = 1341,
  [1342] = 1260,
  [1343] = 1243,
  [1344] = 1267,
  [1345] = 1218,
  [1346] = 1285,
  [1347] = 1252,
  [1348] = 519,
  [1349] = 1213,
  [1350] = 1220,
  [1351] = 1327,
  [1352] = 1226,
  [1353] = 1315,
  [1354] = 1221,
  [1355] = 1215,
  [1356] = 1233,
  [1357] = 1233,
  [1358] = 1215,
  [1359] = 1224,
  [1360] = 1278,
  [1361] = 1234,
  [1362] = 1220,
  [1363] = 1219,
  [1364] = 1222,
  [1365] = 1260,
  [1366] = 1219,
  [1367] = 1278,
  [1368] = 1219,
  [1369] = 1252,
  [1370] = 1219,
  [1371] = 1252,
  [1372] = 1372,
  [1373] = 1220,
  [1374] = 1220,
  [1375] = 1224,
  [1376] = 1213,
  [1377] = 1219,
  [1378] = 1224,
  [1379] = 1220,
  [1380] = 1260,
  [1381] = 1218,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1233,
  [1385] = 1385,
  [1386] = 1146,
  [1387] = 1216,
  [1388] = 1382,
  [1389] = 1278,
  [1390] = 1238,
  [1391] = 1278,
  [1392] = 1224,
  [1393] = 1234,
  [1394] = 1222,
  [1395] = 1215,
  [1396] = 1215,
  [1397] = 1221,
  [1398] = 1213,
  [1399] = 1217,
  [1400] = 1146,
  [1401] = 1252,
  [1402] = 1278,
  [1403] = 1216,
  [1404] = 1278,
  [1405] = 1146,
  [1406] = 1158,
  [1407] = 1407,
  [1408] = 519,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1409,
  [1412] = 1410,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1409,
  [1416] = 1409,
  [1417] = 1148,
  [1418] = 1148,
  [1419] = 1409,
  [1420] = 1409,
  [1421] = 1413,
  [1422] = 1409,
  [1423] = 1423,
  [1424] = 1409,
  [1425] = 519,
  [1426] = 1426,
  [1427] = 1426,
  [1428] = 1428,
  [1429] = 519,
  [1430] = 1372,
  [1431] = 519,
  [1432] = 1426,
  [1433] = 1426,
  [1434] = 1428,
  [1435] = 1428,
  [1436] = 1428,
  [1437] = 1437,
  [1438] = 535,
  [1439] = 545,
  [1440] = 519,
  [1441] = 536,
  [1442] = 1437,
  [1443] = 533,
  [1444] = 542,
  [1445] = 537,
  [1446] = 519,
  [1447] = 541,
  [1448] = 1437,
  [1449] = 1437,
  [1450] = 532,
  [1451] = 534,
  [1452] = 540,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1455,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1456,
  [1461] = 1461,
  [1462] = 1456,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 528,
  [1466] = 1466,
  [1467] = 1453,
  [1468] = 1468,
  [1469] = 528,
  [1470] = 1461,
  [1471] = 1464,
  [1472] = 528,
  [1473] = 528,
  [1474] = 1468,
  [1475] = 1475,
  [1476] = 545,
  [1477] = 536,
  [1478] = 1478,
  [1479] = 537,
  [1480] = 533,
  [1481] = 1481,
  [1482] = 528,
  [1483] = 1458,
  [1484] = 535,
  [1485] = 1485,
  [1486] = 532,
  [1487] = 542,
  [1488] = 1488,
  [1489] = 534,
  [1490] = 1490,
  [1491] = 541,
  [1492] = 1456,
  [1493] = 540,
  [1494] = 1481,
  [1495] = 540,
  [1496] = 1496,
  [1497] = 528,
  [1498] = 1498,
  [1499] = 1496,
  [1500] = 540,
  [1501] = 973,
  [1502] = 1502,
  [1503] = 540,
  [1504] = 1498,
  [1505] = 528,
  [1506] = 528,
  [1507] = 1507,
  [1508] = 1459,
  [1509] = 905,
  [1510] = 958,
  [1511] = 540,
  [1512] = 195,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 191,
  [1516] = 1453,
  [1517] = 1517,
  [1518] = 1453,
  [1519] = 1458,
  [1520] = 1468,
  [1521] = 528,
  [1522] = 1468,
  [1523] = 1488,
  [1524] = 219,
  [1525] = 177,
  [1526] = 528,
  [1527] = 1459,
  [1528] = 540,
  [1529] = 528,
  [1530] = 1502,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1534,
  [1536] = 1534,
  [1537] = 1534,
  [1538] = 1538,
  [1539] = 1534,
  [1540] = 1534,
  [1541] = 1534,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1030,
  [1548] = 1548,
  [1549] = 1059,
  [1550] = 1550,
  [1551] = 1058,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1036,
  [1555] = 1555,
  [1556] = 1037,
  [1557] = 1056,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1007,
  [1564] = 1564,
  [1565] = 1005,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1043,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1031,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1532,
  [1590] = 1590,
  [1591] = 1588,
  [1592] = 1587,
  [1593] = 1590,
  [1594] = 1590,
  [1595] = 1588,
  [1596] = 1588,
  [1597] = 1590,
  [1598] = 1590,
  [1599] = 1588,
  [1600] = 1588,
  [1601] = 1587,
  [1602] = 1587,
  [1603] = 1587,
  [1604] = 1590,
  [1605] = 1587,
  [1606] = 1588,
  [1607] = 1587,
  [1608] = 1590,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1610,
  [1612] = 684,
  [1613] = 1610,
  [1614] = 1610,
  [1615] = 1610,
  [1616] = 682,
  [1617] = 1542,
  [1618] = 1610,
  [1619] = 1610,
  [1620] = 1610,
  [1621] = 720,
  [1622] = 1622,
  [1623] = 1622,
  [1624] = 878,
  [1625] = 735,
  [1626] = 877,
  [1627] = 1622,
  [1628] = 860,
  [1629] = 861,
  [1630] = 743,
  [1631] = 1631,
  [1632] = 836,
  [1633] = 732,
  [1634] = 1634,
  [1635] = 1622,
  [1636] = 744,
  [1637] = 719,
  [1638] = 714,
  [1639] = 712,
  [1640] = 164,
  [1641] = 1622,
  [1642] = 1622,
  [1643] = 751,
  [1644] = 1622,
  [1645] = 907,
  [1646] = 195,
  [1647] = 896,
  [1648] = 928,
  [1649] = 898,
  [1650] = 931,
  [1651] = 924,
  [1652] = 932,
  [1653] = 899,
  [1654] = 960,
  [1655] = 900,
  [1656] = 934,
  [1657] = 936,
  [1658] = 901,
  [1659] = 935,
  [1660] = 937,
  [1661] = 938,
  [1662] = 939,
  [1663] = 940,
  [1664] = 941,
  [1665] = 943,
  [1666] = 944,
  [1667] = 945,
  [1668] = 946,
  [1669] = 947,
  [1670] = 948,
  [1671] = 882,
  [1672] = 950,
  [1673] = 951,
  [1674] = 952,
  [1675] = 735,
  [1676] = 734,
  [1677] = 958,
  [1678] = 902,
  [1679] = 1679,
  [1680] = 904,
  [1681] = 890,
  [1682] = 980,
  [1683] = 732,
  [1684] = 191,
  [1685] = 973,
  [1686] = 736,
  [1687] = 750,
  [1688] = 949,
  [1689] = 906,
  [1690] = 984,
  [1691] = 981,
  [1692] = 933,
  [1693] = 903,
  [1694] = 914,
  [1695] = 895,
  [1696] = 918,
  [1697] = 893,
  [1698] = 897,
  [1699] = 983,
  [1700] = 982,
  [1701] = 738,
  [1702] = 956,
  [1703] = 979,
  [1704] = 925,
  [1705] = 978,
  [1706] = 923,
  [1707] = 976,
  [1708] = 922,
  [1709] = 964,
  [1710] = 962,
  [1711] = 891,
  [1712] = 921,
  [1713] = 957,
  [1714] = 955,
  [1715] = 892,
  [1716] = 929,
  [1717] = 971,
  [1718] = 888,
  [1719] = 920,
  [1720] = 919,
  [1721] = 917,
  [1722] = 916,
  [1723] = 883,
  [1724] = 886,
  [1725] = 961,
  [1726] = 915,
  [1727] = 963,
  [1728] = 965,
  [1729] = 966,
  [1730] = 968,
  [1731] = 927,
  [1732] = 1732,
  [1733] = 913,
  [1734] = 969,
  [1735] = 733,
  [1736] = 909,
  [1737] = 970,
  [1738] = 972,
  [1739] = 912,
  [1740] = 911,
  [1741] = 905,
  [1742] = 910,
  [1743] = 974,
  [1744] = 1049,
  [1745] = 975,
  [1746] = 1055,
  [1747] = 1071,
  [1748] = 999,
  [1749] = 1075,
  [1750] = 986,
  [1751] = 177,
  [1752] = 1752,
  [1753] = 1031,
  [1754] = 188,
  [1755] = 998,
  [1756] = 1032,
  [1757] = 1069,
  [1758] = 1758,
  [1759] = 1020,
  [1760] = 1760,
  [1761] = 1012,
  [1762] = 985,
  [1763] = 1047,
  [1764] = 1048,
  [1765] = 996,
  [1766] = 1054,
  [1767] = 1065,
  [1768] = 1061,
  [1769] = 993,
  [1770] = 997,
  [1771] = 204,
  [1772] = 1772,
  [1773] = 1038,
  [1774] = 1072,
  [1775] = 1758,
  [1776] = 1050,
  [1777] = 1040,
  [1778] = 1028,
  [1779] = 1030,
  [1780] = 1008,
  [1781] = 954,
  [1782] = 987,
  [1783] = 1010,
  [1784] = 1001,
  [1785] = 1036,
  [1786] = 1037,
  [1787] = 1051,
  [1788] = 1052,
  [1789] = 1026,
  [1790] = 1053,
  [1791] = 1056,
  [1792] = 1758,
  [1793] = 1067,
  [1794] = 1066,
  [1795] = 1064,
  [1796] = 1011,
  [1797] = 1073,
  [1798] = 1062,
  [1799] = 219,
  [1800] = 959,
  [1801] = 990,
  [1802] = 954,
  [1803] = 684,
  [1804] = 1760,
  [1805] = 1041,
  [1806] = 1004,
  [1807] = 1003,
  [1808] = 1760,
  [1809] = 1018,
  [1810] = 1068,
  [1811] = 1058,
  [1812] = 1042,
  [1813] = 988,
  [1814] = 1070,
  [1815] = 1039,
  [1816] = 1059,
  [1817] = 994,
  [1818] = 995,
  [1819] = 1007,
  [1820] = 1057,
  [1821] = 1015,
  [1822] = 1760,
  [1823] = 1760,
  [1824] = 1758,
  [1825] = 959,
  [1826] = 1009,
  [1827] = 1034,
  [1828] = 682,
  [1829] = 1043,
  [1830] = 989,
  [1831] = 1772,
  [1832] = 1017,
  [1833] = 1002,
  [1834] = 1758,
  [1835] = 1021,
  [1836] = 1022,
  [1837] = 1023,
  [1838] = 1760,
  [1839] = 1839,
  [1840] = 1016,
  [1841] = 1024,
  [1842] = 1025,
  [1843] = 1014,
  [1844] = 1013,
  [1845] = 1029,
  [1846] = 1044,
  [1847] = 1045,
  [1848] = 180,
  [1849] = 1758,
  [1850] = 215,
  [1851] = 1000,
  [1852] = 1063,
  [1853] = 1033,
  [1854] = 1046,
  [1855] = 975,
  [1856] = 992,
  [1857] = 1005,
  [1858] = 991,
  [1859] = 714,
  [1860] = 1860,
  [1861] = 859,
  [1862] = 862,
  [1863] = 720,
  [1864] = 863,
  [1865] = 180,
  [1866] = 854,
  [1867] = 864,
  [1868] = 856,
  [1869] = 865,
  [1870] = 724,
  [1871] = 877,
  [1872] = 878,
  [1873] = 1873,
  [1874] = 866,
  [1875] = 867,
  [1876] = 827,
  [1877] = 195,
  [1878] = 1878,
  [1879] = 1873,
  [1880] = 219,
  [1881] = 177,
  [1882] = 872,
  [1883] = 850,
  [1884] = 1884,
  [1885] = 712,
  [1886] = 847,
  [1887] = 1887,
  [1888] = 719,
  [1889] = 191,
  [1890] = 752,
  [1891] = 954,
  [1892] = 753,
  [1893] = 744,
  [1894] = 825,
  [1895] = 836,
  [1896] = 743,
  [1897] = 819,
  [1898] = 1873,
  [1899] = 975,
  [1900] = 204,
  [1901] = 767,
  [1902] = 814,
  [1903] = 751,
  [1904] = 959,
  [1905] = 215,
  [1906] = 861,
  [1907] = 860,
  [1908] = 188,
  [1909] = 725,
  [1910] = 1910,
  [1911] = 793,
  [1912] = 1912,
  [1913] = 749,
  [1914] = 742,
  [1915] = 1873,
  [1916] = 1916,
  [1917] = 943,
  [1918] = 920,
  [1919] = 1919,
  [1920] = 725,
  [1921] = 942,
  [1922] = 724,
  [1923] = 752,
  [1924] = 753,
  [1925] = 937,
  [1926] = 960,
  [1927] = 935,
  [1928] = 959,
  [1929] = 888,
  [1930] = 767,
  [1931] = 958,
  [1932] = 725,
  [1933] = 892,
  [1934] = 893,
  [1935] = 895,
  [1936] = 896,
  [1937] = 1937,
  [1938] = 891,
  [1939] = 898,
  [1940] = 899,
  [1941] = 900,
  [1942] = 901,
  [1943] = 902,
  [1944] = 1944,
  [1945] = 904,
  [1946] = 890,
  [1947] = 1947,
  [1948] = 1884,
  [1949] = 907,
  [1950] = 750,
  [1951] = 909,
  [1952] = 910,
  [1953] = 164,
  [1954] = 911,
  [1955] = 912,
  [1956] = 913,
  [1957] = 916,
  [1958] = 917,
  [1959] = 919,
  [1960] = 1887,
  [1961] = 921,
  [1962] = 922,
  [1963] = 923,
  [1964] = 925,
  [1965] = 738,
  [1966] = 1966,
  [1967] = 847,
  [1968] = 850,
  [1969] = 927,
  [1970] = 928,
  [1971] = 883,
  [1972] = 1884,
  [1973] = 931,
  [1974] = 1966,
  [1975] = 872,
  [1976] = 1976,
  [1977] = 1887,
  [1978] = 867,
  [1979] = 1976,
  [1980] = 984,
  [1981] = 866,
  [1982] = 865,
  [1983] = 975,
  [1984] = 864,
  [1985] = 863,
  [1986] = 862,
  [1987] = 859,
  [1988] = 856,
  [1989] = 854,
  [1990] = 932,
  [1991] = 973,
  [1992] = 934,
  [1993] = 915,
  [1994] = 936,
  [1995] = 938,
  [1996] = 939,
  [1997] = 1997,
  [1998] = 940,
  [1999] = 1944,
  [2000] = 724,
  [2001] = 752,
  [2002] = 2002,
  [2003] = 164,
  [2004] = 941,
  [2005] = 1860,
  [2006] = 825,
  [2007] = 2007,
  [2008] = 753,
  [2009] = 1944,
  [2010] = 767,
  [2011] = 847,
  [2012] = 850,
  [2013] = 872,
  [2014] = 867,
  [2015] = 866,
  [2016] = 865,
  [2017] = 2017,
  [2018] = 864,
  [2019] = 944,
  [2020] = 945,
  [2021] = 2021,
  [2022] = 863,
  [2023] = 971,
  [2024] = 946,
  [2025] = 1884,
  [2026] = 2026,
  [2027] = 862,
  [2028] = 903,
  [2029] = 2029,
  [2030] = 859,
  [2031] = 947,
  [2032] = 856,
  [2033] = 1944,
  [2034] = 948,
  [2035] = 882,
  [2036] = 950,
  [2037] = 854,
  [2038] = 981,
  [2039] = 2039,
  [2040] = 827,
  [2041] = 825,
  [2042] = 1966,
  [2043] = 1976,
  [2044] = 906,
  [2045] = 949,
  [2046] = 1887,
  [2047] = 914,
  [2048] = 742,
  [2049] = 951,
  [2050] = 736,
  [2051] = 952,
  [2052] = 734,
  [2053] = 905,
  [2054] = 956,
  [2055] = 749,
  [2056] = 954,
  [2057] = 819,
  [2058] = 814,
  [2059] = 793,
  [2060] = 749,
  [2061] = 933,
  [2062] = 961,
  [2063] = 963,
  [2064] = 918,
  [2065] = 965,
  [2066] = 1976,
  [2067] = 897,
  [2068] = 983,
  [2069] = 982,
  [2070] = 979,
  [2071] = 978,
  [2072] = 976,
  [2073] = 964,
  [2074] = 962,
  [2075] = 957,
  [2076] = 955,
  [2077] = 742,
  [2078] = 2078,
  [2079] = 1966,
  [2080] = 793,
  [2081] = 929,
  [2082] = 966,
  [2083] = 971,
  [2084] = 2084,
  [2085] = 968,
  [2086] = 969,
  [2087] = 970,
  [2088] = 972,
  [2089] = 819,
  [2090] = 733,
  [2091] = 814,
  [2092] = 886,
  [2093] = 1944,
  [2094] = 924,
  [2095] = 980,
  [2096] = 827,
  [2097] = 1912,
  [2098] = 2098,
  [2099] = 1912,
  [2100] = 974,
  [2101] = 2026,
  [2102] = 1058,
  [2103] = 1067,
  [2104] = 1013,
  [2105] = 1021,
  [2106] = 1037,
  [2107] = 2107,
  [2108] = 1036,
  [2109] = 2109,
  [2110] = 1016,
  [2111] = 1012,
  [2112] = 1018,
  [2113] = 942,
  [2114] = 954,
  [2115] = 1043,
  [2116] = 1010,
  [2117] = 178,
  [2118] = 1007,
  [2119] = 1026,
  [2120] = 1008,
  [2121] = 210,
  [2122] = 2122,
  [2123] = 209,
  [2124] = 2124,
  [2125] = 1056,
  [2126] = 2126,
  [2127] = 1031,
  [2128] = 2128,
  [2129] = 859,
  [2130] = 2130,
  [2131] = 207,
  [2132] = 218,
  [2133] = 1002,
  [2134] = 1030,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 1028,
  [2138] = 2138,
  [2139] = 201,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2124,
  [2143] = 2143,
  [2144] = 198,
  [2145] = 1001,
  [2146] = 992,
  [2147] = 1004,
  [2148] = 166,
  [2149] = 1003,
  [2150] = 193,
  [2151] = 1022,
  [2152] = 1043,
  [2153] = 1023,
  [2154] = 2124,
  [2155] = 987,
  [2156] = 2126,
  [2157] = 2157,
  [2158] = 1912,
  [2159] = 991,
  [2160] = 2160,
  [2161] = 1009,
  [2162] = 995,
  [2163] = 192,
  [2164] = 994,
  [2165] = 988,
  [2166] = 2166,
  [2167] = 1011,
  [2168] = 866,
  [2169] = 2084,
  [2170] = 990,
  [2171] = 2171,
  [2172] = 1947,
  [2173] = 1040,
  [2174] = 2174,
  [2175] = 1937,
  [2176] = 2007,
  [2177] = 2124,
  [2178] = 1041,
  [2179] = 1024,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 1887,
  [2183] = 1884,
  [2184] = 2157,
  [2185] = 989,
  [2186] = 997,
  [2187] = 1025,
  [2188] = 1029,
  [2189] = 1034,
  [2190] = 862,
  [2191] = 999,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 1015,
  [2195] = 2160,
  [2196] = 2160,
  [2197] = 2124,
  [2198] = 1033,
  [2199] = 742,
  [2200] = 1039,
  [2201] = 1054,
  [2202] = 749,
  [2203] = 793,
  [2204] = 814,
  [2205] = 1014,
  [2206] = 1042,
  [2207] = 1048,
  [2208] = 825,
  [2209] = 1072,
  [2210] = 1000,
  [2211] = 1044,
  [2212] = 827,
  [2213] = 854,
  [2214] = 184,
  [2215] = 186,
  [2216] = 190,
  [2217] = 819,
  [2218] = 1045,
  [2219] = 200,
  [2220] = 206,
  [2221] = 208,
  [2222] = 212,
  [2223] = 214,
  [2224] = 2126,
  [2225] = 216,
  [2226] = 217,
  [2227] = 220,
  [2228] = 185,
  [2229] = 1059,
  [2230] = 1046,
  [2231] = 2007,
  [2232] = 985,
  [2233] = 2084,
  [2234] = 2234,
  [2235] = 2181,
  [2236] = 1017,
  [2237] = 1049,
  [2238] = 725,
  [2239] = 175,
  [2240] = 1070,
  [2241] = 1057,
  [2242] = 1050,
  [2243] = 1051,
  [2244] = 1052,
  [2245] = 1053,
  [2246] = 2126,
  [2247] = 996,
  [2248] = 173,
  [2249] = 172,
  [2250] = 1055,
  [2251] = 856,
  [2252] = 170,
  [2253] = 1062,
  [2254] = 168,
  [2255] = 993,
  [2256] = 167,
  [2257] = 1064,
  [2258] = 2258,
  [2259] = 194,
  [2260] = 724,
  [2261] = 181,
  [2262] = 1038,
  [2263] = 183,
  [2264] = 2124,
  [2265] = 196,
  [2266] = 2266,
  [2267] = 1005,
  [2268] = 975,
  [2269] = 1878,
  [2270] = 959,
  [2271] = 752,
  [2272] = 985,
  [2273] = 1937,
  [2274] = 1000,
  [2275] = 1066,
  [2276] = 753,
  [2277] = 1061,
  [2278] = 767,
  [2279] = 863,
  [2280] = 847,
  [2281] = 1063,
  [2282] = 1057,
  [2283] = 1032,
  [2284] = 971,
  [2285] = 1020,
  [2286] = 2286,
  [2287] = 998,
  [2288] = 2288,
  [2289] = 2124,
  [2290] = 1068,
  [2291] = 971,
  [2292] = 850,
  [2293] = 872,
  [2294] = 1065,
  [2295] = 1047,
  [2296] = 986,
  [2297] = 2297,
  [2298] = 2124,
  [2299] = 942,
  [2300] = 1075,
  [2301] = 1056,
  [2302] = 1073,
  [2303] = 1887,
  [2304] = 867,
  [2305] = 1071,
  [2306] = 865,
  [2307] = 1884,
  [2308] = 1003,
  [2309] = 1069,
  [2310] = 864,
  [2311] = 1004,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 954,
  [2317] = 2314,
  [2318] = 2318,
  [2319] = 2007,
  [2320] = 2314,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 971,
  [2328] = 1947,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2312,
  [2332] = 2314,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 1884,
  [2339] = 2193,
  [2340] = 1947,
  [2341] = 1916,
  [2342] = 2039,
  [2343] = 2343,
  [2344] = 2312,
  [2345] = 2039,
  [2346] = 2084,
  [2347] = 2314,
  [2348] = 942,
  [2349] = 2314,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2330,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2326,
  [2357] = 2354,
  [2358] = 2314,
  [2359] = 2352,
  [2360] = 2314,
  [2361] = 2361,
  [2362] = 2352,
  [2363] = 1887,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2368,
  [2370] = 959,
  [2371] = 954,
  [2372] = 2368,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2368,
  [2376] = 742,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 749,
  [2381] = 1839,
  [2382] = 2382,
  [2383] = 975,
  [2384] = 793,
  [2385] = 2365,
  [2386] = 2374,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 767,
  [2390] = 2390,
  [2391] = 2039,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2365,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 753,
  [2399] = 2039,
  [2400] = 752,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 814,
  [2406] = 819,
  [2407] = 2374,
  [2408] = 2365,
  [2409] = 2368,
  [2410] = 2410,
  [2411] = 825,
  [2412] = 2412,
  [2413] = 827,
  [2414] = 2414,
  [2415] = 2374,
  [2416] = 2416,
  [2417] = 2365,
  [2418] = 2418,
  [2419] = 2367,
  [2420] = 725,
  [2421] = 2365,
  [2422] = 2422,
  [2423] = 2374,
  [2424] = 2084,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2368,
  [2430] = 854,
  [2431] = 2431,
  [2432] = 856,
  [2433] = 2365,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 1860,
  [2437] = 859,
  [2438] = 2414,
  [2439] = 2367,
  [2440] = 2388,
  [2441] = 862,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 863,
  [2445] = 2445,
  [2446] = 864,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 865,
  [2450] = 866,
  [2451] = 2368,
  [2452] = 2402,
  [2453] = 2374,
  [2454] = 2454,
  [2455] = 867,
  [2456] = 2456,
  [2457] = 872,
  [2458] = 2458,
  [2459] = 1860,
  [2460] = 1937,
  [2461] = 2393,
  [2462] = 2365,
  [2463] = 2414,
  [2464] = 2414,
  [2465] = 2367,
  [2466] = 2374,
  [2467] = 2396,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 850,
  [2471] = 2368,
  [2472] = 2472,
  [2473] = 847,
  [2474] = 2007,
  [2475] = 724,
  [2476] = 2374,
  [2477] = 2447,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2481,
  [2484] = 856,
  [2485] = 793,
  [2486] = 2486,
  [2487] = 752,
  [2488] = 2481,
  [2489] = 975,
  [2490] = 959,
  [2491] = 942,
  [2492] = 2486,
  [2493] = 859,
  [2494] = 2494,
  [2495] = 749,
  [2496] = 2481,
  [2497] = 862,
  [2498] = 2498,
  [2499] = 724,
  [2500] = 2500,
  [2501] = 971,
  [2502] = 2502,
  [2503] = 2481,
  [2504] = 2504,
  [2505] = 2180,
  [2506] = 863,
  [2507] = 742,
  [2508] = 2480,
  [2509] = 2509,
  [2510] = 864,
  [2511] = 2478,
  [2512] = 865,
  [2513] = 866,
  [2514] = 2514,
  [2515] = 2486,
  [2516] = 2481,
  [2517] = 753,
  [2518] = 814,
  [2519] = 867,
  [2520] = 2494,
  [2521] = 819,
  [2522] = 2481,
  [2523] = 767,
  [2524] = 2524,
  [2525] = 2498,
  [2526] = 2526,
  [2527] = 954,
  [2528] = 2481,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 872,
  [2535] = 825,
  [2536] = 850,
  [2537] = 847,
  [2538] = 725,
  [2539] = 827,
  [2540] = 854,
  [2541] = 2509,
  [2542] = 891,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2367,
  [2553] = 2414,
  [2554] = 2367,
  [2555] = 2367,
  [2556] = 2367,
  [2557] = 2557,
  [2558] = 2367,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2414,
  [2562] = 2414,
  [2563] = 2563,
  [2564] = 2414,
  [2565] = 2414,
  [2566] = 2367,
  [2567] = 2414,
  [2568] = 2414,
  [2569] = 2569,
  [2570] = 2367,
  [2571] = 2414,
  [2572] = 2367,
  [2573] = 177,
  [2574] = 2574,
  [2575] = 219,
  [2576] = 2576,
  [2577] = 1466,
  [2578] = 2550,
  [2579] = 2545,
  [2580] = 2580,
  [2581] = 191,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 1485,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 195,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2498,
  [2617] = 2617,
  [2618] = 2498,
  [2619] = 2514,
  [2620] = 2620,
  [2621] = 2529,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2623,
  [2625] = 2625,
  [2626] = 2524,
  [2627] = 2494,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 195,
  [2631] = 2494,
  [2632] = 2482,
  [2633] = 2633,
  [2634] = 2509,
  [2635] = 2480,
  [2636] = 191,
  [2637] = 2509,
  [2638] = 2480,
  [2639] = 2639,
  [2640] = 1475,
  [2641] = 973,
  [2642] = 177,
  [2643] = 219,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 905,
  [2652] = 2652,
  [2653] = 1490,
  [2654] = 958,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2502,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2674,
  [2687] = 2679,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2684,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2685,
  [2700] = 2682,
  [2701] = 2701,
  [2702] = 2695,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2697,
  [2706] = 2706,
  [2707] = 732,
  [2708] = 735,
  [2709] = 958,
  [2710] = 973,
  [2711] = 905,
  [2712] = 2712,
  [2713] = 888,
  [2714] = 744,
  [2715] = 712,
  [2716] = 719,
  [2717] = 902,
  [2718] = 940,
  [2719] = 952,
  [2720] = 946,
  [2721] = 898,
  [2722] = 896,
  [2723] = 895,
  [2724] = 951,
  [2725] = 2725,
  [2726] = 2725,
  [2727] = 944,
  [2728] = 943,
  [2729] = 947,
  [2730] = 948,
  [2731] = 941,
  [2732] = 925,
  [2733] = 923,
  [2734] = 922,
  [2735] = 921,
  [2736] = 882,
  [2737] = 907,
  [2738] = 912,
  [2739] = 938,
  [2740] = 899,
  [2741] = 950,
  [2742] = 890,
  [2743] = 945,
  [2744] = 904,
  [2745] = 939,
  [2746] = 901,
  [2747] = 913,
  [2748] = 900,
  [2749] = 916,
  [2750] = 917,
  [2751] = 919,
  [2752] = 920,
  [2753] = 2753,
  [2754] = 974,
  [2755] = 734,
  [2756] = 750,
  [2757] = 720,
  [2758] = 733,
  [2759] = 980,
  [2760] = 886,
  [2761] = 738,
  [2762] = 933,
  [2763] = 736,
  [2764] = 955,
  [2765] = 972,
  [2766] = 732,
  [2767] = 714,
  [2768] = 978,
  [2769] = 888,
  [2770] = 2770,
  [2771] = 961,
  [2772] = 2753,
  [2773] = 735,
  [2774] = 981,
  [2775] = 936,
  [2776] = 744,
  [2777] = 906,
  [2778] = 949,
  [2779] = 914,
  [2780] = 712,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2781,
  [2784] = 2770,
  [2785] = 897,
  [2786] = 2786,
  [2787] = 909,
  [2788] = 2781,
  [2789] = 984,
  [2790] = 970,
  [2791] = 910,
  [2792] = 911,
  [2793] = 934,
  [2794] = 982,
  [2795] = 2781,
  [2796] = 2781,
  [2797] = 2797,
  [2798] = 903,
  [2799] = 928,
  [2800] = 979,
  [2801] = 965,
  [2802] = 893,
  [2803] = 2803,
  [2804] = 932,
  [2805] = 966,
  [2806] = 969,
  [2807] = 2781,
  [2808] = 2781,
  [2809] = 962,
  [2810] = 719,
  [2811] = 2811,
  [2812] = 918,
  [2813] = 684,
  [2814] = 2781,
  [2815] = 957,
  [2816] = 964,
  [2817] = 2817,
  [2818] = 951,
  [2819] = 922,
  [2820] = 921,
  [2821] = 920,
  [2822] = 919,
  [2823] = 917,
  [2824] = 916,
  [2825] = 913,
  [2826] = 912,
  [2827] = 940,
  [2828] = 2817,
  [2829] = 947,
  [2830] = 946,
  [2831] = 945,
  [2832] = 944,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 907,
  [2836] = 890,
  [2837] = 904,
  [2838] = 902,
  [2839] = 901,
  [2840] = 900,
  [2841] = 899,
  [2842] = 898,
  [2843] = 896,
  [2844] = 895,
  [2845] = 2833,
  [2846] = 2834,
  [2847] = 939,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 941,
  [2852] = 624,
  [2853] = 836,
  [2854] = 2833,
  [2855] = 938,
  [2856] = 684,
  [2857] = 2834,
  [2858] = 2850,
  [2859] = 943,
  [2860] = 925,
  [2861] = 2850,
  [2862] = 2817,
  [2863] = 948,
  [2864] = 2850,
  [2865] = 882,
  [2866] = 2866,
  [2867] = 623,
  [2868] = 684,
  [2869] = 950,
  [2870] = 616,
  [2871] = 2871,
  [2872] = 923,
  [2873] = 952,
  [2874] = 2817,
  [2875] = 2833,
  [2876] = 2876,
  [2877] = 2833,
  [2878] = 684,
  [2879] = 2817,
  [2880] = 2850,
  [2881] = 2834,
  [2882] = 2834,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2834,
  [2887] = 2850,
  [2888] = 2833,
  [2889] = 2817,
  [2890] = 2890,
  [2891] = 712,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 886,
  [2896] = 980,
  [2897] = 974,
  [2898] = 2890,
  [2899] = 2899,
  [2900] = 973,
  [2901] = 714,
  [2902] = 836,
  [2903] = 836,
  [2904] = 2890,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2885,
  [2910] = 2892,
  [2911] = 719,
  [2912] = 744,
  [2913] = 2892,
  [2914] = 2892,
  [2915] = 2915,
  [2916] = 958,
  [2917] = 2890,
  [2918] = 836,
  [2919] = 2892,
  [2920] = 2920,
  [2921] = 684,
  [2922] = 2922,
  [2923] = 933,
  [2924] = 2924,
  [2925] = 905,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 888,
  [2930] = 888,
  [2931] = 2931,
  [2932] = 895,
  [2933] = 896,
  [2934] = 898,
  [2935] = 2928,
  [2936] = 899,
  [2937] = 900,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 901,
  [2941] = 902,
  [2942] = 904,
  [2943] = 890,
  [2944] = 907,
  [2945] = 912,
  [2946] = 913,
  [2947] = 916,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 836,
  [2952] = 917,
  [2953] = 860,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 919,
  [2957] = 920,
  [2958] = 921,
  [2959] = 922,
  [2960] = 2960,
  [2961] = 923,
  [2962] = 925,
  [2963] = 938,
  [2964] = 572,
  [2965] = 940,
  [2966] = 941,
  [2967] = 2967,
  [2968] = 943,
  [2969] = 944,
  [2970] = 945,
  [2971] = 2928,
  [2972] = 2972,
  [2973] = 946,
  [2974] = 2974,
  [2975] = 952,
  [2976] = 2976,
  [2977] = 950,
  [2978] = 882,
  [2979] = 2979,
  [2980] = 2928,
  [2981] = 2981,
  [2982] = 951,
  [2983] = 939,
  [2984] = 948,
  [2985] = 947,
  [2986] = 720,
  [2987] = 2987,
  [2988] = 861,
  [2989] = 935,
  [2990] = 979,
  [2991] = 892,
  [2992] = 2992,
  [2993] = 936,
  [2994] = 934,
  [2995] = 714,
  [2996] = 976,
  [2997] = 963,
  [2998] = 983,
  [2999] = 733,
  [3000] = 3000,
  [3001] = 613,
  [3002] = 955,
  [3003] = 888,
  [3004] = 972,
  [3005] = 914,
  [3006] = 949,
  [3007] = 906,
  [3008] = 637,
  [3009] = 970,
  [3010] = 984,
  [3011] = 981,
  [3012] = 903,
  [3013] = 969,
  [3014] = 3014,
  [3015] = 966,
  [3016] = 957,
  [3017] = 931,
  [3018] = 860,
  [3019] = 932,
  [3020] = 973,
  [3021] = 968,
  [3022] = 928,
  [3023] = 965,
  [3024] = 861,
  [3025] = 860,
  [3026] = 927,
  [3027] = 3027,
  [3028] = 2992,
  [3029] = 861,
  [3030] = 962,
  [3031] = 964,
  [3032] = 961,
  [3033] = 734,
  [3034] = 974,
  [3035] = 980,
  [3036] = 886,
  [3037] = 905,
  [3038] = 860,
  [3039] = 978,
  [3040] = 673,
  [3041] = 937,
  [3042] = 982,
  [3043] = 738,
  [3044] = 929,
  [3045] = 897,
  [3046] = 736,
  [3047] = 958,
  [3048] = 861,
  [3049] = 911,
  [3050] = 636,
  [3051] = 918,
  [3052] = 612,
  [3053] = 910,
  [3054] = 909,
  [3055] = 956,
  [3056] = 933,
  [3057] = 893,
  [3058] = 750,
  [3059] = 626,
  [3060] = 3060,
  [3061] = 652,
  [3062] = 861,
  [3063] = 638,
  [3064] = 968,
  [3065] = 684,
  [3066] = 3066,
  [3067] = 892,
  [3068] = 931,
  [3069] = 3066,
  [3070] = 892,
  [3071] = 3071,
  [3072] = 3060,
  [3073] = 3073,
  [3074] = 983,
  [3075] = 3075,
  [3076] = 976,
  [3077] = 3066,
  [3078] = 3078,
  [3079] = 931,
  [3080] = 976,
  [3081] = 3081,
  [3082] = 983,
  [3083] = 3083,
  [3084] = 860,
  [3085] = 963,
  [3086] = 3086,
  [3087] = 935,
  [3088] = 968,
  [3089] = 935,
  [3090] = 937,
  [3091] = 3091,
  [3092] = 3073,
  [3093] = 937,
  [3094] = 963,
  [3095] = 983,
  [3096] = 931,
  [3097] = 3083,
  [3098] = 3098,
  [3099] = 968,
  [3100] = 3100,
  [3101] = 976,
  [3102] = 963,
  [3103] = 720,
  [3104] = 892,
  [3105] = 3073,
  [3106] = 937,
  [3107] = 935,
  [3108] = 2928,
  [3109] = 928,
  [3110] = 2928,
  [3111] = 927,
  [3112] = 956,
  [3113] = 3113,
  [3114] = 929,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 2928,
  [3118] = 892,
  [3119] = 893,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3075,
  [3123] = 3078,
  [3124] = 937,
  [3125] = 935,
  [3126] = 750,
  [3127] = 909,
  [3128] = 910,
  [3129] = 3129,
  [3130] = 911,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 2928,
  [3134] = 738,
  [3135] = 3135,
  [3136] = 927,
  [3137] = 931,
  [3138] = 3138,
  [3139] = 932,
  [3140] = 3140,
  [3141] = 934,
  [3142] = 2928,
  [3143] = 3135,
  [3144] = 936,
  [3145] = 2928,
  [3146] = 3132,
  [3147] = 3078,
  [3148] = 3148,
  [3149] = 3132,
  [3150] = 3121,
  [3151] = 734,
  [3152] = 956,
  [3153] = 961,
  [3154] = 3154,
  [3155] = 963,
  [3156] = 965,
  [3157] = 3157,
  [3158] = 966,
  [3159] = 968,
  [3160] = 3148,
  [3161] = 3132,
  [3162] = 969,
  [3163] = 970,
  [3164] = 972,
  [3165] = 3165,
  [3166] = 733,
  [3167] = 3113,
  [3168] = 3075,
  [3169] = 3169,
  [3170] = 732,
  [3171] = 3171,
  [3172] = 3132,
  [3173] = 929,
  [3174] = 955,
  [3175] = 836,
  [3176] = 957,
  [3177] = 3121,
  [3178] = 3129,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 962,
  [3182] = 964,
  [3183] = 3169,
  [3184] = 3184,
  [3185] = 976,
  [3186] = 978,
  [3187] = 979,
  [3188] = 982,
  [3189] = 3189,
  [3190] = 983,
  [3191] = 897,
  [3192] = 918,
  [3193] = 2928,
  [3194] = 3194,
  [3195] = 736,
  [3196] = 735,
  [3197] = 3132,
  [3198] = 3198,
  [3199] = 2928,
  [3200] = 914,
  [3201] = 903,
  [3202] = 3202,
  [3203] = 949,
  [3204] = 906,
  [3205] = 981,
  [3206] = 984,
  [3207] = 3169,
  [3208] = 3208,
  [3209] = 3113,
  [3210] = 3210,
  [3211] = 3211,
  [3212] = 3212,
  [3213] = 3213,
  [3214] = 714,
  [3215] = 3215,
  [3216] = 1466,
  [3217] = 3211,
  [3218] = 3210,
  [3219] = 3213,
  [3220] = 3211,
  [3221] = 3211,
  [3222] = 3210,
  [3223] = 3223,
  [3224] = 3210,
  [3225] = 3211,
  [3226] = 3226,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 3230,
  [3231] = 3227,
  [3232] = 3232,
  [3233] = 3233,
  [3234] = 3234,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 3239,
  [3240] = 3240,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3230,
  [3247] = 3247,
  [3248] = 3247,
  [3249] = 3237,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3251,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3247,
  [3259] = 3259,
  [3260] = 3229,
  [3261] = 3261,
  [3262] = 693,
  [3263] = 3263,
  [3264] = 3264,
  [3265] = 3265,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3251,
  [3270] = 3244,
  [3271] = 3271,
  [3272] = 1463,
  [3273] = 3273,
  [3274] = 3268,
  [3275] = 3275,
  [3276] = 3259,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 3280,
  [3281] = 3281,
  [3282] = 3282,
  [3283] = 3268,
  [3284] = 1485,
  [3285] = 3261,
  [3286] = 3286,
  [3287] = 3241,
  [3288] = 3278,
  [3289] = 3289,
  [3290] = 3290,
  [3291] = 3230,
  [3292] = 3292,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 3295,
  [3296] = 3014,
  [3297] = 3297,
  [3298] = 3242,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 3301,
  [3302] = 3261,
  [3303] = 3113,
  [3304] = 3304,
  [3305] = 3265,
  [3306] = 3306,
  [3307] = 3266,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 3280,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 3313,
  [3314] = 3314,
  [3315] = 3242,
  [3316] = 3236,
  [3317] = 860,
  [3318] = 861,
  [3319] = 3113,
  [3320] = 3320,
  [3321] = 3244,
  [3322] = 3267,
  [3323] = 3027,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3259,
  [3327] = 3327,
  [3328] = 3328,
  [3329] = 3329,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 3086,
  [3333] = 3115,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3120,
  [3337] = 3237,
  [3338] = 3202,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3194,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 3154,
  [3345] = 3345,
  [3346] = 3346,
  [3347] = 3347,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3348,
  [3353] = 3353,
  [3354] = 3256,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3362,
  [3363] = 3363,
  [3364] = 3364,
  [3365] = 3365,
  [3366] = 3366,
  [3367] = 3353,
  [3368] = 3279,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3233,
  [3373] = 3373,
  [3374] = 976,
  [3375] = 983,
  [3376] = 3369,
  [3377] = 3282,
  [3378] = 3378,
  [3379] = 3369,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3286,
  [3386] = 3386,
  [3387] = 3366,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3228,
  [3391] = 3358,
  [3392] = 3381,
  [3393] = 3293,
  [3394] = 3394,
  [3395] = 3320,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3394,
  [3411] = 3411,
  [3412] = 3403,
  [3413] = 3350,
  [3414] = 3408,
  [3415] = 3349,
  [3416] = 3389,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3388,
  [3420] = 3420,
  [3421] = 3297,
  [3422] = 3381,
  [3423] = 3358,
  [3424] = 3394,
  [3425] = 3396,
  [3426] = 3299,
  [3427] = 3346,
  [3428] = 3396,
  [3429] = 3398,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 3300,
  [3433] = 3403,
  [3434] = 3301,
  [3435] = 3406,
  [3436] = 3436,
  [3437] = 3394,
  [3438] = 3399,
  [3439] = 3358,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 3398,
  [3443] = 3402,
  [3444] = 3404,
  [3445] = 3406,
  [3446] = 3407,
  [3447] = 3396,
  [3448] = 3448,
  [3449] = 3449,
  [3450] = 3386,
  [3451] = 3335,
  [3452] = 596,
  [3453] = 3398,
  [3454] = 3358,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 3458,
  [3459] = 3381,
  [3460] = 3441,
  [3461] = 3403,
  [3462] = 3449,
  [3463] = 3400,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3394,
  [3467] = 3402,
  [3468] = 3404,
  [3469] = 3384,
  [3470] = 3470,
  [3471] = 3406,
  [3472] = 3472,
  [3473] = 3403,
  [3474] = 3304,
  [3475] = 3312,
  [3476] = 3381,
  [3477] = 3403,
  [3478] = 3478,
  [3479] = 3330,
  [3480] = 3373,
  [3481] = 3329,
  [3482] = 3358,
  [3483] = 3313,
  [3484] = 3382,
  [3485] = 3328,
  [3486] = 3314,
  [3487] = 3487,
  [3488] = 3396,
  [3489] = 3398,
  [3490] = 3383,
  [3491] = 3343,
  [3492] = 3492,
  [3493] = 892,
  [3494] = 3396,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3398,
  [3498] = 3399,
  [3499] = 3407,
  [3500] = 937,
  [3501] = 935,
  [3502] = 3362,
  [3503] = 931,
  [3504] = 3406,
  [3505] = 3441,
  [3506] = 3506,
  [3507] = 3404,
  [3508] = 3402,
  [3509] = 3403,
  [3510] = 3256,
  [3511] = 3406,
  [3512] = 3430,
  [3513] = 3431,
  [3514] = 3394,
  [3515] = 3515,
  [3516] = 3430,
  [3517] = 3371,
  [3518] = 3518,
  [3519] = 3365,
  [3520] = 3327,
  [3521] = 3521,
  [3522] = 3431,
  [3523] = 3523,
  [3524] = 963,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3398,
  [3529] = 3529,
  [3530] = 3281,
  [3531] = 3381,
  [3532] = 3396,
  [3533] = 3533,
  [3534] = 968,
  [3535] = 3371,
  [3536] = 3394,
  [3537] = 3383,
  [3538] = 3358,
  [3539] = 3430,
  [3540] = 3431,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3541,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3355,
  [3563] = 3563,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3546,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3572,
  [3577] = 3545,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3580,
  [3581] = 3572,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3075,
  [3592] = 3340,
  [3593] = 3552,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3359,
  [3601] = 3360,
  [3602] = 3602,
  [3603] = 3588,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3552,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3078,
  [3625] = 841,
  [3626] = 3618,
  [3627] = 3627,
  [3628] = 3566,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3558,
  [3632] = 3582,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3598,
  [3636] = 3563,
  [3637] = 3565,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3629,
  [3643] = 3613,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3325,
  [3649] = 3572,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3363,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3572,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3670,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3588,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3552,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3557,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3580,
  [3687] = 3687,
  [3688] = 3552,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3621,
  [3692] = 3557,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3078,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3612,
  [3699] = 3609,
  [3700] = 3546,
  [3701] = 3597,
  [3702] = 3702,
  [3703] = 657,
  [3704] = 3589,
  [3705] = 3705,
  [3706] = 3545,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3552,
  [3710] = 3585,
  [3711] = 3572,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3658,
  [3715] = 3561,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3075,
  [3719] = 3654,
  [3720] = 3574,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3583,
  [3725] = 3541,
  [3726] = 3308,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3569,
  [3730] = 3663,
  [3731] = 3646,
  [3732] = 3331,
  [3733] = 3702,
  [3734] = 3734,
  [3735] = 3722,
  [3736] = 3590,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 888,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3749,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 3752,
  [3756] = 3753,
  [3757] = 3749,
  [3758] = 3749,
  [3759] = 3749,
  [3760] = 3749,
  [3761] = 3761,
  [3762] = 3749,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3746,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3753,
  [3776] = 3746,
  [3777] = 3768,
  [3778] = 3769,
  [3779] = 3754,
  [3780] = 3761,
  [3781] = 3781,
  [3782] = 3749,
  [3783] = 3783,
  [3784] = 3770,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3752,
  [3792] = 3792,
  [3793] = 3753,
  [3794] = 3794,
  [3795] = 3752,
  [3796] = 3753,
  [3797] = 3752,
  [3798] = 3798,
  [3799] = 3753,
  [3800] = 3800,
  [3801] = 3801,
  [3802] = 3752,
  [3803] = 3753,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3752,
  [3810] = 3810,
  [3811] = 3761,
  [3812] = 3812,
  [3813] = 3753,
  [3814] = 3814,
  [3815] = 3761,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3754,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3814,
  [3823] = 3816,
  [3824] = 3824,
  [3825] = 3798,
  [3826] = 3826,
  [3827] = 3801,
  [3828] = 3828,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3817,
  [3832] = 3832,
  [3833] = 3761,
  [3834] = 3834,
  [3835] = 674,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 680,
  [3841] = 3749,
  [3842] = 3842,
  [3843] = 3820,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 3846,
  [3847] = 3845,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3850,
  [3851] = 3851,
  [3852] = 3852,
  [3853] = 3752,
  [3854] = 3846,
  [3855] = 3836,
  [3856] = 3752,
  [3857] = 3857,
  [3858] = 3753,
  [3859] = 3859,
  [3860] = 3804,
  [3861] = 3861,
  [3862] = 3748,
  [3863] = 3746,
  [3864] = 3768,
  [3865] = 3769,
  [3866] = 3770,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3816,
  [3870] = 3814,
  [3871] = 3871,
  [3872] = 3768,
  [3873] = 3806,
  [3874] = 3761,
  [3875] = 3875,
  [3876] = 3861,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 3836,
  [3880] = 3814,
  [3881] = 3816,
  [3882] = 3814,
  [3883] = 3816,
  [3884] = 3884,
  [3885] = 3817,
  [3886] = 3820,
  [3887] = 3768,
  [3888] = 3746,
  [3889] = 3889,
  [3890] = 3890,
  [3891] = 3761,
  [3892] = 3836,
  [3893] = 3861,
  [3894] = 3894,
  [3895] = 3836,
  [3896] = 3896,
  [3897] = 3816,
  [3898] = 3898,
  [3899] = 3814,
  [3900] = 3900,
  [3901] = 3884,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3859,
  [3905] = 3768,
  [3906] = 3746,
  [3907] = 3884,
  [3908] = 3761,
  [3909] = 3909,
  [3910] = 3861,
  [3911] = 3890,
  [3912] = 3890,
  [3913] = 3898,
  [3914] = 3890,
  [3915] = 3836,
  [3916] = 3916,
  [3917] = 3861,
  [3918] = 3918,
  [3919] = 3816,
  [3920] = 3814,
  [3921] = 3918,
  [3922] = 3861,
  [3923] = 3898,
  [3924] = 3746,
  [3925] = 3859,
  [3926] = 3761,
  [3927] = 3768,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3584,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3647,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3937,
  [3938] = 3938,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 191,
  [3944] = 3673,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 195,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3938,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3932,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 693,
  [3973] = 3942,
  [3974] = 3974,
  [3975] = 3955,
  [3976] = 3928,
  [3977] = 3977,
  [3978] = 3978,
  [3979] = 3967,
  [3980] = 3942,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3942,
  [3994] = 3994,
  [3995] = 3320,
  [3996] = 3942,
  [3997] = 3986,
  [3998] = 3998,
  [3999] = 3999,
  [4000] = 4000,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 3959,
  [4005] = 3998,
  [4006] = 3948,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 701,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 3945,
  [4016] = 4016,
  [4017] = 3958,
  [4018] = 4018,
  [4019] = 4003,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 4007,
  [4023] = 4023,
  [4024] = 4024,
  [4025] = 3945,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 3942,
  [4034] = 4034,
  [4035] = 3928,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 4000,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 3937,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4020,
  [4050] = 3928,
  [4051] = 4046,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 3933,
  [4055] = 4055,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4048,
  [4059] = 3945,
  [4060] = 4039,
  [4061] = 4053,
  [4062] = 4062,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 3343,
  [4067] = 4067,
  [4068] = 4068,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 4031,
  [4073] = 4020,
  [4074] = 3281,
  [4075] = 4021,
  [4076] = 4044,
  [4077] = 4064,
  [4078] = 4021,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4040,
  [4084] = 4031,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 978,
  [4090] = 955,
  [4091] = 4071,
  [4092] = 4080,
  [4093] = 4093,
  [4094] = 3954,
  [4095] = 3932,
  [4096] = 3936,
  [4097] = 4097,
  [4098] = 4097,
  [4099] = 4021,
  [4100] = 4020,
  [4101] = 4085,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4102,
  [4105] = 3942,
  [4106] = 4106,
  [4107] = 3928,
  [4108] = 3942,
  [4109] = 4109,
  [4110] = 4041,
  [4111] = 4111,
  [4112] = 3971,
  [4113] = 4113,
  [4114] = 4114,
  [4115] = 4041,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 3335,
  [4119] = 4116,
  [4120] = 4106,
  [4121] = 3928,
  [4122] = 4021,
  [4123] = 4020,
  [4124] = 4106,
  [4125] = 3981,
  [4126] = 3986,
  [4127] = 4020,
  [4128] = 4021,
  [4129] = 4102,
  [4130] = 4000,
  [4131] = 3994,
  [4132] = 4103,
  [4133] = 3998,
  [4134] = 4134,
  [4135] = 4086,
  [4136] = 4002,
  [4137] = 4041,
  [4138] = 4031,
  [4139] = 4003,
  [4140] = 4085,
  [4141] = 4007,
  [4142] = 4079,
  [4143] = 4008,
  [4144] = 4013,
  [4145] = 4145,
  [4146] = 4146,
  [4147] = 3945,
  [4148] = 4041,
  [4149] = 4116,
  [4150] = 4048,
  [4151] = 4064,
  [4152] = 3928,
  [4153] = 4080,
  [4154] = 4097,
  [4155] = 4031,
  [4156] = 3928,
  [4157] = 4117,
  [4158] = 4041,
  [4159] = 4159,
  [4160] = 4031,
  [4161] = 3945,
  [4162] = 4041,
  [4163] = 4114,
  [4164] = 4113,
  [4165] = 4021,
  [4166] = 4020,
  [4167] = 4039,
  [4168] = 3942,
  [4169] = 4020,
  [4170] = 4021,
  [4171] = 4171,
  [4172] = 3999,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 3909,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 2580,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4183,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4186,
  [4205] = 4205,
  [4206] = 2601,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 1566,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4198,
  [4215] = 4183,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 2605,
  [4221] = 4221,
  [4222] = 2598,
  [4223] = 4223,
  [4224] = 4200,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 2607,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 2608,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 2593,
  [4239] = 4205,
  [4240] = 4240,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 2584,
  [4247] = 4247,
  [4248] = 4247,
  [4249] = 4243,
  [4250] = 4192,
  [4251] = 4242,
  [4252] = 2588,
  [4253] = 4240,
  [4254] = 4254,
  [4255] = 2614,
  [4256] = 4256,
  [4257] = 4218,
  [4258] = 4258,
  [4259] = 4256,
  [4260] = 4260,
  [4261] = 4194,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 4233,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 2615,
  [4268] = 4268,
  [4269] = 2611,
  [4270] = 4270,
  [4271] = 4271,
  [4272] = 4191,
  [4273] = 4273,
  [4274] = 4241,
  [4275] = 4275,
  [4276] = 2594,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4207,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4234,
  [4289] = 4221,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4293,
  [4294] = 2591,
  [4295] = 4295,
  [4296] = 2590,
  [4297] = 4190,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4200,
  [4302] = 4187,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4233,
  [4306] = 4306,
  [4307] = 4174,
  [4308] = 4184,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4192,
  [4316] = 4256,
  [4317] = 4258,
  [4318] = 4225,
  [4319] = 4319,
  [4320] = 4225,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4241,
  [4324] = 4319,
  [4325] = 4188,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4195,
  [4329] = 4247,
  [4330] = 4233,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4233,
  [4334] = 4202,
  [4335] = 4216,
  [4336] = 4234,
  [4337] = 4213,
  [4338] = 4338,
  [4339] = 4185,
  [4340] = 4247,
  [4341] = 4202,
  [4342] = 4205,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 4219,
  [4346] = 4243,
  [4347] = 3256,
  [4348] = 4348,
  [4349] = 4310,
  [4350] = 4350,
  [4351] = 3355,
  [4352] = 4183,
  [4353] = 4226,
  [4354] = 4186,
  [4355] = 4218,
  [4356] = 4243,
  [4357] = 4225,
  [4358] = 4258,
  [4359] = 4359,
  [4360] = 4194,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4277,
  [4365] = 4365,
  [4366] = 4242,
  [4367] = 4367,
  [4368] = 4183,
  [4369] = 4225,
  [4370] = 4370,
  [4371] = 4186,
  [4372] = 4225,
  [4373] = 4373,
  [4374] = 4309,
  [4375] = 4174,
  [4376] = 4195,
  [4377] = 4183,
  [4378] = 4378,
  [4379] = 4186,
  [4380] = 4188,
  [4381] = 4225,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 2613,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 2602,
  [4389] = 4183,
  [4390] = 4184,
  [4391] = 4186,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4182,
  [4395] = 4395,
  [4396] = 4225,
  [4397] = 4290,
  [4398] = 4398,
  [4399] = 4176,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4175,
  [4405] = 4299,
  [4406] = 4406,
  [4407] = 4291,
  [4408] = 4408,
  [4409] = 4186,
  [4410] = 4410,
  [4411] = 4263,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4292,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4177,
  [4418] = 1577,
  [4419] = 4216,
  [4420] = 4420,
  [4421] = 4327,
  [4422] = 4422,
  [4423] = 4326,
  [4424] = 4424,
  [4425] = 4226,
  [4426] = 2582,
  [4427] = 4242,
  [4428] = 4183,
  [4429] = 4429,
  [4430] = 4365,
  [4431] = 3359,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4213,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 1575,
  [4439] = 4245,
  [4440] = 4200,
  [4441] = 4441,
  [4442] = 4197,
  [4443] = 534,
  [4444] = 4444,
  [4445] = 4186,
  [4446] = 4446,
  [4447] = 4200,
  [4448] = 4303,
  [4449] = 3360,
  [4450] = 4363,
  [4451] = 4436,
  [4452] = 4183,
  [4453] = 4186,
  [4454] = 4454,
  [4455] = 4219,
  [4456] = 4278,
  [4457] = 4457,
  [4458] = 4225,
  [4459] = 4240,
  [4460] = 2609,
  [4461] = 4461,
  [4462] = 2596,
  [4463] = 4242,
  [4464] = 532,
  [4465] = 4243,
  [4466] = 4466,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 4223,
  [4470] = 4470,
  [4471] = 4245,
  [4472] = 3256,
  [4473] = 4473,
  [4474] = 4247,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4309,
  [4479] = 4479,
  [4480] = 4212,
  [4481] = 4420,
  [4482] = 4221,
  [4483] = 4483,
  [4484] = 4219,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4240,
  [4488] = 4444,
  [4489] = 4285,
  [4490] = 4208,
  [4491] = 4285,
  [4492] = 4286,
  [4493] = 4287,
  [4494] = 4209,
  [4495] = 4286,
  [4496] = 4223,
  [4497] = 4408,
  [4498] = 4287,
  [4499] = 4240,
  [4500] = 4500,
  [4501] = 3363,
  [4502] = 4502,
  [4503] = 4378,
  [4504] = 4504,
  [4505] = 4209,
  [4506] = 4208,
  [4507] = 2595,
  [4508] = 4508,
  [4509] = 2587,
  [4510] = 4510,
  [4511] = 4511,
  [4512] = 4193,
  [4513] = 4370,
  [4514] = 4514,
  [4515] = 4313,
  [4516] = 4516,
  [4517] = 4517,
  [4518] = 4281,
  [4519] = 4280,
  [4520] = 4231,
  [4521] = 4292,
  [4522] = 4522,
  [4523] = 1561,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4211,
  [4527] = 4373,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4200,
  [4531] = 4240,
  [4532] = 4193,
  [4533] = 4242,
  [4534] = 4212,
  [4535] = 4535,
  [4536] = 4243,
  [4537] = 4247,
  [4538] = 4500,
  [4539] = 4193,
  [4540] = 4402,
  [4541] = 4211,
  [4542] = 4196,
  [4543] = 4382,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4567,
  [4569] = 4559,
  [4570] = 4570,
  [4571] = 4571,
  [4572] = 4550,
  [4573] = 4548,
  [4574] = 4555,
  [4575] = 4556,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4546,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4558,
  [4590] = 4563,
  [4591] = 4591,
  [4592] = 4545,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4588,
  [4596] = 4561,
  [4597] = 4576,
  [4598] = 4598,
  [4599] = 4566,
  [4600] = 4600,
  [4601] = 4570,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4604,
  [4605] = 4594,
  [4606] = 4579,
  [4607] = 4581,
  [4608] = 4584,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4612,
  [4613] = 4594,
  [4614] = 4564,
  [4615] = 4615,
  [4616] = 4591,
  [4617] = 4617,
  [4618] = 4591,
  [4619] = 4619,
  [4620] = 4584,
  [4621] = 4581,
  [4622] = 4562,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4623,
  [4633] = 4588,
  [4634] = 4561,
  [4635] = 4576,
  [4636] = 4576,
  [4637] = 4637,
  [4638] = 4545,
  [4639] = 4561,
  [4640] = 4640,
  [4641] = 4571,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4617,
  [4645] = 4581,
  [4646] = 4580,
  [4647] = 4584,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4591,
  [4651] = 4556,
  [4652] = 4652,
  [4653] = 4588,
  [4654] = 4623,
  [4655] = 4652,
  [4656] = 4598,
  [4657] = 4579,
  [4658] = 4555,
  [4659] = 4548,
  [4660] = 4550,
  [4661] = 4603,
  [4662] = 4662,
  [4663] = 4571,
  [4664] = 4652,
  [4665] = 4665,
  [4666] = 4626,
  [4667] = 4617,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4619,
  [4672] = 4588,
  [4673] = 4594,
  [4674] = 4612,
  [4675] = 4602,
  [4676] = 4559,
  [4677] = 4677,
  [4678] = 4545,
  [4679] = 4603,
  [4680] = 4626,
  [4681] = 4567,
  [4682] = 4600,
  [4683] = 4593,
  [4684] = 4617,
  [4685] = 4581,
  [4686] = 4584,
  [4687] = 4563,
  [4688] = 4591,
  [4689] = 4689,
  [4690] = 4617,
  [4691] = 4587,
  [4692] = 4546,
  [4693] = 4611,
  [4694] = 4603,
  [4695] = 4615,
  [4696] = 4583,
  [4697] = 4566,
  [4698] = 4617,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4564,
  [4703] = 4609,
  [4704] = 4704,
  [4705] = 4562,
  [4706] = 4578,
  [4707] = 4611,
  [4708] = 4603,
  [4709] = 4709,
  [4710] = 4609,
  [4711] = 4617,
  [4712] = 4545,
  [4713] = 4713,
  [4714] = 4553,
  [4715] = 4610,
  [4716] = 4603,
  [4717] = 4617,
  [4718] = 4617,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4689,
  [4724] = 4724,
  [4725] = 4582,
  [4726] = 4609,
  [4727] = 4588,
  [4728] = 4611,
  [4729] = 4582,
  [4730] = 4585,
  [4731] = 4731,
  [4732] = 4609,
  [4733] = 4562,
  [4734] = 4611,
  [4735] = 4735,
  [4736] = 4689,
  [4737] = 4737,
  [4738] = 4689,
  [4739] = 4600,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4553,
  [4743] = 4566,
  [4744] = 4591,
  [4745] = 4584,
  [4746] = 4581,
  [4747] = 4545,
  [4748] = 4565,
  [4749] = 4594,
  [4750] = 4582,
  [4751] = 4751,
  [4752] = 4582,
  [4753] = 4652,
  [4754] = 4585,
  [4755] = 4735,
  [4756] = 4612,
  [4757] = 4709,
  [4758] = 4561,
  [4759] = 4576,
  [4760] = 4623,
  [4761] = 4585,
  [4762] = 4611,
  [4763] = 4567,
  [4764] = 4610,
  [4765] = 4559,
  [4766] = 4598,
  [4767] = 4582,
  [4768] = 4571,
  [4769] = 4550,
  [4770] = 4623,
  [4771] = 4713,
  [4772] = 4598,
  [4773] = 4553,
  [4774] = 4774,
  [4775] = 4583,
  [4776] = 4548,
  [4777] = 4579,
  [4778] = 4778,
  [4779] = 4594,
  [4780] = 4555,
  [4781] = 4556,
  [4782] = 4598,
  [4783] = 4609,
  [4784] = 4665,
  [4785] = 4562,
  [4786] = 4564,
  [4787] = 4545,
  [4788] = 4598,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4566,
  [4794] = 4567,
  [4795] = 4553,
  [4796] = 4737,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4559,
  [4800] = 4571,
  [4801] = 4778,
  [4802] = 4550,
  [4803] = 4548,
  [4804] = 4689,
  [4805] = 4555,
  [4806] = 4806,
  [4807] = 4556,
  [4808] = 4588,
  [4809] = 4598,
  [4810] = 4735,
  [4811] = 4619,
  [4812] = 4812,
  [4813] = 4626,
  [4814] = 4619,
  [4815] = 4815,
  [4816] = 4612,
  [4817] = 4612,
  [4818] = 4602,
  [4819] = 4602,
  [4820] = 4600,
  [4821] = 4821,
  [4822] = 4600,
  [4823] = 4593,
  [4824] = 4593,
  [4825] = 4731,
  [4826] = 4826,
  [4827] = 4563,
  [4828] = 4587,
  [4829] = 4564,
  [4830] = 4563,
  [4831] = 4587,
  [4832] = 4546,
  [4833] = 4583,
  [4834] = 4583,
  [4835] = 4611,
  [4836] = 4585,
  [4837] = 4609,
  [4838] = 4582,
  [4839] = 4576,
  [4840] = 4561,
  [4841] = 4588,
  [4842] = 4594,
  [4843] = 4623,
  [4844] = 4591,
  [4845] = 4845,
  [4846] = 4582,
  [4847] = 4847,
  [4848] = 4603,
  [4849] = 4582,
  [4850] = 4588,
  [4851] = 4584,
  [4852] = 4852,
  [4853] = 4610,
  [4854] = 4594,
  [4855] = 4609,
  [4856] = 4856,
  [4857] = 4611,
  [4858] = 4591,
  [4859] = 4584,
  [4860] = 4581,
  [4861] = 4861,
  [4862] = 4561,
  [4863] = 4863,
  [4864] = 4561,
  [4865] = 4865,
  [4866] = 4579,
  [4867] = 4626,
  [4868] = 4576,
  [4869] = 4737,
  [4870] = 4546,
  [4871] = 4545,
  [4872] = 4581,
  [4873] = 4579,
  [4874] = 4610,
  [4875] = 4594,
  [4876] = 4587,
  [4877] = 4570,
  [4878] = 4619,
  [4879] = 4724,
  [4880] = 4561,
  [4881] = 4576,
  [4882] = 4882,
  [4883] = 4598,
  [4884] = 4884,
  [4885] = 4737,
  [4886] = 4576,
  [4887] = 4737,
  [4888] = 4722,
  [4889] = 4737,
  [4890] = 4602,
  [4891] = 4737,
  [4892] = 4623,
  [4893] = 4558,
  [4894] = 4826,
  [4895] = 4895,
  [4896] = 4652,
  [4897] = 4600,
  [4898] = 4583,
  [4899] = 4545,
  [4900] = 4553,
  [4901] = 4546,
  [4902] = 4670,
  [4903] = 4689,
  [4904] = 4587,
  [4905] = 4563,
  [4906] = 4593,
  [4907] = 4593,
  [4908] = 4551,
  [4909] = 4578,
  [4910] = 4648,
  [4911] = 998,
  [4912] = 4562,
  [4913] = 4564,
  [4914] = 4914,
  [4915] = 4566,
  [4916] = 4567,
  [4917] = 4559,
  [4918] = 4571,
  [4919] = 4550,
  [4920] = 4548,
  [4921] = 4555,
  [4922] = 4556,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4598,
  [4926] = 4626,
  [4927] = 4914,
  [4928] = 4737,
  [4929] = 4619,
  [4930] = 4612,
  [4931] = 4628,
  [4932] = 4737,
  [4933] = 4602,
  [4934] = 4934,
  [4935] = 4724,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(104);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(190);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(59);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(98)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(244);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == '<') ADVANCE(128);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(127);
      if (lookahead != 0) ADVANCE(125);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(33)
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(41);
      if (lookahead == '\\') ADVANCE(97);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(230);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(257);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(244);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(255);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(132);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(255);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(132);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(255);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(135);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(31);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(244);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(40);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(132);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(244);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(135);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(250);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(244);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(250);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(232);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(250);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(250);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(31);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(232);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(244);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(31);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(181);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(105);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(245);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(40);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || ')' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(40);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || ')' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == '<') ADVANCE(136);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(244);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(136);
      if (lookahead == '=') ADVANCE(119);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(244);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '/') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(62);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(212);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(255);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > '"' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 22:
      if (lookahead == '$') ADVANCE(63);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '?') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      END_STATE();
    case 23:
      if (lookahead == '$') ADVANCE(63);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '?') ADVANCE(35);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(110);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == '$') ADVANCE(63);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '`') ADVANCE(42);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '$') ADVANCE(63);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '`') ADVANCE(42);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '/') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(62);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(218);
      if (lookahead != 0) ADVANCE(219);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(225);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(224);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(146);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(162);
      END_STATE();
    case 33:
      if (lookahead == '/') ADVANCE(27);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == ':') ADVANCE(251);
      END_STATE();
    case 35:
      if (lookahead == ':') ADVANCE(252);
      END_STATE();
    case 36:
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 37:
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 38:
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 39:
      if (lookahead == '?') ADVANCE(34);
      END_STATE();
    case 40:
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(245);
      END_STATE();
    case 41:
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == ']') ADVANCE(231);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(41);
      END_STATE();
    case 42:
      if (lookahead == '`') ADVANCE(43);
      END_STATE();
    case 43:
      if (lookahead == '`') ADVANCE(258);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(57);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(55);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(50);
      END_STATE();
    case 55:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'x') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      if (lookahead != 0) ADVANCE(220);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 62:
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'x') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      if (lookahead != 0) ADVANCE(220);
      END_STATE();
    case 63:
      if (lookahead == '{') ADVANCE(228);
      END_STATE();
    case 64:
      if (lookahead == '{') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 65:
      if (lookahead == '{') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 66:
      if (lookahead == '{') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 67:
      if (lookahead == '{') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 68:
      if (lookahead == '}') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 69:
      if (lookahead == '}') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '}') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 72:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 73:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(236);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(237);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(235);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(244);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(220);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(221);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 96:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(41);
      END_STATE();
    case 97:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(231);
      END_STATE();
    case 98:
      if (eof) ADVANCE(104);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(190);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(249);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(98)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(244);
      END_STATE();
    case 99:
      if (eof) ADVANCE(104);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(108);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(250);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(182);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(99)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '9' < lookahead) &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 100:
      if (eof) ADVANCE(104);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(15);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(136);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(226);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(100)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '%' &&
          lookahead != '^') ADVANCE(244);
      END_STATE();
    case 101:
      if (eof) ADVANCE(104);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(40);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(247);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(101)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '+' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 102:
      if (eof) ADVANCE(104);
      if (lookahead == '"') ADVANCE(206);
      if (lookahead == '#') ADVANCE(40);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(234);
      if (lookahead == '=') ADVANCE(119);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(102)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(244);
      END_STATE();
    case 103:
      if (eof) ADVANCE(104);
      if (lookahead == '#') ADVANCE(255);
      if (lookahead == '&') ADVANCE(173);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '?') ADVANCE(248);
      if (lookahead == '@') ADVANCE(246);
      if (lookahead == '[') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == ']') ADVANCE(124);
      if (lookahead == '`') ADVANCE(227);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(183);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(103)
      if (lookahead != 0 &&
          lookahead > '"' &&
          (lookahead < '%' || '9' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(244);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(194);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(193);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(253);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(145);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(145);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(225);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == '<') ADVANCE(128);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(125);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(58);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(225);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(155);
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(163);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '|') ADVANCE(166);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '|') ADVANCE(166);
      if (lookahead == '}') ADVANCE(254);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(165);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(165);
      if (lookahead == '}') ADVANCE(254);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(254);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(204);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(204);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(205);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '?') ADVANCE(34);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '/') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(213);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '/') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(211);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(209);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(217);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(219);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(216);
      if (lookahead == '/') ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(217);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(216);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(215);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(218);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(219);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(61);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(244);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(220);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(222);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(43);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(225);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(33)
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(41);
      if (lookahead == '\\') ADVANCE(97);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(230);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(41);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(231);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(61);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(232);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(244);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(242);
      if (lookahead == '0') ADVANCE(239);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(73);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(72);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(74);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(82);
      if (lookahead == '_') ADVANCE(77);
      if (lookahead == 'n') ADVANCE(233);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(235);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(242);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(72);
      if (lookahead == '_') ADVANCE(75);
      if (lookahead == 'n') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(235);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'n') ADVANCE(233);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(236);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(74);
      if (lookahead == 'n') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(82);
      if (lookahead == 'n') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(77);
      if (lookahead == 'n') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(72);
      if (lookahead == '_') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '{') ADVANCE(228);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(244);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(61);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(244);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(245);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(146);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(146);
      if (lookahead == '?') ADVANCE(202);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(146);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(105);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(245);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(245);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'k') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(34);
      if (lookahead == 'v') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 8:
      if (lookahead == 'd') ADVANCE(45);
      if (lookahead == 'f') ADVANCE(46);
      if (lookahead == 'm') ADVANCE(47);
      if (lookahead == 'n') ADVANCE(48);
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'f') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(58);
      if (lookahead == 'v') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(64);
      if (lookahead == 't') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      if (lookahead == 'w') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(76);
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'y') ADVANCE(80);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 'y') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'm') ADVANCE(89);
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(92);
      if (lookahead == 'f') ADVANCE(93);
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(98);
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 44:
      if (lookahead == 'o') ADVANCE(106);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(108);
      if (lookahead == 's') ADVANCE(109);
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 50:
      if (lookahead == 'y') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'd') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'v') ADVANCE(115);
      if (lookahead == 'w') ADVANCE(116);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(117);
      if (lookahead == 'm') ADVANCE(118);
      END_STATE();
    case 56:
      if (lookahead == 'j') ADVANCE(119);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(121);
      if (lookahead == 'o') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'b') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(124);
      if (lookahead == 'q') ADVANCE(125);
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(129);
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 66:
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(132);
      END_STATE();
    case 68:
      if (lookahead == 'm') ADVANCE(133);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 71:
      if (lookahead == 'u') ADVANCE(137);
      if (lookahead == 'y') ADVANCE(138);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(139);
      END_STATE();
    case 73:
      if (lookahead == 'd') ADVANCE(140);
      if (lookahead == 'k') ADVANCE(141);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(150);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 's') ADVANCE(157);
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(164);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(165);
      END_STATE();
    case 98:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 100:
      if (lookahead == 's') ADVANCE(168);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 103:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 106:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 107:
      if (lookahead == 'l') ADVANCE(173);
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(178);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 113:
      if (lookahead == 'u') ADVANCE(179);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 118:
      if (lookahead == 'b') ADVANCE(183);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 120:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 121:
      if (lookahead == 'v') ADVANCE(186);
      END_STATE();
    case 122:
      if (lookahead == 'p') ADVANCE(187);
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 123:
      if (lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(191);
      END_STATE();
    case 126:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 130:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 133:
      if (lookahead == 'b') ADVANCE(198);
      END_STATE();
    case 134:
      if (lookahead == 'g') ADVANCE(199);
      END_STATE();
    case 135:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 136:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 145:
      if (lookahead == 'h') ADVANCE(208);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 147:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 149:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 152:
      if (lookahead == 'k') ADVANCE(215);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 154:
      if (lookahead == 'h') ADVANCE(216);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 156:
      if (lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 157:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 159:
      if (lookahead == 'g') ADVANCE(221);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 161:
      if (lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 167:
      if (lookahead == 'n') ADVANCE(227);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(231);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(240);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 184:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_prop);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 190:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 193:
      if (lookahead == 's') ADVANCE(250);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 195:
      if (lookahead == 'n') ADVANCE(252);
      END_STATE();
    case 196:
      if (lookahead == 'r') ADVANCE(253);
      END_STATE();
    case 197:
      if (lookahead == 'c') ADVANCE(254);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(255);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 201:
      if (lookahead == 'w') ADVANCE(257);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(259);
      END_STATE();
    case 205:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 210:
      if (lookahead == 'a') ADVANCE(263);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(265);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 221:
      if (lookahead == 'g') ADVANCE(269);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 226:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 227:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 232:
      if (lookahead == 'm') ADVANCE(278);
      END_STATE();
    case 233:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 236:
      if (lookahead == 'f') ADVANCE(281);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 239:
      if (lookahead == 'p') ADVANCE(283);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 243:
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 245:
      if (lookahead == 'c') ADVANCE(288);
      END_STATE();
    case 246:
      if (lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(291);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 250:
      if (lookahead == 'f') ADVANCE(293);
      END_STATE();
    case 251:
      if (lookahead == 'c') ADVANCE(294);
      END_STATE();
    case 252:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 254:
      if (lookahead == 'h') ADVANCE(296);
      END_STATE();
    case 255:
      if (lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 256:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 258:
      if (lookahead == 'f') ADVANCE(299);
      END_STATE();
    case 259:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 260:
      if (lookahead == 'w') ADVANCE(301);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(302);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(304);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 267:
      if (lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 268:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(311);
      END_STATE();
    case 275:
      if (lookahead == 'y') ADVANCE(312);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(313);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(314);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(315);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(318);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(321);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 306:
      if (lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 308:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 317:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 321:
      if (lookahead == 'y') ADVANCE(338);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(341);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_instance);
      if (lookahead == 'o') ADVANCE(344);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(347);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 339:
      if (lookahead == 's') ADVANCE(348);
      END_STATE();
    case 340:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 342:
      if (lookahead == 'o') ADVANCE(350);
      END_STATE();
    case 343:
      if (lookahead == 's') ADVANCE(351);
      END_STATE();
    case 344:
      if (lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 350:
      if (lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 100},
  [2] = {.lex_state = 8, .external_lex_state = 2},
  [3] = {.lex_state = 8, .external_lex_state = 2},
  [4] = {.lex_state = 100},
  [5] = {.lex_state = 100},
  [6] = {.lex_state = 100},
  [7] = {.lex_state = 100},
  [8] = {.lex_state = 100},
  [9] = {.lex_state = 100},
  [10] = {.lex_state = 100},
  [11] = {.lex_state = 100},
  [12] = {.lex_state = 100},
  [13] = {.lex_state = 100},
  [14] = {.lex_state = 100},
  [15] = {.lex_state = 100},
  [16] = {.lex_state = 100},
  [17] = {.lex_state = 100},
  [18] = {.lex_state = 100},
  [19] = {.lex_state = 100},
  [20] = {.lex_state = 100},
  [21] = {.lex_state = 100},
  [22] = {.lex_state = 100},
  [23] = {.lex_state = 100},
  [24] = {.lex_state = 100},
  [25] = {.lex_state = 100},
  [26] = {.lex_state = 100},
  [27] = {.lex_state = 100},
  [28] = {.lex_state = 100},
  [29] = {.lex_state = 100},
  [30] = {.lex_state = 100},
  [31] = {.lex_state = 100},
  [32] = {.lex_state = 100},
  [33] = {.lex_state = 100},
  [34] = {.lex_state = 100},
  [35] = {.lex_state = 100},
  [36] = {.lex_state = 100},
  [37] = {.lex_state = 100},
  [38] = {.lex_state = 100},
  [39] = {.lex_state = 100},
  [40] = {.lex_state = 100},
  [41] = {.lex_state = 100},
  [42] = {.lex_state = 100},
  [43] = {.lex_state = 100},
  [44] = {.lex_state = 100},
  [45] = {.lex_state = 100},
  [46] = {.lex_state = 100},
  [47] = {.lex_state = 100},
  [48] = {.lex_state = 100},
  [49] = {.lex_state = 100},
  [50] = {.lex_state = 100},
  [51] = {.lex_state = 100},
  [52] = {.lex_state = 100},
  [53] = {.lex_state = 100},
  [54] = {.lex_state = 100},
  [55] = {.lex_state = 3, .external_lex_state = 2},
  [56] = {.lex_state = 3, .external_lex_state = 2},
  [57] = {.lex_state = 3, .external_lex_state = 2},
  [58] = {.lex_state = 3, .external_lex_state = 2},
  [59] = {.lex_state = 3, .external_lex_state = 2},
  [60] = {.lex_state = 3, .external_lex_state = 2},
  [61] = {.lex_state = 3, .external_lex_state = 2},
  [62] = {.lex_state = 3, .external_lex_state = 2},
  [63] = {.lex_state = 18},
  [64] = {.lex_state = 18},
  [65] = {.lex_state = 18},
  [66] = {.lex_state = 18},
  [67] = {.lex_state = 18},
  [68] = {.lex_state = 18},
  [69] = {.lex_state = 18},
  [70] = {.lex_state = 18},
  [71] = {.lex_state = 18},
  [72] = {.lex_state = 18},
  [73] = {.lex_state = 18},
  [74] = {.lex_state = 18},
  [75] = {.lex_state = 18},
  [76] = {.lex_state = 18},
  [77] = {.lex_state = 18},
  [78] = {.lex_state = 9, .external_lex_state = 2},
  [79] = {.lex_state = 9, .external_lex_state = 2},
  [80] = {.lex_state = 18},
  [81] = {.lex_state = 18},
  [82] = {.lex_state = 18},
  [83] = {.lex_state = 18},
  [84] = {.lex_state = 18},
  [85] = {.lex_state = 6, .external_lex_state = 2},
  [86] = {.lex_state = 6, .external_lex_state = 3},
  [87] = {.lex_state = 6, .external_lex_state = 3},
  [88] = {.lex_state = 6, .external_lex_state = 2},
  [89] = {.lex_state = 6, .external_lex_state = 2},
  [90] = {.lex_state = 6, .external_lex_state = 2},
  [91] = {.lex_state = 100},
  [92] = {.lex_state = 100},
  [93] = {.lex_state = 100},
  [94] = {.lex_state = 100},
  [95] = {.lex_state = 100},
  [96] = {.lex_state = 100},
  [97] = {.lex_state = 100},
  [98] = {.lex_state = 100},
  [99] = {.lex_state = 100},
  [100] = {.lex_state = 100},
  [101] = {.lex_state = 100},
  [102] = {.lex_state = 100},
  [103] = {.lex_state = 100},
  [104] = {.lex_state = 100},
  [105] = {.lex_state = 100},
  [106] = {.lex_state = 7, .external_lex_state = 2},
  [107] = {.lex_state = 7, .external_lex_state = 2},
  [108] = {.lex_state = 100},
  [109] = {.lex_state = 100},
  [110] = {.lex_state = 100},
  [111] = {.lex_state = 100},
  [112] = {.lex_state = 100},
  [113] = {.lex_state = 100},
  [114] = {.lex_state = 100},
  [115] = {.lex_state = 100},
  [116] = {.lex_state = 100},
  [117] = {.lex_state = 7, .external_lex_state = 2},
  [118] = {.lex_state = 7, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 2},
  [120] = {.lex_state = 100},
  [121] = {.lex_state = 7, .external_lex_state = 2},
  [122] = {.lex_state = 100},
  [123] = {.lex_state = 100},
  [124] = {.lex_state = 100},
  [125] = {.lex_state = 100},
  [126] = {.lex_state = 100},
  [127] = {.lex_state = 100},
  [128] = {.lex_state = 100, .external_lex_state = 4},
  [129] = {.lex_state = 7, .external_lex_state = 2},
  [130] = {.lex_state = 100},
  [131] = {.lex_state = 100},
  [132] = {.lex_state = 100},
  [133] = {.lex_state = 100},
  [134] = {.lex_state = 100},
  [135] = {.lex_state = 100},
  [136] = {.lex_state = 100},
  [137] = {.lex_state = 100},
  [138] = {.lex_state = 100},
  [139] = {.lex_state = 100},
  [140] = {.lex_state = 100},
  [141] = {.lex_state = 100},
  [142] = {.lex_state = 100},
  [143] = {.lex_state = 100},
  [144] = {.lex_state = 100},
  [145] = {.lex_state = 100},
  [146] = {.lex_state = 100},
  [147] = {.lex_state = 100},
  [148] = {.lex_state = 100},
  [149] = {.lex_state = 100},
  [150] = {.lex_state = 100},
  [151] = {.lex_state = 100, .external_lex_state = 4},
  [152] = {.lex_state = 100},
  [153] = {.lex_state = 100},
  [154] = {.lex_state = 100},
  [155] = {.lex_state = 100},
  [156] = {.lex_state = 7, .external_lex_state = 2},
  [157] = {.lex_state = 100},
  [158] = {.lex_state = 7, .external_lex_state = 2},
  [159] = {.lex_state = 100},
  [160] = {.lex_state = 100},
  [161] = {.lex_state = 100},
  [162] = {.lex_state = 100},
  [163] = {.lex_state = 100},
  [164] = {.lex_state = 6, .external_lex_state = 3},
  [165] = {.lex_state = 100},
  [166] = {.lex_state = 6, .external_lex_state = 3},
  [167] = {.lex_state = 6, .external_lex_state = 3},
  [168] = {.lex_state = 6, .external_lex_state = 3},
  [169] = {.lex_state = 100},
  [170] = {.lex_state = 6, .external_lex_state = 3},
  [171] = {.lex_state = 100},
  [172] = {.lex_state = 6, .external_lex_state = 3},
  [173] = {.lex_state = 6, .external_lex_state = 3},
  [174] = {.lex_state = 100},
  [175] = {.lex_state = 6, .external_lex_state = 3},
  [176] = {.lex_state = 100},
  [177] = {.lex_state = 6, .external_lex_state = 3},
  [178] = {.lex_state = 6, .external_lex_state = 3},
  [179] = {.lex_state = 100},
  [180] = {.lex_state = 6, .external_lex_state = 3},
  [181] = {.lex_state = 6, .external_lex_state = 3},
  [182] = {.lex_state = 100},
  [183] = {.lex_state = 6, .external_lex_state = 3},
  [184] = {.lex_state = 6, .external_lex_state = 3},
  [185] = {.lex_state = 6, .external_lex_state = 3},
  [186] = {.lex_state = 6, .external_lex_state = 3},
  [187] = {.lex_state = 100},
  [188] = {.lex_state = 6, .external_lex_state = 3},
  [189] = {.lex_state = 7, .external_lex_state = 2},
  [190] = {.lex_state = 6, .external_lex_state = 3},
  [191] = {.lex_state = 6, .external_lex_state = 3},
  [192] = {.lex_state = 6, .external_lex_state = 3},
  [193] = {.lex_state = 6, .external_lex_state = 3},
  [194] = {.lex_state = 6, .external_lex_state = 3},
  [195] = {.lex_state = 6, .external_lex_state = 3},
  [196] = {.lex_state = 6, .external_lex_state = 3},
  [197] = {.lex_state = 100},
  [198] = {.lex_state = 6, .external_lex_state = 3},
  [199] = {.lex_state = 100},
  [200] = {.lex_state = 6, .external_lex_state = 3},
  [201] = {.lex_state = 6, .external_lex_state = 3},
  [202] = {.lex_state = 7, .external_lex_state = 2},
  [203] = {.lex_state = 100},
  [204] = {.lex_state = 6, .external_lex_state = 3},
  [205] = {.lex_state = 100},
  [206] = {.lex_state = 6, .external_lex_state = 3},
  [207] = {.lex_state = 6, .external_lex_state = 3},
  [208] = {.lex_state = 6, .external_lex_state = 3},
  [209] = {.lex_state = 6, .external_lex_state = 3},
  [210] = {.lex_state = 6, .external_lex_state = 3},
  [211] = {.lex_state = 100},
  [212] = {.lex_state = 6, .external_lex_state = 3},
  [213] = {.lex_state = 100},
  [214] = {.lex_state = 6, .external_lex_state = 3},
  [215] = {.lex_state = 6, .external_lex_state = 3},
  [216] = {.lex_state = 6, .external_lex_state = 3},
  [217] = {.lex_state = 6, .external_lex_state = 3},
  [218] = {.lex_state = 6, .external_lex_state = 3},
  [219] = {.lex_state = 6, .external_lex_state = 3},
  [220] = {.lex_state = 6, .external_lex_state = 3},
  [221] = {.lex_state = 100},
  [222] = {.lex_state = 100},
  [223] = {.lex_state = 100},
  [224] = {.lex_state = 100},
  [225] = {.lex_state = 19},
  [226] = {.lex_state = 100},
  [227] = {.lex_state = 100},
  [228] = {.lex_state = 100},
  [229] = {.lex_state = 100},
  [230] = {.lex_state = 100},
  [231] = {.lex_state = 100},
  [232] = {.lex_state = 100},
  [233] = {.lex_state = 100},
  [234] = {.lex_state = 100},
  [235] = {.lex_state = 100},
  [236] = {.lex_state = 100},
  [237] = {.lex_state = 100},
  [238] = {.lex_state = 19},
  [239] = {.lex_state = 100},
  [240] = {.lex_state = 100},
  [241] = {.lex_state = 100},
  [242] = {.lex_state = 100},
  [243] = {.lex_state = 100},
  [244] = {.lex_state = 19},
  [245] = {.lex_state = 19},
  [246] = {.lex_state = 100},
  [247] = {.lex_state = 19},
  [248] = {.lex_state = 100},
  [249] = {.lex_state = 100},
  [250] = {.lex_state = 100},
  [251] = {.lex_state = 100},
  [252] = {.lex_state = 19},
  [253] = {.lex_state = 100},
  [254] = {.lex_state = 19},
  [255] = {.lex_state = 100},
  [256] = {.lex_state = 100},
  [257] = {.lex_state = 100},
  [258] = {.lex_state = 19},
  [259] = {.lex_state = 100},
  [260] = {.lex_state = 100},
  [261] = {.lex_state = 100},
  [262] = {.lex_state = 19},
  [263] = {.lex_state = 100},
  [264] = {.lex_state = 100},
  [265] = {.lex_state = 100},
  [266] = {.lex_state = 100},
  [267] = {.lex_state = 100},
  [268] = {.lex_state = 100},
  [269] = {.lex_state = 100},
  [270] = {.lex_state = 100},
  [271] = {.lex_state = 100},
  [272] = {.lex_state = 100},
  [273] = {.lex_state = 100},
  [274] = {.lex_state = 100},
  [275] = {.lex_state = 100},
  [276] = {.lex_state = 100},
  [277] = {.lex_state = 100},
  [278] = {.lex_state = 100},
  [279] = {.lex_state = 100},
  [280] = {.lex_state = 100},
  [281] = {.lex_state = 100},
  [282] = {.lex_state = 100},
  [283] = {.lex_state = 100},
  [284] = {.lex_state = 100},
  [285] = {.lex_state = 19},
  [286] = {.lex_state = 100},
  [287] = {.lex_state = 100},
  [288] = {.lex_state = 100},
  [289] = {.lex_state = 100},
  [290] = {.lex_state = 100},
  [291] = {.lex_state = 100},
  [292] = {.lex_state = 100},
  [293] = {.lex_state = 100},
  [294] = {.lex_state = 19},
  [295] = {.lex_state = 100},
  [296] = {.lex_state = 100},
  [297] = {.lex_state = 100},
  [298] = {.lex_state = 100},
  [299] = {.lex_state = 19},
  [300] = {.lex_state = 100},
  [301] = {.lex_state = 100},
  [302] = {.lex_state = 100},
  [303] = {.lex_state = 100},
  [304] = {.lex_state = 100},
  [305] = {.lex_state = 100},
  [306] = {.lex_state = 100},
  [307] = {.lex_state = 100},
  [308] = {.lex_state = 100},
  [309] = {.lex_state = 19},
  [310] = {.lex_state = 100},
  [311] = {.lex_state = 19},
  [312] = {.lex_state = 100},
  [313] = {.lex_state = 100},
  [314] = {.lex_state = 100},
  [315] = {.lex_state = 100},
  [316] = {.lex_state = 100},
  [317] = {.lex_state = 100},
  [318] = {.lex_state = 100},
  [319] = {.lex_state = 100},
  [320] = {.lex_state = 100},
  [321] = {.lex_state = 100},
  [322] = {.lex_state = 100},
  [323] = {.lex_state = 100},
  [324] = {.lex_state = 100},
  [325] = {.lex_state = 100},
  [326] = {.lex_state = 100},
  [327] = {.lex_state = 100},
  [328] = {.lex_state = 100},
  [329] = {.lex_state = 100},
  [330] = {.lex_state = 100},
  [331] = {.lex_state = 100},
  [332] = {.lex_state = 100},
  [333] = {.lex_state = 100},
  [334] = {.lex_state = 100},
  [335] = {.lex_state = 100},
  [336] = {.lex_state = 100},
  [337] = {.lex_state = 100},
  [338] = {.lex_state = 100},
  [339] = {.lex_state = 100},
  [340] = {.lex_state = 100},
  [341] = {.lex_state = 100},
  [342] = {.lex_state = 100},
  [343] = {.lex_state = 100},
  [344] = {.lex_state = 100},
  [345] = {.lex_state = 100},
  [346] = {.lex_state = 100},
  [347] = {.lex_state = 100},
  [348] = {.lex_state = 100},
  [349] = {.lex_state = 100},
  [350] = {.lex_state = 100},
  [351] = {.lex_state = 100},
  [352] = {.lex_state = 100},
  [353] = {.lex_state = 100},
  [354] = {.lex_state = 100},
  [355] = {.lex_state = 100},
  [356] = {.lex_state = 100},
  [357] = {.lex_state = 100},
  [358] = {.lex_state = 100},
  [359] = {.lex_state = 100},
  [360] = {.lex_state = 100},
  [361] = {.lex_state = 100},
  [362] = {.lex_state = 100},
  [363] = {.lex_state = 100},
  [364] = {.lex_state = 100},
  [365] = {.lex_state = 100},
  [366] = {.lex_state = 100},
  [367] = {.lex_state = 100},
  [368] = {.lex_state = 100},
  [369] = {.lex_state = 100},
  [370] = {.lex_state = 100},
  [371] = {.lex_state = 100},
  [372] = {.lex_state = 100},
  [373] = {.lex_state = 100},
  [374] = {.lex_state = 100},
  [375] = {.lex_state = 100},
  [376] = {.lex_state = 100},
  [377] = {.lex_state = 100},
  [378] = {.lex_state = 100},
  [379] = {.lex_state = 100},
  [380] = {.lex_state = 100},
  [381] = {.lex_state = 100},
  [382] = {.lex_state = 100},
  [383] = {.lex_state = 100},
  [384] = {.lex_state = 100},
  [385] = {.lex_state = 100},
  [386] = {.lex_state = 100},
  [387] = {.lex_state = 100},
  [388] = {.lex_state = 100},
  [389] = {.lex_state = 100},
  [390] = {.lex_state = 100},
  [391] = {.lex_state = 100},
  [392] = {.lex_state = 100},
  [393] = {.lex_state = 100},
  [394] = {.lex_state = 100},
  [395] = {.lex_state = 100},
  [396] = {.lex_state = 100},
  [397] = {.lex_state = 100},
  [398] = {.lex_state = 100},
  [399] = {.lex_state = 100},
  [400] = {.lex_state = 100},
  [401] = {.lex_state = 100},
  [402] = {.lex_state = 100},
  [403] = {.lex_state = 100},
  [404] = {.lex_state = 100},
  [405] = {.lex_state = 100},
  [406] = {.lex_state = 100},
  [407] = {.lex_state = 100},
  [408] = {.lex_state = 100},
  [409] = {.lex_state = 100},
  [410] = {.lex_state = 100},
  [411] = {.lex_state = 100},
  [412] = {.lex_state = 100},
  [413] = {.lex_state = 100},
  [414] = {.lex_state = 100},
  [415] = {.lex_state = 100},
  [416] = {.lex_state = 100},
  [417] = {.lex_state = 100},
  [418] = {.lex_state = 100},
  [419] = {.lex_state = 100},
  [420] = {.lex_state = 100},
  [421] = {.lex_state = 100},
  [422] = {.lex_state = 100},
  [423] = {.lex_state = 100},
  [424] = {.lex_state = 100},
  [425] = {.lex_state = 100},
  [426] = {.lex_state = 100},
  [427] = {.lex_state = 100},
  [428] = {.lex_state = 100},
  [429] = {.lex_state = 100},
  [430] = {.lex_state = 100},
  [431] = {.lex_state = 100},
  [432] = {.lex_state = 100},
  [433] = {.lex_state = 100},
  [434] = {.lex_state = 100},
  [435] = {.lex_state = 100},
  [436] = {.lex_state = 100},
  [437] = {.lex_state = 100},
  [438] = {.lex_state = 100},
  [439] = {.lex_state = 100},
  [440] = {.lex_state = 100},
  [441] = {.lex_state = 100},
  [442] = {.lex_state = 100},
  [443] = {.lex_state = 100},
  [444] = {.lex_state = 100},
  [445] = {.lex_state = 100},
  [446] = {.lex_state = 100},
  [447] = {.lex_state = 100},
  [448] = {.lex_state = 100},
  [449] = {.lex_state = 100},
  [450] = {.lex_state = 100},
  [451] = {.lex_state = 100},
  [452] = {.lex_state = 100},
  [453] = {.lex_state = 100},
  [454] = {.lex_state = 100},
  [455] = {.lex_state = 100},
  [456] = {.lex_state = 100},
  [457] = {.lex_state = 100},
  [458] = {.lex_state = 100},
  [459] = {.lex_state = 100},
  [460] = {.lex_state = 100},
  [461] = {.lex_state = 100},
  [462] = {.lex_state = 100},
  [463] = {.lex_state = 100},
  [464] = {.lex_state = 100},
  [465] = {.lex_state = 100},
  [466] = {.lex_state = 100},
  [467] = {.lex_state = 100},
  [468] = {.lex_state = 100},
  [469] = {.lex_state = 100},
  [470] = {.lex_state = 100},
  [471] = {.lex_state = 100},
  [472] = {.lex_state = 100},
  [473] = {.lex_state = 100},
  [474] = {.lex_state = 100},
  [475] = {.lex_state = 100},
  [476] = {.lex_state = 100},
  [477] = {.lex_state = 100},
  [478] = {.lex_state = 100},
  [479] = {.lex_state = 100},
  [480] = {.lex_state = 100},
  [481] = {.lex_state = 100},
  [482] = {.lex_state = 100},
  [483] = {.lex_state = 100},
  [484] = {.lex_state = 100},
  [485] = {.lex_state = 100},
  [486] = {.lex_state = 100},
  [487] = {.lex_state = 100},
  [488] = {.lex_state = 100},
  [489] = {.lex_state = 100},
  [490] = {.lex_state = 100},
  [491] = {.lex_state = 100},
  [492] = {.lex_state = 100},
  [493] = {.lex_state = 100},
  [494] = {.lex_state = 100},
  [495] = {.lex_state = 100},
  [496] = {.lex_state = 100},
  [497] = {.lex_state = 100},
  [498] = {.lex_state = 100},
  [499] = {.lex_state = 100},
  [500] = {.lex_state = 100},
  [501] = {.lex_state = 100},
  [502] = {.lex_state = 100},
  [503] = {.lex_state = 100},
  [504] = {.lex_state = 100},
  [505] = {.lex_state = 100},
  [506] = {.lex_state = 100},
  [507] = {.lex_state = 100},
  [508] = {.lex_state = 100},
  [509] = {.lex_state = 100},
  [510] = {.lex_state = 100},
  [511] = {.lex_state = 100},
  [512] = {.lex_state = 100},
  [513] = {.lex_state = 100},
  [514] = {.lex_state = 100},
  [515] = {.lex_state = 3, .external_lex_state = 2},
  [516] = {.lex_state = 3, .external_lex_state = 2},
  [517] = {.lex_state = 3, .external_lex_state = 2},
  [518] = {.lex_state = 3, .external_lex_state = 2},
  [519] = {.lex_state = 5, .external_lex_state = 2},
  [520] = {.lex_state = 5, .external_lex_state = 2},
  [521] = {.lex_state = 4, .external_lex_state = 3},
  [522] = {.lex_state = 4, .external_lex_state = 3},
  [523] = {.lex_state = 4, .external_lex_state = 3},
  [524] = {.lex_state = 4, .external_lex_state = 3},
  [525] = {.lex_state = 5, .external_lex_state = 2},
  [526] = {.lex_state = 5, .external_lex_state = 2},
  [527] = {.lex_state = 4, .external_lex_state = 3},
  [528] = {.lex_state = 7, .external_lex_state = 2},
  [529] = {.lex_state = 4, .external_lex_state = 3},
  [530] = {.lex_state = 7, .external_lex_state = 2},
  [531] = {.lex_state = 7, .external_lex_state = 3},
  [532] = {.lex_state = 7, .external_lex_state = 2},
  [533] = {.lex_state = 7, .external_lex_state = 2},
  [534] = {.lex_state = 7, .external_lex_state = 2},
  [535] = {.lex_state = 7, .external_lex_state = 2},
  [536] = {.lex_state = 7, .external_lex_state = 2},
  [537] = {.lex_state = 7, .external_lex_state = 2},
  [538] = {.lex_state = 7, .external_lex_state = 3},
  [539] = {.lex_state = 7, .external_lex_state = 3},
  [540] = {.lex_state = 7, .external_lex_state = 2},
  [541] = {.lex_state = 7, .external_lex_state = 2},
  [542] = {.lex_state = 7, .external_lex_state = 2},
  [543] = {.lex_state = 7, .external_lex_state = 3},
  [544] = {.lex_state = 7, .external_lex_state = 2},
  [545] = {.lex_state = 7, .external_lex_state = 2},
  [546] = {.lex_state = 16},
  [547] = {.lex_state = 16},
  [548] = {.lex_state = 7, .external_lex_state = 2},
  [549] = {.lex_state = 16},
  [550] = {.lex_state = 16},
  [551] = {.lex_state = 16},
  [552] = {.lex_state = 16},
  [553] = {.lex_state = 16},
  [554] = {.lex_state = 16},
  [555] = {.lex_state = 16},
  [556] = {.lex_state = 16},
  [557] = {.lex_state = 16},
  [558] = {.lex_state = 7, .external_lex_state = 2},
  [559] = {.lex_state = 7, .external_lex_state = 3},
  [560] = {.lex_state = 7, .external_lex_state = 3},
  [561] = {.lex_state = 7, .external_lex_state = 2},
  [562] = {.lex_state = 7, .external_lex_state = 3},
  [563] = {.lex_state = 7, .external_lex_state = 3},
  [564] = {.lex_state = 7, .external_lex_state = 3},
  [565] = {.lex_state = 7, .external_lex_state = 3},
  [566] = {.lex_state = 7, .external_lex_state = 3},
  [567] = {.lex_state = 7, .external_lex_state = 3},
  [568] = {.lex_state = 7, .external_lex_state = 3},
  [569] = {.lex_state = 7, .external_lex_state = 3},
  [570] = {.lex_state = 7, .external_lex_state = 3},
  [571] = {.lex_state = 7, .external_lex_state = 3},
  [572] = {.lex_state = 19},
  [573] = {.lex_state = 7, .external_lex_state = 3},
  [574] = {.lex_state = 7, .external_lex_state = 3},
  [575] = {.lex_state = 7, .external_lex_state = 3},
  [576] = {.lex_state = 7, .external_lex_state = 3},
  [577] = {.lex_state = 7, .external_lex_state = 3},
  [578] = {.lex_state = 7, .external_lex_state = 3},
  [579] = {.lex_state = 7, .external_lex_state = 3},
  [580] = {.lex_state = 7, .external_lex_state = 3},
  [581] = {.lex_state = 16},
  [582] = {.lex_state = 16},
  [583] = {.lex_state = 16},
  [584] = {.lex_state = 16},
  [585] = {.lex_state = 16},
  [586] = {.lex_state = 16},
  [587] = {.lex_state = 16},
  [588] = {.lex_state = 16},
  [589] = {.lex_state = 16},
  [590] = {.lex_state = 16},
  [591] = {.lex_state = 16},
  [592] = {.lex_state = 4, .external_lex_state = 2},
  [593] = {.lex_state = 4, .external_lex_state = 2},
  [594] = {.lex_state = 4, .external_lex_state = 2},
  [595] = {.lex_state = 4, .external_lex_state = 2},
  [596] = {.lex_state = 100},
  [597] = {.lex_state = 4, .external_lex_state = 2},
  [598] = {.lex_state = 100, .external_lex_state = 4},
  [599] = {.lex_state = 100, .external_lex_state = 4},
  [600] = {.lex_state = 100, .external_lex_state = 4},
  [601] = {.lex_state = 4, .external_lex_state = 3},
  [602] = {.lex_state = 100, .external_lex_state = 4},
  [603] = {.lex_state = 100, .external_lex_state = 4},
  [604] = {.lex_state = 100, .external_lex_state = 4},
  [605] = {.lex_state = 4, .external_lex_state = 3},
  [606] = {.lex_state = 100, .external_lex_state = 4},
  [607] = {.lex_state = 100, .external_lex_state = 4},
  [608] = {.lex_state = 4, .external_lex_state = 3},
  [609] = {.lex_state = 100, .external_lex_state = 4},
  [610] = {.lex_state = 100, .external_lex_state = 4},
  [611] = {.lex_state = 100, .external_lex_state = 4},
  [612] = {.lex_state = 19},
  [613] = {.lex_state = 19},
  [614] = {.lex_state = 100, .external_lex_state = 4},
  [615] = {.lex_state = 4, .external_lex_state = 2},
  [616] = {.lex_state = 19},
  [617] = {.lex_state = 100, .external_lex_state = 4},
  [618] = {.lex_state = 100, .external_lex_state = 4},
  [619] = {.lex_state = 4, .external_lex_state = 3},
  [620] = {.lex_state = 100, .external_lex_state = 4},
  [621] = {.lex_state = 100, .external_lex_state = 4},
  [622] = {.lex_state = 100, .external_lex_state = 4},
  [623] = {.lex_state = 19},
  [624] = {.lex_state = 19},
  [625] = {.lex_state = 100, .external_lex_state = 4},
  [626] = {.lex_state = 19},
  [627] = {.lex_state = 4, .external_lex_state = 3},
  [628] = {.lex_state = 4, .external_lex_state = 3},
  [629] = {.lex_state = 4, .external_lex_state = 3},
  [630] = {.lex_state = 100, .external_lex_state = 4},
  [631] = {.lex_state = 100, .external_lex_state = 4},
  [632] = {.lex_state = 100, .external_lex_state = 4},
  [633] = {.lex_state = 100, .external_lex_state = 4},
  [634] = {.lex_state = 100, .external_lex_state = 4},
  [635] = {.lex_state = 100, .external_lex_state = 4},
  [636] = {.lex_state = 19},
  [637] = {.lex_state = 19},
  [638] = {.lex_state = 100},
  [639] = {.lex_state = 100},
  [640] = {.lex_state = 100},
  [641] = {.lex_state = 100},
  [642] = {.lex_state = 100},
  [643] = {.lex_state = 100},
  [644] = {.lex_state = 100},
  [645] = {.lex_state = 100},
  [646] = {.lex_state = 100},
  [647] = {.lex_state = 100},
  [648] = {.lex_state = 100},
  [649] = {.lex_state = 100},
  [650] = {.lex_state = 100},
  [651] = {.lex_state = 100},
  [652] = {.lex_state = 19},
  [653] = {.lex_state = 100},
  [654] = {.lex_state = 100},
  [655] = {.lex_state = 100},
  [656] = {.lex_state = 4, .external_lex_state = 2},
  [657] = {.lex_state = 19},
  [658] = {.lex_state = 100},
  [659] = {.lex_state = 4, .external_lex_state = 2},
  [660] = {.lex_state = 4, .external_lex_state = 2},
  [661] = {.lex_state = 100},
  [662] = {.lex_state = 100},
  [663] = {.lex_state = 100},
  [664] = {.lex_state = 100},
  [665] = {.lex_state = 100},
  [666] = {.lex_state = 100},
  [667] = {.lex_state = 100},
  [668] = {.lex_state = 100},
  [669] = {.lex_state = 100},
  [670] = {.lex_state = 100},
  [671] = {.lex_state = 100},
  [672] = {.lex_state = 100},
  [673] = {.lex_state = 100},
  [674] = {.lex_state = 100},
  [675] = {.lex_state = 100, .external_lex_state = 4},
  [676] = {.lex_state = 100, .external_lex_state = 4},
  [677] = {.lex_state = 100, .external_lex_state = 4},
  [678] = {.lex_state = 100},
  [679] = {.lex_state = 100},
  [680] = {.lex_state = 100},
  [681] = {.lex_state = 100, .external_lex_state = 4},
  [682] = {.lex_state = 12, .external_lex_state = 2},
  [683] = {.lex_state = 100},
  [684] = {.lex_state = 12, .external_lex_state = 2},
  [685] = {.lex_state = 100, .external_lex_state = 4},
  [686] = {.lex_state = 100, .external_lex_state = 4},
  [687] = {.lex_state = 100, .external_lex_state = 4},
  [688] = {.lex_state = 100, .external_lex_state = 4},
  [689] = {.lex_state = 100, .external_lex_state = 4},
  [690] = {.lex_state = 100, .external_lex_state = 4},
  [691] = {.lex_state = 100, .external_lex_state = 4},
  [692] = {.lex_state = 100, .external_lex_state = 4},
  [693] = {.lex_state = 19},
  [694] = {.lex_state = 100},
  [695] = {.lex_state = 100},
  [696] = {.lex_state = 4, .external_lex_state = 2},
  [697] = {.lex_state = 100, .external_lex_state = 4},
  [698] = {.lex_state = 4, .external_lex_state = 2},
  [699] = {.lex_state = 4, .external_lex_state = 2},
  [700] = {.lex_state = 100, .external_lex_state = 4},
  [701] = {.lex_state = 100},
  [702] = {.lex_state = 100, .external_lex_state = 4},
  [703] = {.lex_state = 100, .external_lex_state = 4},
  [704] = {.lex_state = 100, .external_lex_state = 4},
  [705] = {.lex_state = 4, .external_lex_state = 2},
  [706] = {.lex_state = 100, .external_lex_state = 4},
  [707] = {.lex_state = 100},
  [708] = {.lex_state = 100},
  [709] = {.lex_state = 100},
  [710] = {.lex_state = 100},
  [711] = {.lex_state = 100},
  [712] = {.lex_state = 12, .external_lex_state = 2},
  [713] = {.lex_state = 100},
  [714] = {.lex_state = 12, .external_lex_state = 2},
  [715] = {.lex_state = 100},
  [716] = {.lex_state = 100},
  [717] = {.lex_state = 100},
  [718] = {.lex_state = 100},
  [719] = {.lex_state = 12, .external_lex_state = 2},
  [720] = {.lex_state = 12, .external_lex_state = 2},
  [721] = {.lex_state = 100},
  [722] = {.lex_state = 100},
  [723] = {.lex_state = 100},
  [724] = {.lex_state = 12, .external_lex_state = 2},
  [725] = {.lex_state = 12, .external_lex_state = 2},
  [726] = {.lex_state = 100},
  [727] = {.lex_state = 100},
  [728] = {.lex_state = 12, .external_lex_state = 2},
  [729] = {.lex_state = 100},
  [730] = {.lex_state = 100},
  [731] = {.lex_state = 100},
  [732] = {.lex_state = 100},
  [733] = {.lex_state = 100},
  [734] = {.lex_state = 100},
  [735] = {.lex_state = 100},
  [736] = {.lex_state = 100},
  [737] = {.lex_state = 100},
  [738] = {.lex_state = 100},
  [739] = {.lex_state = 100},
  [740] = {.lex_state = 12, .external_lex_state = 2},
  [741] = {.lex_state = 100},
  [742] = {.lex_state = 12, .external_lex_state = 2},
  [743] = {.lex_state = 12, .external_lex_state = 2},
  [744] = {.lex_state = 12, .external_lex_state = 2},
  [745] = {.lex_state = 100},
  [746] = {.lex_state = 100},
  [747] = {.lex_state = 12, .external_lex_state = 2},
  [748] = {.lex_state = 100},
  [749] = {.lex_state = 12, .external_lex_state = 2},
  [750] = {.lex_state = 100},
  [751] = {.lex_state = 12, .external_lex_state = 2},
  [752] = {.lex_state = 12, .external_lex_state = 2},
  [753] = {.lex_state = 12, .external_lex_state = 2},
  [754] = {.lex_state = 100},
  [755] = {.lex_state = 100},
  [756] = {.lex_state = 100},
  [757] = {.lex_state = 100},
  [758] = {.lex_state = 100},
  [759] = {.lex_state = 100},
  [760] = {.lex_state = 100},
  [761] = {.lex_state = 100},
  [762] = {.lex_state = 100},
  [763] = {.lex_state = 100},
  [764] = {.lex_state = 100},
  [765] = {.lex_state = 100},
  [766] = {.lex_state = 100},
  [767] = {.lex_state = 12, .external_lex_state = 2},
  [768] = {.lex_state = 100},
  [769] = {.lex_state = 100},
  [770] = {.lex_state = 100},
  [771] = {.lex_state = 100},
  [772] = {.lex_state = 100},
  [773] = {.lex_state = 4, .external_lex_state = 2},
  [774] = {.lex_state = 100},
  [775] = {.lex_state = 100},
  [776] = {.lex_state = 100},
  [777] = {.lex_state = 100},
  [778] = {.lex_state = 100},
  [779] = {.lex_state = 100},
  [780] = {.lex_state = 100},
  [781] = {.lex_state = 100},
  [782] = {.lex_state = 100},
  [783] = {.lex_state = 100},
  [784] = {.lex_state = 100},
  [785] = {.lex_state = 100},
  [786] = {.lex_state = 100},
  [787] = {.lex_state = 100},
  [788] = {.lex_state = 100},
  [789] = {.lex_state = 100},
  [790] = {.lex_state = 100},
  [791] = {.lex_state = 100},
  [792] = {.lex_state = 100},
  [793] = {.lex_state = 12, .external_lex_state = 2},
  [794] = {.lex_state = 100},
  [795] = {.lex_state = 100},
  [796] = {.lex_state = 100},
  [797] = {.lex_state = 100},
  [798] = {.lex_state = 100},
  [799] = {.lex_state = 100},
  [800] = {.lex_state = 100},
  [801] = {.lex_state = 100},
  [802] = {.lex_state = 100},
  [803] = {.lex_state = 100},
  [804] = {.lex_state = 100},
  [805] = {.lex_state = 100},
  [806] = {.lex_state = 100},
  [807] = {.lex_state = 100},
  [808] = {.lex_state = 100},
  [809] = {.lex_state = 4, .external_lex_state = 2},
  [810] = {.lex_state = 100},
  [811] = {.lex_state = 100},
  [812] = {.lex_state = 100},
  [813] = {.lex_state = 12, .external_lex_state = 3},
  [814] = {.lex_state = 12, .external_lex_state = 2},
  [815] = {.lex_state = 100},
  [816] = {.lex_state = 100},
  [817] = {.lex_state = 100},
  [818] = {.lex_state = 100},
  [819] = {.lex_state = 12, .external_lex_state = 2},
  [820] = {.lex_state = 100},
  [821] = {.lex_state = 100},
  [822] = {.lex_state = 100},
  [823] = {.lex_state = 100},
  [824] = {.lex_state = 100},
  [825] = {.lex_state = 12, .external_lex_state = 2},
  [826] = {.lex_state = 100},
  [827] = {.lex_state = 12, .external_lex_state = 2},
  [828] = {.lex_state = 100},
  [829] = {.lex_state = 100},
  [830] = {.lex_state = 100},
  [831] = {.lex_state = 100},
  [832] = {.lex_state = 100},
  [833] = {.lex_state = 100},
  [834] = {.lex_state = 100},
  [835] = {.lex_state = 100},
  [836] = {.lex_state = 12, .external_lex_state = 2},
  [837] = {.lex_state = 100},
  [838] = {.lex_state = 100},
  [839] = {.lex_state = 100},
  [840] = {.lex_state = 100},
  [841] = {.lex_state = 100},
  [842] = {.lex_state = 4, .external_lex_state = 2},
  [843] = {.lex_state = 100},
  [844] = {.lex_state = 100},
  [845] = {.lex_state = 100},
  [846] = {.lex_state = 100},
  [847] = {.lex_state = 12, .external_lex_state = 2},
  [848] = {.lex_state = 100},
  [849] = {.lex_state = 100},
  [850] = {.lex_state = 12, .external_lex_state = 2},
  [851] = {.lex_state = 100},
  [852] = {.lex_state = 100},
  [853] = {.lex_state = 100},
  [854] = {.lex_state = 12, .external_lex_state = 2},
  [855] = {.lex_state = 100},
  [856] = {.lex_state = 12, .external_lex_state = 2},
  [857] = {.lex_state = 100},
  [858] = {.lex_state = 100},
  [859] = {.lex_state = 12, .external_lex_state = 2},
  [860] = {.lex_state = 12, .external_lex_state = 2},
  [861] = {.lex_state = 12, .external_lex_state = 2},
  [862] = {.lex_state = 12, .external_lex_state = 2},
  [863] = {.lex_state = 12, .external_lex_state = 2},
  [864] = {.lex_state = 12, .external_lex_state = 2},
  [865] = {.lex_state = 12, .external_lex_state = 2},
  [866] = {.lex_state = 12, .external_lex_state = 2},
  [867] = {.lex_state = 12, .external_lex_state = 2},
  [868] = {.lex_state = 100},
  [869] = {.lex_state = 100},
  [870] = {.lex_state = 100},
  [871] = {.lex_state = 100},
  [872] = {.lex_state = 12, .external_lex_state = 2},
  [873] = {.lex_state = 4, .external_lex_state = 2},
  [874] = {.lex_state = 100},
  [875] = {.lex_state = 100},
  [876] = {.lex_state = 100},
  [877] = {.lex_state = 12, .external_lex_state = 2},
  [878] = {.lex_state = 12, .external_lex_state = 2},
  [879] = {.lex_state = 100},
  [880] = {.lex_state = 12, .external_lex_state = 3},
  [881] = {.lex_state = 100},
  [882] = {.lex_state = 12, .external_lex_state = 2},
  [883] = {.lex_state = 12, .external_lex_state = 2},
  [884] = {.lex_state = 12, .external_lex_state = 2},
  [885] = {.lex_state = 4, .external_lex_state = 2},
  [886] = {.lex_state = 12, .external_lex_state = 2},
  [887] = {.lex_state = 12, .external_lex_state = 3},
  [888] = {.lex_state = 12, .external_lex_state = 2},
  [889] = {.lex_state = 12, .external_lex_state = 2},
  [890] = {.lex_state = 12, .external_lex_state = 2},
  [891] = {.lex_state = 12, .external_lex_state = 2},
  [892] = {.lex_state = 12, .external_lex_state = 2},
  [893] = {.lex_state = 12, .external_lex_state = 2},
  [894] = {.lex_state = 12, .external_lex_state = 2},
  [895] = {.lex_state = 12, .external_lex_state = 2},
  [896] = {.lex_state = 12, .external_lex_state = 2},
  [897] = {.lex_state = 12, .external_lex_state = 2},
  [898] = {.lex_state = 12, .external_lex_state = 2},
  [899] = {.lex_state = 12, .external_lex_state = 2},
  [900] = {.lex_state = 12, .external_lex_state = 2},
  [901] = {.lex_state = 12, .external_lex_state = 2},
  [902] = {.lex_state = 12, .external_lex_state = 2},
  [903] = {.lex_state = 12, .external_lex_state = 2},
  [904] = {.lex_state = 12, .external_lex_state = 2},
  [905] = {.lex_state = 12, .external_lex_state = 2},
  [906] = {.lex_state = 12, .external_lex_state = 2},
  [907] = {.lex_state = 12, .external_lex_state = 2},
  [908] = {.lex_state = 12, .external_lex_state = 2},
  [909] = {.lex_state = 12, .external_lex_state = 2},
  [910] = {.lex_state = 12, .external_lex_state = 2},
  [911] = {.lex_state = 12, .external_lex_state = 2},
  [912] = {.lex_state = 12, .external_lex_state = 2},
  [913] = {.lex_state = 12, .external_lex_state = 2},
  [914] = {.lex_state = 12, .external_lex_state = 2},
  [915] = {.lex_state = 12, .external_lex_state = 2},
  [916] = {.lex_state = 12, .external_lex_state = 2},
  [917] = {.lex_state = 12, .external_lex_state = 2},
  [918] = {.lex_state = 12, .external_lex_state = 2},
  [919] = {.lex_state = 12, .external_lex_state = 2},
  [920] = {.lex_state = 12, .external_lex_state = 2},
  [921] = {.lex_state = 12, .external_lex_state = 2},
  [922] = {.lex_state = 12, .external_lex_state = 2},
  [923] = {.lex_state = 12, .external_lex_state = 2},
  [924] = {.lex_state = 12, .external_lex_state = 2},
  [925] = {.lex_state = 12, .external_lex_state = 2},
  [926] = {.lex_state = 12, .external_lex_state = 2},
  [927] = {.lex_state = 12, .external_lex_state = 2},
  [928] = {.lex_state = 12, .external_lex_state = 2},
  [929] = {.lex_state = 12, .external_lex_state = 2},
  [930] = {.lex_state = 12, .external_lex_state = 3},
  [931] = {.lex_state = 12, .external_lex_state = 2},
  [932] = {.lex_state = 12, .external_lex_state = 2},
  [933] = {.lex_state = 12, .external_lex_state = 2},
  [934] = {.lex_state = 12, .external_lex_state = 2},
  [935] = {.lex_state = 12, .external_lex_state = 2},
  [936] = {.lex_state = 12, .external_lex_state = 2},
  [937] = {.lex_state = 12, .external_lex_state = 2},
  [938] = {.lex_state = 12, .external_lex_state = 2},
  [939] = {.lex_state = 12, .external_lex_state = 2},
  [940] = {.lex_state = 12, .external_lex_state = 2},
  [941] = {.lex_state = 12, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 12, .external_lex_state = 2},
  [944] = {.lex_state = 12, .external_lex_state = 2},
  [945] = {.lex_state = 12, .external_lex_state = 2},
  [946] = {.lex_state = 12, .external_lex_state = 2},
  [947] = {.lex_state = 12, .external_lex_state = 2},
  [948] = {.lex_state = 12, .external_lex_state = 2},
  [949] = {.lex_state = 12, .external_lex_state = 2},
  [950] = {.lex_state = 12, .external_lex_state = 2},
  [951] = {.lex_state = 12, .external_lex_state = 2},
  [952] = {.lex_state = 12, .external_lex_state = 2},
  [953] = {.lex_state = 12, .external_lex_state = 2},
  [954] = {.lex_state = 12, .external_lex_state = 2},
  [955] = {.lex_state = 12, .external_lex_state = 2},
  [956] = {.lex_state = 12, .external_lex_state = 2},
  [957] = {.lex_state = 12, .external_lex_state = 2},
  [958] = {.lex_state = 12, .external_lex_state = 2},
  [959] = {.lex_state = 12, .external_lex_state = 2},
  [960] = {.lex_state = 12, .external_lex_state = 2},
  [961] = {.lex_state = 12, .external_lex_state = 2},
  [962] = {.lex_state = 12, .external_lex_state = 2},
  [963] = {.lex_state = 12, .external_lex_state = 2},
  [964] = {.lex_state = 12, .external_lex_state = 2},
  [965] = {.lex_state = 12, .external_lex_state = 2},
  [966] = {.lex_state = 12, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 2},
  [968] = {.lex_state = 12, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 12, .external_lex_state = 2},
  [974] = {.lex_state = 12, .external_lex_state = 2},
  [975] = {.lex_state = 12, .external_lex_state = 2},
  [976] = {.lex_state = 12, .external_lex_state = 2},
  [977] = {.lex_state = 12, .external_lex_state = 2},
  [978] = {.lex_state = 12, .external_lex_state = 2},
  [979] = {.lex_state = 12, .external_lex_state = 2},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 12, .external_lex_state = 2},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 12, .external_lex_state = 2},
  [984] = {.lex_state = 12, .external_lex_state = 2},
  [985] = {.lex_state = 12, .external_lex_state = 2},
  [986] = {.lex_state = 12, .external_lex_state = 2},
  [987] = {.lex_state = 12, .external_lex_state = 2},
  [988] = {.lex_state = 12, .external_lex_state = 2},
  [989] = {.lex_state = 12, .external_lex_state = 2},
  [990] = {.lex_state = 12, .external_lex_state = 2},
  [991] = {.lex_state = 12, .external_lex_state = 2},
  [992] = {.lex_state = 12, .external_lex_state = 2},
  [993] = {.lex_state = 12, .external_lex_state = 2},
  [994] = {.lex_state = 12, .external_lex_state = 2},
  [995] = {.lex_state = 12, .external_lex_state = 2},
  [996] = {.lex_state = 12, .external_lex_state = 2},
  [997] = {.lex_state = 12, .external_lex_state = 2},
  [998] = {.lex_state = 12, .external_lex_state = 2},
  [999] = {.lex_state = 12, .external_lex_state = 2},
  [1000] = {.lex_state = 12, .external_lex_state = 2},
  [1001] = {.lex_state = 12, .external_lex_state = 2},
  [1002] = {.lex_state = 12, .external_lex_state = 2},
  [1003] = {.lex_state = 12, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 12, .external_lex_state = 2},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12, .external_lex_state = 2},
  [1011] = {.lex_state = 12, .external_lex_state = 2},
  [1012] = {.lex_state = 12, .external_lex_state = 2},
  [1013] = {.lex_state = 12, .external_lex_state = 2},
  [1014] = {.lex_state = 12, .external_lex_state = 2},
  [1015] = {.lex_state = 12, .external_lex_state = 2},
  [1016] = {.lex_state = 12, .external_lex_state = 2},
  [1017] = {.lex_state = 12, .external_lex_state = 2},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 12, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 12, .external_lex_state = 2},
  [1023] = {.lex_state = 12, .external_lex_state = 2},
  [1024] = {.lex_state = 12, .external_lex_state = 2},
  [1025] = {.lex_state = 12, .external_lex_state = 2},
  [1026] = {.lex_state = 12, .external_lex_state = 2},
  [1027] = {.lex_state = 12, .external_lex_state = 2},
  [1028] = {.lex_state = 12, .external_lex_state = 2},
  [1029] = {.lex_state = 12, .external_lex_state = 2},
  [1030] = {.lex_state = 12, .external_lex_state = 2},
  [1031] = {.lex_state = 12, .external_lex_state = 2},
  [1032] = {.lex_state = 12, .external_lex_state = 2},
  [1033] = {.lex_state = 12, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12, .external_lex_state = 2},
  [1037] = {.lex_state = 12, .external_lex_state = 2},
  [1038] = {.lex_state = 12, .external_lex_state = 2},
  [1039] = {.lex_state = 12, .external_lex_state = 2},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 100},
  [1103] = {.lex_state = 100},
  [1104] = {.lex_state = 100},
  [1105] = {.lex_state = 10, .external_lex_state = 2},
  [1106] = {.lex_state = 16},
  [1107] = {.lex_state = 16},
  [1108] = {.lex_state = 16},
  [1109] = {.lex_state = 100},
  [1110] = {.lex_state = 100},
  [1111] = {.lex_state = 16},
  [1112] = {.lex_state = 100},
  [1113] = {.lex_state = 100},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 16},
  [1116] = {.lex_state = 16},
  [1117] = {.lex_state = 100},
  [1118] = {.lex_state = 100},
  [1119] = {.lex_state = 100},
  [1120] = {.lex_state = 100},
  [1121] = {.lex_state = 100},
  [1122] = {.lex_state = 100},
  [1123] = {.lex_state = 16},
  [1124] = {.lex_state = 16},
  [1125] = {.lex_state = 16},
  [1126] = {.lex_state = 16},
  [1127] = {.lex_state = 16},
  [1128] = {.lex_state = 16},
  [1129] = {.lex_state = 16},
  [1130] = {.lex_state = 16},
  [1131] = {.lex_state = 16},
  [1132] = {.lex_state = 16},
  [1133] = {.lex_state = 16},
  [1134] = {.lex_state = 16},
  [1135] = {.lex_state = 16},
  [1136] = {.lex_state = 16},
  [1137] = {.lex_state = 4, .external_lex_state = 3},
  [1138] = {.lex_state = 4, .external_lex_state = 3},
  [1139] = {.lex_state = 4, .external_lex_state = 3},
  [1140] = {.lex_state = 4, .external_lex_state = 3},
  [1141] = {.lex_state = 16},
  [1142] = {.lex_state = 16},
  [1143] = {.lex_state = 16},
  [1144] = {.lex_state = 4, .external_lex_state = 3},
  [1145] = {.lex_state = 4, .external_lex_state = 2},
  [1146] = {.lex_state = 4, .external_lex_state = 3},
  [1147] = {.lex_state = 4, .external_lex_state = 2},
  [1148] = {.lex_state = 4, .external_lex_state = 2},
  [1149] = {.lex_state = 100},
  [1150] = {.lex_state = 4, .external_lex_state = 3},
  [1151] = {.lex_state = 4, .external_lex_state = 3},
  [1152] = {.lex_state = 16},
  [1153] = {.lex_state = 16},
  [1154] = {.lex_state = 100},
  [1155] = {.lex_state = 16},
  [1156] = {.lex_state = 16},
  [1157] = {.lex_state = 16},
  [1158] = {.lex_state = 4, .external_lex_state = 2},
  [1159] = {.lex_state = 4, .external_lex_state = 2},
  [1160] = {.lex_state = 100},
  [1161] = {.lex_state = 4, .external_lex_state = 3},
  [1162] = {.lex_state = 4, .external_lex_state = 3},
  [1163] = {.lex_state = 4, .external_lex_state = 3},
  [1164] = {.lex_state = 4, .external_lex_state = 3},
  [1165] = {.lex_state = 4, .external_lex_state = 2},
  [1166] = {.lex_state = 4, .external_lex_state = 3},
  [1167] = {.lex_state = 4, .external_lex_state = 3},
  [1168] = {.lex_state = 16},
  [1169] = {.lex_state = 4, .external_lex_state = 2},
  [1170] = {.lex_state = 16},
  [1171] = {.lex_state = 4, .external_lex_state = 2},
  [1172] = {.lex_state = 16},
  [1173] = {.lex_state = 16},
  [1174] = {.lex_state = 16},
  [1175] = {.lex_state = 16},
  [1176] = {.lex_state = 16},
  [1177] = {.lex_state = 16},
  [1178] = {.lex_state = 16},
  [1179] = {.lex_state = 4, .external_lex_state = 2},
  [1180] = {.lex_state = 4, .external_lex_state = 2},
  [1181] = {.lex_state = 16},
  [1182] = {.lex_state = 16},
  [1183] = {.lex_state = 4, .external_lex_state = 2},
  [1184] = {.lex_state = 16},
  [1185] = {.lex_state = 16},
  [1186] = {.lex_state = 16},
  [1187] = {.lex_state = 16},
  [1188] = {.lex_state = 16},
  [1189] = {.lex_state = 16},
  [1190] = {.lex_state = 16},
  [1191] = {.lex_state = 16},
  [1192] = {.lex_state = 16},
  [1193] = {.lex_state = 16},
  [1194] = {.lex_state = 16},
  [1195] = {.lex_state = 16},
  [1196] = {.lex_state = 4, .external_lex_state = 2},
  [1197] = {.lex_state = 16},
  [1198] = {.lex_state = 16},
  [1199] = {.lex_state = 16},
  [1200] = {.lex_state = 16},
  [1201] = {.lex_state = 16},
  [1202] = {.lex_state = 16},
  [1203] = {.lex_state = 16},
  [1204] = {.lex_state = 16},
  [1205] = {.lex_state = 16},
  [1206] = {.lex_state = 16},
  [1207] = {.lex_state = 16},
  [1208] = {.lex_state = 16},
  [1209] = {.lex_state = 16},
  [1210] = {.lex_state = 16},
  [1211] = {.lex_state = 16},
  [1212] = {.lex_state = 16},
  [1213] = {.lex_state = 16},
  [1214] = {.lex_state = 16},
  [1215] = {.lex_state = 16},
  [1216] = {.lex_state = 16},
  [1217] = {.lex_state = 16},
  [1218] = {.lex_state = 16},
  [1219] = {.lex_state = 16},
  [1220] = {.lex_state = 16},
  [1221] = {.lex_state = 16},
  [1222] = {.lex_state = 16},
  [1223] = {.lex_state = 16},
  [1224] = {.lex_state = 16},
  [1225] = {.lex_state = 16},
  [1226] = {.lex_state = 16},
  [1227] = {.lex_state = 16},
  [1228] = {.lex_state = 16},
  [1229] = {.lex_state = 16},
  [1230] = {.lex_state = 16},
  [1231] = {.lex_state = 16},
  [1232] = {.lex_state = 16},
  [1233] = {.lex_state = 16},
  [1234] = {.lex_state = 16},
  [1235] = {.lex_state = 16},
  [1236] = {.lex_state = 16},
  [1237] = {.lex_state = 16},
  [1238] = {.lex_state = 16},
  [1239] = {.lex_state = 16},
  [1240] = {.lex_state = 16},
  [1241] = {.lex_state = 16},
  [1242] = {.lex_state = 16},
  [1243] = {.lex_state = 16},
  [1244] = {.lex_state = 16},
  [1245] = {.lex_state = 16},
  [1246] = {.lex_state = 16},
  [1247] = {.lex_state = 16},
  [1248] = {.lex_state = 16},
  [1249] = {.lex_state = 16},
  [1250] = {.lex_state = 16},
  [1251] = {.lex_state = 16},
  [1252] = {.lex_state = 16},
  [1253] = {.lex_state = 16},
  [1254] = {.lex_state = 16},
  [1255] = {.lex_state = 16},
  [1256] = {.lex_state = 4, .external_lex_state = 3},
  [1257] = {.lex_state = 16},
  [1258] = {.lex_state = 16},
  [1259] = {.lex_state = 16},
  [1260] = {.lex_state = 16},
  [1261] = {.lex_state = 16},
  [1262] = {.lex_state = 16},
  [1263] = {.lex_state = 16},
  [1264] = {.lex_state = 16},
  [1265] = {.lex_state = 16},
  [1266] = {.lex_state = 16},
  [1267] = {.lex_state = 16},
  [1268] = {.lex_state = 16},
  [1269] = {.lex_state = 16},
  [1270] = {.lex_state = 16},
  [1271] = {.lex_state = 16},
  [1272] = {.lex_state = 16},
  [1273] = {.lex_state = 16},
  [1274] = {.lex_state = 16},
  [1275] = {.lex_state = 16},
  [1276] = {.lex_state = 16},
  [1277] = {.lex_state = 16},
  [1278] = {.lex_state = 16},
  [1279] = {.lex_state = 16},
  [1280] = {.lex_state = 16},
  [1281] = {.lex_state = 16},
  [1282] = {.lex_state = 16},
  [1283] = {.lex_state = 16},
  [1284] = {.lex_state = 16},
  [1285] = {.lex_state = 16},
  [1286] = {.lex_state = 16},
  [1287] = {.lex_state = 16},
  [1288] = {.lex_state = 16},
  [1289] = {.lex_state = 16},
  [1290] = {.lex_state = 16},
  [1291] = {.lex_state = 16},
  [1292] = {.lex_state = 16},
  [1293] = {.lex_state = 4, .external_lex_state = 3},
  [1294] = {.lex_state = 16},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 16},
  [1297] = {.lex_state = 16},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 16},
  [1301] = {.lex_state = 16},
  [1302] = {.lex_state = 16},
  [1303] = {.lex_state = 16},
  [1304] = {.lex_state = 16},
  [1305] = {.lex_state = 16},
  [1306] = {.lex_state = 16},
  [1307] = {.lex_state = 16},
  [1308] = {.lex_state = 16},
  [1309] = {.lex_state = 16},
  [1310] = {.lex_state = 16},
  [1311] = {.lex_state = 16},
  [1312] = {.lex_state = 16},
  [1313] = {.lex_state = 16},
  [1314] = {.lex_state = 16},
  [1315] = {.lex_state = 4, .external_lex_state = 2},
  [1316] = {.lex_state = 16},
  [1317] = {.lex_state = 16},
  [1318] = {.lex_state = 16},
  [1319] = {.lex_state = 16},
  [1320] = {.lex_state = 16},
  [1321] = {.lex_state = 16},
  [1322] = {.lex_state = 16},
  [1323] = {.lex_state = 16},
  [1324] = {.lex_state = 16},
  [1325] = {.lex_state = 16},
  [1326] = {.lex_state = 16},
  [1327] = {.lex_state = 4, .external_lex_state = 3},
  [1328] = {.lex_state = 16},
  [1329] = {.lex_state = 16},
  [1330] = {.lex_state = 16},
  [1331] = {.lex_state = 16},
  [1332] = {.lex_state = 16},
  [1333] = {.lex_state = 16},
  [1334] = {.lex_state = 16},
  [1335] = {.lex_state = 16},
  [1336] = {.lex_state = 16},
  [1337] = {.lex_state = 16},
  [1338] = {.lex_state = 16},
  [1339] = {.lex_state = 16},
  [1340] = {.lex_state = 4, .external_lex_state = 3},
  [1341] = {.lex_state = 16},
  [1342] = {.lex_state = 16},
  [1343] = {.lex_state = 16},
  [1344] = {.lex_state = 16},
  [1345] = {.lex_state = 16},
  [1346] = {.lex_state = 16},
  [1347] = {.lex_state = 16},
  [1348] = {.lex_state = 4, .external_lex_state = 3},
  [1349] = {.lex_state = 16},
  [1350] = {.lex_state = 16},
  [1351] = {.lex_state = 4, .external_lex_state = 3},
  [1352] = {.lex_state = 16},
  [1353] = {.lex_state = 4, .external_lex_state = 2},
  [1354] = {.lex_state = 16},
  [1355] = {.lex_state = 16},
  [1356] = {.lex_state = 16},
  [1357] = {.lex_state = 16},
  [1358] = {.lex_state = 16},
  [1359] = {.lex_state = 16},
  [1360] = {.lex_state = 16},
  [1361] = {.lex_state = 16},
  [1362] = {.lex_state = 16},
  [1363] = {.lex_state = 16},
  [1364] = {.lex_state = 16},
  [1365] = {.lex_state = 16},
  [1366] = {.lex_state = 16},
  [1367] = {.lex_state = 16},
  [1368] = {.lex_state = 16},
  [1369] = {.lex_state = 16},
  [1370] = {.lex_state = 16},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 4, .external_lex_state = 3},
  [1373] = {.lex_state = 16},
  [1374] = {.lex_state = 16},
  [1375] = {.lex_state = 16},
  [1376] = {.lex_state = 16},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 16},
  [1379] = {.lex_state = 16},
  [1380] = {.lex_state = 16},
  [1381] = {.lex_state = 16},
  [1382] = {.lex_state = 16},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 4, .external_lex_state = 2},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 16},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 16},
  [1394] = {.lex_state = 16},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 4, .external_lex_state = 2},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 16},
  [1403] = {.lex_state = 16},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 4, .external_lex_state = 2},
  [1406] = {.lex_state = 4, .external_lex_state = 2},
  [1407] = {.lex_state = 4, .external_lex_state = 2},
  [1408] = {.lex_state = 4, .external_lex_state = 2},
  [1409] = {.lex_state = 101},
  [1410] = {.lex_state = 4, .external_lex_state = 3},
  [1411] = {.lex_state = 101},
  [1412] = {.lex_state = 4, .external_lex_state = 3},
  [1413] = {.lex_state = 4, .external_lex_state = 3},
  [1414] = {.lex_state = 4, .external_lex_state = 2},
  [1415] = {.lex_state = 101},
  [1416] = {.lex_state = 101},
  [1417] = {.lex_state = 4, .external_lex_state = 2},
  [1418] = {.lex_state = 4, .external_lex_state = 2},
  [1419] = {.lex_state = 101},
  [1420] = {.lex_state = 101},
  [1421] = {.lex_state = 4, .external_lex_state = 3},
  [1422] = {.lex_state = 101},
  [1423] = {.lex_state = 4, .external_lex_state = 2},
  [1424] = {.lex_state = 101},
  [1425] = {.lex_state = 4, .external_lex_state = 2},
  [1426] = {.lex_state = 4, .external_lex_state = 3},
  [1427] = {.lex_state = 4, .external_lex_state = 3},
  [1428] = {.lex_state = 4, .external_lex_state = 3},
  [1429] = {.lex_state = 4, .external_lex_state = 2},
  [1430] = {.lex_state = 4, .external_lex_state = 2},
  [1431] = {.lex_state = 4, .external_lex_state = 2},
  [1432] = {.lex_state = 4, .external_lex_state = 3},
  [1433] = {.lex_state = 4, .external_lex_state = 3},
  [1434] = {.lex_state = 4, .external_lex_state = 3},
  [1435] = {.lex_state = 4, .external_lex_state = 3},
  [1436] = {.lex_state = 4, .external_lex_state = 3},
  [1437] = {.lex_state = 4, .external_lex_state = 3},
  [1438] = {.lex_state = 4, .external_lex_state = 2},
  [1439] = {.lex_state = 4, .external_lex_state = 2},
  [1440] = {.lex_state = 4, .external_lex_state = 2},
  [1441] = {.lex_state = 4, .external_lex_state = 2},
  [1442] = {.lex_state = 4, .external_lex_state = 3},
  [1443] = {.lex_state = 4, .external_lex_state = 2},
  [1444] = {.lex_state = 4, .external_lex_state = 2},
  [1445] = {.lex_state = 4, .external_lex_state = 2},
  [1446] = {.lex_state = 4, .external_lex_state = 2},
  [1447] = {.lex_state = 4, .external_lex_state = 2},
  [1448] = {.lex_state = 4, .external_lex_state = 3},
  [1449] = {.lex_state = 4, .external_lex_state = 3},
  [1450] = {.lex_state = 4, .external_lex_state = 2},
  [1451] = {.lex_state = 4, .external_lex_state = 2},
  [1452] = {.lex_state = 4, .external_lex_state = 2},
  [1453] = {.lex_state = 4, .external_lex_state = 2},
  [1454] = {.lex_state = 100},
  [1455] = {.lex_state = 101},
  [1456] = {.lex_state = 4, .external_lex_state = 3},
  [1457] = {.lex_state = 101},
  [1458] = {.lex_state = 4, .external_lex_state = 2},
  [1459] = {.lex_state = 4, .external_lex_state = 2},
  [1460] = {.lex_state = 4, .external_lex_state = 2},
  [1461] = {.lex_state = 4, .external_lex_state = 3},
  [1462] = {.lex_state = 4, .external_lex_state = 2},
  [1463] = {.lex_state = 100},
  [1464] = {.lex_state = 4, .external_lex_state = 3},
  [1465] = {.lex_state = 4, .external_lex_state = 2},
  [1466] = {.lex_state = 100},
  [1467] = {.lex_state = 4, .external_lex_state = 2},
  [1468] = {.lex_state = 4, .external_lex_state = 2},
  [1469] = {.lex_state = 4, .external_lex_state = 2},
  [1470] = {.lex_state = 4, .external_lex_state = 3},
  [1471] = {.lex_state = 4, .external_lex_state = 3},
  [1472] = {.lex_state = 4, .external_lex_state = 3},
  [1473] = {.lex_state = 4, .external_lex_state = 3},
  [1474] = {.lex_state = 4, .external_lex_state = 2},
  [1475] = {.lex_state = 100},
  [1476] = {.lex_state = 4, .external_lex_state = 3},
  [1477] = {.lex_state = 4, .external_lex_state = 3},
  [1478] = {.lex_state = 100},
  [1479] = {.lex_state = 4, .external_lex_state = 3},
  [1480] = {.lex_state = 4, .external_lex_state = 3},
  [1481] = {.lex_state = 4, .external_lex_state = 2},
  [1482] = {.lex_state = 4, .external_lex_state = 3},
  [1483] = {.lex_state = 4, .external_lex_state = 2},
  [1484] = {.lex_state = 4, .external_lex_state = 3},
  [1485] = {.lex_state = 100},
  [1486] = {.lex_state = 4, .external_lex_state = 3},
  [1487] = {.lex_state = 4, .external_lex_state = 3},
  [1488] = {.lex_state = 4, .external_lex_state = 3},
  [1489] = {.lex_state = 4, .external_lex_state = 3},
  [1490] = {.lex_state = 100},
  [1491] = {.lex_state = 4, .external_lex_state = 3},
  [1492] = {.lex_state = 4, .external_lex_state = 2},
  [1493] = {.lex_state = 4, .external_lex_state = 3},
  [1494] = {.lex_state = 4, .external_lex_state = 2},
  [1495] = {.lex_state = 4, .external_lex_state = 2},
  [1496] = {.lex_state = 4, .external_lex_state = 3},
  [1497] = {.lex_state = 4, .external_lex_state = 3},
  [1498] = {.lex_state = 4, .external_lex_state = 2},
  [1499] = {.lex_state = 4, .external_lex_state = 3},
  [1500] = {.lex_state = 4, .external_lex_state = 3},
  [1501] = {.lex_state = 100},
  [1502] = {.lex_state = 4, .external_lex_state = 3},
  [1503] = {.lex_state = 4, .external_lex_state = 3},
  [1504] = {.lex_state = 4, .external_lex_state = 2},
  [1505] = {.lex_state = 4, .external_lex_state = 2},
  [1506] = {.lex_state = 4, .external_lex_state = 2},
  [1507] = {.lex_state = 4, .external_lex_state = 2},
  [1508] = {.lex_state = 4, .external_lex_state = 2},
  [1509] = {.lex_state = 100},
  [1510] = {.lex_state = 100},
  [1511] = {.lex_state = 4, .external_lex_state = 2},
  [1512] = {.lex_state = 16, .external_lex_state = 4},
  [1513] = {.lex_state = 100},
  [1514] = {.lex_state = 4, .external_lex_state = 2},
  [1515] = {.lex_state = 16, .external_lex_state = 4},
  [1516] = {.lex_state = 4, .external_lex_state = 2},
  [1517] = {.lex_state = 4, .external_lex_state = 2},
  [1518] = {.lex_state = 4, .external_lex_state = 2},
  [1519] = {.lex_state = 4, .external_lex_state = 2},
  [1520] = {.lex_state = 4, .external_lex_state = 2},
  [1521] = {.lex_state = 4, .external_lex_state = 2},
  [1522] = {.lex_state = 4, .external_lex_state = 2},
  [1523] = {.lex_state = 4, .external_lex_state = 2},
  [1524] = {.lex_state = 16},
  [1525] = {.lex_state = 16},
  [1526] = {.lex_state = 4, .external_lex_state = 2},
  [1527] = {.lex_state = 4, .external_lex_state = 2},
  [1528] = {.lex_state = 4, .external_lex_state = 2},
  [1529] = {.lex_state = 4, .external_lex_state = 2},
  [1530] = {.lex_state = 4, .external_lex_state = 2},
  [1531] = {.lex_state = 16},
  [1532] = {.lex_state = 16},
  [1533] = {.lex_state = 16},
  [1534] = {.lex_state = 16},
  [1535] = {.lex_state = 16},
  [1536] = {.lex_state = 16},
  [1537] = {.lex_state = 16},
  [1538] = {.lex_state = 16},
  [1539] = {.lex_state = 16},
  [1540] = {.lex_state = 16},
  [1541] = {.lex_state = 16},
  [1542] = {.lex_state = 16},
  [1543] = {.lex_state = 16},
  [1544] = {.lex_state = 16},
  [1545] = {.lex_state = 16},
  [1546] = {.lex_state = 16},
  [1547] = {.lex_state = 16},
  [1548] = {.lex_state = 16},
  [1549] = {.lex_state = 16},
  [1550] = {.lex_state = 16},
  [1551] = {.lex_state = 16},
  [1552] = {.lex_state = 16},
  [1553] = {.lex_state = 16},
  [1554] = {.lex_state = 16},
  [1555] = {.lex_state = 16},
  [1556] = {.lex_state = 16},
  [1557] = {.lex_state = 16},
  [1558] = {.lex_state = 16},
  [1559] = {.lex_state = 16},
  [1560] = {.lex_state = 16},
  [1561] = {.lex_state = 16},
  [1562] = {.lex_state = 16},
  [1563] = {.lex_state = 16},
  [1564] = {.lex_state = 16},
  [1565] = {.lex_state = 16},
  [1566] = {.lex_state = 16},
  [1567] = {.lex_state = 16},
  [1568] = {.lex_state = 16},
  [1569] = {.lex_state = 16},
  [1570] = {.lex_state = 16},
  [1571] = {.lex_state = 16},
  [1572] = {.lex_state = 16},
  [1573] = {.lex_state = 16},
  [1574] = {.lex_state = 16},
  [1575] = {.lex_state = 16},
  [1576] = {.lex_state = 16},
  [1577] = {.lex_state = 16},
  [1578] = {.lex_state = 16},
  [1579] = {.lex_state = 16},
  [1580] = {.lex_state = 16},
  [1581] = {.lex_state = 16},
  [1582] = {.lex_state = 16},
  [1583] = {.lex_state = 16},
  [1584] = {.lex_state = 16},
  [1585] = {.lex_state = 16},
  [1586] = {.lex_state = 16},
  [1587] = {.lex_state = 16},
  [1588] = {.lex_state = 16},
  [1589] = {.lex_state = 16},
  [1590] = {.lex_state = 16},
  [1591] = {.lex_state = 16},
  [1592] = {.lex_state = 16},
  [1593] = {.lex_state = 16},
  [1594] = {.lex_state = 16},
  [1595] = {.lex_state = 16},
  [1596] = {.lex_state = 16},
  [1597] = {.lex_state = 16},
  [1598] = {.lex_state = 16},
  [1599] = {.lex_state = 16},
  [1600] = {.lex_state = 16},
  [1601] = {.lex_state = 16},
  [1602] = {.lex_state = 16},
  [1603] = {.lex_state = 16},
  [1604] = {.lex_state = 16},
  [1605] = {.lex_state = 16},
  [1606] = {.lex_state = 16},
  [1607] = {.lex_state = 16},
  [1608] = {.lex_state = 16},
  [1609] = {.lex_state = 16},
  [1610] = {.lex_state = 100},
  [1611] = {.lex_state = 100},
  [1612] = {.lex_state = 99, .external_lex_state = 2},
  [1613] = {.lex_state = 100},
  [1614] = {.lex_state = 100},
  [1615] = {.lex_state = 100},
  [1616] = {.lex_state = 99, .external_lex_state = 2},
  [1617] = {.lex_state = 16},
  [1618] = {.lex_state = 100},
  [1619] = {.lex_state = 100},
  [1620] = {.lex_state = 100},
  [1621] = {.lex_state = 99, .external_lex_state = 2},
  [1622] = {.lex_state = 16},
  [1623] = {.lex_state = 16},
  [1624] = {.lex_state = 99, .external_lex_state = 2},
  [1625] = {.lex_state = 99, .external_lex_state = 2},
  [1626] = {.lex_state = 99, .external_lex_state = 2},
  [1627] = {.lex_state = 16},
  [1628] = {.lex_state = 99, .external_lex_state = 2},
  [1629] = {.lex_state = 99, .external_lex_state = 2},
  [1630] = {.lex_state = 99, .external_lex_state = 2},
  [1631] = {.lex_state = 16},
  [1632] = {.lex_state = 99, .external_lex_state = 2},
  [1633] = {.lex_state = 99, .external_lex_state = 2},
  [1634] = {.lex_state = 16},
  [1635] = {.lex_state = 16},
  [1636] = {.lex_state = 99, .external_lex_state = 2},
  [1637] = {.lex_state = 99, .external_lex_state = 2},
  [1638] = {.lex_state = 99, .external_lex_state = 2},
  [1639] = {.lex_state = 99, .external_lex_state = 2},
  [1640] = {.lex_state = 99, .external_lex_state = 3},
  [1641] = {.lex_state = 16},
  [1642] = {.lex_state = 16},
  [1643] = {.lex_state = 99, .external_lex_state = 2},
  [1644] = {.lex_state = 16},
  [1645] = {.lex_state = 99, .external_lex_state = 2},
  [1646] = {.lex_state = 99, .external_lex_state = 3},
  [1647] = {.lex_state = 99, .external_lex_state = 2},
  [1648] = {.lex_state = 99, .external_lex_state = 2},
  [1649] = {.lex_state = 99, .external_lex_state = 2},
  [1650] = {.lex_state = 99, .external_lex_state = 2},
  [1651] = {.lex_state = 99, .external_lex_state = 2},
  [1652] = {.lex_state = 99, .external_lex_state = 2},
  [1653] = {.lex_state = 99, .external_lex_state = 2},
  [1654] = {.lex_state = 99, .external_lex_state = 2},
  [1655] = {.lex_state = 99, .external_lex_state = 2},
  [1656] = {.lex_state = 99, .external_lex_state = 2},
  [1657] = {.lex_state = 99, .external_lex_state = 2},
  [1658] = {.lex_state = 99, .external_lex_state = 2},
  [1659] = {.lex_state = 99, .external_lex_state = 2},
  [1660] = {.lex_state = 99, .external_lex_state = 2},
  [1661] = {.lex_state = 99, .external_lex_state = 2},
  [1662] = {.lex_state = 99, .external_lex_state = 2},
  [1663] = {.lex_state = 99, .external_lex_state = 2},
  [1664] = {.lex_state = 99, .external_lex_state = 2},
  [1665] = {.lex_state = 99, .external_lex_state = 2},
  [1666] = {.lex_state = 99, .external_lex_state = 2},
  [1667] = {.lex_state = 99, .external_lex_state = 2},
  [1668] = {.lex_state = 99, .external_lex_state = 2},
  [1669] = {.lex_state = 99, .external_lex_state = 2},
  [1670] = {.lex_state = 99, .external_lex_state = 2},
  [1671] = {.lex_state = 99, .external_lex_state = 2},
  [1672] = {.lex_state = 99, .external_lex_state = 2},
  [1673] = {.lex_state = 99, .external_lex_state = 2},
  [1674] = {.lex_state = 99, .external_lex_state = 2},
  [1675] = {.lex_state = 99, .external_lex_state = 3},
  [1676] = {.lex_state = 99, .external_lex_state = 2},
  [1677] = {.lex_state = 99, .external_lex_state = 2},
  [1678] = {.lex_state = 99, .external_lex_state = 2},
  [1679] = {.lex_state = 100},
  [1680] = {.lex_state = 99, .external_lex_state = 2},
  [1681] = {.lex_state = 99, .external_lex_state = 2},
  [1682] = {.lex_state = 99, .external_lex_state = 2},
  [1683] = {.lex_state = 99, .external_lex_state = 3},
  [1684] = {.lex_state = 99, .external_lex_state = 3},
  [1685] = {.lex_state = 99, .external_lex_state = 2},
  [1686] = {.lex_state = 99, .external_lex_state = 2},
  [1687] = {.lex_state = 99, .external_lex_state = 2},
  [1688] = {.lex_state = 99, .external_lex_state = 2},
  [1689] = {.lex_state = 99, .external_lex_state = 2},
  [1690] = {.lex_state = 99, .external_lex_state = 2},
  [1691] = {.lex_state = 99, .external_lex_state = 2},
  [1692] = {.lex_state = 99, .external_lex_state = 2},
  [1693] = {.lex_state = 99, .external_lex_state = 2},
  [1694] = {.lex_state = 99, .external_lex_state = 2},
  [1695] = {.lex_state = 99, .external_lex_state = 2},
  [1696] = {.lex_state = 99, .external_lex_state = 2},
  [1697] = {.lex_state = 99, .external_lex_state = 2},
  [1698] = {.lex_state = 99, .external_lex_state = 2},
  [1699] = {.lex_state = 99, .external_lex_state = 2},
  [1700] = {.lex_state = 99, .external_lex_state = 2},
  [1701] = {.lex_state = 99, .external_lex_state = 2},
  [1702] = {.lex_state = 99, .external_lex_state = 2},
  [1703] = {.lex_state = 99, .external_lex_state = 2},
  [1704] = {.lex_state = 99, .external_lex_state = 2},
  [1705] = {.lex_state = 99, .external_lex_state = 2},
  [1706] = {.lex_state = 99, .external_lex_state = 2},
  [1707] = {.lex_state = 99, .external_lex_state = 2},
  [1708] = {.lex_state = 99, .external_lex_state = 2},
  [1709] = {.lex_state = 99, .external_lex_state = 2},
  [1710] = {.lex_state = 99, .external_lex_state = 2},
  [1711] = {.lex_state = 99, .external_lex_state = 2},
  [1712] = {.lex_state = 99, .external_lex_state = 2},
  [1713] = {.lex_state = 99, .external_lex_state = 2},
  [1714] = {.lex_state = 99, .external_lex_state = 2},
  [1715] = {.lex_state = 99, .external_lex_state = 2},
  [1716] = {.lex_state = 99, .external_lex_state = 2},
  [1717] = {.lex_state = 99, .external_lex_state = 2},
  [1718] = {.lex_state = 99, .external_lex_state = 2},
  [1719] = {.lex_state = 99, .external_lex_state = 2},
  [1720] = {.lex_state = 99, .external_lex_state = 2},
  [1721] = {.lex_state = 99, .external_lex_state = 2},
  [1722] = {.lex_state = 99, .external_lex_state = 2},
  [1723] = {.lex_state = 99, .external_lex_state = 2},
  [1724] = {.lex_state = 99, .external_lex_state = 2},
  [1725] = {.lex_state = 99, .external_lex_state = 2},
  [1726] = {.lex_state = 99, .external_lex_state = 2},
  [1727] = {.lex_state = 99, .external_lex_state = 2},
  [1728] = {.lex_state = 99, .external_lex_state = 2},
  [1729] = {.lex_state = 99, .external_lex_state = 2},
  [1730] = {.lex_state = 99, .external_lex_state = 2},
  [1731] = {.lex_state = 99, .external_lex_state = 2},
  [1732] = {.lex_state = 16},
  [1733] = {.lex_state = 99, .external_lex_state = 2},
  [1734] = {.lex_state = 99, .external_lex_state = 2},
  [1735] = {.lex_state = 99, .external_lex_state = 2},
  [1736] = {.lex_state = 99, .external_lex_state = 2},
  [1737] = {.lex_state = 99, .external_lex_state = 2},
  [1738] = {.lex_state = 99, .external_lex_state = 2},
  [1739] = {.lex_state = 99, .external_lex_state = 2},
  [1740] = {.lex_state = 99, .external_lex_state = 2},
  [1741] = {.lex_state = 99, .external_lex_state = 2},
  [1742] = {.lex_state = 99, .external_lex_state = 2},
  [1743] = {.lex_state = 99, .external_lex_state = 2},
  [1744] = {.lex_state = 99, .external_lex_state = 2},
  [1745] = {.lex_state = 99, .external_lex_state = 2},
  [1746] = {.lex_state = 99, .external_lex_state = 2},
  [1747] = {.lex_state = 99, .external_lex_state = 2},
  [1748] = {.lex_state = 99, .external_lex_state = 2},
  [1749] = {.lex_state = 99, .external_lex_state = 2},
  [1750] = {.lex_state = 99, .external_lex_state = 2},
  [1751] = {.lex_state = 99, .external_lex_state = 2},
  [1752] = {.lex_state = 16},
  [1753] = {.lex_state = 99, .external_lex_state = 2},
  [1754] = {.lex_state = 99, .external_lex_state = 2},
  [1755] = {.lex_state = 99, .external_lex_state = 2},
  [1756] = {.lex_state = 99, .external_lex_state = 2},
  [1757] = {.lex_state = 99, .external_lex_state = 2},
  [1758] = {.lex_state = 16},
  [1759] = {.lex_state = 99, .external_lex_state = 2},
  [1760] = {.lex_state = 16},
  [1761] = {.lex_state = 99, .external_lex_state = 2},
  [1762] = {.lex_state = 99, .external_lex_state = 2},
  [1763] = {.lex_state = 99, .external_lex_state = 2},
  [1764] = {.lex_state = 99, .external_lex_state = 2},
  [1765] = {.lex_state = 99, .external_lex_state = 2},
  [1766] = {.lex_state = 99, .external_lex_state = 2},
  [1767] = {.lex_state = 99, .external_lex_state = 2},
  [1768] = {.lex_state = 99, .external_lex_state = 2},
  [1769] = {.lex_state = 99, .external_lex_state = 2},
  [1770] = {.lex_state = 99, .external_lex_state = 2},
  [1771] = {.lex_state = 99, .external_lex_state = 2},
  [1772] = {.lex_state = 99, .external_lex_state = 3},
  [1773] = {.lex_state = 99, .external_lex_state = 2},
  [1774] = {.lex_state = 99, .external_lex_state = 2},
  [1775] = {.lex_state = 16},
  [1776] = {.lex_state = 99, .external_lex_state = 2},
  [1777] = {.lex_state = 99, .external_lex_state = 2},
  [1778] = {.lex_state = 99, .external_lex_state = 2},
  [1779] = {.lex_state = 99, .external_lex_state = 2},
  [1780] = {.lex_state = 99, .external_lex_state = 2},
  [1781] = {.lex_state = 99, .external_lex_state = 2},
  [1782] = {.lex_state = 99, .external_lex_state = 2},
  [1783] = {.lex_state = 99, .external_lex_state = 2},
  [1784] = {.lex_state = 99, .external_lex_state = 2},
  [1785] = {.lex_state = 99, .external_lex_state = 2},
  [1786] = {.lex_state = 99, .external_lex_state = 2},
  [1787] = {.lex_state = 99, .external_lex_state = 2},
  [1788] = {.lex_state = 99, .external_lex_state = 2},
  [1789] = {.lex_state = 99, .external_lex_state = 2},
  [1790] = {.lex_state = 99, .external_lex_state = 2},
  [1791] = {.lex_state = 99, .external_lex_state = 2},
  [1792] = {.lex_state = 16},
  [1793] = {.lex_state = 99, .external_lex_state = 2},
  [1794] = {.lex_state = 99, .external_lex_state = 2},
  [1795] = {.lex_state = 99, .external_lex_state = 2},
  [1796] = {.lex_state = 99, .external_lex_state = 2},
  [1797] = {.lex_state = 99, .external_lex_state = 2},
  [1798] = {.lex_state = 99, .external_lex_state = 2},
  [1799] = {.lex_state = 99, .external_lex_state = 2},
  [1800] = {.lex_state = 99, .external_lex_state = 2},
  [1801] = {.lex_state = 99, .external_lex_state = 2},
  [1802] = {.lex_state = 99, .external_lex_state = 2},
  [1803] = {.lex_state = 99, .external_lex_state = 3},
  [1804] = {.lex_state = 16},
  [1805] = {.lex_state = 99, .external_lex_state = 2},
  [1806] = {.lex_state = 99, .external_lex_state = 2},
  [1807] = {.lex_state = 99, .external_lex_state = 2},
  [1808] = {.lex_state = 16},
  [1809] = {.lex_state = 99, .external_lex_state = 2},
  [1810] = {.lex_state = 99, .external_lex_state = 2},
  [1811] = {.lex_state = 99, .external_lex_state = 2},
  [1812] = {.lex_state = 99, .external_lex_state = 2},
  [1813] = {.lex_state = 99, .external_lex_state = 2},
  [1814] = {.lex_state = 99, .external_lex_state = 2},
  [1815] = {.lex_state = 99, .external_lex_state = 2},
  [1816] = {.lex_state = 99, .external_lex_state = 2},
  [1817] = {.lex_state = 99, .external_lex_state = 2},
  [1818] = {.lex_state = 99, .external_lex_state = 2},
  [1819] = {.lex_state = 99, .external_lex_state = 2},
  [1820] = {.lex_state = 99, .external_lex_state = 2},
  [1821] = {.lex_state = 99, .external_lex_state = 2},
  [1822] = {.lex_state = 16},
  [1823] = {.lex_state = 16},
  [1824] = {.lex_state = 16},
  [1825] = {.lex_state = 99, .external_lex_state = 2},
  [1826] = {.lex_state = 99, .external_lex_state = 2},
  [1827] = {.lex_state = 99, .external_lex_state = 2},
  [1828] = {.lex_state = 99, .external_lex_state = 3},
  [1829] = {.lex_state = 99, .external_lex_state = 2},
  [1830] = {.lex_state = 99, .external_lex_state = 2},
  [1831] = {.lex_state = 99, .external_lex_state = 3},
  [1832] = {.lex_state = 99, .external_lex_state = 2},
  [1833] = {.lex_state = 99, .external_lex_state = 2},
  [1834] = {.lex_state = 16},
  [1835] = {.lex_state = 99, .external_lex_state = 2},
  [1836] = {.lex_state = 99, .external_lex_state = 2},
  [1837] = {.lex_state = 99, .external_lex_state = 2},
  [1838] = {.lex_state = 16},
  [1839] = {.lex_state = 99, .external_lex_state = 2},
  [1840] = {.lex_state = 99, .external_lex_state = 2},
  [1841] = {.lex_state = 99, .external_lex_state = 2},
  [1842] = {.lex_state = 99, .external_lex_state = 2},
  [1843] = {.lex_state = 99, .external_lex_state = 2},
  [1844] = {.lex_state = 99, .external_lex_state = 2},
  [1845] = {.lex_state = 99, .external_lex_state = 2},
  [1846] = {.lex_state = 99, .external_lex_state = 2},
  [1847] = {.lex_state = 99, .external_lex_state = 2},
  [1848] = {.lex_state = 99, .external_lex_state = 2},
  [1849] = {.lex_state = 16},
  [1850] = {.lex_state = 99, .external_lex_state = 2},
  [1851] = {.lex_state = 99, .external_lex_state = 2},
  [1852] = {.lex_state = 99, .external_lex_state = 2},
  [1853] = {.lex_state = 99, .external_lex_state = 2},
  [1854] = {.lex_state = 99, .external_lex_state = 2},
  [1855] = {.lex_state = 99, .external_lex_state = 2},
  [1856] = {.lex_state = 99, .external_lex_state = 2},
  [1857] = {.lex_state = 99, .external_lex_state = 2},
  [1858] = {.lex_state = 99, .external_lex_state = 2},
  [1859] = {.lex_state = 99, .external_lex_state = 3},
  [1860] = {.lex_state = 99, .external_lex_state = 2},
  [1861] = {.lex_state = 99, .external_lex_state = 2},
  [1862] = {.lex_state = 99, .external_lex_state = 2},
  [1863] = {.lex_state = 99, .external_lex_state = 3},
  [1864] = {.lex_state = 99, .external_lex_state = 2},
  [1865] = {.lex_state = 99, .external_lex_state = 3},
  [1866] = {.lex_state = 99, .external_lex_state = 2},
  [1867] = {.lex_state = 99, .external_lex_state = 2},
  [1868] = {.lex_state = 99, .external_lex_state = 2},
  [1869] = {.lex_state = 99, .external_lex_state = 2},
  [1870] = {.lex_state = 99, .external_lex_state = 2},
  [1871] = {.lex_state = 99, .external_lex_state = 3},
  [1872] = {.lex_state = 99, .external_lex_state = 3},
  [1873] = {.lex_state = 16, .external_lex_state = 4},
  [1874] = {.lex_state = 99, .external_lex_state = 2},
  [1875] = {.lex_state = 99, .external_lex_state = 2},
  [1876] = {.lex_state = 99, .external_lex_state = 2},
  [1877] = {.lex_state = 99, .external_lex_state = 3},
  [1878] = {.lex_state = 99, .external_lex_state = 2},
  [1879] = {.lex_state = 16, .external_lex_state = 4},
  [1880] = {.lex_state = 99, .external_lex_state = 3},
  [1881] = {.lex_state = 99, .external_lex_state = 3},
  [1882] = {.lex_state = 99, .external_lex_state = 2},
  [1883] = {.lex_state = 99, .external_lex_state = 2},
  [1884] = {.lex_state = 99, .external_lex_state = 3},
  [1885] = {.lex_state = 99, .external_lex_state = 3},
  [1886] = {.lex_state = 99, .external_lex_state = 2},
  [1887] = {.lex_state = 99, .external_lex_state = 3},
  [1888] = {.lex_state = 99, .external_lex_state = 3},
  [1889] = {.lex_state = 99, .external_lex_state = 3},
  [1890] = {.lex_state = 99, .external_lex_state = 2},
  [1891] = {.lex_state = 99, .external_lex_state = 2},
  [1892] = {.lex_state = 99, .external_lex_state = 2},
  [1893] = {.lex_state = 99, .external_lex_state = 3},
  [1894] = {.lex_state = 99, .external_lex_state = 2},
  [1895] = {.lex_state = 99, .external_lex_state = 3},
  [1896] = {.lex_state = 99, .external_lex_state = 3},
  [1897] = {.lex_state = 99, .external_lex_state = 2},
  [1898] = {.lex_state = 16, .external_lex_state = 4},
  [1899] = {.lex_state = 99, .external_lex_state = 2},
  [1900] = {.lex_state = 99, .external_lex_state = 3},
  [1901] = {.lex_state = 99, .external_lex_state = 2},
  [1902] = {.lex_state = 99, .external_lex_state = 2},
  [1903] = {.lex_state = 99, .external_lex_state = 3},
  [1904] = {.lex_state = 99, .external_lex_state = 2},
  [1905] = {.lex_state = 99, .external_lex_state = 3},
  [1906] = {.lex_state = 99, .external_lex_state = 3},
  [1907] = {.lex_state = 99, .external_lex_state = 3},
  [1908] = {.lex_state = 99, .external_lex_state = 3},
  [1909] = {.lex_state = 99, .external_lex_state = 2},
  [1910] = {.lex_state = 99, .external_lex_state = 2},
  [1911] = {.lex_state = 99, .external_lex_state = 2},
  [1912] = {.lex_state = 99, .external_lex_state = 3},
  [1913] = {.lex_state = 99, .external_lex_state = 2},
  [1914] = {.lex_state = 99, .external_lex_state = 2},
  [1915] = {.lex_state = 16, .external_lex_state = 4},
  [1916] = {.lex_state = 99, .external_lex_state = 2},
  [1917] = {.lex_state = 99, .external_lex_state = 3},
  [1918] = {.lex_state = 99, .external_lex_state = 3},
  [1919] = {.lex_state = 101, .external_lex_state = 4},
  [1920] = {.lex_state = 99, .external_lex_state = 3},
  [1921] = {.lex_state = 13, .external_lex_state = 2},
  [1922] = {.lex_state = 99, .external_lex_state = 3},
  [1923] = {.lex_state = 99, .external_lex_state = 3},
  [1924] = {.lex_state = 99, .external_lex_state = 3},
  [1925] = {.lex_state = 99, .external_lex_state = 3},
  [1926] = {.lex_state = 99, .external_lex_state = 3},
  [1927] = {.lex_state = 99, .external_lex_state = 3},
  [1928] = {.lex_state = 99, .external_lex_state = 3},
  [1929] = {.lex_state = 99, .external_lex_state = 3},
  [1930] = {.lex_state = 99, .external_lex_state = 3},
  [1931] = {.lex_state = 99, .external_lex_state = 3},
  [1932] = {.lex_state = 99, .external_lex_state = 3},
  [1933] = {.lex_state = 99, .external_lex_state = 3},
  [1934] = {.lex_state = 99, .external_lex_state = 3},
  [1935] = {.lex_state = 99, .external_lex_state = 3},
  [1936] = {.lex_state = 99, .external_lex_state = 3},
  [1937] = {.lex_state = 99, .external_lex_state = 3},
  [1938] = {.lex_state = 99, .external_lex_state = 3},
  [1939] = {.lex_state = 99, .external_lex_state = 3},
  [1940] = {.lex_state = 99, .external_lex_state = 3},
  [1941] = {.lex_state = 99, .external_lex_state = 3},
  [1942] = {.lex_state = 99, .external_lex_state = 3},
  [1943] = {.lex_state = 99, .external_lex_state = 3},
  [1944] = {.lex_state = 99, .external_lex_state = 2},
  [1945] = {.lex_state = 99, .external_lex_state = 3},
  [1946] = {.lex_state = 99, .external_lex_state = 3},
  [1947] = {.lex_state = 99, .external_lex_state = 3},
  [1948] = {.lex_state = 99, .external_lex_state = 2},
  [1949] = {.lex_state = 99, .external_lex_state = 3},
  [1950] = {.lex_state = 99, .external_lex_state = 3},
  [1951] = {.lex_state = 99, .external_lex_state = 3},
  [1952] = {.lex_state = 99, .external_lex_state = 3},
  [1953] = {.lex_state = 99, .external_lex_state = 3},
  [1954] = {.lex_state = 99, .external_lex_state = 3},
  [1955] = {.lex_state = 99, .external_lex_state = 3},
  [1956] = {.lex_state = 99, .external_lex_state = 3},
  [1957] = {.lex_state = 99, .external_lex_state = 3},
  [1958] = {.lex_state = 99, .external_lex_state = 3},
  [1959] = {.lex_state = 99, .external_lex_state = 3},
  [1960] = {.lex_state = 99, .external_lex_state = 2},
  [1961] = {.lex_state = 99, .external_lex_state = 3},
  [1962] = {.lex_state = 99, .external_lex_state = 3},
  [1963] = {.lex_state = 99, .external_lex_state = 3},
  [1964] = {.lex_state = 99, .external_lex_state = 3},
  [1965] = {.lex_state = 99, .external_lex_state = 3},
  [1966] = {.lex_state = 16, .external_lex_state = 4},
  [1967] = {.lex_state = 99, .external_lex_state = 3},
  [1968] = {.lex_state = 99, .external_lex_state = 3},
  [1969] = {.lex_state = 99, .external_lex_state = 3},
  [1970] = {.lex_state = 99, .external_lex_state = 3},
  [1971] = {.lex_state = 99, .external_lex_state = 3},
  [1972] = {.lex_state = 99, .external_lex_state = 2},
  [1973] = {.lex_state = 99, .external_lex_state = 3},
  [1974] = {.lex_state = 16, .external_lex_state = 4},
  [1975] = {.lex_state = 99, .external_lex_state = 3},
  [1976] = {.lex_state = 16, .external_lex_state = 4},
  [1977] = {.lex_state = 99, .external_lex_state = 2},
  [1978] = {.lex_state = 99, .external_lex_state = 3},
  [1979] = {.lex_state = 16, .external_lex_state = 4},
  [1980] = {.lex_state = 99, .external_lex_state = 3},
  [1981] = {.lex_state = 99, .external_lex_state = 3},
  [1982] = {.lex_state = 99, .external_lex_state = 3},
  [1983] = {.lex_state = 99, .external_lex_state = 3},
  [1984] = {.lex_state = 99, .external_lex_state = 3},
  [1985] = {.lex_state = 99, .external_lex_state = 3},
  [1986] = {.lex_state = 99, .external_lex_state = 3},
  [1987] = {.lex_state = 99, .external_lex_state = 3},
  [1988] = {.lex_state = 99, .external_lex_state = 3},
  [1989] = {.lex_state = 99, .external_lex_state = 3},
  [1990] = {.lex_state = 99, .external_lex_state = 3},
  [1991] = {.lex_state = 99, .external_lex_state = 3},
  [1992] = {.lex_state = 99, .external_lex_state = 3},
  [1993] = {.lex_state = 99, .external_lex_state = 3},
  [1994] = {.lex_state = 99, .external_lex_state = 3},
  [1995] = {.lex_state = 99, .external_lex_state = 3},
  [1996] = {.lex_state = 99, .external_lex_state = 3},
  [1997] = {.lex_state = 99, .external_lex_state = 2},
  [1998] = {.lex_state = 99, .external_lex_state = 3},
  [1999] = {.lex_state = 99, .external_lex_state = 2},
  [2000] = {.lex_state = 99, .external_lex_state = 3},
  [2001] = {.lex_state = 99, .external_lex_state = 3},
  [2002] = {.lex_state = 99, .external_lex_state = 2},
  [2003] = {.lex_state = 99, .external_lex_state = 3},
  [2004] = {.lex_state = 99, .external_lex_state = 3},
  [2005] = {.lex_state = 99, .external_lex_state = 2},
  [2006] = {.lex_state = 99, .external_lex_state = 3},
  [2007] = {.lex_state = 99, .external_lex_state = 3},
  [2008] = {.lex_state = 99, .external_lex_state = 3},
  [2009] = {.lex_state = 99, .external_lex_state = 2},
  [2010] = {.lex_state = 99, .external_lex_state = 3},
  [2011] = {.lex_state = 99, .external_lex_state = 3},
  [2012] = {.lex_state = 99, .external_lex_state = 3},
  [2013] = {.lex_state = 99, .external_lex_state = 3},
  [2014] = {.lex_state = 99, .external_lex_state = 3},
  [2015] = {.lex_state = 99, .external_lex_state = 3},
  [2016] = {.lex_state = 99, .external_lex_state = 3},
  [2017] = {.lex_state = 99, .external_lex_state = 2},
  [2018] = {.lex_state = 99, .external_lex_state = 3},
  [2019] = {.lex_state = 99, .external_lex_state = 3},
  [2020] = {.lex_state = 99, .external_lex_state = 3},
  [2021] = {.lex_state = 99, .external_lex_state = 3},
  [2022] = {.lex_state = 99, .external_lex_state = 3},
  [2023] = {.lex_state = 99, .external_lex_state = 3},
  [2024] = {.lex_state = 99, .external_lex_state = 3},
  [2025] = {.lex_state = 99, .external_lex_state = 2},
  [2026] = {.lex_state = 99, .external_lex_state = 2},
  [2027] = {.lex_state = 99, .external_lex_state = 3},
  [2028] = {.lex_state = 99, .external_lex_state = 3},
  [2029] = {.lex_state = 99, .external_lex_state = 2},
  [2030] = {.lex_state = 99, .external_lex_state = 3},
  [2031] = {.lex_state = 99, .external_lex_state = 3},
  [2032] = {.lex_state = 99, .external_lex_state = 3},
  [2033] = {.lex_state = 99, .external_lex_state = 2},
  [2034] = {.lex_state = 99, .external_lex_state = 3},
  [2035] = {.lex_state = 99, .external_lex_state = 3},
  [2036] = {.lex_state = 99, .external_lex_state = 3},
  [2037] = {.lex_state = 99, .external_lex_state = 3},
  [2038] = {.lex_state = 99, .external_lex_state = 3},
  [2039] = {.lex_state = 99, .external_lex_state = 3},
  [2040] = {.lex_state = 99, .external_lex_state = 3},
  [2041] = {.lex_state = 99, .external_lex_state = 3},
  [2042] = {.lex_state = 16, .external_lex_state = 4},
  [2043] = {.lex_state = 16, .external_lex_state = 4},
  [2044] = {.lex_state = 99, .external_lex_state = 3},
  [2045] = {.lex_state = 99, .external_lex_state = 3},
  [2046] = {.lex_state = 99, .external_lex_state = 2},
  [2047] = {.lex_state = 99, .external_lex_state = 3},
  [2048] = {.lex_state = 99, .external_lex_state = 3},
  [2049] = {.lex_state = 99, .external_lex_state = 3},
  [2050] = {.lex_state = 99, .external_lex_state = 3},
  [2051] = {.lex_state = 99, .external_lex_state = 3},
  [2052] = {.lex_state = 99, .external_lex_state = 3},
  [2053] = {.lex_state = 99, .external_lex_state = 3},
  [2054] = {.lex_state = 99, .external_lex_state = 3},
  [2055] = {.lex_state = 99, .external_lex_state = 3},
  [2056] = {.lex_state = 99, .external_lex_state = 3},
  [2057] = {.lex_state = 99, .external_lex_state = 3},
  [2058] = {.lex_state = 99, .external_lex_state = 3},
  [2059] = {.lex_state = 99, .external_lex_state = 3},
  [2060] = {.lex_state = 99, .external_lex_state = 3},
  [2061] = {.lex_state = 99, .external_lex_state = 3},
  [2062] = {.lex_state = 99, .external_lex_state = 3},
  [2063] = {.lex_state = 99, .external_lex_state = 3},
  [2064] = {.lex_state = 99, .external_lex_state = 3},
  [2065] = {.lex_state = 99, .external_lex_state = 3},
  [2066] = {.lex_state = 16, .external_lex_state = 4},
  [2067] = {.lex_state = 99, .external_lex_state = 3},
  [2068] = {.lex_state = 99, .external_lex_state = 3},
  [2069] = {.lex_state = 99, .external_lex_state = 3},
  [2070] = {.lex_state = 99, .external_lex_state = 3},
  [2071] = {.lex_state = 99, .external_lex_state = 3},
  [2072] = {.lex_state = 99, .external_lex_state = 3},
  [2073] = {.lex_state = 99, .external_lex_state = 3},
  [2074] = {.lex_state = 99, .external_lex_state = 3},
  [2075] = {.lex_state = 99, .external_lex_state = 3},
  [2076] = {.lex_state = 99, .external_lex_state = 3},
  [2077] = {.lex_state = 99, .external_lex_state = 3},
  [2078] = {.lex_state = 99, .external_lex_state = 3},
  [2079] = {.lex_state = 16, .external_lex_state = 4},
  [2080] = {.lex_state = 99, .external_lex_state = 3},
  [2081] = {.lex_state = 99, .external_lex_state = 3},
  [2082] = {.lex_state = 99, .external_lex_state = 3},
  [2083] = {.lex_state = 99, .external_lex_state = 2},
  [2084] = {.lex_state = 99, .external_lex_state = 3},
  [2085] = {.lex_state = 99, .external_lex_state = 3},
  [2086] = {.lex_state = 99, .external_lex_state = 3},
  [2087] = {.lex_state = 99, .external_lex_state = 3},
  [2088] = {.lex_state = 99, .external_lex_state = 3},
  [2089] = {.lex_state = 99, .external_lex_state = 3},
  [2090] = {.lex_state = 99, .external_lex_state = 3},
  [2091] = {.lex_state = 99, .external_lex_state = 3},
  [2092] = {.lex_state = 99, .external_lex_state = 3},
  [2093] = {.lex_state = 99, .external_lex_state = 2},
  [2094] = {.lex_state = 99, .external_lex_state = 3},
  [2095] = {.lex_state = 99, .external_lex_state = 3},
  [2096] = {.lex_state = 99, .external_lex_state = 3},
  [2097] = {.lex_state = 99, .external_lex_state = 2},
  [2098] = {.lex_state = 99, .external_lex_state = 3},
  [2099] = {.lex_state = 99, .external_lex_state = 2},
  [2100] = {.lex_state = 99, .external_lex_state = 3},
  [2101] = {.lex_state = 99, .external_lex_state = 2},
  [2102] = {.lex_state = 99, .external_lex_state = 3},
  [2103] = {.lex_state = 99, .external_lex_state = 3},
  [2104] = {.lex_state = 99, .external_lex_state = 3},
  [2105] = {.lex_state = 99, .external_lex_state = 3},
  [2106] = {.lex_state = 99, .external_lex_state = 3},
  [2107] = {.lex_state = 99, .external_lex_state = 2},
  [2108] = {.lex_state = 99, .external_lex_state = 3},
  [2109] = {.lex_state = 16, .external_lex_state = 4},
  [2110] = {.lex_state = 99, .external_lex_state = 3},
  [2111] = {.lex_state = 99, .external_lex_state = 3},
  [2112] = {.lex_state = 99, .external_lex_state = 3},
  [2113] = {.lex_state = 13, .external_lex_state = 3},
  [2114] = {.lex_state = 99, .external_lex_state = 3},
  [2115] = {.lex_state = 99, .external_lex_state = 2},
  [2116] = {.lex_state = 99, .external_lex_state = 3},
  [2117] = {.lex_state = 99, .external_lex_state = 3},
  [2118] = {.lex_state = 99, .external_lex_state = 3},
  [2119] = {.lex_state = 99, .external_lex_state = 3},
  [2120] = {.lex_state = 99, .external_lex_state = 3},
  [2121] = {.lex_state = 99, .external_lex_state = 3},
  [2122] = {.lex_state = 99, .external_lex_state = 2},
  [2123] = {.lex_state = 99, .external_lex_state = 3},
  [2124] = {.lex_state = 99, .external_lex_state = 2},
  [2125] = {.lex_state = 99, .external_lex_state = 3},
  [2126] = {.lex_state = 16, .external_lex_state = 4},
  [2127] = {.lex_state = 99, .external_lex_state = 3},
  [2128] = {.lex_state = 99, .external_lex_state = 2},
  [2129] = {.lex_state = 99, .external_lex_state = 2},
  [2130] = {.lex_state = 99, .external_lex_state = 2},
  [2131] = {.lex_state = 99, .external_lex_state = 3},
  [2132] = {.lex_state = 99, .external_lex_state = 3},
  [2133] = {.lex_state = 99, .external_lex_state = 3},
  [2134] = {.lex_state = 99, .external_lex_state = 3},
  [2135] = {.lex_state = 99, .external_lex_state = 2},
  [2136] = {.lex_state = 99, .external_lex_state = 2},
  [2137] = {.lex_state = 99, .external_lex_state = 3},
  [2138] = {.lex_state = 99, .external_lex_state = 2},
  [2139] = {.lex_state = 99, .external_lex_state = 3},
  [2140] = {.lex_state = 99, .external_lex_state = 3},
  [2141] = {.lex_state = 99, .external_lex_state = 2},
  [2142] = {.lex_state = 99, .external_lex_state = 2},
  [2143] = {.lex_state = 99, .external_lex_state = 2},
  [2144] = {.lex_state = 99, .external_lex_state = 3},
  [2145] = {.lex_state = 99, .external_lex_state = 3},
  [2146] = {.lex_state = 99, .external_lex_state = 3},
  [2147] = {.lex_state = 99, .external_lex_state = 2},
  [2148] = {.lex_state = 99, .external_lex_state = 3},
  [2149] = {.lex_state = 99, .external_lex_state = 2},
  [2150] = {.lex_state = 99, .external_lex_state = 3},
  [2151] = {.lex_state = 99, .external_lex_state = 3},
  [2152] = {.lex_state = 99, .external_lex_state = 3},
  [2153] = {.lex_state = 99, .external_lex_state = 3},
  [2154] = {.lex_state = 99, .external_lex_state = 2},
  [2155] = {.lex_state = 99, .external_lex_state = 3},
  [2156] = {.lex_state = 16, .external_lex_state = 4},
  [2157] = {.lex_state = 99, .external_lex_state = 2},
  [2158] = {.lex_state = 99, .external_lex_state = 2},
  [2159] = {.lex_state = 99, .external_lex_state = 3},
  [2160] = {.lex_state = 99, .external_lex_state = 2},
  [2161] = {.lex_state = 99, .external_lex_state = 3},
  [2162] = {.lex_state = 99, .external_lex_state = 3},
  [2163] = {.lex_state = 99, .external_lex_state = 3},
  [2164] = {.lex_state = 99, .external_lex_state = 3},
  [2165] = {.lex_state = 99, .external_lex_state = 3},
  [2166] = {.lex_state = 99, .external_lex_state = 2},
  [2167] = {.lex_state = 99, .external_lex_state = 3},
  [2168] = {.lex_state = 99, .external_lex_state = 2},
  [2169] = {.lex_state = 99, .external_lex_state = 2},
  [2170] = {.lex_state = 99, .external_lex_state = 3},
  [2171] = {.lex_state = 99, .external_lex_state = 3},
  [2172] = {.lex_state = 99, .external_lex_state = 2},
  [2173] = {.lex_state = 99, .external_lex_state = 3},
  [2174] = {.lex_state = 99, .external_lex_state = 3},
  [2175] = {.lex_state = 99, .external_lex_state = 2},
  [2176] = {.lex_state = 99, .external_lex_state = 2},
  [2177] = {.lex_state = 99, .external_lex_state = 2},
  [2178] = {.lex_state = 99, .external_lex_state = 3},
  [2179] = {.lex_state = 99, .external_lex_state = 3},
  [2180] = {.lex_state = 99, .external_lex_state = 3},
  [2181] = {.lex_state = 99, .external_lex_state = 2},
  [2182] = {.lex_state = 99, .external_lex_state = 2},
  [2183] = {.lex_state = 99, .external_lex_state = 2},
  [2184] = {.lex_state = 99, .external_lex_state = 2},
  [2185] = {.lex_state = 99, .external_lex_state = 3},
  [2186] = {.lex_state = 99, .external_lex_state = 3},
  [2187] = {.lex_state = 99, .external_lex_state = 3},
  [2188] = {.lex_state = 99, .external_lex_state = 3},
  [2189] = {.lex_state = 99, .external_lex_state = 3},
  [2190] = {.lex_state = 99, .external_lex_state = 2},
  [2191] = {.lex_state = 99, .external_lex_state = 3},
  [2192] = {.lex_state = 99, .external_lex_state = 2},
  [2193] = {.lex_state = 99, .external_lex_state = 2},
  [2194] = {.lex_state = 99, .external_lex_state = 3},
  [2195] = {.lex_state = 99, .external_lex_state = 2},
  [2196] = {.lex_state = 99, .external_lex_state = 2},
  [2197] = {.lex_state = 99, .external_lex_state = 2},
  [2198] = {.lex_state = 99, .external_lex_state = 3},
  [2199] = {.lex_state = 99, .external_lex_state = 2},
  [2200] = {.lex_state = 99, .external_lex_state = 3},
  [2201] = {.lex_state = 99, .external_lex_state = 3},
  [2202] = {.lex_state = 99, .external_lex_state = 2},
  [2203] = {.lex_state = 99, .external_lex_state = 2},
  [2204] = {.lex_state = 99, .external_lex_state = 2},
  [2205] = {.lex_state = 99, .external_lex_state = 3},
  [2206] = {.lex_state = 99, .external_lex_state = 3},
  [2207] = {.lex_state = 99, .external_lex_state = 3},
  [2208] = {.lex_state = 99, .external_lex_state = 2},
  [2209] = {.lex_state = 99, .external_lex_state = 3},
  [2210] = {.lex_state = 99, .external_lex_state = 2},
  [2211] = {.lex_state = 99, .external_lex_state = 3},
  [2212] = {.lex_state = 99, .external_lex_state = 2},
  [2213] = {.lex_state = 99, .external_lex_state = 2},
  [2214] = {.lex_state = 99, .external_lex_state = 3},
  [2215] = {.lex_state = 99, .external_lex_state = 3},
  [2216] = {.lex_state = 99, .external_lex_state = 3},
  [2217] = {.lex_state = 99, .external_lex_state = 2},
  [2218] = {.lex_state = 99, .external_lex_state = 3},
  [2219] = {.lex_state = 99, .external_lex_state = 3},
  [2220] = {.lex_state = 99, .external_lex_state = 3},
  [2221] = {.lex_state = 99, .external_lex_state = 3},
  [2222] = {.lex_state = 99, .external_lex_state = 3},
  [2223] = {.lex_state = 99, .external_lex_state = 3},
  [2224] = {.lex_state = 16, .external_lex_state = 4},
  [2225] = {.lex_state = 99, .external_lex_state = 3},
  [2226] = {.lex_state = 99, .external_lex_state = 3},
  [2227] = {.lex_state = 99, .external_lex_state = 3},
  [2228] = {.lex_state = 99, .external_lex_state = 3},
  [2229] = {.lex_state = 99, .external_lex_state = 3},
  [2230] = {.lex_state = 99, .external_lex_state = 3},
  [2231] = {.lex_state = 99, .external_lex_state = 2},
  [2232] = {.lex_state = 99, .external_lex_state = 3},
  [2233] = {.lex_state = 99, .external_lex_state = 2},
  [2234] = {.lex_state = 99, .external_lex_state = 2},
  [2235] = {.lex_state = 99, .external_lex_state = 2},
  [2236] = {.lex_state = 99, .external_lex_state = 3},
  [2237] = {.lex_state = 99, .external_lex_state = 3},
  [2238] = {.lex_state = 99, .external_lex_state = 2},
  [2239] = {.lex_state = 99, .external_lex_state = 3},
  [2240] = {.lex_state = 99, .external_lex_state = 3},
  [2241] = {.lex_state = 99, .external_lex_state = 3},
  [2242] = {.lex_state = 99, .external_lex_state = 3},
  [2243] = {.lex_state = 99, .external_lex_state = 3},
  [2244] = {.lex_state = 99, .external_lex_state = 3},
  [2245] = {.lex_state = 99, .external_lex_state = 3},
  [2246] = {.lex_state = 16, .external_lex_state = 4},
  [2247] = {.lex_state = 99, .external_lex_state = 3},
  [2248] = {.lex_state = 99, .external_lex_state = 3},
  [2249] = {.lex_state = 99, .external_lex_state = 3},
  [2250] = {.lex_state = 99, .external_lex_state = 3},
  [2251] = {.lex_state = 99, .external_lex_state = 2},
  [2252] = {.lex_state = 99, .external_lex_state = 3},
  [2253] = {.lex_state = 99, .external_lex_state = 3},
  [2254] = {.lex_state = 99, .external_lex_state = 3},
  [2255] = {.lex_state = 99, .external_lex_state = 3},
  [2256] = {.lex_state = 99, .external_lex_state = 3},
  [2257] = {.lex_state = 99, .external_lex_state = 3},
  [2258] = {.lex_state = 99, .external_lex_state = 3},
  [2259] = {.lex_state = 99, .external_lex_state = 3},
  [2260] = {.lex_state = 99, .external_lex_state = 2},
  [2261] = {.lex_state = 99, .external_lex_state = 3},
  [2262] = {.lex_state = 99, .external_lex_state = 3},
  [2263] = {.lex_state = 99, .external_lex_state = 3},
  [2264] = {.lex_state = 99, .external_lex_state = 2},
  [2265] = {.lex_state = 99, .external_lex_state = 3},
  [2266] = {.lex_state = 99, .external_lex_state = 2},
  [2267] = {.lex_state = 99, .external_lex_state = 3},
  [2268] = {.lex_state = 99, .external_lex_state = 3},
  [2269] = {.lex_state = 99, .external_lex_state = 3},
  [2270] = {.lex_state = 99, .external_lex_state = 3},
  [2271] = {.lex_state = 99, .external_lex_state = 2},
  [2272] = {.lex_state = 99, .external_lex_state = 2},
  [2273] = {.lex_state = 99, .external_lex_state = 3},
  [2274] = {.lex_state = 99, .external_lex_state = 3},
  [2275] = {.lex_state = 99, .external_lex_state = 3},
  [2276] = {.lex_state = 99, .external_lex_state = 2},
  [2277] = {.lex_state = 99, .external_lex_state = 3},
  [2278] = {.lex_state = 99, .external_lex_state = 2},
  [2279] = {.lex_state = 99, .external_lex_state = 2},
  [2280] = {.lex_state = 99, .external_lex_state = 2},
  [2281] = {.lex_state = 99, .external_lex_state = 3},
  [2282] = {.lex_state = 99, .external_lex_state = 2},
  [2283] = {.lex_state = 99, .external_lex_state = 3},
  [2284] = {.lex_state = 99, .external_lex_state = 3},
  [2285] = {.lex_state = 99, .external_lex_state = 3},
  [2286] = {.lex_state = 99, .external_lex_state = 3},
  [2287] = {.lex_state = 99, .external_lex_state = 3},
  [2288] = {.lex_state = 16, .external_lex_state = 4},
  [2289] = {.lex_state = 99, .external_lex_state = 2},
  [2290] = {.lex_state = 99, .external_lex_state = 3},
  [2291] = {.lex_state = 99, .external_lex_state = 3},
  [2292] = {.lex_state = 99, .external_lex_state = 2},
  [2293] = {.lex_state = 99, .external_lex_state = 2},
  [2294] = {.lex_state = 99, .external_lex_state = 3},
  [2295] = {.lex_state = 99, .external_lex_state = 3},
  [2296] = {.lex_state = 99, .external_lex_state = 3},
  [2297] = {.lex_state = 99, .external_lex_state = 2},
  [2298] = {.lex_state = 99, .external_lex_state = 2},
  [2299] = {.lex_state = 13, .external_lex_state = 3},
  [2300] = {.lex_state = 99, .external_lex_state = 3},
  [2301] = {.lex_state = 99, .external_lex_state = 2},
  [2302] = {.lex_state = 99, .external_lex_state = 3},
  [2303] = {.lex_state = 99, .external_lex_state = 2},
  [2304] = {.lex_state = 99, .external_lex_state = 2},
  [2305] = {.lex_state = 99, .external_lex_state = 3},
  [2306] = {.lex_state = 99, .external_lex_state = 2},
  [2307] = {.lex_state = 99, .external_lex_state = 2},
  [2308] = {.lex_state = 99, .external_lex_state = 3},
  [2309] = {.lex_state = 99, .external_lex_state = 3},
  [2310] = {.lex_state = 99, .external_lex_state = 2},
  [2311] = {.lex_state = 99, .external_lex_state = 3},
  [2312] = {.lex_state = 99, .external_lex_state = 2},
  [2313] = {.lex_state = 16, .external_lex_state = 4},
  [2314] = {.lex_state = 16},
  [2315] = {.lex_state = 16, .external_lex_state = 4},
  [2316] = {.lex_state = 99, .external_lex_state = 2},
  [2317] = {.lex_state = 16},
  [2318] = {.lex_state = 99, .external_lex_state = 2},
  [2319] = {.lex_state = 99, .external_lex_state = 2},
  [2320] = {.lex_state = 16},
  [2321] = {.lex_state = 99, .external_lex_state = 2},
  [2322] = {.lex_state = 99, .external_lex_state = 2},
  [2323] = {.lex_state = 99, .external_lex_state = 2},
  [2324] = {.lex_state = 99, .external_lex_state = 2},
  [2325] = {.lex_state = 99, .external_lex_state = 2},
  [2326] = {.lex_state = 99, .external_lex_state = 2},
  [2327] = {.lex_state = 99, .external_lex_state = 2},
  [2328] = {.lex_state = 99, .external_lex_state = 2},
  [2329] = {.lex_state = 99, .external_lex_state = 2},
  [2330] = {.lex_state = 100},
  [2331] = {.lex_state = 99, .external_lex_state = 2},
  [2332] = {.lex_state = 16},
  [2333] = {.lex_state = 16, .external_lex_state = 4},
  [2334] = {.lex_state = 16, .external_lex_state = 4},
  [2335] = {.lex_state = 99, .external_lex_state = 2},
  [2336] = {.lex_state = 16, .external_lex_state = 4},
  [2337] = {.lex_state = 16, .external_lex_state = 4},
  [2338] = {.lex_state = 99, .external_lex_state = 2},
  [2339] = {.lex_state = 99, .external_lex_state = 2},
  [2340] = {.lex_state = 99, .external_lex_state = 2},
  [2341] = {.lex_state = 99, .external_lex_state = 2},
  [2342] = {.lex_state = 99, .external_lex_state = 2},
  [2343] = {.lex_state = 99, .external_lex_state = 2},
  [2344] = {.lex_state = 99, .external_lex_state = 2},
  [2345] = {.lex_state = 99, .external_lex_state = 2},
  [2346] = {.lex_state = 99, .external_lex_state = 2},
  [2347] = {.lex_state = 16},
  [2348] = {.lex_state = 13, .external_lex_state = 2},
  [2349] = {.lex_state = 16},
  [2350] = {.lex_state = 99, .external_lex_state = 2},
  [2351] = {.lex_state = 16, .external_lex_state = 4},
  [2352] = {.lex_state = 99, .external_lex_state = 2},
  [2353] = {.lex_state = 100},
  [2354] = {.lex_state = 99, .external_lex_state = 2},
  [2355] = {.lex_state = 99, .external_lex_state = 2},
  [2356] = {.lex_state = 99, .external_lex_state = 2},
  [2357] = {.lex_state = 99, .external_lex_state = 2},
  [2358] = {.lex_state = 16},
  [2359] = {.lex_state = 99, .external_lex_state = 2},
  [2360] = {.lex_state = 16},
  [2361] = {.lex_state = 16, .external_lex_state = 4},
  [2362] = {.lex_state = 99, .external_lex_state = 2},
  [2363] = {.lex_state = 99, .external_lex_state = 2},
  [2364] = {.lex_state = 99, .external_lex_state = 2},
  [2365] = {.lex_state = 16},
  [2366] = {.lex_state = 16, .external_lex_state = 4},
  [2367] = {.lex_state = 16, .external_lex_state = 4},
  [2368] = {.lex_state = 99, .external_lex_state = 2},
  [2369] = {.lex_state = 99, .external_lex_state = 2},
  [2370] = {.lex_state = 99, .external_lex_state = 2},
  [2371] = {.lex_state = 99, .external_lex_state = 2},
  [2372] = {.lex_state = 99, .external_lex_state = 2},
  [2373] = {.lex_state = 16, .external_lex_state = 4},
  [2374] = {.lex_state = 16},
  [2375] = {.lex_state = 99, .external_lex_state = 2},
  [2376] = {.lex_state = 99, .external_lex_state = 2},
  [2377] = {.lex_state = 99, .external_lex_state = 2},
  [2378] = {.lex_state = 99, .external_lex_state = 2},
  [2379] = {.lex_state = 16, .external_lex_state = 4},
  [2380] = {.lex_state = 99, .external_lex_state = 2},
  [2381] = {.lex_state = 99, .external_lex_state = 2},
  [2382] = {.lex_state = 99, .external_lex_state = 2},
  [2383] = {.lex_state = 99, .external_lex_state = 2},
  [2384] = {.lex_state = 99, .external_lex_state = 2},
  [2385] = {.lex_state = 16},
  [2386] = {.lex_state = 16},
  [2387] = {.lex_state = 16, .external_lex_state = 4},
  [2388] = {.lex_state = 16, .external_lex_state = 4},
  [2389] = {.lex_state = 99, .external_lex_state = 2},
  [2390] = {.lex_state = 16, .external_lex_state = 4},
  [2391] = {.lex_state = 99, .external_lex_state = 2},
  [2392] = {.lex_state = 99, .external_lex_state = 2},
  [2393] = {.lex_state = 16, .external_lex_state = 4},
  [2394] = {.lex_state = 16},
  [2395] = {.lex_state = 99, .external_lex_state = 2},
  [2396] = {.lex_state = 16, .external_lex_state = 4},
  [2397] = {.lex_state = 99, .external_lex_state = 2},
  [2398] = {.lex_state = 99, .external_lex_state = 2},
  [2399] = {.lex_state = 99, .external_lex_state = 2},
  [2400] = {.lex_state = 99, .external_lex_state = 2},
  [2401] = {.lex_state = 99, .external_lex_state = 2},
  [2402] = {.lex_state = 99, .external_lex_state = 2},
  [2403] = {.lex_state = 99, .external_lex_state = 2},
  [2404] = {.lex_state = 99, .external_lex_state = 2},
  [2405] = {.lex_state = 99, .external_lex_state = 2},
  [2406] = {.lex_state = 99, .external_lex_state = 2},
  [2407] = {.lex_state = 16},
  [2408] = {.lex_state = 16},
  [2409] = {.lex_state = 99, .external_lex_state = 2},
  [2410] = {.lex_state = 99, .external_lex_state = 2},
  [2411] = {.lex_state = 99, .external_lex_state = 2},
  [2412] = {.lex_state = 99, .external_lex_state = 2},
  [2413] = {.lex_state = 99, .external_lex_state = 2},
  [2414] = {.lex_state = 16, .external_lex_state = 4},
  [2415] = {.lex_state = 16},
  [2416] = {.lex_state = 16, .external_lex_state = 4},
  [2417] = {.lex_state = 16},
  [2418] = {.lex_state = 99, .external_lex_state = 2},
  [2419] = {.lex_state = 16, .external_lex_state = 4},
  [2420] = {.lex_state = 99, .external_lex_state = 2},
  [2421] = {.lex_state = 16},
  [2422] = {.lex_state = 99, .external_lex_state = 2},
  [2423] = {.lex_state = 16},
  [2424] = {.lex_state = 99, .external_lex_state = 2},
  [2425] = {.lex_state = 99, .external_lex_state = 2},
  [2426] = {.lex_state = 99, .external_lex_state = 2},
  [2427] = {.lex_state = 99, .external_lex_state = 2},
  [2428] = {.lex_state = 16, .external_lex_state = 4},
  [2429] = {.lex_state = 99, .external_lex_state = 2},
  [2430] = {.lex_state = 99, .external_lex_state = 2},
  [2431] = {.lex_state = 99, .external_lex_state = 2},
  [2432] = {.lex_state = 99, .external_lex_state = 2},
  [2433] = {.lex_state = 16},
  [2434] = {.lex_state = 16, .external_lex_state = 4},
  [2435] = {.lex_state = 16, .external_lex_state = 4},
  [2436] = {.lex_state = 99, .external_lex_state = 2},
  [2437] = {.lex_state = 99, .external_lex_state = 2},
  [2438] = {.lex_state = 16, .external_lex_state = 4},
  [2439] = {.lex_state = 16, .external_lex_state = 4},
  [2440] = {.lex_state = 16, .external_lex_state = 4},
  [2441] = {.lex_state = 99, .external_lex_state = 2},
  [2442] = {.lex_state = 16, .external_lex_state = 4},
  [2443] = {.lex_state = 16, .external_lex_state = 4},
  [2444] = {.lex_state = 99, .external_lex_state = 2},
  [2445] = {.lex_state = 16, .external_lex_state = 4},
  [2446] = {.lex_state = 99, .external_lex_state = 2},
  [2447] = {.lex_state = 16, .external_lex_state = 4},
  [2448] = {.lex_state = 16, .external_lex_state = 4},
  [2449] = {.lex_state = 99, .external_lex_state = 2},
  [2450] = {.lex_state = 99, .external_lex_state = 2},
  [2451] = {.lex_state = 99, .external_lex_state = 2},
  [2452] = {.lex_state = 99, .external_lex_state = 2},
  [2453] = {.lex_state = 16},
  [2454] = {.lex_state = 16, .external_lex_state = 4},
  [2455] = {.lex_state = 99, .external_lex_state = 2},
  [2456] = {.lex_state = 100},
  [2457] = {.lex_state = 99, .external_lex_state = 2},
  [2458] = {.lex_state = 16, .external_lex_state = 4},
  [2459] = {.lex_state = 99, .external_lex_state = 2},
  [2460] = {.lex_state = 99, .external_lex_state = 2},
  [2461] = {.lex_state = 16, .external_lex_state = 4},
  [2462] = {.lex_state = 16},
  [2463] = {.lex_state = 16, .external_lex_state = 4},
  [2464] = {.lex_state = 16, .external_lex_state = 4},
  [2465] = {.lex_state = 16, .external_lex_state = 4},
  [2466] = {.lex_state = 16},
  [2467] = {.lex_state = 16, .external_lex_state = 4},
  [2468] = {.lex_state = 16, .external_lex_state = 4},
  [2469] = {.lex_state = 16, .external_lex_state = 4},
  [2470] = {.lex_state = 99, .external_lex_state = 2},
  [2471] = {.lex_state = 99, .external_lex_state = 2},
  [2472] = {.lex_state = 16, .external_lex_state = 4},
  [2473] = {.lex_state = 99, .external_lex_state = 2},
  [2474] = {.lex_state = 99, .external_lex_state = 2},
  [2475] = {.lex_state = 99, .external_lex_state = 2},
  [2476] = {.lex_state = 16},
  [2477] = {.lex_state = 16, .external_lex_state = 4},
  [2478] = {.lex_state = 100},
  [2479] = {.lex_state = 100},
  [2480] = {.lex_state = 16, .external_lex_state = 4},
  [2481] = {.lex_state = 16},
  [2482] = {.lex_state = 16, .external_lex_state = 4},
  [2483] = {.lex_state = 16},
  [2484] = {.lex_state = 99, .external_lex_state = 2},
  [2485] = {.lex_state = 99, .external_lex_state = 2},
  [2486] = {.lex_state = 99, .external_lex_state = 2},
  [2487] = {.lex_state = 99, .external_lex_state = 2},
  [2488] = {.lex_state = 16},
  [2489] = {.lex_state = 99, .external_lex_state = 2},
  [2490] = {.lex_state = 99, .external_lex_state = 2},
  [2491] = {.lex_state = 13, .external_lex_state = 2},
  [2492] = {.lex_state = 99, .external_lex_state = 2},
  [2493] = {.lex_state = 99, .external_lex_state = 2},
  [2494] = {.lex_state = 16, .external_lex_state = 4},
  [2495] = {.lex_state = 99, .external_lex_state = 2},
  [2496] = {.lex_state = 16},
  [2497] = {.lex_state = 99, .external_lex_state = 2},
  [2498] = {.lex_state = 16, .external_lex_state = 4},
  [2499] = {.lex_state = 99, .external_lex_state = 2},
  [2500] = {.lex_state = 16, .external_lex_state = 4},
  [2501] = {.lex_state = 99, .external_lex_state = 2},
  [2502] = {.lex_state = 16, .external_lex_state = 4},
  [2503] = {.lex_state = 16},
  [2504] = {.lex_state = 16, .external_lex_state = 4},
  [2505] = {.lex_state = 99, .external_lex_state = 2},
  [2506] = {.lex_state = 99, .external_lex_state = 2},
  [2507] = {.lex_state = 99, .external_lex_state = 2},
  [2508] = {.lex_state = 16, .external_lex_state = 4},
  [2509] = {.lex_state = 16, .external_lex_state = 4},
  [2510] = {.lex_state = 99, .external_lex_state = 2},
  [2511] = {.lex_state = 100},
  [2512] = {.lex_state = 99, .external_lex_state = 2},
  [2513] = {.lex_state = 99, .external_lex_state = 2},
  [2514] = {.lex_state = 16, .external_lex_state = 4},
  [2515] = {.lex_state = 99, .external_lex_state = 2},
  [2516] = {.lex_state = 16},
  [2517] = {.lex_state = 99, .external_lex_state = 2},
  [2518] = {.lex_state = 99, .external_lex_state = 2},
  [2519] = {.lex_state = 99, .external_lex_state = 2},
  [2520] = {.lex_state = 16, .external_lex_state = 4},
  [2521] = {.lex_state = 99, .external_lex_state = 2},
  [2522] = {.lex_state = 16},
  [2523] = {.lex_state = 99, .external_lex_state = 2},
  [2524] = {.lex_state = 16, .external_lex_state = 4},
  [2525] = {.lex_state = 16, .external_lex_state = 4},
  [2526] = {.lex_state = 16, .external_lex_state = 4},
  [2527] = {.lex_state = 99, .external_lex_state = 2},
  [2528] = {.lex_state = 16},
  [2529] = {.lex_state = 16, .external_lex_state = 4},
  [2530] = {.lex_state = 16, .external_lex_state = 4},
  [2531] = {.lex_state = 16, .external_lex_state = 4},
  [2532] = {.lex_state = 16, .external_lex_state = 4},
  [2533] = {.lex_state = 16},
  [2534] = {.lex_state = 99, .external_lex_state = 2},
  [2535] = {.lex_state = 99, .external_lex_state = 2},
  [2536] = {.lex_state = 99, .external_lex_state = 2},
  [2537] = {.lex_state = 99, .external_lex_state = 2},
  [2538] = {.lex_state = 99, .external_lex_state = 2},
  [2539] = {.lex_state = 99, .external_lex_state = 2},
  [2540] = {.lex_state = 99, .external_lex_state = 2},
  [2541] = {.lex_state = 16, .external_lex_state = 4},
  [2542] = {.lex_state = 99, .external_lex_state = 2},
  [2543] = {.lex_state = 100, .external_lex_state = 4},
  [2544] = {.lex_state = 100, .external_lex_state = 4},
  [2545] = {.lex_state = 16, .external_lex_state = 4},
  [2546] = {.lex_state = 100, .external_lex_state = 4},
  [2547] = {.lex_state = 16},
  [2548] = {.lex_state = 100, .external_lex_state = 4},
  [2549] = {.lex_state = 16},
  [2550] = {.lex_state = 16, .external_lex_state = 4},
  [2551] = {.lex_state = 16},
  [2552] = {.lex_state = 16},
  [2553] = {.lex_state = 16},
  [2554] = {.lex_state = 16},
  [2555] = {.lex_state = 16},
  [2556] = {.lex_state = 16},
  [2557] = {.lex_state = 16},
  [2558] = {.lex_state = 16},
  [2559] = {.lex_state = 100, .external_lex_state = 4},
  [2560] = {.lex_state = 100, .external_lex_state = 4},
  [2561] = {.lex_state = 16},
  [2562] = {.lex_state = 16},
  [2563] = {.lex_state = 16},
  [2564] = {.lex_state = 16},
  [2565] = {.lex_state = 16},
  [2566] = {.lex_state = 16},
  [2567] = {.lex_state = 16},
  [2568] = {.lex_state = 16},
  [2569] = {.lex_state = 16},
  [2570] = {.lex_state = 16},
  [2571] = {.lex_state = 16},
  [2572] = {.lex_state = 16},
  [2573] = {.lex_state = 16, .external_lex_state = 4},
  [2574] = {.lex_state = 16},
  [2575] = {.lex_state = 16, .external_lex_state = 4},
  [2576] = {.lex_state = 16},
  [2577] = {.lex_state = 102},
  [2578] = {.lex_state = 16},
  [2579] = {.lex_state = 16},
  [2580] = {.lex_state = 16, .external_lex_state = 4},
  [2581] = {.lex_state = 16, .external_lex_state = 4},
  [2582] = {.lex_state = 16, .external_lex_state = 4},
  [2583] = {.lex_state = 16},
  [2584] = {.lex_state = 16, .external_lex_state = 4},
  [2585] = {.lex_state = 16},
  [2586] = {.lex_state = 16},
  [2587] = {.lex_state = 16, .external_lex_state = 4},
  [2588] = {.lex_state = 16, .external_lex_state = 4},
  [2589] = {.lex_state = 102},
  [2590] = {.lex_state = 16, .external_lex_state = 4},
  [2591] = {.lex_state = 16, .external_lex_state = 4},
  [2592] = {.lex_state = 16},
  [2593] = {.lex_state = 16, .external_lex_state = 4},
  [2594] = {.lex_state = 16, .external_lex_state = 4},
  [2595] = {.lex_state = 16, .external_lex_state = 4},
  [2596] = {.lex_state = 16, .external_lex_state = 4},
  [2597] = {.lex_state = 16},
  [2598] = {.lex_state = 16, .external_lex_state = 4},
  [2599] = {.lex_state = 16},
  [2600] = {.lex_state = 16, .external_lex_state = 4},
  [2601] = {.lex_state = 16, .external_lex_state = 4},
  [2602] = {.lex_state = 16, .external_lex_state = 4},
  [2603] = {.lex_state = 16},
  [2604] = {.lex_state = 16},
  [2605] = {.lex_state = 16, .external_lex_state = 4},
  [2606] = {.lex_state = 16, .external_lex_state = 4},
  [2607] = {.lex_state = 16, .external_lex_state = 4},
  [2608] = {.lex_state = 16, .external_lex_state = 4},
  [2609] = {.lex_state = 16, .external_lex_state = 4},
  [2610] = {.lex_state = 16},
  [2611] = {.lex_state = 16, .external_lex_state = 4},
  [2612] = {.lex_state = 16},
  [2613] = {.lex_state = 16, .external_lex_state = 4},
  [2614] = {.lex_state = 16, .external_lex_state = 4},
  [2615] = {.lex_state = 16, .external_lex_state = 4},
  [2616] = {.lex_state = 16},
  [2617] = {.lex_state = 16},
  [2618] = {.lex_state = 16},
  [2619] = {.lex_state = 16},
  [2620] = {.lex_state = 16},
  [2621] = {.lex_state = 16},
  [2622] = {.lex_state = 16},
  [2623] = {.lex_state = 16},
  [2624] = {.lex_state = 16},
  [2625] = {.lex_state = 16},
  [2626] = {.lex_state = 16},
  [2627] = {.lex_state = 16},
  [2628] = {.lex_state = 100},
  [2629] = {.lex_state = 16},
  [2630] = {.lex_state = 16, .external_lex_state = 4},
  [2631] = {.lex_state = 16},
  [2632] = {.lex_state = 16},
  [2633] = {.lex_state = 16},
  [2634] = {.lex_state = 16},
  [2635] = {.lex_state = 16},
  [2636] = {.lex_state = 16, .external_lex_state = 4},
  [2637] = {.lex_state = 16},
  [2638] = {.lex_state = 16},
  [2639] = {.lex_state = 100},
  [2640] = {.lex_state = 16},
  [2641] = {.lex_state = 16},
  [2642] = {.lex_state = 16},
  [2643] = {.lex_state = 16},
  [2644] = {.lex_state = 16},
  [2645] = {.lex_state = 100},
  [2646] = {.lex_state = 100},
  [2647] = {.lex_state = 100},
  [2648] = {.lex_state = 100},
  [2649] = {.lex_state = 100},
  [2650] = {.lex_state = 100},
  [2651] = {.lex_state = 16},
  [2652] = {.lex_state = 100},
  [2653] = {.lex_state = 16},
  [2654] = {.lex_state = 16},
  [2655] = {.lex_state = 16},
  [2656] = {.lex_state = 100},
  [2657] = {.lex_state = 100},
  [2658] = {.lex_state = 16},
  [2659] = {.lex_state = 100},
  [2660] = {.lex_state = 100},
  [2661] = {.lex_state = 100},
  [2662] = {.lex_state = 100},
  [2663] = {.lex_state = 100},
  [2664] = {.lex_state = 100},
  [2665] = {.lex_state = 100},
  [2666] = {.lex_state = 100},
  [2667] = {.lex_state = 100},
  [2668] = {.lex_state = 100},
  [2669] = {.lex_state = 100},
  [2670] = {.lex_state = 100},
  [2671] = {.lex_state = 100},
  [2672] = {.lex_state = 100},
  [2673] = {.lex_state = 100},
  [2674] = {.lex_state = 100},
  [2675] = {.lex_state = 100},
  [2676] = {.lex_state = 100},
  [2677] = {.lex_state = 100},
  [2678] = {.lex_state = 100},
  [2679] = {.lex_state = 100},
  [2680] = {.lex_state = 100},
  [2681] = {.lex_state = 100},
  [2682] = {.lex_state = 100},
  [2683] = {.lex_state = 100},
  [2684] = {.lex_state = 100},
  [2685] = {.lex_state = 100},
  [2686] = {.lex_state = 100},
  [2687] = {.lex_state = 100},
  [2688] = {.lex_state = 100},
  [2689] = {.lex_state = 100},
  [2690] = {.lex_state = 100},
  [2691] = {.lex_state = 100},
  [2692] = {.lex_state = 100},
  [2693] = {.lex_state = 100},
  [2694] = {.lex_state = 100},
  [2695] = {.lex_state = 100},
  [2696] = {.lex_state = 100},
  [2697] = {.lex_state = 100},
  [2698] = {.lex_state = 100},
  [2699] = {.lex_state = 100},
  [2700] = {.lex_state = 100},
  [2701] = {.lex_state = 100},
  [2702] = {.lex_state = 100},
  [2703] = {.lex_state = 100},
  [2704] = {.lex_state = 100},
  [2705] = {.lex_state = 100},
  [2706] = {.lex_state = 100},
  [2707] = {.lex_state = 101},
  [2708] = {.lex_state = 101},
  [2709] = {.lex_state = 103},
  [2710] = {.lex_state = 103},
  [2711] = {.lex_state = 103},
  [2712] = {.lex_state = 100},
  [2713] = {.lex_state = 21},
  [2714] = {.lex_state = 103},
  [2715] = {.lex_state = 103},
  [2716] = {.lex_state = 103},
  [2717] = {.lex_state = 103},
  [2718] = {.lex_state = 103},
  [2719] = {.lex_state = 103},
  [2720] = {.lex_state = 103},
  [2721] = {.lex_state = 103},
  [2722] = {.lex_state = 103},
  [2723] = {.lex_state = 103},
  [2724] = {.lex_state = 103},
  [2725] = {.lex_state = 103},
  [2726] = {.lex_state = 103},
  [2727] = {.lex_state = 103},
  [2728] = {.lex_state = 103},
  [2729] = {.lex_state = 103},
  [2730] = {.lex_state = 103},
  [2731] = {.lex_state = 103},
  [2732] = {.lex_state = 103},
  [2733] = {.lex_state = 103},
  [2734] = {.lex_state = 103},
  [2735] = {.lex_state = 103},
  [2736] = {.lex_state = 103},
  [2737] = {.lex_state = 103},
  [2738] = {.lex_state = 103},
  [2739] = {.lex_state = 103},
  [2740] = {.lex_state = 103},
  [2741] = {.lex_state = 103},
  [2742] = {.lex_state = 103},
  [2743] = {.lex_state = 103},
  [2744] = {.lex_state = 103},
  [2745] = {.lex_state = 103},
  [2746] = {.lex_state = 103},
  [2747] = {.lex_state = 103},
  [2748] = {.lex_state = 103},
  [2749] = {.lex_state = 103},
  [2750] = {.lex_state = 103},
  [2751] = {.lex_state = 103},
  [2752] = {.lex_state = 103},
  [2753] = {.lex_state = 103},
  [2754] = {.lex_state = 103},
  [2755] = {.lex_state = 100},
  [2756] = {.lex_state = 100},
  [2757] = {.lex_state = 100},
  [2758] = {.lex_state = 100},
  [2759] = {.lex_state = 103},
  [2760] = {.lex_state = 103},
  [2761] = {.lex_state = 100},
  [2762] = {.lex_state = 103},
  [2763] = {.lex_state = 100},
  [2764] = {.lex_state = 100},
  [2765] = {.lex_state = 100},
  [2766] = {.lex_state = 101, .external_lex_state = 4},
  [2767] = {.lex_state = 101},
  [2768] = {.lex_state = 100},
  [2769] = {.lex_state = 103, .external_lex_state = 4},
  [2770] = {.lex_state = 21},
  [2771] = {.lex_state = 100},
  [2772] = {.lex_state = 103, .external_lex_state = 4},
  [2773] = {.lex_state = 101, .external_lex_state = 4},
  [2774] = {.lex_state = 100},
  [2775] = {.lex_state = 100},
  [2776] = {.lex_state = 103, .external_lex_state = 4},
  [2777] = {.lex_state = 100},
  [2778] = {.lex_state = 100},
  [2779] = {.lex_state = 100},
  [2780] = {.lex_state = 103, .external_lex_state = 4},
  [2781] = {.lex_state = 8},
  [2782] = {.lex_state = 100},
  [2783] = {.lex_state = 8},
  [2784] = {.lex_state = 103, .external_lex_state = 4},
  [2785] = {.lex_state = 100},
  [2786] = {.lex_state = 100},
  [2787] = {.lex_state = 100},
  [2788] = {.lex_state = 8},
  [2789] = {.lex_state = 100},
  [2790] = {.lex_state = 100},
  [2791] = {.lex_state = 100},
  [2792] = {.lex_state = 100},
  [2793] = {.lex_state = 100},
  [2794] = {.lex_state = 100},
  [2795] = {.lex_state = 8},
  [2796] = {.lex_state = 8},
  [2797] = {.lex_state = 100},
  [2798] = {.lex_state = 100},
  [2799] = {.lex_state = 100},
  [2800] = {.lex_state = 100},
  [2801] = {.lex_state = 100},
  [2802] = {.lex_state = 100},
  [2803] = {.lex_state = 100},
  [2804] = {.lex_state = 100},
  [2805] = {.lex_state = 100},
  [2806] = {.lex_state = 100},
  [2807] = {.lex_state = 8},
  [2808] = {.lex_state = 8},
  [2809] = {.lex_state = 100},
  [2810] = {.lex_state = 103, .external_lex_state = 4},
  [2811] = {.lex_state = 102},
  [2812] = {.lex_state = 100},
  [2813] = {.lex_state = 21},
  [2814] = {.lex_state = 8},
  [2815] = {.lex_state = 100},
  [2816] = {.lex_state = 100},
  [2817] = {.lex_state = 100},
  [2818] = {.lex_state = 103, .external_lex_state = 4},
  [2819] = {.lex_state = 103, .external_lex_state = 4},
  [2820] = {.lex_state = 103, .external_lex_state = 4},
  [2821] = {.lex_state = 103, .external_lex_state = 4},
  [2822] = {.lex_state = 103, .external_lex_state = 4},
  [2823] = {.lex_state = 103, .external_lex_state = 4},
  [2824] = {.lex_state = 103, .external_lex_state = 4},
  [2825] = {.lex_state = 103, .external_lex_state = 4},
  [2826] = {.lex_state = 103, .external_lex_state = 4},
  [2827] = {.lex_state = 103, .external_lex_state = 4},
  [2828] = {.lex_state = 100},
  [2829] = {.lex_state = 103, .external_lex_state = 4},
  [2830] = {.lex_state = 103, .external_lex_state = 4},
  [2831] = {.lex_state = 103, .external_lex_state = 4},
  [2832] = {.lex_state = 103, .external_lex_state = 4},
  [2833] = {.lex_state = 100},
  [2834] = {.lex_state = 100},
  [2835] = {.lex_state = 103, .external_lex_state = 4},
  [2836] = {.lex_state = 103, .external_lex_state = 4},
  [2837] = {.lex_state = 103, .external_lex_state = 4},
  [2838] = {.lex_state = 103, .external_lex_state = 4},
  [2839] = {.lex_state = 103, .external_lex_state = 4},
  [2840] = {.lex_state = 103, .external_lex_state = 4},
  [2841] = {.lex_state = 103, .external_lex_state = 4},
  [2842] = {.lex_state = 103, .external_lex_state = 4},
  [2843] = {.lex_state = 103, .external_lex_state = 4},
  [2844] = {.lex_state = 103, .external_lex_state = 4},
  [2845] = {.lex_state = 100},
  [2846] = {.lex_state = 100},
  [2847] = {.lex_state = 103, .external_lex_state = 4},
  [2848] = {.lex_state = 16, .external_lex_state = 4},
  [2849] = {.lex_state = 16, .external_lex_state = 4},
  [2850] = {.lex_state = 100},
  [2851] = {.lex_state = 103, .external_lex_state = 4},
  [2852] = {.lex_state = 102},
  [2853] = {.lex_state = 21},
  [2854] = {.lex_state = 100},
  [2855] = {.lex_state = 103, .external_lex_state = 4},
  [2856] = {.lex_state = 103, .external_lex_state = 4},
  [2857] = {.lex_state = 100},
  [2858] = {.lex_state = 100},
  [2859] = {.lex_state = 103, .external_lex_state = 4},
  [2860] = {.lex_state = 103, .external_lex_state = 4},
  [2861] = {.lex_state = 100},
  [2862] = {.lex_state = 100},
  [2863] = {.lex_state = 103, .external_lex_state = 4},
  [2864] = {.lex_state = 100},
  [2865] = {.lex_state = 103, .external_lex_state = 4},
  [2866] = {.lex_state = 16, .external_lex_state = 4},
  [2867] = {.lex_state = 102},
  [2868] = {.lex_state = 103, .external_lex_state = 4},
  [2869] = {.lex_state = 103, .external_lex_state = 4},
  [2870] = {.lex_state = 102},
  [2871] = {.lex_state = 16, .external_lex_state = 4},
  [2872] = {.lex_state = 103, .external_lex_state = 4},
  [2873] = {.lex_state = 103, .external_lex_state = 4},
  [2874] = {.lex_state = 100},
  [2875] = {.lex_state = 100},
  [2876] = {.lex_state = 16, .external_lex_state = 4},
  [2877] = {.lex_state = 100},
  [2878] = {.lex_state = 103},
  [2879] = {.lex_state = 100},
  [2880] = {.lex_state = 100},
  [2881] = {.lex_state = 100},
  [2882] = {.lex_state = 100},
  [2883] = {.lex_state = 16, .external_lex_state = 4},
  [2884] = {.lex_state = 16, .external_lex_state = 4},
  [2885] = {.lex_state = 21},
  [2886] = {.lex_state = 100},
  [2887] = {.lex_state = 100},
  [2888] = {.lex_state = 100},
  [2889] = {.lex_state = 100},
  [2890] = {.lex_state = 16, .external_lex_state = 4},
  [2891] = {.lex_state = 103, .external_lex_state = 5},
  [2892] = {.lex_state = 100},
  [2893] = {.lex_state = 16, .external_lex_state = 4},
  [2894] = {.lex_state = 16, .external_lex_state = 4},
  [2895] = {.lex_state = 103, .external_lex_state = 4},
  [2896] = {.lex_state = 103, .external_lex_state = 4},
  [2897] = {.lex_state = 103, .external_lex_state = 4},
  [2898] = {.lex_state = 16, .external_lex_state = 4},
  [2899] = {.lex_state = 16, .external_lex_state = 4},
  [2900] = {.lex_state = 103, .external_lex_state = 4},
  [2901] = {.lex_state = 101, .external_lex_state = 4},
  [2902] = {.lex_state = 103, .external_lex_state = 4},
  [2903] = {.lex_state = 103},
  [2904] = {.lex_state = 16, .external_lex_state = 4},
  [2905] = {.lex_state = 16, .external_lex_state = 4},
  [2906] = {.lex_state = 103},
  [2907] = {.lex_state = 16, .external_lex_state = 4},
  [2908] = {.lex_state = 16, .external_lex_state = 4},
  [2909] = {.lex_state = 103, .external_lex_state = 4},
  [2910] = {.lex_state = 100},
  [2911] = {.lex_state = 103, .external_lex_state = 5},
  [2912] = {.lex_state = 103, .external_lex_state = 5},
  [2913] = {.lex_state = 100},
  [2914] = {.lex_state = 100},
  [2915] = {.lex_state = 16, .external_lex_state = 4},
  [2916] = {.lex_state = 103, .external_lex_state = 4},
  [2917] = {.lex_state = 16, .external_lex_state = 4},
  [2918] = {.lex_state = 103, .external_lex_state = 4},
  [2919] = {.lex_state = 100},
  [2920] = {.lex_state = 16, .external_lex_state = 4},
  [2921] = {.lex_state = 103, .external_lex_state = 5},
  [2922] = {.lex_state = 16, .external_lex_state = 4},
  [2923] = {.lex_state = 103, .external_lex_state = 4},
  [2924] = {.lex_state = 16, .external_lex_state = 4},
  [2925] = {.lex_state = 103, .external_lex_state = 4},
  [2926] = {.lex_state = 16, .external_lex_state = 4},
  [2927] = {.lex_state = 16, .external_lex_state = 4},
  [2928] = {.lex_state = 16, .external_lex_state = 4},
  [2929] = {.lex_state = 103, .external_lex_state = 4},
  [2930] = {.lex_state = 103},
  [2931] = {.lex_state = 16, .external_lex_state = 4},
  [2932] = {.lex_state = 103, .external_lex_state = 5},
  [2933] = {.lex_state = 103, .external_lex_state = 5},
  [2934] = {.lex_state = 103, .external_lex_state = 5},
  [2935] = {.lex_state = 16, .external_lex_state = 4},
  [2936] = {.lex_state = 103, .external_lex_state = 5},
  [2937] = {.lex_state = 103, .external_lex_state = 5},
  [2938] = {.lex_state = 16, .external_lex_state = 4},
  [2939] = {.lex_state = 16, .external_lex_state = 4},
  [2940] = {.lex_state = 103, .external_lex_state = 5},
  [2941] = {.lex_state = 103, .external_lex_state = 5},
  [2942] = {.lex_state = 103, .external_lex_state = 5},
  [2943] = {.lex_state = 103, .external_lex_state = 5},
  [2944] = {.lex_state = 103, .external_lex_state = 5},
  [2945] = {.lex_state = 103, .external_lex_state = 5},
  [2946] = {.lex_state = 103, .external_lex_state = 5},
  [2947] = {.lex_state = 103, .external_lex_state = 5},
  [2948] = {.lex_state = 16, .external_lex_state = 4},
  [2949] = {.lex_state = 21},
  [2950] = {.lex_state = 16, .external_lex_state = 4},
  [2951] = {.lex_state = 103, .external_lex_state = 5},
  [2952] = {.lex_state = 103, .external_lex_state = 5},
  [2953] = {.lex_state = 100},
  [2954] = {.lex_state = 16, .external_lex_state = 4},
  [2955] = {.lex_state = 16, .external_lex_state = 4},
  [2956] = {.lex_state = 103, .external_lex_state = 5},
  [2957] = {.lex_state = 103, .external_lex_state = 5},
  [2958] = {.lex_state = 103, .external_lex_state = 5},
  [2959] = {.lex_state = 103, .external_lex_state = 5},
  [2960] = {.lex_state = 16, .external_lex_state = 4},
  [2961] = {.lex_state = 103, .external_lex_state = 5},
  [2962] = {.lex_state = 103, .external_lex_state = 5},
  [2963] = {.lex_state = 103, .external_lex_state = 5},
  [2964] = {.lex_state = 102},
  [2965] = {.lex_state = 103, .external_lex_state = 5},
  [2966] = {.lex_state = 103, .external_lex_state = 5},
  [2967] = {.lex_state = 16, .external_lex_state = 4},
  [2968] = {.lex_state = 103, .external_lex_state = 5},
  [2969] = {.lex_state = 103, .external_lex_state = 5},
  [2970] = {.lex_state = 103, .external_lex_state = 5},
  [2971] = {.lex_state = 16, .external_lex_state = 4},
  [2972] = {.lex_state = 16, .external_lex_state = 4},
  [2973] = {.lex_state = 103, .external_lex_state = 5},
  [2974] = {.lex_state = 16, .external_lex_state = 4},
  [2975] = {.lex_state = 103, .external_lex_state = 5},
  [2976] = {.lex_state = 16, .external_lex_state = 4},
  [2977] = {.lex_state = 103, .external_lex_state = 5},
  [2978] = {.lex_state = 103, .external_lex_state = 5},
  [2979] = {.lex_state = 16, .external_lex_state = 4},
  [2980] = {.lex_state = 16, .external_lex_state = 4},
  [2981] = {.lex_state = 16, .external_lex_state = 4},
  [2982] = {.lex_state = 103, .external_lex_state = 5},
  [2983] = {.lex_state = 103, .external_lex_state = 5},
  [2984] = {.lex_state = 103, .external_lex_state = 5},
  [2985] = {.lex_state = 103, .external_lex_state = 5},
  [2986] = {.lex_state = 100, .external_lex_state = 4},
  [2987] = {.lex_state = 16, .external_lex_state = 4},
  [2988] = {.lex_state = 100},
  [2989] = {.lex_state = 100},
  [2990] = {.lex_state = 100, .external_lex_state = 4},
  [2991] = {.lex_state = 100},
  [2992] = {.lex_state = 4},
  [2993] = {.lex_state = 100, .external_lex_state = 4},
  [2994] = {.lex_state = 100, .external_lex_state = 4},
  [2995] = {.lex_state = 101, .external_lex_state = 5},
  [2996] = {.lex_state = 100},
  [2997] = {.lex_state = 100},
  [2998] = {.lex_state = 100},
  [2999] = {.lex_state = 100, .external_lex_state = 4},
  [3000] = {.lex_state = 16, .external_lex_state = 4},
  [3001] = {.lex_state = 103},
  [3002] = {.lex_state = 100, .external_lex_state = 4},
  [3003] = {.lex_state = 103, .external_lex_state = 5},
  [3004] = {.lex_state = 100, .external_lex_state = 4},
  [3005] = {.lex_state = 100, .external_lex_state = 4},
  [3006] = {.lex_state = 100, .external_lex_state = 4},
  [3007] = {.lex_state = 100, .external_lex_state = 4},
  [3008] = {.lex_state = 103},
  [3009] = {.lex_state = 100, .external_lex_state = 4},
  [3010] = {.lex_state = 100, .external_lex_state = 4},
  [3011] = {.lex_state = 100, .external_lex_state = 4},
  [3012] = {.lex_state = 100, .external_lex_state = 4},
  [3013] = {.lex_state = 100, .external_lex_state = 4},
  [3014] = {.lex_state = 16, .external_lex_state = 4},
  [3015] = {.lex_state = 100, .external_lex_state = 4},
  [3016] = {.lex_state = 100, .external_lex_state = 4},
  [3017] = {.lex_state = 100},
  [3018] = {.lex_state = 100},
  [3019] = {.lex_state = 100, .external_lex_state = 4},
  [3020] = {.lex_state = 103, .external_lex_state = 5},
  [3021] = {.lex_state = 100},
  [3022] = {.lex_state = 100, .external_lex_state = 4},
  [3023] = {.lex_state = 100, .external_lex_state = 4},
  [3024] = {.lex_state = 100, .external_lex_state = 4},
  [3025] = {.lex_state = 100, .external_lex_state = 4},
  [3026] = {.lex_state = 100, .external_lex_state = 4},
  [3027] = {.lex_state = 16, .external_lex_state = 4},
  [3028] = {.lex_state = 4},
  [3029] = {.lex_state = 100, .external_lex_state = 4},
  [3030] = {.lex_state = 100, .external_lex_state = 4},
  [3031] = {.lex_state = 100, .external_lex_state = 4},
  [3032] = {.lex_state = 100, .external_lex_state = 4},
  [3033] = {.lex_state = 100, .external_lex_state = 4},
  [3034] = {.lex_state = 103, .external_lex_state = 5},
  [3035] = {.lex_state = 103, .external_lex_state = 5},
  [3036] = {.lex_state = 103, .external_lex_state = 5},
  [3037] = {.lex_state = 103, .external_lex_state = 5},
  [3038] = {.lex_state = 100, .external_lex_state = 4},
  [3039] = {.lex_state = 100, .external_lex_state = 4},
  [3040] = {.lex_state = 100},
  [3041] = {.lex_state = 100},
  [3042] = {.lex_state = 100, .external_lex_state = 4},
  [3043] = {.lex_state = 100, .external_lex_state = 4},
  [3044] = {.lex_state = 100, .external_lex_state = 4},
  [3045] = {.lex_state = 100, .external_lex_state = 4},
  [3046] = {.lex_state = 100, .external_lex_state = 4},
  [3047] = {.lex_state = 103, .external_lex_state = 5},
  [3048] = {.lex_state = 100},
  [3049] = {.lex_state = 100, .external_lex_state = 4},
  [3050] = {.lex_state = 103},
  [3051] = {.lex_state = 100, .external_lex_state = 4},
  [3052] = {.lex_state = 103},
  [3053] = {.lex_state = 100, .external_lex_state = 4},
  [3054] = {.lex_state = 100, .external_lex_state = 4},
  [3055] = {.lex_state = 100, .external_lex_state = 4},
  [3056] = {.lex_state = 103, .external_lex_state = 5},
  [3057] = {.lex_state = 100, .external_lex_state = 4},
  [3058] = {.lex_state = 100, .external_lex_state = 4},
  [3059] = {.lex_state = 103},
  [3060] = {.lex_state = 101},
  [3061] = {.lex_state = 103},
  [3062] = {.lex_state = 100, .external_lex_state = 5},
  [3063] = {.lex_state = 100},
  [3064] = {.lex_state = 100},
  [3065] = {.lex_state = 103},
  [3066] = {.lex_state = 101},
  [3067] = {.lex_state = 100, .external_lex_state = 4},
  [3068] = {.lex_state = 100},
  [3069] = {.lex_state = 101},
  [3070] = {.lex_state = 100, .external_lex_state = 4},
  [3071] = {.lex_state = 101},
  [3072] = {.lex_state = 101},
  [3073] = {.lex_state = 101},
  [3074] = {.lex_state = 100, .external_lex_state = 4},
  [3075] = {.lex_state = 100, .external_lex_state = 4},
  [3076] = {.lex_state = 100},
  [3077] = {.lex_state = 101},
  [3078] = {.lex_state = 100, .external_lex_state = 4},
  [3079] = {.lex_state = 100, .external_lex_state = 4},
  [3080] = {.lex_state = 100, .external_lex_state = 4},
  [3081] = {.lex_state = 103},
  [3082] = {.lex_state = 100, .external_lex_state = 4},
  [3083] = {.lex_state = 101},
  [3084] = {.lex_state = 100, .external_lex_state = 5},
  [3085] = {.lex_state = 100, .external_lex_state = 4},
  [3086] = {.lex_state = 16, .external_lex_state = 4},
  [3087] = {.lex_state = 100},
  [3088] = {.lex_state = 100, .external_lex_state = 4},
  [3089] = {.lex_state = 100, .external_lex_state = 4},
  [3090] = {.lex_state = 100},
  [3091] = {.lex_state = 100, .external_lex_state = 4},
  [3092] = {.lex_state = 101},
  [3093] = {.lex_state = 100, .external_lex_state = 4},
  [3094] = {.lex_state = 100, .external_lex_state = 4},
  [3095] = {.lex_state = 100},
  [3096] = {.lex_state = 100, .external_lex_state = 4},
  [3097] = {.lex_state = 101},
  [3098] = {.lex_state = 16, .external_lex_state = 4},
  [3099] = {.lex_state = 100, .external_lex_state = 4},
  [3100] = {.lex_state = 100, .external_lex_state = 4},
  [3101] = {.lex_state = 100, .external_lex_state = 4},
  [3102] = {.lex_state = 100},
  [3103] = {.lex_state = 100, .external_lex_state = 5},
  [3104] = {.lex_state = 100},
  [3105] = {.lex_state = 101},
  [3106] = {.lex_state = 100, .external_lex_state = 4},
  [3107] = {.lex_state = 100, .external_lex_state = 4},
  [3108] = {.lex_state = 16},
  [3109] = {.lex_state = 100, .external_lex_state = 5},
  [3110] = {.lex_state = 16},
  [3111] = {.lex_state = 100, .external_lex_state = 5},
  [3112] = {.lex_state = 100, .external_lex_state = 5},
  [3113] = {.lex_state = 100, .external_lex_state = 4},
  [3114] = {.lex_state = 100, .external_lex_state = 5},
  [3115] = {.lex_state = 100},
  [3116] = {.lex_state = 100, .external_lex_state = 4},
  [3117] = {.lex_state = 16},
  [3118] = {.lex_state = 100, .external_lex_state = 5},
  [3119] = {.lex_state = 100, .external_lex_state = 5},
  [3120] = {.lex_state = 100},
  [3121] = {.lex_state = 101},
  [3122] = {.lex_state = 0, .external_lex_state = 4},
  [3123] = {.lex_state = 0, .external_lex_state = 4},
  [3124] = {.lex_state = 100, .external_lex_state = 5},
  [3125] = {.lex_state = 100, .external_lex_state = 5},
  [3126] = {.lex_state = 100, .external_lex_state = 5},
  [3127] = {.lex_state = 100, .external_lex_state = 5},
  [3128] = {.lex_state = 100, .external_lex_state = 5},
  [3129] = {.lex_state = 4},
  [3130] = {.lex_state = 100, .external_lex_state = 5},
  [3131] = {.lex_state = 100, .external_lex_state = 4},
  [3132] = {.lex_state = 4},
  [3133] = {.lex_state = 16},
  [3134] = {.lex_state = 100, .external_lex_state = 5},
  [3135] = {.lex_state = 101},
  [3136] = {.lex_state = 18},
  [3137] = {.lex_state = 100, .external_lex_state = 5},
  [3138] = {.lex_state = 101},
  [3139] = {.lex_state = 100, .external_lex_state = 5},
  [3140] = {.lex_state = 101},
  [3141] = {.lex_state = 100, .external_lex_state = 5},
  [3142] = {.lex_state = 16},
  [3143] = {.lex_state = 101},
  [3144] = {.lex_state = 100, .external_lex_state = 5},
  [3145] = {.lex_state = 16},
  [3146] = {.lex_state = 4},
  [3147] = {.lex_state = 100, .external_lex_state = 5},
  [3148] = {.lex_state = 101},
  [3149] = {.lex_state = 4},
  [3150] = {.lex_state = 101},
  [3151] = {.lex_state = 100, .external_lex_state = 5},
  [3152] = {.lex_state = 18},
  [3153] = {.lex_state = 100, .external_lex_state = 5},
  [3154] = {.lex_state = 100},
  [3155] = {.lex_state = 100, .external_lex_state = 5},
  [3156] = {.lex_state = 100, .external_lex_state = 5},
  [3157] = {.lex_state = 100, .external_lex_state = 4},
  [3158] = {.lex_state = 100, .external_lex_state = 5},
  [3159] = {.lex_state = 100, .external_lex_state = 5},
  [3160] = {.lex_state = 101},
  [3161] = {.lex_state = 4},
  [3162] = {.lex_state = 100, .external_lex_state = 5},
  [3163] = {.lex_state = 100, .external_lex_state = 5},
  [3164] = {.lex_state = 100, .external_lex_state = 5},
  [3165] = {.lex_state = 100, .external_lex_state = 4},
  [3166] = {.lex_state = 100, .external_lex_state = 5},
  [3167] = {.lex_state = 100, .external_lex_state = 4},
  [3168] = {.lex_state = 100, .external_lex_state = 5},
  [3169] = {.lex_state = 101},
  [3170] = {.lex_state = 100, .external_lex_state = 5},
  [3171] = {.lex_state = 101},
  [3172] = {.lex_state = 4},
  [3173] = {.lex_state = 18},
  [3174] = {.lex_state = 100, .external_lex_state = 5},
  [3175] = {.lex_state = 103},
  [3176] = {.lex_state = 100, .external_lex_state = 5},
  [3177] = {.lex_state = 101},
  [3178] = {.lex_state = 4},
  [3179] = {.lex_state = 100, .external_lex_state = 4},
  [3180] = {.lex_state = 100, .external_lex_state = 4},
  [3181] = {.lex_state = 100, .external_lex_state = 5},
  [3182] = {.lex_state = 100, .external_lex_state = 5},
  [3183] = {.lex_state = 101},
  [3184] = {.lex_state = 101},
  [3185] = {.lex_state = 100, .external_lex_state = 5},
  [3186] = {.lex_state = 100, .external_lex_state = 5},
  [3187] = {.lex_state = 100, .external_lex_state = 5},
  [3188] = {.lex_state = 100, .external_lex_state = 5},
  [3189] = {.lex_state = 101},
  [3190] = {.lex_state = 100, .external_lex_state = 5},
  [3191] = {.lex_state = 100, .external_lex_state = 5},
  [3192] = {.lex_state = 100, .external_lex_state = 5},
  [3193] = {.lex_state = 16},
  [3194] = {.lex_state = 100},
  [3195] = {.lex_state = 100, .external_lex_state = 5},
  [3196] = {.lex_state = 100, .external_lex_state = 5},
  [3197] = {.lex_state = 4},
  [3198] = {.lex_state = 100, .external_lex_state = 4},
  [3199] = {.lex_state = 16},
  [3200] = {.lex_state = 100, .external_lex_state = 5},
  [3201] = {.lex_state = 100, .external_lex_state = 5},
  [3202] = {.lex_state = 100},
  [3203] = {.lex_state = 100, .external_lex_state = 5},
  [3204] = {.lex_state = 100, .external_lex_state = 5},
  [3205] = {.lex_state = 100, .external_lex_state = 5},
  [3206] = {.lex_state = 100, .external_lex_state = 5},
  [3207] = {.lex_state = 101},
  [3208] = {.lex_state = 100, .external_lex_state = 4},
  [3209] = {.lex_state = 100, .external_lex_state = 5},
  [3210] = {.lex_state = 3},
  [3211] = {.lex_state = 22, .external_lex_state = 6},
  [3212] = {.lex_state = 100},
  [3213] = {.lex_state = 100},
  [3214] = {.lex_state = 16},
  [3215] = {.lex_state = 100},
  [3216] = {.lex_state = 103},
  [3217] = {.lex_state = 22, .external_lex_state = 6},
  [3218] = {.lex_state = 3},
  [3219] = {.lex_state = 100},
  [3220] = {.lex_state = 22, .external_lex_state = 6},
  [3221] = {.lex_state = 22, .external_lex_state = 6},
  [3222] = {.lex_state = 3},
  [3223] = {.lex_state = 100, .external_lex_state = 4},
  [3224] = {.lex_state = 3},
  [3225] = {.lex_state = 22, .external_lex_state = 6},
  [3226] = {.lex_state = 100, .external_lex_state = 4},
  [3227] = {.lex_state = 16},
  [3228] = {.lex_state = 100, .external_lex_state = 4},
  [3229] = {.lex_state = 100},
  [3230] = {.lex_state = 100},
  [3231] = {.lex_state = 16},
  [3232] = {.lex_state = 100},
  [3233] = {.lex_state = 100, .external_lex_state = 4},
  [3234] = {.lex_state = 100},
  [3235] = {.lex_state = 100},
  [3236] = {.lex_state = 100},
  [3237] = {.lex_state = 100},
  [3238] = {.lex_state = 22},
  [3239] = {.lex_state = 100},
  [3240] = {.lex_state = 100},
  [3241] = {.lex_state = 16},
  [3242] = {.lex_state = 103},
  [3243] = {.lex_state = 0, .external_lex_state = 4},
  [3244] = {.lex_state = 100},
  [3245] = {.lex_state = 100},
  [3246] = {.lex_state = 100},
  [3247] = {.lex_state = 16},
  [3248] = {.lex_state = 16},
  [3249] = {.lex_state = 100},
  [3250] = {.lex_state = 100},
  [3251] = {.lex_state = 100},
  [3252] = {.lex_state = 6},
  [3253] = {.lex_state = 100},
  [3254] = {.lex_state = 100},
  [3255] = {.lex_state = 100},
  [3256] = {.lex_state = 100, .external_lex_state = 4},
  [3257] = {.lex_state = 0, .external_lex_state = 4},
  [3258] = {.lex_state = 16},
  [3259] = {.lex_state = 100},
  [3260] = {.lex_state = 100},
  [3261] = {.lex_state = 16},
  [3262] = {.lex_state = 4},
  [3263] = {.lex_state = 0, .external_lex_state = 4},
  [3264] = {.lex_state = 16},
  [3265] = {.lex_state = 4},
  [3266] = {.lex_state = 16},
  [3267] = {.lex_state = 103},
  [3268] = {.lex_state = 103},
  [3269] = {.lex_state = 100},
  [3270] = {.lex_state = 100},
  [3271] = {.lex_state = 0, .external_lex_state = 4},
  [3272] = {.lex_state = 100},
  [3273] = {.lex_state = 100},
  [3274] = {.lex_state = 103},
  [3275] = {.lex_state = 103},
  [3276] = {.lex_state = 100},
  [3277] = {.lex_state = 0, .external_lex_state = 4},
  [3278] = {.lex_state = 100},
  [3279] = {.lex_state = 100, .external_lex_state = 4},
  [3280] = {.lex_state = 103},
  [3281] = {.lex_state = 100, .external_lex_state = 4},
  [3282] = {.lex_state = 100, .external_lex_state = 4},
  [3283] = {.lex_state = 103},
  [3284] = {.lex_state = 103},
  [3285] = {.lex_state = 16},
  [3286] = {.lex_state = 100, .external_lex_state = 4},
  [3287] = {.lex_state = 16},
  [3288] = {.lex_state = 100},
  [3289] = {.lex_state = 100},
  [3290] = {.lex_state = 0, .external_lex_state = 4},
  [3291] = {.lex_state = 100},
  [3292] = {.lex_state = 100},
  [3293] = {.lex_state = 100, .external_lex_state = 4},
  [3294] = {.lex_state = 100},
  [3295] = {.lex_state = 100},
  [3296] = {.lex_state = 16},
  [3297] = {.lex_state = 100, .external_lex_state = 4},
  [3298] = {.lex_state = 103},
  [3299] = {.lex_state = 100, .external_lex_state = 4},
  [3300] = {.lex_state = 100, .external_lex_state = 4},
  [3301] = {.lex_state = 100, .external_lex_state = 4},
  [3302] = {.lex_state = 16},
  [3303] = {.lex_state = 100},
  [3304] = {.lex_state = 100, .external_lex_state = 4},
  [3305] = {.lex_state = 4},
  [3306] = {.lex_state = 16},
  [3307] = {.lex_state = 16},
  [3308] = {.lex_state = 100},
  [3309] = {.lex_state = 0, .external_lex_state = 4},
  [3310] = {.lex_state = 103},
  [3311] = {.lex_state = 0, .external_lex_state = 4},
  [3312] = {.lex_state = 100, .external_lex_state = 4},
  [3313] = {.lex_state = 100, .external_lex_state = 4},
  [3314] = {.lex_state = 100, .external_lex_state = 4},
  [3315] = {.lex_state = 103},
  [3316] = {.lex_state = 100},
  [3317] = {.lex_state = 100},
  [3318] = {.lex_state = 100},
  [3319] = {.lex_state = 100},
  [3320] = {.lex_state = 100, .external_lex_state = 4},
  [3321] = {.lex_state = 100},
  [3322] = {.lex_state = 103},
  [3323] = {.lex_state = 16},
  [3324] = {.lex_state = 103},
  [3325] = {.lex_state = 100, .external_lex_state = 4},
  [3326] = {.lex_state = 100},
  [3327] = {.lex_state = 100, .external_lex_state = 4},
  [3328] = {.lex_state = 100, .external_lex_state = 4},
  [3329] = {.lex_state = 100, .external_lex_state = 4},
  [3330] = {.lex_state = 100, .external_lex_state = 4},
  [3331] = {.lex_state = 100, .external_lex_state = 4},
  [3332] = {.lex_state = 16},
  [3333] = {.lex_state = 100, .external_lex_state = 4},
  [3334] = {.lex_state = 0, .external_lex_state = 4},
  [3335] = {.lex_state = 100, .external_lex_state = 4},
  [3336] = {.lex_state = 100, .external_lex_state = 4},
  [3337] = {.lex_state = 100},
  [3338] = {.lex_state = 100, .external_lex_state = 4},
  [3339] = {.lex_state = 0, .external_lex_state = 4},
  [3340] = {.lex_state = 100, .external_lex_state = 4},
  [3341] = {.lex_state = 100, .external_lex_state = 4},
  [3342] = {.lex_state = 100},
  [3343] = {.lex_state = 100, .external_lex_state = 4},
  [3344] = {.lex_state = 100, .external_lex_state = 4},
  [3345] = {.lex_state = 103},
  [3346] = {.lex_state = 100, .external_lex_state = 4},
  [3347] = {.lex_state = 0, .external_lex_state = 4},
  [3348] = {.lex_state = 100, .external_lex_state = 4},
  [3349] = {.lex_state = 100, .external_lex_state = 4},
  [3350] = {.lex_state = 100, .external_lex_state = 4},
  [3351] = {.lex_state = 103},
  [3352] = {.lex_state = 100, .external_lex_state = 5},
  [3353] = {.lex_state = 16},
  [3354] = {.lex_state = 100, .external_lex_state = 4},
  [3355] = {.lex_state = 100, .external_lex_state = 4},
  [3356] = {.lex_state = 16},
  [3357] = {.lex_state = 22},
  [3358] = {.lex_state = 0, .external_lex_state = 4},
  [3359] = {.lex_state = 100, .external_lex_state = 4},
  [3360] = {.lex_state = 100, .external_lex_state = 4},
  [3361] = {.lex_state = 100},
  [3362] = {.lex_state = 24, .external_lex_state = 6},
  [3363] = {.lex_state = 100, .external_lex_state = 4},
  [3364] = {.lex_state = 0, .external_lex_state = 4},
  [3365] = {.lex_state = 100},
  [3366] = {.lex_state = 16},
  [3367] = {.lex_state = 16},
  [3368] = {.lex_state = 100, .external_lex_state = 5},
  [3369] = {.lex_state = 22, .external_lex_state = 6},
  [3370] = {.lex_state = 16},
  [3371] = {.lex_state = 16},
  [3372] = {.lex_state = 100, .external_lex_state = 5},
  [3373] = {.lex_state = 16},
  [3374] = {.lex_state = 100},
  [3375] = {.lex_state = 100},
  [3376] = {.lex_state = 22, .external_lex_state = 6},
  [3377] = {.lex_state = 100, .external_lex_state = 5},
  [3378] = {.lex_state = 103},
  [3379] = {.lex_state = 22, .external_lex_state = 6},
  [3380] = {.lex_state = 4},
  [3381] = {.lex_state = 100},
  [3382] = {.lex_state = 16},
  [3383] = {.lex_state = 16},
  [3384] = {.lex_state = 103},
  [3385] = {.lex_state = 100, .external_lex_state = 5},
  [3386] = {.lex_state = 16},
  [3387] = {.lex_state = 16},
  [3388] = {.lex_state = 100},
  [3389] = {.lex_state = 103},
  [3390] = {.lex_state = 100, .external_lex_state = 5},
  [3391] = {.lex_state = 0, .external_lex_state = 4},
  [3392] = {.lex_state = 100},
  [3393] = {.lex_state = 100, .external_lex_state = 5},
  [3394] = {.lex_state = 100},
  [3395] = {.lex_state = 100, .external_lex_state = 5},
  [3396] = {.lex_state = 0, .external_lex_state = 4},
  [3397] = {.lex_state = 16},
  [3398] = {.lex_state = 0, .external_lex_state = 4},
  [3399] = {.lex_state = 22, .external_lex_state = 6},
  [3400] = {.lex_state = 16},
  [3401] = {.lex_state = 22},
  [3402] = {.lex_state = 22, .external_lex_state = 6},
  [3403] = {.lex_state = 0, .external_lex_state = 4},
  [3404] = {.lex_state = 24, .external_lex_state = 6},
  [3405] = {.lex_state = 0},
  [3406] = {.lex_state = 4},
  [3407] = {.lex_state = 103},
  [3408] = {.lex_state = 16},
  [3409] = {.lex_state = 16},
  [3410] = {.lex_state = 100},
  [3411] = {.lex_state = 100},
  [3412] = {.lex_state = 0, .external_lex_state = 4},
  [3413] = {.lex_state = 100, .external_lex_state = 5},
  [3414] = {.lex_state = 16},
  [3415] = {.lex_state = 100, .external_lex_state = 5},
  [3416] = {.lex_state = 103},
  [3417] = {.lex_state = 22},
  [3418] = {.lex_state = 16},
  [3419] = {.lex_state = 100},
  [3420] = {.lex_state = 22},
  [3421] = {.lex_state = 100, .external_lex_state = 5},
  [3422] = {.lex_state = 100},
  [3423] = {.lex_state = 0, .external_lex_state = 4},
  [3424] = {.lex_state = 100},
  [3425] = {.lex_state = 0, .external_lex_state = 4},
  [3426] = {.lex_state = 100, .external_lex_state = 5},
  [3427] = {.lex_state = 100, .external_lex_state = 5},
  [3428] = {.lex_state = 0, .external_lex_state = 4},
  [3429] = {.lex_state = 0, .external_lex_state = 4},
  [3430] = {.lex_state = 22, .external_lex_state = 6},
  [3431] = {.lex_state = 24, .external_lex_state = 6},
  [3432] = {.lex_state = 100, .external_lex_state = 5},
  [3433] = {.lex_state = 0, .external_lex_state = 4},
  [3434] = {.lex_state = 100, .external_lex_state = 5},
  [3435] = {.lex_state = 4},
  [3436] = {.lex_state = 16},
  [3437] = {.lex_state = 100},
  [3438] = {.lex_state = 22, .external_lex_state = 6},
  [3439] = {.lex_state = 0, .external_lex_state = 4},
  [3440] = {.lex_state = 16},
  [3441] = {.lex_state = 103},
  [3442] = {.lex_state = 0, .external_lex_state = 4},
  [3443] = {.lex_state = 22, .external_lex_state = 6},
  [3444] = {.lex_state = 24, .external_lex_state = 6},
  [3445] = {.lex_state = 4},
  [3446] = {.lex_state = 103},
  [3447] = {.lex_state = 0, .external_lex_state = 4},
  [3448] = {.lex_state = 22},
  [3449] = {.lex_state = 16},
  [3450] = {.lex_state = 16},
  [3451] = {.lex_state = 100, .external_lex_state = 5},
  [3452] = {.lex_state = 100},
  [3453] = {.lex_state = 0, .external_lex_state = 4},
  [3454] = {.lex_state = 0, .external_lex_state = 4},
  [3455] = {.lex_state = 16},
  [3456] = {.lex_state = 100},
  [3457] = {.lex_state = 22},
  [3458] = {.lex_state = 100},
  [3459] = {.lex_state = 100},
  [3460] = {.lex_state = 103},
  [3461] = {.lex_state = 0, .external_lex_state = 4},
  [3462] = {.lex_state = 16},
  [3463] = {.lex_state = 16},
  [3464] = {.lex_state = 22},
  [3465] = {.lex_state = 16},
  [3466] = {.lex_state = 100},
  [3467] = {.lex_state = 22, .external_lex_state = 6},
  [3468] = {.lex_state = 24, .external_lex_state = 6},
  [3469] = {.lex_state = 103},
  [3470] = {.lex_state = 103},
  [3471] = {.lex_state = 4},
  [3472] = {.lex_state = 16},
  [3473] = {.lex_state = 0, .external_lex_state = 4},
  [3474] = {.lex_state = 100, .external_lex_state = 5},
  [3475] = {.lex_state = 100, .external_lex_state = 5},
  [3476] = {.lex_state = 100},
  [3477] = {.lex_state = 0, .external_lex_state = 4},
  [3478] = {.lex_state = 16},
  [3479] = {.lex_state = 100, .external_lex_state = 5},
  [3480] = {.lex_state = 16},
  [3481] = {.lex_state = 100, .external_lex_state = 5},
  [3482] = {.lex_state = 0, .external_lex_state = 4},
  [3483] = {.lex_state = 100, .external_lex_state = 5},
  [3484] = {.lex_state = 16},
  [3485] = {.lex_state = 100, .external_lex_state = 5},
  [3486] = {.lex_state = 100, .external_lex_state = 5},
  [3487] = {.lex_state = 100},
  [3488] = {.lex_state = 0, .external_lex_state = 4},
  [3489] = {.lex_state = 0, .external_lex_state = 4},
  [3490] = {.lex_state = 16},
  [3491] = {.lex_state = 100, .external_lex_state = 5},
  [3492] = {.lex_state = 16},
  [3493] = {.lex_state = 100},
  [3494] = {.lex_state = 0, .external_lex_state = 4},
  [3495] = {.lex_state = 16},
  [3496] = {.lex_state = 100},
  [3497] = {.lex_state = 0, .external_lex_state = 4},
  [3498] = {.lex_state = 22, .external_lex_state = 6},
  [3499] = {.lex_state = 103},
  [3500] = {.lex_state = 100},
  [3501] = {.lex_state = 100},
  [3502] = {.lex_state = 22, .external_lex_state = 6},
  [3503] = {.lex_state = 100},
  [3504] = {.lex_state = 4},
  [3505] = {.lex_state = 103},
  [3506] = {.lex_state = 16},
  [3507] = {.lex_state = 24, .external_lex_state = 6},
  [3508] = {.lex_state = 22, .external_lex_state = 6},
  [3509] = {.lex_state = 0, .external_lex_state = 4},
  [3510] = {.lex_state = 100, .external_lex_state = 5},
  [3511] = {.lex_state = 4},
  [3512] = {.lex_state = 22, .external_lex_state = 6},
  [3513] = {.lex_state = 24, .external_lex_state = 6},
  [3514] = {.lex_state = 100},
  [3515] = {.lex_state = 103},
  [3516] = {.lex_state = 22, .external_lex_state = 6},
  [3517] = {.lex_state = 16},
  [3518] = {.lex_state = 16},
  [3519] = {.lex_state = 100},
  [3520] = {.lex_state = 100, .external_lex_state = 5},
  [3521] = {.lex_state = 22},
  [3522] = {.lex_state = 24, .external_lex_state = 6},
  [3523] = {.lex_state = 22},
  [3524] = {.lex_state = 100},
  [3525] = {.lex_state = 22},
  [3526] = {.lex_state = 100},
  [3527] = {.lex_state = 100},
  [3528] = {.lex_state = 0, .external_lex_state = 4},
  [3529] = {.lex_state = 16},
  [3530] = {.lex_state = 100, .external_lex_state = 5},
  [3531] = {.lex_state = 100},
  [3532] = {.lex_state = 0, .external_lex_state = 4},
  [3533] = {.lex_state = 100},
  [3534] = {.lex_state = 100},
  [3535] = {.lex_state = 16},
  [3536] = {.lex_state = 100},
  [3537] = {.lex_state = 16},
  [3538] = {.lex_state = 0, .external_lex_state = 4},
  [3539] = {.lex_state = 22, .external_lex_state = 6},
  [3540] = {.lex_state = 24, .external_lex_state = 6},
  [3541] = {.lex_state = 16},
  [3542] = {.lex_state = 100, .external_lex_state = 4},
  [3543] = {.lex_state = 0, .external_lex_state = 4},
  [3544] = {.lex_state = 100},
  [3545] = {.lex_state = 16},
  [3546] = {.lex_state = 16},
  [3547] = {.lex_state = 0, .external_lex_state = 4},
  [3548] = {.lex_state = 0, .external_lex_state = 4},
  [3549] = {.lex_state = 0, .external_lex_state = 4},
  [3550] = {.lex_state = 0, .external_lex_state = 4},
  [3551] = {.lex_state = 0, .external_lex_state = 4},
  [3552] = {.lex_state = 22, .external_lex_state = 6},
  [3553] = {.lex_state = 0, .external_lex_state = 4},
  [3554] = {.lex_state = 16},
  [3555] = {.lex_state = 0, .external_lex_state = 4},
  [3556] = {.lex_state = 100},
  [3557] = {.lex_state = 16},
  [3558] = {.lex_state = 16},
  [3559] = {.lex_state = 16},
  [3560] = {.lex_state = 16},
  [3561] = {.lex_state = 100, .external_lex_state = 5},
  [3562] = {.lex_state = 100, .external_lex_state = 5},
  [3563] = {.lex_state = 16},
  [3564] = {.lex_state = 0, .external_lex_state = 4},
  [3565] = {.lex_state = 16},
  [3566] = {.lex_state = 100, .external_lex_state = 5},
  [3567] = {.lex_state = 100},
  [3568] = {.lex_state = 100},
  [3569] = {.lex_state = 0},
  [3570] = {.lex_state = 0, .external_lex_state = 4},
  [3571] = {.lex_state = 0},
  [3572] = {.lex_state = 22, .external_lex_state = 6},
  [3573] = {.lex_state = 16},
  [3574] = {.lex_state = 100},
  [3575] = {.lex_state = 100},
  [3576] = {.lex_state = 22, .external_lex_state = 6},
  [3577] = {.lex_state = 16},
  [3578] = {.lex_state = 100},
  [3579] = {.lex_state = 16},
  [3580] = {.lex_state = 100},
  [3581] = {.lex_state = 22, .external_lex_state = 6},
  [3582] = {.lex_state = 0},
  [3583] = {.lex_state = 16},
  [3584] = {.lex_state = 100},
  [3585] = {.lex_state = 16},
  [3586] = {.lex_state = 100},
  [3587] = {.lex_state = 0, .external_lex_state = 4},
  [3588] = {.lex_state = 100},
  [3589] = {.lex_state = 0},
  [3590] = {.lex_state = 0},
  [3591] = {.lex_state = 0},
  [3592] = {.lex_state = 100},
  [3593] = {.lex_state = 22, .external_lex_state = 6},
  [3594] = {.lex_state = 0, .external_lex_state = 4},
  [3595] = {.lex_state = 16},
  [3596] = {.lex_state = 16},
  [3597] = {.lex_state = 8},
  [3598] = {.lex_state = 16},
  [3599] = {.lex_state = 16},
  [3600] = {.lex_state = 100, .external_lex_state = 5},
  [3601] = {.lex_state = 100, .external_lex_state = 5},
  [3602] = {.lex_state = 0, .external_lex_state = 4},
  [3603] = {.lex_state = 100},
  [3604] = {.lex_state = 0, .external_lex_state = 4},
  [3605] = {.lex_state = 0, .external_lex_state = 4},
  [3606] = {.lex_state = 0, .external_lex_state = 4},
  [3607] = {.lex_state = 16},
  [3608] = {.lex_state = 0, .external_lex_state = 4},
  [3609] = {.lex_state = 100, .external_lex_state = 5},
  [3610] = {.lex_state = 0, .external_lex_state = 4},
  [3611] = {.lex_state = 0, .external_lex_state = 4},
  [3612] = {.lex_state = 16},
  [3613] = {.lex_state = 16},
  [3614] = {.lex_state = 0, .external_lex_state = 4},
  [3615] = {.lex_state = 22, .external_lex_state = 6},
  [3616] = {.lex_state = 0, .external_lex_state = 4},
  [3617] = {.lex_state = 0, .external_lex_state = 4},
  [3618] = {.lex_state = 100, .external_lex_state = 5},
  [3619] = {.lex_state = 0, .external_lex_state = 4},
  [3620] = {.lex_state = 100, .external_lex_state = 4},
  [3621] = {.lex_state = 100},
  [3622] = {.lex_state = 100, .external_lex_state = 4},
  [3623] = {.lex_state = 100, .external_lex_state = 4},
  [3624] = {.lex_state = 100},
  [3625] = {.lex_state = 0, .external_lex_state = 4},
  [3626] = {.lex_state = 100, .external_lex_state = 5},
  [3627] = {.lex_state = 100},
  [3628] = {.lex_state = 100, .external_lex_state = 5},
  [3629] = {.lex_state = 16},
  [3630] = {.lex_state = 0, .external_lex_state = 4},
  [3631] = {.lex_state = 16},
  [3632] = {.lex_state = 0},
  [3633] = {.lex_state = 0, .external_lex_state = 4},
  [3634] = {.lex_state = 0, .external_lex_state = 4},
  [3635] = {.lex_state = 16},
  [3636] = {.lex_state = 16},
  [3637] = {.lex_state = 16},
  [3638] = {.lex_state = 0, .external_lex_state = 4},
  [3639] = {.lex_state = 0, .external_lex_state = 4},
  [3640] = {.lex_state = 0, .external_lex_state = 4},
  [3641] = {.lex_state = 16},
  [3642] = {.lex_state = 16},
  [3643] = {.lex_state = 16},
  [3644] = {.lex_state = 0, .external_lex_state = 4},
  [3645] = {.lex_state = 0, .external_lex_state = 4},
  [3646] = {.lex_state = 16},
  [3647] = {.lex_state = 100},
  [3648] = {.lex_state = 100},
  [3649] = {.lex_state = 22, .external_lex_state = 6},
  [3650] = {.lex_state = 16},
  [3651] = {.lex_state = 0, .external_lex_state = 4},
  [3652] = {.lex_state = 0, .external_lex_state = 4},
  [3653] = {.lex_state = 100, .external_lex_state = 5},
  [3654] = {.lex_state = 0},
  [3655] = {.lex_state = 0, .external_lex_state = 4},
  [3656] = {.lex_state = 100},
  [3657] = {.lex_state = 0, .external_lex_state = 4},
  [3658] = {.lex_state = 100},
  [3659] = {.lex_state = 0, .external_lex_state = 4},
  [3660] = {.lex_state = 0, .external_lex_state = 4},
  [3661] = {.lex_state = 22, .external_lex_state = 6},
  [3662] = {.lex_state = 100},
  [3663] = {.lex_state = 16},
  [3664] = {.lex_state = 0, .external_lex_state = 4},
  [3665] = {.lex_state = 0, .external_lex_state = 4},
  [3666] = {.lex_state = 0, .external_lex_state = 4},
  [3667] = {.lex_state = 0, .external_lex_state = 4},
  [3668] = {.lex_state = 16},
  [3669] = {.lex_state = 0, .external_lex_state = 4},
  [3670] = {.lex_state = 16},
  [3671] = {.lex_state = 0, .external_lex_state = 4},
  [3672] = {.lex_state = 0, .external_lex_state = 4},
  [3673] = {.lex_state = 100},
  [3674] = {.lex_state = 16},
  [3675] = {.lex_state = 100},
  [3676] = {.lex_state = 0, .external_lex_state = 4},
  [3677] = {.lex_state = 100},
  [3678] = {.lex_state = 0, .external_lex_state = 4},
  [3679] = {.lex_state = 100, .external_lex_state = 4},
  [3680] = {.lex_state = 22, .external_lex_state = 6},
  [3681] = {.lex_state = 100},
  [3682] = {.lex_state = 100},
  [3683] = {.lex_state = 16},
  [3684] = {.lex_state = 100},
  [3685] = {.lex_state = 100},
  [3686] = {.lex_state = 100},
  [3687] = {.lex_state = 16},
  [3688] = {.lex_state = 22, .external_lex_state = 6},
  [3689] = {.lex_state = 16},
  [3690] = {.lex_state = 16},
  [3691] = {.lex_state = 100},
  [3692] = {.lex_state = 16},
  [3693] = {.lex_state = 16},
  [3694] = {.lex_state = 0, .external_lex_state = 4},
  [3695] = {.lex_state = 0},
  [3696] = {.lex_state = 0},
  [3697] = {.lex_state = 0, .external_lex_state = 4},
  [3698] = {.lex_state = 16},
  [3699] = {.lex_state = 100, .external_lex_state = 5},
  [3700] = {.lex_state = 16},
  [3701] = {.lex_state = 8},
  [3702] = {.lex_state = 16},
  [3703] = {.lex_state = 4},
  [3704] = {.lex_state = 0},
  [3705] = {.lex_state = 0, .external_lex_state = 4},
  [3706] = {.lex_state = 16},
  [3707] = {.lex_state = 0, .external_lex_state = 4},
  [3708] = {.lex_state = 16},
  [3709] = {.lex_state = 22, .external_lex_state = 6},
  [3710] = {.lex_state = 16},
  [3711] = {.lex_state = 22, .external_lex_state = 6},
  [3712] = {.lex_state = 0, .external_lex_state = 4},
  [3713] = {.lex_state = 100},
  [3714] = {.lex_state = 100},
  [3715] = {.lex_state = 100, .external_lex_state = 5},
  [3716] = {.lex_state = 100},
  [3717] = {.lex_state = 100},
  [3718] = {.lex_state = 100},
  [3719] = {.lex_state = 0},
  [3720] = {.lex_state = 100},
  [3721] = {.lex_state = 0, .external_lex_state = 4},
  [3722] = {.lex_state = 16},
  [3723] = {.lex_state = 22, .external_lex_state = 6},
  [3724] = {.lex_state = 16},
  [3725] = {.lex_state = 16},
  [3726] = {.lex_state = 0},
  [3727] = {.lex_state = 0, .external_lex_state = 4},
  [3728] = {.lex_state = 100},
  [3729] = {.lex_state = 0},
  [3730] = {.lex_state = 16},
  [3731] = {.lex_state = 16},
  [3732] = {.lex_state = 100},
  [3733] = {.lex_state = 16},
  [3734] = {.lex_state = 0, .external_lex_state = 4},
  [3735] = {.lex_state = 16},
  [3736] = {.lex_state = 0},
  [3737] = {.lex_state = 100},
  [3738] = {.lex_state = 0, .external_lex_state = 4},
  [3739] = {.lex_state = 0, .external_lex_state = 4},
  [3740] = {.lex_state = 0, .external_lex_state = 4},
  [3741] = {.lex_state = 22},
  [3742] = {.lex_state = 16},
  [3743] = {.lex_state = 0, .external_lex_state = 4},
  [3744] = {.lex_state = 0, .external_lex_state = 4},
  [3745] = {.lex_state = 0, .external_lex_state = 4},
  [3746] = {.lex_state = 20},
  [3747] = {.lex_state = 6},
  [3748] = {.lex_state = 24, .external_lex_state = 6},
  [3749] = {.lex_state = 100},
  [3750] = {.lex_state = 100},
  [3751] = {.lex_state = 6},
  [3752] = {.lex_state = 16},
  [3753] = {.lex_state = 16},
  [3754] = {.lex_state = 1},
  [3755] = {.lex_state = 16},
  [3756] = {.lex_state = 16},
  [3757] = {.lex_state = 100},
  [3758] = {.lex_state = 100},
  [3759] = {.lex_state = 100},
  [3760] = {.lex_state = 100},
  [3761] = {.lex_state = 100},
  [3762] = {.lex_state = 100},
  [3763] = {.lex_state = 4},
  [3764] = {.lex_state = 6},
  [3765] = {.lex_state = 6},
  [3766] = {.lex_state = 100},
  [3767] = {.lex_state = 20},
  [3768] = {.lex_state = 26},
  [3769] = {.lex_state = 1},
  [3770] = {.lex_state = 6},
  [3771] = {.lex_state = 6},
  [3772] = {.lex_state = 0},
  [3773] = {.lex_state = 4},
  [3774] = {.lex_state = 0},
  [3775] = {.lex_state = 16},
  [3776] = {.lex_state = 20},
  [3777] = {.lex_state = 26},
  [3778] = {.lex_state = 1},
  [3779] = {.lex_state = 1},
  [3780] = {.lex_state = 100},
  [3781] = {.lex_state = 0},
  [3782] = {.lex_state = 100},
  [3783] = {.lex_state = 0},
  [3784] = {.lex_state = 6},
  [3785] = {.lex_state = 100},
  [3786] = {.lex_state = 4},
  [3787] = {.lex_state = 22, .external_lex_state = 6},
  [3788] = {.lex_state = 6},
  [3789] = {.lex_state = 100},
  [3790] = {.lex_state = 100},
  [3791] = {.lex_state = 16},
  [3792] = {.lex_state = 100},
  [3793] = {.lex_state = 16},
  [3794] = {.lex_state = 100},
  [3795] = {.lex_state = 16},
  [3796] = {.lex_state = 16},
  [3797] = {.lex_state = 16},
  [3798] = {.lex_state = 6},
  [3799] = {.lex_state = 16},
  [3800] = {.lex_state = 0},
  [3801] = {.lex_state = 6},
  [3802] = {.lex_state = 16},
  [3803] = {.lex_state = 16},
  [3804] = {.lex_state = 6},
  [3805] = {.lex_state = 0},
  [3806] = {.lex_state = 0},
  [3807] = {.lex_state = 0, .external_lex_state = 4},
  [3808] = {.lex_state = 100},
  [3809] = {.lex_state = 16},
  [3810] = {.lex_state = 100},
  [3811] = {.lex_state = 100},
  [3812] = {.lex_state = 100},
  [3813] = {.lex_state = 16},
  [3814] = {.lex_state = 20},
  [3815] = {.lex_state = 100},
  [3816] = {.lex_state = 26},
  [3817] = {.lex_state = 6},
  [3818] = {.lex_state = 100},
  [3819] = {.lex_state = 1},
  [3820] = {.lex_state = 6},
  [3821] = {.lex_state = 6},
  [3822] = {.lex_state = 20},
  [3823] = {.lex_state = 26},
  [3824] = {.lex_state = 100},
  [3825] = {.lex_state = 6},
  [3826] = {.lex_state = 4},
  [3827] = {.lex_state = 6},
  [3828] = {.lex_state = 100},
  [3829] = {.lex_state = 16},
  [3830] = {.lex_state = 0, .external_lex_state = 4},
  [3831] = {.lex_state = 6},
  [3832] = {.lex_state = 0, .external_lex_state = 4},
  [3833] = {.lex_state = 100},
  [3834] = {.lex_state = 0},
  [3835] = {.lex_state = 100},
  [3836] = {.lex_state = 100},
  [3837] = {.lex_state = 100},
  [3838] = {.lex_state = 100},
  [3839] = {.lex_state = 100},
  [3840] = {.lex_state = 100},
  [3841] = {.lex_state = 100},
  [3842] = {.lex_state = 100},
  [3843] = {.lex_state = 6},
  [3844] = {.lex_state = 6},
  [3845] = {.lex_state = 6},
  [3846] = {.lex_state = 6},
  [3847] = {.lex_state = 6},
  [3848] = {.lex_state = 16},
  [3849] = {.lex_state = 16},
  [3850] = {.lex_state = 0, .external_lex_state = 4},
  [3851] = {.lex_state = 0, .external_lex_state = 4},
  [3852] = {.lex_state = 0},
  [3853] = {.lex_state = 16},
  [3854] = {.lex_state = 6},
  [3855] = {.lex_state = 100},
  [3856] = {.lex_state = 16},
  [3857] = {.lex_state = 4},
  [3858] = {.lex_state = 16},
  [3859] = {.lex_state = 6},
  [3860] = {.lex_state = 6},
  [3861] = {.lex_state = 100},
  [3862] = {.lex_state = 22, .external_lex_state = 6},
  [3863] = {.lex_state = 20},
  [3864] = {.lex_state = 26},
  [3865] = {.lex_state = 1},
  [3866] = {.lex_state = 6},
  [3867] = {.lex_state = 100},
  [3868] = {.lex_state = 100},
  [3869] = {.lex_state = 26},
  [3870] = {.lex_state = 20},
  [3871] = {.lex_state = 0},
  [3872] = {.lex_state = 26},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 100},
  [3875] = {.lex_state = 6},
  [3876] = {.lex_state = 100},
  [3877] = {.lex_state = 0},
  [3878] = {.lex_state = 100},
  [3879] = {.lex_state = 100},
  [3880] = {.lex_state = 20},
  [3881] = {.lex_state = 26},
  [3882] = {.lex_state = 20},
  [3883] = {.lex_state = 26},
  [3884] = {.lex_state = 6},
  [3885] = {.lex_state = 6},
  [3886] = {.lex_state = 6},
  [3887] = {.lex_state = 26},
  [3888] = {.lex_state = 20},
  [3889] = {.lex_state = 0, .external_lex_state = 5},
  [3890] = {.lex_state = 6},
  [3891] = {.lex_state = 100},
  [3892] = {.lex_state = 100},
  [3893] = {.lex_state = 100},
  [3894] = {.lex_state = 20},
  [3895] = {.lex_state = 100},
  [3896] = {.lex_state = 26},
  [3897] = {.lex_state = 26},
  [3898] = {.lex_state = 6},
  [3899] = {.lex_state = 20},
  [3900] = {.lex_state = 6},
  [3901] = {.lex_state = 6},
  [3902] = {.lex_state = 0},
  [3903] = {.lex_state = 16},
  [3904] = {.lex_state = 6},
  [3905] = {.lex_state = 26},
  [3906] = {.lex_state = 20},
  [3907] = {.lex_state = 6},
  [3908] = {.lex_state = 100},
  [3909] = {.lex_state = 0},
  [3910] = {.lex_state = 100},
  [3911] = {.lex_state = 6},
  [3912] = {.lex_state = 6},
  [3913] = {.lex_state = 6},
  [3914] = {.lex_state = 6},
  [3915] = {.lex_state = 100},
  [3916] = {.lex_state = 0},
  [3917] = {.lex_state = 100},
  [3918] = {.lex_state = 6},
  [3919] = {.lex_state = 26},
  [3920] = {.lex_state = 20},
  [3921] = {.lex_state = 6},
  [3922] = {.lex_state = 100},
  [3923] = {.lex_state = 6},
  [3924] = {.lex_state = 20},
  [3925] = {.lex_state = 6},
  [3926] = {.lex_state = 100},
  [3927] = {.lex_state = 26},
  [3928] = {.lex_state = 0},
  [3929] = {.lex_state = 0, .external_lex_state = 4},
  [3930] = {.lex_state = 100},
  [3931] = {.lex_state = 8},
  [3932] = {.lex_state = 100},
  [3933] = {.lex_state = 100},
  [3934] = {.lex_state = 8},
  [3935] = {.lex_state = 0, .external_lex_state = 4},
  [3936] = {.lex_state = 0},
  [3937] = {.lex_state = 0},
  [3938] = {.lex_state = 0},
  [3939] = {.lex_state = 0, .external_lex_state = 4},
  [3940] = {.lex_state = 0, .external_lex_state = 4},
  [3941] = {.lex_state = 0, .external_lex_state = 4},
  [3942] = {.lex_state = 100},
  [3943] = {.lex_state = 100, .external_lex_state = 4},
  [3944] = {.lex_state = 8},
  [3945] = {.lex_state = 0},
  [3946] = {.lex_state = 0, .external_lex_state = 4},
  [3947] = {.lex_state = 0, .external_lex_state = 4},
  [3948] = {.lex_state = 100},
  [3949] = {.lex_state = 0, .external_lex_state = 4},
  [3950] = {.lex_state = 100, .external_lex_state = 4},
  [3951] = {.lex_state = 0, .external_lex_state = 4},
  [3952] = {.lex_state = 0, .external_lex_state = 4},
  [3953] = {.lex_state = 0},
  [3954] = {.lex_state = 0},
  [3955] = {.lex_state = 100},
  [3956] = {.lex_state = 0},
  [3957] = {.lex_state = 100},
  [3958] = {.lex_state = 0},
  [3959] = {.lex_state = 0},
  [3960] = {.lex_state = 0, .external_lex_state = 4},
  [3961] = {.lex_state = 0, .external_lex_state = 4},
  [3962] = {.lex_state = 0, .external_lex_state = 4},
  [3963] = {.lex_state = 0, .external_lex_state = 4},
  [3964] = {.lex_state = 0, .external_lex_state = 4},
  [3965] = {.lex_state = 0, .external_lex_state = 4},
  [3966] = {.lex_state = 0, .external_lex_state = 4},
  [3967] = {.lex_state = 0},
  [3968] = {.lex_state = 0},
  [3969] = {.lex_state = 0},
  [3970] = {.lex_state = 0},
  [3971] = {.lex_state = 100},
  [3972] = {.lex_state = 4, .external_lex_state = 4},
  [3973] = {.lex_state = 100},
  [3974] = {.lex_state = 4},
  [3975] = {.lex_state = 100},
  [3976] = {.lex_state = 0},
  [3977] = {.lex_state = 100, .external_lex_state = 4},
  [3978] = {.lex_state = 100, .external_lex_state = 4},
  [3979] = {.lex_state = 0},
  [3980] = {.lex_state = 100},
  [3981] = {.lex_state = 0},
  [3982] = {.lex_state = 1},
  [3983] = {.lex_state = 0, .external_lex_state = 4},
  [3984] = {.lex_state = 0, .external_lex_state = 4},
  [3985] = {.lex_state = 0, .external_lex_state = 4},
  [3986] = {.lex_state = 0},
  [3987] = {.lex_state = 0, .external_lex_state = 4},
  [3988] = {.lex_state = 0, .external_lex_state = 4},
  [3989] = {.lex_state = 0, .external_lex_state = 4},
  [3990] = {.lex_state = 0, .external_lex_state = 4},
  [3991] = {.lex_state = 0, .external_lex_state = 4},
  [3992] = {.lex_state = 0, .external_lex_state = 4},
  [3993] = {.lex_state = 100},
  [3994] = {.lex_state = 0},
  [3995] = {.lex_state = 100},
  [3996] = {.lex_state = 100},
  [3997] = {.lex_state = 0},
  [3998] = {.lex_state = 0},
  [3999] = {.lex_state = 100},
  [4000] = {.lex_state = 0},
  [4001] = {.lex_state = 0},
  [4002] = {.lex_state = 0},
  [4003] = {.lex_state = 0},
  [4004] = {.lex_state = 0},
  [4005] = {.lex_state = 0},
  [4006] = {.lex_state = 100},
  [4007] = {.lex_state = 0},
  [4008] = {.lex_state = 0},
  [4009] = {.lex_state = 0, .external_lex_state = 4},
  [4010] = {.lex_state = 0, .external_lex_state = 4},
  [4011] = {.lex_state = 100},
  [4012] = {.lex_state = 0, .external_lex_state = 4},
  [4013] = {.lex_state = 100},
  [4014] = {.lex_state = 0, .external_lex_state = 4},
  [4015] = {.lex_state = 0},
  [4016] = {.lex_state = 0, .external_lex_state = 4},
  [4017] = {.lex_state = 0},
  [4018] = {.lex_state = 4, .external_lex_state = 4},
  [4019] = {.lex_state = 0},
  [4020] = {.lex_state = 0},
  [4021] = {.lex_state = 0},
  [4022] = {.lex_state = 0},
  [4023] = {.lex_state = 100},
  [4024] = {.lex_state = 100},
  [4025] = {.lex_state = 0},
  [4026] = {.lex_state = 0, .external_lex_state = 4},
  [4027] = {.lex_state = 0, .external_lex_state = 4},
  [4028] = {.lex_state = 0, .external_lex_state = 4},
  [4029] = {.lex_state = 0, .external_lex_state = 4},
  [4030] = {.lex_state = 0, .external_lex_state = 4},
  [4031] = {.lex_state = 0},
  [4032] = {.lex_state = 0, .external_lex_state = 4},
  [4033] = {.lex_state = 100},
  [4034] = {.lex_state = 0, .external_lex_state = 4},
  [4035] = {.lex_state = 0},
  [4036] = {.lex_state = 0, .external_lex_state = 4},
  [4037] = {.lex_state = 0, .external_lex_state = 4},
  [4038] = {.lex_state = 0},
  [4039] = {.lex_state = 100},
  [4040] = {.lex_state = 0},
  [4041] = {.lex_state = 100},
  [4042] = {.lex_state = 0},
  [4043] = {.lex_state = 100},
  [4044] = {.lex_state = 0},
  [4045] = {.lex_state = 4},
  [4046] = {.lex_state = 0},
  [4047] = {.lex_state = 0, .external_lex_state = 4},
  [4048] = {.lex_state = 100},
  [4049] = {.lex_state = 0},
  [4050] = {.lex_state = 0},
  [4051] = {.lex_state = 0},
  [4052] = {.lex_state = 0},
  [4053] = {.lex_state = 100},
  [4054] = {.lex_state = 100},
  [4055] = {.lex_state = 0, .external_lex_state = 4},
  [4056] = {.lex_state = 0, .external_lex_state = 4},
  [4057] = {.lex_state = 0},
  [4058] = {.lex_state = 100},
  [4059] = {.lex_state = 0},
  [4060] = {.lex_state = 100},
  [4061] = {.lex_state = 100},
  [4062] = {.lex_state = 0, .external_lex_state = 4},
  [4063] = {.lex_state = 0, .external_lex_state = 4},
  [4064] = {.lex_state = 100},
  [4065] = {.lex_state = 0, .external_lex_state = 4},
  [4066] = {.lex_state = 100},
  [4067] = {.lex_state = 0, .external_lex_state = 4},
  [4068] = {.lex_state = 0, .external_lex_state = 4},
  [4069] = {.lex_state = 0, .external_lex_state = 4},
  [4070] = {.lex_state = 0, .external_lex_state = 4},
  [4071] = {.lex_state = 0},
  [4072] = {.lex_state = 0},
  [4073] = {.lex_state = 0},
  [4074] = {.lex_state = 100},
  [4075] = {.lex_state = 0},
  [4076] = {.lex_state = 0},
  [4077] = {.lex_state = 100},
  [4078] = {.lex_state = 0},
  [4079] = {.lex_state = 0},
  [4080] = {.lex_state = 100},
  [4081] = {.lex_state = 22, .external_lex_state = 6},
  [4082] = {.lex_state = 0},
  [4083] = {.lex_state = 0},
  [4084] = {.lex_state = 0},
  [4085] = {.lex_state = 0},
  [4086] = {.lex_state = 0},
  [4087] = {.lex_state = 16},
  [4088] = {.lex_state = 100},
  [4089] = {.lex_state = 0},
  [4090] = {.lex_state = 0},
  [4091] = {.lex_state = 0},
  [4092] = {.lex_state = 100},
  [4093] = {.lex_state = 0},
  [4094] = {.lex_state = 0},
  [4095] = {.lex_state = 100},
  [4096] = {.lex_state = 0},
  [4097] = {.lex_state = 100},
  [4098] = {.lex_state = 100},
  [4099] = {.lex_state = 0},
  [4100] = {.lex_state = 0},
  [4101] = {.lex_state = 0},
  [4102] = {.lex_state = 0},
  [4103] = {.lex_state = 0},
  [4104] = {.lex_state = 0},
  [4105] = {.lex_state = 100},
  [4106] = {.lex_state = 0},
  [4107] = {.lex_state = 0},
  [4108] = {.lex_state = 100},
  [4109] = {.lex_state = 0},
  [4110] = {.lex_state = 100},
  [4111] = {.lex_state = 0},
  [4112] = {.lex_state = 100},
  [4113] = {.lex_state = 100},
  [4114] = {.lex_state = 100},
  [4115] = {.lex_state = 100},
  [4116] = {.lex_state = 0},
  [4117] = {.lex_state = 0},
  [4118] = {.lex_state = 100},
  [4119] = {.lex_state = 0},
  [4120] = {.lex_state = 0},
  [4121] = {.lex_state = 0},
  [4122] = {.lex_state = 0},
  [4123] = {.lex_state = 0},
  [4124] = {.lex_state = 0},
  [4125] = {.lex_state = 0},
  [4126] = {.lex_state = 0},
  [4127] = {.lex_state = 0},
  [4128] = {.lex_state = 0},
  [4129] = {.lex_state = 0},
  [4130] = {.lex_state = 0},
  [4131] = {.lex_state = 0},
  [4132] = {.lex_state = 0},
  [4133] = {.lex_state = 0},
  [4134] = {.lex_state = 0, .external_lex_state = 4},
  [4135] = {.lex_state = 0},
  [4136] = {.lex_state = 0},
  [4137] = {.lex_state = 100},
  [4138] = {.lex_state = 0},
  [4139] = {.lex_state = 0},
  [4140] = {.lex_state = 0},
  [4141] = {.lex_state = 0},
  [4142] = {.lex_state = 0},
  [4143] = {.lex_state = 0},
  [4144] = {.lex_state = 100},
  [4145] = {.lex_state = 0},
  [4146] = {.lex_state = 0},
  [4147] = {.lex_state = 0},
  [4148] = {.lex_state = 100},
  [4149] = {.lex_state = 0},
  [4150] = {.lex_state = 100},
  [4151] = {.lex_state = 100},
  [4152] = {.lex_state = 0},
  [4153] = {.lex_state = 100},
  [4154] = {.lex_state = 100},
  [4155] = {.lex_state = 0},
  [4156] = {.lex_state = 0},
  [4157] = {.lex_state = 0},
  [4158] = {.lex_state = 100},
  [4159] = {.lex_state = 0},
  [4160] = {.lex_state = 0},
  [4161] = {.lex_state = 0},
  [4162] = {.lex_state = 100},
  [4163] = {.lex_state = 100},
  [4164] = {.lex_state = 100},
  [4165] = {.lex_state = 0},
  [4166] = {.lex_state = 0},
  [4167] = {.lex_state = 100},
  [4168] = {.lex_state = 100},
  [4169] = {.lex_state = 0},
  [4170] = {.lex_state = 0},
  [4171] = {.lex_state = 100},
  [4172] = {.lex_state = 100},
  [4173] = {.lex_state = 0, .external_lex_state = 4},
  [4174] = {.lex_state = 100},
  [4175] = {.lex_state = 100},
  [4176] = {.lex_state = 100},
  [4177] = {.lex_state = 0},
  [4178] = {.lex_state = 0},
  [4179] = {.lex_state = 100},
  [4180] = {.lex_state = 0, .external_lex_state = 4},
  [4181] = {.lex_state = 100},
  [4182] = {.lex_state = 100},
  [4183] = {.lex_state = 0},
  [4184] = {.lex_state = 100},
  [4185] = {.lex_state = 100},
  [4186] = {.lex_state = 0},
  [4187] = {.lex_state = 100},
  [4188] = {.lex_state = 100},
  [4189] = {.lex_state = 0},
  [4190] = {.lex_state = 100},
  [4191] = {.lex_state = 100},
  [4192] = {.lex_state = 100},
  [4193] = {.lex_state = 100},
  [4194] = {.lex_state = 100},
  [4195] = {.lex_state = 100},
  [4196] = {.lex_state = 100},
  [4197] = {.lex_state = 100},
  [4198] = {.lex_state = 100},
  [4199] = {.lex_state = 100},
  [4200] = {.lex_state = 0},
  [4201] = {.lex_state = 0},
  [4202] = {.lex_state = 100},
  [4203] = {.lex_state = 0},
  [4204] = {.lex_state = 0},
  [4205] = {.lex_state = 100},
  [4206] = {.lex_state = 0},
  [4207] = {.lex_state = 100},
  [4208] = {.lex_state = 100},
  [4209] = {.lex_state = 100},
  [4210] = {.lex_state = 100},
  [4211] = {.lex_state = 100},
  [4212] = {.lex_state = 100},
  [4213] = {.lex_state = 100},
  [4214] = {.lex_state = 100},
  [4215] = {.lex_state = 0},
  [4216] = {.lex_state = 100},
  [4217] = {.lex_state = 100},
  [4218] = {.lex_state = 100},
  [4219] = {.lex_state = 100},
  [4220] = {.lex_state = 0},
  [4221] = {.lex_state = 100},
  [4222] = {.lex_state = 0},
  [4223] = {.lex_state = 100},
  [4224] = {.lex_state = 0},
  [4225] = {.lex_state = 0},
  [4226] = {.lex_state = 100},
  [4227] = {.lex_state = 0},
  [4228] = {.lex_state = 100},
  [4229] = {.lex_state = 100},
  [4230] = {.lex_state = 0},
  [4231] = {.lex_state = 100},
  [4232] = {.lex_state = 100},
  [4233] = {.lex_state = 0},
  [4234] = {.lex_state = 100},
  [4235] = {.lex_state = 0},
  [4236] = {.lex_state = 100},
  [4237] = {.lex_state = 1},
  [4238] = {.lex_state = 0},
  [4239] = {.lex_state = 100},
  [4240] = {.lex_state = 100},
  [4241] = {.lex_state = 100},
  [4242] = {.lex_state = 100},
  [4243] = {.lex_state = 100},
  [4244] = {.lex_state = 0},
  [4245] = {.lex_state = 100},
  [4246] = {.lex_state = 0},
  [4247] = {.lex_state = 100},
  [4248] = {.lex_state = 100},
  [4249] = {.lex_state = 100},
  [4250] = {.lex_state = 100},
  [4251] = {.lex_state = 100},
  [4252] = {.lex_state = 0},
  [4253] = {.lex_state = 100},
  [4254] = {.lex_state = 100},
  [4255] = {.lex_state = 0},
  [4256] = {.lex_state = 100},
  [4257] = {.lex_state = 100},
  [4258] = {.lex_state = 100},
  [4259] = {.lex_state = 100},
  [4260] = {.lex_state = 100},
  [4261] = {.lex_state = 100},
  [4262] = {.lex_state = 0},
  [4263] = {.lex_state = 0},
  [4264] = {.lex_state = 0},
  [4265] = {.lex_state = 100},
  [4266] = {.lex_state = 0},
  [4267] = {.lex_state = 0},
  [4268] = {.lex_state = 100},
  [4269] = {.lex_state = 0},
  [4270] = {.lex_state = 100},
  [4271] = {.lex_state = 0},
  [4272] = {.lex_state = 100},
  [4273] = {.lex_state = 0},
  [4274] = {.lex_state = 100},
  [4275] = {.lex_state = 0},
  [4276] = {.lex_state = 0},
  [4277] = {.lex_state = 100},
  [4278] = {.lex_state = 100},
  [4279] = {.lex_state = 100},
  [4280] = {.lex_state = 100},
  [4281] = {.lex_state = 100},
  [4282] = {.lex_state = 100},
  [4283] = {.lex_state = 0},
  [4284] = {.lex_state = 100},
  [4285] = {.lex_state = 100},
  [4286] = {.lex_state = 100},
  [4287] = {.lex_state = 100},
  [4288] = {.lex_state = 100},
  [4289] = {.lex_state = 100},
  [4290] = {.lex_state = 100},
  [4291] = {.lex_state = 0},
  [4292] = {.lex_state = 100},
  [4293] = {.lex_state = 100},
  [4294] = {.lex_state = 0},
  [4295] = {.lex_state = 100},
  [4296] = {.lex_state = 0},
  [4297] = {.lex_state = 100},
  [4298] = {.lex_state = 100},
  [4299] = {.lex_state = 100},
  [4300] = {.lex_state = 100},
  [4301] = {.lex_state = 0},
  [4302] = {.lex_state = 100},
  [4303] = {.lex_state = 100},
  [4304] = {.lex_state = 0},
  [4305] = {.lex_state = 0},
  [4306] = {.lex_state = 100},
  [4307] = {.lex_state = 100},
  [4308] = {.lex_state = 100},
  [4309] = {.lex_state = 100},
  [4310] = {.lex_state = 0},
  [4311] = {.lex_state = 100},
  [4312] = {.lex_state = 100},
  [4313] = {.lex_state = 100},
  [4314] = {.lex_state = 100},
  [4315] = {.lex_state = 100},
  [4316] = {.lex_state = 100},
  [4317] = {.lex_state = 100},
  [4318] = {.lex_state = 0},
  [4319] = {.lex_state = 100},
  [4320] = {.lex_state = 0},
  [4321] = {.lex_state = 100},
  [4322] = {.lex_state = 0},
  [4323] = {.lex_state = 100},
  [4324] = {.lex_state = 100},
  [4325] = {.lex_state = 100},
  [4326] = {.lex_state = 100},
  [4327] = {.lex_state = 100},
  [4328] = {.lex_state = 100},
  [4329] = {.lex_state = 100},
  [4330] = {.lex_state = 0},
  [4331] = {.lex_state = 100},
  [4332] = {.lex_state = 0, .external_lex_state = 4},
  [4333] = {.lex_state = 0},
  [4334] = {.lex_state = 100},
  [4335] = {.lex_state = 100},
  [4336] = {.lex_state = 100},
  [4337] = {.lex_state = 100},
  [4338] = {.lex_state = 0},
  [4339] = {.lex_state = 100},
  [4340] = {.lex_state = 100},
  [4341] = {.lex_state = 100},
  [4342] = {.lex_state = 100},
  [4343] = {.lex_state = 100},
  [4344] = {.lex_state = 100},
  [4345] = {.lex_state = 100},
  [4346] = {.lex_state = 100},
  [4347] = {.lex_state = 100},
  [4348] = {.lex_state = 0},
  [4349] = {.lex_state = 0},
  [4350] = {.lex_state = 0},
  [4351] = {.lex_state = 100},
  [4352] = {.lex_state = 0},
  [4353] = {.lex_state = 100},
  [4354] = {.lex_state = 0},
  [4355] = {.lex_state = 100},
  [4356] = {.lex_state = 100},
  [4357] = {.lex_state = 0},
  [4358] = {.lex_state = 100},
  [4359] = {.lex_state = 100},
  [4360] = {.lex_state = 100},
  [4361] = {.lex_state = 100},
  [4362] = {.lex_state = 0},
  [4363] = {.lex_state = 0},
  [4364] = {.lex_state = 100},
  [4365] = {.lex_state = 0},
  [4366] = {.lex_state = 100},
  [4367] = {.lex_state = 100},
  [4368] = {.lex_state = 0},
  [4369] = {.lex_state = 0},
  [4370] = {.lex_state = 100},
  [4371] = {.lex_state = 0},
  [4372] = {.lex_state = 0},
  [4373] = {.lex_state = 100},
  [4374] = {.lex_state = 100},
  [4375] = {.lex_state = 100},
  [4376] = {.lex_state = 100},
  [4377] = {.lex_state = 0},
  [4378] = {.lex_state = 100},
  [4379] = {.lex_state = 0},
  [4380] = {.lex_state = 100},
  [4381] = {.lex_state = 0},
  [4382] = {.lex_state = 100},
  [4383] = {.lex_state = 0},
  [4384] = {.lex_state = 100},
  [4385] = {.lex_state = 0},
  [4386] = {.lex_state = 100},
  [4387] = {.lex_state = 100},
  [4388] = {.lex_state = 0},
  [4389] = {.lex_state = 0},
  [4390] = {.lex_state = 100},
  [4391] = {.lex_state = 0},
  [4392] = {.lex_state = 0},
  [4393] = {.lex_state = 0},
  [4394] = {.lex_state = 100},
  [4395] = {.lex_state = 100},
  [4396] = {.lex_state = 0},
  [4397] = {.lex_state = 100},
  [4398] = {.lex_state = 0, .external_lex_state = 4},
  [4399] = {.lex_state = 100},
  [4400] = {.lex_state = 0},
  [4401] = {.lex_state = 0},
  [4402] = {.lex_state = 100},
  [4403] = {.lex_state = 0},
  [4404] = {.lex_state = 100},
  [4405] = {.lex_state = 100},
  [4406] = {.lex_state = 100},
  [4407] = {.lex_state = 0},
  [4408] = {.lex_state = 0},
  [4409] = {.lex_state = 0},
  [4410] = {.lex_state = 100},
  [4411] = {.lex_state = 0},
  [4412] = {.lex_state = 100},
  [4413] = {.lex_state = 0},
  [4414] = {.lex_state = 100},
  [4415] = {.lex_state = 0},
  [4416] = {.lex_state = 100},
  [4417] = {.lex_state = 0},
  [4418] = {.lex_state = 100},
  [4419] = {.lex_state = 100},
  [4420] = {.lex_state = 0},
  [4421] = {.lex_state = 100},
  [4422] = {.lex_state = 100},
  [4423] = {.lex_state = 100},
  [4424] = {.lex_state = 0, .external_lex_state = 4},
  [4425] = {.lex_state = 100},
  [4426] = {.lex_state = 0},
  [4427] = {.lex_state = 100},
  [4428] = {.lex_state = 0},
  [4429] = {.lex_state = 100},
  [4430] = {.lex_state = 0},
  [4431] = {.lex_state = 100},
  [4432] = {.lex_state = 100},
  [4433] = {.lex_state = 0, .external_lex_state = 4},
  [4434] = {.lex_state = 0, .external_lex_state = 4},
  [4435] = {.lex_state = 100},
  [4436] = {.lex_state = 100},
  [4437] = {.lex_state = 0, .external_lex_state = 4},
  [4438] = {.lex_state = 100},
  [4439] = {.lex_state = 100},
  [4440] = {.lex_state = 0},
  [4441] = {.lex_state = 0},
  [4442] = {.lex_state = 100},
  [4443] = {.lex_state = 0, .external_lex_state = 4},
  [4444] = {.lex_state = 100},
  [4445] = {.lex_state = 0},
  [4446] = {.lex_state = 100},
  [4447] = {.lex_state = 0},
  [4448] = {.lex_state = 100},
  [4449] = {.lex_state = 100},
  [4450] = {.lex_state = 0},
  [4451] = {.lex_state = 100},
  [4452] = {.lex_state = 0},
  [4453] = {.lex_state = 0},
  [4454] = {.lex_state = 100},
  [4455] = {.lex_state = 100},
  [4456] = {.lex_state = 100},
  [4457] = {.lex_state = 100},
  [4458] = {.lex_state = 0},
  [4459] = {.lex_state = 100},
  [4460] = {.lex_state = 0},
  [4461] = {.lex_state = 100},
  [4462] = {.lex_state = 0},
  [4463] = {.lex_state = 100},
  [4464] = {.lex_state = 0, .external_lex_state = 4},
  [4465] = {.lex_state = 100},
  [4466] = {.lex_state = 0},
  [4467] = {.lex_state = 100},
  [4468] = {.lex_state = 100},
  [4469] = {.lex_state = 100},
  [4470] = {.lex_state = 100},
  [4471] = {.lex_state = 100},
  [4472] = {.lex_state = 100},
  [4473] = {.lex_state = 100},
  [4474] = {.lex_state = 100},
  [4475] = {.lex_state = 100},
  [4476] = {.lex_state = 100},
  [4477] = {.lex_state = 0},
  [4478] = {.lex_state = 100},
  [4479] = {.lex_state = 0},
  [4480] = {.lex_state = 100},
  [4481] = {.lex_state = 0},
  [4482] = {.lex_state = 100},
  [4483] = {.lex_state = 0},
  [4484] = {.lex_state = 100},
  [4485] = {.lex_state = 100},
  [4486] = {.lex_state = 100},
  [4487] = {.lex_state = 100},
  [4488] = {.lex_state = 100},
  [4489] = {.lex_state = 100},
  [4490] = {.lex_state = 100},
  [4491] = {.lex_state = 100},
  [4492] = {.lex_state = 100},
  [4493] = {.lex_state = 100},
  [4494] = {.lex_state = 100},
  [4495] = {.lex_state = 100},
  [4496] = {.lex_state = 100},
  [4497] = {.lex_state = 0},
  [4498] = {.lex_state = 100},
  [4499] = {.lex_state = 100},
  [4500] = {.lex_state = 100},
  [4501] = {.lex_state = 100},
  [4502] = {.lex_state = 100},
  [4503] = {.lex_state = 100},
  [4504] = {.lex_state = 100},
  [4505] = {.lex_state = 100},
  [4506] = {.lex_state = 100},
  [4507] = {.lex_state = 0},
  [4508] = {.lex_state = 100},
  [4509] = {.lex_state = 0},
  [4510] = {.lex_state = 100},
  [4511] = {.lex_state = 100},
  [4512] = {.lex_state = 100},
  [4513] = {.lex_state = 100},
  [4514] = {.lex_state = 100},
  [4515] = {.lex_state = 100},
  [4516] = {.lex_state = 0},
  [4517] = {.lex_state = 100},
  [4518] = {.lex_state = 100},
  [4519] = {.lex_state = 100},
  [4520] = {.lex_state = 100},
  [4521] = {.lex_state = 100},
  [4522] = {.lex_state = 0},
  [4523] = {.lex_state = 100},
  [4524] = {.lex_state = 0},
  [4525] = {.lex_state = 0},
  [4526] = {.lex_state = 100},
  [4527] = {.lex_state = 100},
  [4528] = {.lex_state = 100},
  [4529] = {.lex_state = 0},
  [4530] = {.lex_state = 0},
  [4531] = {.lex_state = 100},
  [4532] = {.lex_state = 100},
  [4533] = {.lex_state = 100},
  [4534] = {.lex_state = 100},
  [4535] = {.lex_state = 100},
  [4536] = {.lex_state = 100},
  [4537] = {.lex_state = 100},
  [4538] = {.lex_state = 100},
  [4539] = {.lex_state = 100},
  [4540] = {.lex_state = 100},
  [4541] = {.lex_state = 100},
  [4542] = {.lex_state = 100},
  [4543] = {.lex_state = 100},
  [4544] = {.lex_state = 100},
  [4545] = {.lex_state = 0},
  [4546] = {.lex_state = 0},
  [4547] = {.lex_state = 100},
  [4548] = {.lex_state = 0},
  [4549] = {.lex_state = 100},
  [4550] = {.lex_state = 0},
  [4551] = {.lex_state = 100},
  [4552] = {.lex_state = 0},
  [4553] = {.lex_state = 100},
  [4554] = {.lex_state = 100},
  [4555] = {.lex_state = 0},
  [4556] = {.lex_state = 0},
  [4557] = {.lex_state = 100},
  [4558] = {.lex_state = 100},
  [4559] = {.lex_state = 0},
  [4560] = {.lex_state = 0},
  [4561] = {.lex_state = 0},
  [4562] = {.lex_state = 0},
  [4563] = {.lex_state = 0},
  [4564] = {.lex_state = 0},
  [4565] = {.lex_state = 100},
  [4566] = {.lex_state = 0},
  [4567] = {.lex_state = 0},
  [4568] = {.lex_state = 0},
  [4569] = {.lex_state = 0},
  [4570] = {.lex_state = 100},
  [4571] = {.lex_state = 0},
  [4572] = {.lex_state = 0},
  [4573] = {.lex_state = 0},
  [4574] = {.lex_state = 0},
  [4575] = {.lex_state = 0},
  [4576] = {.lex_state = 0},
  [4577] = {.lex_state = 0},
  [4578] = {.lex_state = 0},
  [4579] = {.lex_state = 0},
  [4580] = {.lex_state = 0},
  [4581] = {.lex_state = 0},
  [4582] = {.lex_state = 100},
  [4583] = {.lex_state = 0},
  [4584] = {.lex_state = 0},
  [4585] = {.lex_state = 0},
  [4586] = {.lex_state = 0},
  [4587] = {.lex_state = 0},
  [4588] = {.lex_state = 0},
  [4589] = {.lex_state = 100},
  [4590] = {.lex_state = 0},
  [4591] = {.lex_state = 0},
  [4592] = {.lex_state = 0},
  [4593] = {.lex_state = 0},
  [4594] = {.lex_state = 0},
  [4595] = {.lex_state = 0},
  [4596] = {.lex_state = 0},
  [4597] = {.lex_state = 0},
  [4598] = {.lex_state = 0},
  [4599] = {.lex_state = 0},
  [4600] = {.lex_state = 0},
  [4601] = {.lex_state = 100},
  [4602] = {.lex_state = 0},
  [4603] = {.lex_state = 2},
  [4604] = {.lex_state = 100},
  [4605] = {.lex_state = 0},
  [4606] = {.lex_state = 0},
  [4607] = {.lex_state = 0},
  [4608] = {.lex_state = 0},
  [4609] = {.lex_state = 0},
  [4610] = {.lex_state = 100},
  [4611] = {.lex_state = 0},
  [4612] = {.lex_state = 0},
  [4613] = {.lex_state = 0},
  [4614] = {.lex_state = 0},
  [4615] = {.lex_state = 100},
  [4616] = {.lex_state = 0},
  [4617] = {.lex_state = 4},
  [4618] = {.lex_state = 0},
  [4619] = {.lex_state = 0},
  [4620] = {.lex_state = 0},
  [4621] = {.lex_state = 0},
  [4622] = {.lex_state = 0},
  [4623] = {.lex_state = 16},
  [4624] = {.lex_state = 100},
  [4625] = {.lex_state = 100},
  [4626] = {.lex_state = 0},
  [4627] = {.lex_state = 100},
  [4628] = {.lex_state = 100},
  [4629] = {.lex_state = 100},
  [4630] = {.lex_state = 0},
  [4631] = {.lex_state = 100},
  [4632] = {.lex_state = 16},
  [4633] = {.lex_state = 0},
  [4634] = {.lex_state = 0},
  [4635] = {.lex_state = 0},
  [4636] = {.lex_state = 0},
  [4637] = {.lex_state = 0},
  [4638] = {.lex_state = 0},
  [4639] = {.lex_state = 0},
  [4640] = {.lex_state = 100},
  [4641] = {.lex_state = 0},
  [4642] = {.lex_state = 0},
  [4643] = {.lex_state = 100},
  [4644] = {.lex_state = 4},
  [4645] = {.lex_state = 0},
  [4646] = {.lex_state = 0},
  [4647] = {.lex_state = 0},
  [4648] = {.lex_state = 100},
  [4649] = {.lex_state = 100},
  [4650] = {.lex_state = 0},
  [4651] = {.lex_state = 0},
  [4652] = {.lex_state = 0},
  [4653] = {.lex_state = 0},
  [4654] = {.lex_state = 16},
  [4655] = {.lex_state = 0},
  [4656] = {.lex_state = 0},
  [4657] = {.lex_state = 0},
  [4658] = {.lex_state = 0},
  [4659] = {.lex_state = 0},
  [4660] = {.lex_state = 0},
  [4661] = {.lex_state = 2},
  [4662] = {.lex_state = 0},
  [4663] = {.lex_state = 0},
  [4664] = {.lex_state = 0},
  [4665] = {.lex_state = 100},
  [4666] = {.lex_state = 0},
  [4667] = {.lex_state = 4},
  [4668] = {.lex_state = 100},
  [4669] = {.lex_state = 0},
  [4670] = {.lex_state = 0},
  [4671] = {.lex_state = 0},
  [4672] = {.lex_state = 0},
  [4673] = {.lex_state = 0},
  [4674] = {.lex_state = 0},
  [4675] = {.lex_state = 0},
  [4676] = {.lex_state = 0},
  [4677] = {.lex_state = 100},
  [4678] = {.lex_state = 0},
  [4679] = {.lex_state = 2},
  [4680] = {.lex_state = 0},
  [4681] = {.lex_state = 0},
  [4682] = {.lex_state = 0},
  [4683] = {.lex_state = 0},
  [4684] = {.lex_state = 4},
  [4685] = {.lex_state = 0},
  [4686] = {.lex_state = 0},
  [4687] = {.lex_state = 0},
  [4688] = {.lex_state = 0},
  [4689] = {.lex_state = 0},
  [4690] = {.lex_state = 4},
  [4691] = {.lex_state = 0},
  [4692] = {.lex_state = 0},
  [4693] = {.lex_state = 0},
  [4694] = {.lex_state = 2},
  [4695] = {.lex_state = 100},
  [4696] = {.lex_state = 0},
  [4697] = {.lex_state = 0},
  [4698] = {.lex_state = 4},
  [4699] = {.lex_state = 0},
  [4700] = {.lex_state = 0},
  [4701] = {.lex_state = 0},
  [4702] = {.lex_state = 0},
  [4703] = {.lex_state = 0},
  [4704] = {.lex_state = 100},
  [4705] = {.lex_state = 0},
  [4706] = {.lex_state = 0},
  [4707] = {.lex_state = 0},
  [4708] = {.lex_state = 2},
  [4709] = {.lex_state = 100},
  [4710] = {.lex_state = 0},
  [4711] = {.lex_state = 4},
  [4712] = {.lex_state = 0},
  [4713] = {.lex_state = 0},
  [4714] = {.lex_state = 100},
  [4715] = {.lex_state = 100},
  [4716] = {.lex_state = 2},
  [4717] = {.lex_state = 4},
  [4718] = {.lex_state = 4},
  [4719] = {.lex_state = 0},
  [4720] = {.lex_state = 0},
  [4721] = {.lex_state = 0},
  [4722] = {.lex_state = 0},
  [4723] = {.lex_state = 0},
  [4724] = {.lex_state = 0},
  [4725] = {.lex_state = 100},
  [4726] = {.lex_state = 0},
  [4727] = {.lex_state = 0},
  [4728] = {.lex_state = 0},
  [4729] = {.lex_state = 100},
  [4730] = {.lex_state = 0},
  [4731] = {.lex_state = 100},
  [4732] = {.lex_state = 0},
  [4733] = {.lex_state = 0},
  [4734] = {.lex_state = 0},
  [4735] = {.lex_state = 100},
  [4736] = {.lex_state = 0},
  [4737] = {.lex_state = 100},
  [4738] = {.lex_state = 0},
  [4739] = {.lex_state = 0},
  [4740] = {.lex_state = 100},
  [4741] = {.lex_state = 100},
  [4742] = {.lex_state = 100},
  [4743] = {.lex_state = 0},
  [4744] = {.lex_state = 0},
  [4745] = {.lex_state = 0},
  [4746] = {.lex_state = 0},
  [4747] = {.lex_state = 0},
  [4748] = {.lex_state = 100},
  [4749] = {.lex_state = 0},
  [4750] = {.lex_state = 100},
  [4751] = {.lex_state = 0},
  [4752] = {.lex_state = 100},
  [4753] = {.lex_state = 0},
  [4754] = {.lex_state = 0},
  [4755] = {.lex_state = 100},
  [4756] = {.lex_state = 0},
  [4757] = {.lex_state = 100},
  [4758] = {.lex_state = 0},
  [4759] = {.lex_state = 0},
  [4760] = {.lex_state = 16},
  [4761] = {.lex_state = 0},
  [4762] = {.lex_state = 0},
  [4763] = {.lex_state = 0},
  [4764] = {.lex_state = 100},
  [4765] = {.lex_state = 0},
  [4766] = {.lex_state = 0},
  [4767] = {.lex_state = 100},
  [4768] = {.lex_state = 0},
  [4769] = {.lex_state = 0},
  [4770] = {.lex_state = 16},
  [4771] = {.lex_state = 0},
  [4772] = {.lex_state = 0},
  [4773] = {.lex_state = 100},
  [4774] = {.lex_state = 100},
  [4775] = {.lex_state = 0},
  [4776] = {.lex_state = 0},
  [4777] = {.lex_state = 0},
  [4778] = {.lex_state = 0},
  [4779] = {.lex_state = 0},
  [4780] = {.lex_state = 0},
  [4781] = {.lex_state = 0},
  [4782] = {.lex_state = 0},
  [4783] = {.lex_state = 0},
  [4784] = {.lex_state = 100},
  [4785] = {.lex_state = 0},
  [4786] = {.lex_state = 0},
  [4787] = {.lex_state = 0},
  [4788] = {.lex_state = 0},
  [4789] = {.lex_state = 0},
  [4790] = {.lex_state = 100},
  [4791] = {.lex_state = 100},
  [4792] = {.lex_state = 0},
  [4793] = {.lex_state = 0},
  [4794] = {.lex_state = 0},
  [4795] = {.lex_state = 100},
  [4796] = {.lex_state = 100},
  [4797] = {.lex_state = 100},
  [4798] = {.lex_state = 100},
  [4799] = {.lex_state = 0},
  [4800] = {.lex_state = 0},
  [4801] = {.lex_state = 0},
  [4802] = {.lex_state = 0},
  [4803] = {.lex_state = 0},
  [4804] = {.lex_state = 0},
  [4805] = {.lex_state = 0},
  [4806] = {.lex_state = 100},
  [4807] = {.lex_state = 0},
  [4808] = {.lex_state = 0},
  [4809] = {.lex_state = 0},
  [4810] = {.lex_state = 100},
  [4811] = {.lex_state = 0},
  [4812] = {.lex_state = 100},
  [4813] = {.lex_state = 0},
  [4814] = {.lex_state = 0},
  [4815] = {.lex_state = 100},
  [4816] = {.lex_state = 0},
  [4817] = {.lex_state = 0},
  [4818] = {.lex_state = 0},
  [4819] = {.lex_state = 0},
  [4820] = {.lex_state = 0},
  [4821] = {.lex_state = 100},
  [4822] = {.lex_state = 0},
  [4823] = {.lex_state = 0},
  [4824] = {.lex_state = 0},
  [4825] = {.lex_state = 100},
  [4826] = {.lex_state = 100},
  [4827] = {.lex_state = 0},
  [4828] = {.lex_state = 0},
  [4829] = {.lex_state = 0},
  [4830] = {.lex_state = 0},
  [4831] = {.lex_state = 0},
  [4832] = {.lex_state = 0},
  [4833] = {.lex_state = 0},
  [4834] = {.lex_state = 0},
  [4835] = {.lex_state = 0},
  [4836] = {.lex_state = 0},
  [4837] = {.lex_state = 0},
  [4838] = {.lex_state = 100},
  [4839] = {.lex_state = 0},
  [4840] = {.lex_state = 0},
  [4841] = {.lex_state = 0},
  [4842] = {.lex_state = 0},
  [4843] = {.lex_state = 16},
  [4844] = {.lex_state = 0},
  [4845] = {.lex_state = 100},
  [4846] = {.lex_state = 100},
  [4847] = {.lex_state = 0},
  [4848] = {.lex_state = 2},
  [4849] = {.lex_state = 100},
  [4850] = {.lex_state = 0},
  [4851] = {.lex_state = 0},
  [4852] = {.lex_state = 0},
  [4853] = {.lex_state = 100},
  [4854] = {.lex_state = 0},
  [4855] = {.lex_state = 0},
  [4856] = {.lex_state = 0},
  [4857] = {.lex_state = 0},
  [4858] = {.lex_state = 0},
  [4859] = {.lex_state = 0},
  [4860] = {.lex_state = 0},
  [4861] = {.lex_state = 0},
  [4862] = {.lex_state = 0},
  [4863] = {.lex_state = 100},
  [4864] = {.lex_state = 0},
  [4865] = {.lex_state = 100},
  [4866] = {.lex_state = 0},
  [4867] = {.lex_state = 0},
  [4868] = {.lex_state = 0},
  [4869] = {.lex_state = 100},
  [4870] = {.lex_state = 0},
  [4871] = {.lex_state = 0},
  [4872] = {.lex_state = 0},
  [4873] = {.lex_state = 0},
  [4874] = {.lex_state = 100},
  [4875] = {.lex_state = 0},
  [4876] = {.lex_state = 0},
  [4877] = {.lex_state = 100},
  [4878] = {.lex_state = 0},
  [4879] = {.lex_state = 0},
  [4880] = {.lex_state = 0},
  [4881] = {.lex_state = 0},
  [4882] = {.lex_state = 100},
  [4883] = {.lex_state = 0},
  [4884] = {.lex_state = 0},
  [4885] = {.lex_state = 100},
  [4886] = {.lex_state = 0},
  [4887] = {.lex_state = 100},
  [4888] = {.lex_state = 0},
  [4889] = {.lex_state = 100},
  [4890] = {.lex_state = 0},
  [4891] = {.lex_state = 100},
  [4892] = {.lex_state = 16},
  [4893] = {.lex_state = 100},
  [4894] = {.lex_state = 100},
  [4895] = {.lex_state = 0},
  [4896] = {.lex_state = 0},
  [4897] = {.lex_state = 0},
  [4898] = {.lex_state = 0},
  [4899] = {.lex_state = 0},
  [4900] = {.lex_state = 100},
  [4901] = {.lex_state = 0},
  [4902] = {.lex_state = 0},
  [4903] = {.lex_state = 0},
  [4904] = {.lex_state = 0},
  [4905] = {.lex_state = 0},
  [4906] = {.lex_state = 0},
  [4907] = {.lex_state = 0},
  [4908] = {.lex_state = 100},
  [4909] = {.lex_state = 0},
  [4910] = {.lex_state = 100},
  [4911] = {.lex_state = 0},
  [4912] = {.lex_state = 0},
  [4913] = {.lex_state = 0},
  [4914] = {.lex_state = 100},
  [4915] = {.lex_state = 0},
  [4916] = {.lex_state = 0},
  [4917] = {.lex_state = 0},
  [4918] = {.lex_state = 0},
  [4919] = {.lex_state = 0},
  [4920] = {.lex_state = 0},
  [4921] = {.lex_state = 0},
  [4922] = {.lex_state = 0},
  [4923] = {.lex_state = 0},
  [4924] = {.lex_state = 100},
  [4925] = {.lex_state = 0},
  [4926] = {.lex_state = 0},
  [4927] = {.lex_state = 100},
  [4928] = {.lex_state = 100},
  [4929] = {.lex_state = 0},
  [4930] = {.lex_state = 0},
  [4931] = {.lex_state = 100},
  [4932] = {.lex_state = 100},
  [4933] = {.lex_state = 0},
  [4934] = {.lex_state = 100},
  [4935] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_PIPE_PIPE = 3,
  ts_external_token__function_signature_automatic_semicolon = 4,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[7][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_instance] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1),
    [anon_sym_prop] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(4923),
    [sym_import_statement] = STATE(2782),
    [sym_decorator] = STATE(1478),
    [sym_js_import_statement] = STATE(2782),
    [sym_component_declaration] = STATE(2782),
    [sym_component_short_heritage] = STATE(3751),
    [sym_component_instance] = STATE(361),
    [sym_component_instance_statement] = STATE(2782),
    [aux_sym_program_repeat1] = STATE(2782),
    [aux_sym_class_repeat1] = STATE(3361),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_hash_bang_line] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(11),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_component] = ACTIONS(15),
    [anon_sym_instance] = ACTIONS(17),
  },
  [2] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(96),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(104),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [3] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(96),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(104),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [4] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(3986),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(3986),
    [sym_pair] = STATE(3986),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(21),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [aux_sym_object_repeat1] = STATE(4038),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_export] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(217),
    [anon_sym_readonly] = ACTIONS(219),
    [anon_sym_get] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(221),
    [anon_sym_declare] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_public] = ACTIONS(227),
    [anon_sym_private] = ACTIONS(227),
    [anon_sym_protected] = ACTIONS(227),
    [anon_sym_override] = ACTIONS(229),
    [anon_sym_module] = ACTIONS(231),
    [anon_sym_any] = ACTIONS(233),
    [anon_sym_number] = ACTIONS(233),
    [anon_sym_boolean] = ACTIONS(233),
    [anon_sym_string] = ACTIONS(233),
    [anon_sym_symbol] = ACTIONS(233),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [5] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(3997),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(3997),
    [sym_pair] = STATE(3997),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(22),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(22),
    [aux_sym_object_repeat1] = STATE(4000),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_export] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(253),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_get] = ACTIONS(257),
    [anon_sym_set] = ACTIONS(257),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_namespace] = ACTIONS(261),
    [anon_sym_public] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(263),
    [anon_sym_protected] = ACTIONS(263),
    [anon_sym_override] = ACTIONS(265),
    [anon_sym_module] = ACTIONS(267),
    [anon_sym_any] = ACTIONS(269),
    [anon_sym_number] = ACTIONS(269),
    [anon_sym_boolean] = ACTIONS(269),
    [anon_sym_string] = ACTIONS(269),
    [anon_sym_symbol] = ACTIONS(269),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [6] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(4126),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(4126),
    [sym_pair] = STATE(4126),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(17),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(4130),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(271),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_type] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(279),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_readonly] = ACTIONS(283),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [anon_sym_declare] = ACTIONS(287),
    [anon_sym_namespace] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_override] = ACTIONS(293),
    [anon_sym_module] = ACTIONS(295),
    [anon_sym_any] = ACTIONS(297),
    [anon_sym_number] = ACTIONS(297),
    [anon_sym_boolean] = ACTIONS(297),
    [anon_sym_string] = ACTIONS(297),
    [anon_sym_symbol] = ACTIONS(297),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [7] = {
    [sym_export_statement] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(4126),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(4126),
    [sym_pair] = STATE(4126),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(25),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(25),
    [aux_sym_object_repeat1] = STATE(4130),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(271),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_type] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(279),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_readonly] = ACTIONS(283),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [anon_sym_declare] = ACTIONS(287),
    [anon_sym_namespace] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_override] = ACTIONS(293),
    [anon_sym_module] = ACTIONS(295),
    [anon_sym_any] = ACTIONS(297),
    [anon_sym_number] = ACTIONS(297),
    [anon_sym_boolean] = ACTIONS(297),
    [anon_sym_string] = ACTIONS(297),
    [anon_sym_symbol] = ACTIONS(297),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [8] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(3986),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(3986),
    [sym_pair] = STATE(3986),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(21),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [aux_sym_object_repeat1] = STATE(4038),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(301),
    [anon_sym_export] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(305),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(309),
    [anon_sym_readonly] = ACTIONS(311),
    [anon_sym_get] = ACTIONS(313),
    [anon_sym_set] = ACTIONS(313),
    [anon_sym_declare] = ACTIONS(315),
    [anon_sym_namespace] = ACTIONS(317),
    [anon_sym_public] = ACTIONS(319),
    [anon_sym_private] = ACTIONS(319),
    [anon_sym_protected] = ACTIONS(319),
    [anon_sym_override] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_any] = ACTIONS(325),
    [anon_sym_number] = ACTIONS(325),
    [anon_sym_boolean] = ACTIONS(325),
    [anon_sym_string] = ACTIONS(325),
    [anon_sym_symbol] = ACTIONS(325),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [9] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(3997),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(3997),
    [sym_pair] = STATE(3997),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(17),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(4000),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_export] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_type] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(253),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_get] = ACTIONS(257),
    [anon_sym_set] = ACTIONS(257),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_namespace] = ACTIONS(261),
    [anon_sym_public] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(263),
    [anon_sym_protected] = ACTIONS(263),
    [anon_sym_override] = ACTIONS(265),
    [anon_sym_module] = ACTIONS(267),
    [anon_sym_any] = ACTIONS(269),
    [anon_sym_number] = ACTIONS(269),
    [anon_sym_boolean] = ACTIONS(269),
    [anon_sym_string] = ACTIONS(269),
    [anon_sym_symbol] = ACTIONS(269),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [10] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4669),
    [sym_object_assignment_pattern] = STATE(3981),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4669),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4669),
    [sym_spread_element] = STATE(3997),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2286),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_rest_pattern] = STATE(3981),
    [sym_method_definition] = STATE(3997),
    [sym_pair] = STATE(3997),
    [sym_pair_pattern] = STATE(3981),
    [sym__property_name] = STATE(3306),
    [sym_computed_property_name] = STATE(3306),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_accessibility_modifier] = STATE(2649),
    [sym_override_modifier] = STATE(2659),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(27),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(27),
    [aux_sym_object_repeat1] = STATE(4000),
    [aux_sym_object_pattern_repeat1] = STATE(3994),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_export] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(209),
    [sym_private_property_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(253),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_get] = ACTIONS(257),
    [anon_sym_set] = ACTIONS(257),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_namespace] = ACTIONS(261),
    [anon_sym_public] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(263),
    [anon_sym_protected] = ACTIONS(263),
    [anon_sym_override] = ACTIONS(265),
    [anon_sym_module] = ACTIONS(267),
    [anon_sym_any] = ACTIONS(269),
    [anon_sym_number] = ACTIONS(269),
    [anon_sym_boolean] = ACTIONS(269),
    [anon_sym_string] = ACTIONS(269),
    [anon_sym_symbol] = ACTIONS(269),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [11] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [12] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_type] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(372),
    [anon_sym_var] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(378),
    [anon_sym_const] = ACTIONS(381),
    [anon_sym_BANG] = ACTIONS(384),
    [anon_sym_if] = ACTIONS(387),
    [anon_sym_switch] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_LPAREN] = ACTIONS(396),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_while] = ACTIONS(402),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_try] = ACTIONS(408),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(417),
    [anon_sym_debugger] = ACTIONS(420),
    [anon_sym_return] = ACTIONS(423),
    [anon_sym_throw] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(432),
    [anon_sym_default] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(437),
    [anon_sym_LTtemplate_GT] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(443),
    [anon_sym_SLASH] = ACTIONS(446),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_new] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(384),
    [anon_sym_void] = ACTIONS(369),
    [anon_sym_delete] = ACTIONS(369),
    [anon_sym_PLUS_PLUS] = ACTIONS(464),
    [anon_sym_DASH_DASH] = ACTIONS(464),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(473),
    [sym_number] = ACTIONS(476),
    [sym_this] = ACTIONS(479),
    [sym_super] = ACTIONS(479),
    [sym_true] = ACTIONS(479),
    [sym_false] = ACTIONS(479),
    [sym_null] = ACTIONS(479),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(485),
    [anon_sym_static] = ACTIONS(488),
    [anon_sym_readonly] = ACTIONS(488),
    [anon_sym_get] = ACTIONS(488),
    [anon_sym_set] = ACTIONS(488),
    [anon_sym_declare] = ACTIONS(491),
    [anon_sym_namespace] = ACTIONS(494),
    [anon_sym_public] = ACTIONS(488),
    [anon_sym_private] = ACTIONS(488),
    [anon_sym_protected] = ACTIONS(488),
    [anon_sym_override] = ACTIONS(488),
    [anon_sym_module] = ACTIONS(497),
    [anon_sym_any] = ACTIONS(488),
    [anon_sym_number] = ACTIONS(488),
    [anon_sym_boolean] = ACTIONS(488),
    [anon_sym_string] = ACTIONS(488),
    [anon_sym_symbol] = ACTIONS(488),
    [anon_sym_abstract] = ACTIONS(500),
    [anon_sym_interface] = ACTIONS(503),
    [anon_sym_enum] = ACTIONS(506),
    [anon_sym_component] = ACTIONS(509),
  },
  [13] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(514),
    [anon_sym_default] = ACTIONS(514),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [14] = {
    [sym_export_statement] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_for_in_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_with_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_debugger_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_empty_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(13),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(518),
    [anon_sym_default] = ACTIONS(518),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [15] = {
    [sym_export_statement] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(11),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(11),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(522),
    [anon_sym_default] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [16] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(17),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [17] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [18] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [19] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [20] = {
    [sym_export_statement] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(19),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(19),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [21] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [22] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [23] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(22),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(22),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [24] = {
    [sym_export_statement] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_for_in_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_with_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_debugger_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_empty_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(34),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(34),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [25] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [26] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(21),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [27] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [28] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(27),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(27),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [29] = {
    [sym_export_statement] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_for_in_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_debugger_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_empty_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(31),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(31),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [30] = {
    [sym_export_statement] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(25),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(25),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [31] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [32] = {
    [sym_export_statement] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_for_in_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_with_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_debugger_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_empty_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(33),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(33),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [33] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [34] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(12),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(12),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(560),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [35] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(18),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_statement_block_repeat1] = STATE(18),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [36] = {
    [sym_export_statement] = STATE(701),
    [sym_declaration] = STATE(701),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(701),
    [sym_expression_statement] = STATE(701),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(701),
    [sym_if_statement] = STATE(701),
    [sym_switch_statement] = STATE(701),
    [sym_for_statement] = STATE(701),
    [sym_for_in_statement] = STATE(701),
    [sym_while_statement] = STATE(701),
    [sym_do_statement] = STATE(701),
    [sym_try_statement] = STATE(701),
    [sym_with_statement] = STATE(701),
    [sym_break_statement] = STATE(701),
    [sym_continue_statement] = STATE(701),
    [sym_debugger_statement] = STATE(701),
    [sym_return_statement] = STATE(701),
    [sym_throw_statement] = STATE(701),
    [sym_empty_statement] = STATE(701),
    [sym_labeled_statement] = STATE(701),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(701),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [37] = {
    [sym_export_statement] = STATE(837),
    [sym_declaration] = STATE(837),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(837),
    [sym_expression_statement] = STATE(837),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(837),
    [sym_if_statement] = STATE(837),
    [sym_switch_statement] = STATE(837),
    [sym_for_statement] = STATE(837),
    [sym_for_in_statement] = STATE(837),
    [sym_while_statement] = STATE(837),
    [sym_do_statement] = STATE(837),
    [sym_try_statement] = STATE(837),
    [sym_with_statement] = STATE(837),
    [sym_break_statement] = STATE(837),
    [sym_continue_statement] = STATE(837),
    [sym_debugger_statement] = STATE(837),
    [sym_return_statement] = STATE(837),
    [sym_throw_statement] = STATE(837),
    [sym_empty_statement] = STATE(837),
    [sym_labeled_statement] = STATE(837),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(837),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [38] = {
    [sym_export_statement] = STATE(722),
    [sym_declaration] = STATE(722),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(722),
    [sym_expression_statement] = STATE(722),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(722),
    [sym_if_statement] = STATE(722),
    [sym_switch_statement] = STATE(722),
    [sym_for_statement] = STATE(722),
    [sym_for_in_statement] = STATE(722),
    [sym_while_statement] = STATE(722),
    [sym_do_statement] = STATE(722),
    [sym_try_statement] = STATE(722),
    [sym_with_statement] = STATE(722),
    [sym_break_statement] = STATE(722),
    [sym_continue_statement] = STATE(722),
    [sym_debugger_statement] = STATE(722),
    [sym_return_statement] = STATE(722),
    [sym_throw_statement] = STATE(722),
    [sym_empty_statement] = STATE(722),
    [sym_labeled_statement] = STATE(722),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(722),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [39] = {
    [sym_export_statement] = STATE(737),
    [sym_declaration] = STATE(737),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(737),
    [sym_expression_statement] = STATE(737),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(737),
    [sym_if_statement] = STATE(737),
    [sym_switch_statement] = STATE(737),
    [sym_for_statement] = STATE(737),
    [sym_for_in_statement] = STATE(737),
    [sym_while_statement] = STATE(737),
    [sym_do_statement] = STATE(737),
    [sym_try_statement] = STATE(737),
    [sym_with_statement] = STATE(737),
    [sym_break_statement] = STATE(737),
    [sym_continue_statement] = STATE(737),
    [sym_debugger_statement] = STATE(737),
    [sym_return_statement] = STATE(737),
    [sym_throw_statement] = STATE(737),
    [sym_empty_statement] = STATE(737),
    [sym_labeled_statement] = STATE(737),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(737),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [40] = {
    [sym_export_statement] = STATE(754),
    [sym_declaration] = STATE(755),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(756),
    [sym_expression_statement] = STATE(757),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(758),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(760),
    [sym_for_statement] = STATE(761),
    [sym_for_in_statement] = STATE(763),
    [sym_while_statement] = STATE(764),
    [sym_do_statement] = STATE(765),
    [sym_try_statement] = STATE(766),
    [sym_with_statement] = STATE(768),
    [sym_break_statement] = STATE(769),
    [sym_continue_statement] = STATE(780),
    [sym_debugger_statement] = STATE(783),
    [sym_return_statement] = STATE(787),
    [sym_throw_statement] = STATE(790),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(795),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(799),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [41] = {
    [sym_export_statement] = STATE(840),
    [sym_declaration] = STATE(840),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(840),
    [sym_expression_statement] = STATE(840),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(840),
    [sym_if_statement] = STATE(840),
    [sym_switch_statement] = STATE(840),
    [sym_for_statement] = STATE(840),
    [sym_for_in_statement] = STATE(840),
    [sym_while_statement] = STATE(840),
    [sym_do_statement] = STATE(840),
    [sym_try_statement] = STATE(840),
    [sym_with_statement] = STATE(840),
    [sym_break_statement] = STATE(840),
    [sym_continue_statement] = STATE(840),
    [sym_debugger_statement] = STATE(840),
    [sym_return_statement] = STATE(840),
    [sym_throw_statement] = STATE(840),
    [sym_empty_statement] = STATE(840),
    [sym_labeled_statement] = STATE(840),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(840),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [42] = {
    [sym_export_statement] = STATE(722),
    [sym_declaration] = STATE(722),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(722),
    [sym_expression_statement] = STATE(722),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(722),
    [sym_if_statement] = STATE(722),
    [sym_switch_statement] = STATE(722),
    [sym_for_statement] = STATE(722),
    [sym_for_in_statement] = STATE(722),
    [sym_while_statement] = STATE(722),
    [sym_do_statement] = STATE(722),
    [sym_try_statement] = STATE(722),
    [sym_with_statement] = STATE(722),
    [sym_break_statement] = STATE(722),
    [sym_continue_statement] = STATE(722),
    [sym_debugger_statement] = STATE(722),
    [sym_return_statement] = STATE(722),
    [sym_throw_statement] = STATE(722),
    [sym_empty_statement] = STATE(722),
    [sym_labeled_statement] = STATE(722),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(722),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [43] = {
    [sym_export_statement] = STATE(4741),
    [sym_declaration] = STATE(4741),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(4741),
    [sym_expression_statement] = STATE(4741),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(4741),
    [sym_if_statement] = STATE(4741),
    [sym_switch_statement] = STATE(4741),
    [sym_for_statement] = STATE(4741),
    [sym_for_in_statement] = STATE(4741),
    [sym_while_statement] = STATE(4741),
    [sym_do_statement] = STATE(4741),
    [sym_try_statement] = STATE(4741),
    [sym_with_statement] = STATE(4741),
    [sym_break_statement] = STATE(4741),
    [sym_continue_statement] = STATE(4741),
    [sym_debugger_statement] = STATE(4741),
    [sym_return_statement] = STATE(4741),
    [sym_throw_statement] = STATE(4741),
    [sym_empty_statement] = STATE(4741),
    [sym_labeled_statement] = STATE(4741),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(4741),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [44] = {
    [sym_export_statement] = STATE(837),
    [sym_declaration] = STATE(837),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(837),
    [sym_expression_statement] = STATE(837),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(837),
    [sym_if_statement] = STATE(837),
    [sym_switch_statement] = STATE(837),
    [sym_for_statement] = STATE(837),
    [sym_for_in_statement] = STATE(837),
    [sym_while_statement] = STATE(837),
    [sym_do_statement] = STATE(837),
    [sym_try_statement] = STATE(837),
    [sym_with_statement] = STATE(837),
    [sym_break_statement] = STATE(837),
    [sym_continue_statement] = STATE(837),
    [sym_debugger_statement] = STATE(837),
    [sym_return_statement] = STATE(837),
    [sym_throw_statement] = STATE(837),
    [sym_empty_statement] = STATE(837),
    [sym_labeled_statement] = STATE(837),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(837),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [45] = {
    [sym_export_statement] = STATE(4011),
    [sym_declaration] = STATE(4011),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(4011),
    [sym_expression_statement] = STATE(4011),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(4011),
    [sym_if_statement] = STATE(4011),
    [sym_switch_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_for_in_statement] = STATE(4011),
    [sym_while_statement] = STATE(4011),
    [sym_do_statement] = STATE(4011),
    [sym_try_statement] = STATE(4011),
    [sym_with_statement] = STATE(4011),
    [sym_break_statement] = STATE(4011),
    [sym_continue_statement] = STATE(4011),
    [sym_debugger_statement] = STATE(4011),
    [sym_return_statement] = STATE(4011),
    [sym_throw_statement] = STATE(4011),
    [sym_empty_statement] = STATE(4011),
    [sym_labeled_statement] = STATE(4011),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(4011),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [46] = {
    [sym_export_statement] = STATE(874),
    [sym_declaration] = STATE(874),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(874),
    [sym_expression_statement] = STATE(874),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_switch_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_for_in_statement] = STATE(874),
    [sym_while_statement] = STATE(874),
    [sym_do_statement] = STATE(874),
    [sym_try_statement] = STATE(874),
    [sym_with_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_debugger_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_throw_statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(874),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [47] = {
    [sym_export_statement] = STATE(737),
    [sym_declaration] = STATE(737),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(737),
    [sym_expression_statement] = STATE(737),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(737),
    [sym_if_statement] = STATE(737),
    [sym_switch_statement] = STATE(737),
    [sym_for_statement] = STATE(737),
    [sym_for_in_statement] = STATE(737),
    [sym_while_statement] = STATE(737),
    [sym_do_statement] = STATE(737),
    [sym_try_statement] = STATE(737),
    [sym_with_statement] = STATE(737),
    [sym_break_statement] = STATE(737),
    [sym_continue_statement] = STATE(737),
    [sym_debugger_statement] = STATE(737),
    [sym_return_statement] = STATE(737),
    [sym_throw_statement] = STATE(737),
    [sym_empty_statement] = STATE(737),
    [sym_labeled_statement] = STATE(737),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(737),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [48] = {
    [sym_export_statement] = STATE(717),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(715),
    [sym_expression_statement] = STATE(713),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(711),
    [sym_if_statement] = STATE(710),
    [sym_switch_statement] = STATE(709),
    [sym_for_statement] = STATE(771),
    [sym_for_in_statement] = STATE(772),
    [sym_while_statement] = STATE(784),
    [sym_do_statement] = STATE(792),
    [sym_try_statement] = STATE(800),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(818),
    [sym_continue_statement] = STATE(828),
    [sym_debugger_statement] = STATE(829),
    [sym_return_statement] = STATE(831),
    [sym_throw_statement] = STATE(853),
    [sym_empty_statement] = STATE(770),
    [sym_labeled_statement] = STATE(857),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(869),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [49] = {
    [sym_export_statement] = STATE(822),
    [sym_declaration] = STATE(822),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(822),
    [sym_expression_statement] = STATE(822),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(822),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(822),
    [sym_for_statement] = STATE(822),
    [sym_for_in_statement] = STATE(822),
    [sym_while_statement] = STATE(822),
    [sym_do_statement] = STATE(822),
    [sym_try_statement] = STATE(822),
    [sym_with_statement] = STATE(822),
    [sym_break_statement] = STATE(822),
    [sym_continue_statement] = STATE(822),
    [sym_debugger_statement] = STATE(822),
    [sym_return_statement] = STATE(822),
    [sym_throw_statement] = STATE(822),
    [sym_empty_statement] = STATE(822),
    [sym_labeled_statement] = STATE(822),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(822),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [50] = {
    [sym_export_statement] = STATE(754),
    [sym_declaration] = STATE(755),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(756),
    [sym_expression_statement] = STATE(757),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(758),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(760),
    [sym_for_statement] = STATE(761),
    [sym_for_in_statement] = STATE(763),
    [sym_while_statement] = STATE(764),
    [sym_do_statement] = STATE(765),
    [sym_try_statement] = STATE(766),
    [sym_with_statement] = STATE(768),
    [sym_break_statement] = STATE(769),
    [sym_continue_statement] = STATE(780),
    [sym_debugger_statement] = STATE(783),
    [sym_return_statement] = STATE(787),
    [sym_throw_statement] = STATE(790),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(795),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(799),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [51] = {
    [sym_export_statement] = STATE(874),
    [sym_declaration] = STATE(874),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(874),
    [sym_expression_statement] = STATE(874),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_switch_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_for_in_statement] = STATE(874),
    [sym_while_statement] = STATE(874),
    [sym_do_statement] = STATE(874),
    [sym_try_statement] = STATE(874),
    [sym_with_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_debugger_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_throw_statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(874),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [52] = {
    [sym_export_statement] = STATE(717),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(715),
    [sym_expression_statement] = STATE(713),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(711),
    [sym_if_statement] = STATE(710),
    [sym_switch_statement] = STATE(709),
    [sym_for_statement] = STATE(771),
    [sym_for_in_statement] = STATE(772),
    [sym_while_statement] = STATE(784),
    [sym_do_statement] = STATE(792),
    [sym_try_statement] = STATE(800),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(818),
    [sym_continue_statement] = STATE(828),
    [sym_debugger_statement] = STATE(829),
    [sym_return_statement] = STATE(831),
    [sym_throw_statement] = STATE(853),
    [sym_empty_statement] = STATE(770),
    [sym_labeled_statement] = STATE(857),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(869),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [53] = {
    [sym_export_statement] = STATE(822),
    [sym_declaration] = STATE(822),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(822),
    [sym_expression_statement] = STATE(822),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(822),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(822),
    [sym_for_statement] = STATE(822),
    [sym_for_in_statement] = STATE(822),
    [sym_while_statement] = STATE(822),
    [sym_do_statement] = STATE(822),
    [sym_try_statement] = STATE(822),
    [sym_with_statement] = STATE(822),
    [sym_break_statement] = STATE(822),
    [sym_continue_statement] = STATE(822),
    [sym_debugger_statement] = STATE(822),
    [sym_return_statement] = STATE(822),
    [sym_throw_statement] = STATE(822),
    [sym_empty_statement] = STATE(822),
    [sym_labeled_statement] = STATE(822),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(822),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3918),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3219),
    [sym_identifier] = ACTIONS(331),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(169),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_readonly] = ACTIONS(347),
    [anon_sym_get] = ACTIONS(347),
    [anon_sym_set] = ACTIONS(347),
    [anon_sym_declare] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(351),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_any] = ACTIONS(347),
    [anon_sym_number] = ACTIONS(347),
    [anon_sym_boolean] = ACTIONS(347),
    [anon_sym_string] = ACTIONS(347),
    [anon_sym_symbol] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(241),
  },
  [54] = {
    [sym_export_statement] = STATE(840),
    [sym_declaration] = STATE(840),
    [sym_import] = STATE(2283),
    [sym_import_statement] = STATE(840),
    [sym_expression_statement] = STATE(840),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_statement_block] = STATE(840),
    [sym_if_statement] = STATE(840),
    [sym_switch_statement] = STATE(840),
    [sym_for_statement] = STATE(840),
    [sym_for_in_statement] = STATE(840),
    [sym_while_statement] = STATE(840),
    [sym_do_statement] = STATE(840),
    [sym_try_statement] = STATE(840),
    [sym_with_statement] = STATE(840),
    [sym_break_statement] = STATE(840),
    [sym_continue_statement] = STATE(840),
    [sym_debugger_statement] = STATE(840),
    [sym_return_statement] = STATE(840),
    [sym_throw_statement] = STATE(840),
    [sym_empty_statement] = STATE(840),
    [sym_labeled_statement] = STATE(840),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_class_declaration] = STATE(812),
    [sym_function] = STATE(2283),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function] = STATE(2283),
    [sym_generator_function_declaration] = STATE(812),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_function_signature] = STATE(812),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_js_import_statement] = STATE(840),
    [sym_component] = STATE(2283),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3921),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(167),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(173),
    [anon_sym_continue] = ACTIONS(175),
    [anon_sym_debugger] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(179),
    [anon_sym_throw] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_readonly] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [anon_sym_declare] = ACTIONS(592),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_public] = ACTIONS(590),
    [anon_sym_private] = ACTIONS(590),
    [anon_sym_protected] = ACTIONS(590),
    [anon_sym_override] = ACTIONS(590),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(590),
    [anon_sym_number] = ACTIONS(590),
    [anon_sym_boolean] = ACTIONS(590),
    [anon_sym_string] = ACTIONS(590),
    [anon_sym_symbol] = ACTIONS(590),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(598),
    [anon_sym_enum] = ACTIONS(239),
    [anon_sym_component] = ACTIONS(600),
  },
  [55] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3682),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [56] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3684),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(630),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [57] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3556),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [58] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3544),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [59] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3586),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(636),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [60] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3675),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(638),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [61] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [62] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(36),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(54),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(36),
    [anon_sym_DASH] = ACTIONS(36),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [63] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(662),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [64] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4084),
    [sym_optional_tuple_parameter] = STATE(4084),
    [sym_optional_type] = STATE(4084),
    [sym_rest_type] = STATE(4084),
    [sym__tuple_type_member] = STATE(4084),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(696),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [65] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [66] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(700),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [67] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(702),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [68] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(704),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [69] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3696),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(642),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(706),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(686),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(688),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [70] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2009),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4664),
    [sym_string] = STATE(2233),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3855),
    [sym_constructor_type] = STATE(3855),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3855),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3855),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3855),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(708),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(720),
    [sym_number] = ACTIONS(722),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_null] = ACTIONS(726),
    [sym_undefined] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(732),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(734),
    [anon_sym_private] = ACTIONS(734),
    [anon_sym_protected] = ACTIONS(734),
    [anon_sym_override] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(738),
    [anon_sym_number] = ACTIONS(738),
    [anon_sym_boolean] = ACTIONS(738),
    [anon_sym_string] = ACTIONS(738),
    [anon_sym_symbol] = ACTIONS(738),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [71] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2009),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4664),
    [sym_string] = STATE(2233),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3836),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3836),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3836),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3836),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(708),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(720),
    [sym_number] = ACTIONS(722),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_null] = ACTIONS(726),
    [sym_undefined] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(732),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(734),
    [anon_sym_private] = ACTIONS(734),
    [anon_sym_protected] = ACTIONS(734),
    [anon_sym_override] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(738),
    [anon_sym_number] = ACTIONS(738),
    [anon_sym_boolean] = ACTIONS(738),
    [anon_sym_string] = ACTIONS(738),
    [anon_sym_symbol] = ACTIONS(738),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [72] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3836),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3836),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3836),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3836),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [73] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3855),
    [sym_constructor_type] = STATE(3855),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3855),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3855),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3855),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [74] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3892),
    [sym_constructor_type] = STATE(3892),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3892),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3892),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3892),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [75] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3915),
    [sym_constructor_type] = STATE(3915),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3915),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3915),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3915),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [76] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3895),
    [sym_constructor_type] = STATE(3895),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3895),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3895),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3895),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [77] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym__type] = STATE(3879),
    [sym_constructor_type] = STATE(3879),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3879),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3879),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3879),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(32),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(48),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(742),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(102),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(108),
    [anon_sym_number] = ACTIONS(108),
    [anon_sym_boolean] = ACTIONS(108),
    [anon_sym_string] = ACTIONS(108),
    [anon_sym_symbol] = ACTIONS(108),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [78] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(725),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_QMARK] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_abstract] = ACTIONS(756),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_infer] = ACTIONS(756),
    [anon_sym_keyof] = ACTIONS(756),
    [anon_sym_unknown] = ACTIONS(756),
    [anon_sym_never] = ACTIONS(756),
    [anon_sym_object] = ACTIONS(756),
    [anon_sym_LBRACE_PIPE] = ACTIONS(760),
    [anon_sym_component] = ACTIONS(802),
    [anon_sym_constructor] = ACTIONS(756),
    [anon_sym_prop] = ACTIONS(756),
    [anon_sym_id] = ACTIONS(756),
    [anon_sym_event] = ACTIONS(756),
    [anon_sym_fn] = ACTIONS(756),
    [anon_sym_on] = ACTIONS(756),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [79] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1100),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_STAR] = ACTIONS(808),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_QMARK] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_abstract] = ACTIONS(756),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_infer] = ACTIONS(756),
    [anon_sym_keyof] = ACTIONS(756),
    [anon_sym_unknown] = ACTIONS(756),
    [anon_sym_never] = ACTIONS(756),
    [anon_sym_object] = ACTIONS(756),
    [anon_sym_LBRACE_PIPE] = ACTIONS(760),
    [anon_sym_component] = ACTIONS(802),
    [anon_sym_prop] = ACTIONS(756),
    [anon_sym_id] = ACTIONS(756),
    [anon_sym_event] = ACTIONS(756),
    [anon_sym_fn] = ACTIONS(756),
    [anon_sym_on] = ACTIONS(756),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [80] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4525),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3178),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2084),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3582),
    [sym_pattern] = STATE(4052),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3113),
    [sym_constructor_type] = STATE(3113),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3113),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4408),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3113),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3113),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(834),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(846),
    [anon_sym_DASH] = ACTIONS(846),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(850),
    [sym_number] = ACTIONS(852),
    [sym_this] = ACTIONS(854),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_null] = ACTIONS(856),
    [sym_undefined] = ACTIONS(858),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(860),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(864),
    [anon_sym_number] = ACTIONS(864),
    [anon_sym_boolean] = ACTIONS(864),
    [anon_sym_string] = ACTIONS(864),
    [anon_sym_symbol] = ACTIONS(864),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
    [anon_sym_component] = ACTIONS(120),
  },
  [81] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2326),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4771),
    [sym_string] = STATE(2233),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(3728),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3766),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(876),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(880),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(720),
    [sym_number] = ACTIONS(722),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_null] = ACTIONS(726),
    [sym_undefined] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(892),
    [anon_sym_number] = ACTIONS(892),
    [anon_sym_boolean] = ACTIONS(892),
    [anon_sym_string] = ACTIONS(892),
    [anon_sym_symbol] = ACTIONS(892),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [82] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3308),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3308),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1527),
    [sym_subscript_expression] = STATE(1527),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3308),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2424),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_non_null_expression] = STATE(1527),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3737),
    [sym_constructor_type] = STATE(3737),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3737),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(501),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3737),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3737),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(894),
    [anon_sym_export] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_typeof] = ACTIONS(900),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(908),
    [sym_number] = ACTIONS(910),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_null] = ACTIONS(914),
    [sym_undefined] = ACTIONS(916),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_readonly] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(896),
    [anon_sym_set] = ACTIONS(896),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_public] = ACTIONS(896),
    [anon_sym_private] = ACTIONS(896),
    [anon_sym_protected] = ACTIONS(896),
    [anon_sym_override] = ACTIONS(896),
    [anon_sym_module] = ACTIONS(896),
    [anon_sym_any] = ACTIONS(920),
    [anon_sym_number] = ACTIONS(920),
    [anon_sym_boolean] = ACTIONS(920),
    [anon_sym_string] = ACTIONS(920),
    [anon_sym_symbol] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [83] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2212),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2346),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3536),
    [sym_constructor_type] = STATE(3536),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3536),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(329),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3536),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3536),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(926),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(946),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(952),
    [sym_number] = ACTIONS(954),
    [sym_this] = ACTIONS(956),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(962),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(964),
    [anon_sym_number] = ACTIONS(964),
    [anon_sym_boolean] = ACTIONS(964),
    [anon_sym_string] = ACTIONS(964),
    [anon_sym_symbol] = ACTIONS(964),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [84] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2002),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3726),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3726),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3129),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1508),
    [sym_subscript_expression] = STATE(1508),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3726),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2169),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3632),
    [sym_non_null_expression] = STATE(1508),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3737),
    [sym_constructor_type] = STATE(3737),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3737),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_type_arguments] = STATE(373),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4497),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3737),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3737),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(970),
    [anon_sym_type] = ACTIONS(968),
    [anon_sym_typeof] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(678),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(92),
    [sym_number] = ACTIONS(94),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(968),
    [anon_sym_readonly] = ACTIONS(976),
    [anon_sym_get] = ACTIONS(968),
    [anon_sym_set] = ACTIONS(968),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_declare] = ACTIONS(968),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_public] = ACTIONS(968),
    [anon_sym_private] = ACTIONS(968),
    [anon_sym_protected] = ACTIONS(968),
    [anon_sym_override] = ACTIONS(968),
    [anon_sym_module] = ACTIONS(968),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_component] = ACTIONS(120),
  },
  [85] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1909),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(760),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(760),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_COLON] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_RBRACK] = ACTIONS(760),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [86] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1920),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_STAR] = ACTIONS(998),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(760),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(1010),
    [sym__automatic_semicolon] = ACTIONS(760),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [87] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1932),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_of] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(1010),
    [sym__automatic_semicolon] = ACTIONS(760),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [88] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2238),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_implements] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [89] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2420),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_of] = ACTIONS(756),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [90] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_as] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(83),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_QMARK_DOT] = ACTIONS(760),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_GT_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(760),
    [anon_sym_LT_EQ] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(760),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(760),
    [anon_sym_QMARK_QMARK] = ACTIONS(760),
    [anon_sym_instanceof] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_satisfies] = ACTIONS(756),
    [anon_sym_component] = ACTIONS(120),
    [sym__ternary_qmark] = ACTIONS(760),
  },
  [91] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2033),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4652),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1084),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(1088),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(734),
    [anon_sym_private] = ACTIONS(734),
    [anon_sym_protected] = ACTIONS(734),
    [anon_sym_override] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [92] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1999),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4896),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1084),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(1088),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(734),
    [anon_sym_private] = ACTIONS(734),
    [anon_sym_protected] = ACTIONS(734),
    [anon_sym_override] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [93] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2009),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4664),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1084),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(1088),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(734),
    [anon_sym_private] = ACTIONS(734),
    [anon_sym_protected] = ACTIONS(734),
    [anon_sym_override] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [94] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1090),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [95] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [96] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4005),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4005),
    [sym_optional_parameter] = STATE(4005),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1100),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [97] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1102),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [98] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1104),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [99] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4133),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4133),
    [sym_optional_parameter] = STATE(4133),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1106),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [100] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1108),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [101] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1110),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [102] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(3998),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(3998),
    [sym_optional_parameter] = STATE(3998),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [103] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym__formal_parameter] = STATE(4483),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3578),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(143),
    [sym_override_modifier] = STATE(150),
    [sym_required_parameter] = STATE(4483),
    [sym_optional_parameter] = STATE(4483),
    [sym__parameter_name] = STATE(3235),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [104] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1114),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [105] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [106] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [107] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [108] = {
    [sym_import] = STATE(2283),
    [sym_expression_statement] = STATE(149),
    [sym_variable_declaration] = STATE(149),
    [sym_lexical_declaration] = STATE(149),
    [sym_empty_statement] = STATE(149),
    [sym_parenthesized_expression] = STATE(1502),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4054),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4054),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1502),
    [sym_subscript_expression] = STATE(1502),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4054),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1502),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1157),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_let] = ACTIONS(1165),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1169),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [anon_sym_declare] = ACTIONS(1159),
    [anon_sym_namespace] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_override] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_any] = ACTIONS(1159),
    [anon_sym_number] = ACTIONS(1159),
    [anon_sym_boolean] = ACTIONS(1159),
    [anon_sym_string] = ACTIONS(1159),
    [anon_sym_symbol] = ACTIONS(1159),
    [anon_sym_component] = ACTIONS(1010),
  },
  [109] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2160),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4019),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4022),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1173),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [110] = {
    [sym_import] = STATE(2283),
    [sym_expression_statement] = STATE(144),
    [sym_variable_declaration] = STATE(144),
    [sym_lexical_declaration] = STATE(144),
    [sym_empty_statement] = STATE(144),
    [sym_parenthesized_expression] = STATE(1502),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4054),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4054),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1502),
    [sym_subscript_expression] = STATE(1502),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4054),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1502),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1157),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_let] = ACTIONS(1165),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1169),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [anon_sym_declare] = ACTIONS(1159),
    [anon_sym_namespace] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_override] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_any] = ACTIONS(1159),
    [anon_sym_number] = ACTIONS(1159),
    [anon_sym_boolean] = ACTIONS(1159),
    [anon_sym_string] = ACTIONS(1159),
    [anon_sym_symbol] = ACTIONS(1159),
    [anon_sym_component] = ACTIONS(1010),
  },
  [111] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2166),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4019),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4022),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1175),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [112] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1177),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [113] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1179),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [114] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2195),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4139),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4141),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1181),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [115] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2160),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4019),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4022),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1175),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [116] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4007),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1183),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [117] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3080),
    [sym_constructor_type] = STATE(3080),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3080),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3080),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3080),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(29),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1199),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [118] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [119] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_implements] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [120] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1522),
    [sym_subscript_expression] = STATE(1522),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1522),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_mapped_type_clause] = STATE(4895),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1231),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_component] = ACTIONS(120),
  },
  [121] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [122] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4262),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4145),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4146),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [123] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4262),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4145),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4146),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1239),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [124] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1522),
    [sym_subscript_expression] = STATE(1522),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1522),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1231),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1250),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_namespace] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_component] = ACTIONS(120),
  },
  [125] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4262),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_spread_element] = STATE(4145),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4146),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1252),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [126] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_assignment_pattern] = STATE(4002),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1520),
    [sym_subscript_expression] = STATE(1520),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3806),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1520),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_pattern_repeat1] = STATE(4008),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_type] = ACTIONS(1258),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1231),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1264),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_readonly] = ACTIONS(1258),
    [anon_sym_get] = ACTIONS(1258),
    [anon_sym_set] = ACTIONS(1258),
    [anon_sym_declare] = ACTIONS(1258),
    [anon_sym_namespace] = ACTIONS(1258),
    [anon_sym_public] = ACTIONS(1258),
    [anon_sym_private] = ACTIONS(1258),
    [anon_sym_protected] = ACTIONS(1258),
    [anon_sym_override] = ACTIONS(1258),
    [anon_sym_module] = ACTIONS(1258),
    [anon_sym_any] = ACTIONS(1258),
    [anon_sym_number] = ACTIONS(1258),
    [anon_sym_boolean] = ACTIONS(1258),
    [anon_sym_string] = ACTIONS(1258),
    [anon_sym_symbol] = ACTIONS(1258),
    [anon_sym_component] = ACTIONS(120),
  },
  [127] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_assignment_pattern] = STATE(4136),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1520),
    [sym_subscript_expression] = STATE(1520),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3873),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1520),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_pattern_repeat1] = STATE(4143),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_type] = ACTIONS(1258),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1268),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1264),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_readonly] = ACTIONS(1258),
    [anon_sym_get] = ACTIONS(1258),
    [anon_sym_set] = ACTIONS(1258),
    [anon_sym_declare] = ACTIONS(1258),
    [anon_sym_namespace] = ACTIONS(1258),
    [anon_sym_public] = ACTIONS(1258),
    [anon_sym_private] = ACTIONS(1258),
    [anon_sym_protected] = ACTIONS(1258),
    [anon_sym_override] = ACTIONS(1258),
    [anon_sym_module] = ACTIONS(1258),
    [anon_sym_any] = ACTIONS(1258),
    [anon_sym_number] = ACTIONS(1258),
    [anon_sym_boolean] = ACTIONS(1258),
    [anon_sym_string] = ACTIONS(1258),
    [anon_sym_symbol] = ACTIONS(1258),
    [anon_sym_component] = ACTIONS(120),
  },
  [128] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_extends] = ACTIONS(1272),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1270),
    [anon_sym_component] = ACTIONS(120),
    [sym__automatic_semicolon] = ACTIONS(1270),
  },
  [129] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(106),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [130] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1270),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_RBRACK] = ACTIONS(1270),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_QMARK] = ACTIONS(1270),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_extends] = ACTIONS(1272),
    [anon_sym_component] = ACTIONS(120),
  },
  [131] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_assignment_pattern] = STATE(4262),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1520),
    [sym_subscript_expression] = STATE(1520),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4146),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1520),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_type] = ACTIONS(1258),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1276),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1264),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_readonly] = ACTIONS(1258),
    [anon_sym_get] = ACTIONS(1258),
    [anon_sym_set] = ACTIONS(1258),
    [anon_sym_declare] = ACTIONS(1258),
    [anon_sym_namespace] = ACTIONS(1258),
    [anon_sym_public] = ACTIONS(1258),
    [anon_sym_private] = ACTIONS(1258),
    [anon_sym_protected] = ACTIONS(1258),
    [anon_sym_override] = ACTIONS(1258),
    [anon_sym_module] = ACTIONS(1258),
    [anon_sym_any] = ACTIONS(1258),
    [anon_sym_number] = ACTIONS(1258),
    [anon_sym_boolean] = ACTIONS(1258),
    [anon_sym_string] = ACTIONS(1258),
    [anon_sym_symbol] = ACTIONS(1258),
    [anon_sym_component] = ACTIONS(120),
  },
  [132] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2298),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4127),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4128),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1280),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [133] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2154),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4073),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4075),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1284),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [134] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4145),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1286),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [135] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2264),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4100),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4099),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1288),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [136] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2142),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4166),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4165),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [137] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4169),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4170),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1292),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [138] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2124),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4020),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4021),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [139] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2197),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4049),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4078),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1296),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [140] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1270),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_RBRACK] = ACTIONS(1270),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_extends] = ACTIONS(1272),
    [anon_sym_component] = ACTIONS(120),
  },
  [141] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2289),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_spread_element] = STATE(4123),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_array_repeat1] = STATE(4122),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1298),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [142] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3662),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_accessibility_modifier] = STATE(148),
    [sym_override_modifier] = STATE(152),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3875),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(1454),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(1300),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1302),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1304),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(746),
    [anon_sym_private] = ACTIONS(746),
    [anon_sym_protected] = ACTIONS(746),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(1306),
  },
  [143] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_override_modifier] = STATE(160),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [144] = {
    [sym_import] = STATE(2283),
    [sym_expression_statement] = STATE(182),
    [sym_empty_statement] = STATE(182),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [145] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_assignment_pattern] = STATE(4525),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4052),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [146] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3229),
    [sym_assignment_pattern] = STATE(4525),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3229),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3229),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(4052),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_readonly] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_declare] = ACTIONS(644),
    [anon_sym_namespace] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_override] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(644),
    [anon_sym_number] = ACTIONS(644),
    [anon_sym_boolean] = ACTIONS(644),
    [anon_sym_string] = ACTIONS(644),
    [anon_sym_symbol] = ACTIONS(644),
    [anon_sym_component] = ACTIONS(120),
  },
  [147] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_GT] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_extends] = ACTIONS(1272),
    [anon_sym_component] = ACTIONS(120),
  },
  [148] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3567),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_override_modifier] = STATE(162),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1310),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [149] = {
    [sym_import] = STATE(2283),
    [sym_expression_statement] = STATE(165),
    [sym_empty_statement] = STATE(165),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4398),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [150] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3685),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [151] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2174),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4437),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
    [sym__automatic_semicolon] = ACTIONS(1314),
  },
  [152] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3568),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1316),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1318),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [153] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2716),
    [sym__type_query_subscript_expression] = STATE(2714),
    [sym__type_query_call_expression] = STATE(2762),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1320),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [154] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2716),
    [sym__type_query_subscript_expression] = STATE(2714),
    [sym__type_query_call_expression] = STATE(2762),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [155] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2716),
    [sym__type_query_subscript_expression] = STATE(2714),
    [sym__type_query_call_expression] = STATE(2762),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [156] = {
    [sym__call_signature] = STATE(4872),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(1326),
    [anon_sym_export] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1329),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1342),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_readonly] = ACTIONS(1337),
    [anon_sym_get] = ACTIONS(1337),
    [anon_sym_set] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_declare] = ACTIONS(1329),
    [anon_sym_namespace] = ACTIONS(1329),
    [anon_sym_public] = ACTIONS(1329),
    [anon_sym_private] = ACTIONS(1329),
    [anon_sym_protected] = ACTIONS(1329),
    [anon_sym_override] = ACTIONS(1329),
    [anon_sym_module] = ACTIONS(1329),
    [anon_sym_any] = ACTIONS(1337),
    [anon_sym_number] = ACTIONS(1337),
    [anon_sym_boolean] = ACTIONS(1337),
    [anon_sym_string] = ACTIONS(1337),
    [anon_sym_symbol] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_constructor] = ACTIONS(25),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [157] = {
    [sym_import] = STATE(2381),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2810),
    [sym__type_query_subscript_expression] = STATE(2776),
    [sym__type_query_call_expression] = STATE(2923),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1344),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [158] = {
    [sym__call_signature] = STATE(4872),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(1326),
    [anon_sym_export] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1329),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1342),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_readonly] = ACTIONS(1337),
    [anon_sym_get] = ACTIONS(1337),
    [anon_sym_set] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_declare] = ACTIONS(1329),
    [anon_sym_namespace] = ACTIONS(1329),
    [anon_sym_public] = ACTIONS(1329),
    [anon_sym_private] = ACTIONS(1329),
    [anon_sym_protected] = ACTIONS(1329),
    [anon_sym_override] = ACTIONS(1329),
    [anon_sym_module] = ACTIONS(1329),
    [anon_sym_any] = ACTIONS(1337),
    [anon_sym_number] = ACTIONS(1337),
    [anon_sym_boolean] = ACTIONS(1337),
    [anon_sym_string] = ACTIONS(1337),
    [anon_sym_symbol] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_constructor] = ACTIONS(25),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [159] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2716),
    [sym__type_query_subscript_expression] = STATE(2714),
    [sym__type_query_call_expression] = STATE(2762),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1348),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [160] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3544),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [161] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym__type_query_member_expression] = STATE(2716),
    [sym__type_query_subscript_expression] = STATE(2714),
    [sym__type_query_call_expression] = STATE(2762),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [162] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3260),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3260),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1474),
    [sym_subscript_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3260),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_pattern] = STATE(3681),
    [sym_rest_pattern] = STATE(3234),
    [sym_non_null_expression] = STATE(1474),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(1354),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1356),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(120),
  },
  [163] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1530),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3933),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3933),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1530),
    [sym_subscript_expression] = STATE(1530),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3933),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1530),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_export] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1360),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_var] = ACTIONS(1364),
    [anon_sym_let] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1370),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_readonly] = ACTIONS(1360),
    [anon_sym_get] = ACTIONS(1360),
    [anon_sym_set] = ACTIONS(1360),
    [anon_sym_declare] = ACTIONS(1360),
    [anon_sym_namespace] = ACTIONS(1360),
    [anon_sym_public] = ACTIONS(1360),
    [anon_sym_private] = ACTIONS(1360),
    [anon_sym_protected] = ACTIONS(1360),
    [anon_sym_override] = ACTIONS(1360),
    [anon_sym_module] = ACTIONS(1360),
    [anon_sym_any] = ACTIONS(1360),
    [anon_sym_number] = ACTIONS(1360),
    [anon_sym_boolean] = ACTIONS(1360),
    [anon_sym_string] = ACTIONS(1360),
    [anon_sym_symbol] = ACTIONS(1360),
    [anon_sym_component] = ACTIONS(120),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_export] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_var] = ACTIONS(1374),
    [anon_sym_let] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_with] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_debugger] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LTtemplate_GT] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1376),
    [anon_sym_class] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_function] = ACTIONS(1374),
    [anon_sym_QMARK_DOT] = ACTIONS(1380),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1376),
    [anon_sym_GT_GT_GT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_STAR_STAR] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_QMARK_QMARK] = ACTIONS(1380),
    [anon_sym_instanceof] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_super] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_declare] = ACTIONS(1374),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_public] = ACTIONS(1374),
    [anon_sym_private] = ACTIONS(1374),
    [anon_sym_protected] = ACTIONS(1374),
    [anon_sym_override] = ACTIONS(1374),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_satisfies] = ACTIONS(1376),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_component] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(1384),
    [sym__ternary_qmark] = ACTIONS(1380),
  },
  [165] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2357),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4722),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1386),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_export] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1388),
    [anon_sym_typeof] = ACTIONS(1388),
    [anon_sym_import] = ACTIONS(1388),
    [anon_sym_var] = ACTIONS(1388),
    [anon_sym_let] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_await] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_try] = ACTIONS(1388),
    [anon_sym_with] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_debugger] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_throw] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_yield] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_LTtemplate_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1390),
    [anon_sym_class] = ACTIONS(1388),
    [anon_sym_async] = ACTIONS(1388),
    [anon_sym_function] = ACTIONS(1388),
    [anon_sym_QMARK_DOT] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_GT_GT_GT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_STAR_STAR] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_QMARK_QMARK] = ACTIONS(1394),
    [anon_sym_instanceof] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_void] = ACTIONS(1388),
    [anon_sym_delete] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1392),
    [sym_this] = ACTIONS(1388),
    [sym_super] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [sym_null] = ACTIONS(1388),
    [sym_undefined] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_get] = ACTIONS(1388),
    [anon_sym_set] = ACTIONS(1388),
    [anon_sym_declare] = ACTIONS(1388),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_public] = ACTIONS(1388),
    [anon_sym_private] = ACTIONS(1388),
    [anon_sym_protected] = ACTIONS(1388),
    [anon_sym_override] = ACTIONS(1388),
    [anon_sym_module] = ACTIONS(1388),
    [anon_sym_any] = ACTIONS(1388),
    [anon_sym_number] = ACTIONS(1388),
    [anon_sym_boolean] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_symbol] = ACTIONS(1388),
    [anon_sym_abstract] = ACTIONS(1388),
    [anon_sym_satisfies] = ACTIONS(1390),
    [anon_sym_interface] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_component] = ACTIONS(1388),
    [sym__automatic_semicolon] = ACTIONS(1396),
    [sym__ternary_qmark] = ACTIONS(1394),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1398),
    [anon_sym_export] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_type] = ACTIONS(1398),
    [anon_sym_typeof] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1398),
    [anon_sym_var] = ACTIONS(1398),
    [anon_sym_let] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_try] = ACTIONS(1398),
    [anon_sym_with] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_debugger] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_throw] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_LTtemplate_GT] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1398),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1398),
    [anon_sym_QMARK_DOT] = ACTIONS(1404),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1400),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1400),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_QMARK_QMARK] = ACTIONS(1404),
    [anon_sym_instanceof] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_void] = ACTIONS(1398),
    [anon_sym_delete] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [sym_number] = ACTIONS(1402),
    [sym_this] = ACTIONS(1398),
    [sym_super] = ACTIONS(1398),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [sym_null] = ACTIONS(1398),
    [sym_undefined] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(1398),
    [anon_sym_set] = ACTIONS(1398),
    [anon_sym_declare] = ACTIONS(1398),
    [anon_sym_namespace] = ACTIONS(1398),
    [anon_sym_public] = ACTIONS(1398),
    [anon_sym_private] = ACTIONS(1398),
    [anon_sym_protected] = ACTIONS(1398),
    [anon_sym_override] = ACTIONS(1398),
    [anon_sym_module] = ACTIONS(1398),
    [anon_sym_any] = ACTIONS(1398),
    [anon_sym_number] = ACTIONS(1398),
    [anon_sym_boolean] = ACTIONS(1398),
    [anon_sym_string] = ACTIONS(1398),
    [anon_sym_symbol] = ACTIONS(1398),
    [anon_sym_abstract] = ACTIONS(1398),
    [anon_sym_satisfies] = ACTIONS(1400),
    [anon_sym_interface] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_component] = ACTIONS(1398),
    [sym__automatic_semicolon] = ACTIONS(1406),
    [sym__ternary_qmark] = ACTIONS(1404),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_typeof] = ACTIONS(1408),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1408),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_else] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_await] = ACTIONS(1408),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1408),
    [anon_sym_with] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_debugger] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_yield] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_LTtemplate_GT] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1410),
    [anon_sym_class] = ACTIONS(1408),
    [anon_sym_async] = ACTIONS(1408),
    [anon_sym_function] = ACTIONS(1408),
    [anon_sym_QMARK_DOT] = ACTIONS(1414),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_GT_GT_GT] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_STAR_STAR] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_QMARK_QMARK] = ACTIONS(1414),
    [anon_sym_instanceof] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_void] = ACTIONS(1408),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [sym_number] = ACTIONS(1412),
    [sym_this] = ACTIONS(1408),
    [sym_super] = ACTIONS(1408),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_undefined] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_abstract] = ACTIONS(1408),
    [anon_sym_satisfies] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_component] = ACTIONS(1408),
    [sym__automatic_semicolon] = ACTIONS(1416),
    [sym__ternary_qmark] = ACTIONS(1414),
  },
  [169] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1574),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1574),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_typeof] = ACTIONS(1420),
    [anon_sym_import] = ACTIONS(1420),
    [anon_sym_var] = ACTIONS(1420),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1420),
    [anon_sym_in] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(1420),
    [anon_sym_with] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_debugger] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LTtemplate_GT] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_class] = ACTIONS(1420),
    [anon_sym_async] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1420),
    [anon_sym_QMARK_DOT] = ACTIONS(1426),
    [anon_sym_new] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_STAR_STAR] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_QMARK_QMARK] = ACTIONS(1426),
    [anon_sym_instanceof] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1420),
    [anon_sym_delete] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1420),
    [sym_super] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [sym_null] = ACTIONS(1420),
    [sym_undefined] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(1420),
    [anon_sym_satisfies] = ACTIONS(1422),
    [anon_sym_interface] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_component] = ACTIONS(1420),
    [sym__automatic_semicolon] = ACTIONS(1428),
    [sym__ternary_qmark] = ACTIONS(1426),
  },
  [171] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1579),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1579),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1430),
    [anon_sym_typeof] = ACTIONS(1430),
    [anon_sym_import] = ACTIONS(1430),
    [anon_sym_var] = ACTIONS(1430),
    [anon_sym_let] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_with] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_debugger] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_throw] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LTtemplate_GT] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1430),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_class] = ACTIONS(1430),
    [anon_sym_async] = ACTIONS(1430),
    [anon_sym_function] = ACTIONS(1430),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1430),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_void] = ACTIONS(1430),
    [anon_sym_delete] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_number] = ACTIONS(1434),
    [sym_this] = ACTIONS(1430),
    [sym_super] = ACTIONS(1430),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [sym_null] = ACTIONS(1430),
    [sym_undefined] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_readonly] = ACTIONS(1430),
    [anon_sym_get] = ACTIONS(1430),
    [anon_sym_set] = ACTIONS(1430),
    [anon_sym_declare] = ACTIONS(1430),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_public] = ACTIONS(1430),
    [anon_sym_private] = ACTIONS(1430),
    [anon_sym_protected] = ACTIONS(1430),
    [anon_sym_override] = ACTIONS(1430),
    [anon_sym_module] = ACTIONS(1430),
    [anon_sym_any] = ACTIONS(1430),
    [anon_sym_number] = ACTIONS(1430),
    [anon_sym_boolean] = ACTIONS(1430),
    [anon_sym_string] = ACTIONS(1430),
    [anon_sym_symbol] = ACTIONS(1430),
    [anon_sym_abstract] = ACTIONS(1430),
    [anon_sym_satisfies] = ACTIONS(1432),
    [anon_sym_interface] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_component] = ACTIONS(1430),
    [sym__automatic_semicolon] = ACTIONS(1438),
    [sym__ternary_qmark] = ACTIONS(1436),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_import] = ACTIONS(1440),
    [anon_sym_var] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_else] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [anon_sym_await] = ACTIONS(1440),
    [anon_sym_in] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_try] = ACTIONS(1440),
    [anon_sym_with] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_debugger] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LTtemplate_GT] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_DOT] = ACTIONS(1442),
    [anon_sym_class] = ACTIONS(1440),
    [anon_sym_async] = ACTIONS(1440),
    [anon_sym_function] = ACTIONS(1440),
    [anon_sym_QMARK_DOT] = ACTIONS(1446),
    [anon_sym_new] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1446),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1446),
    [anon_sym_STAR_STAR] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_QMARK_QMARK] = ACTIONS(1446),
    [anon_sym_instanceof] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_void] = ACTIONS(1440),
    [anon_sym_delete] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [sym_number] = ACTIONS(1444),
    [sym_this] = ACTIONS(1440),
    [sym_super] = ACTIONS(1440),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [sym_null] = ACTIONS(1440),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_abstract] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(1442),
    [anon_sym_interface] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [sym__automatic_semicolon] = ACTIONS(1448),
    [sym__ternary_qmark] = ACTIONS(1446),
  },
  [174] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1555),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1555),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_export] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1450),
    [anon_sym_typeof] = ACTIONS(1450),
    [anon_sym_import] = ACTIONS(1450),
    [anon_sym_var] = ACTIONS(1450),
    [anon_sym_let] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_else] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_await] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_try] = ACTIONS(1450),
    [anon_sym_with] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_debugger] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_throw] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_LTtemplate_GT] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_class] = ACTIONS(1450),
    [anon_sym_async] = ACTIONS(1450),
    [anon_sym_function] = ACTIONS(1450),
    [anon_sym_QMARK_DOT] = ACTIONS(1456),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_GT_GT_GT] = ACTIONS(1456),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1456),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_QMARK_QMARK] = ACTIONS(1456),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_void] = ACTIONS(1450),
    [anon_sym_delete] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [sym_number] = ACTIONS(1454),
    [sym_this] = ACTIONS(1450),
    [sym_super] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [sym_undefined] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_readonly] = ACTIONS(1450),
    [anon_sym_get] = ACTIONS(1450),
    [anon_sym_set] = ACTIONS(1450),
    [anon_sym_declare] = ACTIONS(1450),
    [anon_sym_namespace] = ACTIONS(1450),
    [anon_sym_public] = ACTIONS(1450),
    [anon_sym_private] = ACTIONS(1450),
    [anon_sym_protected] = ACTIONS(1450),
    [anon_sym_override] = ACTIONS(1450),
    [anon_sym_module] = ACTIONS(1450),
    [anon_sym_any] = ACTIONS(1450),
    [anon_sym_number] = ACTIONS(1450),
    [anon_sym_boolean] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_symbol] = ACTIONS(1450),
    [anon_sym_abstract] = ACTIONS(1450),
    [anon_sym_satisfies] = ACTIONS(1452),
    [anon_sym_interface] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_component] = ACTIONS(1450),
    [sym__automatic_semicolon] = ACTIONS(1458),
    [sym__ternary_qmark] = ACTIONS(1456),
  },
  [176] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1580),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1580),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_as] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_QMARK_DOT] = ACTIONS(1462),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1460),
    [anon_sym_GT_GT_GT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_QMARK_QMARK] = ACTIONS(1462),
    [anon_sym_instanceof] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_satisfies] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(1462),
    [sym__ternary_qmark] = ACTIONS(1462),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_typeof] = ACTIONS(1464),
    [anon_sym_import] = ACTIONS(1464),
    [anon_sym_var] = ACTIONS(1464),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_else] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_await] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_try] = ACTIONS(1464),
    [anon_sym_with] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_debugger] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_throw] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_yield] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_LTtemplate_GT] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_class] = ACTIONS(1464),
    [anon_sym_async] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_QMARK_DOT] = ACTIONS(1470),
    [anon_sym_new] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_QMARK_QMARK] = ACTIONS(1470),
    [anon_sym_instanceof] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_void] = ACTIONS(1464),
    [anon_sym_delete] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_number] = ACTIONS(1468),
    [sym_this] = ACTIONS(1464),
    [sym_super] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_abstract] = ACTIONS(1464),
    [anon_sym_satisfies] = ACTIONS(1466),
    [anon_sym_interface] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_component] = ACTIONS(1464),
    [sym__automatic_semicolon] = ACTIONS(1472),
    [sym__ternary_qmark] = ACTIONS(1470),
  },
  [179] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1573),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1573),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_export] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_typeof] = ACTIONS(1474),
    [anon_sym_import] = ACTIONS(1474),
    [anon_sym_var] = ACTIONS(1474),
    [anon_sym_let] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_else] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_await] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_try] = ACTIONS(1474),
    [anon_sym_with] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_debugger] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_throw] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_yield] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_LTtemplate_GT] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1474),
    [anon_sym_class] = ACTIONS(1474),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_QMARK_DOT] = ACTIONS(1476),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_QMARK_QMARK] = ACTIONS(1476),
    [anon_sym_instanceof] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_void] = ACTIONS(1474),
    [anon_sym_delete] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_number] = ACTIONS(1476),
    [sym_this] = ACTIONS(1474),
    [sym_super] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_undefined] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_readonly] = ACTIONS(1474),
    [anon_sym_get] = ACTIONS(1474),
    [anon_sym_set] = ACTIONS(1474),
    [anon_sym_declare] = ACTIONS(1474),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_public] = ACTIONS(1474),
    [anon_sym_private] = ACTIONS(1474),
    [anon_sym_protected] = ACTIONS(1474),
    [anon_sym_override] = ACTIONS(1474),
    [anon_sym_module] = ACTIONS(1474),
    [anon_sym_any] = ACTIONS(1474),
    [anon_sym_number] = ACTIONS(1474),
    [anon_sym_boolean] = ACTIONS(1474),
    [anon_sym_string] = ACTIONS(1474),
    [anon_sym_symbol] = ACTIONS(1474),
    [anon_sym_abstract] = ACTIONS(1474),
    [anon_sym_satisfies] = ACTIONS(1474),
    [anon_sym_interface] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_component] = ACTIONS(1474),
    [sym__automatic_semicolon] = ACTIONS(1476),
    [sym__ternary_qmark] = ACTIONS(1476),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(1478),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_var] = ACTIONS(1478),
    [anon_sym_let] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_else] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_await] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1478),
    [anon_sym_with] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_debugger] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_throw] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_LTtemplate_GT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_class] = ACTIONS(1478),
    [anon_sym_async] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_QMARK_DOT] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_QMARK_QMARK] = ACTIONS(1484),
    [anon_sym_instanceof] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_void] = ACTIONS(1478),
    [anon_sym_delete] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [sym_number] = ACTIONS(1482),
    [sym_this] = ACTIONS(1478),
    [sym_super] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_readonly] = ACTIONS(1478),
    [anon_sym_get] = ACTIONS(1478),
    [anon_sym_set] = ACTIONS(1478),
    [anon_sym_declare] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1478),
    [anon_sym_public] = ACTIONS(1478),
    [anon_sym_private] = ACTIONS(1478),
    [anon_sym_protected] = ACTIONS(1478),
    [anon_sym_override] = ACTIONS(1478),
    [anon_sym_module] = ACTIONS(1478),
    [anon_sym_any] = ACTIONS(1478),
    [anon_sym_number] = ACTIONS(1478),
    [anon_sym_boolean] = ACTIONS(1478),
    [anon_sym_string] = ACTIONS(1478),
    [anon_sym_symbol] = ACTIONS(1478),
    [anon_sym_abstract] = ACTIONS(1478),
    [anon_sym_satisfies] = ACTIONS(1480),
    [anon_sym_interface] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_component] = ACTIONS(1478),
    [sym__automatic_semicolon] = ACTIONS(1486),
    [sym__ternary_qmark] = ACTIONS(1484),
  },
  [182] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4888),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_RPAREN] = ACTIONS(1488),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_export] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1490),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_var] = ACTIONS(1490),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_switch] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_await] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1490),
    [anon_sym_try] = ACTIONS(1490),
    [anon_sym_with] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_debugger] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1490),
    [anon_sym_default] = ACTIONS(1490),
    [anon_sym_yield] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_LTtemplate_GT] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_class] = ACTIONS(1490),
    [anon_sym_async] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1490),
    [anon_sym_QMARK_DOT] = ACTIONS(1496),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1496),
    [anon_sym_STAR_STAR] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_QMARK_QMARK] = ACTIONS(1496),
    [anon_sym_instanceof] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [sym_number] = ACTIONS(1494),
    [sym_this] = ACTIONS(1490),
    [sym_super] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [sym_undefined] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1490),
    [anon_sym_readonly] = ACTIONS(1490),
    [anon_sym_get] = ACTIONS(1490),
    [anon_sym_set] = ACTIONS(1490),
    [anon_sym_declare] = ACTIONS(1490),
    [anon_sym_namespace] = ACTIONS(1490),
    [anon_sym_public] = ACTIONS(1490),
    [anon_sym_private] = ACTIONS(1490),
    [anon_sym_protected] = ACTIONS(1490),
    [anon_sym_override] = ACTIONS(1490),
    [anon_sym_module] = ACTIONS(1490),
    [anon_sym_any] = ACTIONS(1490),
    [anon_sym_number] = ACTIONS(1490),
    [anon_sym_boolean] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_symbol] = ACTIONS(1490),
    [anon_sym_abstract] = ACTIONS(1490),
    [anon_sym_satisfies] = ACTIONS(1492),
    [anon_sym_interface] = ACTIONS(1490),
    [anon_sym_enum] = ACTIONS(1490),
    [anon_sym_component] = ACTIONS(1490),
    [sym__automatic_semicolon] = ACTIONS(1498),
    [sym__ternary_qmark] = ACTIONS(1496),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_export] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_type] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1500),
    [anon_sym_import] = ACTIONS(1500),
    [anon_sym_var] = ACTIONS(1500),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_else] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1500),
    [anon_sym_with] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_debugger] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_throw] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_yield] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LTtemplate_GT] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_class] = ACTIONS(1500),
    [anon_sym_async] = ACTIONS(1500),
    [anon_sym_function] = ACTIONS(1500),
    [anon_sym_QMARK_DOT] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1506),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1506),
    [anon_sym_LT_LT] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PERCENT] = ACTIONS(1506),
    [anon_sym_STAR_STAR] = ACTIONS(1506),
    [anon_sym_LT_EQ] = ACTIONS(1506),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1506),
    [anon_sym_GT_EQ] = ACTIONS(1506),
    [anon_sym_QMARK_QMARK] = ACTIONS(1506),
    [anon_sym_instanceof] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_void] = ACTIONS(1500),
    [anon_sym_delete] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_number] = ACTIONS(1504),
    [sym_this] = ACTIONS(1500),
    [sym_super] = ACTIONS(1500),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [sym_null] = ACTIONS(1500),
    [sym_undefined] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_get] = ACTIONS(1500),
    [anon_sym_set] = ACTIONS(1500),
    [anon_sym_declare] = ACTIONS(1500),
    [anon_sym_namespace] = ACTIONS(1500),
    [anon_sym_public] = ACTIONS(1500),
    [anon_sym_private] = ACTIONS(1500),
    [anon_sym_protected] = ACTIONS(1500),
    [anon_sym_override] = ACTIONS(1500),
    [anon_sym_module] = ACTIONS(1500),
    [anon_sym_any] = ACTIONS(1500),
    [anon_sym_number] = ACTIONS(1500),
    [anon_sym_boolean] = ACTIONS(1500),
    [anon_sym_string] = ACTIONS(1500),
    [anon_sym_symbol] = ACTIONS(1500),
    [anon_sym_abstract] = ACTIONS(1500),
    [anon_sym_satisfies] = ACTIONS(1502),
    [anon_sym_interface] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_component] = ACTIONS(1500),
    [sym__automatic_semicolon] = ACTIONS(1508),
    [sym__ternary_qmark] = ACTIONS(1506),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1510),
    [anon_sym_export] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_type] = ACTIONS(1510),
    [anon_sym_typeof] = ACTIONS(1510),
    [anon_sym_import] = ACTIONS(1510),
    [anon_sym_var] = ACTIONS(1510),
    [anon_sym_let] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1510),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_await] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1510),
    [anon_sym_try] = ACTIONS(1510),
    [anon_sym_with] = ACTIONS(1510),
    [anon_sym_break] = ACTIONS(1510),
    [anon_sym_continue] = ACTIONS(1510),
    [anon_sym_debugger] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1510),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1510),
    [anon_sym_default] = ACTIONS(1510),
    [anon_sym_yield] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_LTtemplate_GT] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_class] = ACTIONS(1510),
    [anon_sym_async] = ACTIONS(1510),
    [anon_sym_function] = ACTIONS(1510),
    [anon_sym_QMARK_DOT] = ACTIONS(1516),
    [anon_sym_new] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_STAR_STAR] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_QMARK_QMARK] = ACTIONS(1516),
    [anon_sym_instanceof] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_void] = ACTIONS(1510),
    [anon_sym_delete] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [sym_number] = ACTIONS(1514),
    [sym_this] = ACTIONS(1510),
    [sym_super] = ACTIONS(1510),
    [sym_true] = ACTIONS(1510),
    [sym_false] = ACTIONS(1510),
    [sym_null] = ACTIONS(1510),
    [sym_undefined] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1514),
    [anon_sym_static] = ACTIONS(1510),
    [anon_sym_readonly] = ACTIONS(1510),
    [anon_sym_get] = ACTIONS(1510),
    [anon_sym_set] = ACTIONS(1510),
    [anon_sym_declare] = ACTIONS(1510),
    [anon_sym_namespace] = ACTIONS(1510),
    [anon_sym_public] = ACTIONS(1510),
    [anon_sym_private] = ACTIONS(1510),
    [anon_sym_protected] = ACTIONS(1510),
    [anon_sym_override] = ACTIONS(1510),
    [anon_sym_module] = ACTIONS(1510),
    [anon_sym_any] = ACTIONS(1510),
    [anon_sym_number] = ACTIONS(1510),
    [anon_sym_boolean] = ACTIONS(1510),
    [anon_sym_string] = ACTIONS(1510),
    [anon_sym_symbol] = ACTIONS(1510),
    [anon_sym_abstract] = ACTIONS(1510),
    [anon_sym_satisfies] = ACTIONS(1512),
    [anon_sym_interface] = ACTIONS(1510),
    [anon_sym_enum] = ACTIONS(1510),
    [anon_sym_component] = ACTIONS(1510),
    [sym__automatic_semicolon] = ACTIONS(1518),
    [sym__ternary_qmark] = ACTIONS(1516),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_export] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_typeof] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_var] = ACTIONS(1520),
    [anon_sym_let] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_else] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_await] = ACTIONS(1520),
    [anon_sym_in] = ACTIONS(1522),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_try] = ACTIONS(1520),
    [anon_sym_with] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_debugger] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_throw] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_yield] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_LTtemplate_GT] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_class] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_void] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [sym_number] = ACTIONS(1524),
    [sym_this] = ACTIONS(1520),
    [sym_super] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [sym_null] = ACTIONS(1520),
    [sym_undefined] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_declare] = ACTIONS(1520),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_public] = ACTIONS(1520),
    [anon_sym_private] = ACTIONS(1520),
    [anon_sym_protected] = ACTIONS(1520),
    [anon_sym_override] = ACTIONS(1520),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_any] = ACTIONS(1520),
    [anon_sym_number] = ACTIONS(1520),
    [anon_sym_boolean] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_symbol] = ACTIONS(1520),
    [anon_sym_abstract] = ACTIONS(1520),
    [anon_sym_satisfies] = ACTIONS(1522),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_component] = ACTIONS(1520),
    [sym__automatic_semicolon] = ACTIONS(1528),
    [sym__ternary_qmark] = ACTIONS(1526),
  },
  [187] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1580),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1580),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_as] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1530),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_await] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1530),
    [anon_sym_with] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1530),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_debugger] = ACTIONS(1530),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_throw] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1530),
    [anon_sym_default] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LTtemplate_GT] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_GT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_class] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_function] = ACTIONS(1530),
    [anon_sym_QMARK_DOT] = ACTIONS(1532),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_GT_GT_GT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_STAR_STAR] = ACTIONS(1532),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ] = ACTIONS(1530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1532),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_QMARK_QMARK] = ACTIONS(1532),
    [anon_sym_instanceof] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [sym_number] = ACTIONS(1532),
    [sym_this] = ACTIONS(1530),
    [sym_super] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_satisfies] = ACTIONS(1530),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1530),
    [anon_sym_component] = ACTIONS(1530),
    [sym__automatic_semicolon] = ACTIONS(1532),
    [sym__ternary_qmark] = ACTIONS(1532),
  },
  [189] = {
    [sym__call_signature] = STATE(4645),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1537),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_declare] = ACTIONS(1537),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_public] = ACTIONS(1537),
    [anon_sym_private] = ACTIONS(1537),
    [anon_sym_protected] = ACTIONS(1537),
    [anon_sym_override] = ACTIONS(1537),
    [anon_sym_module] = ACTIONS(1537),
    [anon_sym_any] = ACTIONS(1541),
    [anon_sym_number] = ACTIONS(1541),
    [anon_sym_boolean] = ACTIONS(1541),
    [anon_sym_string] = ACTIONS(1541),
    [anon_sym_symbol] = ACTIONS(1541),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(1546),
    [anon_sym_var] = ACTIONS(1546),
    [anon_sym_let] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_await] = ACTIONS(1546),
    [anon_sym_in] = ACTIONS(1548),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_with] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_debugger] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_LTtemplate_GT] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_class] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_QMARK_DOT] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1552),
    [anon_sym_PIPE_PIPE] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_GT_GT_GT] = ACTIONS(1552),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_void] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [sym_number] = ACTIONS(1550),
    [sym_this] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [sym_null] = ACTIONS(1546),
    [sym_undefined] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_get] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_declare] = ACTIONS(1546),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_public] = ACTIONS(1546),
    [anon_sym_private] = ACTIONS(1546),
    [anon_sym_protected] = ACTIONS(1546),
    [anon_sym_override] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_any] = ACTIONS(1546),
    [anon_sym_number] = ACTIONS(1546),
    [anon_sym_boolean] = ACTIONS(1546),
    [anon_sym_string] = ACTIONS(1546),
    [anon_sym_symbol] = ACTIONS(1546),
    [anon_sym_abstract] = ACTIONS(1546),
    [anon_sym_satisfies] = ACTIONS(1548),
    [anon_sym_interface] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_component] = ACTIONS(1546),
    [sym__automatic_semicolon] = ACTIONS(1554),
    [sym__ternary_qmark] = ACTIONS(1552),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_export] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_var] = ACTIONS(1374),
    [anon_sym_let] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_with] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_debugger] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LTtemplate_GT] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_class] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_function] = ACTIONS(1374),
    [anon_sym_QMARK_DOT] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_STAR_STAR] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_QMARK_QMARK] = ACTIONS(1378),
    [anon_sym_instanceof] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_super] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_declare] = ACTIONS(1374),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_public] = ACTIONS(1374),
    [anon_sym_private] = ACTIONS(1374),
    [anon_sym_protected] = ACTIONS(1374),
    [anon_sym_override] = ACTIONS(1374),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_satisfies] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_component] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(1556),
    [sym__ternary_qmark] = ACTIONS(1378),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1558),
    [anon_sym_typeof] = ACTIONS(1558),
    [anon_sym_import] = ACTIONS(1558),
    [anon_sym_var] = ACTIONS(1558),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_else] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1560),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_do] = ACTIONS(1558),
    [anon_sym_try] = ACTIONS(1558),
    [anon_sym_with] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1558),
    [anon_sym_debugger] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LTtemplate_GT] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_class] = ACTIONS(1558),
    [anon_sym_async] = ACTIONS(1558),
    [anon_sym_function] = ACTIONS(1558),
    [anon_sym_QMARK_DOT] = ACTIONS(1564),
    [anon_sym_new] = ACTIONS(1558),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1560),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1558),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_STAR_STAR] = ACTIONS(1564),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1564),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_QMARK_QMARK] = ACTIONS(1564),
    [anon_sym_instanceof] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_void] = ACTIONS(1558),
    [anon_sym_delete] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1562),
    [sym_this] = ACTIONS(1558),
    [sym_super] = ACTIONS(1558),
    [sym_true] = ACTIONS(1558),
    [sym_false] = ACTIONS(1558),
    [sym_null] = ACTIONS(1558),
    [sym_undefined] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1562),
    [anon_sym_static] = ACTIONS(1558),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_get] = ACTIONS(1558),
    [anon_sym_set] = ACTIONS(1558),
    [anon_sym_declare] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1558),
    [anon_sym_public] = ACTIONS(1558),
    [anon_sym_private] = ACTIONS(1558),
    [anon_sym_protected] = ACTIONS(1558),
    [anon_sym_override] = ACTIONS(1558),
    [anon_sym_module] = ACTIONS(1558),
    [anon_sym_any] = ACTIONS(1558),
    [anon_sym_number] = ACTIONS(1558),
    [anon_sym_boolean] = ACTIONS(1558),
    [anon_sym_string] = ACTIONS(1558),
    [anon_sym_symbol] = ACTIONS(1558),
    [anon_sym_abstract] = ACTIONS(1558),
    [anon_sym_satisfies] = ACTIONS(1560),
    [anon_sym_interface] = ACTIONS(1558),
    [anon_sym_enum] = ACTIONS(1558),
    [anon_sym_component] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1566),
    [sym__ternary_qmark] = ACTIONS(1564),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1568),
    [anon_sym_export] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_type] = ACTIONS(1568),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(1568),
    [anon_sym_var] = ACTIONS(1568),
    [anon_sym_let] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_await] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_do] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_with] = ACTIONS(1568),
    [anon_sym_break] = ACTIONS(1568),
    [anon_sym_continue] = ACTIONS(1568),
    [anon_sym_debugger] = ACTIONS(1568),
    [anon_sym_return] = ACTIONS(1568),
    [anon_sym_throw] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_case] = ACTIONS(1568),
    [anon_sym_default] = ACTIONS(1568),
    [anon_sym_yield] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LTtemplate_GT] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_class] = ACTIONS(1568),
    [anon_sym_async] = ACTIONS(1568),
    [anon_sym_function] = ACTIONS(1568),
    [anon_sym_QMARK_DOT] = ACTIONS(1574),
    [anon_sym_new] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [anon_sym_STAR_STAR] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1574),
    [anon_sym_instanceof] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [sym_number] = ACTIONS(1572),
    [sym_this] = ACTIONS(1568),
    [sym_super] = ACTIONS(1568),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1572),
    [anon_sym_static] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1568),
    [anon_sym_get] = ACTIONS(1568),
    [anon_sym_set] = ACTIONS(1568),
    [anon_sym_declare] = ACTIONS(1568),
    [anon_sym_namespace] = ACTIONS(1568),
    [anon_sym_public] = ACTIONS(1568),
    [anon_sym_private] = ACTIONS(1568),
    [anon_sym_protected] = ACTIONS(1568),
    [anon_sym_override] = ACTIONS(1568),
    [anon_sym_module] = ACTIONS(1568),
    [anon_sym_any] = ACTIONS(1568),
    [anon_sym_number] = ACTIONS(1568),
    [anon_sym_boolean] = ACTIONS(1568),
    [anon_sym_string] = ACTIONS(1568),
    [anon_sym_symbol] = ACTIONS(1568),
    [anon_sym_abstract] = ACTIONS(1568),
    [anon_sym_satisfies] = ACTIONS(1570),
    [anon_sym_interface] = ACTIONS(1568),
    [anon_sym_enum] = ACTIONS(1568),
    [anon_sym_component] = ACTIONS(1568),
    [sym__automatic_semicolon] = ACTIONS(1576),
    [sym__ternary_qmark] = ACTIONS(1574),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1578),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(1578),
    [anon_sym_var] = ACTIONS(1578),
    [anon_sym_let] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1578),
    [anon_sym_try] = ACTIONS(1578),
    [anon_sym_with] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_continue] = ACTIONS(1578),
    [anon_sym_debugger] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1578),
    [anon_sym_default] = ACTIONS(1578),
    [anon_sym_yield] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LTtemplate_GT] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_class] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_QMARK_DOT] = ACTIONS(1584),
    [anon_sym_new] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1584),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_instanceof] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1578),
    [sym_super] = ACTIONS(1578),
    [sym_true] = ACTIONS(1578),
    [sym_false] = ACTIONS(1578),
    [sym_null] = ACTIONS(1578),
    [sym_undefined] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1578),
    [anon_sym_readonly] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_declare] = ACTIONS(1578),
    [anon_sym_namespace] = ACTIONS(1578),
    [anon_sym_public] = ACTIONS(1578),
    [anon_sym_private] = ACTIONS(1578),
    [anon_sym_protected] = ACTIONS(1578),
    [anon_sym_override] = ACTIONS(1578),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_any] = ACTIONS(1578),
    [anon_sym_number] = ACTIONS(1578),
    [anon_sym_boolean] = ACTIONS(1578),
    [anon_sym_string] = ACTIONS(1578),
    [anon_sym_symbol] = ACTIONS(1578),
    [anon_sym_abstract] = ACTIONS(1578),
    [anon_sym_satisfies] = ACTIONS(1580),
    [anon_sym_interface] = ACTIONS(1578),
    [anon_sym_enum] = ACTIONS(1578),
    [anon_sym_component] = ACTIONS(1578),
    [sym__automatic_semicolon] = ACTIONS(1586),
    [sym__ternary_qmark] = ACTIONS(1584),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_as] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_QMARK_DOT] = ACTIONS(1462),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1460),
    [anon_sym_GT_GT_GT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_QMARK_QMARK] = ACTIONS(1462),
    [anon_sym_instanceof] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_satisfies] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [sym__ternary_qmark] = ACTIONS(1462),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1590),
    [anon_sym_export] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_type] = ACTIONS(1590),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(1590),
    [anon_sym_var] = ACTIONS(1590),
    [anon_sym_let] = ACTIONS(1590),
    [anon_sym_const] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_else] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1590),
    [anon_sym_switch] = ACTIONS(1590),
    [anon_sym_for] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1590),
    [anon_sym_do] = ACTIONS(1590),
    [anon_sym_try] = ACTIONS(1590),
    [anon_sym_with] = ACTIONS(1590),
    [anon_sym_break] = ACTIONS(1590),
    [anon_sym_continue] = ACTIONS(1590),
    [anon_sym_debugger] = ACTIONS(1590),
    [anon_sym_return] = ACTIONS(1590),
    [anon_sym_throw] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1590),
    [anon_sym_default] = ACTIONS(1590),
    [anon_sym_yield] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LTtemplate_GT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(1590),
    [anon_sym_function] = ACTIONS(1590),
    [anon_sym_QMARK_DOT] = ACTIONS(1596),
    [anon_sym_new] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_STAR_STAR] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_QMARK_QMARK] = ACTIONS(1596),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1590),
    [sym_super] = ACTIONS(1590),
    [sym_true] = ACTIONS(1590),
    [sym_false] = ACTIONS(1590),
    [sym_null] = ACTIONS(1590),
    [sym_undefined] = ACTIONS(1590),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_get] = ACTIONS(1590),
    [anon_sym_set] = ACTIONS(1590),
    [anon_sym_declare] = ACTIONS(1590),
    [anon_sym_namespace] = ACTIONS(1590),
    [anon_sym_public] = ACTIONS(1590),
    [anon_sym_private] = ACTIONS(1590),
    [anon_sym_protected] = ACTIONS(1590),
    [anon_sym_override] = ACTIONS(1590),
    [anon_sym_module] = ACTIONS(1590),
    [anon_sym_any] = ACTIONS(1590),
    [anon_sym_number] = ACTIONS(1590),
    [anon_sym_boolean] = ACTIONS(1590),
    [anon_sym_string] = ACTIONS(1590),
    [anon_sym_symbol] = ACTIONS(1590),
    [anon_sym_abstract] = ACTIONS(1590),
    [anon_sym_satisfies] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1590),
    [anon_sym_enum] = ACTIONS(1590),
    [anon_sym_component] = ACTIONS(1590),
    [sym__automatic_semicolon] = ACTIONS(1598),
    [sym__ternary_qmark] = ACTIONS(1596),
  },
  [197] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1574),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1574),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [anon_sym_type] = ACTIONS(1600),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1600),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_LTtemplate_GT] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_QMARK_DOT] = ACTIONS(1606),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_STAR_STAR] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_QMARK_QMARK] = ACTIONS(1606),
    [anon_sym_instanceof] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [sym_number] = ACTIONS(1604),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_static] = ACTIONS(1600),
    [anon_sym_readonly] = ACTIONS(1600),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
    [anon_sym_declare] = ACTIONS(1600),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_public] = ACTIONS(1600),
    [anon_sym_private] = ACTIONS(1600),
    [anon_sym_protected] = ACTIONS(1600),
    [anon_sym_override] = ACTIONS(1600),
    [anon_sym_module] = ACTIONS(1600),
    [anon_sym_any] = ACTIONS(1600),
    [anon_sym_number] = ACTIONS(1600),
    [anon_sym_boolean] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_symbol] = ACTIONS(1600),
    [anon_sym_abstract] = ACTIONS(1600),
    [anon_sym_satisfies] = ACTIONS(1602),
    [anon_sym_interface] = ACTIONS(1600),
    [anon_sym_enum] = ACTIONS(1600),
    [anon_sym_component] = ACTIONS(1600),
    [sym__automatic_semicolon] = ACTIONS(1608),
    [sym__ternary_qmark] = ACTIONS(1606),
  },
  [199] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1573),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1573),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1610),
    [anon_sym_export] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1610),
    [anon_sym_import] = ACTIONS(1610),
    [anon_sym_var] = ACTIONS(1610),
    [anon_sym_let] = ACTIONS(1610),
    [anon_sym_const] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1610),
    [anon_sym_switch] = ACTIONS(1610),
    [anon_sym_for] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_await] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_while] = ACTIONS(1610),
    [anon_sym_do] = ACTIONS(1610),
    [anon_sym_try] = ACTIONS(1610),
    [anon_sym_with] = ACTIONS(1610),
    [anon_sym_break] = ACTIONS(1610),
    [anon_sym_continue] = ACTIONS(1610),
    [anon_sym_debugger] = ACTIONS(1610),
    [anon_sym_return] = ACTIONS(1610),
    [anon_sym_throw] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1614),
    [anon_sym_case] = ACTIONS(1610),
    [anon_sym_default] = ACTIONS(1610),
    [anon_sym_yield] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_LTtemplate_GT] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_class] = ACTIONS(1610),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1610),
    [anon_sym_QMARK_DOT] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_STAR] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_EQ_EQ] = ACTIONS(1612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_QMARK_QMARK] = ACTIONS(1616),
    [anon_sym_instanceof] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_void] = ACTIONS(1610),
    [anon_sym_delete] = ACTIONS(1610),
    [anon_sym_PLUS_PLUS] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1614),
    [sym_number] = ACTIONS(1614),
    [sym_this] = ACTIONS(1610),
    [sym_super] = ACTIONS(1610),
    [sym_true] = ACTIONS(1610),
    [sym_false] = ACTIONS(1610),
    [sym_null] = ACTIONS(1610),
    [sym_undefined] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1610),
    [anon_sym_readonly] = ACTIONS(1610),
    [anon_sym_get] = ACTIONS(1610),
    [anon_sym_set] = ACTIONS(1610),
    [anon_sym_declare] = ACTIONS(1610),
    [anon_sym_namespace] = ACTIONS(1610),
    [anon_sym_public] = ACTIONS(1610),
    [anon_sym_private] = ACTIONS(1610),
    [anon_sym_protected] = ACTIONS(1610),
    [anon_sym_override] = ACTIONS(1610),
    [anon_sym_module] = ACTIONS(1610),
    [anon_sym_any] = ACTIONS(1610),
    [anon_sym_number] = ACTIONS(1610),
    [anon_sym_boolean] = ACTIONS(1610),
    [anon_sym_string] = ACTIONS(1610),
    [anon_sym_symbol] = ACTIONS(1610),
    [anon_sym_abstract] = ACTIONS(1610),
    [anon_sym_satisfies] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1610),
    [anon_sym_enum] = ACTIONS(1610),
    [anon_sym_component] = ACTIONS(1610),
    [sym__automatic_semicolon] = ACTIONS(1618),
    [sym__ternary_qmark] = ACTIONS(1616),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1620),
    [anon_sym_export] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1626),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_type] = ACTIONS(1620),
    [anon_sym_typeof] = ACTIONS(1620),
    [anon_sym_import] = ACTIONS(1620),
    [anon_sym_var] = ACTIONS(1620),
    [anon_sym_let] = ACTIONS(1620),
    [anon_sym_const] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_else] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1620),
    [anon_sym_switch] = ACTIONS(1620),
    [anon_sym_for] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1624),
    [anon_sym_await] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1620),
    [anon_sym_do] = ACTIONS(1620),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_with] = ACTIONS(1620),
    [anon_sym_break] = ACTIONS(1620),
    [anon_sym_continue] = ACTIONS(1620),
    [anon_sym_debugger] = ACTIONS(1620),
    [anon_sym_return] = ACTIONS(1620),
    [anon_sym_throw] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1624),
    [anon_sym_case] = ACTIONS(1620),
    [anon_sym_default] = ACTIONS(1620),
    [anon_sym_yield] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_LTtemplate_GT] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_class] = ACTIONS(1620),
    [anon_sym_async] = ACTIONS(1620),
    [anon_sym_function] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(1626),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1626),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1626),
    [anon_sym_STAR_STAR] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_EQ_EQ] = ACTIONS(1622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_QMARK_QMARK] = ACTIONS(1626),
    [anon_sym_instanceof] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1620),
    [anon_sym_delete] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1624),
    [anon_sym_DASH_DASH] = ACTIONS(1624),
    [anon_sym_DQUOTE] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1624),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [sym_number] = ACTIONS(1624),
    [sym_this] = ACTIONS(1620),
    [sym_super] = ACTIONS(1620),
    [sym_true] = ACTIONS(1620),
    [sym_false] = ACTIONS(1620),
    [sym_null] = ACTIONS(1620),
    [sym_undefined] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1624),
    [anon_sym_static] = ACTIONS(1620),
    [anon_sym_readonly] = ACTIONS(1620),
    [anon_sym_get] = ACTIONS(1620),
    [anon_sym_set] = ACTIONS(1620),
    [anon_sym_declare] = ACTIONS(1620),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_public] = ACTIONS(1620),
    [anon_sym_private] = ACTIONS(1620),
    [anon_sym_protected] = ACTIONS(1620),
    [anon_sym_override] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1620),
    [anon_sym_any] = ACTIONS(1620),
    [anon_sym_number] = ACTIONS(1620),
    [anon_sym_boolean] = ACTIONS(1620),
    [anon_sym_string] = ACTIONS(1620),
    [anon_sym_symbol] = ACTIONS(1620),
    [anon_sym_abstract] = ACTIONS(1620),
    [anon_sym_satisfies] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1620),
    [anon_sym_enum] = ACTIONS(1620),
    [anon_sym_component] = ACTIONS(1620),
    [sym__automatic_semicolon] = ACTIONS(1628),
    [sym__ternary_qmark] = ACTIONS(1626),
  },
  [202] = {
    [sym__call_signature] = STATE(4645),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1537),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_declare] = ACTIONS(1537),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_public] = ACTIONS(1537),
    [anon_sym_private] = ACTIONS(1537),
    [anon_sym_protected] = ACTIONS(1537),
    [anon_sym_override] = ACTIONS(1537),
    [anon_sym_module] = ACTIONS(1537),
    [anon_sym_any] = ACTIONS(1541),
    [anon_sym_number] = ACTIONS(1541),
    [anon_sym_boolean] = ACTIONS(1541),
    [anon_sym_string] = ACTIONS(1541),
    [anon_sym_symbol] = ACTIONS(1541),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [203] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1570),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1570),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_as] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_typeof] = ACTIONS(1630),
    [anon_sym_import] = ACTIONS(1630),
    [anon_sym_var] = ACTIONS(1630),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_else] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_for] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(1630),
    [anon_sym_in] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1630),
    [anon_sym_try] = ACTIONS(1630),
    [anon_sym_with] = ACTIONS(1630),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1630),
    [anon_sym_debugger] = ACTIONS(1630),
    [anon_sym_return] = ACTIONS(1630),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_case] = ACTIONS(1630),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_yield] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LTtemplate_GT] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_class] = ACTIONS(1630),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_QMARK_DOT] = ACTIONS(1632),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_AMP_AMP] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_GT_GT_GT] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1632),
    [anon_sym_STAR_STAR] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_EQ_EQ] = ACTIONS(1630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_QMARK_QMARK] = ACTIONS(1632),
    [anon_sym_instanceof] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_void] = ACTIONS(1630),
    [anon_sym_delete] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [sym_number] = ACTIONS(1632),
    [sym_this] = ACTIONS(1630),
    [sym_super] = ACTIONS(1630),
    [sym_true] = ACTIONS(1630),
    [sym_false] = ACTIONS(1630),
    [sym_null] = ACTIONS(1630),
    [sym_undefined] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1632),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_declare] = ACTIONS(1630),
    [anon_sym_namespace] = ACTIONS(1630),
    [anon_sym_public] = ACTIONS(1630),
    [anon_sym_private] = ACTIONS(1630),
    [anon_sym_protected] = ACTIONS(1630),
    [anon_sym_override] = ACTIONS(1630),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_abstract] = ACTIONS(1630),
    [anon_sym_satisfies] = ACTIONS(1630),
    [anon_sym_interface] = ACTIONS(1630),
    [anon_sym_enum] = ACTIONS(1630),
    [anon_sym_component] = ACTIONS(1630),
    [sym__automatic_semicolon] = ACTIONS(1632),
    [sym__ternary_qmark] = ACTIONS(1632),
  },
  [205] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1555),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1555),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1634),
    [anon_sym_export] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_as] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1634),
    [anon_sym_typeof] = ACTIONS(1634),
    [anon_sym_import] = ACTIONS(1634),
    [anon_sym_var] = ACTIONS(1634),
    [anon_sym_let] = ACTIONS(1634),
    [anon_sym_const] = ACTIONS(1634),
    [anon_sym_BANG] = ACTIONS(1634),
    [anon_sym_else] = ACTIONS(1634),
    [anon_sym_if] = ACTIONS(1634),
    [anon_sym_switch] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(1634),
    [anon_sym_in] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_try] = ACTIONS(1634),
    [anon_sym_with] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(1634),
    [anon_sym_continue] = ACTIONS(1634),
    [anon_sym_debugger] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1634),
    [anon_sym_throw] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(1634),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_yield] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LTtemplate_GT] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_DOT] = ACTIONS(1636),
    [anon_sym_class] = ACTIONS(1634),
    [anon_sym_async] = ACTIONS(1634),
    [anon_sym_function] = ACTIONS(1634),
    [anon_sym_QMARK_DOT] = ACTIONS(1640),
    [anon_sym_new] = ACTIONS(1634),
    [anon_sym_AMP_AMP] = ACTIONS(1640),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_GT_GT_GT] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1640),
    [anon_sym_STAR_STAR] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_EQ_EQ] = ACTIONS(1636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_QMARK_QMARK] = ACTIONS(1640),
    [anon_sym_instanceof] = ACTIONS(1636),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1634),
    [anon_sym_delete] = ACTIONS(1634),
    [anon_sym_PLUS_PLUS] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1638),
    [anon_sym_DQUOTE] = ACTIONS(1638),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1638),
    [sym_number] = ACTIONS(1638),
    [sym_this] = ACTIONS(1634),
    [sym_super] = ACTIONS(1634),
    [sym_true] = ACTIONS(1634),
    [sym_false] = ACTIONS(1634),
    [sym_null] = ACTIONS(1634),
    [sym_undefined] = ACTIONS(1634),
    [anon_sym_AT] = ACTIONS(1638),
    [anon_sym_static] = ACTIONS(1634),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(1634),
    [anon_sym_set] = ACTIONS(1634),
    [anon_sym_declare] = ACTIONS(1634),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_public] = ACTIONS(1634),
    [anon_sym_private] = ACTIONS(1634),
    [anon_sym_protected] = ACTIONS(1634),
    [anon_sym_override] = ACTIONS(1634),
    [anon_sym_module] = ACTIONS(1634),
    [anon_sym_any] = ACTIONS(1634),
    [anon_sym_number] = ACTIONS(1634),
    [anon_sym_boolean] = ACTIONS(1634),
    [anon_sym_string] = ACTIONS(1634),
    [anon_sym_symbol] = ACTIONS(1634),
    [anon_sym_abstract] = ACTIONS(1634),
    [anon_sym_satisfies] = ACTIONS(1636),
    [anon_sym_interface] = ACTIONS(1634),
    [anon_sym_enum] = ACTIONS(1634),
    [anon_sym_component] = ACTIONS(1634),
    [sym__automatic_semicolon] = ACTIONS(1642),
    [sym__ternary_qmark] = ACTIONS(1640),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_export] = ACTIONS(1644),
    [anon_sym_STAR] = ACTIONS(1646),
    [anon_sym_as] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_type] = ACTIONS(1644),
    [anon_sym_typeof] = ACTIONS(1644),
    [anon_sym_import] = ACTIONS(1644),
    [anon_sym_var] = ACTIONS(1644),
    [anon_sym_let] = ACTIONS(1644),
    [anon_sym_const] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_else] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1644),
    [anon_sym_switch] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_await] = ACTIONS(1644),
    [anon_sym_in] = ACTIONS(1646),
    [anon_sym_while] = ACTIONS(1644),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_try] = ACTIONS(1644),
    [anon_sym_with] = ACTIONS(1644),
    [anon_sym_break] = ACTIONS(1644),
    [anon_sym_continue] = ACTIONS(1644),
    [anon_sym_debugger] = ACTIONS(1644),
    [anon_sym_return] = ACTIONS(1644),
    [anon_sym_throw] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_case] = ACTIONS(1644),
    [anon_sym_default] = ACTIONS(1644),
    [anon_sym_yield] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_LTtemplate_GT] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1644),
    [anon_sym_GT] = ACTIONS(1646),
    [anon_sym_SLASH] = ACTIONS(1644),
    [anon_sym_DOT] = ACTIONS(1646),
    [anon_sym_class] = ACTIONS(1644),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(1644),
    [anon_sym_QMARK_DOT] = ACTIONS(1650),
    [anon_sym_new] = ACTIONS(1644),
    [anon_sym_AMP_AMP] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1650),
    [anon_sym_GT_GT] = ACTIONS(1646),
    [anon_sym_GT_GT_GT] = ACTIONS(1650),
    [anon_sym_LT_LT] = ACTIONS(1650),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_PERCENT] = ACTIONS(1650),
    [anon_sym_STAR_STAR] = ACTIONS(1650),
    [anon_sym_LT_EQ] = ACTIONS(1650),
    [anon_sym_EQ_EQ] = ACTIONS(1646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1650),
    [anon_sym_BANG_EQ] = ACTIONS(1646),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1650),
    [anon_sym_GT_EQ] = ACTIONS(1650),
    [anon_sym_QMARK_QMARK] = ACTIONS(1650),
    [anon_sym_instanceof] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_void] = ACTIONS(1644),
    [anon_sym_delete] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [sym_number] = ACTIONS(1648),
    [sym_this] = ACTIONS(1644),
    [sym_super] = ACTIONS(1644),
    [sym_true] = ACTIONS(1644),
    [sym_false] = ACTIONS(1644),
    [sym_null] = ACTIONS(1644),
    [sym_undefined] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_static] = ACTIONS(1644),
    [anon_sym_readonly] = ACTIONS(1644),
    [anon_sym_get] = ACTIONS(1644),
    [anon_sym_set] = ACTIONS(1644),
    [anon_sym_declare] = ACTIONS(1644),
    [anon_sym_namespace] = ACTIONS(1644),
    [anon_sym_public] = ACTIONS(1644),
    [anon_sym_private] = ACTIONS(1644),
    [anon_sym_protected] = ACTIONS(1644),
    [anon_sym_override] = ACTIONS(1644),
    [anon_sym_module] = ACTIONS(1644),
    [anon_sym_any] = ACTIONS(1644),
    [anon_sym_number] = ACTIONS(1644),
    [anon_sym_boolean] = ACTIONS(1644),
    [anon_sym_string] = ACTIONS(1644),
    [anon_sym_symbol] = ACTIONS(1644),
    [anon_sym_abstract] = ACTIONS(1644),
    [anon_sym_satisfies] = ACTIONS(1646),
    [anon_sym_interface] = ACTIONS(1644),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_component] = ACTIONS(1644),
    [sym__automatic_semicolon] = ACTIONS(1652),
    [sym__ternary_qmark] = ACTIONS(1650),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_export] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_as] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1660),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_type] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(1654),
    [anon_sym_import] = ACTIONS(1654),
    [anon_sym_var] = ACTIONS(1654),
    [anon_sym_let] = ACTIONS(1654),
    [anon_sym_const] = ACTIONS(1654),
    [anon_sym_BANG] = ACTIONS(1654),
    [anon_sym_else] = ACTIONS(1654),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_await] = ACTIONS(1654),
    [anon_sym_in] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1654),
    [anon_sym_do] = ACTIONS(1654),
    [anon_sym_try] = ACTIONS(1654),
    [anon_sym_with] = ACTIONS(1654),
    [anon_sym_break] = ACTIONS(1654),
    [anon_sym_continue] = ACTIONS(1654),
    [anon_sym_debugger] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1654),
    [anon_sym_throw] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1654),
    [anon_sym_default] = ACTIONS(1654),
    [anon_sym_yield] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LTtemplate_GT] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_DOT] = ACTIONS(1656),
    [anon_sym_class] = ACTIONS(1654),
    [anon_sym_async] = ACTIONS(1654),
    [anon_sym_function] = ACTIONS(1654),
    [anon_sym_QMARK_DOT] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1654),
    [anon_sym_AMP_AMP] = ACTIONS(1660),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_GT_GT_GT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1654),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_EQ_EQ] = ACTIONS(1656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_QMARK_QMARK] = ACTIONS(1660),
    [anon_sym_instanceof] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_void] = ACTIONS(1654),
    [anon_sym_delete] = ACTIONS(1654),
    [anon_sym_PLUS_PLUS] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1658),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [sym_number] = ACTIONS(1658),
    [sym_this] = ACTIONS(1654),
    [sym_super] = ACTIONS(1654),
    [sym_true] = ACTIONS(1654),
    [sym_false] = ACTIONS(1654),
    [sym_null] = ACTIONS(1654),
    [sym_undefined] = ACTIONS(1654),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1654),
    [anon_sym_readonly] = ACTIONS(1654),
    [anon_sym_get] = ACTIONS(1654),
    [anon_sym_set] = ACTIONS(1654),
    [anon_sym_declare] = ACTIONS(1654),
    [anon_sym_namespace] = ACTIONS(1654),
    [anon_sym_public] = ACTIONS(1654),
    [anon_sym_private] = ACTIONS(1654),
    [anon_sym_protected] = ACTIONS(1654),
    [anon_sym_override] = ACTIONS(1654),
    [anon_sym_module] = ACTIONS(1654),
    [anon_sym_any] = ACTIONS(1654),
    [anon_sym_number] = ACTIONS(1654),
    [anon_sym_boolean] = ACTIONS(1654),
    [anon_sym_string] = ACTIONS(1654),
    [anon_sym_symbol] = ACTIONS(1654),
    [anon_sym_abstract] = ACTIONS(1654),
    [anon_sym_satisfies] = ACTIONS(1656),
    [anon_sym_interface] = ACTIONS(1654),
    [anon_sym_enum] = ACTIONS(1654),
    [anon_sym_component] = ACTIONS(1654),
    [sym__automatic_semicolon] = ACTIONS(1662),
    [sym__ternary_qmark] = ACTIONS(1660),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1664),
    [anon_sym_STAR] = ACTIONS(1666),
    [anon_sym_as] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1664),
    [anon_sym_typeof] = ACTIONS(1664),
    [anon_sym_import] = ACTIONS(1664),
    [anon_sym_var] = ACTIONS(1664),
    [anon_sym_let] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1664),
    [anon_sym_for] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_await] = ACTIONS(1664),
    [anon_sym_in] = ACTIONS(1666),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_do] = ACTIONS(1664),
    [anon_sym_try] = ACTIONS(1664),
    [anon_sym_with] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_debugger] = ACTIONS(1664),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_throw] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_case] = ACTIONS(1664),
    [anon_sym_default] = ACTIONS(1664),
    [anon_sym_yield] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_LTtemplate_GT] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_GT] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_class] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1664),
    [anon_sym_function] = ACTIONS(1664),
    [anon_sym_QMARK_DOT] = ACTIONS(1670),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1670),
    [anon_sym_GT_GT] = ACTIONS(1666),
    [anon_sym_GT_GT_GT] = ACTIONS(1670),
    [anon_sym_LT_LT] = ACTIONS(1670),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1670),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1670),
    [anon_sym_STAR_STAR] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1670),
    [anon_sym_EQ_EQ] = ACTIONS(1666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1670),
    [anon_sym_BANG_EQ] = ACTIONS(1666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1670),
    [anon_sym_QMARK_QMARK] = ACTIONS(1670),
    [anon_sym_instanceof] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_void] = ACTIONS(1664),
    [anon_sym_delete] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1668),
    [sym_number] = ACTIONS(1668),
    [sym_this] = ACTIONS(1664),
    [sym_super] = ACTIONS(1664),
    [sym_true] = ACTIONS(1664),
    [sym_false] = ACTIONS(1664),
    [sym_null] = ACTIONS(1664),
    [sym_undefined] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1668),
    [anon_sym_static] = ACTIONS(1664),
    [anon_sym_readonly] = ACTIONS(1664),
    [anon_sym_get] = ACTIONS(1664),
    [anon_sym_set] = ACTIONS(1664),
    [anon_sym_declare] = ACTIONS(1664),
    [anon_sym_namespace] = ACTIONS(1664),
    [anon_sym_public] = ACTIONS(1664),
    [anon_sym_private] = ACTIONS(1664),
    [anon_sym_protected] = ACTIONS(1664),
    [anon_sym_override] = ACTIONS(1664),
    [anon_sym_module] = ACTIONS(1664),
    [anon_sym_any] = ACTIONS(1664),
    [anon_sym_number] = ACTIONS(1664),
    [anon_sym_boolean] = ACTIONS(1664),
    [anon_sym_string] = ACTIONS(1664),
    [anon_sym_symbol] = ACTIONS(1664),
    [anon_sym_abstract] = ACTIONS(1664),
    [anon_sym_satisfies] = ACTIONS(1666),
    [anon_sym_interface] = ACTIONS(1664),
    [anon_sym_enum] = ACTIONS(1664),
    [anon_sym_component] = ACTIONS(1664),
    [sym__automatic_semicolon] = ACTIONS(1672),
    [sym__ternary_qmark] = ACTIONS(1670),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_as] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_in] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_LTtemplate_GT] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_DOT] = ACTIONS(1676),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_QMARK_DOT] = ACTIONS(1680),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_PERCENT] = ACTIONS(1680),
    [anon_sym_STAR_STAR] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_EQ_EQ] = ACTIONS(1676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_QMARK_QMARK] = ACTIONS(1680),
    [anon_sym_instanceof] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1678),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1678),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_satisfies] = ACTIONS(1676),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [anon_sym_component] = ACTIONS(1674),
    [sym__automatic_semicolon] = ACTIONS(1682),
    [sym__ternary_qmark] = ACTIONS(1680),
  },
  [211] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1569),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1569),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_export] = ACTIONS(1684),
    [anon_sym_STAR] = ACTIONS(1686),
    [anon_sym_as] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1684),
    [anon_sym_typeof] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(1684),
    [anon_sym_var] = ACTIONS(1684),
    [anon_sym_let] = ACTIONS(1684),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1684),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [anon_sym_await] = ACTIONS(1684),
    [anon_sym_in] = ACTIONS(1686),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_do] = ACTIONS(1684),
    [anon_sym_try] = ACTIONS(1684),
    [anon_sym_with] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_continue] = ACTIONS(1684),
    [anon_sym_debugger] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1688),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_yield] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LTtemplate_GT] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1684),
    [anon_sym_GT] = ACTIONS(1686),
    [anon_sym_SLASH] = ACTIONS(1684),
    [anon_sym_DOT] = ACTIONS(1686),
    [anon_sym_class] = ACTIONS(1684),
    [anon_sym_async] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_QMARK_DOT] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1684),
    [anon_sym_AMP_AMP] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1686),
    [anon_sym_GT_GT_GT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_STAR_STAR] = ACTIONS(1690),
    [anon_sym_LT_EQ] = ACTIONS(1690),
    [anon_sym_EQ_EQ] = ACTIONS(1686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1690),
    [anon_sym_BANG_EQ] = ACTIONS(1686),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1690),
    [anon_sym_GT_EQ] = ACTIONS(1690),
    [anon_sym_QMARK_QMARK] = ACTIONS(1690),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_void] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1688),
    [anon_sym_DASH_DASH] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1688),
    [sym_number] = ACTIONS(1688),
    [sym_this] = ACTIONS(1684),
    [sym_super] = ACTIONS(1684),
    [sym_true] = ACTIONS(1684),
    [sym_false] = ACTIONS(1684),
    [sym_null] = ACTIONS(1684),
    [sym_undefined] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1688),
    [anon_sym_static] = ACTIONS(1684),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_get] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_declare] = ACTIONS(1684),
    [anon_sym_namespace] = ACTIONS(1684),
    [anon_sym_public] = ACTIONS(1684),
    [anon_sym_private] = ACTIONS(1684),
    [anon_sym_protected] = ACTIONS(1684),
    [anon_sym_override] = ACTIONS(1684),
    [anon_sym_module] = ACTIONS(1684),
    [anon_sym_any] = ACTIONS(1684),
    [anon_sym_number] = ACTIONS(1684),
    [anon_sym_boolean] = ACTIONS(1684),
    [anon_sym_string] = ACTIONS(1684),
    [anon_sym_symbol] = ACTIONS(1684),
    [anon_sym_abstract] = ACTIONS(1684),
    [anon_sym_satisfies] = ACTIONS(1686),
    [anon_sym_interface] = ACTIONS(1684),
    [anon_sym_enum] = ACTIONS(1684),
    [anon_sym_component] = ACTIONS(1684),
    [sym__automatic_semicolon] = ACTIONS(1692),
    [sym__ternary_qmark] = ACTIONS(1690),
  },
  [213] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1579),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1579),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_as] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_in] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_LTtemplate_GT] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1696),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_QMARK_DOT] = ACTIONS(1700),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_AMP_AMP] = ACTIONS(1700),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_GT_GT_GT] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1700),
    [anon_sym_STAR_STAR] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1696),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_QMARK_QMARK] = ACTIONS(1700),
    [anon_sym_instanceof] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1698),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1698),
    [sym_number] = ACTIONS(1698),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1698),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_satisfies] = ACTIONS(1696),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [anon_sym_component] = ACTIONS(1694),
    [sym__automatic_semicolon] = ACTIONS(1702),
    [sym__ternary_qmark] = ACTIONS(1700),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_as] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LTtemplate_GT] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_QMARK_DOT] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1706),
    [anon_sym_LT_LT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_STAR_STAR] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1706),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1706),
    [anon_sym_GT_EQ] = ACTIONS(1706),
    [anon_sym_QMARK_QMARK] = ACTIONS(1706),
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [sym_number] = ACTIONS(1706),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_satisfies] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [anon_sym_component] = ACTIONS(1704),
    [sym__automatic_semicolon] = ACTIONS(1706),
    [sym__ternary_qmark] = ACTIONS(1706),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1708),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_STAR] = ACTIONS(1710),
    [anon_sym_as] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_typeof] = ACTIONS(1708),
    [anon_sym_import] = ACTIONS(1708),
    [anon_sym_var] = ACTIONS(1708),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(1708),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [anon_sym_await] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_do] = ACTIONS(1708),
    [anon_sym_try] = ACTIONS(1708),
    [anon_sym_with] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_continue] = ACTIONS(1708),
    [anon_sym_debugger] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_throw] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_yield] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_LTtemplate_GT] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1708),
    [anon_sym_GT] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1708),
    [anon_sym_DOT] = ACTIONS(1710),
    [anon_sym_class] = ACTIONS(1708),
    [anon_sym_async] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_QMARK_DOT] = ACTIONS(1714),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP_AMP] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1714),
    [anon_sym_GT_GT] = ACTIONS(1710),
    [anon_sym_GT_GT_GT] = ACTIONS(1714),
    [anon_sym_LT_LT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PERCENT] = ACTIONS(1714),
    [anon_sym_STAR_STAR] = ACTIONS(1714),
    [anon_sym_LT_EQ] = ACTIONS(1714),
    [anon_sym_EQ_EQ] = ACTIONS(1710),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1714),
    [anon_sym_BANG_EQ] = ACTIONS(1710),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1714),
    [anon_sym_QMARK_QMARK] = ACTIONS(1714),
    [anon_sym_instanceof] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1712),
    [anon_sym_void] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [anon_sym_DASH_DASH] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1712),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1712),
    [sym_number] = ACTIONS(1712),
    [sym_this] = ACTIONS(1708),
    [sym_super] = ACTIONS(1708),
    [sym_true] = ACTIONS(1708),
    [sym_false] = ACTIONS(1708),
    [sym_null] = ACTIONS(1708),
    [sym_undefined] = ACTIONS(1708),
    [anon_sym_AT] = ACTIONS(1712),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1708),
    [anon_sym_number] = ACTIONS(1708),
    [anon_sym_boolean] = ACTIONS(1708),
    [anon_sym_string] = ACTIONS(1708),
    [anon_sym_symbol] = ACTIONS(1708),
    [anon_sym_abstract] = ACTIONS(1708),
    [anon_sym_satisfies] = ACTIONS(1710),
    [anon_sym_interface] = ACTIONS(1708),
    [anon_sym_enum] = ACTIONS(1708),
    [anon_sym_component] = ACTIONS(1708),
    [sym__automatic_semicolon] = ACTIONS(1716),
    [sym__ternary_qmark] = ACTIONS(1714),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_export] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_as] = ACTIONS(1720),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_type] = ACTIONS(1718),
    [anon_sym_typeof] = ACTIONS(1718),
    [anon_sym_import] = ACTIONS(1718),
    [anon_sym_var] = ACTIONS(1718),
    [anon_sym_let] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_await] = ACTIONS(1718),
    [anon_sym_in] = ACTIONS(1720),
    [anon_sym_while] = ACTIONS(1718),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_try] = ACTIONS(1718),
    [anon_sym_with] = ACTIONS(1718),
    [anon_sym_break] = ACTIONS(1718),
    [anon_sym_continue] = ACTIONS(1718),
    [anon_sym_debugger] = ACTIONS(1718),
    [anon_sym_return] = ACTIONS(1718),
    [anon_sym_throw] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_case] = ACTIONS(1718),
    [anon_sym_default] = ACTIONS(1718),
    [anon_sym_yield] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LTtemplate_GT] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1720),
    [anon_sym_class] = ACTIONS(1718),
    [anon_sym_async] = ACTIONS(1718),
    [anon_sym_function] = ACTIONS(1718),
    [anon_sym_QMARK_DOT] = ACTIONS(1724),
    [anon_sym_new] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_GT_GT_GT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1718),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_STAR_STAR] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1720),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_QMARK_QMARK] = ACTIONS(1724),
    [anon_sym_instanceof] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_void] = ACTIONS(1718),
    [anon_sym_delete] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1718),
    [sym_super] = ACTIONS(1718),
    [sym_true] = ACTIONS(1718),
    [sym_false] = ACTIONS(1718),
    [sym_null] = ACTIONS(1718),
    [sym_undefined] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1722),
    [anon_sym_static] = ACTIONS(1718),
    [anon_sym_readonly] = ACTIONS(1718),
    [anon_sym_get] = ACTIONS(1718),
    [anon_sym_set] = ACTIONS(1718),
    [anon_sym_declare] = ACTIONS(1718),
    [anon_sym_namespace] = ACTIONS(1718),
    [anon_sym_public] = ACTIONS(1718),
    [anon_sym_private] = ACTIONS(1718),
    [anon_sym_protected] = ACTIONS(1718),
    [anon_sym_override] = ACTIONS(1718),
    [anon_sym_module] = ACTIONS(1718),
    [anon_sym_any] = ACTIONS(1718),
    [anon_sym_number] = ACTIONS(1718),
    [anon_sym_boolean] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_symbol] = ACTIONS(1718),
    [anon_sym_abstract] = ACTIONS(1718),
    [anon_sym_satisfies] = ACTIONS(1720),
    [anon_sym_interface] = ACTIONS(1718),
    [anon_sym_enum] = ACTIONS(1718),
    [anon_sym_component] = ACTIONS(1718),
    [sym__automatic_semicolon] = ACTIONS(1726),
    [sym__ternary_qmark] = ACTIONS(1724),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1728),
    [anon_sym_export] = ACTIONS(1728),
    [anon_sym_STAR] = ACTIONS(1730),
    [anon_sym_as] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1732),
    [anon_sym_type] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1728),
    [anon_sym_import] = ACTIONS(1728),
    [anon_sym_var] = ACTIONS(1728),
    [anon_sym_let] = ACTIONS(1728),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_BANG] = ACTIONS(1728),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [anon_sym_await] = ACTIONS(1728),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_try] = ACTIONS(1728),
    [anon_sym_with] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_continue] = ACTIONS(1728),
    [anon_sym_debugger] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_throw] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [anon_sym_LTtemplate_GT] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1728),
    [anon_sym_GT] = ACTIONS(1730),
    [anon_sym_SLASH] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(1728),
    [anon_sym_async] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_QMARK_DOT] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(1728),
    [anon_sym_AMP_AMP] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1734),
    [anon_sym_GT_GT] = ACTIONS(1730),
    [anon_sym_GT_GT_GT] = ACTIONS(1734),
    [anon_sym_LT_LT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_STAR_STAR] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1734),
    [anon_sym_EQ_EQ] = ACTIONS(1730),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1734),
    [anon_sym_BANG_EQ] = ACTIONS(1730),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1734),
    [anon_sym_QMARK_QMARK] = ACTIONS(1734),
    [anon_sym_instanceof] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1732),
    [anon_sym_void] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_PLUS_PLUS] = ACTIONS(1732),
    [anon_sym_DASH_DASH] = ACTIONS(1732),
    [anon_sym_DQUOTE] = ACTIONS(1732),
    [anon_sym_SQUOTE] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1732),
    [sym_number] = ACTIONS(1732),
    [sym_this] = ACTIONS(1728),
    [sym_super] = ACTIONS(1728),
    [sym_true] = ACTIONS(1728),
    [sym_false] = ACTIONS(1728),
    [sym_null] = ACTIONS(1728),
    [sym_undefined] = ACTIONS(1728),
    [anon_sym_AT] = ACTIONS(1732),
    [anon_sym_static] = ACTIONS(1728),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_get] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_declare] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1728),
    [anon_sym_public] = ACTIONS(1728),
    [anon_sym_private] = ACTIONS(1728),
    [anon_sym_protected] = ACTIONS(1728),
    [anon_sym_override] = ACTIONS(1728),
    [anon_sym_module] = ACTIONS(1728),
    [anon_sym_any] = ACTIONS(1728),
    [anon_sym_number] = ACTIONS(1728),
    [anon_sym_boolean] = ACTIONS(1728),
    [anon_sym_string] = ACTIONS(1728),
    [anon_sym_symbol] = ACTIONS(1728),
    [anon_sym_abstract] = ACTIONS(1728),
    [anon_sym_satisfies] = ACTIONS(1730),
    [anon_sym_interface] = ACTIONS(1728),
    [anon_sym_enum] = ACTIONS(1728),
    [anon_sym_component] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1736),
    [sym__ternary_qmark] = ACTIONS(1734),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1738),
    [anon_sym_export] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_as] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_type] = ACTIONS(1738),
    [anon_sym_typeof] = ACTIONS(1738),
    [anon_sym_import] = ACTIONS(1738),
    [anon_sym_var] = ACTIONS(1738),
    [anon_sym_let] = ACTIONS(1738),
    [anon_sym_const] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1738),
    [anon_sym_switch] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1738),
    [anon_sym_in] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1738),
    [anon_sym_try] = ACTIONS(1738),
    [anon_sym_with] = ACTIONS(1738),
    [anon_sym_break] = ACTIONS(1738),
    [anon_sym_continue] = ACTIONS(1738),
    [anon_sym_debugger] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(1738),
    [anon_sym_throw] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_case] = ACTIONS(1738),
    [anon_sym_default] = ACTIONS(1738),
    [anon_sym_yield] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_LTtemplate_GT] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_class] = ACTIONS(1738),
    [anon_sym_async] = ACTIONS(1738),
    [anon_sym_function] = ACTIONS(1738),
    [anon_sym_QMARK_DOT] = ACTIONS(1740),
    [anon_sym_new] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1740),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1738),
    [anon_sym_GT_GT_GT] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1740),
    [anon_sym_STAR_STAR] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_QMARK_QMARK] = ACTIONS(1740),
    [anon_sym_instanceof] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_void] = ACTIONS(1738),
    [anon_sym_delete] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_this] = ACTIONS(1738),
    [sym_super] = ACTIONS(1738),
    [sym_true] = ACTIONS(1738),
    [sym_false] = ACTIONS(1738),
    [sym_null] = ACTIONS(1738),
    [sym_undefined] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1738),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_get] = ACTIONS(1738),
    [anon_sym_set] = ACTIONS(1738),
    [anon_sym_declare] = ACTIONS(1738),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_public] = ACTIONS(1738),
    [anon_sym_private] = ACTIONS(1738),
    [anon_sym_protected] = ACTIONS(1738),
    [anon_sym_override] = ACTIONS(1738),
    [anon_sym_module] = ACTIONS(1738),
    [anon_sym_any] = ACTIONS(1738),
    [anon_sym_number] = ACTIONS(1738),
    [anon_sym_boolean] = ACTIONS(1738),
    [anon_sym_string] = ACTIONS(1738),
    [anon_sym_symbol] = ACTIONS(1738),
    [anon_sym_abstract] = ACTIONS(1738),
    [anon_sym_satisfies] = ACTIONS(1738),
    [anon_sym_interface] = ACTIONS(1738),
    [anon_sym_enum] = ACTIONS(1738),
    [anon_sym_component] = ACTIONS(1738),
    [sym__automatic_semicolon] = ACTIONS(1740),
    [sym__ternary_qmark] = ACTIONS(1740),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_as] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_type] = ACTIONS(1742),
    [anon_sym_typeof] = ACTIONS(1742),
    [anon_sym_import] = ACTIONS(1742),
    [anon_sym_var] = ACTIONS(1742),
    [anon_sym_let] = ACTIONS(1742),
    [anon_sym_const] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_await] = ACTIONS(1742),
    [anon_sym_in] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1742),
    [anon_sym_try] = ACTIONS(1742),
    [anon_sym_with] = ACTIONS(1742),
    [anon_sym_break] = ACTIONS(1742),
    [anon_sym_continue] = ACTIONS(1742),
    [anon_sym_debugger] = ACTIONS(1742),
    [anon_sym_return] = ACTIONS(1742),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_case] = ACTIONS(1742),
    [anon_sym_default] = ACTIONS(1742),
    [anon_sym_yield] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym_LTtemplate_GT] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_class] = ACTIONS(1742),
    [anon_sym_async] = ACTIONS(1742),
    [anon_sym_function] = ACTIONS(1742),
    [anon_sym_QMARK_DOT] = ACTIONS(1748),
    [anon_sym_new] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1748),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_GT_GT_GT] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1748),
    [anon_sym_STAR_STAR] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_QMARK_QMARK] = ACTIONS(1748),
    [anon_sym_instanceof] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1746),
    [anon_sym_void] = ACTIONS(1742),
    [anon_sym_delete] = ACTIONS(1742),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_DQUOTE] = ACTIONS(1746),
    [anon_sym_SQUOTE] = ACTIONS(1746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1746),
    [sym_number] = ACTIONS(1746),
    [sym_this] = ACTIONS(1742),
    [sym_super] = ACTIONS(1742),
    [sym_true] = ACTIONS(1742),
    [sym_false] = ACTIONS(1742),
    [sym_null] = ACTIONS(1742),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_static] = ACTIONS(1742),
    [anon_sym_readonly] = ACTIONS(1742),
    [anon_sym_get] = ACTIONS(1742),
    [anon_sym_set] = ACTIONS(1742),
    [anon_sym_declare] = ACTIONS(1742),
    [anon_sym_namespace] = ACTIONS(1742),
    [anon_sym_public] = ACTIONS(1742),
    [anon_sym_private] = ACTIONS(1742),
    [anon_sym_protected] = ACTIONS(1742),
    [anon_sym_override] = ACTIONS(1742),
    [anon_sym_module] = ACTIONS(1742),
    [anon_sym_any] = ACTIONS(1742),
    [anon_sym_number] = ACTIONS(1742),
    [anon_sym_boolean] = ACTIONS(1742),
    [anon_sym_string] = ACTIONS(1742),
    [anon_sym_symbol] = ACTIONS(1742),
    [anon_sym_abstract] = ACTIONS(1742),
    [anon_sym_satisfies] = ACTIONS(1744),
    [anon_sym_interface] = ACTIONS(1742),
    [anon_sym_enum] = ACTIONS(1742),
    [anon_sym_component] = ACTIONS(1742),
    [sym__automatic_semicolon] = ACTIONS(1750),
    [sym__ternary_qmark] = ACTIONS(1748),
  },
  [221] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1570),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1570),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [222] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1569),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1569),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [223] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4434),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [224] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1066),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(752),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [225] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [226] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1068),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [227] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1068),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1083),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [228] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1071),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [229] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1066),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [230] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2312),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4909),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [231] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1878),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(3909),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [232] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1890),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [233] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1892),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [234] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1747),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [235] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2275),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2001),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [236] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2326),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4771),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [237] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2290),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2008),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [238] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [239] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4879),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [240] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1553),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [241] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2521),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [242] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2305),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2010),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [243] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2269),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_sequence_expression] = STATE(4180),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [244] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3704),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4363),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1768),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1770),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1768),
    [anon_sym_readonly] = ACTIONS(1768),
    [anon_sym_get] = ACTIONS(1768),
    [anon_sym_set] = ACTIONS(1768),
    [anon_sym_declare] = ACTIONS(1768),
    [anon_sym_namespace] = ACTIONS(1768),
    [anon_sym_public] = ACTIONS(1768),
    [anon_sym_private] = ACTIONS(1768),
    [anon_sym_protected] = ACTIONS(1768),
    [anon_sym_override] = ACTIONS(1768),
    [anon_sym_module] = ACTIONS(1768),
    [anon_sym_any] = ACTIONS(1768),
    [anon_sym_number] = ACTIONS(1768),
    [anon_sym_boolean] = ACTIONS(1768),
    [anon_sym_string] = ACTIONS(1768),
    [anon_sym_symbol] = ACTIONS(1768),
    [anon_sym_component] = ACTIONS(120),
  },
  [245] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [246] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4789),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [247] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(540),
    [sym_expression] = STATE(2486),
    [sym_primary_expression] = STATE(682),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3172),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(540),
    [sym_subscript_expression] = STATE(540),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(540),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1776),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(1776),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(1778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(1782),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1776),
    [anon_sym_readonly] = ACTIONS(1776),
    [anon_sym_get] = ACTIONS(1776),
    [anon_sym_set] = ACTIONS(1776),
    [anon_sym_declare] = ACTIONS(1776),
    [anon_sym_namespace] = ACTIONS(1776),
    [anon_sym_public] = ACTIONS(1776),
    [anon_sym_private] = ACTIONS(1776),
    [anon_sym_protected] = ACTIONS(1776),
    [anon_sym_override] = ACTIONS(1776),
    [anon_sym_module] = ACTIONS(1776),
    [anon_sym_any] = ACTIONS(1776),
    [anon_sym_number] = ACTIONS(1776),
    [anon_sym_boolean] = ACTIONS(1776),
    [anon_sym_string] = ACTIONS(1776),
    [anon_sym_symbol] = ACTIONS(1776),
    [anon_sym_component] = ACTIONS(802),
  },
  [248] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2237),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2012),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [249] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1744),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1883),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [250] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [251] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2356),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4713),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [252] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1784),
    [anon_sym_export] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1786),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1788),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1786),
    [anon_sym_readonly] = ACTIONS(1786),
    [anon_sym_get] = ACTIONS(1786),
    [anon_sym_set] = ACTIONS(1786),
    [anon_sym_declare] = ACTIONS(1786),
    [anon_sym_namespace] = ACTIONS(1786),
    [anon_sym_public] = ACTIONS(1786),
    [anon_sym_private] = ACTIONS(1786),
    [anon_sym_protected] = ACTIONS(1786),
    [anon_sym_override] = ACTIONS(1786),
    [anon_sym_module] = ACTIONS(1786),
    [anon_sym_any] = ACTIONS(1786),
    [anon_sym_number] = ACTIONS(1786),
    [anon_sym_boolean] = ACTIONS(1786),
    [anon_sym_string] = ACTIONS(1786),
    [anon_sym_symbol] = ACTIONS(1786),
    [anon_sym_component] = ACTIONS(120),
  },
  [253] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1897),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [254] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1768),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1770),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1768),
    [anon_sym_readonly] = ACTIONS(1768),
    [anon_sym_get] = ACTIONS(1768),
    [anon_sym_set] = ACTIONS(1768),
    [anon_sym_declare] = ACTIONS(1768),
    [anon_sym_namespace] = ACTIONS(1768),
    [anon_sym_public] = ACTIONS(1768),
    [anon_sym_private] = ACTIONS(1768),
    [anon_sym_protected] = ACTIONS(1768),
    [anon_sym_override] = ACTIONS(1768),
    [anon_sym_module] = ACTIONS(1768),
    [anon_sym_any] = ACTIONS(1768),
    [anon_sym_number] = ACTIONS(1768),
    [anon_sym_boolean] = ACTIONS(1768),
    [anon_sym_string] = ACTIONS(1768),
    [anon_sym_symbol] = ACTIONS(1768),
    [anon_sym_component] = ACTIONS(120),
  },
  [255] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [256] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1578),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1096),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [257] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2331),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4706),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [258] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1493),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(1828),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3149),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1493),
    [sym_subscript_expression] = STATE(1493),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1493),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1790),
    [anon_sym_export] = ACTIONS(1792),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1796),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1798),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1792),
    [anon_sym_readonly] = ACTIONS(1792),
    [anon_sym_get] = ACTIONS(1792),
    [anon_sym_set] = ACTIONS(1792),
    [anon_sym_declare] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1792),
    [anon_sym_public] = ACTIONS(1792),
    [anon_sym_private] = ACTIONS(1792),
    [anon_sym_protected] = ACTIONS(1792),
    [anon_sym_override] = ACTIONS(1792),
    [anon_sym_module] = ACTIONS(1792),
    [anon_sym_any] = ACTIONS(1792),
    [anon_sym_number] = ACTIONS(1792),
    [anon_sym_boolean] = ACTIONS(1792),
    [anon_sym_string] = ACTIONS(1792),
    [anon_sym_symbol] = ACTIONS(1792),
    [anon_sym_component] = ACTIONS(1010),
  },
  [259] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2155),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2055),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [260] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4578),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [261] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1744),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2470),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [262] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1493),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(1828),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3149),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1493),
    [sym_subscript_expression] = STATE(1493),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1493),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1800),
    [anon_sym_export] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1802),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1804),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1796),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1798),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1802),
    [anon_sym_readonly] = ACTIONS(1802),
    [anon_sym_get] = ACTIONS(1802),
    [anon_sym_set] = ACTIONS(1802),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_namespace] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1802),
    [anon_sym_private] = ACTIONS(1802),
    [anon_sym_protected] = ACTIONS(1802),
    [anon_sym_override] = ACTIONS(1802),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1802),
    [anon_sym_number] = ACTIONS(1802),
    [anon_sym_boolean] = ACTIONS(1802),
    [anon_sym_string] = ACTIONS(1802),
    [anon_sym_symbol] = ACTIONS(1802),
    [anon_sym_component] = ACTIONS(1010),
  },
  [263] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2275),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1923),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [264] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2290),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [265] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2305),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [266] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_property_assignment_expression] = STATE(1553),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [267] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(987),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(749),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [268] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1747),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2389),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [269] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2398),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [270] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2400),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [271] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2093),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4655),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [272] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2359),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4935),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [273] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2355),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4721),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [274] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1913),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [275] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2350),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4720),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [276] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1747),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2523),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [277] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2343),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4719),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [278] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1578),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(728),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [279] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1744),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2536),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [280] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2517),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [281] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1944),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4753),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [282] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2487),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [283] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2119),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2057),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [284] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2155),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2060),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [285] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3589),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4450),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1768),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1770),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1768),
    [anon_sym_readonly] = ACTIONS(1768),
    [anon_sym_get] = ACTIONS(1768),
    [anon_sym_set] = ACTIONS(1768),
    [anon_sym_declare] = ACTIONS(1768),
    [anon_sym_namespace] = ACTIONS(1768),
    [anon_sym_public] = ACTIONS(1768),
    [anon_sym_private] = ACTIONS(1768),
    [anon_sym_protected] = ACTIONS(1768),
    [anon_sym_override] = ACTIONS(1768),
    [anon_sym_module] = ACTIONS(1768),
    [anon_sym_any] = ACTIONS(1768),
    [anon_sym_number] = ACTIONS(1768),
    [anon_sym_boolean] = ACTIONS(1768),
    [anon_sym_string] = ACTIONS(1768),
    [anon_sym_symbol] = ACTIONS(1768),
    [anon_sym_component] = ACTIONS(120),
  },
  [286] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2237),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1968),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [287] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1049),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(850),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [288] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(987),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1091),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [289] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2217),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [290] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2271),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [291] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2276),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [292] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1747),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2278),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [293] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2324),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4861),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [294] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3704),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4363),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [295] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4856),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [296] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_mapped_type_clause] = STATE(4700),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1810),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(120),
  },
  [297] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2322),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4852),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [298] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1026),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [299] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3704),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4363),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_export] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1814),
    [anon_sym_readonly] = ACTIONS(1814),
    [anon_sym_get] = ACTIONS(1814),
    [anon_sym_set] = ACTIONS(1814),
    [anon_sym_declare] = ACTIONS(1814),
    [anon_sym_namespace] = ACTIONS(1814),
    [anon_sym_public] = ACTIONS(1814),
    [anon_sym_private] = ACTIONS(1814),
    [anon_sym_protected] = ACTIONS(1814),
    [anon_sym_override] = ACTIONS(1814),
    [anon_sym_module] = ACTIONS(1814),
    [anon_sym_any] = ACTIONS(1814),
    [anon_sym_number] = ACTIONS(1814),
    [anon_sym_boolean] = ACTIONS(1814),
    [anon_sym_string] = ACTIONS(1814),
    [anon_sym_symbol] = ACTIONS(1814),
    [anon_sym_component] = ACTIONS(120),
  },
  [300] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2495),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [301] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1744),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2292),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [302] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1049),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1095),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [303] = {
    [sym_import] = STATE(2283),
    [sym_statement_block] = STATE(2119),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2089),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [304] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2321),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4847),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [305] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_sequence_expression] = STATE(4724),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [306] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_mapped_type_clause] = STATE(4895),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_export] = ACTIONS(1820),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1820),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1822),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1820),
    [anon_sym_readonly] = ACTIONS(1820),
    [anon_sym_get] = ACTIONS(1820),
    [anon_sym_set] = ACTIONS(1820),
    [anon_sym_declare] = ACTIONS(1820),
    [anon_sym_namespace] = ACTIONS(1820),
    [anon_sym_public] = ACTIONS(1820),
    [anon_sym_private] = ACTIONS(1820),
    [anon_sym_protected] = ACTIONS(1820),
    [anon_sym_override] = ACTIONS(1820),
    [anon_sym_module] = ACTIONS(1820),
    [anon_sym_any] = ACTIONS(1820),
    [anon_sym_number] = ACTIONS(1820),
    [anon_sym_boolean] = ACTIONS(1820),
    [anon_sym_string] = ACTIONS(1820),
    [anon_sym_symbol] = ACTIONS(1820),
    [anon_sym_component] = ACTIONS(120),
  },
  [307] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1026),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [308] = {
    [sym_import] = STATE(1756),
    [sym_statement_block] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2202),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [309] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1616),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_export] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1814),
    [anon_sym_readonly] = ACTIONS(1814),
    [anon_sym_get] = ACTIONS(1814),
    [anon_sym_set] = ACTIONS(1814),
    [anon_sym_declare] = ACTIONS(1814),
    [anon_sym_namespace] = ACTIONS(1814),
    [anon_sym_public] = ACTIONS(1814),
    [anon_sym_private] = ACTIONS(1814),
    [anon_sym_protected] = ACTIONS(1814),
    [anon_sym_override] = ACTIONS(1814),
    [anon_sym_module] = ACTIONS(1814),
    [anon_sym_any] = ACTIONS(1814),
    [anon_sym_number] = ACTIONS(1814),
    [anon_sym_boolean] = ACTIONS(1814),
    [anon_sym_string] = ACTIONS(1814),
    [anon_sym_symbol] = ACTIONS(1814),
    [anon_sym_component] = ACTIONS(120),
  },
  [310] = {
    [sym_import] = STATE(1032),
    [sym_statement_block] = STATE(1071),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1093),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [311] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(540),
    [sym_expression] = STATE(2486),
    [sym_primary_expression] = STATE(682),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3172),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(540),
    [sym_subscript_expression] = STATE(540),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(540),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(1824),
    [anon_sym_export] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(1782),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1826),
    [anon_sym_readonly] = ACTIONS(1826),
    [anon_sym_get] = ACTIONS(1826),
    [anon_sym_set] = ACTIONS(1826),
    [anon_sym_declare] = ACTIONS(1826),
    [anon_sym_namespace] = ACTIONS(1826),
    [anon_sym_public] = ACTIONS(1826),
    [anon_sym_private] = ACTIONS(1826),
    [anon_sym_protected] = ACTIONS(1826),
    [anon_sym_override] = ACTIONS(1826),
    [anon_sym_module] = ACTIONS(1826),
    [anon_sym_any] = ACTIONS(1826),
    [anon_sym_number] = ACTIONS(1826),
    [anon_sym_boolean] = ACTIONS(1826),
    [anon_sym_string] = ACTIONS(1826),
    [anon_sym_symbol] = ACTIONS(1826),
    [anon_sym_component] = ACTIONS(802),
  },
  [312] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1871),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [313] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2451),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [314] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(866),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [315] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2168),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [316] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [317] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [318] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [319] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2190),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [320] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2002),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [321] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [322] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2251),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [323] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2213),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [324] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2212),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [325] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2208),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [326] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2204),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [327] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2203),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [328] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [329] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [330] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [331] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1624),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [332] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [333] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [334] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2091),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [335] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2497),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [336] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2006),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [337] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2096),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [338] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1989),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [339] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1988),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [340] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1987),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [341] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1986),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [342] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1985),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [343] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2293),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [344] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1871),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [345] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2280),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [346] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [347] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1984),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [348] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1830),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [349] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1896),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [350] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1982),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [351] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1981),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [352] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1978),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [353] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [354] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [355] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1903),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [356] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1967),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [357] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [358] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2499),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [359] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(864),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [360] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(863),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [361] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(2542),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3146),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(2029),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [362] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2537),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [363] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(724),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [364] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(862),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [365] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [366] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2030),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [367] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2475),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [368] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2080),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [369] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(856),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [370] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1624),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [371] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2429),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [372] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(854),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [373] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [374] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [375] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [376] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [377] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [378] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(747),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [379] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2519),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [380] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [381] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1834),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [382] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2512),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [383] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [384] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1097),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [385] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2506),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [386] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2507),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [387] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [388] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1914),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [389] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1094),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [390] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1092),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [391] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2473),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [392] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2493),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [393] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [394] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2455),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [395] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [396] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [397] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2446),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [398] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2444),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [399] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1997),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [400] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(859),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [401] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2441),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [402] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2437),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [403] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2432),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [404] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [405] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2430),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [406] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [407] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2484),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [408] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2540),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [409] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [410] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [411] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [412] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2413),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [413] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1911),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [414] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1087),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [415] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [416] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1084),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [417] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [418] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [419] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [420] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1077),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [421] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1078),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [422] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [423] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1081),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [424] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1902),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [425] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [426] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [427] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1894),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [428] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2535),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [429] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2405),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [430] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(872),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [431] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2325),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [432] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2375),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [433] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1876),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [434] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [435] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3308),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3308),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3308),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1840),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
    [anon_sym_component] = ACTIONS(120),
  },
  [436] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1866),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [437] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [438] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1868),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [439] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [440] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2048),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [441] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1861),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [442] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1862),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [443] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(1624),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [444] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1864),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [445] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1101),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [446] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1834),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [447] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [448] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1896),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [449] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [450] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(847),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [451] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [452] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1903),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [453] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1867),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [454] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1098),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [455] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [456] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1874),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [457] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [458] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [459] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [460] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [461] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1886),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [462] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [463] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [464] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2059),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [465] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2329),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [466] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2058),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [467] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2041),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [468] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2002),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3726),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3726),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1508),
    [sym_subscript_expression] = STATE(1508),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3726),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1508),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(968),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1846),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(968),
    [anon_sym_readonly] = ACTIONS(968),
    [anon_sym_get] = ACTIONS(968),
    [anon_sym_set] = ACTIONS(968),
    [anon_sym_declare] = ACTIONS(968),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_public] = ACTIONS(968),
    [anon_sym_private] = ACTIONS(968),
    [anon_sym_protected] = ACTIONS(968),
    [anon_sym_override] = ACTIONS(968),
    [anon_sym_module] = ACTIONS(968),
    [anon_sym_any] = ACTIONS(968),
    [anon_sym_number] = ACTIONS(968),
    [anon_sym_boolean] = ACTIONS(968),
    [anon_sym_string] = ACTIONS(968),
    [anon_sym_symbol] = ACTIONS(968),
    [anon_sym_component] = ACTIONS(120),
  },
  [469] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [470] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2040),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [471] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(877),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [472] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [473] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1830),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [474] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2078),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [475] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [476] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [477] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2037),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [478] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2032),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [479] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1910),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [480] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1624),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [481] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2000),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [482] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(2304),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [483] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1511),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4611),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4611),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4609),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1511),
    [sym_subscript_expression] = STATE(1511),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2796),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4611),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1511),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(329),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1036),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1848),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [anon_sym_declare] = ACTIONS(924),
    [anon_sym_namespace] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_override] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_component] = ACTIONS(120),
  },
  [484] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(1937),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [485] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [486] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2175),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [487] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [488] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_expression] = STATE(2460),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4728),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4728),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4726),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1528),
    [sym_subscript_expression] = STATE(1528),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2783),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4728),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1528),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(439),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_typeof] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1052),
    [anon_sym_delete] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_component] = ACTIONS(120),
  },
  [489] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [490] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2027),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [491] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2098),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [492] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [493] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [494] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [495] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2022),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [496] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [497] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(1922),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [498] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [499] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(742),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [500] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(3308),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(3308),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(3308),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1840),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
    [anon_sym_component] = ACTIONS(120),
  },
  [501] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4835),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4835),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4837),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1452),
    [sym_subscript_expression] = STATE(1452),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2807),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4835),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1452),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(501),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(1072),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_typeof] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_void] = ACTIONS(83),
    [anon_sym_delete] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_readonly] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
    [anon_sym_declare] = ACTIONS(1074),
    [anon_sym_namespace] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_override] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_any] = ACTIONS(1074),
    [anon_sym_number] = ACTIONS(1074),
    [anon_sym_boolean] = ACTIONS(1074),
    [anon_sym_string] = ACTIONS(1074),
    [anon_sym_symbol] = ACTIONS(1074),
    [anon_sym_component] = ACTIONS(120),
  },
  [502] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [503] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2016),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [504] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(544),
    [sym_expression] = STATE(877),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4734),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4734),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4732),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(544),
    [sym_subscript_expression] = STATE(544),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2795),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4734),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(544),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(504),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(762),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(762),
    [anon_sym_delete] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_readonly] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [anon_sym_declare] = ACTIONS(752),
    [anon_sym_namespace] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_override] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_any] = ACTIONS(752),
    [anon_sym_number] = ACTIONS(752),
    [anon_sym_boolean] = ACTIONS(752),
    [anon_sym_string] = ACTIONS(752),
    [anon_sym_symbol] = ACTIONS(752),
    [anon_sym_component] = ACTIONS(802),
  },
  [505] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [506] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2372),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [507] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2014),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [508] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(2143),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [509] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2013),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [510] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_expression] = STATE(2011),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4857),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4857),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4855),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1503),
    [sym_subscript_expression] = STATE(1503),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2808),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4857),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1503),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(344),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_namespace] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_component] = ACTIONS(1010),
  },
  [511] = {
    [sym_import] = STATE(1032),
    [sym_parenthesized_expression] = STATE(561),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(891),
    [sym_yield_expression] = STATE(1020),
    [sym_object] = STATE(1032),
    [sym_object_pattern] = STATE(4693),
    [sym_array] = STATE(1032),
    [sym_array_pattern] = STATE(4693),
    [sym_glimmer_template] = STATE(1020),
    [sym_glimmer_opening_tag] = STATE(3865),
    [sym_nested_identifier] = STATE(3132),
    [sym_class] = STATE(1032),
    [sym_function] = STATE(1032),
    [sym_generator_function] = STATE(1032),
    [sym_arrow_function] = STATE(1032),
    [sym__call_signature] = STATE(4703),
    [sym_call_expression] = STATE(1032),
    [sym_new_expression] = STATE(1020),
    [sym_await_expression] = STATE(1020),
    [sym_member_expression] = STATE(561),
    [sym_subscript_expression] = STATE(561),
    [sym_assignment_expression] = STATE(1020),
    [sym__augmented_assignment_lhs] = STATE(2788),
    [sym_augmented_assignment_expression] = STATE(1020),
    [sym__destructuring_pattern] = STATE(4693),
    [sym_ternary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_update_expression] = STATE(1020),
    [sym_string] = STATE(1032),
    [sym_template_string] = STATE(1032),
    [sym_regex] = STATE(1032),
    [sym_meta_property] = STATE(1032),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(561),
    [sym_type_assertion] = STATE(1020),
    [sym_as_expression] = STATE(1020),
    [sym_satisfies_expression] = STATE(1020),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1032),
    [sym_component_short_heritage] = STATE(3866),
    [sym_new_component_expression] = STATE(960),
    [sym_new_tagged_component_expression] = STATE(1020),
    [sym_new_tripple_tagged_component_expression] = STATE(1020),
    [aux_sym_class_repeat1] = STATE(3326),
    [sym_identifier] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(794),
    [sym_number] = ACTIONS(796),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(806),
    [anon_sym_readonly] = ACTIONS(806),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
    [anon_sym_declare] = ACTIONS(806),
    [anon_sym_namespace] = ACTIONS(806),
    [anon_sym_public] = ACTIONS(806),
    [anon_sym_private] = ACTIONS(806),
    [anon_sym_protected] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(806),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(806),
    [anon_sym_number] = ACTIONS(806),
    [anon_sym_boolean] = ACTIONS(806),
    [anon_sym_string] = ACTIONS(806),
    [anon_sym_symbol] = ACTIONS(806),
    [anon_sym_component] = ACTIONS(802),
  },
  [512] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1870),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [513] = {
    [sym_import] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1495),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1711),
    [sym_yield_expression] = STATE(1759),
    [sym_object] = STATE(1756),
    [sym_object_pattern] = STATE(4707),
    [sym_array] = STATE(1756),
    [sym_array_pattern] = STATE(4707),
    [sym_glimmer_template] = STATE(1759),
    [sym_glimmer_opening_tag] = STATE(3769),
    [sym_nested_identifier] = STATE(3161),
    [sym_class] = STATE(1756),
    [sym_function] = STATE(1756),
    [sym_generator_function] = STATE(1756),
    [sym_arrow_function] = STATE(1756),
    [sym__call_signature] = STATE(4710),
    [sym_call_expression] = STATE(1756),
    [sym_new_expression] = STATE(1759),
    [sym_await_expression] = STATE(1759),
    [sym_member_expression] = STATE(1495),
    [sym_subscript_expression] = STATE(1495),
    [sym_assignment_expression] = STATE(1759),
    [sym__augmented_assignment_lhs] = STATE(2781),
    [sym_augmented_assignment_expression] = STATE(1759),
    [sym__destructuring_pattern] = STATE(4707),
    [sym_ternary_expression] = STATE(1759),
    [sym_binary_expression] = STATE(1759),
    [sym_unary_expression] = STATE(1759),
    [sym_update_expression] = STATE(1759),
    [sym_string] = STATE(1756),
    [sym_template_string] = STATE(1756),
    [sym_regex] = STATE(1756),
    [sym_meta_property] = STATE(1756),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1495),
    [sym_type_assertion] = STATE(1759),
    [sym_as_expression] = STATE(1759),
    [sym_satisfies_expression] = STATE(1759),
    [sym_type_arguments] = STATE(373),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(1756),
    [sym_component_short_heritage] = STATE(3770),
    [sym_new_component_expression] = STATE(1654),
    [sym_new_tagged_component_expression] = STATE(1759),
    [sym_new_tripple_tagged_component_expression] = STATE(1759),
    [aux_sym_class_repeat1] = STATE(3276),
    [sym_identifier] = ACTIONS(980),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_type] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(680),
    [anon_sym_delete] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(1850),
    [sym_this] = ACTIONS(98),
    [sym_super] = ACTIONS(98),
    [sym_true] = ACTIONS(98),
    [sym_false] = ACTIONS(98),
    [sym_null] = ACTIONS(98),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(878),
    [anon_sym_namespace] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_component] = ACTIONS(120),
  },
  [514] = {
    [sym_import] = STATE(2283),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_expression] = STATE(2273),
    [sym_primary_expression] = STATE(1938),
    [sym_yield_expression] = STATE(2285),
    [sym_object] = STATE(2283),
    [sym_object_pattern] = STATE(4762),
    [sym_array] = STATE(2283),
    [sym_array_pattern] = STATE(4762),
    [sym_glimmer_template] = STATE(2285),
    [sym_glimmer_opening_tag] = STATE(3778),
    [sym_nested_identifier] = STATE(3197),
    [sym_class] = STATE(2283),
    [sym_function] = STATE(2283),
    [sym_generator_function] = STATE(2283),
    [sym_arrow_function] = STATE(2283),
    [sym__call_signature] = STATE(4783),
    [sym_call_expression] = STATE(2283),
    [sym_new_expression] = STATE(2285),
    [sym_await_expression] = STATE(2285),
    [sym_member_expression] = STATE(1500),
    [sym_subscript_expression] = STATE(1500),
    [sym_assignment_expression] = STATE(2285),
    [sym__augmented_assignment_lhs] = STATE(2814),
    [sym_augmented_assignment_expression] = STATE(2285),
    [sym__destructuring_pattern] = STATE(4762),
    [sym_ternary_expression] = STATE(2285),
    [sym_binary_expression] = STATE(2285),
    [sym_unary_expression] = STATE(2285),
    [sym_update_expression] = STATE(2285),
    [sym_string] = STATE(2283),
    [sym_template_string] = STATE(2283),
    [sym_regex] = STATE(2283),
    [sym_meta_property] = STATE(2283),
    [sym_decorator] = STATE(1478),
    [sym_formal_parameters] = STATE(3695),
    [sym_non_null_expression] = STATE(1500),
    [sym_type_assertion] = STATE(2285),
    [sym_as_expression] = STATE(2285),
    [sym_satisfies_expression] = STATE(2285),
    [sym_type_arguments] = STATE(312),
    [sym_type_parameters] = STATE(4264),
    [sym_component] = STATE(2283),
    [sym_component_short_heritage] = STATE(3784),
    [sym_new_component_expression] = STATE(1926),
    [sym_new_tagged_component_expression] = STATE(2285),
    [sym_new_tripple_tagged_component_expression] = STATE(2285),
    [aux_sym_class_repeat1] = STATE(3259),
    [sym_identifier] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_type] = ACTIONS(996),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LTtemplate_GT] = ACTIONS(50),
    [anon_sym_LT] = ACTIONS(52),
    [anon_sym_SLASH] = ACTIONS(189),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_function] = ACTIONS(1008),
    [anon_sym_new] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(213),
    [sym_super] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_undefined] = ACTIONS(215),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_readonly] = ACTIONS(996),
    [anon_sym_get] = ACTIONS(996),
    [anon_sym_set] = ACTIONS(996),
    [anon_sym_declare] = ACTIONS(996),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_override] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_any] = ACTIONS(996),
    [anon_sym_number] = ACTIONS(996),
    [anon_sym_boolean] = ACTIONS(996),
    [anon_sym_string] = ACTIONS(996),
    [anon_sym_symbol] = ACTIONS(996),
    [anon_sym_component] = ACTIONS(1010),
  },
  [515] = {
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_typeof] = ACTIONS(1852),
    [anon_sym_import] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(1852),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LTtemplate_GT] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1854),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1852),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_void] = ACTIONS(1852),
    [anon_sym_delete] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1854),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1854),
    [sym_number] = ACTIONS(1854),
    [sym_this] = ACTIONS(1852),
    [sym_super] = ACTIONS(1852),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [sym_null] = ACTIONS(1852),
    [sym_undefined] = ACTIONS(1852),
    [anon_sym_AT] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(1852),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [516] = {
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_typeof] = ACTIONS(1856),
    [anon_sym_import] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(1856),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LTtemplate_GT] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(1856),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_function] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1856),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(1858),
    [anon_sym_void] = ACTIONS(1856),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_PLUS_PLUS] = ACTIONS(1858),
    [anon_sym_DASH_DASH] = ACTIONS(1858),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1858),
    [sym_number] = ACTIONS(1858),
    [sym_this] = ACTIONS(1856),
    [sym_super] = ACTIONS(1856),
    [sym_true] = ACTIONS(1856),
    [sym_false] = ACTIONS(1856),
    [sym_null] = ACTIONS(1856),
    [sym_undefined] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(1856),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [517] = {
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_typeof] = ACTIONS(1856),
    [anon_sym_import] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(1856),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LTtemplate_GT] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(1856),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_function] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1856),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(1858),
    [anon_sym_void] = ACTIONS(1856),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_PLUS_PLUS] = ACTIONS(1858),
    [anon_sym_DASH_DASH] = ACTIONS(1858),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1858),
    [sym_number] = ACTIONS(1858),
    [sym_this] = ACTIONS(1856),
    [sym_super] = ACTIONS(1856),
    [sym_true] = ACTIONS(1856),
    [sym_false] = ACTIONS(1856),
    [sym_null] = ACTIONS(1856),
    [sym_undefined] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(1856),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [518] = {
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_typeof] = ACTIONS(1852),
    [anon_sym_import] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(1852),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LTtemplate_GT] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_class] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1854),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(1852),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_void] = ACTIONS(1852),
    [anon_sym_delete] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1854),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1854),
    [sym_number] = ACTIONS(1854),
    [sym_this] = ACTIONS(1852),
    [sym_super] = ACTIONS(1852),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [sym_null] = ACTIONS(1852),
    [sym_undefined] = ACTIONS(1852),
    [anon_sym_AT] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_component] = ACTIONS(1852),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [519] = {
    [sym_component_identifier] = STATE(3511),
    [sym_new_component_body] = STATE(1057),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1868),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1875),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [520] = {
    [sym_component_identifier] = STATE(3406),
    [sym_new_component_body] = STATE(1057),
    [sym_tagged_type_string] = STATE(1058),
    [sym_tripple_tagged_type_string] = STATE(1059),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1868),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1887),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [521] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_module] = ACTIONS(1926),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [522] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_module] = ACTIONS(1926),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [523] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_module] = ACTIONS(1926),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [524] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_module] = ACTIONS(1926),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [525] = {
    [sym_component_identifier] = STATE(3511),
    [sym_new_component_body] = STATE(1057),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1868),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1875),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [526] = {
    [sym_component_identifier] = STATE(3406),
    [sym_new_component_body] = STATE(1057),
    [sym_tagged_type_string] = STATE(1058),
    [sym_tripple_tagged_type_string] = STATE(1059),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1868),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1887),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [527] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_module] = ACTIONS(1926),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [528] = {
    [sym_identifier] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(1342),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_readonly] = ACTIONS(25),
    [anon_sym_get] = ACTIONS(25),
    [anon_sym_set] = ACTIONS(25),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_any] = ACTIONS(25),
    [anon_sym_number] = ACTIONS(25),
    [anon_sym_boolean] = ACTIONS(25),
    [anon_sym_string] = ACTIONS(25),
    [anon_sym_symbol] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_constructor] = ACTIONS(25),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [529] = {
    [sym_declaration] = STATE(879),
    [sym_variable_declaration] = STATE(812),
    [sym_lexical_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_generator_function_declaration] = STATE(812),
    [sym_decorator] = STATE(1478),
    [sym_function_signature] = STATE(812),
    [sym_ambient_declaration] = STATE(812),
    [sym_abstract_class_declaration] = STATE(812),
    [sym_module] = STATE(812),
    [sym_internal_module] = STATE(816),
    [sym_import_alias] = STATE(812),
    [sym_interface_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_type_alias_declaration] = STATE(812),
    [sym_component_declaration] = STATE(812),
    [sym_component_short_heritage] = STATE(3751),
    [aux_sym_class_repeat1] = STATE(3215),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_function] = ACTIONS(1954),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_declare] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1958),
    [anon_sym_module] = ACTIONS(1960),
    [anon_sym_abstract] = ACTIONS(1928),
    [anon_sym_satisfies] = ACTIONS(65),
    [anon_sym_global] = ACTIONS(1962),
    [anon_sym_interface] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_component] = ACTIONS(15),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [530] = {
    [sym_identifier] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(1342),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_readonly] = ACTIONS(25),
    [anon_sym_get] = ACTIONS(25),
    [anon_sym_set] = ACTIONS(25),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_any] = ACTIONS(25),
    [anon_sym_number] = ACTIONS(25),
    [anon_sym_boolean] = ACTIONS(25),
    [anon_sym_string] = ACTIONS(25),
    [anon_sym_symbol] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_constructor] = ACTIONS(25),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [531] = {
    [sym__call_signature] = STATE(4581),
    [sym_string] = STATE(3370),
    [sym_formal_parameters] = STATE(3695),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_type_parameters] = STATE(4264),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_export] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_readonly] = ACTIONS(1968),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_override] = ACTIONS(1968),
    [anon_sym_module] = ACTIONS(1968),
    [anon_sym_any] = ACTIONS(1968),
    [anon_sym_number] = ACTIONS(1968),
    [anon_sym_boolean] = ACTIONS(1968),
    [anon_sym_string] = ACTIONS(1968),
    [anon_sym_symbol] = ACTIONS(1968),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [532] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1990),
    [anon_sym_as] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_RBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_DOT] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_QMARK_DOT] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(1992),
    [anon_sym_DASH_EQ] = ACTIONS(1992),
    [anon_sym_STAR_EQ] = ACTIONS(1992),
    [anon_sym_SLASH_EQ] = ACTIONS(1992),
    [anon_sym_PERCENT_EQ] = ACTIONS(1992),
    [anon_sym_CARET_EQ] = ACTIONS(1992),
    [anon_sym_AMP_EQ] = ACTIONS(1992),
    [anon_sym_PIPE_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_LT_LT_EQ] = ACTIONS(1992),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1992),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1992),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1992),
    [anon_sym_AMP_AMP] = ACTIONS(1990),
    [anon_sym_PIPE_PIPE] = ACTIONS(1990),
    [anon_sym_GT_GT] = ACTIONS(1990),
    [anon_sym_GT_GT_GT] = ACTIONS(1990),
    [anon_sym_LT_LT] = ACTIONS(1990),
    [anon_sym_AMP] = ACTIONS(1990),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_PIPE] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_PERCENT] = ACTIONS(1990),
    [anon_sym_STAR_STAR] = ACTIONS(1990),
    [anon_sym_LT_EQ] = ACTIONS(1992),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1992),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1992),
    [anon_sym_GT_EQ] = ACTIONS(1992),
    [anon_sym_QMARK_QMARK] = ACTIONS(1990),
    [anon_sym_instanceof] = ACTIONS(1990),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [sym_this] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(1990),
    [anon_sym_infer] = ACTIONS(1990),
    [anon_sym_keyof] = ACTIONS(1990),
    [anon_sym_unknown] = ACTIONS(1990),
    [anon_sym_never] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1992),
    [anon_sym_constructor] = ACTIONS(1990),
    [anon_sym_prop] = ACTIONS(1990),
    [anon_sym_id] = ACTIONS(1990),
    [anon_sym_event] = ACTIONS(1990),
    [anon_sym_fn] = ACTIONS(1990),
    [anon_sym_on] = ACTIONS(1990),
    [sym__ternary_qmark] = ACTIONS(1992),
  },
  [533] = {
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_as] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1996),
    [anon_sym_typeof] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_in] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_EQ] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_GT] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1994),
    [anon_sym_DOT] = ACTIONS(1994),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_QMARK_DOT] = ACTIONS(1996),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(1996),
    [anon_sym_DASH_EQ] = ACTIONS(1996),
    [anon_sym_STAR_EQ] = ACTIONS(1996),
    [anon_sym_SLASH_EQ] = ACTIONS(1996),
    [anon_sym_PERCENT_EQ] = ACTIONS(1996),
    [anon_sym_CARET_EQ] = ACTIONS(1996),
    [anon_sym_AMP_EQ] = ACTIONS(1996),
    [anon_sym_PIPE_EQ] = ACTIONS(1996),
    [anon_sym_GT_GT_EQ] = ACTIONS(1996),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1996),
    [anon_sym_LT_LT_EQ] = ACTIONS(1996),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1996),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1996),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(1994),
    [anon_sym_PIPE_PIPE] = ACTIONS(1994),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(1994),
    [anon_sym_CARET] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1994),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_STAR_STAR] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1996),
    [anon_sym_QMARK_QMARK] = ACTIONS(1994),
    [anon_sym_instanceof] = ACTIONS(1994),
    [anon_sym_void] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1996),
    [sym_number] = ACTIONS(1996),
    [sym_this] = ACTIONS(1994),
    [sym_true] = ACTIONS(1994),
    [sym_false] = ACTIONS(1994),
    [sym_null] = ACTIONS(1994),
    [sym_undefined] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_abstract] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(1994),
    [anon_sym_infer] = ACTIONS(1994),
    [anon_sym_keyof] = ACTIONS(1994),
    [anon_sym_unknown] = ACTIONS(1994),
    [anon_sym_never] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1996),
    [anon_sym_constructor] = ACTIONS(1994),
    [anon_sym_prop] = ACTIONS(1994),
    [anon_sym_id] = ACTIONS(1994),
    [anon_sym_event] = ACTIONS(1994),
    [anon_sym_fn] = ACTIONS(1994),
    [anon_sym_on] = ACTIONS(1994),
    [sym__ternary_qmark] = ACTIONS(1996),
  },
  [534] = {
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(1998),
    [anon_sym_as] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(1998),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [anon_sym_typeof] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(1998),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_in] = ACTIONS(1998),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_EQ] = ACTIONS(1998),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(1998),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(1998),
    [anon_sym_async] = ACTIONS(1998),
    [anon_sym_QMARK_DOT] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(1998),
    [anon_sym_PLUS_EQ] = ACTIONS(2000),
    [anon_sym_DASH_EQ] = ACTIONS(2000),
    [anon_sym_STAR_EQ] = ACTIONS(2000),
    [anon_sym_SLASH_EQ] = ACTIONS(2000),
    [anon_sym_PERCENT_EQ] = ACTIONS(2000),
    [anon_sym_CARET_EQ] = ACTIONS(2000),
    [anon_sym_AMP_EQ] = ACTIONS(2000),
    [anon_sym_PIPE_EQ] = ACTIONS(2000),
    [anon_sym_GT_GT_EQ] = ACTIONS(2000),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2000),
    [anon_sym_LT_LT_EQ] = ACTIONS(2000),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2000),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2000),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(1998),
    [anon_sym_PIPE_PIPE] = ACTIONS(1998),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1998),
    [anon_sym_LT_LT] = ACTIONS(1998),
    [anon_sym_AMP] = ACTIONS(1998),
    [anon_sym_CARET] = ACTIONS(1998),
    [anon_sym_PIPE] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PERCENT] = ACTIONS(1998),
    [anon_sym_STAR_STAR] = ACTIONS(1998),
    [anon_sym_LT_EQ] = ACTIONS(2000),
    [anon_sym_EQ_EQ] = ACTIONS(1998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2000),
    [anon_sym_BANG_EQ] = ACTIONS(1998),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2000),
    [anon_sym_GT_EQ] = ACTIONS(2000),
    [anon_sym_QMARK_QMARK] = ACTIONS(1998),
    [anon_sym_instanceof] = ACTIONS(1998),
    [anon_sym_void] = ACTIONS(1998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2000),
    [sym_number] = ACTIONS(2000),
    [sym_this] = ACTIONS(1998),
    [sym_true] = ACTIONS(1998),
    [sym_false] = ACTIONS(1998),
    [sym_null] = ACTIONS(1998),
    [sym_undefined] = ACTIONS(1998),
    [anon_sym_static] = ACTIONS(1998),
    [anon_sym_readonly] = ACTIONS(1998),
    [anon_sym_get] = ACTIONS(1998),
    [anon_sym_set] = ACTIONS(1998),
    [anon_sym_QMARK] = ACTIONS(1998),
    [anon_sym_any] = ACTIONS(1998),
    [anon_sym_number] = ACTIONS(1998),
    [anon_sym_boolean] = ACTIONS(1998),
    [anon_sym_string] = ACTIONS(1998),
    [anon_sym_symbol] = ACTIONS(1998),
    [anon_sym_abstract] = ACTIONS(1998),
    [anon_sym_satisfies] = ACTIONS(1998),
    [anon_sym_infer] = ACTIONS(1998),
    [anon_sym_keyof] = ACTIONS(1998),
    [anon_sym_unknown] = ACTIONS(1998),
    [anon_sym_never] = ACTIONS(1998),
    [anon_sym_object] = ACTIONS(1998),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_constructor] = ACTIONS(1998),
    [anon_sym_prop] = ACTIONS(1998),
    [anon_sym_id] = ACTIONS(1998),
    [anon_sym_event] = ACTIONS(1998),
    [anon_sym_fn] = ACTIONS(1998),
    [anon_sym_on] = ACTIONS(1998),
    [sym__ternary_qmark] = ACTIONS(2000),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_STAR] = ACTIONS(2002),
    [anon_sym_as] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [anon_sym_typeof] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_EQ] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2002),
    [anon_sym_SLASH] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_async] = ACTIONS(2002),
    [anon_sym_QMARK_DOT] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_PLUS_EQ] = ACTIONS(2004),
    [anon_sym_DASH_EQ] = ACTIONS(2004),
    [anon_sym_STAR_EQ] = ACTIONS(2004),
    [anon_sym_SLASH_EQ] = ACTIONS(2004),
    [anon_sym_PERCENT_EQ] = ACTIONS(2004),
    [anon_sym_CARET_EQ] = ACTIONS(2004),
    [anon_sym_AMP_EQ] = ACTIONS(2004),
    [anon_sym_PIPE_EQ] = ACTIONS(2004),
    [anon_sym_GT_GT_EQ] = ACTIONS(2004),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2004),
    [anon_sym_LT_LT_EQ] = ACTIONS(2004),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2004),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2004),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2004),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_GT_GT] = ACTIONS(2002),
    [anon_sym_GT_GT_GT] = ACTIONS(2002),
    [anon_sym_LT_LT] = ACTIONS(2002),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_CARET] = ACTIONS(2002),
    [anon_sym_PIPE] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_STAR_STAR] = ACTIONS(2002),
    [anon_sym_LT_EQ] = ACTIONS(2004),
    [anon_sym_EQ_EQ] = ACTIONS(2002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2004),
    [anon_sym_BANG_EQ] = ACTIONS(2002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2004),
    [anon_sym_GT_EQ] = ACTIONS(2004),
    [anon_sym_QMARK_QMARK] = ACTIONS(2002),
    [anon_sym_instanceof] = ACTIONS(2002),
    [anon_sym_void] = ACTIONS(2002),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_DQUOTE] = ACTIONS(2004),
    [anon_sym_SQUOTE] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2004),
    [sym_number] = ACTIONS(2004),
    [sym_this] = ACTIONS(2002),
    [sym_true] = ACTIONS(2002),
    [sym_false] = ACTIONS(2002),
    [sym_null] = ACTIONS(2002),
    [sym_undefined] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2002),
    [anon_sym_readonly] = ACTIONS(2002),
    [anon_sym_get] = ACTIONS(2002),
    [anon_sym_set] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_any] = ACTIONS(2002),
    [anon_sym_number] = ACTIONS(2002),
    [anon_sym_boolean] = ACTIONS(2002),
    [anon_sym_string] = ACTIONS(2002),
    [anon_sym_symbol] = ACTIONS(2002),
    [anon_sym_abstract] = ACTIONS(2002),
    [anon_sym_satisfies] = ACTIONS(2002),
    [anon_sym_infer] = ACTIONS(2002),
    [anon_sym_keyof] = ACTIONS(2002),
    [anon_sym_unknown] = ACTIONS(2002),
    [anon_sym_never] = ACTIONS(2002),
    [anon_sym_object] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2004),
    [anon_sym_constructor] = ACTIONS(2002),
    [anon_sym_prop] = ACTIONS(2002),
    [anon_sym_id] = ACTIONS(2002),
    [anon_sym_event] = ACTIONS(2002),
    [anon_sym_fn] = ACTIONS(2002),
    [anon_sym_on] = ACTIONS(2002),
    [sym__ternary_qmark] = ACTIONS(2004),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_as] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_typeof] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_GT] = ACTIONS(2006),
    [anon_sym_SLASH] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2006),
    [anon_sym_async] = ACTIONS(2006),
    [anon_sym_QMARK_DOT] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_PLUS_EQ] = ACTIONS(2008),
    [anon_sym_DASH_EQ] = ACTIONS(2008),
    [anon_sym_STAR_EQ] = ACTIONS(2008),
    [anon_sym_SLASH_EQ] = ACTIONS(2008),
    [anon_sym_PERCENT_EQ] = ACTIONS(2008),
    [anon_sym_CARET_EQ] = ACTIONS(2008),
    [anon_sym_AMP_EQ] = ACTIONS(2008),
    [anon_sym_PIPE_EQ] = ACTIONS(2008),
    [anon_sym_GT_GT_EQ] = ACTIONS(2008),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2008),
    [anon_sym_LT_LT_EQ] = ACTIONS(2008),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2008),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2006),
    [anon_sym_PIPE_PIPE] = ACTIONS(2006),
    [anon_sym_GT_GT] = ACTIONS(2006),
    [anon_sym_GT_GT_GT] = ACTIONS(2006),
    [anon_sym_LT_LT] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2006),
    [anon_sym_PIPE] = ACTIONS(2006),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2006),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_STAR_STAR] = ACTIONS(2006),
    [anon_sym_LT_EQ] = ACTIONS(2008),
    [anon_sym_EQ_EQ] = ACTIONS(2006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2008),
    [anon_sym_GT_EQ] = ACTIONS(2008),
    [anon_sym_QMARK_QMARK] = ACTIONS(2006),
    [anon_sym_instanceof] = ACTIONS(2006),
    [anon_sym_void] = ACTIONS(2006),
    [anon_sym_PLUS_PLUS] = ACTIONS(2008),
    [anon_sym_DASH_DASH] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_SQUOTE] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2008),
    [sym_number] = ACTIONS(2008),
    [sym_this] = ACTIONS(2006),
    [sym_true] = ACTIONS(2006),
    [sym_false] = ACTIONS(2006),
    [sym_null] = ACTIONS(2006),
    [sym_undefined] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2006),
    [anon_sym_readonly] = ACTIONS(2006),
    [anon_sym_get] = ACTIONS(2006),
    [anon_sym_set] = ACTIONS(2006),
    [anon_sym_QMARK] = ACTIONS(2006),
    [anon_sym_any] = ACTIONS(2006),
    [anon_sym_number] = ACTIONS(2006),
    [anon_sym_boolean] = ACTIONS(2006),
    [anon_sym_string] = ACTIONS(2006),
    [anon_sym_symbol] = ACTIONS(2006),
    [anon_sym_abstract] = ACTIONS(2006),
    [anon_sym_satisfies] = ACTIONS(2006),
    [anon_sym_infer] = ACTIONS(2006),
    [anon_sym_keyof] = ACTIONS(2006),
    [anon_sym_unknown] = ACTIONS(2006),
    [anon_sym_never] = ACTIONS(2006),
    [anon_sym_object] = ACTIONS(2006),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2008),
    [anon_sym_constructor] = ACTIONS(2006),
    [anon_sym_prop] = ACTIONS(2006),
    [anon_sym_id] = ACTIONS(2006),
    [anon_sym_event] = ACTIONS(2006),
    [anon_sym_fn] = ACTIONS(2006),
    [anon_sym_on] = ACTIONS(2006),
    [sym__ternary_qmark] = ACTIONS(2008),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(2010),
    [anon_sym_as] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2012),
    [anon_sym_typeof] = ACTIONS(2010),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2012),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_LBRACK] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(2010),
    [anon_sym_GT] = ACTIONS(2010),
    [anon_sym_SLASH] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2010),
    [anon_sym_async] = ACTIONS(2010),
    [anon_sym_QMARK_DOT] = ACTIONS(2012),
    [anon_sym_new] = ACTIONS(2010),
    [anon_sym_PLUS_EQ] = ACTIONS(2012),
    [anon_sym_DASH_EQ] = ACTIONS(2012),
    [anon_sym_STAR_EQ] = ACTIONS(2012),
    [anon_sym_SLASH_EQ] = ACTIONS(2012),
    [anon_sym_PERCENT_EQ] = ACTIONS(2012),
    [anon_sym_CARET_EQ] = ACTIONS(2012),
    [anon_sym_AMP_EQ] = ACTIONS(2012),
    [anon_sym_PIPE_EQ] = ACTIONS(2012),
    [anon_sym_GT_GT_EQ] = ACTIONS(2012),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2012),
    [anon_sym_LT_LT_EQ] = ACTIONS(2012),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2012),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2012),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2012),
    [anon_sym_AMP_AMP] = ACTIONS(2010),
    [anon_sym_PIPE_PIPE] = ACTIONS(2010),
    [anon_sym_GT_GT] = ACTIONS(2010),
    [anon_sym_GT_GT_GT] = ACTIONS(2010),
    [anon_sym_LT_LT] = ACTIONS(2010),
    [anon_sym_AMP] = ACTIONS(2010),
    [anon_sym_CARET] = ACTIONS(2010),
    [anon_sym_PIPE] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(2010),
    [anon_sym_STAR_STAR] = ACTIONS(2010),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(2010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(2010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_QMARK_QMARK] = ACTIONS(2010),
    [anon_sym_instanceof] = ACTIONS(2010),
    [anon_sym_void] = ACTIONS(2010),
    [anon_sym_PLUS_PLUS] = ACTIONS(2012),
    [anon_sym_DASH_DASH] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [anon_sym_SQUOTE] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2012),
    [sym_number] = ACTIONS(2012),
    [sym_this] = ACTIONS(2010),
    [sym_true] = ACTIONS(2010),
    [sym_false] = ACTIONS(2010),
    [sym_null] = ACTIONS(2010),
    [sym_undefined] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(2010),
    [anon_sym_satisfies] = ACTIONS(2010),
    [anon_sym_infer] = ACTIONS(2010),
    [anon_sym_keyof] = ACTIONS(2010),
    [anon_sym_unknown] = ACTIONS(2010),
    [anon_sym_never] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2012),
    [anon_sym_constructor] = ACTIONS(2010),
    [anon_sym_prop] = ACTIONS(2010),
    [anon_sym_id] = ACTIONS(2010),
    [anon_sym_event] = ACTIONS(2010),
    [anon_sym_fn] = ACTIONS(2010),
    [anon_sym_on] = ACTIONS(2010),
    [sym__ternary_qmark] = ACTIONS(2012),
  },
  [538] = {
    [sym__call_signature] = STATE(4581),
    [sym_string] = STATE(3370),
    [sym_formal_parameters] = STATE(3695),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_type_parameters] = STATE(4264),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_export] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_readonly] = ACTIONS(1968),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_override] = ACTIONS(1968),
    [anon_sym_module] = ACTIONS(1968),
    [anon_sym_any] = ACTIONS(1968),
    [anon_sym_number] = ACTIONS(1968),
    [anon_sym_boolean] = ACTIONS(1968),
    [anon_sym_string] = ACTIONS(1968),
    [anon_sym_symbol] = ACTIONS(1968),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [539] = {
    [sym__call_signature] = STATE(4581),
    [sym_string] = STATE(3370),
    [sym_formal_parameters] = STATE(3695),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_type_parameters] = STATE(4264),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_export] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_readonly] = ACTIONS(1968),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_override] = ACTIONS(1968),
    [anon_sym_module] = ACTIONS(1968),
    [anon_sym_any] = ACTIONS(1968),
    [anon_sym_number] = ACTIONS(1968),
    [anon_sym_boolean] = ACTIONS(1968),
    [anon_sym_string] = ACTIONS(1968),
    [anon_sym_symbol] = ACTIONS(1968),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [540] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_as] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_RBRACE] = ACTIONS(2016),
    [anon_sym_typeof] = ACTIONS(2014),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_LPAREN] = ACTIONS(2016),
    [anon_sym_in] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2016),
    [anon_sym_EQ] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(2014),
    [anon_sym_SLASH] = ACTIONS(2014),
    [anon_sym_DOT] = ACTIONS(2014),
    [anon_sym_async] = ACTIONS(2014),
    [anon_sym_QMARK_DOT] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(2014),
    [anon_sym_PLUS_EQ] = ACTIONS(2016),
    [anon_sym_DASH_EQ] = ACTIONS(2016),
    [anon_sym_STAR_EQ] = ACTIONS(2016),
    [anon_sym_SLASH_EQ] = ACTIONS(2016),
    [anon_sym_PERCENT_EQ] = ACTIONS(2016),
    [anon_sym_CARET_EQ] = ACTIONS(2016),
    [anon_sym_AMP_EQ] = ACTIONS(2016),
    [anon_sym_PIPE_EQ] = ACTIONS(2016),
    [anon_sym_GT_GT_EQ] = ACTIONS(2016),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2016),
    [anon_sym_LT_LT_EQ] = ACTIONS(2016),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2016),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2016),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2016),
    [anon_sym_AMP_AMP] = ACTIONS(2014),
    [anon_sym_PIPE_PIPE] = ACTIONS(2014),
    [anon_sym_GT_GT] = ACTIONS(2014),
    [anon_sym_GT_GT_GT] = ACTIONS(2014),
    [anon_sym_LT_LT] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_CARET] = ACTIONS(2014),
    [anon_sym_PIPE] = ACTIONS(2014),
    [anon_sym_PLUS] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2014),
    [anon_sym_PERCENT] = ACTIONS(2014),
    [anon_sym_STAR_STAR] = ACTIONS(2014),
    [anon_sym_LT_EQ] = ACTIONS(2016),
    [anon_sym_EQ_EQ] = ACTIONS(2014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2016),
    [anon_sym_BANG_EQ] = ACTIONS(2014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2016),
    [anon_sym_GT_EQ] = ACTIONS(2016),
    [anon_sym_QMARK_QMARK] = ACTIONS(2014),
    [anon_sym_instanceof] = ACTIONS(2014),
    [anon_sym_void] = ACTIONS(2014),
    [anon_sym_PLUS_PLUS] = ACTIONS(2016),
    [anon_sym_DASH_DASH] = ACTIONS(2016),
    [anon_sym_DQUOTE] = ACTIONS(2016),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2016),
    [sym_number] = ACTIONS(2016),
    [sym_this] = ACTIONS(2014),
    [sym_true] = ACTIONS(2014),
    [sym_false] = ACTIONS(2014),
    [sym_null] = ACTIONS(2014),
    [sym_undefined] = ACTIONS(2014),
    [anon_sym_static] = ACTIONS(2014),
    [anon_sym_readonly] = ACTIONS(2014),
    [anon_sym_get] = ACTIONS(2014),
    [anon_sym_set] = ACTIONS(2014),
    [anon_sym_QMARK] = ACTIONS(2014),
    [anon_sym_any] = ACTIONS(2014),
    [anon_sym_number] = ACTIONS(2014),
    [anon_sym_boolean] = ACTIONS(2014),
    [anon_sym_string] = ACTIONS(2014),
    [anon_sym_symbol] = ACTIONS(2014),
    [anon_sym_abstract] = ACTIONS(2014),
    [anon_sym_satisfies] = ACTIONS(2014),
    [anon_sym_infer] = ACTIONS(2014),
    [anon_sym_keyof] = ACTIONS(2014),
    [anon_sym_unknown] = ACTIONS(2014),
    [anon_sym_never] = ACTIONS(2014),
    [anon_sym_object] = ACTIONS(2014),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2016),
    [anon_sym_constructor] = ACTIONS(2014),
    [anon_sym_prop] = ACTIONS(2014),
    [anon_sym_id] = ACTIONS(2014),
    [anon_sym_event] = ACTIONS(2014),
    [anon_sym_fn] = ACTIONS(2014),
    [anon_sym_on] = ACTIONS(2014),
    [sym__ternary_qmark] = ACTIONS(2016),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_as] = ACTIONS(2018),
    [anon_sym_LBRACE] = ACTIONS(2018),
    [anon_sym_RBRACE] = ACTIONS(2020),
    [anon_sym_typeof] = ACTIONS(2018),
    [anon_sym_BANG] = ACTIONS(2018),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_in] = ACTIONS(2018),
    [anon_sym_SEMI] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_LT] = ACTIONS(2018),
    [anon_sym_GT] = ACTIONS(2018),
    [anon_sym_SLASH] = ACTIONS(2018),
    [anon_sym_DOT] = ACTIONS(2018),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_QMARK_DOT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2018),
    [anon_sym_PLUS_EQ] = ACTIONS(2020),
    [anon_sym_DASH_EQ] = ACTIONS(2020),
    [anon_sym_STAR_EQ] = ACTIONS(2020),
    [anon_sym_SLASH_EQ] = ACTIONS(2020),
    [anon_sym_PERCENT_EQ] = ACTIONS(2020),
    [anon_sym_CARET_EQ] = ACTIONS(2020),
    [anon_sym_AMP_EQ] = ACTIONS(2020),
    [anon_sym_PIPE_EQ] = ACTIONS(2020),
    [anon_sym_GT_GT_EQ] = ACTIONS(2020),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2020),
    [anon_sym_LT_LT_EQ] = ACTIONS(2020),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2020),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2020),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2020),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2020),
    [anon_sym_AMP_AMP] = ACTIONS(2018),
    [anon_sym_PIPE_PIPE] = ACTIONS(2018),
    [anon_sym_GT_GT] = ACTIONS(2018),
    [anon_sym_GT_GT_GT] = ACTIONS(2018),
    [anon_sym_LT_LT] = ACTIONS(2018),
    [anon_sym_AMP] = ACTIONS(2018),
    [anon_sym_CARET] = ACTIONS(2018),
    [anon_sym_PIPE] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2018),
    [anon_sym_PERCENT] = ACTIONS(2018),
    [anon_sym_STAR_STAR] = ACTIONS(2018),
    [anon_sym_LT_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ] = ACTIONS(2018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ] = ACTIONS(2018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2020),
    [anon_sym_GT_EQ] = ACTIONS(2020),
    [anon_sym_QMARK_QMARK] = ACTIONS(2018),
    [anon_sym_instanceof] = ACTIONS(2018),
    [anon_sym_void] = ACTIONS(2018),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_DQUOTE] = ACTIONS(2020),
    [anon_sym_SQUOTE] = ACTIONS(2020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2020),
    [sym_number] = ACTIONS(2020),
    [sym_this] = ACTIONS(2018),
    [sym_true] = ACTIONS(2018),
    [sym_false] = ACTIONS(2018),
    [sym_null] = ACTIONS(2018),
    [sym_undefined] = ACTIONS(2018),
    [anon_sym_static] = ACTIONS(2018),
    [anon_sym_readonly] = ACTIONS(2018),
    [anon_sym_get] = ACTIONS(2018),
    [anon_sym_set] = ACTIONS(2018),
    [anon_sym_QMARK] = ACTIONS(2018),
    [anon_sym_any] = ACTIONS(2018),
    [anon_sym_number] = ACTIONS(2018),
    [anon_sym_boolean] = ACTIONS(2018),
    [anon_sym_string] = ACTIONS(2018),
    [anon_sym_symbol] = ACTIONS(2018),
    [anon_sym_abstract] = ACTIONS(2018),
    [anon_sym_satisfies] = ACTIONS(2018),
    [anon_sym_infer] = ACTIONS(2018),
    [anon_sym_keyof] = ACTIONS(2018),
    [anon_sym_unknown] = ACTIONS(2018),
    [anon_sym_never] = ACTIONS(2018),
    [anon_sym_object] = ACTIONS(2018),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2018),
    [anon_sym_prop] = ACTIONS(2018),
    [anon_sym_id] = ACTIONS(2018),
    [anon_sym_event] = ACTIONS(2018),
    [anon_sym_fn] = ACTIONS(2018),
    [anon_sym_on] = ACTIONS(2018),
    [sym__ternary_qmark] = ACTIONS(2020),
  },
  [543] = {
    [sym__call_signature] = STATE(4581),
    [sym_string] = STATE(3370),
    [sym_formal_parameters] = STATE(3695),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_type_parameters] = STATE(4264),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_export] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_readonly] = ACTIONS(1968),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_override] = ACTIONS(1968),
    [anon_sym_module] = ACTIONS(1968),
    [anon_sym_any] = ACTIONS(1968),
    [anon_sym_number] = ACTIONS(1968),
    [anon_sym_boolean] = ACTIONS(1968),
    [anon_sym_string] = ACTIONS(1968),
    [anon_sym_symbol] = ACTIONS(1968),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [544] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2022),
    [anon_sym_as] = ACTIONS(2022),
    [anon_sym_LBRACE] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_typeof] = ACTIONS(2022),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2022),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_EQ] = ACTIONS(2022),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2022),
    [anon_sym_GT] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(2022),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_async] = ACTIONS(2022),
    [anon_sym_QMARK_DOT] = ACTIONS(2024),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_PLUS_EQ] = ACTIONS(2024),
    [anon_sym_DASH_EQ] = ACTIONS(2024),
    [anon_sym_STAR_EQ] = ACTIONS(2024),
    [anon_sym_SLASH_EQ] = ACTIONS(2024),
    [anon_sym_PERCENT_EQ] = ACTIONS(2024),
    [anon_sym_CARET_EQ] = ACTIONS(2024),
    [anon_sym_AMP_EQ] = ACTIONS(2024),
    [anon_sym_PIPE_EQ] = ACTIONS(2024),
    [anon_sym_GT_GT_EQ] = ACTIONS(2024),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2024),
    [anon_sym_LT_LT_EQ] = ACTIONS(2024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2024),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2024),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2022),
    [anon_sym_PIPE_PIPE] = ACTIONS(2022),
    [anon_sym_GT_GT] = ACTIONS(2022),
    [anon_sym_GT_GT_GT] = ACTIONS(2022),
    [anon_sym_LT_LT] = ACTIONS(2022),
    [anon_sym_AMP] = ACTIONS(2022),
    [anon_sym_CARET] = ACTIONS(2022),
    [anon_sym_PIPE] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2022),
    [anon_sym_PERCENT] = ACTIONS(2022),
    [anon_sym_STAR_STAR] = ACTIONS(2022),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_QMARK_QMARK] = ACTIONS(2022),
    [anon_sym_instanceof] = ACTIONS(2022),
    [anon_sym_void] = ACTIONS(2022),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_DQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2024),
    [sym_number] = ACTIONS(2024),
    [sym_this] = ACTIONS(2022),
    [sym_true] = ACTIONS(2022),
    [sym_false] = ACTIONS(2022),
    [sym_null] = ACTIONS(2022),
    [sym_undefined] = ACTIONS(2022),
    [anon_sym_static] = ACTIONS(2022),
    [anon_sym_readonly] = ACTIONS(2022),
    [anon_sym_get] = ACTIONS(2022),
    [anon_sym_set] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2022),
    [anon_sym_any] = ACTIONS(2022),
    [anon_sym_number] = ACTIONS(2022),
    [anon_sym_boolean] = ACTIONS(2022),
    [anon_sym_string] = ACTIONS(2022),
    [anon_sym_symbol] = ACTIONS(2022),
    [anon_sym_abstract] = ACTIONS(2022),
    [anon_sym_satisfies] = ACTIONS(2022),
    [anon_sym_infer] = ACTIONS(2022),
    [anon_sym_keyof] = ACTIONS(2022),
    [anon_sym_unknown] = ACTIONS(2022),
    [anon_sym_never] = ACTIONS(2022),
    [anon_sym_object] = ACTIONS(2022),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2024),
    [anon_sym_constructor] = ACTIONS(2022),
    [anon_sym_prop] = ACTIONS(2022),
    [anon_sym_id] = ACTIONS(2022),
    [anon_sym_event] = ACTIONS(2022),
    [anon_sym_fn] = ACTIONS(2022),
    [anon_sym_on] = ACTIONS(2022),
    [sym__ternary_qmark] = ACTIONS(2024),
  },
  [546] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [547] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(552),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [548] = {
    [sym_identifier] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_readonly] = ACTIONS(25),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_any] = ACTIONS(25),
    [anon_sym_number] = ACTIONS(25),
    [anon_sym_boolean] = ACTIONS(25),
    [anon_sym_string] = ACTIONS(25),
    [anon_sym_symbol] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [549] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(553),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2058),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [550] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2060),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_typeof] = ACTIONS(2071),
    [anon_sym_LPAREN] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2080),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_new] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2089),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2095),
    [anon_sym_DASH] = ACTIONS(2095),
    [anon_sym_void] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2110),
    [sym_this] = ACTIONS(2113),
    [sym_true] = ACTIONS(2116),
    [sym_false] = ACTIONS(2116),
    [sym_null] = ACTIONS(2116),
    [sym_undefined] = ACTIONS(2116),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2122),
    [anon_sym_get] = ACTIONS(2125),
    [anon_sym_set] = ACTIONS(2128),
    [anon_sym_QMARK] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2098),
    [anon_sym_number] = ACTIONS(2098),
    [anon_sym_boolean] = ACTIONS(2098),
    [anon_sym_string] = ACTIONS(2098),
    [anon_sym_symbol] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_infer] = ACTIONS(2137),
    [anon_sym_keyof] = ACTIONS(2140),
    [anon_sym_unknown] = ACTIONS(2098),
    [anon_sym_never] = ACTIONS(2098),
    [anon_sym_object] = ACTIONS(2098),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2143),
    [anon_sym_constructor] = ACTIONS(2146),
    [anon_sym_prop] = ACTIONS(2149),
    [anon_sym_id] = ACTIONS(2152),
    [anon_sym_event] = ACTIONS(2155),
    [anon_sym_fn] = ACTIONS(2158),
    [anon_sym_on] = ACTIONS(2161),
  },
  [551] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [552] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2166),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [553] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [554] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2170),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [555] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(557),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [556] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(554),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [557] = {
    [sym_nested_identifier] = STATE(2992),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1545),
    [sym_new_tagged_component_expression] = STATE(1545),
    [sym_new_tripple_tagged_component_expression] = STATE(1545),
    [sym_constructor_definition] = STATE(1545),
    [sym_type_narrow] = STATE(4324),
    [sym_property_declaration] = STATE(1545),
    [sym_static_property_declaration] = STATE(1545),
    [sym_identifier_property_assignment] = STATE(1545),
    [sym_property_assignment] = STATE(1545),
    [sym_event_declaration] = STATE(1545),
    [sym_property_accessor_declaration] = STATE(1545),
    [sym_typed_method_declaration] = STATE(1545),
    [sym_listener_declaration] = STATE(1545),
    [aux_sym_component_body_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(2040),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_constructor] = ACTIONS(2044),
    [anon_sym_prop] = ACTIONS(2046),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2054),
  },
  [558] = {
    [sym_identifier] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(25),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(25),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(25),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_number] = ACTIONS(65),
    [sym_this] = ACTIONS(25),
    [sym_true] = ACTIONS(25),
    [sym_false] = ACTIONS(25),
    [sym_null] = ACTIONS(25),
    [sym_undefined] = ACTIONS(25),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_readonly] = ACTIONS(25),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_any] = ACTIONS(25),
    [anon_sym_number] = ACTIONS(25),
    [anon_sym_boolean] = ACTIONS(25),
    [anon_sym_string] = ACTIONS(25),
    [anon_sym_symbol] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_infer] = ACTIONS(25),
    [anon_sym_keyof] = ACTIONS(25),
    [anon_sym_unknown] = ACTIONS(25),
    [anon_sym_never] = ACTIONS(25),
    [anon_sym_object] = ACTIONS(25),
    [anon_sym_LBRACE_PIPE] = ACTIONS(65),
    [anon_sym_prop] = ACTIONS(25),
    [anon_sym_id] = ACTIONS(25),
    [anon_sym_event] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(25),
    [anon_sym_on] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [559] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_override_modifier] = STATE(2663),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [560] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_override_modifier] = STATE(2663),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [561] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [562] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_override_modifier] = STATE(2663),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [563] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [sym_override_modifier] = STATE(2663),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [564] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [565] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [566] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [567] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [568] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [569] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [570] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [571] = {
    [sym_string] = STATE(3370),
    [sym__property_name] = STATE(3370),
    [sym_computed_property_name] = STATE(3370),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [572] = {
    [aux_sym_import_path_segment_repeat1] = STATE(616),
    [aux_sym_js_import_statement_repeat1] = STATE(3975),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2191),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2191),
    [anon_sym_typeof] = ACTIONS(2191),
    [anon_sym_import] = ACTIONS(2191),
    [anon_sym_from] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2191),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_const] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2191),
    [anon_sym_if] = ACTIONS(2191),
    [anon_sym_switch] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_try] = ACTIONS(2191),
    [anon_sym_with] = ACTIONS(2191),
    [anon_sym_break] = ACTIONS(2191),
    [anon_sym_continue] = ACTIONS(2191),
    [anon_sym_debugger] = ACTIONS(2191),
    [anon_sym_return] = ACTIONS(2191),
    [anon_sym_throw] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2191),
    [anon_sym_default] = ACTIONS(2191),
    [anon_sym_yield] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_class] = ACTIONS(2191),
    [anon_sym_async] = ACTIONS(2191),
    [anon_sym_function] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2191),
    [anon_sym_delete] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2201),
    [sym_this] = ACTIONS(2191),
    [sym_super] = ACTIONS(2191),
    [sym_true] = ACTIONS(2191),
    [sym_false] = ACTIONS(2191),
    [sym_null] = ACTIONS(2191),
    [sym_undefined] = ACTIONS(2191),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2191),
    [anon_sym_readonly] = ACTIONS(2191),
    [anon_sym_get] = ACTIONS(2191),
    [anon_sym_set] = ACTIONS(2191),
    [anon_sym_declare] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2191),
    [anon_sym_public] = ACTIONS(2191),
    [anon_sym_private] = ACTIONS(2191),
    [anon_sym_protected] = ACTIONS(2191),
    [anon_sym_override] = ACTIONS(2191),
    [anon_sym_module] = ACTIONS(2191),
    [anon_sym_any] = ACTIONS(2191),
    [anon_sym_number] = ACTIONS(2191),
    [anon_sym_boolean] = ACTIONS(2191),
    [anon_sym_string] = ACTIONS(2191),
    [anon_sym_symbol] = ACTIONS(2191),
    [anon_sym_abstract] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2191),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_component] = ACTIONS(2191),
  },
  [573] = {
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1854),
    [sym_private_property_identifier] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [574] = {
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1854),
    [sym_private_property_identifier] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [575] = {
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1858),
    [sym_private_property_identifier] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [576] = {
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1854),
    [sym_private_property_identifier] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [577] = {
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1858),
    [sym_private_property_identifier] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [578] = {
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1858),
    [sym_private_property_identifier] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [579] = {
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_export] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1854),
    [sym_private_property_identifier] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_readonly] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1852),
    [anon_sym_namespace] = ACTIONS(1852),
    [anon_sym_public] = ACTIONS(1852),
    [anon_sym_private] = ACTIONS(1852),
    [anon_sym_protected] = ACTIONS(1852),
    [anon_sym_override] = ACTIONS(1852),
    [anon_sym_module] = ACTIONS(1852),
    [anon_sym_any] = ACTIONS(1852),
    [anon_sym_number] = ACTIONS(1852),
    [anon_sym_boolean] = ACTIONS(1852),
    [anon_sym_string] = ACTIONS(1852),
    [anon_sym_symbol] = ACTIONS(1852),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [580] = {
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_export] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1858),
    [sym_private_property_identifier] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_readonly] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_namespace] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1856),
    [anon_sym_private] = ACTIONS(1856),
    [anon_sym_protected] = ACTIONS(1856),
    [anon_sym_override] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1856),
    [anon_sym_number] = ACTIONS(1856),
    [anon_sym_boolean] = ACTIONS(1856),
    [anon_sym_string] = ACTIONS(1856),
    [anon_sym_symbol] = ACTIONS(1856),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [581] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(584),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [582] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [583] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(590),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [584] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [585] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(589),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [586] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [587] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(586),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [588] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(582),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2226),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [589] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [590] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2048),
    [anon_sym_event] = ACTIONS(2050),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_on] = ACTIONS(2212),
  },
  [591] = {
    [sym_nested_identifier] = STATE(3028),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_nested_new_component_expression] = STATE(1634),
    [sym_new_tagged_component_expression] = STATE(1634),
    [sym_new_tripple_tagged_component_expression] = STATE(1634),
    [sym_type_narrow] = STATE(4319),
    [sym_property_declaration] = STATE(1634),
    [sym_identifier_property_assignment] = STATE(1634),
    [sym_property_assignment] = STATE(1634),
    [sym_event_declaration] = STATE(1634),
    [sym_typed_method_declaration] = STATE(1634),
    [sym_listener_declaration] = STATE(1634),
    [aux_sym_new_component_body_repeat1] = STATE(591),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_typeof] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2255),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_void] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2273),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2279),
    [sym_number] = ACTIONS(2282),
    [sym_this] = ACTIONS(2285),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_readonly] = ACTIONS(2294),
    [anon_sym_QMARK] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2270),
    [anon_sym_number] = ACTIONS(2270),
    [anon_sym_boolean] = ACTIONS(2270),
    [anon_sym_string] = ACTIONS(2270),
    [anon_sym_symbol] = ACTIONS(2270),
    [anon_sym_abstract] = ACTIONS(2300),
    [anon_sym_infer] = ACTIONS(2303),
    [anon_sym_keyof] = ACTIONS(2306),
    [anon_sym_unknown] = ACTIONS(2270),
    [anon_sym_never] = ACTIONS(2270),
    [anon_sym_object] = ACTIONS(2270),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2309),
    [anon_sym_prop] = ACTIONS(2312),
    [anon_sym_id] = ACTIONS(2315),
    [anon_sym_event] = ACTIONS(2318),
    [anon_sym_fn] = ACTIONS(2321),
    [anon_sym_on] = ACTIONS(2324),
  },
  [592] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(1129),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(1129),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [593] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [594] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_RBRACE] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [595] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [596] = {
    [sym_catch_clause] = STATE(674),
    [sym_finally_clause] = STATE(835),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_export] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2341),
    [anon_sym_RBRACE] = ACTIONS(2341),
    [anon_sym_type] = ACTIONS(2339),
    [anon_sym_typeof] = ACTIONS(2339),
    [anon_sym_import] = ACTIONS(2339),
    [anon_sym_var] = ACTIONS(2339),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2341),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_switch] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_await] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_do] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2339),
    [anon_sym_continue] = ACTIONS(2339),
    [anon_sym_debugger] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_SEMI] = ACTIONS(2341),
    [anon_sym_case] = ACTIONS(2339),
    [anon_sym_default] = ACTIONS(2339),
    [anon_sym_catch] = ACTIONS(2343),
    [anon_sym_finally] = ACTIONS(2345),
    [anon_sym_yield] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [anon_sym_LTtemplate_GT] = ACTIONS(2341),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_class] = ACTIONS(2339),
    [anon_sym_async] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2341),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2341),
    [anon_sym_void] = ACTIONS(2339),
    [anon_sym_delete] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2341),
    [anon_sym_DASH_DASH] = ACTIONS(2341),
    [anon_sym_DQUOTE] = ACTIONS(2341),
    [anon_sym_SQUOTE] = ACTIONS(2341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2341),
    [sym_number] = ACTIONS(2341),
    [sym_this] = ACTIONS(2339),
    [sym_super] = ACTIONS(2339),
    [sym_true] = ACTIONS(2339),
    [sym_false] = ACTIONS(2339),
    [sym_null] = ACTIONS(2339),
    [sym_undefined] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2341),
    [anon_sym_static] = ACTIONS(2339),
    [anon_sym_readonly] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_declare] = ACTIONS(2339),
    [anon_sym_namespace] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_module] = ACTIONS(2339),
    [anon_sym_any] = ACTIONS(2339),
    [anon_sym_number] = ACTIONS(2339),
    [anon_sym_boolean] = ACTIONS(2339),
    [anon_sym_string] = ACTIONS(2339),
    [anon_sym_symbol] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_interface] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_component] = ACTIONS(2339),
  },
  [597] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [598] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_catch] = ACTIONS(1460),
    [anon_sym_finally] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(2347),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_export] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_typeof] = ACTIONS(1474),
    [anon_sym_import] = ACTIONS(1474),
    [anon_sym_var] = ACTIONS(1474),
    [anon_sym_let] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_else] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_await] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_try] = ACTIONS(1474),
    [anon_sym_with] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_debugger] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_throw] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_yield] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_LTtemplate_GT] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_class] = ACTIONS(1474),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_void] = ACTIONS(1474),
    [anon_sym_delete] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_number] = ACTIONS(1476),
    [sym_this] = ACTIONS(1474),
    [sym_super] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_undefined] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_readonly] = ACTIONS(1474),
    [anon_sym_get] = ACTIONS(1474),
    [anon_sym_set] = ACTIONS(1474),
    [anon_sym_declare] = ACTIONS(1474),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_public] = ACTIONS(1474),
    [anon_sym_private] = ACTIONS(1474),
    [anon_sym_protected] = ACTIONS(1474),
    [anon_sym_override] = ACTIONS(1474),
    [anon_sym_module] = ACTIONS(1474),
    [anon_sym_any] = ACTIONS(1474),
    [anon_sym_number] = ACTIONS(1474),
    [anon_sym_boolean] = ACTIONS(1474),
    [anon_sym_string] = ACTIONS(1474),
    [anon_sym_symbol] = ACTIONS(1474),
    [anon_sym_abstract] = ACTIONS(1474),
    [anon_sym_interface] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_component] = ACTIONS(1474),
    [anon_sym_instance] = ACTIONS(1474),
    [sym__automatic_semicolon] = ACTIONS(1476),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym_identifier] = ACTIONS(1590),
    [anon_sym_export] = ACTIONS(1590),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_type] = ACTIONS(1590),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(1590),
    [anon_sym_var] = ACTIONS(1590),
    [anon_sym_let] = ACTIONS(1590),
    [anon_sym_const] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1590),
    [anon_sym_switch] = ACTIONS(1590),
    [anon_sym_for] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1590),
    [anon_sym_while] = ACTIONS(1590),
    [anon_sym_do] = ACTIONS(1590),
    [anon_sym_try] = ACTIONS(1590),
    [anon_sym_with] = ACTIONS(1590),
    [anon_sym_break] = ACTIONS(1590),
    [anon_sym_continue] = ACTIONS(1590),
    [anon_sym_debugger] = ACTIONS(1590),
    [anon_sym_return] = ACTIONS(1590),
    [anon_sym_throw] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1590),
    [anon_sym_default] = ACTIONS(1590),
    [anon_sym_yield] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LTtemplate_GT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_class] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(1590),
    [anon_sym_function] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1590),
    [sym_super] = ACTIONS(1590),
    [sym_true] = ACTIONS(1590),
    [sym_false] = ACTIONS(1590),
    [sym_null] = ACTIONS(1590),
    [sym_undefined] = ACTIONS(1590),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_get] = ACTIONS(1590),
    [anon_sym_set] = ACTIONS(1590),
    [anon_sym_declare] = ACTIONS(1590),
    [anon_sym_namespace] = ACTIONS(1590),
    [anon_sym_public] = ACTIONS(1590),
    [anon_sym_private] = ACTIONS(1590),
    [anon_sym_protected] = ACTIONS(1590),
    [anon_sym_override] = ACTIONS(1590),
    [anon_sym_module] = ACTIONS(1590),
    [anon_sym_any] = ACTIONS(1590),
    [anon_sym_number] = ACTIONS(1590),
    [anon_sym_boolean] = ACTIONS(1590),
    [anon_sym_string] = ACTIONS(1590),
    [anon_sym_symbol] = ACTIONS(1590),
    [anon_sym_abstract] = ACTIONS(1590),
    [anon_sym_interface] = ACTIONS(1590),
    [anon_sym_enum] = ACTIONS(1590),
    [anon_sym_component] = ACTIONS(1590),
    [anon_sym_instance] = ACTIONS(1590),
    [sym__automatic_semicolon] = ACTIONS(1598),
  },
  [601] = {
    [sym__call_signature] = STATE(4581),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(2353),
    [anon_sym_of] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2358),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_typeof] = ACTIONS(1630),
    [anon_sym_import] = ACTIONS(1630),
    [anon_sym_var] = ACTIONS(1630),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_else] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_for] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1630),
    [anon_sym_try] = ACTIONS(1630),
    [anon_sym_with] = ACTIONS(1630),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1630),
    [anon_sym_debugger] = ACTIONS(1630),
    [anon_sym_return] = ACTIONS(1630),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_case] = ACTIONS(1630),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_yield] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LTtemplate_GT] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_class] = ACTIONS(1630),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_void] = ACTIONS(1630),
    [anon_sym_delete] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [sym_number] = ACTIONS(1632),
    [sym_this] = ACTIONS(1630),
    [sym_super] = ACTIONS(1630),
    [sym_true] = ACTIONS(1630),
    [sym_false] = ACTIONS(1630),
    [sym_null] = ACTIONS(1630),
    [sym_undefined] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1632),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_declare] = ACTIONS(1630),
    [anon_sym_namespace] = ACTIONS(1630),
    [anon_sym_public] = ACTIONS(1630),
    [anon_sym_private] = ACTIONS(1630),
    [anon_sym_protected] = ACTIONS(1630),
    [anon_sym_override] = ACTIONS(1630),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_abstract] = ACTIONS(1630),
    [anon_sym_interface] = ACTIONS(1630),
    [anon_sym_enum] = ACTIONS(1630),
    [anon_sym_component] = ACTIONS(1630),
    [anon_sym_instance] = ACTIONS(1630),
    [sym__automatic_semicolon] = ACTIONS(1632),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [sym_identifier] = ACTIONS(1610),
    [anon_sym_export] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_RBRACE] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1610),
    [anon_sym_import] = ACTIONS(1610),
    [anon_sym_var] = ACTIONS(1610),
    [anon_sym_let] = ACTIONS(1610),
    [anon_sym_const] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1610),
    [anon_sym_switch] = ACTIONS(1610),
    [anon_sym_for] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_await] = ACTIONS(1610),
    [anon_sym_while] = ACTIONS(1610),
    [anon_sym_do] = ACTIONS(1610),
    [anon_sym_try] = ACTIONS(1610),
    [anon_sym_with] = ACTIONS(1610),
    [anon_sym_break] = ACTIONS(1610),
    [anon_sym_continue] = ACTIONS(1610),
    [anon_sym_debugger] = ACTIONS(1610),
    [anon_sym_return] = ACTIONS(1610),
    [anon_sym_throw] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1614),
    [anon_sym_case] = ACTIONS(1610),
    [anon_sym_default] = ACTIONS(1610),
    [anon_sym_yield] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_LTtemplate_GT] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_class] = ACTIONS(1610),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1610),
    [anon_sym_new] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_void] = ACTIONS(1610),
    [anon_sym_delete] = ACTIONS(1610),
    [anon_sym_PLUS_PLUS] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1614),
    [sym_number] = ACTIONS(1614),
    [sym_this] = ACTIONS(1610),
    [sym_super] = ACTIONS(1610),
    [sym_true] = ACTIONS(1610),
    [sym_false] = ACTIONS(1610),
    [sym_null] = ACTIONS(1610),
    [sym_undefined] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1610),
    [anon_sym_readonly] = ACTIONS(1610),
    [anon_sym_get] = ACTIONS(1610),
    [anon_sym_set] = ACTIONS(1610),
    [anon_sym_declare] = ACTIONS(1610),
    [anon_sym_namespace] = ACTIONS(1610),
    [anon_sym_public] = ACTIONS(1610),
    [anon_sym_private] = ACTIONS(1610),
    [anon_sym_protected] = ACTIONS(1610),
    [anon_sym_override] = ACTIONS(1610),
    [anon_sym_module] = ACTIONS(1610),
    [anon_sym_any] = ACTIONS(1610),
    [anon_sym_number] = ACTIONS(1610),
    [anon_sym_boolean] = ACTIONS(1610),
    [anon_sym_string] = ACTIONS(1610),
    [anon_sym_symbol] = ACTIONS(1610),
    [anon_sym_abstract] = ACTIONS(1610),
    [anon_sym_interface] = ACTIONS(1610),
    [anon_sym_enum] = ACTIONS(1610),
    [anon_sym_component] = ACTIONS(1610),
    [anon_sym_instance] = ACTIONS(1610),
    [sym__automatic_semicolon] = ACTIONS(1618),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1638),
    [sym_identifier] = ACTIONS(1634),
    [anon_sym_export] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_RBRACE] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1634),
    [anon_sym_typeof] = ACTIONS(1634),
    [anon_sym_import] = ACTIONS(1634),
    [anon_sym_var] = ACTIONS(1634),
    [anon_sym_let] = ACTIONS(1634),
    [anon_sym_const] = ACTIONS(1634),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1634),
    [anon_sym_if] = ACTIONS(1634),
    [anon_sym_switch] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_try] = ACTIONS(1634),
    [anon_sym_with] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(1634),
    [anon_sym_continue] = ACTIONS(1634),
    [anon_sym_debugger] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1634),
    [anon_sym_throw] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(1634),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_yield] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LTtemplate_GT] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_class] = ACTIONS(1634),
    [anon_sym_async] = ACTIONS(1634),
    [anon_sym_function] = ACTIONS(1634),
    [anon_sym_new] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1634),
    [anon_sym_delete] = ACTIONS(1634),
    [anon_sym_PLUS_PLUS] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1638),
    [anon_sym_DQUOTE] = ACTIONS(1638),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1638),
    [sym_number] = ACTIONS(1638),
    [sym_this] = ACTIONS(1634),
    [sym_super] = ACTIONS(1634),
    [sym_true] = ACTIONS(1634),
    [sym_false] = ACTIONS(1634),
    [sym_null] = ACTIONS(1634),
    [sym_undefined] = ACTIONS(1634),
    [anon_sym_AT] = ACTIONS(1638),
    [anon_sym_static] = ACTIONS(1634),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(1634),
    [anon_sym_set] = ACTIONS(1634),
    [anon_sym_declare] = ACTIONS(1634),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_public] = ACTIONS(1634),
    [anon_sym_private] = ACTIONS(1634),
    [anon_sym_protected] = ACTIONS(1634),
    [anon_sym_override] = ACTIONS(1634),
    [anon_sym_module] = ACTIONS(1634),
    [anon_sym_any] = ACTIONS(1634),
    [anon_sym_number] = ACTIONS(1634),
    [anon_sym_boolean] = ACTIONS(1634),
    [anon_sym_string] = ACTIONS(1634),
    [anon_sym_symbol] = ACTIONS(1634),
    [anon_sym_abstract] = ACTIONS(1634),
    [anon_sym_interface] = ACTIONS(1634),
    [anon_sym_enum] = ACTIONS(1634),
    [anon_sym_component] = ACTIONS(1634),
    [anon_sym_instance] = ACTIONS(1634),
    [sym__automatic_semicolon] = ACTIONS(1642),
  },
  [605] = {
    [sym__call_signature] = STATE(4860),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2360),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_of] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2358),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1658),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_export] = ACTIONS(1654),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_type] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(1654),
    [anon_sym_import] = ACTIONS(1654),
    [anon_sym_var] = ACTIONS(1654),
    [anon_sym_let] = ACTIONS(1654),
    [anon_sym_const] = ACTIONS(1654),
    [anon_sym_BANG] = ACTIONS(1658),
    [anon_sym_else] = ACTIONS(1654),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_await] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1654),
    [anon_sym_do] = ACTIONS(1654),
    [anon_sym_try] = ACTIONS(1654),
    [anon_sym_with] = ACTIONS(1654),
    [anon_sym_break] = ACTIONS(1654),
    [anon_sym_continue] = ACTIONS(1654),
    [anon_sym_debugger] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1654),
    [anon_sym_throw] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1654),
    [anon_sym_default] = ACTIONS(1654),
    [anon_sym_yield] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LTtemplate_GT] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_class] = ACTIONS(1654),
    [anon_sym_async] = ACTIONS(1654),
    [anon_sym_function] = ACTIONS(1654),
    [anon_sym_new] = ACTIONS(1654),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_void] = ACTIONS(1654),
    [anon_sym_delete] = ACTIONS(1654),
    [anon_sym_PLUS_PLUS] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1658),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [sym_number] = ACTIONS(1658),
    [sym_this] = ACTIONS(1654),
    [sym_super] = ACTIONS(1654),
    [sym_true] = ACTIONS(1654),
    [sym_false] = ACTIONS(1654),
    [sym_null] = ACTIONS(1654),
    [sym_undefined] = ACTIONS(1654),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1654),
    [anon_sym_readonly] = ACTIONS(1654),
    [anon_sym_get] = ACTIONS(1654),
    [anon_sym_set] = ACTIONS(1654),
    [anon_sym_declare] = ACTIONS(1654),
    [anon_sym_namespace] = ACTIONS(1654),
    [anon_sym_public] = ACTIONS(1654),
    [anon_sym_private] = ACTIONS(1654),
    [anon_sym_protected] = ACTIONS(1654),
    [anon_sym_override] = ACTIONS(1654),
    [anon_sym_module] = ACTIONS(1654),
    [anon_sym_any] = ACTIONS(1654),
    [anon_sym_number] = ACTIONS(1654),
    [anon_sym_boolean] = ACTIONS(1654),
    [anon_sym_string] = ACTIONS(1654),
    [anon_sym_symbol] = ACTIONS(1654),
    [anon_sym_abstract] = ACTIONS(1654),
    [anon_sym_interface] = ACTIONS(1654),
    [anon_sym_enum] = ACTIONS(1654),
    [anon_sym_component] = ACTIONS(1654),
    [anon_sym_instance] = ACTIONS(1654),
    [sym__automatic_semicolon] = ACTIONS(1662),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_identifier] = ACTIONS(1620),
    [anon_sym_export] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_type] = ACTIONS(1620),
    [anon_sym_typeof] = ACTIONS(1620),
    [anon_sym_import] = ACTIONS(1620),
    [anon_sym_var] = ACTIONS(1620),
    [anon_sym_let] = ACTIONS(1620),
    [anon_sym_const] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_else] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1620),
    [anon_sym_switch] = ACTIONS(1620),
    [anon_sym_for] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1624),
    [anon_sym_await] = ACTIONS(1620),
    [anon_sym_while] = ACTIONS(1620),
    [anon_sym_do] = ACTIONS(1620),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_with] = ACTIONS(1620),
    [anon_sym_break] = ACTIONS(1620),
    [anon_sym_continue] = ACTIONS(1620),
    [anon_sym_debugger] = ACTIONS(1620),
    [anon_sym_return] = ACTIONS(1620),
    [anon_sym_throw] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1624),
    [anon_sym_case] = ACTIONS(1620),
    [anon_sym_default] = ACTIONS(1620),
    [anon_sym_yield] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_LTtemplate_GT] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_class] = ACTIONS(1620),
    [anon_sym_async] = ACTIONS(1620),
    [anon_sym_function] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1620),
    [anon_sym_delete] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1624),
    [anon_sym_DASH_DASH] = ACTIONS(1624),
    [anon_sym_DQUOTE] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1624),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [sym_number] = ACTIONS(1624),
    [sym_this] = ACTIONS(1620),
    [sym_super] = ACTIONS(1620),
    [sym_true] = ACTIONS(1620),
    [sym_false] = ACTIONS(1620),
    [sym_null] = ACTIONS(1620),
    [sym_undefined] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1624),
    [anon_sym_static] = ACTIONS(1620),
    [anon_sym_readonly] = ACTIONS(1620),
    [anon_sym_get] = ACTIONS(1620),
    [anon_sym_set] = ACTIONS(1620),
    [anon_sym_declare] = ACTIONS(1620),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_public] = ACTIONS(1620),
    [anon_sym_private] = ACTIONS(1620),
    [anon_sym_protected] = ACTIONS(1620),
    [anon_sym_override] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1620),
    [anon_sym_any] = ACTIONS(1620),
    [anon_sym_number] = ACTIONS(1620),
    [anon_sym_boolean] = ACTIONS(1620),
    [anon_sym_string] = ACTIONS(1620),
    [anon_sym_symbol] = ACTIONS(1620),
    [anon_sym_abstract] = ACTIONS(1620),
    [anon_sym_interface] = ACTIONS(1620),
    [anon_sym_enum] = ACTIONS(1620),
    [anon_sym_component] = ACTIONS(1620),
    [anon_sym_instance] = ACTIONS(1620),
    [sym__automatic_semicolon] = ACTIONS(1628),
  },
  [608] = {
    [sym__call_signature] = STATE(4581),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2358),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_LTtemplate_GT] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_AMP] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1678),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1678),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [anon_sym_component] = ACTIONS(1674),
    [anon_sym_instance] = ACTIONS(1674),
    [sym__automatic_semicolon] = ACTIONS(1682),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1604),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [anon_sym_type] = ACTIONS(1600),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_else] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1600),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_LTtemplate_GT] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [sym_number] = ACTIONS(1604),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_static] = ACTIONS(1600),
    [anon_sym_readonly] = ACTIONS(1600),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
    [anon_sym_declare] = ACTIONS(1600),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_public] = ACTIONS(1600),
    [anon_sym_private] = ACTIONS(1600),
    [anon_sym_protected] = ACTIONS(1600),
    [anon_sym_override] = ACTIONS(1600),
    [anon_sym_module] = ACTIONS(1600),
    [anon_sym_any] = ACTIONS(1600),
    [anon_sym_number] = ACTIONS(1600),
    [anon_sym_boolean] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_symbol] = ACTIONS(1600),
    [anon_sym_abstract] = ACTIONS(1600),
    [anon_sym_interface] = ACTIONS(1600),
    [anon_sym_enum] = ACTIONS(1600),
    [anon_sym_component] = ACTIONS(1600),
    [anon_sym_instance] = ACTIONS(1600),
    [sym__automatic_semicolon] = ACTIONS(1608),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_export] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1388),
    [anon_sym_typeof] = ACTIONS(1388),
    [anon_sym_import] = ACTIONS(1388),
    [anon_sym_var] = ACTIONS(1388),
    [anon_sym_let] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_await] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_try] = ACTIONS(1388),
    [anon_sym_with] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_debugger] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_throw] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_yield] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_LTtemplate_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_class] = ACTIONS(1388),
    [anon_sym_async] = ACTIONS(1388),
    [anon_sym_function] = ACTIONS(1388),
    [anon_sym_new] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_void] = ACTIONS(1388),
    [anon_sym_delete] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1392),
    [sym_this] = ACTIONS(1388),
    [sym_super] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [sym_null] = ACTIONS(1388),
    [sym_undefined] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_get] = ACTIONS(1388),
    [anon_sym_set] = ACTIONS(1388),
    [anon_sym_declare] = ACTIONS(1388),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_public] = ACTIONS(1388),
    [anon_sym_private] = ACTIONS(1388),
    [anon_sym_protected] = ACTIONS(1388),
    [anon_sym_override] = ACTIONS(1388),
    [anon_sym_module] = ACTIONS(1388),
    [anon_sym_any] = ACTIONS(1388),
    [anon_sym_number] = ACTIONS(1388),
    [anon_sym_boolean] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_symbol] = ACTIONS(1388),
    [anon_sym_abstract] = ACTIONS(1388),
    [anon_sym_interface] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_component] = ACTIONS(1388),
    [anon_sym_instance] = ACTIONS(1388),
    [sym__automatic_semicolon] = ACTIONS(1396),
  },
  [612] = {
    [aux_sym_import_path_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(2366),
    [anon_sym_export] = ACTIONS(2366),
    [anon_sym_as] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [anon_sym_type] = ACTIONS(2366),
    [anon_sym_typeof] = ACTIONS(2366),
    [anon_sym_import] = ACTIONS(2366),
    [anon_sym_var] = ACTIONS(2366),
    [anon_sym_let] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_with] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_debugger] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [anon_sym_yield] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LTtemplate_GT] = ACTIONS(2368),
    [anon_sym_LT] = ACTIONS(2366),
    [anon_sym_SLASH] = ACTIONS(2366),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_async] = ACTIONS(2366),
    [anon_sym_function] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_void] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [sym_this] = ACTIONS(2366),
    [sym_super] = ACTIONS(2366),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [sym_null] = ACTIONS(2366),
    [sym_undefined] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_readonly] = ACTIONS(2366),
    [anon_sym_get] = ACTIONS(2366),
    [anon_sym_set] = ACTIONS(2366),
    [anon_sym_declare] = ACTIONS(2366),
    [anon_sym_namespace] = ACTIONS(2366),
    [anon_sym_public] = ACTIONS(2366),
    [anon_sym_private] = ACTIONS(2366),
    [anon_sym_protected] = ACTIONS(2366),
    [anon_sym_override] = ACTIONS(2366),
    [anon_sym_module] = ACTIONS(2366),
    [anon_sym_any] = ACTIONS(2366),
    [anon_sym_number] = ACTIONS(2366),
    [anon_sym_boolean] = ACTIONS(2366),
    [anon_sym_string] = ACTIONS(2366),
    [anon_sym_symbol] = ACTIONS(2366),
    [anon_sym_abstract] = ACTIONS(2366),
    [anon_sym_interface] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_component] = ACTIONS(2366),
  },
  [613] = {
    [aux_sym_import_path_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(2372),
    [anon_sym_export] = ACTIONS(2372),
    [anon_sym_as] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2372),
    [anon_sym_import] = ACTIONS(2372),
    [anon_sym_var] = ACTIONS(2372),
    [anon_sym_let] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_with] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_debugger] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_yield] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_async] = ACTIONS(2372),
    [anon_sym_function] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_this] = ACTIONS(2372),
    [sym_super] = ACTIONS(2372),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [sym_null] = ACTIONS(2372),
    [sym_undefined] = ACTIONS(2372),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_readonly] = ACTIONS(2372),
    [anon_sym_get] = ACTIONS(2372),
    [anon_sym_set] = ACTIONS(2372),
    [anon_sym_declare] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_public] = ACTIONS(2372),
    [anon_sym_private] = ACTIONS(2372),
    [anon_sym_protected] = ACTIONS(2372),
    [anon_sym_override] = ACTIONS(2372),
    [anon_sym_module] = ACTIONS(2372),
    [anon_sym_any] = ACTIONS(2372),
    [anon_sym_number] = ACTIONS(2372),
    [anon_sym_boolean] = ACTIONS(2372),
    [anon_sym_string] = ACTIONS(2372),
    [anon_sym_symbol] = ACTIONS(2372),
    [anon_sym_abstract] = ACTIONS(2372),
    [anon_sym_interface] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_component] = ACTIONS(2372),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_identifier] = ACTIONS(1568),
    [anon_sym_export] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_type] = ACTIONS(1568),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(1568),
    [anon_sym_var] = ACTIONS(1568),
    [anon_sym_let] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_else] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_await] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_do] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_with] = ACTIONS(1568),
    [anon_sym_break] = ACTIONS(1568),
    [anon_sym_continue] = ACTIONS(1568),
    [anon_sym_debugger] = ACTIONS(1568),
    [anon_sym_return] = ACTIONS(1568),
    [anon_sym_throw] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_case] = ACTIONS(1568),
    [anon_sym_default] = ACTIONS(1568),
    [anon_sym_yield] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LTtemplate_GT] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_class] = ACTIONS(1568),
    [anon_sym_async] = ACTIONS(1568),
    [anon_sym_function] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [sym_number] = ACTIONS(1572),
    [sym_this] = ACTIONS(1568),
    [sym_super] = ACTIONS(1568),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1572),
    [anon_sym_static] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1568),
    [anon_sym_get] = ACTIONS(1568),
    [anon_sym_set] = ACTIONS(1568),
    [anon_sym_declare] = ACTIONS(1568),
    [anon_sym_namespace] = ACTIONS(1568),
    [anon_sym_public] = ACTIONS(1568),
    [anon_sym_private] = ACTIONS(1568),
    [anon_sym_protected] = ACTIONS(1568),
    [anon_sym_override] = ACTIONS(1568),
    [anon_sym_module] = ACTIONS(1568),
    [anon_sym_any] = ACTIONS(1568),
    [anon_sym_number] = ACTIONS(1568),
    [anon_sym_boolean] = ACTIONS(1568),
    [anon_sym_string] = ACTIONS(1568),
    [anon_sym_symbol] = ACTIONS(1568),
    [anon_sym_abstract] = ACTIONS(1568),
    [anon_sym_interface] = ACTIONS(1568),
    [anon_sym_enum] = ACTIONS(1568),
    [anon_sym_component] = ACTIONS(1568),
    [anon_sym_instance] = ACTIONS(1568),
    [sym__automatic_semicolon] = ACTIONS(1576),
  },
  [615] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [616] = {
    [aux_sym_import_path_segment_repeat1] = STATE(624),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_export] = ACTIONS(2379),
    [anon_sym_as] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_type] = ACTIONS(2379),
    [anon_sym_typeof] = ACTIONS(2379),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_var] = ACTIONS(2379),
    [anon_sym_let] = ACTIONS(2379),
    [anon_sym_const] = ACTIONS(2379),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_else] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2379),
    [anon_sym_switch] = ACTIONS(2379),
    [anon_sym_for] = ACTIONS(2379),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_await] = ACTIONS(2379),
    [anon_sym_while] = ACTIONS(2379),
    [anon_sym_do] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_with] = ACTIONS(2379),
    [anon_sym_break] = ACTIONS(2379),
    [anon_sym_continue] = ACTIONS(2379),
    [anon_sym_debugger] = ACTIONS(2379),
    [anon_sym_return] = ACTIONS(2379),
    [anon_sym_throw] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_case] = ACTIONS(2379),
    [anon_sym_default] = ACTIONS(2379),
    [anon_sym_yield] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_LTtemplate_GT] = ACTIONS(2381),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2379),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_class] = ACTIONS(2379),
    [anon_sym_async] = ACTIONS(2379),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_new] = ACTIONS(2379),
    [anon_sym_AMP] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2381),
    [anon_sym_void] = ACTIONS(2379),
    [anon_sym_delete] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_number] = ACTIONS(2383),
    [sym_this] = ACTIONS(2379),
    [sym_super] = ACTIONS(2379),
    [sym_true] = ACTIONS(2379),
    [sym_false] = ACTIONS(2379),
    [sym_null] = ACTIONS(2379),
    [sym_undefined] = ACTIONS(2379),
    [anon_sym_AT] = ACTIONS(2381),
    [anon_sym_static] = ACTIONS(2379),
    [anon_sym_readonly] = ACTIONS(2379),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_declare] = ACTIONS(2379),
    [anon_sym_namespace] = ACTIONS(2379),
    [anon_sym_public] = ACTIONS(2379),
    [anon_sym_private] = ACTIONS(2379),
    [anon_sym_protected] = ACTIONS(2379),
    [anon_sym_override] = ACTIONS(2379),
    [anon_sym_module] = ACTIONS(2379),
    [anon_sym_any] = ACTIONS(2379),
    [anon_sym_number] = ACTIONS(2379),
    [anon_sym_boolean] = ACTIONS(2379),
    [anon_sym_string] = ACTIONS(2379),
    [anon_sym_symbol] = ACTIONS(2379),
    [anon_sym_abstract] = ACTIONS(2379),
    [anon_sym_interface] = ACTIONS(2379),
    [anon_sym_enum] = ACTIONS(2379),
    [anon_sym_component] = ACTIONS(2379),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1664),
    [anon_sym_typeof] = ACTIONS(1664),
    [anon_sym_import] = ACTIONS(1664),
    [anon_sym_var] = ACTIONS(1664),
    [anon_sym_let] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1664),
    [anon_sym_for] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_await] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_do] = ACTIONS(1664),
    [anon_sym_try] = ACTIONS(1664),
    [anon_sym_with] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_debugger] = ACTIONS(1664),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_throw] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_case] = ACTIONS(1664),
    [anon_sym_default] = ACTIONS(1664),
    [anon_sym_yield] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_LTtemplate_GT] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_class] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1664),
    [anon_sym_function] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_void] = ACTIONS(1664),
    [anon_sym_delete] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1668),
    [sym_number] = ACTIONS(1668),
    [sym_this] = ACTIONS(1664),
    [sym_super] = ACTIONS(1664),
    [sym_true] = ACTIONS(1664),
    [sym_false] = ACTIONS(1664),
    [sym_null] = ACTIONS(1664),
    [sym_undefined] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1668),
    [anon_sym_static] = ACTIONS(1664),
    [anon_sym_readonly] = ACTIONS(1664),
    [anon_sym_get] = ACTIONS(1664),
    [anon_sym_set] = ACTIONS(1664),
    [anon_sym_declare] = ACTIONS(1664),
    [anon_sym_namespace] = ACTIONS(1664),
    [anon_sym_public] = ACTIONS(1664),
    [anon_sym_private] = ACTIONS(1664),
    [anon_sym_protected] = ACTIONS(1664),
    [anon_sym_override] = ACTIONS(1664),
    [anon_sym_module] = ACTIONS(1664),
    [anon_sym_any] = ACTIONS(1664),
    [anon_sym_number] = ACTIONS(1664),
    [anon_sym_boolean] = ACTIONS(1664),
    [anon_sym_string] = ACTIONS(1664),
    [anon_sym_symbol] = ACTIONS(1664),
    [anon_sym_abstract] = ACTIONS(1664),
    [anon_sym_interface] = ACTIONS(1664),
    [anon_sym_enum] = ACTIONS(1664),
    [anon_sym_component] = ACTIONS(1664),
    [anon_sym_instance] = ACTIONS(1664),
    [sym__automatic_semicolon] = ACTIONS(1672),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_LTtemplate_GT] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1698),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1698),
    [sym_number] = ACTIONS(1698),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1698),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [anon_sym_component] = ACTIONS(1694),
    [anon_sym_instance] = ACTIONS(1694),
    [sym__automatic_semicolon] = ACTIONS(1702),
  },
  [619] = {
    [sym__call_signature] = STATE(4581),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [sym_identifier] = ACTIONS(1708),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_typeof] = ACTIONS(1708),
    [anon_sym_import] = ACTIONS(1708),
    [anon_sym_var] = ACTIONS(1708),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [anon_sym_await] = ACTIONS(1708),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_do] = ACTIONS(1708),
    [anon_sym_try] = ACTIONS(1708),
    [anon_sym_with] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_continue] = ACTIONS(1708),
    [anon_sym_debugger] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_throw] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_yield] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_LTtemplate_GT] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1708),
    [anon_sym_class] = ACTIONS(1708),
    [anon_sym_async] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_TILDE] = ACTIONS(1712),
    [anon_sym_void] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [anon_sym_DASH_DASH] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1712),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1712),
    [sym_number] = ACTIONS(1712),
    [sym_this] = ACTIONS(1708),
    [sym_super] = ACTIONS(1708),
    [sym_true] = ACTIONS(1708),
    [sym_false] = ACTIONS(1708),
    [sym_null] = ACTIONS(1708),
    [sym_undefined] = ACTIONS(1708),
    [anon_sym_AT] = ACTIONS(1712),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1708),
    [anon_sym_number] = ACTIONS(1708),
    [anon_sym_boolean] = ACTIONS(1708),
    [anon_sym_string] = ACTIONS(1708),
    [anon_sym_symbol] = ACTIONS(1708),
    [anon_sym_abstract] = ACTIONS(1708),
    [anon_sym_interface] = ACTIONS(1708),
    [anon_sym_enum] = ACTIONS(1708),
    [anon_sym_component] = ACTIONS(1708),
    [anon_sym_instance] = ACTIONS(1708),
    [sym__automatic_semicolon] = ACTIONS(1716),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_export] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_type] = ACTIONS(1718),
    [anon_sym_typeof] = ACTIONS(1718),
    [anon_sym_import] = ACTIONS(1718),
    [anon_sym_var] = ACTIONS(1718),
    [anon_sym_let] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_await] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1718),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_try] = ACTIONS(1718),
    [anon_sym_with] = ACTIONS(1718),
    [anon_sym_break] = ACTIONS(1718),
    [anon_sym_continue] = ACTIONS(1718),
    [anon_sym_debugger] = ACTIONS(1718),
    [anon_sym_return] = ACTIONS(1718),
    [anon_sym_throw] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_case] = ACTIONS(1718),
    [anon_sym_default] = ACTIONS(1718),
    [anon_sym_yield] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LTtemplate_GT] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_class] = ACTIONS(1718),
    [anon_sym_async] = ACTIONS(1718),
    [anon_sym_function] = ACTIONS(1718),
    [anon_sym_new] = ACTIONS(1718),
    [anon_sym_AMP] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_void] = ACTIONS(1718),
    [anon_sym_delete] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1718),
    [sym_super] = ACTIONS(1718),
    [sym_true] = ACTIONS(1718),
    [sym_false] = ACTIONS(1718),
    [sym_null] = ACTIONS(1718),
    [sym_undefined] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1722),
    [anon_sym_static] = ACTIONS(1718),
    [anon_sym_readonly] = ACTIONS(1718),
    [anon_sym_get] = ACTIONS(1718),
    [anon_sym_set] = ACTIONS(1718),
    [anon_sym_declare] = ACTIONS(1718),
    [anon_sym_namespace] = ACTIONS(1718),
    [anon_sym_public] = ACTIONS(1718),
    [anon_sym_private] = ACTIONS(1718),
    [anon_sym_protected] = ACTIONS(1718),
    [anon_sym_override] = ACTIONS(1718),
    [anon_sym_module] = ACTIONS(1718),
    [anon_sym_any] = ACTIONS(1718),
    [anon_sym_number] = ACTIONS(1718),
    [anon_sym_boolean] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_symbol] = ACTIONS(1718),
    [anon_sym_abstract] = ACTIONS(1718),
    [anon_sym_interface] = ACTIONS(1718),
    [anon_sym_enum] = ACTIONS(1718),
    [anon_sym_component] = ACTIONS(1718),
    [anon_sym_instance] = ACTIONS(1718),
    [sym__automatic_semicolon] = ACTIONS(1726),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1746),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_type] = ACTIONS(1742),
    [anon_sym_typeof] = ACTIONS(1742),
    [anon_sym_import] = ACTIONS(1742),
    [anon_sym_var] = ACTIONS(1742),
    [anon_sym_let] = ACTIONS(1742),
    [anon_sym_const] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_await] = ACTIONS(1742),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1742),
    [anon_sym_try] = ACTIONS(1742),
    [anon_sym_with] = ACTIONS(1742),
    [anon_sym_break] = ACTIONS(1742),
    [anon_sym_continue] = ACTIONS(1742),
    [anon_sym_debugger] = ACTIONS(1742),
    [anon_sym_return] = ACTIONS(1742),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_case] = ACTIONS(1742),
    [anon_sym_default] = ACTIONS(1742),
    [anon_sym_yield] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym_LTtemplate_GT] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_class] = ACTIONS(1742),
    [anon_sym_async] = ACTIONS(1742),
    [anon_sym_function] = ACTIONS(1742),
    [anon_sym_new] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1746),
    [anon_sym_void] = ACTIONS(1742),
    [anon_sym_delete] = ACTIONS(1742),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_DQUOTE] = ACTIONS(1746),
    [anon_sym_SQUOTE] = ACTIONS(1746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1746),
    [sym_number] = ACTIONS(1746),
    [sym_this] = ACTIONS(1742),
    [sym_super] = ACTIONS(1742),
    [sym_true] = ACTIONS(1742),
    [sym_false] = ACTIONS(1742),
    [sym_null] = ACTIONS(1742),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_static] = ACTIONS(1742),
    [anon_sym_readonly] = ACTIONS(1742),
    [anon_sym_get] = ACTIONS(1742),
    [anon_sym_set] = ACTIONS(1742),
    [anon_sym_declare] = ACTIONS(1742),
    [anon_sym_namespace] = ACTIONS(1742),
    [anon_sym_public] = ACTIONS(1742),
    [anon_sym_private] = ACTIONS(1742),
    [anon_sym_protected] = ACTIONS(1742),
    [anon_sym_override] = ACTIONS(1742),
    [anon_sym_module] = ACTIONS(1742),
    [anon_sym_any] = ACTIONS(1742),
    [anon_sym_number] = ACTIONS(1742),
    [anon_sym_boolean] = ACTIONS(1742),
    [anon_sym_string] = ACTIONS(1742),
    [anon_sym_symbol] = ACTIONS(1742),
    [anon_sym_abstract] = ACTIONS(1742),
    [anon_sym_interface] = ACTIONS(1742),
    [anon_sym_enum] = ACTIONS(1742),
    [anon_sym_component] = ACTIONS(1742),
    [anon_sym_instance] = ACTIONS(1742),
    [sym__automatic_semicolon] = ACTIONS(1750),
  },
  [623] = {
    [aux_sym_import_path_segment_repeat1] = STATE(616),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2191),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2191),
    [anon_sym_typeof] = ACTIONS(2191),
    [anon_sym_import] = ACTIONS(2191),
    [anon_sym_var] = ACTIONS(2191),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_const] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2191),
    [anon_sym_if] = ACTIONS(2191),
    [anon_sym_switch] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_try] = ACTIONS(2191),
    [anon_sym_with] = ACTIONS(2191),
    [anon_sym_break] = ACTIONS(2191),
    [anon_sym_continue] = ACTIONS(2191),
    [anon_sym_debugger] = ACTIONS(2191),
    [anon_sym_return] = ACTIONS(2191),
    [anon_sym_throw] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2191),
    [anon_sym_default] = ACTIONS(2191),
    [anon_sym_yield] = ACTIONS(2191),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_class] = ACTIONS(2191),
    [anon_sym_async] = ACTIONS(2191),
    [anon_sym_function] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2191),
    [anon_sym_delete] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2201),
    [sym_this] = ACTIONS(2191),
    [sym_super] = ACTIONS(2191),
    [sym_true] = ACTIONS(2191),
    [sym_false] = ACTIONS(2191),
    [sym_null] = ACTIONS(2191),
    [sym_undefined] = ACTIONS(2191),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2191),
    [anon_sym_readonly] = ACTIONS(2191),
    [anon_sym_get] = ACTIONS(2191),
    [anon_sym_set] = ACTIONS(2191),
    [anon_sym_declare] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2191),
    [anon_sym_public] = ACTIONS(2191),
    [anon_sym_private] = ACTIONS(2191),
    [anon_sym_protected] = ACTIONS(2191),
    [anon_sym_override] = ACTIONS(2191),
    [anon_sym_module] = ACTIONS(2191),
    [anon_sym_any] = ACTIONS(2191),
    [anon_sym_number] = ACTIONS(2191),
    [anon_sym_boolean] = ACTIONS(2191),
    [anon_sym_string] = ACTIONS(2191),
    [anon_sym_symbol] = ACTIONS(2191),
    [anon_sym_abstract] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2191),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_component] = ACTIONS(2191),
  },
  [624] = {
    [aux_sym_import_path_segment_repeat1] = STATE(624),
    [sym_identifier] = ACTIONS(2388),
    [anon_sym_export] = ACTIONS(2391),
    [anon_sym_as] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [anon_sym_type] = ACTIONS(2391),
    [anon_sym_typeof] = ACTIONS(2391),
    [anon_sym_import] = ACTIONS(2391),
    [anon_sym_var] = ACTIONS(2391),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_const] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2391),
    [anon_sym_for] = ACTIONS(2391),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_await] = ACTIONS(2391),
    [anon_sym_while] = ACTIONS(2391),
    [anon_sym_do] = ACTIONS(2391),
    [anon_sym_try] = ACTIONS(2391),
    [anon_sym_with] = ACTIONS(2391),
    [anon_sym_break] = ACTIONS(2391),
    [anon_sym_continue] = ACTIONS(2391),
    [anon_sym_debugger] = ACTIONS(2391),
    [anon_sym_return] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_case] = ACTIONS(2391),
    [anon_sym_default] = ACTIONS(2391),
    [anon_sym_yield] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_LTtemplate_GT] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2391),
    [anon_sym_class] = ACTIONS(2391),
    [anon_sym_async] = ACTIONS(2391),
    [anon_sym_function] = ACTIONS(2391),
    [anon_sym_new] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_TILDE] = ACTIONS(2393),
    [anon_sym_void] = ACTIONS(2391),
    [anon_sym_delete] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_number] = ACTIONS(2395),
    [sym_this] = ACTIONS(2391),
    [sym_super] = ACTIONS(2391),
    [sym_true] = ACTIONS(2391),
    [sym_false] = ACTIONS(2391),
    [sym_null] = ACTIONS(2391),
    [sym_undefined] = ACTIONS(2391),
    [anon_sym_AT] = ACTIONS(2393),
    [anon_sym_static] = ACTIONS(2391),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2391),
    [anon_sym_set] = ACTIONS(2391),
    [anon_sym_declare] = ACTIONS(2391),
    [anon_sym_namespace] = ACTIONS(2391),
    [anon_sym_public] = ACTIONS(2391),
    [anon_sym_private] = ACTIONS(2391),
    [anon_sym_protected] = ACTIONS(2391),
    [anon_sym_override] = ACTIONS(2391),
    [anon_sym_module] = ACTIONS(2391),
    [anon_sym_any] = ACTIONS(2391),
    [anon_sym_number] = ACTIONS(2391),
    [anon_sym_boolean] = ACTIONS(2391),
    [anon_sym_string] = ACTIONS(2391),
    [anon_sym_symbol] = ACTIONS(2391),
    [anon_sym_abstract] = ACTIONS(2391),
    [anon_sym_interface] = ACTIONS(2391),
    [anon_sym_enum] = ACTIONS(2391),
    [anon_sym_component] = ACTIONS(2391),
  },
  [625] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_export] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_var] = ACTIONS(1374),
    [anon_sym_let] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_with] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_debugger] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_catch] = ACTIONS(1374),
    [anon_sym_finally] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LTtemplate_GT] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_class] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_function] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_super] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_declare] = ACTIONS(1374),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_public] = ACTIONS(1374),
    [anon_sym_private] = ACTIONS(1374),
    [anon_sym_protected] = ACTIONS(1374),
    [anon_sym_override] = ACTIONS(1374),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_component] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(1384),
  },
  [626] = {
    [aux_sym_import_path_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(2398),
    [anon_sym_export] = ACTIONS(2398),
    [anon_sym_as] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_type] = ACTIONS(2398),
    [anon_sym_typeof] = ACTIONS(2398),
    [anon_sym_import] = ACTIONS(2398),
    [anon_sym_var] = ACTIONS(2398),
    [anon_sym_let] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_LPAREN] = ACTIONS(2400),
    [anon_sym_await] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_with] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_debugger] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_yield] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_LTtemplate_GT] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_async] = ACTIONS(2398),
    [anon_sym_function] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_void] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2400),
    [sym_number] = ACTIONS(2400),
    [sym_this] = ACTIONS(2398),
    [sym_super] = ACTIONS(2398),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [sym_null] = ACTIONS(2398),
    [sym_undefined] = ACTIONS(2398),
    [anon_sym_AT] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_readonly] = ACTIONS(2398),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
    [anon_sym_declare] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_public] = ACTIONS(2398),
    [anon_sym_private] = ACTIONS(2398),
    [anon_sym_protected] = ACTIONS(2398),
    [anon_sym_override] = ACTIONS(2398),
    [anon_sym_module] = ACTIONS(2398),
    [anon_sym_any] = ACTIONS(2398),
    [anon_sym_number] = ACTIONS(2398),
    [anon_sym_boolean] = ACTIONS(2398),
    [anon_sym_string] = ACTIONS(2398),
    [anon_sym_symbol] = ACTIONS(2398),
    [anon_sym_abstract] = ACTIONS(2398),
    [anon_sym_interface] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_component] = ACTIONS(2398),
  },
  [627] = {
    [sym__call_signature] = STATE(4581),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [628] = {
    [sym__call_signature] = STATE(4581),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2358),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [629] = {
    [sym__call_signature] = STATE(4860),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2360),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_of] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2358),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_import] = ACTIONS(1440),
    [anon_sym_var] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_else] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [anon_sym_await] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_try] = ACTIONS(1440),
    [anon_sym_with] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_debugger] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LTtemplate_GT] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_class] = ACTIONS(1440),
    [anon_sym_async] = ACTIONS(1440),
    [anon_sym_function] = ACTIONS(1440),
    [anon_sym_new] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_void] = ACTIONS(1440),
    [anon_sym_delete] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [sym_number] = ACTIONS(1444),
    [sym_this] = ACTIONS(1440),
    [sym_super] = ACTIONS(1440),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [sym_null] = ACTIONS(1440),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_abstract] = ACTIONS(1440),
    [anon_sym_interface] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_instance] = ACTIONS(1440),
    [sym__automatic_semicolon] = ACTIONS(1448),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_typeof] = ACTIONS(1408),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1408),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_else] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_await] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1408),
    [anon_sym_with] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_debugger] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_yield] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_LTtemplate_GT] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_class] = ACTIONS(1408),
    [anon_sym_async] = ACTIONS(1408),
    [anon_sym_function] = ACTIONS(1408),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_void] = ACTIONS(1408),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [sym_number] = ACTIONS(1412),
    [sym_this] = ACTIONS(1408),
    [sym_super] = ACTIONS(1408),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_undefined] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_abstract] = ACTIONS(1408),
    [anon_sym_interface] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_component] = ACTIONS(1408),
    [anon_sym_instance] = ACTIONS(1408),
    [sym__automatic_semicolon] = ACTIONS(1416),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1398),
    [anon_sym_export] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_type] = ACTIONS(1398),
    [anon_sym_typeof] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1398),
    [anon_sym_var] = ACTIONS(1398),
    [anon_sym_let] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_try] = ACTIONS(1398),
    [anon_sym_with] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_debugger] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_throw] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_LTtemplate_GT] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_class] = ACTIONS(1398),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1398),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_void] = ACTIONS(1398),
    [anon_sym_delete] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [sym_number] = ACTIONS(1402),
    [sym_this] = ACTIONS(1398),
    [sym_super] = ACTIONS(1398),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [sym_null] = ACTIONS(1398),
    [sym_undefined] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(1398),
    [anon_sym_set] = ACTIONS(1398),
    [anon_sym_declare] = ACTIONS(1398),
    [anon_sym_namespace] = ACTIONS(1398),
    [anon_sym_public] = ACTIONS(1398),
    [anon_sym_private] = ACTIONS(1398),
    [anon_sym_protected] = ACTIONS(1398),
    [anon_sym_override] = ACTIONS(1398),
    [anon_sym_module] = ACTIONS(1398),
    [anon_sym_any] = ACTIONS(1398),
    [anon_sym_number] = ACTIONS(1398),
    [anon_sym_boolean] = ACTIONS(1398),
    [anon_sym_string] = ACTIONS(1398),
    [anon_sym_symbol] = ACTIONS(1398),
    [anon_sym_abstract] = ACTIONS(1398),
    [anon_sym_interface] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_component] = ACTIONS(1398),
    [anon_sym_instance] = ACTIONS(1398),
    [sym__automatic_semicolon] = ACTIONS(1406),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [sym_identifier] = ACTIONS(1728),
    [anon_sym_export] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_RBRACE] = ACTIONS(1732),
    [anon_sym_type] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1728),
    [anon_sym_import] = ACTIONS(1728),
    [anon_sym_var] = ACTIONS(1728),
    [anon_sym_let] = ACTIONS(1728),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_BANG] = ACTIONS(1732),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [anon_sym_await] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_try] = ACTIONS(1728),
    [anon_sym_with] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_continue] = ACTIONS(1728),
    [anon_sym_debugger] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_throw] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [anon_sym_LTtemplate_GT] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(1728),
    [anon_sym_async] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1732),
    [anon_sym_void] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_PLUS_PLUS] = ACTIONS(1732),
    [anon_sym_DASH_DASH] = ACTIONS(1732),
    [anon_sym_DQUOTE] = ACTIONS(1732),
    [anon_sym_SQUOTE] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1732),
    [sym_number] = ACTIONS(1732),
    [sym_this] = ACTIONS(1728),
    [sym_super] = ACTIONS(1728),
    [sym_true] = ACTIONS(1728),
    [sym_false] = ACTIONS(1728),
    [sym_null] = ACTIONS(1728),
    [sym_undefined] = ACTIONS(1728),
    [anon_sym_AT] = ACTIONS(1732),
    [anon_sym_static] = ACTIONS(1728),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_get] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_declare] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1728),
    [anon_sym_public] = ACTIONS(1728),
    [anon_sym_private] = ACTIONS(1728),
    [anon_sym_protected] = ACTIONS(1728),
    [anon_sym_override] = ACTIONS(1728),
    [anon_sym_module] = ACTIONS(1728),
    [anon_sym_any] = ACTIONS(1728),
    [anon_sym_number] = ACTIONS(1728),
    [anon_sym_boolean] = ACTIONS(1728),
    [anon_sym_string] = ACTIONS(1728),
    [anon_sym_symbol] = ACTIONS(1728),
    [anon_sym_abstract] = ACTIONS(1728),
    [anon_sym_interface] = ACTIONS(1728),
    [anon_sym_enum] = ACTIONS(1728),
    [anon_sym_component] = ACTIONS(1728),
    [anon_sym_instance] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1736),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_export] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_type] = ACTIONS(1644),
    [anon_sym_typeof] = ACTIONS(1644),
    [anon_sym_import] = ACTIONS(1644),
    [anon_sym_var] = ACTIONS(1644),
    [anon_sym_let] = ACTIONS(1644),
    [anon_sym_const] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1644),
    [anon_sym_switch] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_await] = ACTIONS(1644),
    [anon_sym_while] = ACTIONS(1644),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_try] = ACTIONS(1644),
    [anon_sym_with] = ACTIONS(1644),
    [anon_sym_break] = ACTIONS(1644),
    [anon_sym_continue] = ACTIONS(1644),
    [anon_sym_debugger] = ACTIONS(1644),
    [anon_sym_return] = ACTIONS(1644),
    [anon_sym_throw] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_case] = ACTIONS(1644),
    [anon_sym_default] = ACTIONS(1644),
    [anon_sym_yield] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_LTtemplate_GT] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1644),
    [anon_sym_class] = ACTIONS(1644),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(1644),
    [anon_sym_new] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_void] = ACTIONS(1644),
    [anon_sym_delete] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [sym_number] = ACTIONS(1648),
    [sym_this] = ACTIONS(1644),
    [sym_super] = ACTIONS(1644),
    [sym_true] = ACTIONS(1644),
    [sym_false] = ACTIONS(1644),
    [sym_null] = ACTIONS(1644),
    [sym_undefined] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_static] = ACTIONS(1644),
    [anon_sym_readonly] = ACTIONS(1644),
    [anon_sym_get] = ACTIONS(1644),
    [anon_sym_set] = ACTIONS(1644),
    [anon_sym_declare] = ACTIONS(1644),
    [anon_sym_namespace] = ACTIONS(1644),
    [anon_sym_public] = ACTIONS(1644),
    [anon_sym_private] = ACTIONS(1644),
    [anon_sym_protected] = ACTIONS(1644),
    [anon_sym_override] = ACTIONS(1644),
    [anon_sym_module] = ACTIONS(1644),
    [anon_sym_any] = ACTIONS(1644),
    [anon_sym_number] = ACTIONS(1644),
    [anon_sym_boolean] = ACTIONS(1644),
    [anon_sym_string] = ACTIONS(1644),
    [anon_sym_symbol] = ACTIONS(1644),
    [anon_sym_abstract] = ACTIONS(1644),
    [anon_sym_interface] = ACTIONS(1644),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_component] = ACTIONS(1644),
    [anon_sym_instance] = ACTIONS(1644),
    [sym__automatic_semicolon] = ACTIONS(1652),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1578),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(1578),
    [anon_sym_var] = ACTIONS(1578),
    [anon_sym_let] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1578),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1578),
    [anon_sym_try] = ACTIONS(1578),
    [anon_sym_with] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_continue] = ACTIONS(1578),
    [anon_sym_debugger] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1578),
    [anon_sym_default] = ACTIONS(1578),
    [anon_sym_yield] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LTtemplate_GT] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_class] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_new] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1578),
    [sym_super] = ACTIONS(1578),
    [sym_true] = ACTIONS(1578),
    [sym_false] = ACTIONS(1578),
    [sym_null] = ACTIONS(1578),
    [sym_undefined] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1578),
    [anon_sym_readonly] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_declare] = ACTIONS(1578),
    [anon_sym_namespace] = ACTIONS(1578),
    [anon_sym_public] = ACTIONS(1578),
    [anon_sym_private] = ACTIONS(1578),
    [anon_sym_protected] = ACTIONS(1578),
    [anon_sym_override] = ACTIONS(1578),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_any] = ACTIONS(1578),
    [anon_sym_number] = ACTIONS(1578),
    [anon_sym_boolean] = ACTIONS(1578),
    [anon_sym_string] = ACTIONS(1578),
    [anon_sym_symbol] = ACTIONS(1578),
    [anon_sym_abstract] = ACTIONS(1578),
    [anon_sym_interface] = ACTIONS(1578),
    [anon_sym_enum] = ACTIONS(1578),
    [anon_sym_component] = ACTIONS(1578),
    [anon_sym_instance] = ACTIONS(1578),
    [sym__automatic_semicolon] = ACTIONS(1586),
  },
  [636] = {
    [aux_sym_import_path_repeat1] = STATE(613),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_as] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2407),
    [anon_sym_typeof] = ACTIONS(2407),
    [anon_sym_import] = ACTIONS(2407),
    [anon_sym_var] = ACTIONS(2407),
    [anon_sym_let] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2409),
    [anon_sym_await] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_with] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_debugger] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_yield] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2409),
    [anon_sym_LTtemplate_GT] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_SLASH] = ACTIONS(2407),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_async] = ACTIONS(2407),
    [anon_sym_function] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_void] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_number] = ACTIONS(2409),
    [sym_this] = ACTIONS(2407),
    [sym_super] = ACTIONS(2407),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [sym_null] = ACTIONS(2407),
    [sym_undefined] = ACTIONS(2407),
    [anon_sym_AT] = ACTIONS(2409),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_readonly] = ACTIONS(2407),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_override] = ACTIONS(2407),
    [anon_sym_module] = ACTIONS(2407),
    [anon_sym_any] = ACTIONS(2407),
    [anon_sym_number] = ACTIONS(2407),
    [anon_sym_boolean] = ACTIONS(2407),
    [anon_sym_string] = ACTIONS(2407),
    [anon_sym_symbol] = ACTIONS(2407),
    [anon_sym_abstract] = ACTIONS(2407),
    [anon_sym_interface] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_component] = ACTIONS(2407),
  },
  [637] = {
    [aux_sym_import_path_repeat1] = STATE(612),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_as] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_typeof] = ACTIONS(2411),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_const] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2411),
    [anon_sym_switch] = ACTIONS(2411),
    [anon_sym_for] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_await] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2411),
    [anon_sym_do] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2411),
    [anon_sym_with] = ACTIONS(2411),
    [anon_sym_break] = ACTIONS(2411),
    [anon_sym_continue] = ACTIONS(2411),
    [anon_sym_debugger] = ACTIONS(2411),
    [anon_sym_return] = ACTIONS(2411),
    [anon_sym_throw] = ACTIONS(2411),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2411),
    [anon_sym_default] = ACTIONS(2411),
    [anon_sym_yield] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_LTtemplate_GT] = ACTIONS(2413),
    [anon_sym_LT] = ACTIONS(2411),
    [anon_sym_SLASH] = ACTIONS(2411),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2411),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2411),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_void] = ACTIONS(2411),
    [anon_sym_delete] = ACTIONS(2411),
    [anon_sym_PLUS_PLUS] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_number] = ACTIONS(2413),
    [sym_this] = ACTIONS(2411),
    [sym_super] = ACTIONS(2411),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [sym_null] = ACTIONS(2411),
    [sym_undefined] = ACTIONS(2411),
    [anon_sym_AT] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_abstract] = ACTIONS(2411),
    [anon_sym_interface] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2411),
    [anon_sym_component] = ACTIONS(2411),
  },
  [638] = {
    [sym_import_as] = STATE(653),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_export] = ACTIONS(2415),
    [anon_sym_as] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [anon_sym_type] = ACTIONS(2415),
    [anon_sym_typeof] = ACTIONS(2415),
    [anon_sym_import] = ACTIONS(2415),
    [anon_sym_var] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_else] = ACTIONS(2415),
    [anon_sym_if] = ACTIONS(2415),
    [anon_sym_switch] = ACTIONS(2415),
    [anon_sym_for] = ACTIONS(2415),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_await] = ACTIONS(2415),
    [anon_sym_while] = ACTIONS(2415),
    [anon_sym_do] = ACTIONS(2415),
    [anon_sym_try] = ACTIONS(2415),
    [anon_sym_with] = ACTIONS(2415),
    [anon_sym_break] = ACTIONS(2415),
    [anon_sym_continue] = ACTIONS(2415),
    [anon_sym_debugger] = ACTIONS(2415),
    [anon_sym_return] = ACTIONS(2415),
    [anon_sym_throw] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2419),
    [anon_sym_case] = ACTIONS(2415),
    [anon_sym_default] = ACTIONS(2415),
    [anon_sym_yield] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LTtemplate_GT] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(2415),
    [anon_sym_SLASH] = ACTIONS(2415),
    [anon_sym_class] = ACTIONS(2415),
    [anon_sym_async] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2415),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_void] = ACTIONS(2415),
    [anon_sym_delete] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2419),
    [anon_sym_DASH_DASH] = ACTIONS(2419),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_number] = ACTIONS(2419),
    [sym_this] = ACTIONS(2415),
    [sym_super] = ACTIONS(2415),
    [sym_true] = ACTIONS(2415),
    [sym_false] = ACTIONS(2415),
    [sym_null] = ACTIONS(2415),
    [sym_undefined] = ACTIONS(2415),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2415),
    [anon_sym_readonly] = ACTIONS(2415),
    [anon_sym_get] = ACTIONS(2415),
    [anon_sym_set] = ACTIONS(2415),
    [anon_sym_declare] = ACTIONS(2415),
    [anon_sym_namespace] = ACTIONS(2415),
    [anon_sym_public] = ACTIONS(2415),
    [anon_sym_private] = ACTIONS(2415),
    [anon_sym_protected] = ACTIONS(2415),
    [anon_sym_override] = ACTIONS(2415),
    [anon_sym_module] = ACTIONS(2415),
    [anon_sym_any] = ACTIONS(2415),
    [anon_sym_number] = ACTIONS(2415),
    [anon_sym_boolean] = ACTIONS(2415),
    [anon_sym_string] = ACTIONS(2415),
    [anon_sym_symbol] = ACTIONS(2415),
    [anon_sym_abstract] = ACTIONS(2415),
    [anon_sym_interface] = ACTIONS(2415),
    [anon_sym_enum] = ACTIONS(2415),
    [anon_sym_component] = ACTIONS(2415),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2421),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [anon_sym_RBRACE] = ACTIONS(2421),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_typeof] = ACTIONS(2423),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_var] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_const] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2421),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_await] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_do] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_break] = ACTIONS(2423),
    [anon_sym_continue] = ACTIONS(2423),
    [anon_sym_debugger] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_throw] = ACTIONS(2423),
    [anon_sym_SEMI] = ACTIONS(2421),
    [anon_sym_case] = ACTIONS(2423),
    [anon_sym_default] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_LTtemplate_GT] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_void] = ACTIONS(2423),
    [anon_sym_delete] = ACTIONS(2423),
    [anon_sym_PLUS_PLUS] = ACTIONS(2421),
    [anon_sym_DASH_DASH] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2421),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2421),
    [sym_number] = ACTIONS(2421),
    [sym_this] = ACTIONS(2423),
    [sym_super] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_null] = ACTIONS(2423),
    [sym_undefined] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_abstract] = ACTIONS(2423),
    [anon_sym_interface] = ACTIONS(2423),
    [anon_sym_enum] = ACTIONS(2423),
    [anon_sym_component] = ACTIONS(2423),
    [anon_sym_instance] = ACTIONS(2423),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2425),
    [sym_identifier] = ACTIONS(2427),
    [anon_sym_export] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_RBRACE] = ACTIONS(2425),
    [anon_sym_type] = ACTIONS(2427),
    [anon_sym_typeof] = ACTIONS(2427),
    [anon_sym_import] = ACTIONS(2427),
    [anon_sym_var] = ACTIONS(2427),
    [anon_sym_let] = ACTIONS(2427),
    [anon_sym_const] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_switch] = ACTIONS(2427),
    [anon_sym_for] = ACTIONS(2427),
    [anon_sym_LPAREN] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(2427),
    [anon_sym_do] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2427),
    [anon_sym_with] = ACTIONS(2427),
    [anon_sym_break] = ACTIONS(2427),
    [anon_sym_continue] = ACTIONS(2427),
    [anon_sym_debugger] = ACTIONS(2427),
    [anon_sym_return] = ACTIONS(2427),
    [anon_sym_throw] = ACTIONS(2427),
    [anon_sym_SEMI] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2427),
    [anon_sym_default] = ACTIONS(2427),
    [anon_sym_yield] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_LTtemplate_GT] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_SLASH] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2427),
    [anon_sym_async] = ACTIONS(2427),
    [anon_sym_function] = ACTIONS(2427),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_AMP] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2425),
    [anon_sym_void] = ACTIONS(2427),
    [anon_sym_delete] = ACTIONS(2427),
    [anon_sym_PLUS_PLUS] = ACTIONS(2425),
    [anon_sym_DASH_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_SQUOTE] = ACTIONS(2425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2425),
    [sym_number] = ACTIONS(2425),
    [sym_this] = ACTIONS(2427),
    [sym_super] = ACTIONS(2427),
    [sym_true] = ACTIONS(2427),
    [sym_false] = ACTIONS(2427),
    [sym_null] = ACTIONS(2427),
    [sym_undefined] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(2425),
    [anon_sym_static] = ACTIONS(2427),
    [anon_sym_readonly] = ACTIONS(2427),
    [anon_sym_get] = ACTIONS(2427),
    [anon_sym_set] = ACTIONS(2427),
    [anon_sym_declare] = ACTIONS(2427),
    [anon_sym_namespace] = ACTIONS(2427),
    [anon_sym_public] = ACTIONS(2427),
    [anon_sym_private] = ACTIONS(2427),
    [anon_sym_protected] = ACTIONS(2427),
    [anon_sym_override] = ACTIONS(2427),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_any] = ACTIONS(2427),
    [anon_sym_number] = ACTIONS(2427),
    [anon_sym_boolean] = ACTIONS(2427),
    [anon_sym_string] = ACTIONS(2427),
    [anon_sym_symbol] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2427),
    [anon_sym_interface] = ACTIONS(2427),
    [anon_sym_enum] = ACTIONS(2427),
    [anon_sym_component] = ACTIONS(2427),
    [anon_sym_instance] = ACTIONS(2427),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2429),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_typeof] = ACTIONS(2431),
    [anon_sym_import] = ACTIONS(2431),
    [anon_sym_var] = ACTIONS(2431),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_const] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(2429),
    [anon_sym_else] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2431),
    [anon_sym_switch] = ACTIONS(2431),
    [anon_sym_for] = ACTIONS(2431),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_await] = ACTIONS(2431),
    [anon_sym_while] = ACTIONS(2431),
    [anon_sym_do] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2431),
    [anon_sym_with] = ACTIONS(2431),
    [anon_sym_break] = ACTIONS(2431),
    [anon_sym_continue] = ACTIONS(2431),
    [anon_sym_debugger] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2431),
    [anon_sym_throw] = ACTIONS(2431),
    [anon_sym_SEMI] = ACTIONS(2429),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_default] = ACTIONS(2431),
    [anon_sym_yield] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_LTtemplate_GT] = ACTIONS(2429),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_SLASH] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_AMP] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_TILDE] = ACTIONS(2429),
    [anon_sym_void] = ACTIONS(2431),
    [anon_sym_delete] = ACTIONS(2431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2429),
    [anon_sym_DASH_DASH] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2429),
    [sym_number] = ACTIONS(2429),
    [sym_this] = ACTIONS(2431),
    [sym_super] = ACTIONS(2431),
    [sym_true] = ACTIONS(2431),
    [sym_false] = ACTIONS(2431),
    [sym_null] = ACTIONS(2431),
    [sym_undefined] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_abstract] = ACTIONS(2431),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2431),
    [anon_sym_component] = ACTIONS(2431),
    [anon_sym_instance] = ACTIONS(2431),
  },
  [642] = {
    [sym_identifier] = ACTIONS(1738),
    [anon_sym_export] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_type] = ACTIONS(1738),
    [anon_sym_typeof] = ACTIONS(1738),
    [anon_sym_import] = ACTIONS(1738),
    [anon_sym_var] = ACTIONS(1738),
    [anon_sym_let] = ACTIONS(1738),
    [anon_sym_const] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1738),
    [anon_sym_switch] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1738),
    [anon_sym_try] = ACTIONS(1738),
    [anon_sym_with] = ACTIONS(1738),
    [anon_sym_break] = ACTIONS(1738),
    [anon_sym_continue] = ACTIONS(1738),
    [anon_sym_debugger] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(1738),
    [anon_sym_throw] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_case] = ACTIONS(1738),
    [anon_sym_default] = ACTIONS(1738),
    [anon_sym_catch] = ACTIONS(1738),
    [anon_sym_finally] = ACTIONS(1738),
    [anon_sym_yield] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_LTtemplate_GT] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_class] = ACTIONS(1738),
    [anon_sym_async] = ACTIONS(1738),
    [anon_sym_function] = ACTIONS(1738),
    [anon_sym_new] = ACTIONS(1738),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_void] = ACTIONS(1738),
    [anon_sym_delete] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_this] = ACTIONS(1738),
    [sym_super] = ACTIONS(1738),
    [sym_true] = ACTIONS(1738),
    [sym_false] = ACTIONS(1738),
    [sym_null] = ACTIONS(1738),
    [sym_undefined] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1738),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_get] = ACTIONS(1738),
    [anon_sym_set] = ACTIONS(1738),
    [anon_sym_declare] = ACTIONS(1738),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_public] = ACTIONS(1738),
    [anon_sym_private] = ACTIONS(1738),
    [anon_sym_protected] = ACTIONS(1738),
    [anon_sym_override] = ACTIONS(1738),
    [anon_sym_module] = ACTIONS(1738),
    [anon_sym_any] = ACTIONS(1738),
    [anon_sym_number] = ACTIONS(1738),
    [anon_sym_boolean] = ACTIONS(1738),
    [anon_sym_string] = ACTIONS(1738),
    [anon_sym_symbol] = ACTIONS(1738),
    [anon_sym_abstract] = ACTIONS(1738),
    [anon_sym_interface] = ACTIONS(1738),
    [anon_sym_enum] = ACTIONS(1738),
    [anon_sym_component] = ACTIONS(1738),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2433),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2433),
    [anon_sym_RBRACE] = ACTIONS(2433),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_typeof] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2435),
    [anon_sym_var] = ACTIONS(2435),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_const] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2433),
    [anon_sym_else] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2435),
    [anon_sym_switch] = ACTIONS(2435),
    [anon_sym_for] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2435),
    [anon_sym_while] = ACTIONS(2435),
    [anon_sym_do] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2435),
    [anon_sym_with] = ACTIONS(2435),
    [anon_sym_break] = ACTIONS(2435),
    [anon_sym_continue] = ACTIONS(2435),
    [anon_sym_debugger] = ACTIONS(2435),
    [anon_sym_return] = ACTIONS(2435),
    [anon_sym_throw] = ACTIONS(2435),
    [anon_sym_SEMI] = ACTIONS(2433),
    [anon_sym_case] = ACTIONS(2435),
    [anon_sym_default] = ACTIONS(2435),
    [anon_sym_yield] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_LTtemplate_GT] = ACTIONS(2433),
    [anon_sym_LT] = ACTIONS(2435),
    [anon_sym_SLASH] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2435),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2433),
    [anon_sym_void] = ACTIONS(2435),
    [anon_sym_delete] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2433),
    [anon_sym_DASH_DASH] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2433),
    [sym_number] = ACTIONS(2433),
    [sym_this] = ACTIONS(2435),
    [sym_super] = ACTIONS(2435),
    [sym_true] = ACTIONS(2435),
    [sym_false] = ACTIONS(2435),
    [sym_null] = ACTIONS(2435),
    [sym_undefined] = ACTIONS(2435),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_abstract] = ACTIONS(2435),
    [anon_sym_interface] = ACTIONS(2435),
    [anon_sym_enum] = ACTIONS(2435),
    [anon_sym_component] = ACTIONS(2435),
    [anon_sym_instance] = ACTIONS(2435),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2437),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(2437),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_var] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_const] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2437),
    [anon_sym_else] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_switch] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2437),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_do] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_with] = ACTIONS(2439),
    [anon_sym_break] = ACTIONS(2439),
    [anon_sym_continue] = ACTIONS(2439),
    [anon_sym_debugger] = ACTIONS(2439),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2439),
    [anon_sym_SEMI] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2439),
    [anon_sym_default] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2437),
    [anon_sym_LTtemplate_GT] = ACTIONS(2437),
    [anon_sym_LT] = ACTIONS(2439),
    [anon_sym_SLASH] = ACTIONS(2439),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2437),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2437),
    [anon_sym_DASH_DASH] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_SQUOTE] = ACTIONS(2437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2437),
    [sym_number] = ACTIONS(2437),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_abstract] = ACTIONS(2439),
    [anon_sym_interface] = ACTIONS(2439),
    [anon_sym_enum] = ACTIONS(2439),
    [anon_sym_component] = ACTIONS(2439),
    [anon_sym_instance] = ACTIONS(2439),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2441),
    [sym_identifier] = ACTIONS(2443),
    [anon_sym_export] = ACTIONS(2443),
    [anon_sym_LBRACE] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_type] = ACTIONS(2443),
    [anon_sym_typeof] = ACTIONS(2443),
    [anon_sym_import] = ACTIONS(2443),
    [anon_sym_var] = ACTIONS(2443),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_const] = ACTIONS(2443),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2443),
    [anon_sym_if] = ACTIONS(2443),
    [anon_sym_switch] = ACTIONS(2443),
    [anon_sym_for] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2443),
    [anon_sym_while] = ACTIONS(2443),
    [anon_sym_do] = ACTIONS(2443),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_with] = ACTIONS(2443),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_continue] = ACTIONS(2443),
    [anon_sym_debugger] = ACTIONS(2443),
    [anon_sym_return] = ACTIONS(2443),
    [anon_sym_throw] = ACTIONS(2443),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_case] = ACTIONS(2443),
    [anon_sym_default] = ACTIONS(2443),
    [anon_sym_yield] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2441),
    [anon_sym_LTtemplate_GT] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_class] = ACTIONS(2443),
    [anon_sym_async] = ACTIONS(2443),
    [anon_sym_function] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_void] = ACTIONS(2443),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_PLUS_PLUS] = ACTIONS(2441),
    [anon_sym_DASH_DASH] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_SQUOTE] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2441),
    [sym_number] = ACTIONS(2441),
    [sym_this] = ACTIONS(2443),
    [sym_super] = ACTIONS(2443),
    [sym_true] = ACTIONS(2443),
    [sym_false] = ACTIONS(2443),
    [sym_null] = ACTIONS(2443),
    [sym_undefined] = ACTIONS(2443),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_static] = ACTIONS(2443),
    [anon_sym_readonly] = ACTIONS(2443),
    [anon_sym_get] = ACTIONS(2443),
    [anon_sym_set] = ACTIONS(2443),
    [anon_sym_declare] = ACTIONS(2443),
    [anon_sym_namespace] = ACTIONS(2443),
    [anon_sym_public] = ACTIONS(2443),
    [anon_sym_private] = ACTIONS(2443),
    [anon_sym_protected] = ACTIONS(2443),
    [anon_sym_override] = ACTIONS(2443),
    [anon_sym_module] = ACTIONS(2443),
    [anon_sym_any] = ACTIONS(2443),
    [anon_sym_number] = ACTIONS(2443),
    [anon_sym_boolean] = ACTIONS(2443),
    [anon_sym_string] = ACTIONS(2443),
    [anon_sym_symbol] = ACTIONS(2443),
    [anon_sym_abstract] = ACTIONS(2443),
    [anon_sym_interface] = ACTIONS(2443),
    [anon_sym_enum] = ACTIONS(2443),
    [anon_sym_component] = ACTIONS(2443),
    [anon_sym_instance] = ACTIONS(2443),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2445),
    [sym_identifier] = ACTIONS(2447),
    [anon_sym_export] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_type] = ACTIONS(2447),
    [anon_sym_typeof] = ACTIONS(2447),
    [anon_sym_import] = ACTIONS(2447),
    [anon_sym_var] = ACTIONS(2447),
    [anon_sym_let] = ACTIONS(2447),
    [anon_sym_const] = ACTIONS(2447),
    [anon_sym_BANG] = ACTIONS(2445),
    [anon_sym_else] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(2447),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_for] = ACTIONS(2447),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_await] = ACTIONS(2447),
    [anon_sym_while] = ACTIONS(2447),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_try] = ACTIONS(2447),
    [anon_sym_with] = ACTIONS(2447),
    [anon_sym_break] = ACTIONS(2447),
    [anon_sym_continue] = ACTIONS(2447),
    [anon_sym_debugger] = ACTIONS(2447),
    [anon_sym_return] = ACTIONS(2447),
    [anon_sym_throw] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(2445),
    [anon_sym_case] = ACTIONS(2447),
    [anon_sym_default] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2445),
    [anon_sym_LTtemplate_GT] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_SLASH] = ACTIONS(2447),
    [anon_sym_class] = ACTIONS(2447),
    [anon_sym_async] = ACTIONS(2447),
    [anon_sym_function] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2447),
    [anon_sym_AMP] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_TILDE] = ACTIONS(2445),
    [anon_sym_void] = ACTIONS(2447),
    [anon_sym_delete] = ACTIONS(2447),
    [anon_sym_PLUS_PLUS] = ACTIONS(2445),
    [anon_sym_DASH_DASH] = ACTIONS(2445),
    [anon_sym_DQUOTE] = ACTIONS(2445),
    [anon_sym_SQUOTE] = ACTIONS(2445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2445),
    [sym_number] = ACTIONS(2445),
    [sym_this] = ACTIONS(2447),
    [sym_super] = ACTIONS(2447),
    [sym_true] = ACTIONS(2447),
    [sym_false] = ACTIONS(2447),
    [sym_null] = ACTIONS(2447),
    [sym_undefined] = ACTIONS(2447),
    [anon_sym_AT] = ACTIONS(2445),
    [anon_sym_static] = ACTIONS(2447),
    [anon_sym_readonly] = ACTIONS(2447),
    [anon_sym_get] = ACTIONS(2447),
    [anon_sym_set] = ACTIONS(2447),
    [anon_sym_declare] = ACTIONS(2447),
    [anon_sym_namespace] = ACTIONS(2447),
    [anon_sym_public] = ACTIONS(2447),
    [anon_sym_private] = ACTIONS(2447),
    [anon_sym_protected] = ACTIONS(2447),
    [anon_sym_override] = ACTIONS(2447),
    [anon_sym_module] = ACTIONS(2447),
    [anon_sym_any] = ACTIONS(2447),
    [anon_sym_number] = ACTIONS(2447),
    [anon_sym_boolean] = ACTIONS(2447),
    [anon_sym_string] = ACTIONS(2447),
    [anon_sym_symbol] = ACTIONS(2447),
    [anon_sym_abstract] = ACTIONS(2447),
    [anon_sym_interface] = ACTIONS(2447),
    [anon_sym_enum] = ACTIONS(2447),
    [anon_sym_component] = ACTIONS(2447),
    [anon_sym_instance] = ACTIONS(2447),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2449),
    [sym_identifier] = ACTIONS(2451),
    [anon_sym_export] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_RBRACE] = ACTIONS(2449),
    [anon_sym_type] = ACTIONS(2451),
    [anon_sym_typeof] = ACTIONS(2451),
    [anon_sym_import] = ACTIONS(2451),
    [anon_sym_var] = ACTIONS(2451),
    [anon_sym_let] = ACTIONS(2451),
    [anon_sym_const] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2449),
    [anon_sym_else] = ACTIONS(2451),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_for] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2449),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_while] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2451),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_with] = ACTIONS(2451),
    [anon_sym_break] = ACTIONS(2451),
    [anon_sym_continue] = ACTIONS(2451),
    [anon_sym_debugger] = ACTIONS(2451),
    [anon_sym_return] = ACTIONS(2451),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2449),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_default] = ACTIONS(2451),
    [anon_sym_yield] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_LTtemplate_GT] = ACTIONS(2449),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_function] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_TILDE] = ACTIONS(2449),
    [anon_sym_void] = ACTIONS(2451),
    [anon_sym_delete] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2449),
    [anon_sym_DASH_DASH] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2449),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2449),
    [sym_number] = ACTIONS(2449),
    [sym_this] = ACTIONS(2451),
    [sym_super] = ACTIONS(2451),
    [sym_true] = ACTIONS(2451),
    [sym_false] = ACTIONS(2451),
    [sym_null] = ACTIONS(2451),
    [sym_undefined] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_readonly] = ACTIONS(2451),
    [anon_sym_get] = ACTIONS(2451),
    [anon_sym_set] = ACTIONS(2451),
    [anon_sym_declare] = ACTIONS(2451),
    [anon_sym_namespace] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_protected] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_module] = ACTIONS(2451),
    [anon_sym_any] = ACTIONS(2451),
    [anon_sym_number] = ACTIONS(2451),
    [anon_sym_boolean] = ACTIONS(2451),
    [anon_sym_string] = ACTIONS(2451),
    [anon_sym_symbol] = ACTIONS(2451),
    [anon_sym_abstract] = ACTIONS(2451),
    [anon_sym_interface] = ACTIONS(2451),
    [anon_sym_enum] = ACTIONS(2451),
    [anon_sym_component] = ACTIONS(2451),
    [anon_sym_instance] = ACTIONS(2451),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2453),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_export] = ACTIONS(2455),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_typeof] = ACTIONS(2455),
    [anon_sym_import] = ACTIONS(2455),
    [anon_sym_var] = ACTIONS(2455),
    [anon_sym_let] = ACTIONS(2455),
    [anon_sym_const] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2455),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_switch] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_await] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_do] = ACTIONS(2455),
    [anon_sym_try] = ACTIONS(2455),
    [anon_sym_with] = ACTIONS(2455),
    [anon_sym_break] = ACTIONS(2455),
    [anon_sym_continue] = ACTIONS(2455),
    [anon_sym_debugger] = ACTIONS(2455),
    [anon_sym_return] = ACTIONS(2455),
    [anon_sym_throw] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2455),
    [anon_sym_default] = ACTIONS(2455),
    [anon_sym_yield] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_LTtemplate_GT] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2455),
    [anon_sym_SLASH] = ACTIONS(2455),
    [anon_sym_class] = ACTIONS(2455),
    [anon_sym_async] = ACTIONS(2455),
    [anon_sym_function] = ACTIONS(2455),
    [anon_sym_new] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_void] = ACTIONS(2455),
    [anon_sym_delete] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2453),
    [anon_sym_SQUOTE] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2453),
    [sym_number] = ACTIONS(2453),
    [sym_this] = ACTIONS(2455),
    [sym_super] = ACTIONS(2455),
    [sym_true] = ACTIONS(2455),
    [sym_false] = ACTIONS(2455),
    [sym_null] = ACTIONS(2455),
    [sym_undefined] = ACTIONS(2455),
    [anon_sym_AT] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2455),
    [anon_sym_readonly] = ACTIONS(2455),
    [anon_sym_get] = ACTIONS(2455),
    [anon_sym_set] = ACTIONS(2455),
    [anon_sym_declare] = ACTIONS(2455),
    [anon_sym_namespace] = ACTIONS(2455),
    [anon_sym_public] = ACTIONS(2455),
    [anon_sym_private] = ACTIONS(2455),
    [anon_sym_protected] = ACTIONS(2455),
    [anon_sym_override] = ACTIONS(2455),
    [anon_sym_module] = ACTIONS(2455),
    [anon_sym_any] = ACTIONS(2455),
    [anon_sym_number] = ACTIONS(2455),
    [anon_sym_boolean] = ACTIONS(2455),
    [anon_sym_string] = ACTIONS(2455),
    [anon_sym_symbol] = ACTIONS(2455),
    [anon_sym_abstract] = ACTIONS(2455),
    [anon_sym_interface] = ACTIONS(2455),
    [anon_sym_enum] = ACTIONS(2455),
    [anon_sym_component] = ACTIONS(2455),
    [anon_sym_instance] = ACTIONS(2455),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2457),
    [anon_sym_type] = ACTIONS(2459),
    [anon_sym_typeof] = ACTIONS(2459),
    [anon_sym_import] = ACTIONS(2459),
    [anon_sym_var] = ACTIONS(2459),
    [anon_sym_let] = ACTIONS(2459),
    [anon_sym_const] = ACTIONS(2459),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_switch] = ACTIONS(2459),
    [anon_sym_for] = ACTIONS(2459),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_await] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(2459),
    [anon_sym_do] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_with] = ACTIONS(2459),
    [anon_sym_break] = ACTIONS(2459),
    [anon_sym_continue] = ACTIONS(2459),
    [anon_sym_debugger] = ACTIONS(2459),
    [anon_sym_return] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2459),
    [anon_sym_default] = ACTIONS(2459),
    [anon_sym_yield] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2457),
    [anon_sym_LTtemplate_GT] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2459),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_void] = ACTIONS(2459),
    [anon_sym_delete] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2457),
    [anon_sym_DASH_DASH] = ACTIONS(2457),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2457),
    [sym_number] = ACTIONS(2457),
    [sym_this] = ACTIONS(2459),
    [sym_super] = ACTIONS(2459),
    [sym_true] = ACTIONS(2459),
    [sym_false] = ACTIONS(2459),
    [sym_null] = ACTIONS(2459),
    [sym_undefined] = ACTIONS(2459),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2459),
    [anon_sym_readonly] = ACTIONS(2459),
    [anon_sym_get] = ACTIONS(2459),
    [anon_sym_set] = ACTIONS(2459),
    [anon_sym_declare] = ACTIONS(2459),
    [anon_sym_namespace] = ACTIONS(2459),
    [anon_sym_public] = ACTIONS(2459),
    [anon_sym_private] = ACTIONS(2459),
    [anon_sym_protected] = ACTIONS(2459),
    [anon_sym_override] = ACTIONS(2459),
    [anon_sym_module] = ACTIONS(2459),
    [anon_sym_any] = ACTIONS(2459),
    [anon_sym_number] = ACTIONS(2459),
    [anon_sym_boolean] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_symbol] = ACTIONS(2459),
    [anon_sym_abstract] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2459),
    [anon_sym_enum] = ACTIONS(2459),
    [anon_sym_component] = ACTIONS(2459),
    [anon_sym_instance] = ACTIONS(2459),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2463),
    [anon_sym_export] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_RBRACE] = ACTIONS(2461),
    [anon_sym_type] = ACTIONS(2463),
    [anon_sym_typeof] = ACTIONS(2463),
    [anon_sym_import] = ACTIONS(2463),
    [anon_sym_var] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_const] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2463),
    [anon_sym_if] = ACTIONS(2463),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_for] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_await] = ACTIONS(2463),
    [anon_sym_while] = ACTIONS(2463),
    [anon_sym_do] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2463),
    [anon_sym_with] = ACTIONS(2463),
    [anon_sym_break] = ACTIONS(2463),
    [anon_sym_continue] = ACTIONS(2463),
    [anon_sym_debugger] = ACTIONS(2463),
    [anon_sym_return] = ACTIONS(2463),
    [anon_sym_throw] = ACTIONS(2463),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_case] = ACTIONS(2463),
    [anon_sym_default] = ACTIONS(2463),
    [anon_sym_yield] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [anon_sym_LTtemplate_GT] = ACTIONS(2461),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_SLASH] = ACTIONS(2463),
    [anon_sym_class] = ACTIONS(2463),
    [anon_sym_async] = ACTIONS(2463),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_TILDE] = ACTIONS(2461),
    [anon_sym_void] = ACTIONS(2463),
    [anon_sym_delete] = ACTIONS(2463),
    [anon_sym_PLUS_PLUS] = ACTIONS(2461),
    [anon_sym_DASH_DASH] = ACTIONS(2461),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2461),
    [sym_number] = ACTIONS(2461),
    [sym_this] = ACTIONS(2463),
    [sym_super] = ACTIONS(2463),
    [sym_true] = ACTIONS(2463),
    [sym_false] = ACTIONS(2463),
    [sym_null] = ACTIONS(2463),
    [sym_undefined] = ACTIONS(2463),
    [anon_sym_AT] = ACTIONS(2461),
    [anon_sym_static] = ACTIONS(2463),
    [anon_sym_readonly] = ACTIONS(2463),
    [anon_sym_get] = ACTIONS(2463),
    [anon_sym_set] = ACTIONS(2463),
    [anon_sym_declare] = ACTIONS(2463),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_public] = ACTIONS(2463),
    [anon_sym_private] = ACTIONS(2463),
    [anon_sym_protected] = ACTIONS(2463),
    [anon_sym_override] = ACTIONS(2463),
    [anon_sym_module] = ACTIONS(2463),
    [anon_sym_any] = ACTIONS(2463),
    [anon_sym_number] = ACTIONS(2463),
    [anon_sym_boolean] = ACTIONS(2463),
    [anon_sym_string] = ACTIONS(2463),
    [anon_sym_symbol] = ACTIONS(2463),
    [anon_sym_abstract] = ACTIONS(2463),
    [anon_sym_interface] = ACTIONS(2463),
    [anon_sym_enum] = ACTIONS(2463),
    [anon_sym_component] = ACTIONS(2463),
    [anon_sym_instance] = ACTIONS(2463),
  },
  [651] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_catch] = ACTIONS(1460),
    [anon_sym_finally] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2398),
    [anon_sym_export] = ACTIONS(2398),
    [anon_sym_as] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_type] = ACTIONS(2398),
    [anon_sym_typeof] = ACTIONS(2398),
    [anon_sym_import] = ACTIONS(2398),
    [anon_sym_var] = ACTIONS(2398),
    [anon_sym_let] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_LPAREN] = ACTIONS(2400),
    [anon_sym_await] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_with] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_debugger] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_yield] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_LTtemplate_GT] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_async] = ACTIONS(2398),
    [anon_sym_function] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_void] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2400),
    [sym_number] = ACTIONS(2400),
    [sym_this] = ACTIONS(2398),
    [sym_super] = ACTIONS(2398),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [sym_null] = ACTIONS(2398),
    [sym_undefined] = ACTIONS(2398),
    [anon_sym_AT] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_readonly] = ACTIONS(2398),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
    [anon_sym_declare] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_public] = ACTIONS(2398),
    [anon_sym_private] = ACTIONS(2398),
    [anon_sym_protected] = ACTIONS(2398),
    [anon_sym_override] = ACTIONS(2398),
    [anon_sym_module] = ACTIONS(2398),
    [anon_sym_any] = ACTIONS(2398),
    [anon_sym_number] = ACTIONS(2398),
    [anon_sym_boolean] = ACTIONS(2398),
    [anon_sym_string] = ACTIONS(2398),
    [anon_sym_symbol] = ACTIONS(2398),
    [anon_sym_abstract] = ACTIONS(2398),
    [anon_sym_interface] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_component] = ACTIONS(2398),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2465),
    [sym_identifier] = ACTIONS(2467),
    [anon_sym_export] = ACTIONS(2467),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_type] = ACTIONS(2467),
    [anon_sym_typeof] = ACTIONS(2467),
    [anon_sym_import] = ACTIONS(2467),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_const] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2467),
    [anon_sym_if] = ACTIONS(2467),
    [anon_sym_switch] = ACTIONS(2467),
    [anon_sym_for] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_await] = ACTIONS(2467),
    [anon_sym_while] = ACTIONS(2467),
    [anon_sym_do] = ACTIONS(2467),
    [anon_sym_try] = ACTIONS(2467),
    [anon_sym_with] = ACTIONS(2467),
    [anon_sym_break] = ACTIONS(2467),
    [anon_sym_continue] = ACTIONS(2467),
    [anon_sym_debugger] = ACTIONS(2467),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2467),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_default] = ACTIONS(2467),
    [anon_sym_yield] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_LTtemplate_GT] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2467),
    [anon_sym_SLASH] = ACTIONS(2467),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_async] = ACTIONS(2467),
    [anon_sym_function] = ACTIONS(2467),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_void] = ACTIONS(2467),
    [anon_sym_delete] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2465),
    [sym_number] = ACTIONS(2465),
    [sym_this] = ACTIONS(2467),
    [sym_super] = ACTIONS(2467),
    [sym_true] = ACTIONS(2467),
    [sym_false] = ACTIONS(2467),
    [sym_null] = ACTIONS(2467),
    [sym_undefined] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_readonly] = ACTIONS(2467),
    [anon_sym_get] = ACTIONS(2467),
    [anon_sym_set] = ACTIONS(2467),
    [anon_sym_declare] = ACTIONS(2467),
    [anon_sym_namespace] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_protected] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_any] = ACTIONS(2467),
    [anon_sym_number] = ACTIONS(2467),
    [anon_sym_boolean] = ACTIONS(2467),
    [anon_sym_string] = ACTIONS(2467),
    [anon_sym_symbol] = ACTIONS(2467),
    [anon_sym_abstract] = ACTIONS(2467),
    [anon_sym_interface] = ACTIONS(2467),
    [anon_sym_enum] = ACTIONS(2467),
    [anon_sym_component] = ACTIONS(2467),
    [anon_sym_instance] = ACTIONS(2467),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2469),
    [sym_identifier] = ACTIONS(2471),
    [anon_sym_export] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2469),
    [anon_sym_RBRACE] = ACTIONS(2469),
    [anon_sym_type] = ACTIONS(2471),
    [anon_sym_typeof] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_var] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_const] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2469),
    [anon_sym_else] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(2471),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2471),
    [anon_sym_with] = ACTIONS(2471),
    [anon_sym_break] = ACTIONS(2471),
    [anon_sym_continue] = ACTIONS(2471),
    [anon_sym_debugger] = ACTIONS(2471),
    [anon_sym_return] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_default] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2469),
    [anon_sym_LTtemplate_GT] = ACTIONS(2469),
    [anon_sym_LT] = ACTIONS(2471),
    [anon_sym_SLASH] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
    [anon_sym_function] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2469),
    [anon_sym_void] = ACTIONS(2471),
    [anon_sym_delete] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2469),
    [anon_sym_DASH_DASH] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_SQUOTE] = ACTIONS(2469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2469),
    [sym_number] = ACTIONS(2469),
    [sym_this] = ACTIONS(2471),
    [sym_super] = ACTIONS(2471),
    [sym_true] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [sym_null] = ACTIONS(2471),
    [sym_undefined] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_readonly] = ACTIONS(2471),
    [anon_sym_get] = ACTIONS(2471),
    [anon_sym_set] = ACTIONS(2471),
    [anon_sym_declare] = ACTIONS(2471),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_protected] = ACTIONS(2471),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_module] = ACTIONS(2471),
    [anon_sym_any] = ACTIONS(2471),
    [anon_sym_number] = ACTIONS(2471),
    [anon_sym_boolean] = ACTIONS(2471),
    [anon_sym_string] = ACTIONS(2471),
    [anon_sym_symbol] = ACTIONS(2471),
    [anon_sym_abstract] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2471),
    [anon_sym_enum] = ACTIONS(2471),
    [anon_sym_component] = ACTIONS(2471),
    [anon_sym_instance] = ACTIONS(2471),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2473),
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_export] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_RBRACE] = ACTIONS(2473),
    [anon_sym_type] = ACTIONS(2475),
    [anon_sym_typeof] = ACTIONS(2475),
    [anon_sym_import] = ACTIONS(2475),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2475),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_for] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_await] = ACTIONS(2475),
    [anon_sym_while] = ACTIONS(2475),
    [anon_sym_do] = ACTIONS(2475),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_with] = ACTIONS(2475),
    [anon_sym_break] = ACTIONS(2475),
    [anon_sym_continue] = ACTIONS(2475),
    [anon_sym_debugger] = ACTIONS(2475),
    [anon_sym_return] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2473),
    [anon_sym_case] = ACTIONS(2475),
    [anon_sym_default] = ACTIONS(2475),
    [anon_sym_yield] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LTtemplate_GT] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_function] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_void] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2473),
    [anon_sym_DASH_DASH] = ACTIONS(2473),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2473),
    [sym_number] = ACTIONS(2473),
    [sym_this] = ACTIONS(2475),
    [sym_super] = ACTIONS(2475),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [sym_null] = ACTIONS(2475),
    [sym_undefined] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_readonly] = ACTIONS(2475),
    [anon_sym_get] = ACTIONS(2475),
    [anon_sym_set] = ACTIONS(2475),
    [anon_sym_declare] = ACTIONS(2475),
    [anon_sym_namespace] = ACTIONS(2475),
    [anon_sym_public] = ACTIONS(2475),
    [anon_sym_private] = ACTIONS(2475),
    [anon_sym_protected] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_module] = ACTIONS(2475),
    [anon_sym_any] = ACTIONS(2475),
    [anon_sym_number] = ACTIONS(2475),
    [anon_sym_boolean] = ACTIONS(2475),
    [anon_sym_string] = ACTIONS(2475),
    [anon_sym_symbol] = ACTIONS(2475),
    [anon_sym_abstract] = ACTIONS(2475),
    [anon_sym_interface] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_component] = ACTIONS(2475),
    [anon_sym_instance] = ACTIONS(2475),
  },
  [656] = {
    [sym__call_signature] = STATE(4621),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2477),
    [anon_sym_export] = ACTIONS(2479),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2479),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2479),
    [anon_sym_readonly] = ACTIONS(2479),
    [anon_sym_get] = ACTIONS(2479),
    [anon_sym_set] = ACTIONS(2479),
    [anon_sym_declare] = ACTIONS(2479),
    [anon_sym_namespace] = ACTIONS(2479),
    [anon_sym_public] = ACTIONS(2479),
    [anon_sym_private] = ACTIONS(2479),
    [anon_sym_protected] = ACTIONS(2479),
    [anon_sym_override] = ACTIONS(2479),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_any] = ACTIONS(2479),
    [anon_sym_number] = ACTIONS(2479),
    [anon_sym_boolean] = ACTIONS(2479),
    [anon_sym_string] = ACTIONS(2479),
    [anon_sym_symbol] = ACTIONS(2479),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_implements] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [657] = {
    [sym_statement_block] = STATE(796),
    [sym_identifier] = ACTIONS(2481),
    [anon_sym_export] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(2483),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_type] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2481),
    [anon_sym_import] = ACTIONS(2481),
    [anon_sym_var] = ACTIONS(2481),
    [anon_sym_let] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_switch] = ACTIONS(2481),
    [anon_sym_for] = ACTIONS(2481),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(2481),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_do] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_with] = ACTIONS(2481),
    [anon_sym_break] = ACTIONS(2481),
    [anon_sym_continue] = ACTIONS(2481),
    [anon_sym_debugger] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_case] = ACTIONS(2481),
    [anon_sym_default] = ACTIONS(2481),
    [anon_sym_yield] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(2485),
    [anon_sym_LTtemplate_GT] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2481),
    [anon_sym_SLASH] = ACTIONS(2481),
    [anon_sym_DOT] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2481),
    [anon_sym_new] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2485),
    [anon_sym_void] = ACTIONS(2481),
    [anon_sym_delete] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(2485),
    [anon_sym_DASH_DASH] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2485),
    [sym_number] = ACTIONS(2485),
    [sym_this] = ACTIONS(2481),
    [sym_super] = ACTIONS(2481),
    [sym_true] = ACTIONS(2481),
    [sym_false] = ACTIONS(2481),
    [sym_null] = ACTIONS(2481),
    [sym_undefined] = ACTIONS(2481),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2481),
    [anon_sym_readonly] = ACTIONS(2481),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_declare] = ACTIONS(2481),
    [anon_sym_namespace] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_module] = ACTIONS(2481),
    [anon_sym_any] = ACTIONS(2481),
    [anon_sym_number] = ACTIONS(2481),
    [anon_sym_boolean] = ACTIONS(2481),
    [anon_sym_string] = ACTIONS(2481),
    [anon_sym_symbol] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_interface] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_component] = ACTIONS(2481),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2489),
    [sym_identifier] = ACTIONS(2491),
    [anon_sym_export] = ACTIONS(2491),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_type] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(2491),
    [anon_sym_import] = ACTIONS(2491),
    [anon_sym_var] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_const] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2491),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_for] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2491),
    [anon_sym_while] = ACTIONS(2491),
    [anon_sym_do] = ACTIONS(2491),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_with] = ACTIONS(2491),
    [anon_sym_break] = ACTIONS(2491),
    [anon_sym_continue] = ACTIONS(2491),
    [anon_sym_debugger] = ACTIONS(2491),
    [anon_sym_return] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2491),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_case] = ACTIONS(2491),
    [anon_sym_default] = ACTIONS(2491),
    [anon_sym_yield] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [anon_sym_LTtemplate_GT] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_SLASH] = ACTIONS(2491),
    [anon_sym_class] = ACTIONS(2491),
    [anon_sym_async] = ACTIONS(2491),
    [anon_sym_function] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2491),
    [anon_sym_delete] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_this] = ACTIONS(2491),
    [sym_super] = ACTIONS(2491),
    [sym_true] = ACTIONS(2491),
    [sym_false] = ACTIONS(2491),
    [sym_null] = ACTIONS(2491),
    [sym_undefined] = ACTIONS(2491),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2491),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_get] = ACTIONS(2491),
    [anon_sym_set] = ACTIONS(2491),
    [anon_sym_declare] = ACTIONS(2491),
    [anon_sym_namespace] = ACTIONS(2491),
    [anon_sym_public] = ACTIONS(2491),
    [anon_sym_private] = ACTIONS(2491),
    [anon_sym_protected] = ACTIONS(2491),
    [anon_sym_override] = ACTIONS(2491),
    [anon_sym_module] = ACTIONS(2491),
    [anon_sym_any] = ACTIONS(2491),
    [anon_sym_number] = ACTIONS(2491),
    [anon_sym_boolean] = ACTIONS(2491),
    [anon_sym_string] = ACTIONS(2491),
    [anon_sym_symbol] = ACTIONS(2491),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_interface] = ACTIONS(2491),
    [anon_sym_enum] = ACTIONS(2491),
    [anon_sym_component] = ACTIONS(2491),
    [anon_sym_instance] = ACTIONS(2491),
  },
  [659] = {
    [sym__call_signature] = STATE(4621),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2477),
    [anon_sym_export] = ACTIONS(2479),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2479),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2479),
    [anon_sym_readonly] = ACTIONS(2479),
    [anon_sym_get] = ACTIONS(2479),
    [anon_sym_set] = ACTIONS(2479),
    [anon_sym_declare] = ACTIONS(2479),
    [anon_sym_namespace] = ACTIONS(2479),
    [anon_sym_public] = ACTIONS(2479),
    [anon_sym_private] = ACTIONS(2479),
    [anon_sym_protected] = ACTIONS(2479),
    [anon_sym_override] = ACTIONS(2479),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_any] = ACTIONS(2479),
    [anon_sym_number] = ACTIONS(2479),
    [anon_sym_boolean] = ACTIONS(2479),
    [anon_sym_string] = ACTIONS(2479),
    [anon_sym_symbol] = ACTIONS(2479),
    [anon_sym_satisfies] = ACTIONS(25),
    [anon_sym_implements] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [660] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_type] = ACTIONS(2497),
    [anon_sym_typeof] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_var] = ACTIONS(2497),
    [anon_sym_let] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_await] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_debugger] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_LTtemplate_GT] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_async] = ACTIONS(2497),
    [anon_sym_function] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_AMP] = ACTIONS(2495),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_void] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2495),
    [sym_number] = ACTIONS(2495),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_null] = ACTIONS(2497),
    [sym_undefined] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2495),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_readonly] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2497),
    [anon_sym_declare] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_override] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_any] = ACTIONS(2497),
    [anon_sym_number] = ACTIONS(2497),
    [anon_sym_boolean] = ACTIONS(2497),
    [anon_sym_string] = ACTIONS(2497),
    [anon_sym_symbol] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_component] = ACTIONS(2497),
    [anon_sym_instance] = ACTIONS(2497),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LTtemplate_GT] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_number] = ACTIONS(2499),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [anon_sym_component] = ACTIONS(2501),
    [anon_sym_instance] = ACTIONS(2501),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2503),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_export] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_typeof] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(2505),
    [anon_sym_var] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_else] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_debugger] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2505),
    [anon_sym_SLASH] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_async] = ACTIONS(2505),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2505),
    [sym_super] = ACTIONS(2505),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [sym_null] = ACTIONS(2505),
    [sym_undefined] = ACTIONS(2505),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_readonly] = ACTIONS(2505),
    [anon_sym_get] = ACTIONS(2505),
    [anon_sym_set] = ACTIONS(2505),
    [anon_sym_declare] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_override] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_any] = ACTIONS(2505),
    [anon_sym_number] = ACTIONS(2505),
    [anon_sym_boolean] = ACTIONS(2505),
    [anon_sym_string] = ACTIONS(2505),
    [anon_sym_symbol] = ACTIONS(2505),
    [anon_sym_abstract] = ACTIONS(2505),
    [anon_sym_interface] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_component] = ACTIONS(2505),
    [anon_sym_instance] = ACTIONS(2505),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LTtemplate_GT] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_number] = ACTIONS(2507),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_interface] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_component] = ACTIONS(2509),
    [anon_sym_instance] = ACTIONS(2509),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_type] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_let] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_await] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_debugger] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_case] = ACTIONS(2513),
    [anon_sym_default] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_LTtemplate_GT] = ACTIONS(2511),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_void] = ACTIONS(2513),
    [anon_sym_delete] = ACTIONS(2513),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2511),
    [sym_number] = ACTIONS(2511),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_undefined] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_readonly] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_declare] = ACTIONS(2513),
    [anon_sym_namespace] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_any] = ACTIONS(2513),
    [anon_sym_number] = ACTIONS(2513),
    [anon_sym_boolean] = ACTIONS(2513),
    [anon_sym_string] = ACTIONS(2513),
    [anon_sym_symbol] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_component] = ACTIONS(2513),
    [anon_sym_instance] = ACTIONS(2513),
  },
  [666] = {
    [ts_builtin_sym_end] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [anon_sym_export] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_type] = ACTIONS(2517),
    [anon_sym_typeof] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2517),
    [anon_sym_var] = ACTIONS(2517),
    [anon_sym_let] = ACTIONS(2517),
    [anon_sym_const] = ACTIONS(2517),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2517),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_switch] = ACTIONS(2517),
    [anon_sym_for] = ACTIONS(2517),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(2517),
    [anon_sym_do] = ACTIONS(2517),
    [anon_sym_try] = ACTIONS(2517),
    [anon_sym_with] = ACTIONS(2517),
    [anon_sym_break] = ACTIONS(2517),
    [anon_sym_continue] = ACTIONS(2517),
    [anon_sym_debugger] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2517),
    [anon_sym_throw] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_case] = ACTIONS(2517),
    [anon_sym_default] = ACTIONS(2517),
    [anon_sym_yield] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_LTtemplate_GT] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2517),
    [anon_sym_class] = ACTIONS(2517),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_function] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2517),
    [anon_sym_AMP] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2517),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2517),
    [anon_sym_delete] = ACTIONS(2517),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_number] = ACTIONS(2515),
    [sym_this] = ACTIONS(2517),
    [sym_super] = ACTIONS(2517),
    [sym_true] = ACTIONS(2517),
    [sym_false] = ACTIONS(2517),
    [sym_null] = ACTIONS(2517),
    [sym_undefined] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_static] = ACTIONS(2517),
    [anon_sym_readonly] = ACTIONS(2517),
    [anon_sym_get] = ACTIONS(2517),
    [anon_sym_set] = ACTIONS(2517),
    [anon_sym_declare] = ACTIONS(2517),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_public] = ACTIONS(2517),
    [anon_sym_private] = ACTIONS(2517),
    [anon_sym_protected] = ACTIONS(2517),
    [anon_sym_override] = ACTIONS(2517),
    [anon_sym_module] = ACTIONS(2517),
    [anon_sym_any] = ACTIONS(2517),
    [anon_sym_number] = ACTIONS(2517),
    [anon_sym_boolean] = ACTIONS(2517),
    [anon_sym_string] = ACTIONS(2517),
    [anon_sym_symbol] = ACTIONS(2517),
    [anon_sym_abstract] = ACTIONS(2517),
    [anon_sym_interface] = ACTIONS(2517),
    [anon_sym_enum] = ACTIONS(2517),
    [anon_sym_component] = ACTIONS(2517),
    [anon_sym_instance] = ACTIONS(2517),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2519),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_RBRACE] = ACTIONS(2519),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_typeof] = ACTIONS(2521),
    [anon_sym_import] = ACTIONS(2521),
    [anon_sym_var] = ACTIONS(2521),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_switch] = ACTIONS(2521),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_await] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_with] = ACTIONS(2521),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2521),
    [anon_sym_debugger] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2521),
    [anon_sym_yield] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_LTtemplate_GT] = ACTIONS(2519),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_async] = ACTIONS(2521),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_new] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_void] = ACTIONS(2521),
    [anon_sym_delete] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2519),
    [anon_sym_DASH_DASH] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_number] = ACTIONS(2519),
    [sym_this] = ACTIONS(2521),
    [sym_super] = ACTIONS(2521),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_null] = ACTIONS(2521),
    [sym_undefined] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_component] = ACTIONS(2521),
    [anon_sym_instance] = ACTIONS(2521),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [sym_identifier] = ACTIONS(2525),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [anon_sym_type] = ACTIONS(2525),
    [anon_sym_typeof] = ACTIONS(2525),
    [anon_sym_import] = ACTIONS(2525),
    [anon_sym_var] = ACTIONS(2525),
    [anon_sym_let] = ACTIONS(2525),
    [anon_sym_const] = ACTIONS(2525),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_else] = ACTIONS(2525),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_switch] = ACTIONS(2525),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_await] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(2525),
    [anon_sym_do] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2525),
    [anon_sym_with] = ACTIONS(2525),
    [anon_sym_break] = ACTIONS(2525),
    [anon_sym_continue] = ACTIONS(2525),
    [anon_sym_debugger] = ACTIONS(2525),
    [anon_sym_return] = ACTIONS(2525),
    [anon_sym_throw] = ACTIONS(2525),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_case] = ACTIONS(2525),
    [anon_sym_default] = ACTIONS(2525),
    [anon_sym_yield] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_LTtemplate_GT] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_SLASH] = ACTIONS(2525),
    [anon_sym_class] = ACTIONS(2525),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2525),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_void] = ACTIONS(2525),
    [anon_sym_delete] = ACTIONS(2525),
    [anon_sym_PLUS_PLUS] = ACTIONS(2523),
    [anon_sym_DASH_DASH] = ACTIONS(2523),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_number] = ACTIONS(2523),
    [sym_this] = ACTIONS(2525),
    [sym_super] = ACTIONS(2525),
    [sym_true] = ACTIONS(2525),
    [sym_false] = ACTIONS(2525),
    [sym_null] = ACTIONS(2525),
    [sym_undefined] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_static] = ACTIONS(2525),
    [anon_sym_readonly] = ACTIONS(2525),
    [anon_sym_get] = ACTIONS(2525),
    [anon_sym_set] = ACTIONS(2525),
    [anon_sym_declare] = ACTIONS(2525),
    [anon_sym_namespace] = ACTIONS(2525),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2525),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_any] = ACTIONS(2525),
    [anon_sym_number] = ACTIONS(2525),
    [anon_sym_boolean] = ACTIONS(2525),
    [anon_sym_string] = ACTIONS(2525),
    [anon_sym_symbol] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2525),
    [anon_sym_interface] = ACTIONS(2525),
    [anon_sym_enum] = ACTIONS(2525),
    [anon_sym_component] = ACTIONS(2525),
    [anon_sym_instance] = ACTIONS(2525),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(2529),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_typeof] = ACTIONS(2529),
    [anon_sym_import] = ACTIONS(2529),
    [anon_sym_var] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_const] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_switch] = ACTIONS(2529),
    [anon_sym_for] = ACTIONS(2529),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_await] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2529),
    [anon_sym_do] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2529),
    [anon_sym_with] = ACTIONS(2529),
    [anon_sym_break] = ACTIONS(2529),
    [anon_sym_continue] = ACTIONS(2529),
    [anon_sym_debugger] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(2529),
    [anon_sym_throw] = ACTIONS(2529),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_case] = ACTIONS(2529),
    [anon_sym_default] = ACTIONS(2529),
    [anon_sym_yield] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_LTtemplate_GT] = ACTIONS(2527),
    [anon_sym_LT] = ACTIONS(2529),
    [anon_sym_SLASH] = ACTIONS(2529),
    [anon_sym_class] = ACTIONS(2529),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2529),
    [anon_sym_DASH] = ACTIONS(2529),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_void] = ACTIONS(2529),
    [anon_sym_delete] = ACTIONS(2529),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2527),
    [sym_number] = ACTIONS(2527),
    [sym_this] = ACTIONS(2529),
    [sym_super] = ACTIONS(2529),
    [sym_true] = ACTIONS(2529),
    [sym_false] = ACTIONS(2529),
    [sym_null] = ACTIONS(2529),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_abstract] = ACTIONS(2529),
    [anon_sym_interface] = ACTIONS(2529),
    [anon_sym_enum] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_instance] = ACTIONS(2529),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2531),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_RBRACE] = ACTIONS(2531),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_typeof] = ACTIONS(2533),
    [anon_sym_import] = ACTIONS(2533),
    [anon_sym_var] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_const] = ACTIONS(2533),
    [anon_sym_BANG] = ACTIONS(2531),
    [anon_sym_else] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_switch] = ACTIONS(2533),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2531),
    [anon_sym_await] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_break] = ACTIONS(2533),
    [anon_sym_continue] = ACTIONS(2533),
    [anon_sym_debugger] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_throw] = ACTIONS(2533),
    [anon_sym_SEMI] = ACTIONS(2531),
    [anon_sym_case] = ACTIONS(2533),
    [anon_sym_default] = ACTIONS(2533),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [anon_sym_LTtemplate_GT] = ACTIONS(2531),
    [anon_sym_LT] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_class] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2533),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2531),
    [anon_sym_void] = ACTIONS(2533),
    [anon_sym_delete] = ACTIONS(2533),
    [anon_sym_PLUS_PLUS] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2531),
    [anon_sym_DQUOTE] = ACTIONS(2531),
    [anon_sym_SQUOTE] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2531),
    [sym_number] = ACTIONS(2531),
    [sym_this] = ACTIONS(2533),
    [sym_super] = ACTIONS(2533),
    [sym_true] = ACTIONS(2533),
    [sym_false] = ACTIONS(2533),
    [sym_null] = ACTIONS(2533),
    [sym_undefined] = ACTIONS(2533),
    [anon_sym_AT] = ACTIONS(2531),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2533),
    [anon_sym_set] = ACTIONS(2533),
    [anon_sym_declare] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_public] = ACTIONS(2533),
    [anon_sym_private] = ACTIONS(2533),
    [anon_sym_protected] = ACTIONS(2533),
    [anon_sym_override] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_any] = ACTIONS(2533),
    [anon_sym_number] = ACTIONS(2533),
    [anon_sym_boolean] = ACTIONS(2533),
    [anon_sym_string] = ACTIONS(2533),
    [anon_sym_symbol] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_interface] = ACTIONS(2533),
    [anon_sym_enum] = ACTIONS(2533),
    [anon_sym_component] = ACTIONS(2533),
    [anon_sym_instance] = ACTIONS(2533),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_export] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2535),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_type] = ACTIONS(2537),
    [anon_sym_typeof] = ACTIONS(2537),
    [anon_sym_import] = ACTIONS(2537),
    [anon_sym_var] = ACTIONS(2537),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2535),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_switch] = ACTIONS(2537),
    [anon_sym_for] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2535),
    [anon_sym_await] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_with] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2537),
    [anon_sym_continue] = ACTIONS(2537),
    [anon_sym_debugger] = ACTIONS(2537),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_SEMI] = ACTIONS(2535),
    [anon_sym_case] = ACTIONS(2537),
    [anon_sym_default] = ACTIONS(2537),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [anon_sym_LTtemplate_GT] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_class] = ACTIONS(2537),
    [anon_sym_async] = ACTIONS(2537),
    [anon_sym_function] = ACTIONS(2537),
    [anon_sym_new] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2535),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_TILDE] = ACTIONS(2535),
    [anon_sym_void] = ACTIONS(2537),
    [anon_sym_delete] = ACTIONS(2537),
    [anon_sym_PLUS_PLUS] = ACTIONS(2535),
    [anon_sym_DASH_DASH] = ACTIONS(2535),
    [anon_sym_DQUOTE] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2535),
    [sym_number] = ACTIONS(2535),
    [sym_this] = ACTIONS(2537),
    [sym_super] = ACTIONS(2537),
    [sym_true] = ACTIONS(2537),
    [sym_false] = ACTIONS(2537),
    [sym_null] = ACTIONS(2537),
    [sym_undefined] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2535),
    [anon_sym_static] = ACTIONS(2537),
    [anon_sym_readonly] = ACTIONS(2537),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_declare] = ACTIONS(2537),
    [anon_sym_namespace] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_module] = ACTIONS(2537),
    [anon_sym_any] = ACTIONS(2537),
    [anon_sym_number] = ACTIONS(2537),
    [anon_sym_boolean] = ACTIONS(2537),
    [anon_sym_string] = ACTIONS(2537),
    [anon_sym_symbol] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_interface] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_component] = ACTIONS(2537),
    [anon_sym_instance] = ACTIONS(2537),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_export] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_type] = ACTIONS(2541),
    [anon_sym_typeof] = ACTIONS(2541),
    [anon_sym_import] = ACTIONS(2541),
    [anon_sym_var] = ACTIONS(2541),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_const] = ACTIONS(2541),
    [anon_sym_BANG] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2541),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_switch] = ACTIONS(2541),
    [anon_sym_for] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_await] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(2541),
    [anon_sym_do] = ACTIONS(2541),
    [anon_sym_try] = ACTIONS(2541),
    [anon_sym_with] = ACTIONS(2541),
    [anon_sym_break] = ACTIONS(2541),
    [anon_sym_continue] = ACTIONS(2541),
    [anon_sym_debugger] = ACTIONS(2541),
    [anon_sym_return] = ACTIONS(2541),
    [anon_sym_throw] = ACTIONS(2541),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_case] = ACTIONS(2541),
    [anon_sym_default] = ACTIONS(2541),
    [anon_sym_yield] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_LTtemplate_GT] = ACTIONS(2539),
    [anon_sym_LT] = ACTIONS(2541),
    [anon_sym_SLASH] = ACTIONS(2541),
    [anon_sym_class] = ACTIONS(2541),
    [anon_sym_async] = ACTIONS(2541),
    [anon_sym_function] = ACTIONS(2541),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_AMP] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2541),
    [anon_sym_DASH] = ACTIONS(2541),
    [anon_sym_TILDE] = ACTIONS(2539),
    [anon_sym_void] = ACTIONS(2541),
    [anon_sym_delete] = ACTIONS(2541),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2539),
    [sym_number] = ACTIONS(2539),
    [sym_this] = ACTIONS(2541),
    [sym_super] = ACTIONS(2541),
    [sym_true] = ACTIONS(2541),
    [sym_false] = ACTIONS(2541),
    [sym_null] = ACTIONS(2541),
    [sym_undefined] = ACTIONS(2541),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_static] = ACTIONS(2541),
    [anon_sym_readonly] = ACTIONS(2541),
    [anon_sym_get] = ACTIONS(2541),
    [anon_sym_set] = ACTIONS(2541),
    [anon_sym_declare] = ACTIONS(2541),
    [anon_sym_namespace] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2541),
    [anon_sym_private] = ACTIONS(2541),
    [anon_sym_protected] = ACTIONS(2541),
    [anon_sym_override] = ACTIONS(2541),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_any] = ACTIONS(2541),
    [anon_sym_number] = ACTIONS(2541),
    [anon_sym_boolean] = ACTIONS(2541),
    [anon_sym_string] = ACTIONS(2541),
    [anon_sym_symbol] = ACTIONS(2541),
    [anon_sym_abstract] = ACTIONS(2541),
    [anon_sym_interface] = ACTIONS(2541),
    [anon_sym_enum] = ACTIONS(2541),
    [anon_sym_component] = ACTIONS(2541),
    [anon_sym_instance] = ACTIONS(2541),
  },
  [673] = {
    [sym_import_path_segment] = STATE(637),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_as] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2548),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_LTtemplate_GT] = ACTIONS(2548),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2548),
    [sym_number] = ACTIONS(2548),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_component] = ACTIONS(2546),
  },
  [674] = {
    [sym_finally_clause] = STATE(802),
    [sym_identifier] = ACTIONS(2550),
    [anon_sym_export] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_type] = ACTIONS(2550),
    [anon_sym_typeof] = ACTIONS(2550),
    [anon_sym_import] = ACTIONS(2550),
    [anon_sym_var] = ACTIONS(2550),
    [anon_sym_let] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_await] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_with] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_debugger] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_finally] = ACTIONS(2345),
    [anon_sym_yield] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_LTtemplate_GT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_async] = ACTIONS(2550),
    [anon_sym_function] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_void] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2552),
    [sym_number] = ACTIONS(2552),
    [sym_this] = ACTIONS(2550),
    [sym_super] = ACTIONS(2550),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [sym_null] = ACTIONS(2550),
    [sym_undefined] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_readonly] = ACTIONS(2550),
    [anon_sym_get] = ACTIONS(2550),
    [anon_sym_set] = ACTIONS(2550),
    [anon_sym_declare] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_public] = ACTIONS(2550),
    [anon_sym_private] = ACTIONS(2550),
    [anon_sym_protected] = ACTIONS(2550),
    [anon_sym_override] = ACTIONS(2550),
    [anon_sym_module] = ACTIONS(2550),
    [anon_sym_any] = ACTIONS(2550),
    [anon_sym_number] = ACTIONS(2550),
    [anon_sym_boolean] = ACTIONS(2550),
    [anon_sym_string] = ACTIONS(2550),
    [anon_sym_symbol] = ACTIONS(2550),
    [anon_sym_abstract] = ACTIONS(2550),
    [anon_sym_interface] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_component] = ACTIONS(2550),
  },
  [675] = {
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1430),
    [anon_sym_typeof] = ACTIONS(1430),
    [anon_sym_import] = ACTIONS(1430),
    [anon_sym_var] = ACTIONS(1430),
    [anon_sym_let] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_with] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_debugger] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_throw] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LTtemplate_GT] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_class] = ACTIONS(1430),
    [anon_sym_async] = ACTIONS(1430),
    [anon_sym_function] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_void] = ACTIONS(1430),
    [anon_sym_delete] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_number] = ACTIONS(1434),
    [sym_this] = ACTIONS(1430),
    [sym_super] = ACTIONS(1430),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [sym_null] = ACTIONS(1430),
    [sym_undefined] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_readonly] = ACTIONS(1430),
    [anon_sym_get] = ACTIONS(1430),
    [anon_sym_set] = ACTIONS(1430),
    [anon_sym_declare] = ACTIONS(1430),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_public] = ACTIONS(1430),
    [anon_sym_private] = ACTIONS(1430),
    [anon_sym_protected] = ACTIONS(1430),
    [anon_sym_override] = ACTIONS(1430),
    [anon_sym_module] = ACTIONS(1430),
    [anon_sym_any] = ACTIONS(1430),
    [anon_sym_number] = ACTIONS(1430),
    [anon_sym_boolean] = ACTIONS(1430),
    [anon_sym_string] = ACTIONS(1430),
    [anon_sym_symbol] = ACTIONS(1430),
    [anon_sym_abstract] = ACTIONS(1430),
    [anon_sym_interface] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_component] = ACTIONS(1430),
    [sym__automatic_semicolon] = ACTIONS(1438),
  },
  [676] = {
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_export] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1490),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_var] = ACTIONS(1490),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_switch] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_await] = ACTIONS(1490),
    [anon_sym_while] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1490),
    [anon_sym_try] = ACTIONS(1490),
    [anon_sym_with] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_debugger] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1490),
    [anon_sym_default] = ACTIONS(1490),
    [anon_sym_yield] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_LTtemplate_GT] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_class] = ACTIONS(1490),
    [anon_sym_async] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1490),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [sym_number] = ACTIONS(1494),
    [sym_this] = ACTIONS(1490),
    [sym_super] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [sym_undefined] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1490),
    [anon_sym_readonly] = ACTIONS(1490),
    [anon_sym_get] = ACTIONS(1490),
    [anon_sym_set] = ACTIONS(1490),
    [anon_sym_declare] = ACTIONS(1490),
    [anon_sym_namespace] = ACTIONS(1490),
    [anon_sym_public] = ACTIONS(1490),
    [anon_sym_private] = ACTIONS(1490),
    [anon_sym_protected] = ACTIONS(1490),
    [anon_sym_override] = ACTIONS(1490),
    [anon_sym_module] = ACTIONS(1490),
    [anon_sym_any] = ACTIONS(1490),
    [anon_sym_number] = ACTIONS(1490),
    [anon_sym_boolean] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_symbol] = ACTIONS(1490),
    [anon_sym_abstract] = ACTIONS(1490),
    [anon_sym_interface] = ACTIONS(1490),
    [anon_sym_enum] = ACTIONS(1490),
    [anon_sym_component] = ACTIONS(1490),
    [sym__automatic_semicolon] = ACTIONS(1498),
  },
  [677] = {
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1530),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_await] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1530),
    [anon_sym_with] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1530),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_debugger] = ACTIONS(1530),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_throw] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1530),
    [anon_sym_default] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LTtemplate_GT] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_class] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_function] = ACTIONS(1530),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [sym_number] = ACTIONS(1532),
    [sym_this] = ACTIONS(1530),
    [sym_super] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1530),
    [anon_sym_component] = ACTIONS(1530),
    [sym__automatic_semicolon] = ACTIONS(1532),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_export] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_type] = ACTIONS(2554),
    [anon_sym_typeof] = ACTIONS(2554),
    [anon_sym_import] = ACTIONS(2554),
    [anon_sym_var] = ACTIONS(2554),
    [anon_sym_let] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_LPAREN] = ACTIONS(2556),
    [anon_sym_await] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_with] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_debugger] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_finally] = ACTIONS(2554),
    [anon_sym_yield] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_LTtemplate_GT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_async] = ACTIONS(2554),
    [anon_sym_function] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2556),
    [sym_number] = ACTIONS(2556),
    [sym_this] = ACTIONS(2554),
    [sym_super] = ACTIONS(2554),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [sym_null] = ACTIONS(2554),
    [sym_undefined] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_readonly] = ACTIONS(2554),
    [anon_sym_get] = ACTIONS(2554),
    [anon_sym_set] = ACTIONS(2554),
    [anon_sym_declare] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_public] = ACTIONS(2554),
    [anon_sym_private] = ACTIONS(2554),
    [anon_sym_protected] = ACTIONS(2554),
    [anon_sym_override] = ACTIONS(2554),
    [anon_sym_module] = ACTIONS(2554),
    [anon_sym_any] = ACTIONS(2554),
    [anon_sym_number] = ACTIONS(2554),
    [anon_sym_boolean] = ACTIONS(2554),
    [anon_sym_string] = ACTIONS(2554),
    [anon_sym_symbol] = ACTIONS(2554),
    [anon_sym_abstract] = ACTIONS(2554),
    [anon_sym_interface] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_component] = ACTIONS(2554),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_export] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_type] = ACTIONS(2558),
    [anon_sym_typeof] = ACTIONS(2558),
    [anon_sym_import] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(2558),
    [anon_sym_let] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_await] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_with] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_debugger] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_finally] = ACTIONS(2558),
    [anon_sym_yield] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_LTtemplate_GT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_async] = ACTIONS(2558),
    [anon_sym_function] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2560),
    [anon_sym_void] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2560),
    [sym_number] = ACTIONS(2560),
    [sym_this] = ACTIONS(2558),
    [sym_super] = ACTIONS(2558),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [sym_null] = ACTIONS(2558),
    [sym_undefined] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_readonly] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_declare] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_module] = ACTIONS(2558),
    [anon_sym_any] = ACTIONS(2558),
    [anon_sym_number] = ACTIONS(2558),
    [anon_sym_boolean] = ACTIONS(2558),
    [anon_sym_string] = ACTIONS(2558),
    [anon_sym_symbol] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_interface] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_component] = ACTIONS(2558),
  },
  [680] = {
    [sym_statement_block] = STATE(796),
    [sym_identifier] = ACTIONS(2481),
    [anon_sym_export] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(2483),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_type] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2481),
    [anon_sym_import] = ACTIONS(2481),
    [anon_sym_var] = ACTIONS(2481),
    [anon_sym_let] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_switch] = ACTIONS(2481),
    [anon_sym_for] = ACTIONS(2481),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(2481),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_do] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_with] = ACTIONS(2481),
    [anon_sym_break] = ACTIONS(2481),
    [anon_sym_continue] = ACTIONS(2481),
    [anon_sym_debugger] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_case] = ACTIONS(2481),
    [anon_sym_default] = ACTIONS(2481),
    [anon_sym_yield] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(2485),
    [anon_sym_LTtemplate_GT] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2481),
    [anon_sym_SLASH] = ACTIONS(2481),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2481),
    [anon_sym_new] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2485),
    [anon_sym_void] = ACTIONS(2481),
    [anon_sym_delete] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(2485),
    [anon_sym_DASH_DASH] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2485),
    [sym_number] = ACTIONS(2485),
    [sym_this] = ACTIONS(2481),
    [sym_super] = ACTIONS(2481),
    [sym_true] = ACTIONS(2481),
    [sym_false] = ACTIONS(2481),
    [sym_null] = ACTIONS(2481),
    [sym_undefined] = ACTIONS(2481),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2481),
    [anon_sym_readonly] = ACTIONS(2481),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_declare] = ACTIONS(2481),
    [anon_sym_namespace] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_module] = ACTIONS(2481),
    [anon_sym_any] = ACTIONS(2481),
    [anon_sym_number] = ACTIONS(2481),
    [anon_sym_boolean] = ACTIONS(2481),
    [anon_sym_string] = ACTIONS(2481),
    [anon_sym_symbol] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_interface] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_component] = ACTIONS(2481),
  },
  [681] = {
    [sym_identifier] = ACTIONS(1738),
    [anon_sym_export] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_type] = ACTIONS(1738),
    [anon_sym_typeof] = ACTIONS(1738),
    [anon_sym_import] = ACTIONS(1738),
    [anon_sym_var] = ACTIONS(1738),
    [anon_sym_let] = ACTIONS(1738),
    [anon_sym_const] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1738),
    [anon_sym_switch] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1738),
    [anon_sym_try] = ACTIONS(1738),
    [anon_sym_with] = ACTIONS(1738),
    [anon_sym_break] = ACTIONS(1738),
    [anon_sym_continue] = ACTIONS(1738),
    [anon_sym_debugger] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(1738),
    [anon_sym_throw] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_case] = ACTIONS(1738),
    [anon_sym_default] = ACTIONS(1738),
    [anon_sym_yield] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_LTtemplate_GT] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_class] = ACTIONS(1738),
    [anon_sym_async] = ACTIONS(1738),
    [anon_sym_function] = ACTIONS(1738),
    [anon_sym_new] = ACTIONS(1738),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_void] = ACTIONS(1738),
    [anon_sym_delete] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_this] = ACTIONS(1738),
    [sym_super] = ACTIONS(1738),
    [sym_true] = ACTIONS(1738),
    [sym_false] = ACTIONS(1738),
    [sym_null] = ACTIONS(1738),
    [sym_undefined] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1738),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_get] = ACTIONS(1738),
    [anon_sym_set] = ACTIONS(1738),
    [anon_sym_declare] = ACTIONS(1738),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_public] = ACTIONS(1738),
    [anon_sym_private] = ACTIONS(1738),
    [anon_sym_protected] = ACTIONS(1738),
    [anon_sym_override] = ACTIONS(1738),
    [anon_sym_module] = ACTIONS(1738),
    [anon_sym_any] = ACTIONS(1738),
    [anon_sym_number] = ACTIONS(1738),
    [anon_sym_boolean] = ACTIONS(1738),
    [anon_sym_string] = ACTIONS(1738),
    [anon_sym_symbol] = ACTIONS(1738),
    [anon_sym_abstract] = ACTIONS(1738),
    [anon_sym_interface] = ACTIONS(1738),
    [anon_sym_enum] = ACTIONS(1738),
    [anon_sym_component] = ACTIONS(1738),
    [sym__automatic_semicolon] = ACTIONS(1740),
  },
  [682] = {
    [sym_optional_chain] = STATE(3603),
    [sym_arguments] = STATE(1016),
    [sym_type_arguments] = STATE(924),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_as] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(2562),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_GT_GT_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_instanceof] = ACTIONS(2562),
    [anon_sym_void] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2564),
    [sym_number] = ACTIONS(2564),
    [sym_this] = ACTIONS(2562),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [sym_null] = ACTIONS(2562),
    [sym_undefined] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_readonly] = ACTIONS(2562),
    [anon_sym_get] = ACTIONS(2562),
    [anon_sym_set] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_any] = ACTIONS(2562),
    [anon_sym_number] = ACTIONS(2562),
    [anon_sym_boolean] = ACTIONS(2562),
    [anon_sym_string] = ACTIONS(2562),
    [anon_sym_symbol] = ACTIONS(2562),
    [anon_sym_abstract] = ACTIONS(2562),
    [anon_sym_satisfies] = ACTIONS(2562),
    [anon_sym_infer] = ACTIONS(2562),
    [anon_sym_keyof] = ACTIONS(2562),
    [anon_sym_unknown] = ACTIONS(2562),
    [anon_sym_never] = ACTIONS(2562),
    [anon_sym_object] = ACTIONS(2562),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2564),
    [anon_sym_constructor] = ACTIONS(2562),
    [anon_sym_prop] = ACTIONS(2562),
    [anon_sym_id] = ACTIONS(2562),
    [anon_sym_event] = ACTIONS(2562),
    [anon_sym_fn] = ACTIONS(2562),
    [anon_sym_on] = ACTIONS(2562),
    [sym__ternary_qmark] = ACTIONS(2564),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_type] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_import] = ACTIONS(2576),
    [anon_sym_var] = ACTIONS(2576),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_await] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_with] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_debugger] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_yield] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_LTtemplate_GT] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_async] = ACTIONS(2576),
    [anon_sym_function] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_void] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2578),
    [sym_number] = ACTIONS(2578),
    [sym_this] = ACTIONS(2576),
    [sym_super] = ACTIONS(2576),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [sym_null] = ACTIONS(2576),
    [sym_undefined] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_readonly] = ACTIONS(2576),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
    [anon_sym_declare] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2576),
    [anon_sym_any] = ACTIONS(2576),
    [anon_sym_number] = ACTIONS(2576),
    [anon_sym_boolean] = ACTIONS(2576),
    [anon_sym_string] = ACTIONS(2576),
    [anon_sym_symbol] = ACTIONS(2576),
    [anon_sym_abstract] = ACTIONS(2576),
    [anon_sym_interface] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_component] = ACTIONS(2576),
  },
  [684] = {
    [sym_type_arguments] = STATE(978),
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_as] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2584),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_QMARK_DOT] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_GT_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_STAR_STAR] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2582),
    [anon_sym_QMARK_QMARK] = ACTIONS(2582),
    [anon_sym_instanceof] = ACTIONS(2580),
    [anon_sym_void] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2582),
    [sym_number] = ACTIONS(2582),
    [sym_this] = ACTIONS(2580),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [sym_null] = ACTIONS(2580),
    [sym_undefined] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_readonly] = ACTIONS(2580),
    [anon_sym_get] = ACTIONS(2580),
    [anon_sym_set] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_any] = ACTIONS(2580),
    [anon_sym_number] = ACTIONS(2580),
    [anon_sym_boolean] = ACTIONS(2580),
    [anon_sym_string] = ACTIONS(2580),
    [anon_sym_symbol] = ACTIONS(2580),
    [anon_sym_abstract] = ACTIONS(2580),
    [anon_sym_satisfies] = ACTIONS(2580),
    [anon_sym_extends] = ACTIONS(2580),
    [anon_sym_infer] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_keyof] = ACTIONS(2580),
    [anon_sym_unknown] = ACTIONS(2580),
    [anon_sym_never] = ACTIONS(2580),
    [anon_sym_object] = ACTIONS(2580),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2582),
    [anon_sym_constructor] = ACTIONS(2580),
    [anon_sym_prop] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
    [anon_sym_event] = ACTIONS(2580),
    [anon_sym_fn] = ACTIONS(2580),
    [anon_sym_on] = ACTIONS(2580),
    [sym__ternary_qmark] = ACTIONS(2582),
  },
  [685] = {
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LTtemplate_GT] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [sym_number] = ACTIONS(1706),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [anon_sym_component] = ACTIONS(1704),
    [sym__automatic_semicolon] = ACTIONS(1706),
  },
  [686] = {
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1558),
    [anon_sym_typeof] = ACTIONS(1558),
    [anon_sym_import] = ACTIONS(1558),
    [anon_sym_var] = ACTIONS(1558),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_else] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_do] = ACTIONS(1558),
    [anon_sym_try] = ACTIONS(1558),
    [anon_sym_with] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1558),
    [anon_sym_debugger] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LTtemplate_GT] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_class] = ACTIONS(1558),
    [anon_sym_async] = ACTIONS(1558),
    [anon_sym_function] = ACTIONS(1558),
    [anon_sym_new] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_void] = ACTIONS(1558),
    [anon_sym_delete] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1562),
    [sym_this] = ACTIONS(1558),
    [sym_super] = ACTIONS(1558),
    [sym_true] = ACTIONS(1558),
    [sym_false] = ACTIONS(1558),
    [sym_null] = ACTIONS(1558),
    [sym_undefined] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1562),
    [anon_sym_static] = ACTIONS(1558),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_get] = ACTIONS(1558),
    [anon_sym_set] = ACTIONS(1558),
    [anon_sym_declare] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1558),
    [anon_sym_public] = ACTIONS(1558),
    [anon_sym_private] = ACTIONS(1558),
    [anon_sym_protected] = ACTIONS(1558),
    [anon_sym_override] = ACTIONS(1558),
    [anon_sym_module] = ACTIONS(1558),
    [anon_sym_any] = ACTIONS(1558),
    [anon_sym_number] = ACTIONS(1558),
    [anon_sym_boolean] = ACTIONS(1558),
    [anon_sym_string] = ACTIONS(1558),
    [anon_sym_symbol] = ACTIONS(1558),
    [anon_sym_abstract] = ACTIONS(1558),
    [anon_sym_interface] = ACTIONS(1558),
    [anon_sym_enum] = ACTIONS(1558),
    [anon_sym_component] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1566),
  },
  [687] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(1462),
  },
  [688] = {
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_export] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_type] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1500),
    [anon_sym_import] = ACTIONS(1500),
    [anon_sym_var] = ACTIONS(1500),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_else] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1500),
    [anon_sym_with] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_debugger] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_throw] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_yield] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LTtemplate_GT] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_class] = ACTIONS(1500),
    [anon_sym_async] = ACTIONS(1500),
    [anon_sym_function] = ACTIONS(1500),
    [anon_sym_new] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_void] = ACTIONS(1500),
    [anon_sym_delete] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_number] = ACTIONS(1504),
    [sym_this] = ACTIONS(1500),
    [sym_super] = ACTIONS(1500),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [sym_null] = ACTIONS(1500),
    [sym_undefined] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_get] = ACTIONS(1500),
    [anon_sym_set] = ACTIONS(1500),
    [anon_sym_declare] = ACTIONS(1500),
    [anon_sym_namespace] = ACTIONS(1500),
    [anon_sym_public] = ACTIONS(1500),
    [anon_sym_private] = ACTIONS(1500),
    [anon_sym_protected] = ACTIONS(1500),
    [anon_sym_override] = ACTIONS(1500),
    [anon_sym_module] = ACTIONS(1500),
    [anon_sym_any] = ACTIONS(1500),
    [anon_sym_number] = ACTIONS(1500),
    [anon_sym_boolean] = ACTIONS(1500),
    [anon_sym_string] = ACTIONS(1500),
    [anon_sym_symbol] = ACTIONS(1500),
    [anon_sym_abstract] = ACTIONS(1500),
    [anon_sym_interface] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_component] = ACTIONS(1500),
    [sym__automatic_semicolon] = ACTIONS(1508),
  },
  [689] = {
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_export] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_typeof] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_var] = ACTIONS(1520),
    [anon_sym_let] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_else] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_await] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_try] = ACTIONS(1520),
    [anon_sym_with] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_debugger] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_throw] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_yield] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_LTtemplate_GT] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_class] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_void] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [sym_number] = ACTIONS(1524),
    [sym_this] = ACTIONS(1520),
    [sym_super] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [sym_null] = ACTIONS(1520),
    [sym_undefined] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_declare] = ACTIONS(1520),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_public] = ACTIONS(1520),
    [anon_sym_private] = ACTIONS(1520),
    [anon_sym_protected] = ACTIONS(1520),
    [anon_sym_override] = ACTIONS(1520),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_any] = ACTIONS(1520),
    [anon_sym_number] = ACTIONS(1520),
    [anon_sym_boolean] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_symbol] = ACTIONS(1520),
    [anon_sym_abstract] = ACTIONS(1520),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_component] = ACTIONS(1520),
    [sym__automatic_semicolon] = ACTIONS(1528),
  },
  [690] = {
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(1546),
    [anon_sym_var] = ACTIONS(1546),
    [anon_sym_let] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_await] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_with] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_debugger] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_LTtemplate_GT] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_class] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_void] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [sym_number] = ACTIONS(1550),
    [sym_this] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [sym_null] = ACTIONS(1546),
    [sym_undefined] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_get] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_declare] = ACTIONS(1546),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_public] = ACTIONS(1546),
    [anon_sym_private] = ACTIONS(1546),
    [anon_sym_protected] = ACTIONS(1546),
    [anon_sym_override] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_any] = ACTIONS(1546),
    [anon_sym_number] = ACTIONS(1546),
    [anon_sym_boolean] = ACTIONS(1546),
    [anon_sym_string] = ACTIONS(1546),
    [anon_sym_symbol] = ACTIONS(1546),
    [anon_sym_abstract] = ACTIONS(1546),
    [anon_sym_interface] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_component] = ACTIONS(1546),
    [sym__automatic_semicolon] = ACTIONS(1554),
  },
  [691] = {
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_export] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_RBRACE] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1684),
    [anon_sym_typeof] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(1684),
    [anon_sym_var] = ACTIONS(1684),
    [anon_sym_let] = ACTIONS(1684),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1688),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [anon_sym_await] = ACTIONS(1684),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_do] = ACTIONS(1684),
    [anon_sym_try] = ACTIONS(1684),
    [anon_sym_with] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_continue] = ACTIONS(1684),
    [anon_sym_debugger] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1688),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_yield] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LTtemplate_GT] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1684),
    [anon_sym_class] = ACTIONS(1684),
    [anon_sym_async] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_new] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_void] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1688),
    [anon_sym_DASH_DASH] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1688),
    [sym_number] = ACTIONS(1688),
    [sym_this] = ACTIONS(1684),
    [sym_super] = ACTIONS(1684),
    [sym_true] = ACTIONS(1684),
    [sym_false] = ACTIONS(1684),
    [sym_null] = ACTIONS(1684),
    [sym_undefined] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1688),
    [anon_sym_static] = ACTIONS(1684),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_get] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_declare] = ACTIONS(1684),
    [anon_sym_namespace] = ACTIONS(1684),
    [anon_sym_public] = ACTIONS(1684),
    [anon_sym_private] = ACTIONS(1684),
    [anon_sym_protected] = ACTIONS(1684),
    [anon_sym_override] = ACTIONS(1684),
    [anon_sym_module] = ACTIONS(1684),
    [anon_sym_any] = ACTIONS(1684),
    [anon_sym_number] = ACTIONS(1684),
    [anon_sym_boolean] = ACTIONS(1684),
    [anon_sym_string] = ACTIONS(1684),
    [anon_sym_symbol] = ACTIONS(1684),
    [anon_sym_abstract] = ACTIONS(1684),
    [anon_sym_interface] = ACTIONS(1684),
    [anon_sym_enum] = ACTIONS(1684),
    [anon_sym_component] = ACTIONS(1684),
    [sym__automatic_semicolon] = ACTIONS(1692),
  },
  [692] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(1478),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_var] = ACTIONS(1478),
    [anon_sym_let] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_else] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_await] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1478),
    [anon_sym_with] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_debugger] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_throw] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_LTtemplate_GT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_class] = ACTIONS(1478),
    [anon_sym_async] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_new] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_void] = ACTIONS(1478),
    [anon_sym_delete] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [sym_number] = ACTIONS(1482),
    [sym_this] = ACTIONS(1478),
    [sym_super] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_readonly] = ACTIONS(1478),
    [anon_sym_get] = ACTIONS(1478),
    [anon_sym_set] = ACTIONS(1478),
    [anon_sym_declare] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1478),
    [anon_sym_public] = ACTIONS(1478),
    [anon_sym_private] = ACTIONS(1478),
    [anon_sym_protected] = ACTIONS(1478),
    [anon_sym_override] = ACTIONS(1478),
    [anon_sym_module] = ACTIONS(1478),
    [anon_sym_any] = ACTIONS(1478),
    [anon_sym_number] = ACTIONS(1478),
    [anon_sym_boolean] = ACTIONS(1478),
    [anon_sym_string] = ACTIONS(1478),
    [anon_sym_symbol] = ACTIONS(1478),
    [anon_sym_abstract] = ACTIONS(1478),
    [anon_sym_interface] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_component] = ACTIONS(1478),
    [sym__automatic_semicolon] = ACTIONS(1486),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_import] = ACTIONS(2588),
    [anon_sym_var] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_await] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_with] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_debugger] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_yield] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_LTtemplate_GT] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_function] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_void] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2590),
    [sym_number] = ACTIONS(2590),
    [sym_this] = ACTIONS(2588),
    [sym_super] = ACTIONS(2588),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [sym_null] = ACTIONS(2588),
    [sym_undefined] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_abstract] = ACTIONS(2588),
    [anon_sym_interface] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2592),
    [anon_sym_export] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_type] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_import] = ACTIONS(2592),
    [anon_sym_var] = ACTIONS(2592),
    [anon_sym_let] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2594),
    [anon_sym_await] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_with] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_debugger] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_finally] = ACTIONS(2592),
    [anon_sym_yield] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_LTtemplate_GT] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_async] = ACTIONS(2592),
    [anon_sym_function] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_void] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2594),
    [sym_number] = ACTIONS(2594),
    [sym_this] = ACTIONS(2592),
    [sym_super] = ACTIONS(2592),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [sym_null] = ACTIONS(2592),
    [sym_undefined] = ACTIONS(2592),
    [anon_sym_AT] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_readonly] = ACTIONS(2592),
    [anon_sym_get] = ACTIONS(2592),
    [anon_sym_set] = ACTIONS(2592),
    [anon_sym_declare] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_public] = ACTIONS(2592),
    [anon_sym_private] = ACTIONS(2592),
    [anon_sym_protected] = ACTIONS(2592),
    [anon_sym_override] = ACTIONS(2592),
    [anon_sym_module] = ACTIONS(2592),
    [anon_sym_any] = ACTIONS(2592),
    [anon_sym_number] = ACTIONS(2592),
    [anon_sym_boolean] = ACTIONS(2592),
    [anon_sym_string] = ACTIONS(2592),
    [anon_sym_symbol] = ACTIONS(2592),
    [anon_sym_abstract] = ACTIONS(2592),
    [anon_sym_interface] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_component] = ACTIONS(2592),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2596),
    [anon_sym_export] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_type] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_import] = ACTIONS(2596),
    [anon_sym_var] = ACTIONS(2596),
    [anon_sym_let] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2598),
    [anon_sym_RPAREN] = ACTIONS(2598),
    [anon_sym_await] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_with] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_debugger] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_yield] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_LTtemplate_GT] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_async] = ACTIONS(2596),
    [anon_sym_function] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_void] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2598),
    [sym_number] = ACTIONS(2598),
    [sym_this] = ACTIONS(2596),
    [sym_super] = ACTIONS(2596),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [sym_null] = ACTIONS(2596),
    [sym_undefined] = ACTIONS(2596),
    [anon_sym_AT] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_readonly] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2596),
    [anon_sym_declare] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_override] = ACTIONS(2596),
    [anon_sym_module] = ACTIONS(2596),
    [anon_sym_any] = ACTIONS(2596),
    [anon_sym_number] = ACTIONS(2596),
    [anon_sym_boolean] = ACTIONS(2596),
    [anon_sym_string] = ACTIONS(2596),
    [anon_sym_symbol] = ACTIONS(2596),
    [anon_sym_abstract] = ACTIONS(2596),
    [anon_sym_interface] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_component] = ACTIONS(2596),
  },
  [696] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [697] = {
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_typeof] = ACTIONS(1420),
    [anon_sym_import] = ACTIONS(1420),
    [anon_sym_var] = ACTIONS(1420),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(1420),
    [anon_sym_with] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_debugger] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LTtemplate_GT] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_class] = ACTIONS(1420),
    [anon_sym_async] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1420),
    [anon_sym_delete] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1420),
    [sym_super] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [sym_null] = ACTIONS(1420),
    [sym_undefined] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(1420),
    [anon_sym_interface] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_component] = ACTIONS(1420),
    [sym__automatic_semicolon] = ACTIONS(1428),
  },
  [698] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [699] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [700] = {
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_export] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1450),
    [anon_sym_typeof] = ACTIONS(1450),
    [anon_sym_import] = ACTIONS(1450),
    [anon_sym_var] = ACTIONS(1450),
    [anon_sym_let] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_else] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_await] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_try] = ACTIONS(1450),
    [anon_sym_with] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_debugger] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_throw] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_LTtemplate_GT] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_class] = ACTIONS(1450),
    [anon_sym_async] = ACTIONS(1450),
    [anon_sym_function] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_void] = ACTIONS(1450),
    [anon_sym_delete] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [sym_number] = ACTIONS(1454),
    [sym_this] = ACTIONS(1450),
    [sym_super] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [sym_undefined] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_readonly] = ACTIONS(1450),
    [anon_sym_get] = ACTIONS(1450),
    [anon_sym_set] = ACTIONS(1450),
    [anon_sym_declare] = ACTIONS(1450),
    [anon_sym_namespace] = ACTIONS(1450),
    [anon_sym_public] = ACTIONS(1450),
    [anon_sym_private] = ACTIONS(1450),
    [anon_sym_protected] = ACTIONS(1450),
    [anon_sym_override] = ACTIONS(1450),
    [anon_sym_module] = ACTIONS(1450),
    [anon_sym_any] = ACTIONS(1450),
    [anon_sym_number] = ACTIONS(1450),
    [anon_sym_boolean] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_symbol] = ACTIONS(1450),
    [anon_sym_abstract] = ACTIONS(1450),
    [anon_sym_interface] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_component] = ACTIONS(1450),
    [sym__automatic_semicolon] = ACTIONS(1458),
  },
  [701] = {
    [sym_else_clause] = STATE(746),
    [sym_identifier] = ACTIONS(2602),
    [anon_sym_export] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_type] = ACTIONS(2602),
    [anon_sym_typeof] = ACTIONS(2602),
    [anon_sym_import] = ACTIONS(2602),
    [anon_sym_var] = ACTIONS(2602),
    [anon_sym_let] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_LPAREN] = ACTIONS(2604),
    [anon_sym_await] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_with] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_debugger] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_yield] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_LTtemplate_GT] = ACTIONS(2604),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_async] = ACTIONS(2602),
    [anon_sym_function] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_void] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2604),
    [sym_number] = ACTIONS(2604),
    [sym_this] = ACTIONS(2602),
    [sym_super] = ACTIONS(2602),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [sym_null] = ACTIONS(2602),
    [sym_undefined] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_readonly] = ACTIONS(2602),
    [anon_sym_get] = ACTIONS(2602),
    [anon_sym_set] = ACTIONS(2602),
    [anon_sym_declare] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_public] = ACTIONS(2602),
    [anon_sym_private] = ACTIONS(2602),
    [anon_sym_protected] = ACTIONS(2602),
    [anon_sym_override] = ACTIONS(2602),
    [anon_sym_module] = ACTIONS(2602),
    [anon_sym_any] = ACTIONS(2602),
    [anon_sym_number] = ACTIONS(2602),
    [anon_sym_boolean] = ACTIONS(2602),
    [anon_sym_string] = ACTIONS(2602),
    [anon_sym_symbol] = ACTIONS(2602),
    [anon_sym_abstract] = ACTIONS(2602),
    [anon_sym_interface] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_component] = ACTIONS(2602),
  },
  [702] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_export] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_var] = ACTIONS(1374),
    [anon_sym_let] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_with] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_debugger] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LTtemplate_GT] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_class] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_function] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_super] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_declare] = ACTIONS(1374),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_public] = ACTIONS(1374),
    [anon_sym_private] = ACTIONS(1374),
    [anon_sym_protected] = ACTIONS(1374),
    [anon_sym_override] = ACTIONS(1374),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_component] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(2608),
  },
  [703] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1460),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_import] = ACTIONS(1460),
    [anon_sym_var] = ACTIONS(1460),
    [anon_sym_let] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_else] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1460),
    [anon_sym_with] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_debugger] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_throw] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LTtemplate_GT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_class] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_super] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_declare] = ACTIONS(1460),
    [anon_sym_namespace] = ACTIONS(1460),
    [anon_sym_public] = ACTIONS(1460),
    [anon_sym_private] = ACTIONS(1460),
    [anon_sym_protected] = ACTIONS(1460),
    [anon_sym_override] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_interface] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_component] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(2610),
  },
  [704] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_typeof] = ACTIONS(1464),
    [anon_sym_import] = ACTIONS(1464),
    [anon_sym_var] = ACTIONS(1464),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_else] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_await] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_try] = ACTIONS(1464),
    [anon_sym_with] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_debugger] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_throw] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_yield] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_LTtemplate_GT] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_class] = ACTIONS(1464),
    [anon_sym_async] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_new] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_void] = ACTIONS(1464),
    [anon_sym_delete] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_number] = ACTIONS(1468),
    [sym_this] = ACTIONS(1464),
    [sym_super] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_abstract] = ACTIONS(1464),
    [anon_sym_interface] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_component] = ACTIONS(1464),
    [sym__automatic_semicolon] = ACTIONS(1472),
  },
  [705] = {
    [sym__call_signature] = STATE(4685),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [706] = {
    [sym_identifier] = ACTIONS(1510),
    [anon_sym_export] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_type] = ACTIONS(1510),
    [anon_sym_typeof] = ACTIONS(1510),
    [anon_sym_import] = ACTIONS(1510),
    [anon_sym_var] = ACTIONS(1510),
    [anon_sym_let] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_else] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1510),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_await] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1510),
    [anon_sym_try] = ACTIONS(1510),
    [anon_sym_with] = ACTIONS(1510),
    [anon_sym_break] = ACTIONS(1510),
    [anon_sym_continue] = ACTIONS(1510),
    [anon_sym_debugger] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1510),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1510),
    [anon_sym_default] = ACTIONS(1510),
    [anon_sym_yield] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_LTtemplate_GT] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_class] = ACTIONS(1510),
    [anon_sym_async] = ACTIONS(1510),
    [anon_sym_function] = ACTIONS(1510),
    [anon_sym_new] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_void] = ACTIONS(1510),
    [anon_sym_delete] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [sym_number] = ACTIONS(1514),
    [sym_this] = ACTIONS(1510),
    [sym_super] = ACTIONS(1510),
    [sym_true] = ACTIONS(1510),
    [sym_false] = ACTIONS(1510),
    [sym_null] = ACTIONS(1510),
    [sym_undefined] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1514),
    [anon_sym_static] = ACTIONS(1510),
    [anon_sym_readonly] = ACTIONS(1510),
    [anon_sym_get] = ACTIONS(1510),
    [anon_sym_set] = ACTIONS(1510),
    [anon_sym_declare] = ACTIONS(1510),
    [anon_sym_namespace] = ACTIONS(1510),
    [anon_sym_public] = ACTIONS(1510),
    [anon_sym_private] = ACTIONS(1510),
    [anon_sym_protected] = ACTIONS(1510),
    [anon_sym_override] = ACTIONS(1510),
    [anon_sym_module] = ACTIONS(1510),
    [anon_sym_any] = ACTIONS(1510),
    [anon_sym_number] = ACTIONS(1510),
    [anon_sym_boolean] = ACTIONS(1510),
    [anon_sym_string] = ACTIONS(1510),
    [anon_sym_symbol] = ACTIONS(1510),
    [anon_sym_abstract] = ACTIONS(1510),
    [anon_sym_interface] = ACTIONS(1510),
    [anon_sym_enum] = ACTIONS(1510),
    [anon_sym_component] = ACTIONS(1510),
    [sym__automatic_semicolon] = ACTIONS(1518),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_export] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_type] = ACTIONS(2612),
    [anon_sym_typeof] = ACTIONS(2612),
    [anon_sym_import] = ACTIONS(2612),
    [anon_sym_var] = ACTIONS(2612),
    [anon_sym_let] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_LPAREN] = ACTIONS(2614),
    [anon_sym_await] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_with] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_debugger] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_yield] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_LTtemplate_GT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_async] = ACTIONS(2612),
    [anon_sym_function] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_void] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2614),
    [sym_number] = ACTIONS(2614),
    [sym_this] = ACTIONS(2612),
    [sym_super] = ACTIONS(2612),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [sym_null] = ACTIONS(2612),
    [sym_undefined] = ACTIONS(2612),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_readonly] = ACTIONS(2612),
    [anon_sym_get] = ACTIONS(2612),
    [anon_sym_set] = ACTIONS(2612),
    [anon_sym_declare] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_override] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2612),
    [anon_sym_any] = ACTIONS(2612),
    [anon_sym_number] = ACTIONS(2612),
    [anon_sym_boolean] = ACTIONS(2612),
    [anon_sym_string] = ACTIONS(2612),
    [anon_sym_symbol] = ACTIONS(2612),
    [anon_sym_abstract] = ACTIONS(2612),
    [anon_sym_interface] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_component] = ACTIONS(2612),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_export] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_type] = ACTIONS(2616),
    [anon_sym_typeof] = ACTIONS(2616),
    [anon_sym_import] = ACTIONS(2616),
    [anon_sym_var] = ACTIONS(2616),
    [anon_sym_let] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_LPAREN] = ACTIONS(2618),
    [anon_sym_await] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_with] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_debugger] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_LTtemplate_GT] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_async] = ACTIONS(2616),
    [anon_sym_function] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_void] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2618),
    [sym_number] = ACTIONS(2618),
    [sym_this] = ACTIONS(2616),
    [sym_super] = ACTIONS(2616),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [sym_null] = ACTIONS(2616),
    [sym_undefined] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_readonly] = ACTIONS(2616),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_declare] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_override] = ACTIONS(2616),
    [anon_sym_module] = ACTIONS(2616),
    [anon_sym_any] = ACTIONS(2616),
    [anon_sym_number] = ACTIONS(2616),
    [anon_sym_boolean] = ACTIONS(2616),
    [anon_sym_string] = ACTIONS(2616),
    [anon_sym_symbol] = ACTIONS(2616),
    [anon_sym_abstract] = ACTIONS(2616),
    [anon_sym_interface] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_component] = ACTIONS(2616),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [712] = {
    [sym_arguments] = STATE(886),
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_async] = ACTIONS(2624),
    [anon_sym_QMARK_DOT] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_GT_GT] = ACTIONS(2624),
    [anon_sym_GT_GT_GT] = ACTIONS(2626),
    [anon_sym_LT_LT] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2626),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_STAR_STAR] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2626),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_QMARK_QMARK] = ACTIONS(2626),
    [anon_sym_instanceof] = ACTIONS(2624),
    [anon_sym_void] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2626),
    [sym_number] = ACTIONS(2626),
    [sym_this] = ACTIONS(2624),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [sym_null] = ACTIONS(2624),
    [sym_undefined] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_readonly] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_any] = ACTIONS(2624),
    [anon_sym_number] = ACTIONS(2624),
    [anon_sym_boolean] = ACTIONS(2624),
    [anon_sym_string] = ACTIONS(2624),
    [anon_sym_symbol] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_satisfies] = ACTIONS(2624),
    [anon_sym_extends] = ACTIONS(2624),
    [anon_sym_infer] = ACTIONS(2624),
    [anon_sym_keyof] = ACTIONS(2624),
    [anon_sym_unknown] = ACTIONS(2624),
    [anon_sym_never] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2626),
    [anon_sym_constructor] = ACTIONS(2624),
    [anon_sym_prop] = ACTIONS(2624),
    [anon_sym_id] = ACTIONS(2624),
    [anon_sym_event] = ACTIONS(2624),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2624),
    [sym__ternary_qmark] = ACTIONS(2626),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [714] = {
    [sym_type_arguments] = STATE(955),
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_async] = ACTIONS(2630),
    [anon_sym_QMARK_DOT] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_GT_GT_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2632),
    [anon_sym_instanceof] = ACTIONS(2630),
    [anon_sym_void] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2632),
    [sym_number] = ACTIONS(2632),
    [sym_this] = ACTIONS(2630),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [sym_null] = ACTIONS(2630),
    [sym_undefined] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_readonly] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_any] = ACTIONS(2630),
    [anon_sym_number] = ACTIONS(2630),
    [anon_sym_boolean] = ACTIONS(2630),
    [anon_sym_string] = ACTIONS(2630),
    [anon_sym_symbol] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_satisfies] = ACTIONS(2630),
    [anon_sym_extends] = ACTIONS(2630),
    [anon_sym_infer] = ACTIONS(2630),
    [anon_sym_keyof] = ACTIONS(2630),
    [anon_sym_unknown] = ACTIONS(2630),
    [anon_sym_never] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2632),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_prop] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
    [anon_sym_event] = ACTIONS(2630),
    [anon_sym_fn] = ACTIONS(2630),
    [anon_sym_on] = ACTIONS(2630),
    [sym__ternary_qmark] = ACTIONS(2632),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_type] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_import] = ACTIONS(2634),
    [anon_sym_var] = ACTIONS(2634),
    [anon_sym_let] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_await] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_with] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_debugger] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_yield] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_LTtemplate_GT] = ACTIONS(2636),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_async] = ACTIONS(2634),
    [anon_sym_function] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_void] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2636),
    [sym_number] = ACTIONS(2636),
    [sym_this] = ACTIONS(2634),
    [sym_super] = ACTIONS(2634),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [sym_null] = ACTIONS(2634),
    [sym_undefined] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_readonly] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_declare] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_module] = ACTIONS(2634),
    [anon_sym_any] = ACTIONS(2634),
    [anon_sym_number] = ACTIONS(2634),
    [anon_sym_boolean] = ACTIONS(2634),
    [anon_sym_string] = ACTIONS(2634),
    [anon_sym_symbol] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_interface] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_component] = ACTIONS(2634),
  },
  [719] = {
    [sym_arguments] = STATE(980),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_async] = ACTIONS(2638),
    [anon_sym_QMARK_DOT] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_GT_GT] = ACTIONS(2638),
    [anon_sym_GT_GT_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK] = ACTIONS(2640),
    [anon_sym_instanceof] = ACTIONS(2638),
    [anon_sym_void] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2640),
    [sym_number] = ACTIONS(2640),
    [sym_this] = ACTIONS(2638),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [sym_null] = ACTIONS(2638),
    [sym_undefined] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_readonly] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_any] = ACTIONS(2638),
    [anon_sym_number] = ACTIONS(2638),
    [anon_sym_boolean] = ACTIONS(2638),
    [anon_sym_string] = ACTIONS(2638),
    [anon_sym_symbol] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_satisfies] = ACTIONS(2638),
    [anon_sym_extends] = ACTIONS(2638),
    [anon_sym_infer] = ACTIONS(2638),
    [anon_sym_keyof] = ACTIONS(2638),
    [anon_sym_unknown] = ACTIONS(2638),
    [anon_sym_never] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2640),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_prop] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
    [anon_sym_event] = ACTIONS(2638),
    [anon_sym_fn] = ACTIONS(2638),
    [anon_sym_on] = ACTIONS(2638),
    [sym__ternary_qmark] = ACTIONS(2640),
  },
  [720] = {
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(1270),
    [anon_sym_new] = ACTIONS(1272),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1270),
    [anon_sym_STAR_STAR] = ACTIONS(1270),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1270),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_QMARK_QMARK] = ACTIONS(1270),
    [anon_sym_instanceof] = ACTIONS(1272),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [sym_number] = ACTIONS(1270),
    [sym_this] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [sym_null] = ACTIONS(1272),
    [sym_undefined] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_readonly] = ACTIONS(1272),
    [anon_sym_get] = ACTIONS(1272),
    [anon_sym_set] = ACTIONS(1272),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_any] = ACTIONS(1272),
    [anon_sym_number] = ACTIONS(1272),
    [anon_sym_boolean] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_symbol] = ACTIONS(1272),
    [anon_sym_abstract] = ACTIONS(1272),
    [anon_sym_satisfies] = ACTIONS(1272),
    [anon_sym_extends] = ACTIONS(1272),
    [anon_sym_infer] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_keyof] = ACTIONS(1272),
    [anon_sym_unknown] = ACTIONS(1272),
    [anon_sym_never] = ACTIONS(1272),
    [anon_sym_object] = ACTIONS(1272),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1270),
    [anon_sym_constructor] = ACTIONS(1272),
    [anon_sym_prop] = ACTIONS(1272),
    [anon_sym_id] = ACTIONS(1272),
    [anon_sym_event] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym_on] = ACTIONS(1272),
    [sym__ternary_qmark] = ACTIONS(1270),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2644),
    [anon_sym_export] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_type] = ACTIONS(2644),
    [anon_sym_typeof] = ACTIONS(2644),
    [anon_sym_import] = ACTIONS(2644),
    [anon_sym_var] = ACTIONS(2644),
    [anon_sym_let] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_else] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_await] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_with] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_debugger] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_yield] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_LTtemplate_GT] = ACTIONS(2646),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_void] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2646),
    [sym_number] = ACTIONS(2646),
    [sym_this] = ACTIONS(2644),
    [sym_super] = ACTIONS(2644),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [sym_null] = ACTIONS(2644),
    [sym_undefined] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_readonly] = ACTIONS(2644),
    [anon_sym_get] = ACTIONS(2644),
    [anon_sym_set] = ACTIONS(2644),
    [anon_sym_declare] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_override] = ACTIONS(2644),
    [anon_sym_module] = ACTIONS(2644),
    [anon_sym_any] = ACTIONS(2644),
    [anon_sym_number] = ACTIONS(2644),
    [anon_sym_boolean] = ACTIONS(2644),
    [anon_sym_string] = ACTIONS(2644),
    [anon_sym_symbol] = ACTIONS(2644),
    [anon_sym_abstract] = ACTIONS(2644),
    [anon_sym_interface] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_component] = ACTIONS(2644),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2648),
    [anon_sym_export] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_type] = ACTIONS(2648),
    [anon_sym_typeof] = ACTIONS(2648),
    [anon_sym_import] = ACTIONS(2648),
    [anon_sym_var] = ACTIONS(2648),
    [anon_sym_let] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_await] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_with] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_debugger] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_yield] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LTtemplate_GT] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2648),
    [anon_sym_SLASH] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_async] = ACTIONS(2648),
    [anon_sym_function] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_void] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_number] = ACTIONS(2650),
    [sym_this] = ACTIONS(2648),
    [sym_super] = ACTIONS(2648),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [sym_null] = ACTIONS(2648),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_readonly] = ACTIONS(2648),
    [anon_sym_get] = ACTIONS(2648),
    [anon_sym_set] = ACTIONS(2648),
    [anon_sym_declare] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_override] = ACTIONS(2648),
    [anon_sym_module] = ACTIONS(2648),
    [anon_sym_any] = ACTIONS(2648),
    [anon_sym_number] = ACTIONS(2648),
    [anon_sym_boolean] = ACTIONS(2648),
    [anon_sym_string] = ACTIONS(2648),
    [anon_sym_symbol] = ACTIONS(2648),
    [anon_sym_abstract] = ACTIONS(2648),
    [anon_sym_interface] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_component] = ACTIONS(2648),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2654),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_LTtemplate_GT] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2654),
    [sym_number] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_abstract] = ACTIONS(2652),
    [anon_sym_interface] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_component] = ACTIONS(2652),
  },
  [724] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2662),
    [sym_number] = ACTIONS(2662),
    [sym_this] = ACTIONS(2656),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [sym_null] = ACTIONS(2656),
    [sym_undefined] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_readonly] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2656),
    [anon_sym_set] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_any] = ACTIONS(2656),
    [anon_sym_number] = ACTIONS(2656),
    [anon_sym_boolean] = ACTIONS(2656),
    [anon_sym_string] = ACTIONS(2656),
    [anon_sym_symbol] = ACTIONS(2656),
    [anon_sym_abstract] = ACTIONS(2656),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2656),
    [anon_sym_keyof] = ACTIONS(2656),
    [anon_sym_unknown] = ACTIONS(2656),
    [anon_sym_never] = ACTIONS(2656),
    [anon_sym_object] = ACTIONS(2656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2662),
    [anon_sym_constructor] = ACTIONS(2656),
    [anon_sym_prop] = ACTIONS(2656),
    [anon_sym_id] = ACTIONS(2656),
    [anon_sym_event] = ACTIONS(2656),
    [anon_sym_fn] = ACTIONS(2656),
    [anon_sym_on] = ACTIONS(2656),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [725] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_this] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2704),
    [anon_sym_set] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2704),
    [anon_sym_keyof] = ACTIONS(2704),
    [anon_sym_unknown] = ACTIONS(2704),
    [anon_sym_never] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_constructor] = ACTIONS(2704),
    [anon_sym_prop] = ACTIONS(2704),
    [anon_sym_id] = ACTIONS(2704),
    [anon_sym_event] = ACTIONS(2704),
    [anon_sym_fn] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_typeof] = ACTIONS(2708),
    [anon_sym_import] = ACTIONS(2708),
    [anon_sym_var] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2710),
    [anon_sym_await] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_debugger] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_LTtemplate_GT] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2708),
    [anon_sym_SLASH] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_async] = ACTIONS(2708),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_void] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2710),
    [sym_number] = ACTIONS(2710),
    [sym_this] = ACTIONS(2708),
    [sym_super] = ACTIONS(2708),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [sym_null] = ACTIONS(2708),
    [sym_undefined] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_abstract] = ACTIONS(2708),
    [anon_sym_interface] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_component] = ACTIONS(2708),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_export] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_type] = ACTIONS(2712),
    [anon_sym_typeof] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2712),
    [anon_sym_var] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2714),
    [anon_sym_await] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_debugger] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_LTtemplate_GT] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_async] = ACTIONS(2712),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_void] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2714),
    [sym_number] = ACTIONS(2714),
    [sym_this] = ACTIONS(2712),
    [sym_super] = ACTIONS(2712),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [sym_null] = ACTIONS(2712),
    [sym_undefined] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_readonly] = ACTIONS(2712),
    [anon_sym_get] = ACTIONS(2712),
    [anon_sym_set] = ACTIONS(2712),
    [anon_sym_declare] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_override] = ACTIONS(2712),
    [anon_sym_module] = ACTIONS(2712),
    [anon_sym_any] = ACTIONS(2712),
    [anon_sym_number] = ACTIONS(2712),
    [anon_sym_boolean] = ACTIONS(2712),
    [anon_sym_string] = ACTIONS(2712),
    [anon_sym_symbol] = ACTIONS(2712),
    [anon_sym_abstract] = ACTIONS(2712),
    [anon_sym_interface] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_component] = ACTIONS(2712),
  },
  [728] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_this] = ACTIONS(2716),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [sym_null] = ACTIONS(2716),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2716),
    [anon_sym_set] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_abstract] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2716),
    [anon_sym_keyof] = ACTIONS(2716),
    [anon_sym_unknown] = ACTIONS(2716),
    [anon_sym_never] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_constructor] = ACTIONS(2716),
    [anon_sym_prop] = ACTIONS(2716),
    [anon_sym_id] = ACTIONS(2716),
    [anon_sym_event] = ACTIONS(2716),
    [anon_sym_fn] = ACTIONS(2716),
    [anon_sym_on] = ACTIONS(2716),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_LTtemplate_GT] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2722),
    [sym_number] = ACTIONS(2722),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [anon_sym_component] = ACTIONS(2720),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_export] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_type] = ACTIONS(2724),
    [anon_sym_typeof] = ACTIONS(2724),
    [anon_sym_import] = ACTIONS(2724),
    [anon_sym_var] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_await] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_debugger] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_LTtemplate_GT] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_async] = ACTIONS(2724),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_void] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2726),
    [sym_number] = ACTIONS(2726),
    [sym_this] = ACTIONS(2724),
    [sym_super] = ACTIONS(2724),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [sym_null] = ACTIONS(2724),
    [sym_undefined] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_readonly] = ACTIONS(2724),
    [anon_sym_get] = ACTIONS(2724),
    [anon_sym_set] = ACTIONS(2724),
    [anon_sym_declare] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_public] = ACTIONS(2724),
    [anon_sym_private] = ACTIONS(2724),
    [anon_sym_protected] = ACTIONS(2724),
    [anon_sym_override] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_any] = ACTIONS(2724),
    [anon_sym_number] = ACTIONS(2724),
    [anon_sym_boolean] = ACTIONS(2724),
    [anon_sym_string] = ACTIONS(2724),
    [anon_sym_symbol] = ACTIONS(2724),
    [anon_sym_abstract] = ACTIONS(2724),
    [anon_sym_interface] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [anon_sym_component] = ACTIONS(2724),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_export] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_typeof] = ACTIONS(2728),
    [anon_sym_import] = ACTIONS(2728),
    [anon_sym_var] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_await] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_debugger] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_LTtemplate_GT] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_async] = ACTIONS(2728),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_void] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2730),
    [sym_number] = ACTIONS(2730),
    [sym_this] = ACTIONS(2728),
    [sym_super] = ACTIONS(2728),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [sym_null] = ACTIONS(2728),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_readonly] = ACTIONS(2728),
    [anon_sym_get] = ACTIONS(2728),
    [anon_sym_set] = ACTIONS(2728),
    [anon_sym_declare] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_override] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_any] = ACTIONS(2728),
    [anon_sym_number] = ACTIONS(2728),
    [anon_sym_boolean] = ACTIONS(2728),
    [anon_sym_string] = ACTIONS(2728),
    [anon_sym_symbol] = ACTIONS(2728),
    [anon_sym_abstract] = ACTIONS(2728),
    [anon_sym_interface] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_component] = ACTIONS(2728),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_export] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_type] = ACTIONS(2732),
    [anon_sym_typeof] = ACTIONS(2732),
    [anon_sym_import] = ACTIONS(2732),
    [anon_sym_var] = ACTIONS(2732),
    [anon_sym_let] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_await] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_with] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_debugger] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_yield] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LTtemplate_GT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_async] = ACTIONS(2732),
    [anon_sym_function] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_void] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2734),
    [sym_number] = ACTIONS(2734),
    [sym_this] = ACTIONS(2732),
    [sym_super] = ACTIONS(2732),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [sym_null] = ACTIONS(2732),
    [sym_undefined] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_declare] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_override] = ACTIONS(2732),
    [anon_sym_module] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_abstract] = ACTIONS(2732),
    [anon_sym_interface] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_component] = ACTIONS(2732),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_export] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_type] = ACTIONS(2736),
    [anon_sym_typeof] = ACTIONS(2736),
    [anon_sym_import] = ACTIONS(2736),
    [anon_sym_var] = ACTIONS(2736),
    [anon_sym_let] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_await] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_debugger] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LTtemplate_GT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_void] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2738),
    [sym_number] = ACTIONS(2738),
    [sym_this] = ACTIONS(2736),
    [sym_super] = ACTIONS(2736),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [sym_null] = ACTIONS(2736),
    [sym_undefined] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_readonly] = ACTIONS(2736),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_declare] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_public] = ACTIONS(2736),
    [anon_sym_private] = ACTIONS(2736),
    [anon_sym_protected] = ACTIONS(2736),
    [anon_sym_override] = ACTIONS(2736),
    [anon_sym_module] = ACTIONS(2736),
    [anon_sym_any] = ACTIONS(2736),
    [anon_sym_number] = ACTIONS(2736),
    [anon_sym_boolean] = ACTIONS(2736),
    [anon_sym_string] = ACTIONS(2736),
    [anon_sym_symbol] = ACTIONS(2736),
    [anon_sym_abstract] = ACTIONS(2736),
    [anon_sym_interface] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_component] = ACTIONS(2736),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_export] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_type] = ACTIONS(2740),
    [anon_sym_typeof] = ACTIONS(2740),
    [anon_sym_import] = ACTIONS(2740),
    [anon_sym_var] = ACTIONS(2740),
    [anon_sym_let] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_await] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_debugger] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LTtemplate_GT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_async] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_void] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_number] = ACTIONS(2742),
    [sym_this] = ACTIONS(2740),
    [sym_super] = ACTIONS(2740),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [sym_null] = ACTIONS(2740),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_readonly] = ACTIONS(2740),
    [anon_sym_get] = ACTIONS(2740),
    [anon_sym_set] = ACTIONS(2740),
    [anon_sym_declare] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_override] = ACTIONS(2740),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_any] = ACTIONS(2740),
    [anon_sym_number] = ACTIONS(2740),
    [anon_sym_boolean] = ACTIONS(2740),
    [anon_sym_string] = ACTIONS(2740),
    [anon_sym_symbol] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2740),
    [anon_sym_interface] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_component] = ACTIONS(2740),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_type] = ACTIONS(2744),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_LTtemplate_GT] = ACTIONS(2746),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_declare] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_module] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_interface] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_component] = ACTIONS(2744),
  },
  [736] = {
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_export] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_typeof] = ACTIONS(2748),
    [anon_sym_import] = ACTIONS(2748),
    [anon_sym_var] = ACTIONS(2748),
    [anon_sym_let] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_await] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_with] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_debugger] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_yield] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_LTtemplate_GT] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_async] = ACTIONS(2748),
    [anon_sym_function] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_void] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2750),
    [sym_number] = ACTIONS(2750),
    [sym_this] = ACTIONS(2748),
    [sym_super] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [sym_null] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_readonly] = ACTIONS(2748),
    [anon_sym_get] = ACTIONS(2748),
    [anon_sym_set] = ACTIONS(2748),
    [anon_sym_declare] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_override] = ACTIONS(2748),
    [anon_sym_module] = ACTIONS(2748),
    [anon_sym_any] = ACTIONS(2748),
    [anon_sym_number] = ACTIONS(2748),
    [anon_sym_boolean] = ACTIONS(2748),
    [anon_sym_string] = ACTIONS(2748),
    [anon_sym_symbol] = ACTIONS(2748),
    [anon_sym_abstract] = ACTIONS(2748),
    [anon_sym_interface] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_component] = ACTIONS(2748),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_export] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_type] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2752),
    [anon_sym_var] = ACTIONS(2752),
    [anon_sym_let] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_await] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_with] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_debugger] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_yield] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_LTtemplate_GT] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_async] = ACTIONS(2752),
    [anon_sym_function] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_void] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2754),
    [sym_number] = ACTIONS(2754),
    [sym_this] = ACTIONS(2752),
    [sym_super] = ACTIONS(2752),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [sym_null] = ACTIONS(2752),
    [sym_undefined] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_readonly] = ACTIONS(2752),
    [anon_sym_get] = ACTIONS(2752),
    [anon_sym_set] = ACTIONS(2752),
    [anon_sym_declare] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_override] = ACTIONS(2752),
    [anon_sym_module] = ACTIONS(2752),
    [anon_sym_any] = ACTIONS(2752),
    [anon_sym_number] = ACTIONS(2752),
    [anon_sym_boolean] = ACTIONS(2752),
    [anon_sym_string] = ACTIONS(2752),
    [anon_sym_symbol] = ACTIONS(2752),
    [anon_sym_abstract] = ACTIONS(2752),
    [anon_sym_interface] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_component] = ACTIONS(2752),
  },
  [738] = {
    [sym_identifier] = ACTIONS(2756),
    [anon_sym_export] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_type] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2756),
    [anon_sym_let] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_await] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_with] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_debugger] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_yield] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_LTtemplate_GT] = ACTIONS(2758),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_async] = ACTIONS(2756),
    [anon_sym_function] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_void] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2758),
    [sym_number] = ACTIONS(2758),
    [sym_this] = ACTIONS(2756),
    [sym_super] = ACTIONS(2756),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [sym_null] = ACTIONS(2756),
    [sym_undefined] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_readonly] = ACTIONS(2756),
    [anon_sym_get] = ACTIONS(2756),
    [anon_sym_set] = ACTIONS(2756),
    [anon_sym_declare] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_public] = ACTIONS(2756),
    [anon_sym_private] = ACTIONS(2756),
    [anon_sym_protected] = ACTIONS(2756),
    [anon_sym_override] = ACTIONS(2756),
    [anon_sym_module] = ACTIONS(2756),
    [anon_sym_any] = ACTIONS(2756),
    [anon_sym_number] = ACTIONS(2756),
    [anon_sym_boolean] = ACTIONS(2756),
    [anon_sym_string] = ACTIONS(2756),
    [anon_sym_symbol] = ACTIONS(2756),
    [anon_sym_abstract] = ACTIONS(2756),
    [anon_sym_interface] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_component] = ACTIONS(2756),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_type] = ACTIONS(2760),
    [anon_sym_typeof] = ACTIONS(2760),
    [anon_sym_import] = ACTIONS(2760),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_await] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_with] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_debugger] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_yield] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_LTtemplate_GT] = ACTIONS(2762),
    [anon_sym_LT] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_async] = ACTIONS(2760),
    [anon_sym_function] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_void] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2762),
    [sym_number] = ACTIONS(2762),
    [sym_this] = ACTIONS(2760),
    [sym_super] = ACTIONS(2760),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [sym_null] = ACTIONS(2760),
    [sym_undefined] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_readonly] = ACTIONS(2760),
    [anon_sym_get] = ACTIONS(2760),
    [anon_sym_set] = ACTIONS(2760),
    [anon_sym_declare] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_override] = ACTIONS(2760),
    [anon_sym_module] = ACTIONS(2760),
    [anon_sym_any] = ACTIONS(2760),
    [anon_sym_number] = ACTIONS(2760),
    [anon_sym_boolean] = ACTIONS(2760),
    [anon_sym_string] = ACTIONS(2760),
    [anon_sym_symbol] = ACTIONS(2760),
    [anon_sym_abstract] = ACTIONS(2760),
    [anon_sym_interface] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_component] = ACTIONS(2760),
  },
  [740] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2764),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2766),
    [sym_number] = ACTIONS(2766),
    [sym_this] = ACTIONS(2764),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [sym_null] = ACTIONS(2764),
    [sym_undefined] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_readonly] = ACTIONS(2764),
    [anon_sym_get] = ACTIONS(2764),
    [anon_sym_set] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_any] = ACTIONS(2764),
    [anon_sym_number] = ACTIONS(2764),
    [anon_sym_boolean] = ACTIONS(2764),
    [anon_sym_string] = ACTIONS(2764),
    [anon_sym_symbol] = ACTIONS(2764),
    [anon_sym_abstract] = ACTIONS(2764),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2764),
    [anon_sym_keyof] = ACTIONS(2764),
    [anon_sym_unknown] = ACTIONS(2764),
    [anon_sym_never] = ACTIONS(2764),
    [anon_sym_object] = ACTIONS(2764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2766),
    [anon_sym_constructor] = ACTIONS(2764),
    [anon_sym_prop] = ACTIONS(2764),
    [anon_sym_id] = ACTIONS(2764),
    [anon_sym_event] = ACTIONS(2764),
    [anon_sym_fn] = ACTIONS(2764),
    [anon_sym_on] = ACTIONS(2764),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_export] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_type] = ACTIONS(2768),
    [anon_sym_typeof] = ACTIONS(2768),
    [anon_sym_import] = ACTIONS(2768),
    [anon_sym_var] = ACTIONS(2768),
    [anon_sym_let] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_await] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_with] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_debugger] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_yield] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_LTtemplate_GT] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2768),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_void] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2770),
    [sym_number] = ACTIONS(2770),
    [sym_this] = ACTIONS(2768),
    [sym_super] = ACTIONS(2768),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [sym_null] = ACTIONS(2768),
    [sym_undefined] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_readonly] = ACTIONS(2768),
    [anon_sym_get] = ACTIONS(2768),
    [anon_sym_set] = ACTIONS(2768),
    [anon_sym_declare] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_public] = ACTIONS(2768),
    [anon_sym_private] = ACTIONS(2768),
    [anon_sym_protected] = ACTIONS(2768),
    [anon_sym_override] = ACTIONS(2768),
    [anon_sym_module] = ACTIONS(2768),
    [anon_sym_any] = ACTIONS(2768),
    [anon_sym_number] = ACTIONS(2768),
    [anon_sym_boolean] = ACTIONS(2768),
    [anon_sym_string] = ACTIONS(2768),
    [anon_sym_symbol] = ACTIONS(2768),
    [anon_sym_abstract] = ACTIONS(2768),
    [anon_sym_interface] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_component] = ACTIONS(2768),
  },
  [742] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2772),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2774),
    [sym_number] = ACTIONS(2774),
    [sym_this] = ACTIONS(2772),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [sym_null] = ACTIONS(2772),
    [sym_undefined] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_readonly] = ACTIONS(2772),
    [anon_sym_get] = ACTIONS(2772),
    [anon_sym_set] = ACTIONS(2772),
    [anon_sym_QMARK] = ACTIONS(2772),
    [anon_sym_any] = ACTIONS(2772),
    [anon_sym_number] = ACTIONS(2772),
    [anon_sym_boolean] = ACTIONS(2772),
    [anon_sym_string] = ACTIONS(2772),
    [anon_sym_symbol] = ACTIONS(2772),
    [anon_sym_abstract] = ACTIONS(2772),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2772),
    [anon_sym_keyof] = ACTIONS(2772),
    [anon_sym_unknown] = ACTIONS(2772),
    [anon_sym_never] = ACTIONS(2772),
    [anon_sym_object] = ACTIONS(2772),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2774),
    [anon_sym_constructor] = ACTIONS(2772),
    [anon_sym_prop] = ACTIONS(2772),
    [anon_sym_id] = ACTIONS(2772),
    [anon_sym_event] = ACTIONS(2772),
    [anon_sym_fn] = ACTIONS(2772),
    [anon_sym_on] = ACTIONS(2772),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [743] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_GT] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2776),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_PIPE_PIPE] = ACTIONS(2778),
    [anon_sym_GT_GT] = ACTIONS(2776),
    [anon_sym_GT_GT_GT] = ACTIONS(2778),
    [anon_sym_LT_LT] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2778),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PERCENT] = ACTIONS(2778),
    [anon_sym_STAR_STAR] = ACTIONS(2778),
    [anon_sym_LT_EQ] = ACTIONS(2778),
    [anon_sym_EQ_EQ] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2778),
    [anon_sym_BANG_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2778),
    [anon_sym_GT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK] = ACTIONS(2778),
    [anon_sym_instanceof] = ACTIONS(2776),
    [anon_sym_void] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2778),
    [sym_number] = ACTIONS(2778),
    [sym_this] = ACTIONS(2776),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [sym_null] = ACTIONS(2776),
    [sym_undefined] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_readonly] = ACTIONS(2776),
    [anon_sym_get] = ACTIONS(2776),
    [anon_sym_set] = ACTIONS(2776),
    [anon_sym_QMARK] = ACTIONS(2776),
    [anon_sym_any] = ACTIONS(2776),
    [anon_sym_number] = ACTIONS(2776),
    [anon_sym_boolean] = ACTIONS(2776),
    [anon_sym_string] = ACTIONS(2776),
    [anon_sym_symbol] = ACTIONS(2776),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2776),
    [anon_sym_keyof] = ACTIONS(2776),
    [anon_sym_unknown] = ACTIONS(2776),
    [anon_sym_never] = ACTIONS(2776),
    [anon_sym_object] = ACTIONS(2776),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2778),
    [anon_sym_constructor] = ACTIONS(2776),
    [anon_sym_prop] = ACTIONS(2776),
    [anon_sym_id] = ACTIONS(2776),
    [anon_sym_event] = ACTIONS(2776),
    [anon_sym_fn] = ACTIONS(2776),
    [anon_sym_on] = ACTIONS(2776),
    [sym__ternary_qmark] = ACTIONS(2778),
  },
  [744] = {
    [sym_arguments] = STATE(974),
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_as] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_GT] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2784),
    [anon_sym_async] = ACTIONS(2780),
    [anon_sym_QMARK_DOT] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_PIPE_PIPE] = ACTIONS(2782),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_GT_GT_GT] = ACTIONS(2782),
    [anon_sym_LT_LT] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2782),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2782),
    [anon_sym_STAR_STAR] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(2782),
    [anon_sym_EQ_EQ] = ACTIONS(2780),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2782),
    [anon_sym_BANG_EQ] = ACTIONS(2780),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2782),
    [anon_sym_GT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK] = ACTIONS(2782),
    [anon_sym_instanceof] = ACTIONS(2780),
    [anon_sym_void] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2782),
    [sym_number] = ACTIONS(2782),
    [sym_this] = ACTIONS(2780),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [sym_null] = ACTIONS(2780),
    [sym_undefined] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_readonly] = ACTIONS(2780),
    [anon_sym_get] = ACTIONS(2780),
    [anon_sym_set] = ACTIONS(2780),
    [anon_sym_QMARK] = ACTIONS(2780),
    [anon_sym_any] = ACTIONS(2780),
    [anon_sym_number] = ACTIONS(2780),
    [anon_sym_boolean] = ACTIONS(2780),
    [anon_sym_string] = ACTIONS(2780),
    [anon_sym_symbol] = ACTIONS(2780),
    [anon_sym_abstract] = ACTIONS(2780),
    [anon_sym_satisfies] = ACTIONS(2780),
    [anon_sym_extends] = ACTIONS(2780),
    [anon_sym_infer] = ACTIONS(2780),
    [anon_sym_keyof] = ACTIONS(2780),
    [anon_sym_unknown] = ACTIONS(2780),
    [anon_sym_never] = ACTIONS(2780),
    [anon_sym_object] = ACTIONS(2780),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2782),
    [anon_sym_constructor] = ACTIONS(2780),
    [anon_sym_prop] = ACTIONS(2780),
    [anon_sym_id] = ACTIONS(2780),
    [anon_sym_event] = ACTIONS(2780),
    [anon_sym_fn] = ACTIONS(2780),
    [anon_sym_on] = ACTIONS(2780),
    [sym__ternary_qmark] = ACTIONS(2782),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_export] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_type] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_import] = ACTIONS(2786),
    [anon_sym_var] = ACTIONS(2786),
    [anon_sym_let] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_await] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_with] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_debugger] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_yield] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_LTtemplate_GT] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_SLASH] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_async] = ACTIONS(2786),
    [anon_sym_function] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_void] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2788),
    [sym_number] = ACTIONS(2788),
    [sym_this] = ACTIONS(2786),
    [sym_super] = ACTIONS(2786),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [sym_null] = ACTIONS(2786),
    [sym_undefined] = ACTIONS(2786),
    [anon_sym_AT] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_readonly] = ACTIONS(2786),
    [anon_sym_get] = ACTIONS(2786),
    [anon_sym_set] = ACTIONS(2786),
    [anon_sym_declare] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_public] = ACTIONS(2786),
    [anon_sym_private] = ACTIONS(2786),
    [anon_sym_protected] = ACTIONS(2786),
    [anon_sym_override] = ACTIONS(2786),
    [anon_sym_module] = ACTIONS(2786),
    [anon_sym_any] = ACTIONS(2786),
    [anon_sym_number] = ACTIONS(2786),
    [anon_sym_boolean] = ACTIONS(2786),
    [anon_sym_string] = ACTIONS(2786),
    [anon_sym_symbol] = ACTIONS(2786),
    [anon_sym_abstract] = ACTIONS(2786),
    [anon_sym_interface] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_component] = ACTIONS(2786),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2790),
    [anon_sym_export] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_type] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_import] = ACTIONS(2790),
    [anon_sym_var] = ACTIONS(2790),
    [anon_sym_let] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_LPAREN] = ACTIONS(2792),
    [anon_sym_await] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_with] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_debugger] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_yield] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_LTtemplate_GT] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2790),
    [anon_sym_SLASH] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_async] = ACTIONS(2790),
    [anon_sym_function] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_void] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2792),
    [sym_number] = ACTIONS(2792),
    [sym_this] = ACTIONS(2790),
    [sym_super] = ACTIONS(2790),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [sym_null] = ACTIONS(2790),
    [sym_undefined] = ACTIONS(2790),
    [anon_sym_AT] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_readonly] = ACTIONS(2790),
    [anon_sym_get] = ACTIONS(2790),
    [anon_sym_set] = ACTIONS(2790),
    [anon_sym_declare] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_override] = ACTIONS(2790),
    [anon_sym_module] = ACTIONS(2790),
    [anon_sym_any] = ACTIONS(2790),
    [anon_sym_number] = ACTIONS(2790),
    [anon_sym_boolean] = ACTIONS(2790),
    [anon_sym_string] = ACTIONS(2790),
    [anon_sym_symbol] = ACTIONS(2790),
    [anon_sym_abstract] = ACTIONS(2790),
    [anon_sym_interface] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_component] = ACTIONS(2790),
  },
  [747] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2796),
    [sym_number] = ACTIONS(2796),
    [sym_this] = ACTIONS(2794),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [sym_null] = ACTIONS(2794),
    [sym_undefined] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_readonly] = ACTIONS(2794),
    [anon_sym_get] = ACTIONS(2794),
    [anon_sym_set] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2794),
    [anon_sym_any] = ACTIONS(2794),
    [anon_sym_number] = ACTIONS(2794),
    [anon_sym_boolean] = ACTIONS(2794),
    [anon_sym_string] = ACTIONS(2794),
    [anon_sym_symbol] = ACTIONS(2794),
    [anon_sym_abstract] = ACTIONS(2794),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2794),
    [anon_sym_keyof] = ACTIONS(2794),
    [anon_sym_unknown] = ACTIONS(2794),
    [anon_sym_never] = ACTIONS(2794),
    [anon_sym_object] = ACTIONS(2794),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2796),
    [anon_sym_constructor] = ACTIONS(2794),
    [anon_sym_prop] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
    [anon_sym_event] = ACTIONS(2794),
    [anon_sym_fn] = ACTIONS(2794),
    [anon_sym_on] = ACTIONS(2794),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2798),
    [anon_sym_export] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_type] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2800),
    [anon_sym_await] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_with] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_debugger] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_yield] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_LTtemplate_GT] = ACTIONS(2800),
    [anon_sym_LT] = ACTIONS(2798),
    [anon_sym_SLASH] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_function] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_void] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2800),
    [sym_number] = ACTIONS(2800),
    [sym_this] = ACTIONS(2798),
    [sym_super] = ACTIONS(2798),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [sym_null] = ACTIONS(2798),
    [sym_undefined] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_readonly] = ACTIONS(2798),
    [anon_sym_get] = ACTIONS(2798),
    [anon_sym_set] = ACTIONS(2798),
    [anon_sym_declare] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_module] = ACTIONS(2798),
    [anon_sym_any] = ACTIONS(2798),
    [anon_sym_number] = ACTIONS(2798),
    [anon_sym_boolean] = ACTIONS(2798),
    [anon_sym_string] = ACTIONS(2798),
    [anon_sym_symbol] = ACTIONS(2798),
    [anon_sym_abstract] = ACTIONS(2798),
    [anon_sym_interface] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_component] = ACTIONS(2798),
  },
  [749] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2802),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2804),
    [sym_number] = ACTIONS(2804),
    [sym_this] = ACTIONS(2802),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_undefined] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_readonly] = ACTIONS(2802),
    [anon_sym_get] = ACTIONS(2802),
    [anon_sym_set] = ACTIONS(2802),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_any] = ACTIONS(2802),
    [anon_sym_number] = ACTIONS(2802),
    [anon_sym_boolean] = ACTIONS(2802),
    [anon_sym_string] = ACTIONS(2802),
    [anon_sym_symbol] = ACTIONS(2802),
    [anon_sym_abstract] = ACTIONS(2802),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2802),
    [anon_sym_keyof] = ACTIONS(2802),
    [anon_sym_unknown] = ACTIONS(2802),
    [anon_sym_never] = ACTIONS(2802),
    [anon_sym_object] = ACTIONS(2802),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2804),
    [anon_sym_constructor] = ACTIONS(2802),
    [anon_sym_prop] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
    [anon_sym_event] = ACTIONS(2802),
    [anon_sym_fn] = ACTIONS(2802),
    [anon_sym_on] = ACTIONS(2802),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [750] = {
    [sym_identifier] = ACTIONS(2806),
    [anon_sym_export] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_type] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_import] = ACTIONS(2806),
    [anon_sym_var] = ACTIONS(2806),
    [anon_sym_let] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_await] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_with] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_debugger] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_yield] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_LTtemplate_GT] = ACTIONS(2808),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_void] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2808),
    [sym_number] = ACTIONS(2808),
    [sym_this] = ACTIONS(2806),
    [sym_super] = ACTIONS(2806),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [sym_null] = ACTIONS(2806),
    [sym_undefined] = ACTIONS(2806),
    [anon_sym_AT] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_readonly] = ACTIONS(2806),
    [anon_sym_get] = ACTIONS(2806),
    [anon_sym_set] = ACTIONS(2806),
    [anon_sym_declare] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_public] = ACTIONS(2806),
    [anon_sym_private] = ACTIONS(2806),
    [anon_sym_protected] = ACTIONS(2806),
    [anon_sym_override] = ACTIONS(2806),
    [anon_sym_module] = ACTIONS(2806),
    [anon_sym_any] = ACTIONS(2806),
    [anon_sym_number] = ACTIONS(2806),
    [anon_sym_boolean] = ACTIONS(2806),
    [anon_sym_string] = ACTIONS(2806),
    [anon_sym_symbol] = ACTIONS(2806),
    [anon_sym_abstract] = ACTIONS(2806),
    [anon_sym_interface] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_component] = ACTIONS(2806),
  },
  [751] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_as] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_GT] = ACTIONS(2810),
    [anon_sym_SLASH] = ACTIONS(2810),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2810),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_GT_GT] = ACTIONS(2810),
    [anon_sym_GT_GT_GT] = ACTIONS(2812),
    [anon_sym_LT_LT] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_CARET] = ACTIONS(2812),
    [anon_sym_PIPE] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PERCENT] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2812),
    [anon_sym_EQ_EQ] = ACTIONS(2810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ] = ACTIONS(2810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2812),
    [anon_sym_GT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK] = ACTIONS(2812),
    [anon_sym_instanceof] = ACTIONS(2810),
    [anon_sym_void] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2812),
    [sym_number] = ACTIONS(2812),
    [sym_this] = ACTIONS(2810),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [sym_null] = ACTIONS(2810),
    [sym_undefined] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_readonly] = ACTIONS(2810),
    [anon_sym_get] = ACTIONS(2810),
    [anon_sym_set] = ACTIONS(2810),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_any] = ACTIONS(2810),
    [anon_sym_number] = ACTIONS(2810),
    [anon_sym_boolean] = ACTIONS(2810),
    [anon_sym_string] = ACTIONS(2810),
    [anon_sym_symbol] = ACTIONS(2810),
    [anon_sym_abstract] = ACTIONS(2810),
    [anon_sym_satisfies] = ACTIONS(2810),
    [anon_sym_infer] = ACTIONS(2810),
    [anon_sym_keyof] = ACTIONS(2810),
    [anon_sym_unknown] = ACTIONS(2810),
    [anon_sym_never] = ACTIONS(2810),
    [anon_sym_object] = ACTIONS(2810),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2812),
    [anon_sym_constructor] = ACTIONS(2810),
    [anon_sym_prop] = ACTIONS(2810),
    [anon_sym_id] = ACTIONS(2810),
    [anon_sym_event] = ACTIONS(2810),
    [anon_sym_fn] = ACTIONS(2810),
    [anon_sym_on] = ACTIONS(2810),
    [sym__ternary_qmark] = ACTIONS(2812),
  },
  [752] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2816),
    [sym_number] = ACTIONS(2816),
    [sym_this] = ACTIONS(2814),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_undefined] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_readonly] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2814),
    [anon_sym_set] = ACTIONS(2814),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_any] = ACTIONS(2814),
    [anon_sym_number] = ACTIONS(2814),
    [anon_sym_boolean] = ACTIONS(2814),
    [anon_sym_string] = ACTIONS(2814),
    [anon_sym_symbol] = ACTIONS(2814),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2814),
    [anon_sym_keyof] = ACTIONS(2814),
    [anon_sym_unknown] = ACTIONS(2814),
    [anon_sym_never] = ACTIONS(2814),
    [anon_sym_object] = ACTIONS(2814),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2816),
    [anon_sym_constructor] = ACTIONS(2814),
    [anon_sym_prop] = ACTIONS(2814),
    [anon_sym_id] = ACTIONS(2814),
    [anon_sym_event] = ACTIONS(2814),
    [anon_sym_fn] = ACTIONS(2814),
    [anon_sym_on] = ACTIONS(2814),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [753] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2818),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2820),
    [sym_number] = ACTIONS(2820),
    [sym_this] = ACTIONS(2818),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_undefined] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_readonly] = ACTIONS(2818),
    [anon_sym_get] = ACTIONS(2818),
    [anon_sym_set] = ACTIONS(2818),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_any] = ACTIONS(2818),
    [anon_sym_number] = ACTIONS(2818),
    [anon_sym_boolean] = ACTIONS(2818),
    [anon_sym_string] = ACTIONS(2818),
    [anon_sym_symbol] = ACTIONS(2818),
    [anon_sym_abstract] = ACTIONS(2818),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2818),
    [anon_sym_keyof] = ACTIONS(2818),
    [anon_sym_unknown] = ACTIONS(2818),
    [anon_sym_never] = ACTIONS(2818),
    [anon_sym_object] = ACTIONS(2818),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2820),
    [anon_sym_constructor] = ACTIONS(2818),
    [anon_sym_prop] = ACTIONS(2818),
    [anon_sym_id] = ACTIONS(2818),
    [anon_sym_event] = ACTIONS(2818),
    [anon_sym_fn] = ACTIONS(2818),
    [anon_sym_on] = ACTIONS(2818),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2826),
    [anon_sym_export] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_type] = ACTIONS(2826),
    [anon_sym_typeof] = ACTIONS(2826),
    [anon_sym_import] = ACTIONS(2826),
    [anon_sym_var] = ACTIONS(2826),
    [anon_sym_let] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_await] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_with] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_debugger] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_yield] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_LTtemplate_GT] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_async] = ACTIONS(2826),
    [anon_sym_function] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_void] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2828),
    [sym_number] = ACTIONS(2828),
    [sym_this] = ACTIONS(2826),
    [sym_super] = ACTIONS(2826),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [sym_null] = ACTIONS(2826),
    [sym_undefined] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_readonly] = ACTIONS(2826),
    [anon_sym_get] = ACTIONS(2826),
    [anon_sym_set] = ACTIONS(2826),
    [anon_sym_declare] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_override] = ACTIONS(2826),
    [anon_sym_module] = ACTIONS(2826),
    [anon_sym_any] = ACTIONS(2826),
    [anon_sym_number] = ACTIONS(2826),
    [anon_sym_boolean] = ACTIONS(2826),
    [anon_sym_string] = ACTIONS(2826),
    [anon_sym_symbol] = ACTIONS(2826),
    [anon_sym_abstract] = ACTIONS(2826),
    [anon_sym_interface] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_component] = ACTIONS(2826),
  },
  [763] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [767] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2832),
    [sym_number] = ACTIONS(2832),
    [sym_this] = ACTIONS(2830),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [sym_null] = ACTIONS(2830),
    [sym_undefined] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_readonly] = ACTIONS(2830),
    [anon_sym_get] = ACTIONS(2830),
    [anon_sym_set] = ACTIONS(2830),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_any] = ACTIONS(2830),
    [anon_sym_number] = ACTIONS(2830),
    [anon_sym_boolean] = ACTIONS(2830),
    [anon_sym_string] = ACTIONS(2830),
    [anon_sym_symbol] = ACTIONS(2830),
    [anon_sym_abstract] = ACTIONS(2830),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2830),
    [anon_sym_keyof] = ACTIONS(2830),
    [anon_sym_unknown] = ACTIONS(2830),
    [anon_sym_never] = ACTIONS(2830),
    [anon_sym_object] = ACTIONS(2830),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2832),
    [anon_sym_constructor] = ACTIONS(2830),
    [anon_sym_prop] = ACTIONS(2830),
    [anon_sym_id] = ACTIONS(2830),
    [anon_sym_event] = ACTIONS(2830),
    [anon_sym_fn] = ACTIONS(2830),
    [anon_sym_on] = ACTIONS(2830),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [773] = {
    [sym__call_signature] = STATE(4746),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_export] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_of] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2836),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(2840),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_readonly] = ACTIONS(2836),
    [anon_sym_get] = ACTIONS(2836),
    [anon_sym_set] = ACTIONS(2836),
    [anon_sym_declare] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_override] = ACTIONS(2836),
    [anon_sym_module] = ACTIONS(2836),
    [anon_sym_any] = ACTIONS(2836),
    [anon_sym_number] = ACTIONS(2836),
    [anon_sym_boolean] = ACTIONS(2836),
    [anon_sym_string] = ACTIONS(2836),
    [anon_sym_symbol] = ACTIONS(2836),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [774] = {
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1530),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_await] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1530),
    [anon_sym_with] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1530),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_debugger] = ACTIONS(1530),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_throw] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1530),
    [anon_sym_default] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LTtemplate_GT] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_class] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_function] = ACTIONS(1530),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [sym_number] = ACTIONS(1532),
    [sym_this] = ACTIONS(1530),
    [sym_super] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1530),
    [anon_sym_component] = ACTIONS(1530),
  },
  [775] = {
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LTtemplate_GT] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [sym_number] = ACTIONS(1706),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [anon_sym_component] = ACTIONS(1704),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_export] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_type] = ACTIONS(2842),
    [anon_sym_typeof] = ACTIONS(2842),
    [anon_sym_import] = ACTIONS(2842),
    [anon_sym_var] = ACTIONS(2842),
    [anon_sym_let] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_with] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_debugger] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_yield] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_LTtemplate_GT] = ACTIONS(2844),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2842),
    [anon_sym_function] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_void] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2844),
    [sym_number] = ACTIONS(2844),
    [sym_this] = ACTIONS(2842),
    [sym_super] = ACTIONS(2842),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [sym_null] = ACTIONS(2842),
    [sym_undefined] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_readonly] = ACTIONS(2842),
    [anon_sym_get] = ACTIONS(2842),
    [anon_sym_set] = ACTIONS(2842),
    [anon_sym_declare] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2842),
    [anon_sym_module] = ACTIONS(2842),
    [anon_sym_any] = ACTIONS(2842),
    [anon_sym_number] = ACTIONS(2842),
    [anon_sym_boolean] = ACTIONS(2842),
    [anon_sym_string] = ACTIONS(2842),
    [anon_sym_symbol] = ACTIONS(2842),
    [anon_sym_abstract] = ACTIONS(2842),
    [anon_sym_interface] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_component] = ACTIONS(2842),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2846),
    [anon_sym_export] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_type] = ACTIONS(2846),
    [anon_sym_typeof] = ACTIONS(2846),
    [anon_sym_import] = ACTIONS(2846),
    [anon_sym_var] = ACTIONS(2846),
    [anon_sym_let] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_LPAREN] = ACTIONS(2848),
    [anon_sym_await] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_with] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_debugger] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_yield] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_LTtemplate_GT] = ACTIONS(2848),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_SLASH] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_async] = ACTIONS(2846),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_void] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2848),
    [sym_number] = ACTIONS(2848),
    [sym_this] = ACTIONS(2846),
    [sym_super] = ACTIONS(2846),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [sym_null] = ACTIONS(2846),
    [sym_undefined] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_readonly] = ACTIONS(2846),
    [anon_sym_get] = ACTIONS(2846),
    [anon_sym_set] = ACTIONS(2846),
    [anon_sym_declare] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_override] = ACTIONS(2846),
    [anon_sym_module] = ACTIONS(2846),
    [anon_sym_any] = ACTIONS(2846),
    [anon_sym_number] = ACTIONS(2846),
    [anon_sym_boolean] = ACTIONS(2846),
    [anon_sym_string] = ACTIONS(2846),
    [anon_sym_symbol] = ACTIONS(2846),
    [anon_sym_abstract] = ACTIONS(2846),
    [anon_sym_interface] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_component] = ACTIONS(2846),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_export] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_type] = ACTIONS(2850),
    [anon_sym_typeof] = ACTIONS(2850),
    [anon_sym_import] = ACTIONS(2850),
    [anon_sym_var] = ACTIONS(2850),
    [anon_sym_let] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_await] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_with] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_debugger] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_yield] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_LTtemplate_GT] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_SLASH] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_async] = ACTIONS(2850),
    [anon_sym_function] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_void] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2852),
    [sym_number] = ACTIONS(2852),
    [sym_this] = ACTIONS(2850),
    [sym_super] = ACTIONS(2850),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [sym_null] = ACTIONS(2850),
    [sym_undefined] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_readonly] = ACTIONS(2850),
    [anon_sym_get] = ACTIONS(2850),
    [anon_sym_set] = ACTIONS(2850),
    [anon_sym_declare] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_override] = ACTIONS(2850),
    [anon_sym_module] = ACTIONS(2850),
    [anon_sym_any] = ACTIONS(2850),
    [anon_sym_number] = ACTIONS(2850),
    [anon_sym_boolean] = ACTIONS(2850),
    [anon_sym_string] = ACTIONS(2850),
    [anon_sym_symbol] = ACTIONS(2850),
    [anon_sym_abstract] = ACTIONS(2850),
    [anon_sym_interface] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_component] = ACTIONS(2850),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2854),
    [anon_sym_export] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_type] = ACTIONS(2854),
    [anon_sym_typeof] = ACTIONS(2854),
    [anon_sym_import] = ACTIONS(2854),
    [anon_sym_var] = ACTIONS(2854),
    [anon_sym_let] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_await] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_with] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_debugger] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_yield] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_LTtemplate_GT] = ACTIONS(2856),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_async] = ACTIONS(2854),
    [anon_sym_function] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_void] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2856),
    [sym_number] = ACTIONS(2856),
    [sym_this] = ACTIONS(2854),
    [sym_super] = ACTIONS(2854),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [sym_null] = ACTIONS(2854),
    [sym_undefined] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_readonly] = ACTIONS(2854),
    [anon_sym_get] = ACTIONS(2854),
    [anon_sym_set] = ACTIONS(2854),
    [anon_sym_declare] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2854),
    [anon_sym_module] = ACTIONS(2854),
    [anon_sym_any] = ACTIONS(2854),
    [anon_sym_number] = ACTIONS(2854),
    [anon_sym_boolean] = ACTIONS(2854),
    [anon_sym_string] = ACTIONS(2854),
    [anon_sym_symbol] = ACTIONS(2854),
    [anon_sym_abstract] = ACTIONS(2854),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_component] = ACTIONS(2854),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2858),
    [anon_sym_typeof] = ACTIONS(2858),
    [anon_sym_import] = ACTIONS(2858),
    [anon_sym_var] = ACTIONS(2858),
    [anon_sym_let] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_else] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_await] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_with] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_debugger] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_yield] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LTtemplate_GT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_async] = ACTIONS(2858),
    [anon_sym_function] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_void] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2860),
    [sym_number] = ACTIONS(2860),
    [sym_this] = ACTIONS(2858),
    [sym_super] = ACTIONS(2858),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [sym_null] = ACTIONS(2858),
    [sym_undefined] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_readonly] = ACTIONS(2858),
    [anon_sym_get] = ACTIONS(2858),
    [anon_sym_set] = ACTIONS(2858),
    [anon_sym_declare] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_override] = ACTIONS(2858),
    [anon_sym_module] = ACTIONS(2858),
    [anon_sym_any] = ACTIONS(2858),
    [anon_sym_number] = ACTIONS(2858),
    [anon_sym_boolean] = ACTIONS(2858),
    [anon_sym_string] = ACTIONS(2858),
    [anon_sym_symbol] = ACTIONS(2858),
    [anon_sym_abstract] = ACTIONS(2858),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_component] = ACTIONS(2858),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2862),
    [anon_sym_export] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2862),
    [anon_sym_typeof] = ACTIONS(2862),
    [anon_sym_import] = ACTIONS(2862),
    [anon_sym_var] = ACTIONS(2862),
    [anon_sym_let] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_await] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_debugger] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LTtemplate_GT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_SLASH] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_async] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_void] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2864),
    [sym_number] = ACTIONS(2864),
    [sym_this] = ACTIONS(2862),
    [sym_super] = ACTIONS(2862),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [sym_null] = ACTIONS(2862),
    [sym_undefined] = ACTIONS(2862),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_readonly] = ACTIONS(2862),
    [anon_sym_get] = ACTIONS(2862),
    [anon_sym_set] = ACTIONS(2862),
    [anon_sym_declare] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_public] = ACTIONS(2862),
    [anon_sym_private] = ACTIONS(2862),
    [anon_sym_protected] = ACTIONS(2862),
    [anon_sym_override] = ACTIONS(2862),
    [anon_sym_module] = ACTIONS(2862),
    [anon_sym_any] = ACTIONS(2862),
    [anon_sym_number] = ACTIONS(2862),
    [anon_sym_boolean] = ACTIONS(2862),
    [anon_sym_string] = ACTIONS(2862),
    [anon_sym_symbol] = ACTIONS(2862),
    [anon_sym_abstract] = ACTIONS(2862),
    [anon_sym_interface] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_component] = ACTIONS(2862),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2866),
    [anon_sym_export] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [anon_sym_type] = ACTIONS(2866),
    [anon_sym_typeof] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_await] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_debugger] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LTtemplate_GT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_SLASH] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_void] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2868),
    [sym_number] = ACTIONS(2868),
    [sym_this] = ACTIONS(2866),
    [sym_super] = ACTIONS(2866),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [sym_null] = ACTIONS(2866),
    [sym_undefined] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_readonly] = ACTIONS(2866),
    [anon_sym_get] = ACTIONS(2866),
    [anon_sym_set] = ACTIONS(2866),
    [anon_sym_declare] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_protected] = ACTIONS(2866),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_any] = ACTIONS(2866),
    [anon_sym_number] = ACTIONS(2866),
    [anon_sym_boolean] = ACTIONS(2866),
    [anon_sym_string] = ACTIONS(2866),
    [anon_sym_symbol] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2866),
    [anon_sym_interface] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_component] = ACTIONS(2866),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2870),
    [anon_sym_export] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2872),
    [anon_sym_type] = ACTIONS(2870),
    [anon_sym_typeof] = ACTIONS(2870),
    [anon_sym_import] = ACTIONS(2870),
    [anon_sym_var] = ACTIONS(2870),
    [anon_sym_let] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_await] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_debugger] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LTtemplate_GT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_async] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_void] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2872),
    [sym_number] = ACTIONS(2872),
    [sym_this] = ACTIONS(2870),
    [sym_super] = ACTIONS(2870),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [sym_null] = ACTIONS(2870),
    [sym_undefined] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_readonly] = ACTIONS(2870),
    [anon_sym_get] = ACTIONS(2870),
    [anon_sym_set] = ACTIONS(2870),
    [anon_sym_declare] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_public] = ACTIONS(2870),
    [anon_sym_private] = ACTIONS(2870),
    [anon_sym_protected] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2870),
    [anon_sym_module] = ACTIONS(2870),
    [anon_sym_any] = ACTIONS(2870),
    [anon_sym_number] = ACTIONS(2870),
    [anon_sym_boolean] = ACTIONS(2870),
    [anon_sym_string] = ACTIONS(2870),
    [anon_sym_symbol] = ACTIONS(2870),
    [anon_sym_abstract] = ACTIONS(2870),
    [anon_sym_interface] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_component] = ACTIONS(2870),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_export] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2876),
    [anon_sym_type] = ACTIONS(2874),
    [anon_sym_typeof] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_await] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_debugger] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LTtemplate_GT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_SLASH] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_void] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2876),
    [sym_number] = ACTIONS(2876),
    [sym_this] = ACTIONS(2874),
    [sym_super] = ACTIONS(2874),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [sym_null] = ACTIONS(2874),
    [sym_undefined] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_readonly] = ACTIONS(2874),
    [anon_sym_get] = ACTIONS(2874),
    [anon_sym_set] = ACTIONS(2874),
    [anon_sym_declare] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_protected] = ACTIONS(2874),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_module] = ACTIONS(2874),
    [anon_sym_any] = ACTIONS(2874),
    [anon_sym_number] = ACTIONS(2874),
    [anon_sym_boolean] = ACTIONS(2874),
    [anon_sym_string] = ACTIONS(2874),
    [anon_sym_symbol] = ACTIONS(2874),
    [anon_sym_abstract] = ACTIONS(2874),
    [anon_sym_interface] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_component] = ACTIONS(2874),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2878),
    [anon_sym_export] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2880),
    [anon_sym_type] = ACTIONS(2878),
    [anon_sym_typeof] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_await] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_debugger] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LTtemplate_GT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_void] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2880),
    [sym_number] = ACTIONS(2880),
    [sym_this] = ACTIONS(2878),
    [sym_super] = ACTIONS(2878),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [sym_null] = ACTIONS(2878),
    [sym_undefined] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_readonly] = ACTIONS(2878),
    [anon_sym_get] = ACTIONS(2878),
    [anon_sym_set] = ACTIONS(2878),
    [anon_sym_declare] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_protected] = ACTIONS(2878),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_module] = ACTIONS(2878),
    [anon_sym_any] = ACTIONS(2878),
    [anon_sym_number] = ACTIONS(2878),
    [anon_sym_boolean] = ACTIONS(2878),
    [anon_sym_string] = ACTIONS(2878),
    [anon_sym_symbol] = ACTIONS(2878),
    [anon_sym_abstract] = ACTIONS(2878),
    [anon_sym_interface] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_component] = ACTIONS(2878),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [793] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2884),
    [anon_sym_typeof] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2884),
    [sym_number] = ACTIONS(2884),
    [sym_this] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [sym_null] = ACTIONS(2882),
    [sym_undefined] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_readonly] = ACTIONS(2882),
    [anon_sym_get] = ACTIONS(2882),
    [anon_sym_set] = ACTIONS(2882),
    [anon_sym_QMARK] = ACTIONS(2882),
    [anon_sym_any] = ACTIONS(2882),
    [anon_sym_number] = ACTIONS(2882),
    [anon_sym_boolean] = ACTIONS(2882),
    [anon_sym_string] = ACTIONS(2882),
    [anon_sym_symbol] = ACTIONS(2882),
    [anon_sym_abstract] = ACTIONS(2882),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2882),
    [anon_sym_keyof] = ACTIONS(2882),
    [anon_sym_unknown] = ACTIONS(2882),
    [anon_sym_never] = ACTIONS(2882),
    [anon_sym_object] = ACTIONS(2882),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2884),
    [anon_sym_constructor] = ACTIONS(2882),
    [anon_sym_prop] = ACTIONS(2882),
    [anon_sym_id] = ACTIONS(2882),
    [anon_sym_event] = ACTIONS(2882),
    [anon_sym_fn] = ACTIONS(2882),
    [anon_sym_on] = ACTIONS(2882),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_export] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2886),
    [anon_sym_typeof] = ACTIONS(2886),
    [anon_sym_import] = ACTIONS(2886),
    [anon_sym_var] = ACTIONS(2886),
    [anon_sym_let] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_await] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_debugger] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LTtemplate_GT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_SLASH] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_void] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2888),
    [sym_number] = ACTIONS(2888),
    [sym_this] = ACTIONS(2886),
    [sym_super] = ACTIONS(2886),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [sym_null] = ACTIONS(2886),
    [sym_undefined] = ACTIONS(2886),
    [anon_sym_AT] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_readonly] = ACTIONS(2886),
    [anon_sym_get] = ACTIONS(2886),
    [anon_sym_set] = ACTIONS(2886),
    [anon_sym_declare] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_public] = ACTIONS(2886),
    [anon_sym_private] = ACTIONS(2886),
    [anon_sym_protected] = ACTIONS(2886),
    [anon_sym_override] = ACTIONS(2886),
    [anon_sym_module] = ACTIONS(2886),
    [anon_sym_any] = ACTIONS(2886),
    [anon_sym_number] = ACTIONS(2886),
    [anon_sym_boolean] = ACTIONS(2886),
    [anon_sym_string] = ACTIONS(2886),
    [anon_sym_symbol] = ACTIONS(2886),
    [anon_sym_abstract] = ACTIONS(2886),
    [anon_sym_interface] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [anon_sym_component] = ACTIONS(2886),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2890),
    [anon_sym_export] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_type] = ACTIONS(2890),
    [anon_sym_typeof] = ACTIONS(2890),
    [anon_sym_import] = ACTIONS(2890),
    [anon_sym_var] = ACTIONS(2890),
    [anon_sym_let] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2890),
    [anon_sym_if] = ACTIONS(2890),
    [anon_sym_switch] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2890),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_await] = ACTIONS(2890),
    [anon_sym_while] = ACTIONS(2890),
    [anon_sym_do] = ACTIONS(2890),
    [anon_sym_try] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2890),
    [anon_sym_break] = ACTIONS(2890),
    [anon_sym_continue] = ACTIONS(2890),
    [anon_sym_debugger] = ACTIONS(2890),
    [anon_sym_return] = ACTIONS(2890),
    [anon_sym_throw] = ACTIONS(2890),
    [anon_sym_SEMI] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2890),
    [anon_sym_default] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2890),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LTtemplate_GT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_class] = ACTIONS(2890),
    [anon_sym_async] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2892),
    [anon_sym_void] = ACTIONS(2890),
    [anon_sym_delete] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_SQUOTE] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2892),
    [sym_number] = ACTIONS(2892),
    [sym_this] = ACTIONS(2890),
    [sym_super] = ACTIONS(2890),
    [sym_true] = ACTIONS(2890),
    [sym_false] = ACTIONS(2890),
    [sym_null] = ACTIONS(2890),
    [sym_undefined] = ACTIONS(2890),
    [anon_sym_AT] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2890),
    [anon_sym_readonly] = ACTIONS(2890),
    [anon_sym_get] = ACTIONS(2890),
    [anon_sym_set] = ACTIONS(2890),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_namespace] = ACTIONS(2890),
    [anon_sym_public] = ACTIONS(2890),
    [anon_sym_private] = ACTIONS(2890),
    [anon_sym_protected] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2890),
    [anon_sym_any] = ACTIONS(2890),
    [anon_sym_number] = ACTIONS(2890),
    [anon_sym_boolean] = ACTIONS(2890),
    [anon_sym_string] = ACTIONS(2890),
    [anon_sym_symbol] = ACTIONS(2890),
    [anon_sym_abstract] = ACTIONS(2890),
    [anon_sym_interface] = ACTIONS(2890),
    [anon_sym_enum] = ACTIONS(2890),
    [anon_sym_component] = ACTIONS(2890),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2894),
    [anon_sym_export] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2894),
    [anon_sym_typeof] = ACTIONS(2894),
    [anon_sym_import] = ACTIONS(2894),
    [anon_sym_var] = ACTIONS(2894),
    [anon_sym_let] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_await] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_debugger] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LTtemplate_GT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_async] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_void] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2896),
    [sym_number] = ACTIONS(2896),
    [sym_this] = ACTIONS(2894),
    [sym_super] = ACTIONS(2894),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [sym_null] = ACTIONS(2894),
    [sym_undefined] = ACTIONS(2894),
    [anon_sym_AT] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_readonly] = ACTIONS(2894),
    [anon_sym_get] = ACTIONS(2894),
    [anon_sym_set] = ACTIONS(2894),
    [anon_sym_declare] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_any] = ACTIONS(2894),
    [anon_sym_number] = ACTIONS(2894),
    [anon_sym_boolean] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_symbol] = ACTIONS(2894),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_interface] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_component] = ACTIONS(2894),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2898),
    [anon_sym_export] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_type] = ACTIONS(2898),
    [anon_sym_typeof] = ACTIONS(2898),
    [anon_sym_import] = ACTIONS(2898),
    [anon_sym_var] = ACTIONS(2898),
    [anon_sym_let] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_await] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_debugger] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LTtemplate_GT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_async] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_void] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2900),
    [sym_number] = ACTIONS(2900),
    [sym_this] = ACTIONS(2898),
    [sym_super] = ACTIONS(2898),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [sym_null] = ACTIONS(2898),
    [sym_undefined] = ACTIONS(2898),
    [anon_sym_AT] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_readonly] = ACTIONS(2898),
    [anon_sym_get] = ACTIONS(2898),
    [anon_sym_set] = ACTIONS(2898),
    [anon_sym_declare] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_public] = ACTIONS(2898),
    [anon_sym_private] = ACTIONS(2898),
    [anon_sym_protected] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2898),
    [anon_sym_module] = ACTIONS(2898),
    [anon_sym_any] = ACTIONS(2898),
    [anon_sym_number] = ACTIONS(2898),
    [anon_sym_boolean] = ACTIONS(2898),
    [anon_sym_string] = ACTIONS(2898),
    [anon_sym_symbol] = ACTIONS(2898),
    [anon_sym_abstract] = ACTIONS(2898),
    [anon_sym_interface] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_component] = ACTIONS(2898),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_LTtemplate_GT] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_export] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_type] = ACTIONS(2902),
    [anon_sym_typeof] = ACTIONS(2902),
    [anon_sym_import] = ACTIONS(2902),
    [anon_sym_var] = ACTIONS(2902),
    [anon_sym_let] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_await] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_debugger] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LTtemplate_GT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_void] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2904),
    [sym_number] = ACTIONS(2904),
    [sym_this] = ACTIONS(2902),
    [sym_super] = ACTIONS(2902),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [sym_null] = ACTIONS(2902),
    [sym_undefined] = ACTIONS(2902),
    [anon_sym_AT] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_readonly] = ACTIONS(2902),
    [anon_sym_get] = ACTIONS(2902),
    [anon_sym_set] = ACTIONS(2902),
    [anon_sym_declare] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_public] = ACTIONS(2902),
    [anon_sym_private] = ACTIONS(2902),
    [anon_sym_protected] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2902),
    [anon_sym_module] = ACTIONS(2902),
    [anon_sym_any] = ACTIONS(2902),
    [anon_sym_number] = ACTIONS(2902),
    [anon_sym_boolean] = ACTIONS(2902),
    [anon_sym_string] = ACTIONS(2902),
    [anon_sym_symbol] = ACTIONS(2902),
    [anon_sym_abstract] = ACTIONS(2902),
    [anon_sym_interface] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [anon_sym_component] = ACTIONS(2902),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_export] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2908),
    [anon_sym_type] = ACTIONS(2906),
    [anon_sym_typeof] = ACTIONS(2906),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_var] = ACTIONS(2906),
    [anon_sym_let] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_await] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_debugger] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LTtemplate_GT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_async] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_void] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2908),
    [sym_number] = ACTIONS(2908),
    [sym_this] = ACTIONS(2906),
    [sym_super] = ACTIONS(2906),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [sym_null] = ACTIONS(2906),
    [sym_undefined] = ACTIONS(2906),
    [anon_sym_AT] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_readonly] = ACTIONS(2906),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_declare] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_public] = ACTIONS(2906),
    [anon_sym_private] = ACTIONS(2906),
    [anon_sym_protected] = ACTIONS(2906),
    [anon_sym_override] = ACTIONS(2906),
    [anon_sym_module] = ACTIONS(2906),
    [anon_sym_any] = ACTIONS(2906),
    [anon_sym_number] = ACTIONS(2906),
    [anon_sym_boolean] = ACTIONS(2906),
    [anon_sym_string] = ACTIONS(2906),
    [anon_sym_symbol] = ACTIONS(2906),
    [anon_sym_abstract] = ACTIONS(2906),
    [anon_sym_interface] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [anon_sym_component] = ACTIONS(2906),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_RBRACE] = ACTIONS(2912),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_typeof] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_const] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_switch] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_await] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2910),
    [anon_sym_break] = ACTIONS(2910),
    [anon_sym_continue] = ACTIONS(2910),
    [anon_sym_debugger] = ACTIONS(2910),
    [anon_sym_return] = ACTIONS(2910),
    [anon_sym_throw] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_default] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LTtemplate_GT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_SLASH] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2912),
    [anon_sym_void] = ACTIONS(2910),
    [anon_sym_delete] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_SQUOTE] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2912),
    [sym_number] = ACTIONS(2912),
    [sym_this] = ACTIONS(2910),
    [sym_super] = ACTIONS(2910),
    [sym_true] = ACTIONS(2910),
    [sym_false] = ACTIONS(2910),
    [sym_null] = ACTIONS(2910),
    [sym_undefined] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_readonly] = ACTIONS(2910),
    [anon_sym_get] = ACTIONS(2910),
    [anon_sym_set] = ACTIONS(2910),
    [anon_sym_declare] = ACTIONS(2910),
    [anon_sym_namespace] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_protected] = ACTIONS(2910),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_module] = ACTIONS(2910),
    [anon_sym_any] = ACTIONS(2910),
    [anon_sym_number] = ACTIONS(2910),
    [anon_sym_boolean] = ACTIONS(2910),
    [anon_sym_string] = ACTIONS(2910),
    [anon_sym_symbol] = ACTIONS(2910),
    [anon_sym_abstract] = ACTIONS(2910),
    [anon_sym_interface] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_component] = ACTIONS(2910),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2914),
    [anon_sym_export] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_RBRACE] = ACTIONS(2916),
    [anon_sym_type] = ACTIONS(2914),
    [anon_sym_typeof] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_const] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2914),
    [anon_sym_if] = ACTIONS(2914),
    [anon_sym_switch] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_await] = ACTIONS(2914),
    [anon_sym_while] = ACTIONS(2914),
    [anon_sym_do] = ACTIONS(2914),
    [anon_sym_try] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2914),
    [anon_sym_break] = ACTIONS(2914),
    [anon_sym_continue] = ACTIONS(2914),
    [anon_sym_debugger] = ACTIONS(2914),
    [anon_sym_return] = ACTIONS(2914),
    [anon_sym_throw] = ACTIONS(2914),
    [anon_sym_SEMI] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_default] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2914),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LTtemplate_GT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_SLASH] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2916),
    [anon_sym_void] = ACTIONS(2914),
    [anon_sym_delete] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_SQUOTE] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2916),
    [sym_number] = ACTIONS(2916),
    [sym_this] = ACTIONS(2914),
    [sym_super] = ACTIONS(2914),
    [sym_true] = ACTIONS(2914),
    [sym_false] = ACTIONS(2914),
    [sym_null] = ACTIONS(2914),
    [sym_undefined] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_readonly] = ACTIONS(2914),
    [anon_sym_get] = ACTIONS(2914),
    [anon_sym_set] = ACTIONS(2914),
    [anon_sym_declare] = ACTIONS(2914),
    [anon_sym_namespace] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_protected] = ACTIONS(2914),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_module] = ACTIONS(2914),
    [anon_sym_any] = ACTIONS(2914),
    [anon_sym_number] = ACTIONS(2914),
    [anon_sym_boolean] = ACTIONS(2914),
    [anon_sym_string] = ACTIONS(2914),
    [anon_sym_symbol] = ACTIONS(2914),
    [anon_sym_abstract] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_component] = ACTIONS(2914),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2918),
    [anon_sym_export] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2918),
    [anon_sym_typeof] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_switch] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_await] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_do] = ACTIONS(2918),
    [anon_sym_try] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_continue] = ACTIONS(2918),
    [anon_sym_debugger] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_throw] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_default] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LTtemplate_GT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_SLASH] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_void] = ACTIONS(2918),
    [anon_sym_delete] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_SQUOTE] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2920),
    [sym_number] = ACTIONS(2920),
    [sym_this] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_null] = ACTIONS(2918),
    [sym_undefined] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_readonly] = ACTIONS(2918),
    [anon_sym_get] = ACTIONS(2918),
    [anon_sym_set] = ACTIONS(2918),
    [anon_sym_declare] = ACTIONS(2918),
    [anon_sym_namespace] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_protected] = ACTIONS(2918),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_any] = ACTIONS(2918),
    [anon_sym_number] = ACTIONS(2918),
    [anon_sym_boolean] = ACTIONS(2918),
    [anon_sym_string] = ACTIONS(2918),
    [anon_sym_symbol] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2918),
    [anon_sym_interface] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [anon_sym_component] = ACTIONS(2918),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_export] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_import] = ACTIONS(2922),
    [anon_sym_var] = ACTIONS(2922),
    [anon_sym_let] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2922),
    [anon_sym_if] = ACTIONS(2922),
    [anon_sym_switch] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2922),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_await] = ACTIONS(2922),
    [anon_sym_while] = ACTIONS(2922),
    [anon_sym_do] = ACTIONS(2922),
    [anon_sym_try] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2922),
    [anon_sym_break] = ACTIONS(2922),
    [anon_sym_continue] = ACTIONS(2922),
    [anon_sym_debugger] = ACTIONS(2922),
    [anon_sym_return] = ACTIONS(2922),
    [anon_sym_throw] = ACTIONS(2922),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2922),
    [anon_sym_default] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LTtemplate_GT] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_SLASH] = ACTIONS(2922),
    [anon_sym_class] = ACTIONS(2922),
    [anon_sym_async] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2924),
    [anon_sym_void] = ACTIONS(2922),
    [anon_sym_delete] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_DQUOTE] = ACTIONS(2924),
    [anon_sym_SQUOTE] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2924),
    [sym_number] = ACTIONS(2924),
    [sym_this] = ACTIONS(2922),
    [sym_super] = ACTIONS(2922),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [sym_null] = ACTIONS(2922),
    [sym_undefined] = ACTIONS(2922),
    [anon_sym_AT] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_readonly] = ACTIONS(2922),
    [anon_sym_get] = ACTIONS(2922),
    [anon_sym_set] = ACTIONS(2922),
    [anon_sym_declare] = ACTIONS(2922),
    [anon_sym_namespace] = ACTIONS(2922),
    [anon_sym_public] = ACTIONS(2922),
    [anon_sym_private] = ACTIONS(2922),
    [anon_sym_protected] = ACTIONS(2922),
    [anon_sym_override] = ACTIONS(2922),
    [anon_sym_module] = ACTIONS(2922),
    [anon_sym_any] = ACTIONS(2922),
    [anon_sym_number] = ACTIONS(2922),
    [anon_sym_boolean] = ACTIONS(2922),
    [anon_sym_string] = ACTIONS(2922),
    [anon_sym_symbol] = ACTIONS(2922),
    [anon_sym_abstract] = ACTIONS(2922),
    [anon_sym_interface] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_component] = ACTIONS(2922),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2926),
    [anon_sym_export] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_type] = ACTIONS(2926),
    [anon_sym_typeof] = ACTIONS(2926),
    [anon_sym_import] = ACTIONS(2926),
    [anon_sym_var] = ACTIONS(2926),
    [anon_sym_let] = ACTIONS(2926),
    [anon_sym_const] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_else] = ACTIONS(2926),
    [anon_sym_if] = ACTIONS(2926),
    [anon_sym_switch] = ACTIONS(2926),
    [anon_sym_for] = ACTIONS(2926),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_await] = ACTIONS(2926),
    [anon_sym_while] = ACTIONS(2926),
    [anon_sym_do] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2926),
    [anon_sym_with] = ACTIONS(2926),
    [anon_sym_break] = ACTIONS(2926),
    [anon_sym_continue] = ACTIONS(2926),
    [anon_sym_debugger] = ACTIONS(2926),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2926),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2926),
    [anon_sym_default] = ACTIONS(2926),
    [anon_sym_yield] = ACTIONS(2926),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_LTtemplate_GT] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_class] = ACTIONS(2926),
    [anon_sym_async] = ACTIONS(2926),
    [anon_sym_function] = ACTIONS(2926),
    [anon_sym_new] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_void] = ACTIONS(2926),
    [anon_sym_delete] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2928),
    [sym_number] = ACTIONS(2928),
    [sym_this] = ACTIONS(2926),
    [sym_super] = ACTIONS(2926),
    [sym_true] = ACTIONS(2926),
    [sym_false] = ACTIONS(2926),
    [sym_null] = ACTIONS(2926),
    [sym_undefined] = ACTIONS(2926),
    [anon_sym_AT] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2926),
    [anon_sym_readonly] = ACTIONS(2926),
    [anon_sym_get] = ACTIONS(2926),
    [anon_sym_set] = ACTIONS(2926),
    [anon_sym_declare] = ACTIONS(2926),
    [anon_sym_namespace] = ACTIONS(2926),
    [anon_sym_public] = ACTIONS(2926),
    [anon_sym_private] = ACTIONS(2926),
    [anon_sym_protected] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2926),
    [anon_sym_module] = ACTIONS(2926),
    [anon_sym_any] = ACTIONS(2926),
    [anon_sym_number] = ACTIONS(2926),
    [anon_sym_boolean] = ACTIONS(2926),
    [anon_sym_string] = ACTIONS(2926),
    [anon_sym_symbol] = ACTIONS(2926),
    [anon_sym_abstract] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2926),
    [anon_sym_enum] = ACTIONS(2926),
    [anon_sym_component] = ACTIONS(2926),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2930),
    [anon_sym_export] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_type] = ACTIONS(2930),
    [anon_sym_typeof] = ACTIONS(2930),
    [anon_sym_import] = ACTIONS(2930),
    [anon_sym_var] = ACTIONS(2930),
    [anon_sym_let] = ACTIONS(2930),
    [anon_sym_const] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2932),
    [anon_sym_else] = ACTIONS(2930),
    [anon_sym_if] = ACTIONS(2930),
    [anon_sym_switch] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2930),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_await] = ACTIONS(2930),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_try] = ACTIONS(2930),
    [anon_sym_with] = ACTIONS(2930),
    [anon_sym_break] = ACTIONS(2930),
    [anon_sym_continue] = ACTIONS(2930),
    [anon_sym_debugger] = ACTIONS(2930),
    [anon_sym_return] = ACTIONS(2930),
    [anon_sym_throw] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2930),
    [anon_sym_default] = ACTIONS(2930),
    [anon_sym_yield] = ACTIONS(2930),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_LTtemplate_GT] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_function] = ACTIONS(2930),
    [anon_sym_new] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2932),
    [anon_sym_void] = ACTIONS(2930),
    [anon_sym_delete] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_DQUOTE] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2932),
    [sym_number] = ACTIONS(2932),
    [sym_this] = ACTIONS(2930),
    [sym_super] = ACTIONS(2930),
    [sym_true] = ACTIONS(2930),
    [sym_false] = ACTIONS(2930),
    [sym_null] = ACTIONS(2930),
    [sym_undefined] = ACTIONS(2930),
    [anon_sym_AT] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2930),
    [anon_sym_readonly] = ACTIONS(2930),
    [anon_sym_get] = ACTIONS(2930),
    [anon_sym_set] = ACTIONS(2930),
    [anon_sym_declare] = ACTIONS(2930),
    [anon_sym_namespace] = ACTIONS(2930),
    [anon_sym_public] = ACTIONS(2930),
    [anon_sym_private] = ACTIONS(2930),
    [anon_sym_protected] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2930),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_any] = ACTIONS(2930),
    [anon_sym_number] = ACTIONS(2930),
    [anon_sym_boolean] = ACTIONS(2930),
    [anon_sym_string] = ACTIONS(2930),
    [anon_sym_symbol] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2930),
    [anon_sym_interface] = ACTIONS(2930),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_component] = ACTIONS(2930),
  },
  [809] = {
    [sym__call_signature] = STATE(4746),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_export] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_of] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2836),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(2840),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_readonly] = ACTIONS(2836),
    [anon_sym_get] = ACTIONS(2836),
    [anon_sym_set] = ACTIONS(2836),
    [anon_sym_declare] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_override] = ACTIONS(2836),
    [anon_sym_module] = ACTIONS(2836),
    [anon_sym_any] = ACTIONS(2836),
    [anon_sym_number] = ACTIONS(2836),
    [anon_sym_boolean] = ACTIONS(2836),
    [anon_sym_string] = ACTIONS(2836),
    [anon_sym_symbol] = ACTIONS(2836),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2930),
    [anon_sym_export] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_type] = ACTIONS(2930),
    [anon_sym_typeof] = ACTIONS(2930),
    [anon_sym_import] = ACTIONS(2930),
    [anon_sym_var] = ACTIONS(2930),
    [anon_sym_let] = ACTIONS(2930),
    [anon_sym_const] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2932),
    [anon_sym_else] = ACTIONS(2930),
    [anon_sym_if] = ACTIONS(2930),
    [anon_sym_switch] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2930),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_await] = ACTIONS(2930),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_try] = ACTIONS(2930),
    [anon_sym_with] = ACTIONS(2930),
    [anon_sym_break] = ACTIONS(2930),
    [anon_sym_continue] = ACTIONS(2930),
    [anon_sym_debugger] = ACTIONS(2930),
    [anon_sym_return] = ACTIONS(2930),
    [anon_sym_throw] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2930),
    [anon_sym_default] = ACTIONS(2930),
    [anon_sym_yield] = ACTIONS(2930),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_LTtemplate_GT] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_function] = ACTIONS(2930),
    [anon_sym_new] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2932),
    [anon_sym_void] = ACTIONS(2930),
    [anon_sym_delete] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_DQUOTE] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2932),
    [sym_number] = ACTIONS(2932),
    [sym_this] = ACTIONS(2930),
    [sym_super] = ACTIONS(2930),
    [sym_true] = ACTIONS(2930),
    [sym_false] = ACTIONS(2930),
    [sym_null] = ACTIONS(2930),
    [sym_undefined] = ACTIONS(2930),
    [anon_sym_AT] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2930),
    [anon_sym_readonly] = ACTIONS(2930),
    [anon_sym_get] = ACTIONS(2930),
    [anon_sym_set] = ACTIONS(2930),
    [anon_sym_declare] = ACTIONS(2930),
    [anon_sym_namespace] = ACTIONS(2930),
    [anon_sym_public] = ACTIONS(2930),
    [anon_sym_private] = ACTIONS(2930),
    [anon_sym_protected] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2930),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_any] = ACTIONS(2930),
    [anon_sym_number] = ACTIONS(2930),
    [anon_sym_boolean] = ACTIONS(2930),
    [anon_sym_string] = ACTIONS(2930),
    [anon_sym_symbol] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2930),
    [anon_sym_interface] = ACTIONS(2930),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_component] = ACTIONS(2930),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2930),
    [anon_sym_export] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_type] = ACTIONS(2930),
    [anon_sym_typeof] = ACTIONS(2930),
    [anon_sym_import] = ACTIONS(2930),
    [anon_sym_var] = ACTIONS(2930),
    [anon_sym_let] = ACTIONS(2930),
    [anon_sym_const] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2932),
    [anon_sym_else] = ACTIONS(2930),
    [anon_sym_if] = ACTIONS(2930),
    [anon_sym_switch] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2930),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_await] = ACTIONS(2930),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_try] = ACTIONS(2930),
    [anon_sym_with] = ACTIONS(2930),
    [anon_sym_break] = ACTIONS(2930),
    [anon_sym_continue] = ACTIONS(2930),
    [anon_sym_debugger] = ACTIONS(2930),
    [anon_sym_return] = ACTIONS(2930),
    [anon_sym_throw] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2930),
    [anon_sym_default] = ACTIONS(2930),
    [anon_sym_yield] = ACTIONS(2930),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_LTtemplate_GT] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_function] = ACTIONS(2930),
    [anon_sym_new] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2932),
    [anon_sym_void] = ACTIONS(2930),
    [anon_sym_delete] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_DQUOTE] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2932),
    [sym_number] = ACTIONS(2932),
    [sym_this] = ACTIONS(2930),
    [sym_super] = ACTIONS(2930),
    [sym_true] = ACTIONS(2930),
    [sym_false] = ACTIONS(2930),
    [sym_null] = ACTIONS(2930),
    [sym_undefined] = ACTIONS(2930),
    [anon_sym_AT] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2930),
    [anon_sym_readonly] = ACTIONS(2930),
    [anon_sym_get] = ACTIONS(2930),
    [anon_sym_set] = ACTIONS(2930),
    [anon_sym_declare] = ACTIONS(2930),
    [anon_sym_namespace] = ACTIONS(2930),
    [anon_sym_public] = ACTIONS(2930),
    [anon_sym_private] = ACTIONS(2930),
    [anon_sym_protected] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2930),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_any] = ACTIONS(2930),
    [anon_sym_number] = ACTIONS(2930),
    [anon_sym_boolean] = ACTIONS(2930),
    [anon_sym_string] = ACTIONS(2930),
    [anon_sym_symbol] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2930),
    [anon_sym_interface] = ACTIONS(2930),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_component] = ACTIONS(2930),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_LBRACE] = ACTIONS(2936),
    [anon_sym_RBRACE] = ACTIONS(2936),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_typeof] = ACTIONS(2934),
    [anon_sym_import] = ACTIONS(2934),
    [anon_sym_var] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_const] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2936),
    [anon_sym_else] = ACTIONS(2934),
    [anon_sym_if] = ACTIONS(2934),
    [anon_sym_switch] = ACTIONS(2934),
    [anon_sym_for] = ACTIONS(2934),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_await] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2934),
    [anon_sym_do] = ACTIONS(2934),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_with] = ACTIONS(2934),
    [anon_sym_break] = ACTIONS(2934),
    [anon_sym_continue] = ACTIONS(2934),
    [anon_sym_debugger] = ACTIONS(2934),
    [anon_sym_return] = ACTIONS(2934),
    [anon_sym_throw] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2934),
    [anon_sym_default] = ACTIONS(2934),
    [anon_sym_yield] = ACTIONS(2934),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_LTtemplate_GT] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_SLASH] = ACTIONS(2934),
    [anon_sym_class] = ACTIONS(2934),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_function] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2936),
    [anon_sym_void] = ACTIONS(2934),
    [anon_sym_delete] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2936),
    [anon_sym_DQUOTE] = ACTIONS(2936),
    [anon_sym_SQUOTE] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2936),
    [sym_number] = ACTIONS(2936),
    [sym_this] = ACTIONS(2934),
    [sym_super] = ACTIONS(2934),
    [sym_true] = ACTIONS(2934),
    [sym_false] = ACTIONS(2934),
    [sym_null] = ACTIONS(2934),
    [sym_undefined] = ACTIONS(2934),
    [anon_sym_AT] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_abstract] = ACTIONS(2934),
    [anon_sym_interface] = ACTIONS(2934),
    [anon_sym_enum] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
  },
  [813] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1376),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_QMARK_DOT] = ACTIONS(1380),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1376),
    [anon_sym_GT_GT_GT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_STAR_STAR] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_QMARK_QMARK] = ACTIONS(1380),
    [anon_sym_instanceof] = ACTIONS(1376),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_satisfies] = ACTIONS(1376),
    [anon_sym_infer] = ACTIONS(1374),
    [anon_sym_keyof] = ACTIONS(1374),
    [anon_sym_unknown] = ACTIONS(1374),
    [anon_sym_never] = ACTIONS(1374),
    [anon_sym_object] = ACTIONS(1374),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1378),
    [anon_sym_constructor] = ACTIONS(1374),
    [anon_sym_prop] = ACTIONS(1374),
    [anon_sym_id] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_on] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(2938),
    [sym__ternary_qmark] = ACTIONS(1380),
  },
  [814] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2940),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_typeof] = ACTIONS(2940),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2940),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2940),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2942),
    [sym_number] = ACTIONS(2942),
    [sym_this] = ACTIONS(2940),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [sym_null] = ACTIONS(2940),
    [sym_undefined] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_readonly] = ACTIONS(2940),
    [anon_sym_get] = ACTIONS(2940),
    [anon_sym_set] = ACTIONS(2940),
    [anon_sym_QMARK] = ACTIONS(2940),
    [anon_sym_any] = ACTIONS(2940),
    [anon_sym_number] = ACTIONS(2940),
    [anon_sym_boolean] = ACTIONS(2940),
    [anon_sym_string] = ACTIONS(2940),
    [anon_sym_symbol] = ACTIONS(2940),
    [anon_sym_abstract] = ACTIONS(2940),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2940),
    [anon_sym_keyof] = ACTIONS(2940),
    [anon_sym_unknown] = ACTIONS(2940),
    [anon_sym_never] = ACTIONS(2940),
    [anon_sym_object] = ACTIONS(2940),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2942),
    [anon_sym_constructor] = ACTIONS(2940),
    [anon_sym_prop] = ACTIONS(2940),
    [anon_sym_id] = ACTIONS(2940),
    [anon_sym_event] = ACTIONS(2940),
    [anon_sym_fn] = ACTIONS(2940),
    [anon_sym_on] = ACTIONS(2940),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_export] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_type] = ACTIONS(2944),
    [anon_sym_typeof] = ACTIONS(2944),
    [anon_sym_import] = ACTIONS(2944),
    [anon_sym_var] = ACTIONS(2944),
    [anon_sym_let] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(2946),
    [anon_sym_await] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_with] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_debugger] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_yield] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2946),
    [anon_sym_LTtemplate_GT] = ACTIONS(2946),
    [anon_sym_LT] = ACTIONS(2944),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_async] = ACTIONS(2944),
    [anon_sym_function] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_AMP] = ACTIONS(2946),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_void] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2946),
    [sym_number] = ACTIONS(2946),
    [sym_this] = ACTIONS(2944),
    [sym_super] = ACTIONS(2944),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [sym_null] = ACTIONS(2944),
    [sym_undefined] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2946),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_readonly] = ACTIONS(2944),
    [anon_sym_get] = ACTIONS(2944),
    [anon_sym_set] = ACTIONS(2944),
    [anon_sym_declare] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_override] = ACTIONS(2944),
    [anon_sym_module] = ACTIONS(2944),
    [anon_sym_any] = ACTIONS(2944),
    [anon_sym_number] = ACTIONS(2944),
    [anon_sym_boolean] = ACTIONS(2944),
    [anon_sym_string] = ACTIONS(2944),
    [anon_sym_symbol] = ACTIONS(2944),
    [anon_sym_abstract] = ACTIONS(2944),
    [anon_sym_interface] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_component] = ACTIONS(2944),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_LBRACE] = ACTIONS(2936),
    [anon_sym_RBRACE] = ACTIONS(2936),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_typeof] = ACTIONS(2934),
    [anon_sym_import] = ACTIONS(2934),
    [anon_sym_var] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_const] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2936),
    [anon_sym_else] = ACTIONS(2934),
    [anon_sym_if] = ACTIONS(2934),
    [anon_sym_switch] = ACTIONS(2934),
    [anon_sym_for] = ACTIONS(2934),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_await] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2934),
    [anon_sym_do] = ACTIONS(2934),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_with] = ACTIONS(2934),
    [anon_sym_break] = ACTIONS(2934),
    [anon_sym_continue] = ACTIONS(2934),
    [anon_sym_debugger] = ACTIONS(2934),
    [anon_sym_return] = ACTIONS(2934),
    [anon_sym_throw] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2934),
    [anon_sym_default] = ACTIONS(2934),
    [anon_sym_yield] = ACTIONS(2934),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_LTtemplate_GT] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_SLASH] = ACTIONS(2934),
    [anon_sym_class] = ACTIONS(2934),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_function] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2936),
    [anon_sym_void] = ACTIONS(2934),
    [anon_sym_delete] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2936),
    [anon_sym_DQUOTE] = ACTIONS(2936),
    [anon_sym_SQUOTE] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2936),
    [sym_number] = ACTIONS(2936),
    [sym_this] = ACTIONS(2934),
    [sym_super] = ACTIONS(2934),
    [sym_true] = ACTIONS(2934),
    [sym_false] = ACTIONS(2934),
    [sym_null] = ACTIONS(2934),
    [sym_undefined] = ACTIONS(2934),
    [anon_sym_AT] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_abstract] = ACTIONS(2934),
    [anon_sym_interface] = ACTIONS(2934),
    [anon_sym_enum] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [819] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_typeof] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2948),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2948),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2950),
    [sym_number] = ACTIONS(2950),
    [sym_this] = ACTIONS(2948),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [sym_null] = ACTIONS(2948),
    [sym_undefined] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_readonly] = ACTIONS(2948),
    [anon_sym_get] = ACTIONS(2948),
    [anon_sym_set] = ACTIONS(2948),
    [anon_sym_QMARK] = ACTIONS(2948),
    [anon_sym_any] = ACTIONS(2948),
    [anon_sym_number] = ACTIONS(2948),
    [anon_sym_boolean] = ACTIONS(2948),
    [anon_sym_string] = ACTIONS(2948),
    [anon_sym_symbol] = ACTIONS(2948),
    [anon_sym_abstract] = ACTIONS(2948),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2948),
    [anon_sym_keyof] = ACTIONS(2948),
    [anon_sym_unknown] = ACTIONS(2948),
    [anon_sym_never] = ACTIONS(2948),
    [anon_sym_object] = ACTIONS(2948),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2950),
    [anon_sym_constructor] = ACTIONS(2948),
    [anon_sym_prop] = ACTIONS(2948),
    [anon_sym_id] = ACTIONS(2948),
    [anon_sym_event] = ACTIONS(2948),
    [anon_sym_fn] = ACTIONS(2948),
    [anon_sym_on] = ACTIONS(2948),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2952),
    [anon_sym_export] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_type] = ACTIONS(2952),
    [anon_sym_typeof] = ACTIONS(2952),
    [anon_sym_import] = ACTIONS(2952),
    [anon_sym_var] = ACTIONS(2952),
    [anon_sym_let] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_LPAREN] = ACTIONS(2954),
    [anon_sym_await] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_with] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_debugger] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_yield] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2954),
    [anon_sym_LTtemplate_GT] = ACTIONS(2954),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_SLASH] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_async] = ACTIONS(2952),
    [anon_sym_function] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_void] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2954),
    [sym_number] = ACTIONS(2954),
    [sym_this] = ACTIONS(2952),
    [sym_super] = ACTIONS(2952),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [sym_null] = ACTIONS(2952),
    [sym_undefined] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(2954),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_readonly] = ACTIONS(2952),
    [anon_sym_get] = ACTIONS(2952),
    [anon_sym_set] = ACTIONS(2952),
    [anon_sym_declare] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_public] = ACTIONS(2952),
    [anon_sym_private] = ACTIONS(2952),
    [anon_sym_protected] = ACTIONS(2952),
    [anon_sym_override] = ACTIONS(2952),
    [anon_sym_module] = ACTIONS(2952),
    [anon_sym_any] = ACTIONS(2952),
    [anon_sym_number] = ACTIONS(2952),
    [anon_sym_boolean] = ACTIONS(2952),
    [anon_sym_string] = ACTIONS(2952),
    [anon_sym_symbol] = ACTIONS(2952),
    [anon_sym_abstract] = ACTIONS(2952),
    [anon_sym_interface] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_component] = ACTIONS(2952),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_export] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_RBRACE] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2956),
    [anon_sym_typeof] = ACTIONS(2956),
    [anon_sym_import] = ACTIONS(2956),
    [anon_sym_var] = ACTIONS(2956),
    [anon_sym_let] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_else] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_LPAREN] = ACTIONS(2958),
    [anon_sym_await] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_with] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_debugger] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_yield] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2958),
    [anon_sym_LTtemplate_GT] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2956),
    [anon_sym_SLASH] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_async] = ACTIONS(2956),
    [anon_sym_function] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_void] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2958),
    [sym_number] = ACTIONS(2958),
    [sym_this] = ACTIONS(2956),
    [sym_super] = ACTIONS(2956),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [sym_null] = ACTIONS(2956),
    [sym_undefined] = ACTIONS(2956),
    [anon_sym_AT] = ACTIONS(2958),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_readonly] = ACTIONS(2956),
    [anon_sym_get] = ACTIONS(2956),
    [anon_sym_set] = ACTIONS(2956),
    [anon_sym_declare] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_public] = ACTIONS(2956),
    [anon_sym_private] = ACTIONS(2956),
    [anon_sym_protected] = ACTIONS(2956),
    [anon_sym_override] = ACTIONS(2956),
    [anon_sym_module] = ACTIONS(2956),
    [anon_sym_any] = ACTIONS(2956),
    [anon_sym_number] = ACTIONS(2956),
    [anon_sym_boolean] = ACTIONS(2956),
    [anon_sym_string] = ACTIONS(2956),
    [anon_sym_symbol] = ACTIONS(2956),
    [anon_sym_abstract] = ACTIONS(2956),
    [anon_sym_interface] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_component] = ACTIONS(2956),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2960),
    [anon_sym_export] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_type] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2960),
    [anon_sym_import] = ACTIONS(2960),
    [anon_sym_var] = ACTIONS(2960),
    [anon_sym_let] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_else] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_LPAREN] = ACTIONS(2962),
    [anon_sym_await] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_with] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_debugger] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2962),
    [anon_sym_LTtemplate_GT] = ACTIONS(2962),
    [anon_sym_LT] = ACTIONS(2960),
    [anon_sym_SLASH] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_async] = ACTIONS(2960),
    [anon_sym_function] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_AMP] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_void] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2962),
    [sym_number] = ACTIONS(2962),
    [sym_this] = ACTIONS(2960),
    [sym_super] = ACTIONS(2960),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [sym_null] = ACTIONS(2960),
    [sym_undefined] = ACTIONS(2960),
    [anon_sym_AT] = ACTIONS(2962),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_readonly] = ACTIONS(2960),
    [anon_sym_get] = ACTIONS(2960),
    [anon_sym_set] = ACTIONS(2960),
    [anon_sym_declare] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_public] = ACTIONS(2960),
    [anon_sym_private] = ACTIONS(2960),
    [anon_sym_protected] = ACTIONS(2960),
    [anon_sym_override] = ACTIONS(2960),
    [anon_sym_module] = ACTIONS(2960),
    [anon_sym_any] = ACTIONS(2960),
    [anon_sym_number] = ACTIONS(2960),
    [anon_sym_boolean] = ACTIONS(2960),
    [anon_sym_string] = ACTIONS(2960),
    [anon_sym_symbol] = ACTIONS(2960),
    [anon_sym_abstract] = ACTIONS(2960),
    [anon_sym_interface] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_component] = ACTIONS(2960),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2964),
    [anon_sym_export] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_type] = ACTIONS(2964),
    [anon_sym_typeof] = ACTIONS(2964),
    [anon_sym_import] = ACTIONS(2964),
    [anon_sym_var] = ACTIONS(2964),
    [anon_sym_let] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_else] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_LPAREN] = ACTIONS(2966),
    [anon_sym_await] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_with] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_debugger] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_yield] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_LTtemplate_GT] = ACTIONS(2966),
    [anon_sym_LT] = ACTIONS(2964),
    [anon_sym_SLASH] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_async] = ACTIONS(2964),
    [anon_sym_function] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_void] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2966),
    [sym_number] = ACTIONS(2966),
    [sym_this] = ACTIONS(2964),
    [sym_super] = ACTIONS(2964),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [sym_null] = ACTIONS(2964),
    [sym_undefined] = ACTIONS(2964),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_readonly] = ACTIONS(2964),
    [anon_sym_get] = ACTIONS(2964),
    [anon_sym_set] = ACTIONS(2964),
    [anon_sym_declare] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_override] = ACTIONS(2964),
    [anon_sym_module] = ACTIONS(2964),
    [anon_sym_any] = ACTIONS(2964),
    [anon_sym_number] = ACTIONS(2964),
    [anon_sym_boolean] = ACTIONS(2964),
    [anon_sym_string] = ACTIONS(2964),
    [anon_sym_symbol] = ACTIONS(2964),
    [anon_sym_abstract] = ACTIONS(2964),
    [anon_sym_interface] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_component] = ACTIONS(2964),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2968),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_typeof] = ACTIONS(2968),
    [anon_sym_import] = ACTIONS(2968),
    [anon_sym_var] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_else] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_await] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_with] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_debugger] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_yield] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_LTtemplate_GT] = ACTIONS(2970),
    [anon_sym_LT] = ACTIONS(2968),
    [anon_sym_SLASH] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_void] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2970),
    [sym_number] = ACTIONS(2970),
    [sym_this] = ACTIONS(2968),
    [sym_super] = ACTIONS(2968),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [sym_null] = ACTIONS(2968),
    [sym_undefined] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_abstract] = ACTIONS(2968),
    [anon_sym_interface] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_component] = ACTIONS(2968),
  },
  [825] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2976),
    [anon_sym_export] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_type] = ACTIONS(2976),
    [anon_sym_typeof] = ACTIONS(2976),
    [anon_sym_import] = ACTIONS(2976),
    [anon_sym_var] = ACTIONS(2976),
    [anon_sym_let] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_else] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_LPAREN] = ACTIONS(2978),
    [anon_sym_await] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_with] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_debugger] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_yield] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2978),
    [anon_sym_LTtemplate_GT] = ACTIONS(2978),
    [anon_sym_LT] = ACTIONS(2976),
    [anon_sym_SLASH] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_async] = ACTIONS(2976),
    [anon_sym_function] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_void] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2978),
    [sym_number] = ACTIONS(2978),
    [sym_this] = ACTIONS(2976),
    [sym_super] = ACTIONS(2976),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [sym_null] = ACTIONS(2976),
    [sym_undefined] = ACTIONS(2976),
    [anon_sym_AT] = ACTIONS(2978),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_readonly] = ACTIONS(2976),
    [anon_sym_get] = ACTIONS(2976),
    [anon_sym_set] = ACTIONS(2976),
    [anon_sym_declare] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_override] = ACTIONS(2976),
    [anon_sym_module] = ACTIONS(2976),
    [anon_sym_any] = ACTIONS(2976),
    [anon_sym_number] = ACTIONS(2976),
    [anon_sym_boolean] = ACTIONS(2976),
    [anon_sym_string] = ACTIONS(2976),
    [anon_sym_symbol] = ACTIONS(2976),
    [anon_sym_abstract] = ACTIONS(2976),
    [anon_sym_interface] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_component] = ACTIONS(2976),
  },
  [827] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [829] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_RBRACE] = ACTIONS(2982),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_typeof] = ACTIONS(2980),
    [anon_sym_import] = ACTIONS(2980),
    [anon_sym_var] = ACTIONS(2980),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_await] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_with] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_debugger] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_yield] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2982),
    [anon_sym_LTtemplate_GT] = ACTIONS(2982),
    [anon_sym_LT] = ACTIONS(2980),
    [anon_sym_SLASH] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_void] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2982),
    [sym_number] = ACTIONS(2982),
    [sym_this] = ACTIONS(2980),
    [sym_super] = ACTIONS(2980),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [sym_null] = ACTIONS(2980),
    [sym_undefined] = ACTIONS(2980),
    [anon_sym_AT] = ACTIONS(2982),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_abstract] = ACTIONS(2980),
    [anon_sym_interface] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_component] = ACTIONS(2980),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2918),
    [anon_sym_export] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2918),
    [anon_sym_typeof] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_switch] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_await] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_do] = ACTIONS(2918),
    [anon_sym_try] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_continue] = ACTIONS(2918),
    [anon_sym_debugger] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_throw] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_default] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LTtemplate_GT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_SLASH] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_void] = ACTIONS(2918),
    [anon_sym_delete] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_SQUOTE] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2920),
    [sym_number] = ACTIONS(2920),
    [sym_this] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_null] = ACTIONS(2918),
    [sym_undefined] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_readonly] = ACTIONS(2918),
    [anon_sym_get] = ACTIONS(2918),
    [anon_sym_set] = ACTIONS(2918),
    [anon_sym_declare] = ACTIONS(2918),
    [anon_sym_namespace] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_protected] = ACTIONS(2918),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_any] = ACTIONS(2918),
    [anon_sym_number] = ACTIONS(2918),
    [anon_sym_boolean] = ACTIONS(2918),
    [anon_sym_string] = ACTIONS(2918),
    [anon_sym_symbol] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2918),
    [anon_sym_interface] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [anon_sym_component] = ACTIONS(2918),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2984),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(2984),
    [anon_sym_var] = ACTIONS(2984),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_LPAREN] = ACTIONS(2986),
    [anon_sym_await] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_with] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_debugger] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_yield] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_LTtemplate_GT] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_void] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2986),
    [sym_number] = ACTIONS(2986),
    [sym_this] = ACTIONS(2984),
    [sym_super] = ACTIONS(2984),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [sym_null] = ACTIONS(2984),
    [sym_undefined] = ACTIONS(2984),
    [anon_sym_AT] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_abstract] = ACTIONS(2984),
    [anon_sym_interface] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_component] = ACTIONS(2984),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_export] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_type] = ACTIONS(2988),
    [anon_sym_typeof] = ACTIONS(2988),
    [anon_sym_import] = ACTIONS(2988),
    [anon_sym_var] = ACTIONS(2988),
    [anon_sym_let] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_else] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_LPAREN] = ACTIONS(2990),
    [anon_sym_await] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_with] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_debugger] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_yield] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_LTtemplate_GT] = ACTIONS(2990),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_async] = ACTIONS(2988),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_void] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2990),
    [sym_number] = ACTIONS(2990),
    [sym_this] = ACTIONS(2988),
    [sym_super] = ACTIONS(2988),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [sym_null] = ACTIONS(2988),
    [sym_undefined] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_readonly] = ACTIONS(2988),
    [anon_sym_get] = ACTIONS(2988),
    [anon_sym_set] = ACTIONS(2988),
    [anon_sym_declare] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_public] = ACTIONS(2988),
    [anon_sym_private] = ACTIONS(2988),
    [anon_sym_protected] = ACTIONS(2988),
    [anon_sym_override] = ACTIONS(2988),
    [anon_sym_module] = ACTIONS(2988),
    [anon_sym_any] = ACTIONS(2988),
    [anon_sym_number] = ACTIONS(2988),
    [anon_sym_boolean] = ACTIONS(2988),
    [anon_sym_string] = ACTIONS(2988),
    [anon_sym_symbol] = ACTIONS(2988),
    [anon_sym_abstract] = ACTIONS(2988),
    [anon_sym_interface] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_component] = ACTIONS(2988),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_LTtemplate_GT] = ACTIONS(2994),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_component] = ACTIONS(2992),
  },
  [836] = {
    [sym_type_arguments] = STATE(978),
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_as] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2584),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_QMARK_DOT] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_GT_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_STAR_STAR] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2582),
    [anon_sym_QMARK_QMARK] = ACTIONS(2582),
    [anon_sym_instanceof] = ACTIONS(2580),
    [anon_sym_void] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2582),
    [sym_number] = ACTIONS(2582),
    [sym_this] = ACTIONS(2580),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [sym_null] = ACTIONS(2580),
    [sym_undefined] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_readonly] = ACTIONS(2580),
    [anon_sym_get] = ACTIONS(2580),
    [anon_sym_set] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_any] = ACTIONS(2580),
    [anon_sym_number] = ACTIONS(2580),
    [anon_sym_boolean] = ACTIONS(2580),
    [anon_sym_string] = ACTIONS(2580),
    [anon_sym_symbol] = ACTIONS(2580),
    [anon_sym_abstract] = ACTIONS(2580),
    [anon_sym_satisfies] = ACTIONS(2580),
    [anon_sym_extends] = ACTIONS(2580),
    [anon_sym_infer] = ACTIONS(2580),
    [anon_sym_keyof] = ACTIONS(2580),
    [anon_sym_unknown] = ACTIONS(2580),
    [anon_sym_never] = ACTIONS(2580),
    [anon_sym_object] = ACTIONS(2580),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2582),
    [anon_sym_constructor] = ACTIONS(2580),
    [anon_sym_prop] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
    [anon_sym_event] = ACTIONS(2580),
    [anon_sym_fn] = ACTIONS(2580),
    [anon_sym_on] = ACTIONS(2580),
    [sym__ternary_qmark] = ACTIONS(2582),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2996),
    [anon_sym_export] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_type] = ACTIONS(2996),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_import] = ACTIONS(2996),
    [anon_sym_var] = ACTIONS(2996),
    [anon_sym_let] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_else] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_await] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_with] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_debugger] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_yield] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_LTtemplate_GT] = ACTIONS(2998),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_async] = ACTIONS(2996),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_void] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2998),
    [sym_number] = ACTIONS(2998),
    [sym_this] = ACTIONS(2996),
    [sym_super] = ACTIONS(2996),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_undefined] = ACTIONS(2996),
    [anon_sym_AT] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_readonly] = ACTIONS(2996),
    [anon_sym_get] = ACTIONS(2996),
    [anon_sym_set] = ACTIONS(2996),
    [anon_sym_declare] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_override] = ACTIONS(2996),
    [anon_sym_module] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(2996),
    [anon_sym_number] = ACTIONS(2996),
    [anon_sym_boolean] = ACTIONS(2996),
    [anon_sym_string] = ACTIONS(2996),
    [anon_sym_symbol] = ACTIONS(2996),
    [anon_sym_abstract] = ACTIONS(2996),
    [anon_sym_interface] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_component] = ACTIONS(2996),
  },
  [838] = {
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_type] = ACTIONS(3000),
    [anon_sym_typeof] = ACTIONS(3000),
    [anon_sym_import] = ACTIONS(3000),
    [anon_sym_var] = ACTIONS(3000),
    [anon_sym_let] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_else] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_await] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_with] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_debugger] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_yield] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_LTtemplate_GT] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3000),
    [anon_sym_SLASH] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_async] = ACTIONS(3000),
    [anon_sym_function] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_void] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3002),
    [sym_number] = ACTIONS(3002),
    [sym_this] = ACTIONS(3000),
    [sym_super] = ACTIONS(3000),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [sym_null] = ACTIONS(3000),
    [sym_undefined] = ACTIONS(3000),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_readonly] = ACTIONS(3000),
    [anon_sym_get] = ACTIONS(3000),
    [anon_sym_set] = ACTIONS(3000),
    [anon_sym_declare] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_override] = ACTIONS(3000),
    [anon_sym_module] = ACTIONS(3000),
    [anon_sym_any] = ACTIONS(3000),
    [anon_sym_number] = ACTIONS(3000),
    [anon_sym_boolean] = ACTIONS(3000),
    [anon_sym_string] = ACTIONS(3000),
    [anon_sym_symbol] = ACTIONS(3000),
    [anon_sym_abstract] = ACTIONS(3000),
    [anon_sym_interface] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_component] = ACTIONS(3000),
  },
  [839] = {
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_type] = ACTIONS(3004),
    [anon_sym_typeof] = ACTIONS(3004),
    [anon_sym_import] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_else] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_LPAREN] = ACTIONS(3006),
    [anon_sym_await] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_with] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_debugger] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_yield] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_LTtemplate_GT] = ACTIONS(3006),
    [anon_sym_LT] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_function] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_void] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3006),
    [sym_number] = ACTIONS(3006),
    [sym_this] = ACTIONS(3004),
    [sym_super] = ACTIONS(3004),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [sym_null] = ACTIONS(3004),
    [sym_undefined] = ACTIONS(3004),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_readonly] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3004),
    [anon_sym_declare] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_override] = ACTIONS(3004),
    [anon_sym_module] = ACTIONS(3004),
    [anon_sym_any] = ACTIONS(3004),
    [anon_sym_number] = ACTIONS(3004),
    [anon_sym_boolean] = ACTIONS(3004),
    [anon_sym_string] = ACTIONS(3004),
    [anon_sym_symbol] = ACTIONS(3004),
    [anon_sym_abstract] = ACTIONS(3004),
    [anon_sym_interface] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_component] = ACTIONS(3004),
  },
  [840] = {
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_else] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3010),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_LTtemplate_GT] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3010),
    [sym_number] = ACTIONS(3010),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_component] = ACTIONS(3008),
  },
  [841] = {
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_type] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3012),
    [anon_sym_import] = ACTIONS(3012),
    [anon_sym_var] = ACTIONS(3012),
    [anon_sym_let] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_else] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3014),
    [anon_sym_await] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_with] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_debugger] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_yield] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_LTtemplate_GT] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_async] = ACTIONS(3012),
    [anon_sym_function] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_void] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3014),
    [sym_number] = ACTIONS(3014),
    [sym_this] = ACTIONS(3012),
    [sym_super] = ACTIONS(3012),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [sym_null] = ACTIONS(3012),
    [sym_undefined] = ACTIONS(3012),
    [anon_sym_AT] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_readonly] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3012),
    [anon_sym_set] = ACTIONS(3012),
    [anon_sym_declare] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_override] = ACTIONS(3012),
    [anon_sym_module] = ACTIONS(3012),
    [anon_sym_any] = ACTIONS(3012),
    [anon_sym_number] = ACTIONS(3012),
    [anon_sym_boolean] = ACTIONS(3012),
    [anon_sym_string] = ACTIONS(3012),
    [anon_sym_symbol] = ACTIONS(3012),
    [anon_sym_abstract] = ACTIONS(3012),
    [anon_sym_interface] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_component] = ACTIONS(3012),
  },
  [842] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(2353),
    [anon_sym_of] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [843] = {
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LTtemplate_GT] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_component] = ACTIONS(3016),
  },
  [844] = {
    [sym_identifier] = ACTIONS(3020),
    [anon_sym_export] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_type] = ACTIONS(3020),
    [anon_sym_typeof] = ACTIONS(3020),
    [anon_sym_import] = ACTIONS(3020),
    [anon_sym_var] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3022),
    [anon_sym_await] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_with] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_debugger] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_yield] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym_LTtemplate_GT] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_async] = ACTIONS(3020),
    [anon_sym_function] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_void] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3022),
    [sym_number] = ACTIONS(3022),
    [sym_this] = ACTIONS(3020),
    [sym_super] = ACTIONS(3020),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [sym_null] = ACTIONS(3020),
    [sym_undefined] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_readonly] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3020),
    [anon_sym_declare] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_module] = ACTIONS(3020),
    [anon_sym_any] = ACTIONS(3020),
    [anon_sym_number] = ACTIONS(3020),
    [anon_sym_boolean] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_symbol] = ACTIONS(3020),
    [anon_sym_abstract] = ACTIONS(3020),
    [anon_sym_interface] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_component] = ACTIONS(3020),
  },
  [845] = {
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_type] = ACTIONS(3024),
    [anon_sym_typeof] = ACTIONS(3024),
    [anon_sym_import] = ACTIONS(3024),
    [anon_sym_var] = ACTIONS(3024),
    [anon_sym_let] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_else] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3026),
    [anon_sym_await] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_with] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_debugger] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_yield] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_LTtemplate_GT] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_async] = ACTIONS(3024),
    [anon_sym_function] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3026),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_void] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3026),
    [sym_number] = ACTIONS(3026),
    [sym_this] = ACTIONS(3024),
    [sym_super] = ACTIONS(3024),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [sym_null] = ACTIONS(3024),
    [sym_undefined] = ACTIONS(3024),
    [anon_sym_AT] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3024),
    [anon_sym_declare] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_override] = ACTIONS(3024),
    [anon_sym_module] = ACTIONS(3024),
    [anon_sym_any] = ACTIONS(3024),
    [anon_sym_number] = ACTIONS(3024),
    [anon_sym_boolean] = ACTIONS(3024),
    [anon_sym_string] = ACTIONS(3024),
    [anon_sym_symbol] = ACTIONS(3024),
    [anon_sym_abstract] = ACTIONS(3024),
    [anon_sym_interface] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_component] = ACTIONS(3024),
  },
  [846] = {
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_export] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_type] = ACTIONS(3028),
    [anon_sym_typeof] = ACTIONS(3028),
    [anon_sym_import] = ACTIONS(3028),
    [anon_sym_var] = ACTIONS(3028),
    [anon_sym_let] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3030),
    [anon_sym_await] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_with] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_debugger] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_yield] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_LTtemplate_GT] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_async] = ACTIONS(3028),
    [anon_sym_function] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_void] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3030),
    [sym_number] = ACTIONS(3030),
    [sym_this] = ACTIONS(3028),
    [sym_super] = ACTIONS(3028),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [sym_null] = ACTIONS(3028),
    [sym_undefined] = ACTIONS(3028),
    [anon_sym_AT] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_readonly] = ACTIONS(3028),
    [anon_sym_get] = ACTIONS(3028),
    [anon_sym_set] = ACTIONS(3028),
    [anon_sym_declare] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_public] = ACTIONS(3028),
    [anon_sym_private] = ACTIONS(3028),
    [anon_sym_protected] = ACTIONS(3028),
    [anon_sym_override] = ACTIONS(3028),
    [anon_sym_module] = ACTIONS(3028),
    [anon_sym_any] = ACTIONS(3028),
    [anon_sym_number] = ACTIONS(3028),
    [anon_sym_boolean] = ACTIONS(3028),
    [anon_sym_string] = ACTIONS(3028),
    [anon_sym_symbol] = ACTIONS(3028),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_interface] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_component] = ACTIONS(3028),
  },
  [847] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(3032),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3034),
    [sym_number] = ACTIONS(3034),
    [sym_this] = ACTIONS(3032),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [sym_null] = ACTIONS(3032),
    [sym_undefined] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_readonly] = ACTIONS(3032),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_any] = ACTIONS(3032),
    [anon_sym_number] = ACTIONS(3032),
    [anon_sym_boolean] = ACTIONS(3032),
    [anon_sym_string] = ACTIONS(3032),
    [anon_sym_symbol] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3032),
    [anon_sym_unknown] = ACTIONS(3032),
    [anon_sym_never] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3034),
    [anon_sym_constructor] = ACTIONS(3032),
    [anon_sym_prop] = ACTIONS(3032),
    [anon_sym_id] = ACTIONS(3032),
    [anon_sym_event] = ACTIONS(3032),
    [anon_sym_fn] = ACTIONS(3032),
    [anon_sym_on] = ACTIONS(3032),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [848] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_export] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_type] = ACTIONS(3036),
    [anon_sym_typeof] = ACTIONS(3036),
    [anon_sym_import] = ACTIONS(3036),
    [anon_sym_var] = ACTIONS(3036),
    [anon_sym_let] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_await] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_with] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_debugger] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_yield] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_LTtemplate_GT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_async] = ACTIONS(3036),
    [anon_sym_function] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_void] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3038),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3036),
    [sym_super] = ACTIONS(3036),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [sym_null] = ACTIONS(3036),
    [sym_undefined] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_readonly] = ACTIONS(3036),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_declare] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_module] = ACTIONS(3036),
    [anon_sym_any] = ACTIONS(3036),
    [anon_sym_number] = ACTIONS(3036),
    [anon_sym_boolean] = ACTIONS(3036),
    [anon_sym_string] = ACTIONS(3036),
    [anon_sym_symbol] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_interface] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_component] = ACTIONS(3036),
  },
  [849] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_LTtemplate_GT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
  },
  [850] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_typeof] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(3044),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2696),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(3044),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3046),
    [sym_number] = ACTIONS(3046),
    [sym_this] = ACTIONS(3044),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [sym_null] = ACTIONS(3044),
    [sym_undefined] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3044),
    [anon_sym_any] = ACTIONS(3044),
    [anon_sym_number] = ACTIONS(3044),
    [anon_sym_boolean] = ACTIONS(3044),
    [anon_sym_string] = ACTIONS(3044),
    [anon_sym_symbol] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(3044),
    [anon_sym_keyof] = ACTIONS(3044),
    [anon_sym_unknown] = ACTIONS(3044),
    [anon_sym_never] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3046),
    [anon_sym_constructor] = ACTIONS(3044),
    [anon_sym_prop] = ACTIONS(3044),
    [anon_sym_id] = ACTIONS(3044),
    [anon_sym_event] = ACTIONS(3044),
    [anon_sym_fn] = ACTIONS(3044),
    [anon_sym_on] = ACTIONS(3044),
    [sym__ternary_qmark] = ACTIONS(2702),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2918),
    [anon_sym_export] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2918),
    [anon_sym_typeof] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_switch] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_await] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_do] = ACTIONS(2918),
    [anon_sym_try] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_continue] = ACTIONS(2918),
    [anon_sym_debugger] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_throw] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_default] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LTtemplate_GT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_SLASH] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_void] = ACTIONS(2918),
    [anon_sym_delete] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_SQUOTE] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2920),
    [sym_number] = ACTIONS(2920),
    [sym_this] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_null] = ACTIONS(2918),
    [sym_undefined] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_readonly] = ACTIONS(2918),
    [anon_sym_get] = ACTIONS(2918),
    [anon_sym_set] = ACTIONS(2918),
    [anon_sym_declare] = ACTIONS(2918),
    [anon_sym_namespace] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_protected] = ACTIONS(2918),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_any] = ACTIONS(2918),
    [anon_sym_number] = ACTIONS(2918),
    [anon_sym_boolean] = ACTIONS(2918),
    [anon_sym_string] = ACTIONS(2918),
    [anon_sym_symbol] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2918),
    [anon_sym_interface] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [anon_sym_component] = ACTIONS(2918),
  },
  [852] = {
    [sym_identifier] = ACTIONS(3048),
    [anon_sym_export] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_type] = ACTIONS(3048),
    [anon_sym_typeof] = ACTIONS(3048),
    [anon_sym_import] = ACTIONS(3048),
    [anon_sym_var] = ACTIONS(3048),
    [anon_sym_let] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3050),
    [anon_sym_await] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_with] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_debugger] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_yield] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3050),
    [anon_sym_LTtemplate_GT] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_async] = ACTIONS(3048),
    [anon_sym_function] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3050),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_void] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3050),
    [sym_number] = ACTIONS(3050),
    [sym_this] = ACTIONS(3048),
    [sym_super] = ACTIONS(3048),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [sym_null] = ACTIONS(3048),
    [sym_undefined] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_readonly] = ACTIONS(3048),
    [anon_sym_get] = ACTIONS(3048),
    [anon_sym_set] = ACTIONS(3048),
    [anon_sym_declare] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_override] = ACTIONS(3048),
    [anon_sym_module] = ACTIONS(3048),
    [anon_sym_any] = ACTIONS(3048),
    [anon_sym_number] = ACTIONS(3048),
    [anon_sym_boolean] = ACTIONS(3048),
    [anon_sym_string] = ACTIONS(3048),
    [anon_sym_symbol] = ACTIONS(3048),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_interface] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_component] = ACTIONS(3048),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [854] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [855] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_export] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_type] = ACTIONS(3052),
    [anon_sym_typeof] = ACTIONS(3052),
    [anon_sym_import] = ACTIONS(3052),
    [anon_sym_var] = ACTIONS(3052),
    [anon_sym_let] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_await] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_with] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_debugger] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_yield] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_LTtemplate_GT] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_async] = ACTIONS(3052),
    [anon_sym_function] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_void] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3054),
    [sym_this] = ACTIONS(3052),
    [sym_super] = ACTIONS(3052),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [sym_null] = ACTIONS(3052),
    [sym_undefined] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_readonly] = ACTIONS(3052),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_declare] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_module] = ACTIONS(3052),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_interface] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_component] = ACTIONS(3052),
  },
  [856] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_LTtemplate_GT] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3058),
    [sym_number] = ACTIONS(3058),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_component] = ACTIONS(3056),
  },
  [859] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [860] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_typeof] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_async] = ACTIONS(3060),
    [anon_sym_QMARK_DOT] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_GT_GT_GT] = ACTIONS(3062),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3062),
    [anon_sym_STAR_STAR] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_QMARK] = ACTIONS(3062),
    [anon_sym_instanceof] = ACTIONS(3060),
    [anon_sym_void] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3062),
    [sym_number] = ACTIONS(3062),
    [sym_this] = ACTIONS(3060),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3060),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_any] = ACTIONS(3060),
    [anon_sym_number] = ACTIONS(3060),
    [anon_sym_boolean] = ACTIONS(3060),
    [anon_sym_string] = ACTIONS(3060),
    [anon_sym_symbol] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_satisfies] = ACTIONS(3060),
    [anon_sym_extends] = ACTIONS(3060),
    [anon_sym_infer] = ACTIONS(3060),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_keyof] = ACTIONS(3060),
    [anon_sym_unknown] = ACTIONS(3060),
    [anon_sym_never] = ACTIONS(3060),
    [anon_sym_object] = ACTIONS(3060),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3062),
    [anon_sym_constructor] = ACTIONS(3060),
    [anon_sym_prop] = ACTIONS(3060),
    [anon_sym_id] = ACTIONS(3060),
    [anon_sym_event] = ACTIONS(3060),
    [anon_sym_fn] = ACTIONS(3060),
    [anon_sym_on] = ACTIONS(3060),
    [sym__ternary_qmark] = ACTIONS(3062),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_async] = ACTIONS(2630),
    [anon_sym_QMARK_DOT] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_GT_GT_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2632),
    [anon_sym_instanceof] = ACTIONS(2630),
    [anon_sym_void] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2632),
    [sym_number] = ACTIONS(2632),
    [sym_this] = ACTIONS(2630),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [sym_null] = ACTIONS(2630),
    [sym_undefined] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_readonly] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_any] = ACTIONS(2630),
    [anon_sym_number] = ACTIONS(2630),
    [anon_sym_boolean] = ACTIONS(2630),
    [anon_sym_string] = ACTIONS(2630),
    [anon_sym_symbol] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_satisfies] = ACTIONS(2630),
    [anon_sym_extends] = ACTIONS(2630),
    [anon_sym_infer] = ACTIONS(2630),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_keyof] = ACTIONS(2630),
    [anon_sym_unknown] = ACTIONS(2630),
    [anon_sym_never] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2632),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_prop] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
    [anon_sym_event] = ACTIONS(2630),
    [anon_sym_fn] = ACTIONS(2630),
    [anon_sym_on] = ACTIONS(2630),
    [sym__ternary_qmark] = ACTIONS(2632),
  },
  [862] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [863] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [864] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [865] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [866] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [867] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [868] = {
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_LTtemplate_GT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3068),
    [sym_number] = ACTIONS(3068),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_component] = ACTIONS(3066),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_LTtemplate_GT] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_component] = ACTIONS(2620),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_export] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3070),
    [anon_sym_typeof] = ACTIONS(3070),
    [anon_sym_import] = ACTIONS(3070),
    [anon_sym_var] = ACTIONS(3070),
    [anon_sym_let] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_switch] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_with] = ACTIONS(3070),
    [anon_sym_break] = ACTIONS(3070),
    [anon_sym_continue] = ACTIONS(3070),
    [anon_sym_debugger] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3070),
    [anon_sym_default] = ACTIONS(3070),
    [anon_sym_yield] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_async] = ACTIONS(3070),
    [anon_sym_function] = ACTIONS(3070),
    [anon_sym_new] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3070),
    [anon_sym_delete] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_this] = ACTIONS(3070),
    [sym_super] = ACTIONS(3070),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [sym_null] = ACTIONS(3070),
    [sym_undefined] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_readonly] = ACTIONS(3070),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_declare] = ACTIONS(3070),
    [anon_sym_namespace] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_module] = ACTIONS(3070),
    [anon_sym_any] = ACTIONS(3070),
    [anon_sym_number] = ACTIONS(3070),
    [anon_sym_boolean] = ACTIONS(3070),
    [anon_sym_string] = ACTIONS(3070),
    [anon_sym_symbol] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_interface] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_component] = ACTIONS(3070),
  },
  [871] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_export] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_type] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(3074),
    [anon_sym_var] = ACTIONS(3074),
    [anon_sym_let] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_await] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_with] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_debugger] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_yield] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_LTtemplate_GT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_async] = ACTIONS(3074),
    [anon_sym_function] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_void] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3076),
    [sym_number] = ACTIONS(3076),
    [sym_this] = ACTIONS(3074),
    [sym_super] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [sym_null] = ACTIONS(3074),
    [sym_undefined] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_readonly] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_declare] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_module] = ACTIONS(3074),
    [anon_sym_any] = ACTIONS(3074),
    [anon_sym_number] = ACTIONS(3074),
    [anon_sym_boolean] = ACTIONS(3074),
    [anon_sym_string] = ACTIONS(3074),
    [anon_sym_symbol] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_interface] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_component] = ACTIONS(3074),
  },
  [872] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2676),
    [anon_sym_LT_LT] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_STAR_STAR] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2694),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2694),
    [anon_sym_GT_EQ] = ACTIONS(2690),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_constructor] = ACTIONS(2972),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [873] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3078),
    [anon_sym_default] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_component] = ACTIONS(3078),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_export] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_type] = ACTIONS(3082),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(3082),
    [anon_sym_var] = ACTIONS(3082),
    [anon_sym_let] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_await] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_with] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_debugger] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_yield] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_LTtemplate_GT] = ACTIONS(3084),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_async] = ACTIONS(3082),
    [anon_sym_function] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_void] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3084),
    [sym_number] = ACTIONS(3084),
    [sym_this] = ACTIONS(3082),
    [sym_super] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [sym_null] = ACTIONS(3082),
    [sym_undefined] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_readonly] = ACTIONS(3082),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_declare] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_module] = ACTIONS(3082),
    [anon_sym_any] = ACTIONS(3082),
    [anon_sym_number] = ACTIONS(3082),
    [anon_sym_boolean] = ACTIONS(3082),
    [anon_sym_string] = ACTIONS(3082),
    [anon_sym_symbol] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_interface] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_component] = ACTIONS(3082),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_export] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3086),
    [anon_sym_typeof] = ACTIONS(3086),
    [anon_sym_import] = ACTIONS(3086),
    [anon_sym_var] = ACTIONS(3086),
    [anon_sym_let] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_switch] = ACTIONS(3086),
    [anon_sym_for] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_await] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_do] = ACTIONS(3086),
    [anon_sym_try] = ACTIONS(3086),
    [anon_sym_with] = ACTIONS(3086),
    [anon_sym_break] = ACTIONS(3086),
    [anon_sym_continue] = ACTIONS(3086),
    [anon_sym_debugger] = ACTIONS(3086),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_throw] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_default] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_LTtemplate_GT] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_async] = ACTIONS(3086),
    [anon_sym_function] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3088),
    [anon_sym_void] = ACTIONS(3086),
    [anon_sym_delete] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3088),
    [sym_number] = ACTIONS(3088),
    [sym_this] = ACTIONS(3086),
    [sym_super] = ACTIONS(3086),
    [sym_true] = ACTIONS(3086),
    [sym_false] = ACTIONS(3086),
    [sym_null] = ACTIONS(3086),
    [sym_undefined] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_readonly] = ACTIONS(3086),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_declare] = ACTIONS(3086),
    [anon_sym_namespace] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_module] = ACTIONS(3086),
    [anon_sym_any] = ACTIONS(3086),
    [anon_sym_number] = ACTIONS(3086),
    [anon_sym_boolean] = ACTIONS(3086),
    [anon_sym_string] = ACTIONS(3086),
    [anon_sym_symbol] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_interface] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_component] = ACTIONS(3086),
  },
  [877] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_typeof] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_async] = ACTIONS(3090),
    [anon_sym_QMARK_DOT] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_GT_GT] = ACTIONS(3090),
    [anon_sym_GT_GT_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_QMARK] = ACTIONS(3092),
    [anon_sym_instanceof] = ACTIONS(3090),
    [anon_sym_void] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3092),
    [sym_this] = ACTIONS(3090),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [sym_null] = ACTIONS(3090),
    [sym_undefined] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_readonly] = ACTIONS(3090),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_satisfies] = ACTIONS(3090),
    [anon_sym_infer] = ACTIONS(3090),
    [anon_sym_keyof] = ACTIONS(3090),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3092),
    [anon_sym_constructor] = ACTIONS(3090),
    [anon_sym_prop] = ACTIONS(3090),
    [anon_sym_id] = ACTIONS(3090),
    [anon_sym_event] = ACTIONS(3090),
    [anon_sym_fn] = ACTIONS(3090),
    [anon_sym_on] = ACTIONS(3090),
    [sym__ternary_qmark] = ACTIONS(3092),
  },
  [878] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_typeof] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(3094),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3094),
    [anon_sym_GT_GT_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_QMARK] = ACTIONS(3096),
    [anon_sym_instanceof] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3096),
    [sym_number] = ACTIONS(3096),
    [sym_this] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [sym_null] = ACTIONS(3094),
    [sym_undefined] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_readonly] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(3094),
    [anon_sym_number] = ACTIONS(3094),
    [anon_sym_boolean] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_symbol] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_satisfies] = ACTIONS(3094),
    [anon_sym_infer] = ACTIONS(3094),
    [anon_sym_keyof] = ACTIONS(3094),
    [anon_sym_unknown] = ACTIONS(3094),
    [anon_sym_never] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3096),
    [anon_sym_constructor] = ACTIONS(3094),
    [anon_sym_prop] = ACTIONS(3094),
    [anon_sym_id] = ACTIONS(3094),
    [anon_sym_event] = ACTIONS(3094),
    [anon_sym_fn] = ACTIONS(3094),
    [anon_sym_on] = ACTIONS(3094),
    [sym__ternary_qmark] = ACTIONS(3096),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_export] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3098),
    [anon_sym_import] = ACTIONS(3098),
    [anon_sym_var] = ACTIONS(3098),
    [anon_sym_let] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_await] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_with] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_debugger] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_yield] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_LTtemplate_GT] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_async] = ACTIONS(3098),
    [anon_sym_function] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_void] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3100),
    [sym_number] = ACTIONS(3100),
    [sym_this] = ACTIONS(3098),
    [sym_super] = ACTIONS(3098),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3098),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_declare] = ACTIONS(3098),
    [anon_sym_namespace] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_module] = ACTIONS(3098),
    [anon_sym_any] = ACTIONS(3098),
    [anon_sym_number] = ACTIONS(3098),
    [anon_sym_boolean] = ACTIONS(3098),
    [anon_sym_string] = ACTIONS(3098),
    [anon_sym_symbol] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_interface] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_component] = ACTIONS(3098),
  },
  [880] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_QMARK_DOT] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_STAR_STAR] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_QMARK_QMARK] = ACTIONS(1378),
    [anon_sym_instanceof] = ACTIONS(1374),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_satisfies] = ACTIONS(1374),
    [anon_sym_infer] = ACTIONS(1374),
    [anon_sym_keyof] = ACTIONS(1374),
    [anon_sym_unknown] = ACTIONS(1374),
    [anon_sym_never] = ACTIONS(1374),
    [anon_sym_object] = ACTIONS(1374),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1378),
    [anon_sym_constructor] = ACTIONS(1374),
    [anon_sym_prop] = ACTIONS(1374),
    [anon_sym_id] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_on] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(3102),
    [sym__ternary_qmark] = ACTIONS(1378),
  },
  [881] = {
    [sym_identifier] = ACTIONS(3104),
    [anon_sym_export] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3104),
    [anon_sym_typeof] = ACTIONS(3104),
    [anon_sym_import] = ACTIONS(3104),
    [anon_sym_var] = ACTIONS(3104),
    [anon_sym_let] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_with] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_debugger] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_yield] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_async] = ACTIONS(3104),
    [anon_sym_function] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_this] = ACTIONS(3104),
    [sym_super] = ACTIONS(3104),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [sym_null] = ACTIONS(3104),
    [sym_undefined] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_readonly] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3104),
    [anon_sym_set] = ACTIONS(3104),
    [anon_sym_declare] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_protected] = ACTIONS(3104),
    [anon_sym_override] = ACTIONS(3104),
    [anon_sym_module] = ACTIONS(3104),
    [anon_sym_any] = ACTIONS(3104),
    [anon_sym_number] = ACTIONS(3104),
    [anon_sym_boolean] = ACTIONS(3104),
    [anon_sym_string] = ACTIONS(3104),
    [anon_sym_symbol] = ACTIONS(3104),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_interface] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_component] = ACTIONS(3104),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_as] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_in] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_QMARK_DOT] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3110),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_GT_GT_GT] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_STAR_STAR] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3110),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_QMARK_QMARK] = ACTIONS(3110),
    [anon_sym_instanceof] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_this] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_QMARK] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_satisfies] = ACTIONS(3108),
    [anon_sym_extends] = ACTIONS(3108),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3108),
    [anon_sym_unknown] = ACTIONS(3108),
    [anon_sym_never] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3110),
    [anon_sym_constructor] = ACTIONS(3108),
    [anon_sym_prop] = ACTIONS(3108),
    [anon_sym_id] = ACTIONS(3108),
    [anon_sym_event] = ACTIONS(3108),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_on] = ACTIONS(3108),
    [sym__ternary_qmark] = ACTIONS(3110),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_as] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_typeof] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3114),
    [anon_sym_in] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_QMARK_DOT] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3114),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_GT_GT_GT] = ACTIONS(3114),
    [anon_sym_LT_LT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3114),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_STAR_STAR] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3114),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_QMARK_QMARK] = ACTIONS(3114),
    [anon_sym_instanceof] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3114),
    [sym_number] = ACTIONS(3114),
    [sym_this] = ACTIONS(3112),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [sym_null] = ACTIONS(3112),
    [sym_undefined] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_readonly] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3112),
    [anon_sym_any] = ACTIONS(3112),
    [anon_sym_number] = ACTIONS(3112),
    [anon_sym_boolean] = ACTIONS(3112),
    [anon_sym_string] = ACTIONS(3112),
    [anon_sym_symbol] = ACTIONS(3112),
    [anon_sym_abstract] = ACTIONS(3112),
    [anon_sym_satisfies] = ACTIONS(3112),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3112),
    [anon_sym_keyof] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3112),
    [anon_sym_never] = ACTIONS(3112),
    [anon_sym_object] = ACTIONS(3112),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [anon_sym_constructor] = ACTIONS(3112),
    [anon_sym_prop] = ACTIONS(3112),
    [anon_sym_id] = ACTIONS(3112),
    [anon_sym_event] = ACTIONS(3112),
    [anon_sym_fn] = ACTIONS(3112),
    [anon_sym_on] = ACTIONS(3112),
    [sym__ternary_qmark] = ACTIONS(3114),
  },
  [884] = {
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_async] = ACTIONS(2748),
    [anon_sym_QMARK_DOT] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_PIPE_PIPE] = ACTIONS(2750),
    [anon_sym_GT_GT] = ACTIONS(2748),
    [anon_sym_GT_GT_GT] = ACTIONS(2750),
    [anon_sym_LT_LT] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2750),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PERCENT] = ACTIONS(2750),
    [anon_sym_STAR_STAR] = ACTIONS(2750),
    [anon_sym_LT_EQ] = ACTIONS(2750),
    [anon_sym_EQ_EQ] = ACTIONS(2748),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2750),
    [anon_sym_BANG_EQ] = ACTIONS(2748),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2750),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK] = ACTIONS(2750),
    [anon_sym_instanceof] = ACTIONS(2748),
    [anon_sym_void] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2750),
    [sym_number] = ACTIONS(2750),
    [sym_this] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [sym_null] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_readonly] = ACTIONS(2748),
    [anon_sym_get] = ACTIONS(2748),
    [anon_sym_set] = ACTIONS(2748),
    [anon_sym_QMARK] = ACTIONS(2748),
    [anon_sym_any] = ACTIONS(2748),
    [anon_sym_number] = ACTIONS(2748),
    [anon_sym_boolean] = ACTIONS(2748),
    [anon_sym_string] = ACTIONS(2748),
    [anon_sym_symbol] = ACTIONS(2748),
    [anon_sym_abstract] = ACTIONS(2748),
    [anon_sym_satisfies] = ACTIONS(2748),
    [anon_sym_extends] = ACTIONS(2748),
    [anon_sym_infer] = ACTIONS(2748),
    [anon_sym_keyof] = ACTIONS(2748),
    [anon_sym_unknown] = ACTIONS(2748),
    [anon_sym_never] = ACTIONS(2748),
    [anon_sym_object] = ACTIONS(2748),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2750),
    [anon_sym_constructor] = ACTIONS(2748),
    [anon_sym_prop] = ACTIONS(2748),
    [anon_sym_id] = ACTIONS(2748),
    [anon_sym_event] = ACTIONS(2748),
    [anon_sym_fn] = ACTIONS(2748),
    [anon_sym_on] = ACTIONS(2748),
    [sym__ternary_qmark] = ACTIONS(2750),
  },
  [885] = {
    [sym__call_signature] = STATE(4607),
    [sym_formal_parameters] = STATE(3695),
    [sym_type_parameters] = STATE(4264),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(127),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_as] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_in] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3122),
    [anon_sym_async] = ACTIONS(3122),
    [anon_sym_QMARK_DOT] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_GT_GT] = ACTIONS(3122),
    [anon_sym_GT_GT_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_EQ_EQ] = ACTIONS(3122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3124),
    [anon_sym_QMARK_QMARK] = ACTIONS(3124),
    [anon_sym_instanceof] = ACTIONS(3122),
    [anon_sym_void] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_this] = ACTIONS(3122),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3122),
    [anon_sym_get] = ACTIONS(3122),
    [anon_sym_set] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_any] = ACTIONS(3122),
    [anon_sym_number] = ACTIONS(3122),
    [anon_sym_boolean] = ACTIONS(3122),
    [anon_sym_string] = ACTIONS(3122),
    [anon_sym_symbol] = ACTIONS(3122),
    [anon_sym_abstract] = ACTIONS(3122),
    [anon_sym_satisfies] = ACTIONS(3122),
    [anon_sym_extends] = ACTIONS(3122),
    [anon_sym_infer] = ACTIONS(3122),
    [anon_sym_keyof] = ACTIONS(3122),
    [anon_sym_unknown] = ACTIONS(3122),
    [anon_sym_never] = ACTIONS(3122),
    [anon_sym_object] = ACTIONS(3122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3124),
    [anon_sym_constructor] = ACTIONS(3122),
    [anon_sym_prop] = ACTIONS(3122),
    [anon_sym_id] = ACTIONS(3122),
    [anon_sym_event] = ACTIONS(3122),
    [anon_sym_fn] = ACTIONS(3122),
    [anon_sym_on] = ACTIONS(3122),
    [sym__ternary_qmark] = ACTIONS(3124),
  },
  [887] = {
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_typeof] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_async] = ACTIONS(1374),
    [anon_sym_QMARK_DOT] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_STAR_STAR] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_QMARK_QMARK] = ACTIONS(1378),
    [anon_sym_instanceof] = ACTIONS(1374),
    [anon_sym_void] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1378),
    [sym_this] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_readonly] = ACTIONS(1374),
    [anon_sym_get] = ACTIONS(1374),
    [anon_sym_set] = ACTIONS(1374),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_any] = ACTIONS(1374),
    [anon_sym_number] = ACTIONS(1374),
    [anon_sym_boolean] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_symbol] = ACTIONS(1374),
    [anon_sym_abstract] = ACTIONS(1374),
    [anon_sym_satisfies] = ACTIONS(1374),
    [anon_sym_infer] = ACTIONS(1374),
    [anon_sym_keyof] = ACTIONS(1374),
    [anon_sym_unknown] = ACTIONS(1374),
    [anon_sym_never] = ACTIONS(1374),
    [anon_sym_object] = ACTIONS(1374),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1378),
    [anon_sym_constructor] = ACTIONS(1374),
    [anon_sym_prop] = ACTIONS(1374),
    [anon_sym_id] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_on] = ACTIONS(1374),
    [sym__automatic_semicolon] = ACTIONS(3102),
    [sym__ternary_qmark] = ACTIONS(1378),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_as] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_in] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_GT] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_QMARK_DOT] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_GT_GT_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_EQ_EQ] = ACTIONS(3126),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3128),
    [anon_sym_QMARK_QMARK] = ACTIONS(3128),
    [anon_sym_instanceof] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_this] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_satisfies] = ACTIONS(3126),
    [anon_sym_extends] = ACTIONS(3126),
    [anon_sym_infer] = ACTIONS(3126),
    [anon_sym_keyof] = ACTIONS(3126),
    [anon_sym_unknown] = ACTIONS(3126),
    [anon_sym_never] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3128),
    [anon_sym_constructor] = ACTIONS(3126),
    [anon_sym_prop] = ACTIONS(3126),
    [anon_sym_id] = ACTIONS(3126),
    [anon_sym_event] = ACTIONS(3126),
    [anon_sym_fn] = ACTIONS(3126),
    [anon_sym_on] = ACTIONS(3126),
    [sym__ternary_qmark] = ACTIONS(3128),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_as] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_QMARK_DOT] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_PIPE_PIPE] = ACTIONS(2746),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_GT_GT_GT] = ACTIONS(2746),
    [anon_sym_LT_LT] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2746),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2746),
    [anon_sym_STAR_STAR] = ACTIONS(2746),
    [anon_sym_LT_EQ] = ACTIONS(2746),
    [anon_sym_EQ_EQ] = ACTIONS(2744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2746),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2746),
    [anon_sym_GT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK] = ACTIONS(2746),
    [anon_sym_instanceof] = ACTIONS(2744),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_this] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_satisfies] = ACTIONS(2744),
    [anon_sym_extends] = ACTIONS(2744),
    [anon_sym_infer] = ACTIONS(2744),
    [anon_sym_keyof] = ACTIONS(2744),
    [anon_sym_unknown] = ACTIONS(2744),
    [anon_sym_never] = ACTIONS(2744),
    [anon_sym_object] = ACTIONS(2744),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2746),
    [anon_sym_constructor] = ACTIONS(2744),
    [anon_sym_prop] = ACTIONS(2744),
    [anon_sym_id] = ACTIONS(2744),
    [anon_sym_event] = ACTIONS(2744),
    [anon_sym_fn] = ACTIONS(2744),
    [anon_sym_on] = ACTIONS(2744),
    [sym__ternary_qmark] = ACTIONS(2746),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_as] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_in] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3133),
    [anon_sym_GT] = ACTIONS(3133),
    [anon_sym_SLASH] = ACTIONS(3133),
    [anon_sym_DOT] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_QMARK_DOT] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_PIPE_PIPE] = ACTIONS(3135),
    [anon_sym_GT_GT] = ACTIONS(3133),
    [anon_sym_GT_GT_GT] = ACTIONS(3135),
    [anon_sym_LT_LT] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PERCENT] = ACTIONS(3135),
    [anon_sym_STAR_STAR] = ACTIONS(3135),
    [anon_sym_LT_EQ] = ACTIONS(3135),
    [anon_sym_EQ_EQ] = ACTIONS(3133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3135),
    [anon_sym_BANG_EQ] = ACTIONS(3133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3135),
    [anon_sym_GT_EQ] = ACTIONS(3135),
    [anon_sym_QMARK_QMARK] = ACTIONS(3135),
    [anon_sym_instanceof] = ACTIONS(3133),
    [anon_sym_void] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_this] = ACTIONS(3133),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [sym_null] = ACTIONS(3133),
    [sym_undefined] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_get] = ACTIONS(3133),
    [anon_sym_set] = ACTIONS(3133),
    [anon_sym_QMARK] = ACTIONS(3133),
    [anon_sym_any] = ACTIONS(3133),
    [anon_sym_number] = ACTIONS(3133),
    [anon_sym_boolean] = ACTIONS(3133),
    [anon_sym_string] = ACTIONS(3133),
    [anon_sym_symbol] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(3133),
    [anon_sym_extends] = ACTIONS(3133),
    [anon_sym_infer] = ACTIONS(3133),
    [anon_sym_keyof] = ACTIONS(3133),
    [anon_sym_unknown] = ACTIONS(3133),
    [anon_sym_never] = ACTIONS(3133),
    [anon_sym_object] = ACTIONS(3133),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3135),
    [anon_sym_constructor] = ACTIONS(3133),
    [anon_sym_prop] = ACTIONS(3133),
    [anon_sym_id] = ACTIONS(3133),
    [anon_sym_event] = ACTIONS(3133),
    [anon_sym_fn] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [sym__ternary_qmark] = ACTIONS(3135),
  },
  [891] = {
    [sym_optional_chain] = STATE(3603),
    [sym_identifier] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_as] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_typeof] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_LPAREN] = ACTIONS(3139),
    [anon_sym_in] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [anon_sym_SLASH] = ACTIONS(3137),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(3137),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_PIPE_PIPE] = ACTIONS(3139),
    [anon_sym_GT_GT] = ACTIONS(3137),
    [anon_sym_GT_GT_GT] = ACTIONS(3139),
    [anon_sym_LT_LT] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_CARET] = ACTIONS(3139),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PERCENT] = ACTIONS(3139),
    [anon_sym_STAR_STAR] = ACTIONS(3139),
    [anon_sym_LT_EQ] = ACTIONS(3139),
    [anon_sym_EQ_EQ] = ACTIONS(3137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3139),
    [anon_sym_BANG_EQ] = ACTIONS(3137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3139),
    [anon_sym_GT_EQ] = ACTIONS(3139),
    [anon_sym_QMARK_QMARK] = ACTIONS(3139),
    [anon_sym_instanceof] = ACTIONS(3137),
    [anon_sym_void] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3139),
    [sym_number] = ACTIONS(3139),
    [sym_this] = ACTIONS(3137),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [sym_null] = ACTIONS(3137),
    [sym_undefined] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_readonly] = ACTIONS(3137),
    [anon_sym_get] = ACTIONS(3137),
    [anon_sym_set] = ACTIONS(3137),
    [anon_sym_QMARK] = ACTIONS(3137),
    [anon_sym_any] = ACTIONS(3137),
    [anon_sym_number] = ACTIONS(3137),
    [anon_sym_boolean] = ACTIONS(3137),
    [anon_sym_string] = ACTIONS(3137),
    [anon_sym_symbol] = ACTIONS(3137),
    [anon_sym_abstract] = ACTIONS(3137),
    [anon_sym_satisfies] = ACTIONS(3137),
    [anon_sym_infer] = ACTIONS(3137),
    [anon_sym_keyof] = ACTIONS(3137),
    [anon_sym_unknown] = ACTIONS(3137),
    [anon_sym_never] = ACTIONS(3137),
    [anon_sym_object] = ACTIONS(3137),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3139),
    [anon_sym_constructor] = ACTIONS(3137),
    [anon_sym_prop] = ACTIONS(3137),
    [anon_sym_id] = ACTIONS(3137),
    [anon_sym_event] = ACTIONS(3137),
    [anon_sym_fn] = ACTIONS(3137),
    [anon_sym_on] = ACTIONS(3137),
    [sym__ternary_qmark] = ACTIONS(3139),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_as] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_in] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3141),
    [anon_sym_GT] = ACTIONS(3141),
    [anon_sym_SLASH] = ACTIONS(3141),
    [anon_sym_DOT] = ACTIONS(3141),
    [anon_sym_async] = ACTIONS(3141),
    [anon_sym_QMARK_DOT] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_PIPE_PIPE] = ACTIONS(3143),
    [anon_sym_GT_GT] = ACTIONS(3141),
    [anon_sym_GT_GT_GT] = ACTIONS(3143),
    [anon_sym_LT_LT] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_PERCENT] = ACTIONS(3143),
    [anon_sym_STAR_STAR] = ACTIONS(3143),
    [anon_sym_LT_EQ] = ACTIONS(3143),
    [anon_sym_EQ_EQ] = ACTIONS(3141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3143),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3143),
    [anon_sym_GT_EQ] = ACTIONS(3143),
    [anon_sym_QMARK_QMARK] = ACTIONS(3143),
    [anon_sym_instanceof] = ACTIONS(3141),
    [anon_sym_void] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3143),
    [sym_this] = ACTIONS(3141),
    [sym_true] = ACTIONS(3141),
    [sym_false] = ACTIONS(3141),
    [sym_null] = ACTIONS(3141),
    [sym_undefined] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_readonly] = ACTIONS(3141),
    [anon_sym_get] = ACTIONS(3141),
    [anon_sym_set] = ACTIONS(3141),
    [anon_sym_QMARK] = ACTIONS(3141),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3141),
    [anon_sym_satisfies] = ACTIONS(3141),
    [anon_sym_extends] = ACTIONS(3141),
    [anon_sym_infer] = ACTIONS(3141),
    [anon_sym_keyof] = ACTIONS(3141),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3143),
    [anon_sym_constructor] = ACTIONS(3141),
    [anon_sym_prop] = ACTIONS(3141),
    [anon_sym_id] = ACTIONS(3141),
    [anon_sym_event] = ACTIONS(3141),
    [anon_sym_fn] = ACTIONS(3141),
    [anon_sym_on] = ACTIONS(3141),
    [sym__ternary_qmark] = ACTIONS(3143),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_as] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_RBRACE] = ACTIONS(3147),
    [anon_sym_typeof] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_in] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_LT] = ACTIONS(3145),
    [anon_sym_GT] = ACTIONS(3145),
    [anon_sym_SLASH] = ACTIONS(3145),
    [anon_sym_DOT] = ACTIONS(3145),
    [anon_sym_async] = ACTIONS(3145),
    [anon_sym_QMARK_DOT] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3147),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_GT_GT] = ACTIONS(3145),
    [anon_sym_GT_GT_GT] = ACTIONS(3147),
    [anon_sym_LT_LT] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_PIPE] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PERCENT] = ACTIONS(3147),
    [anon_sym_STAR_STAR] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3147),
    [anon_sym_EQ_EQ] = ACTIONS(3145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3147),
    [anon_sym_BANG_EQ] = ACTIONS(3145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3147),
    [anon_sym_GT_EQ] = ACTIONS(3147),
    [anon_sym_QMARK_QMARK] = ACTIONS(3147),
    [anon_sym_instanceof] = ACTIONS(3145),
    [anon_sym_void] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [anon_sym_SQUOTE] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3147),
    [sym_number] = ACTIONS(3147),
    [sym_this] = ACTIONS(3145),
    [sym_true] = ACTIONS(3145),
    [sym_false] = ACTIONS(3145),
    [sym_null] = ACTIONS(3145),
    [sym_undefined] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_readonly] = ACTIONS(3145),
    [anon_sym_get] = ACTIONS(3145),
    [anon_sym_set] = ACTIONS(3145),
    [anon_sym_QMARK] = ACTIONS(3145),
    [anon_sym_any] = ACTIONS(3145),
    [anon_sym_number] = ACTIONS(3145),
    [anon_sym_boolean] = ACTIONS(3145),
    [anon_sym_string] = ACTIONS(3145),
    [anon_sym_symbol] = ACTIONS(3145),
    [anon_sym_abstract] = ACTIONS(3145),
    [anon_sym_satisfies] = ACTIONS(3145),
    [anon_sym_extends] = ACTIONS(3145),
    [anon_sym_infer] = ACTIONS(3145),
    [anon_sym_keyof] = ACTIONS(3145),
    [anon_sym_unknown] = ACTIONS(3145),
    [anon_sym_never] = ACTIONS(3145),
    [anon_sym_object] = ACTIONS(3145),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3147),
    [anon_sym_constructor] = ACTIONS(3145),
    [anon_sym_prop] = ACTIONS(3145),
    [anon_sym_id] = ACTIONS(3145),
    [anon_sym_event] = ACTIONS(3145),
    [anon_sym_fn] = ACTIONS(3145),
    [anon_sym_on] = ACTIONS(3145),
    [sym__ternary_qmark] = ACTIONS(3147),
  },
  [894] = {
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_as] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_GT] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_QMARK_DOT] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2736),
    [anon_sym_GT_GT_GT] = ACTIONS(2738),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_STAR_STAR] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ] = ACTIONS(2736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK] = ACTIONS(2738),
    [anon_sym_instanceof] = ACTIONS(2736),
    [anon_sym_void] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2738),
    [sym_number] = ACTIONS(2738),
    [sym_this] = ACTIONS(2736),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [sym_null] = ACTIONS(2736),
    [sym_undefined] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_readonly] = ACTIONS(2736),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(2736),
    [anon_sym_any] = ACTIONS(2736),
    [anon_sym_number] = ACTIONS(2736),
    [anon_sym_boolean] = ACTIONS(2736),
    [anon_sym_string] = ACTIONS(2736),
    [anon_sym_symbol] = ACTIONS(2736),
    [anon_sym_abstract] = ACTIONS(2736),
    [anon_sym_satisfies] = ACTIONS(2736),
    [anon_sym_extends] = ACTIONS(2736),
    [anon_sym_infer] = ACTIONS(2736),
    [anon_sym_keyof] = ACTIONS(2736),
    [anon_sym_unknown] = ACTIONS(2736),
    [anon_sym_never] = ACTIONS(2736),
    [anon_sym_object] = ACTIONS(2736),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2738),
    [anon_sym_constructor] = ACTIONS(2736),
    [anon_sym_prop] = ACTIONS(2736),
    [anon_sym_id] = ACTIONS(2736),
    [anon_sym_event] = ACTIONS(2736),
    [anon_sym_fn] = ACTIONS(2736),
    [anon_sym_on] = ACTIONS(2736),
    [sym__ternary_qmark] = ACTIONS(2738),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_as] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3151),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_in] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LT] = ACTIONS(3149),
    [anon_sym_GT] = ACTIONS(3149),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_QMARK_DOT] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3151),
    [anon_sym_PIPE_PIPE] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3149),
    [anon_sym_GT_GT_GT] = ACTIONS(3151),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3149),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_PIPE] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_PERCENT] = ACTIONS(3151),
    [anon_sym_STAR_STAR] = ACTIONS(3151),
    [anon_sym_LT_EQ] = ACTIONS(3151),
    [anon_sym_EQ_EQ] = ACTIONS(3149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3151),
    [anon_sym_BANG_EQ] = ACTIONS(3149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3151),
    [anon_sym_GT_EQ] = ACTIONS(3151),
    [anon_sym_QMARK_QMARK] = ACTIONS(3151),
    [anon_sym_instanceof] = ACTIONS(3149),
    [anon_sym_void] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3151),
    [sym_number] = ACTIONS(3151),
    [sym_this] = ACTIONS(3149),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_get] = ACTIONS(3149),
    [anon_sym_set] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_any] = ACTIONS(3149),
    [anon_sym_number] = ACTIONS(3149),
    [anon_sym_boolean] = ACTIONS(3149),
    [anon_sym_string] = ACTIONS(3149),
    [anon_sym_symbol] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_satisfies] = ACTIONS(3149),
    [anon_sym_extends] = ACTIONS(3149),
    [anon_sym_infer] = ACTIONS(3149),
    [anon_sym_keyof] = ACTIONS(3149),
    [anon_sym_unknown] = ACTIONS(3149),
    [anon_sym_never] = ACTIONS(3149),
    [anon_sym_object] = ACTIONS(3149),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3151),
    [anon_sym_constructor] = ACTIONS(3149),
    [anon_sym_prop] = ACTIONS(3149),
    [anon_sym_id] = ACTIONS(3149),
    [anon_sym_event] = ACTIONS(3149),
    [anon_sym_fn] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [sym__ternary_qmark] = ACTIONS(3151),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_as] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3151),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_in] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LT] = ACTIONS(3149),
    [anon_sym_GT] = ACTIONS(3149),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_QMARK_DOT] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3151),
    [anon_sym_PIPE_PIPE] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3149),
    [anon_sym_GT_GT_GT] = ACTIONS(3151),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3149),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_PIPE] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_PERCENT] = ACTIONS(3151),
    [anon_sym_STAR_STAR] = ACTIONS(3151),
    [anon_sym_LT_EQ] = ACTIONS(3151),
    [anon_sym_EQ_EQ] = ACTIONS(3149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3151),
    [anon_sym_BANG_EQ] = ACTIONS(3149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3151),
    [anon_sym_GT_EQ] = ACTIONS(3151),
    [anon_sym_QMARK_QMARK] = ACTIONS(3151),
    [anon_sym_instanceof] = ACTIONS(3149),
    [anon_sym_void] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3151),
    [sym_number] = ACTIONS(3151),
    [sym_this] = ACTIONS(3149),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_get] = ACTIONS(3149),
    [anon_sym_set] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_any] = ACTIONS(3149),
    [anon_sym_number] = ACTIONS(3149),
    [anon_sym_boolean] = ACTIONS(3149),
    [anon_sym_string] = ACTIONS(3149),
    [anon_sym_symbol] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_satisfies] = ACTIONS(3149),
    [anon_sym_extends] = ACTIONS(3149),
    [anon_sym_infer] = ACTIONS(3149),
    [anon_sym_keyof] = ACTIONS(3149),
    [anon_sym_unknown] = ACTIONS(3149),
    [anon_sym_never] = ACTIONS(3149),
    [anon_sym_object] = ACTIONS(3149),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3151),
    [anon_sym_constructor] = ACTIONS(3149),
    [anon_sym_prop] = ACTIONS(3149),
    [anon_sym_id] = ACTIONS(3149),
    [anon_sym_event] = ACTIONS(3149),
    [anon_sym_fn] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [sym__ternary_qmark] = ACTIONS(3151),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_as] = ACTIONS(3153),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_typeof] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_in] = ACTIONS(3153),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LT] = ACTIONS(3153),
    [anon_sym_GT] = ACTIONS(3153),
    [anon_sym_SLASH] = ACTIONS(3153),
    [anon_sym_DOT] = ACTIONS(3153),
    [anon_sym_async] = ACTIONS(3153),
    [anon_sym_QMARK_DOT] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3155),
    [anon_sym_PIPE_PIPE] = ACTIONS(3155),
    [anon_sym_GT_GT] = ACTIONS(3153),
    [anon_sym_GT_GT_GT] = ACTIONS(3155),
    [anon_sym_LT_LT] = ACTIONS(3155),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3153),
    [anon_sym_PLUS] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3153),
    [anon_sym_PERCENT] = ACTIONS(3155),
    [anon_sym_STAR_STAR] = ACTIONS(3155),
    [anon_sym_LT_EQ] = ACTIONS(3155),
    [anon_sym_EQ_EQ] = ACTIONS(3153),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3155),
    [anon_sym_BANG_EQ] = ACTIONS(3153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3155),
    [anon_sym_GT_EQ] = ACTIONS(3155),
    [anon_sym_QMARK_QMARK] = ACTIONS(3155),
    [anon_sym_instanceof] = ACTIONS(3153),
    [anon_sym_void] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3155),
    [sym_number] = ACTIONS(3155),
    [sym_this] = ACTIONS(3153),
    [sym_true] = ACTIONS(3153),
    [sym_false] = ACTIONS(3153),
    [sym_null] = ACTIONS(3153),
    [sym_undefined] = ACTIONS(3153),
    [anon_sym_static] = ACTIONS(3153),
    [anon_sym_readonly] = ACTIONS(3153),
    [anon_sym_get] = ACTIONS(3153),
    [anon_sym_set] = ACTIONS(3153),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3153),
    [anon_sym_number] = ACTIONS(3153),
    [anon_sym_boolean] = ACTIONS(3153),
    [anon_sym_string] = ACTIONS(3153),
    [anon_sym_symbol] = ACTIONS(3153),
    [anon_sym_abstract] = ACTIONS(3153),
    [anon_sym_satisfies] = ACTIONS(3153),
    [anon_sym_extends] = ACTIONS(3153),
    [anon_sym_infer] = ACTIONS(3153),
    [anon_sym_keyof] = ACTIONS(3153),
    [anon_sym_unknown] = ACTIONS(3153),
    [anon_sym_never] = ACTIONS(3153),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3155),
    [anon_sym_constructor] = ACTIONS(3153),
    [anon_sym_prop] = ACTIONS(3153),
    [anon_sym_id] = ACTIONS(3153),
    [anon_sym_event] = ACTIONS(3153),
    [anon_sym_fn] = ACTIONS(3153),
    [anon_sym_on] = ACTIONS(3153),
    [sym__ternary_qmark] = ACTIONS(3155),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_as] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3151),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_in] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LT] = ACTIONS(3149),
    [anon_sym_GT] = ACTIONS(3149),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_QMARK_DOT] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3151),
    [anon_sym_PIPE_PIPE] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3149),
    [anon_sym_GT_GT_GT] = ACTIONS(3151),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3149),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_PIPE] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_PERCENT] = ACTIONS(3151),
    [anon_sym_STAR_STAR] = ACTIONS(3151),
    [anon_sym_LT_EQ] = ACTIONS(3151),
    [anon_sym_EQ_EQ] = ACTIONS(3149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3151),
    [anon_sym_BANG_EQ] = ACTIONS(3149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3151),
    [anon_sym_GT_EQ] = ACTIONS(3151),
    [anon_sym_QMARK_QMARK] = ACTIONS(3151),
    [anon_sym_instanceof] = ACTIONS(3149),
    [anon_sym_void] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3151),
    [sym_number] = ACTIONS(3151),
    [sym_this] = ACTIONS(3149),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_get] = ACTIONS(3149),
    [anon_sym_set] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_any] = ACTIONS(3149),
    [anon_sym_number] = ACTIONS(3149),
    [anon_sym_boolean] = ACTIONS(3149),
    [anon_sym_string] = ACTIONS(3149),
    [anon_sym_symbol] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_satisfies] = ACTIONS(3149),
    [anon_sym_extends] = ACTIONS(3149),
    [anon_sym_infer] = ACTIONS(3149),
    [anon_sym_keyof] = ACTIONS(3149),
    [anon_sym_unknown] = ACTIONS(3149),
    [anon_sym_never] = ACTIONS(3149),
    [anon_sym_object] = ACTIONS(3149),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3151),
    [anon_sym_constructor] = ACTIONS(3149),
    [anon_sym_prop] = ACTIONS(3149),
    [anon_sym_id] = ACTIONS(3149),
    [anon_sym_event] = ACTIONS(3149),
    [anon_sym_fn] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [sym__ternary_qmark] = ACTIONS(3151),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_as] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3159),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_in] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LT] = ACTIONS(3157),
    [anon_sym_GT] = ACTIONS(3157),
    [anon_sym_SLASH] = ACTIONS(3157),
    [anon_sym_DOT] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_QMARK_DOT] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3159),
    [anon_sym_PIPE_PIPE] = ACTIONS(3159),
    [anon_sym_GT_GT] = ACTIONS(3157),
    [anon_sym_GT_GT_GT] = ACTIONS(3159),
    [anon_sym_LT_LT] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3157),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_PIPE] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_PERCENT] = ACTIONS(3159),
    [anon_sym_STAR_STAR] = ACTIONS(3159),
    [anon_sym_LT_EQ] = ACTIONS(3159),
    [anon_sym_EQ_EQ] = ACTIONS(3157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3159),
    [anon_sym_BANG_EQ] = ACTIONS(3157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3159),
    [anon_sym_GT_EQ] = ACTIONS(3159),
    [anon_sym_QMARK_QMARK] = ACTIONS(3159),
    [anon_sym_instanceof] = ACTIONS(3157),
    [anon_sym_void] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3159),
    [sym_number] = ACTIONS(3159),
    [sym_this] = ACTIONS(3157),
    [sym_true] = ACTIONS(3157),
    [sym_false] = ACTIONS(3157),
    [sym_null] = ACTIONS(3157),
    [sym_undefined] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_get] = ACTIONS(3157),
    [anon_sym_set] = ACTIONS(3157),
    [anon_sym_QMARK] = ACTIONS(3157),
    [anon_sym_any] = ACTIONS(3157),
    [anon_sym_number] = ACTIONS(3157),
    [anon_sym_boolean] = ACTIONS(3157),
    [anon_sym_string] = ACTIONS(3157),
    [anon_sym_symbol] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_satisfies] = ACTIONS(3157),
    [anon_sym_extends] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3157),
    [anon_sym_keyof] = ACTIONS(3157),
    [anon_sym_unknown] = ACTIONS(3157),
    [anon_sym_never] = ACTIONS(3157),
    [anon_sym_object] = ACTIONS(3157),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3159),
    [anon_sym_constructor] = ACTIONS(3157),
    [anon_sym_prop] = ACTIONS(3157),
    [anon_sym_id] = ACTIONS(3157),
    [anon_sym_event] = ACTIONS(3157),
    [anon_sym_fn] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [sym__ternary_qmark] = ACTIONS(3159),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_as] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3159),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_in] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LT] = ACTIONS(3157),
    [anon_sym_GT] = ACTIONS(3157),
    [anon_sym_SLASH] = ACTIONS(3157),
    [anon_sym_DOT] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_QMARK_DOT] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3159),
    [anon_sym_PIPE_PIPE] = ACTIONS(3159),
    [anon_sym_GT_GT] = ACTIONS(3157),
    [anon_sym_GT_GT_GT] = ACTIONS(3159),
    [anon_sym_LT_LT] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3157),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_PIPE] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_PERCENT] = ACTIONS(3159),
    [anon_sym_STAR_STAR] = ACTIONS(3159),
    [anon_sym_LT_EQ] = ACTIONS(3159),
    [anon_sym_EQ_EQ] = ACTIONS(3157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3159),
    [anon_sym_BANG_EQ] = ACTIONS(3157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3159),
    [anon_sym_GT_EQ] = ACTIONS(3159),
    [anon_sym_QMARK_QMARK] = ACTIONS(3159),
    [anon_sym_instanceof] = ACTIONS(3157),
    [anon_sym_void] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3159),
    [sym_number] = ACTIONS(3159),
    [sym_this] = ACTIONS(3157),
    [sym_true] = ACTIONS(3157),
    [sym_false] = ACTIONS(3157),
    [sym_null] = ACTIONS(3157),
    [sym_undefined] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_get] = ACTIONS(3157),
    [anon_sym_set] = ACTIONS(3157),
    [anon_sym_QMARK] = ACTIONS(3157),
    [anon_sym_any] = ACTIONS(3157),
    [anon_sym_number] = ACTIONS(3157),
    [anon_sym_boolean] = ACTIONS(3157),
    [anon_sym_string] = ACTIONS(3157),
    [anon_sym_symbol] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_satisfies] = ACTIONS(3157),
    [anon_sym_extends] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3157),
    [anon_sym_keyof] = ACTIONS(3157),
    [anon_sym_unknown] = ACTIONS(3157),
    [anon_sym_never] = ACTIONS(3157),
    [anon_sym_object] = ACTIONS(3157),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3159),
    [anon_sym_constructor] = ACTIONS(3157),
    [anon_sym_prop] = ACTIONS(3157),
    [anon_sym_id] = ACTIONS(3157),
    [anon_sym_event] = ACTIONS(3157),
    [anon_sym_fn] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [sym__ternary_qmark] = ACTIONS(3159),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_as] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3159),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_in] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LT] = ACTIONS(3157),
    [anon_sym_GT] = ACTIONS(3157),
    [anon_sym_SLASH] = ACTIONS(3157),
    [anon_sym_DOT] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_QMARK_DOT] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3159),
    [anon_sym_PIPE_PIPE] = ACTIONS(3159),
    [anon_sym_GT_GT] = ACTIONS(3157),
    [anon_sym_GT_GT_GT] = ACTIONS(3159),
    [anon_sym_LT_LT] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3157),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_PIPE] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_PERCENT] = ACTIONS(3159),
    [anon_sym_STAR_STAR] = ACTIONS(3159),
    [anon_sym_LT_EQ] = ACTIONS(3159),
    [anon_sym_EQ_EQ] = ACTIONS(3157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3159),
    [anon_sym_BANG_EQ] = ACTIONS(3157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3159),
    [anon_sym_GT_EQ] = ACTIONS(3159),
    [anon_sym_QMARK_QMARK] = ACTIONS(3159),
    [anon_sym_instanceof] = ACTIONS(3157),
    [anon_sym_void] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3159),
    [sym_number] = ACTIONS(3159),
    [sym_this] = ACTIONS(3157),
    [sym_true] = ACTIONS(3157),
    [sym_false] = ACTIONS(3157),
    [sym_null] = ACTIONS(3157),
    [sym_undefined] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_get] = ACTIONS(3157),
    [anon_sym_set] = ACTIONS(3157),
    [anon_sym_QMARK] = ACTIONS(3157),
    [anon_sym_any] = ACTIONS(3157),
    [anon_sym_number] = ACTIONS(3157),
    [anon_sym_boolean] = ACTIONS(3157),
    [anon_sym_string] = ACTIONS(3157),
    [anon_sym_symbol] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_satisfies] = ACTIONS(3157),
    [anon_sym_extends] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3157),
    [anon_sym_keyof] = ACTIONS(3157),
    [anon_sym_unknown] = ACTIONS(3157),
    [anon_sym_never] = ACTIONS(3157),
    [anon_sym_object] = ACTIONS(3157),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3159),
    [anon_sym_constructor] = ACTIONS(3157),
    [anon_sym_prop] = ACTIONS(3157),
    [anon_sym_id] = ACTIONS(3157),
    [anon_sym_event] = ACTIONS(3157),
    [anon_sym_fn] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [sym__ternary_qmark] = ACTIONS(3159),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_as] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_in] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3133),
    [anon_sym_GT] = ACTIONS(3133),
    [anon_sym_SLASH] = ACTIONS(3133),
    [anon_sym_DOT] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_QMARK_DOT] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_PIPE_PIPE] = ACTIONS(3135),
    [anon_sym_GT_GT] = ACTIONS(3133),
    [anon_sym_GT_GT_GT] = ACTIONS(3135),
    [anon_sym_LT_LT] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PERCENT] = ACTIONS(3135),
    [anon_sym_STAR_STAR] = ACTIONS(3135),
    [anon_sym_LT_EQ] = ACTIONS(3135),
    [anon_sym_EQ_EQ] = ACTIONS(3133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3135),
    [anon_sym_BANG_EQ] = ACTIONS(3133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3135),
    [anon_sym_GT_EQ] = ACTIONS(3135),
    [anon_sym_QMARK_QMARK] = ACTIONS(3135),
    [anon_sym_instanceof] = ACTIONS(3133),
    [anon_sym_void] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_this] = ACTIONS(3133),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [sym_null] = ACTIONS(3133),
    [sym_undefined] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_get] = ACTIONS(3133),
    [anon_sym_set] = ACTIONS(3133),
    [anon_sym_QMARK] = ACTIONS(3133),
    [anon_sym_any] = ACTIONS(3133),
    [anon_sym_number] = ACTIONS(3133),
    [anon_sym_boolean] = ACTIONS(3133),
    [anon_sym_string] = ACTIONS(3133),
    [anon_sym_symbol] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(3133),
    [anon_sym_extends] = ACTIONS(3133),
    [anon_sym_infer] = ACTIONS(3133),
    [anon_sym_keyof] = ACTIONS(3133),
    [anon_sym_unknown] = ACTIONS(3133),
    [anon_sym_never] = ACTIONS(3133),
    [anon_sym_object] = ACTIONS(3133),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3135),
    [anon_sym_constructor] = ACTIONS(3133),
    [anon_sym_prop] = ACTIONS(3133),
    [anon_sym_id] = ACTIONS(3133),
    [anon_sym_event] = ACTIONS(3133),
    [anon_sym_fn] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [sym__ternary_qmark] = ACTIONS(3135),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3161),
    [anon_sym_STAR] = ACTIONS(3161),
    [anon_sym_as] = ACTIONS(3161),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3161),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_in] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3161),
    [anon_sym_GT] = ACTIONS(3161),
    [anon_sym_SLASH] = ACTIONS(3161),
    [anon_sym_DOT] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3161),
    [anon_sym_QMARK_DOT] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3161),
    [anon_sym_AMP_AMP] = ACTIONS(3163),
    [anon_sym_PIPE_PIPE] = ACTIONS(3163),
    [anon_sym_GT_GT] = ACTIONS(3161),
    [anon_sym_GT_GT_GT] = ACTIONS(3163),
    [anon_sym_LT_LT] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(3161),
    [anon_sym_CARET] = ACTIONS(3163),
    [anon_sym_PIPE] = ACTIONS(3161),
    [anon_sym_PLUS] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3161),
    [anon_sym_PERCENT] = ACTIONS(3163),
    [anon_sym_STAR_STAR] = ACTIONS(3163),
    [anon_sym_LT_EQ] = ACTIONS(3163),
    [anon_sym_EQ_EQ] = ACTIONS(3161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3163),
    [anon_sym_BANG_EQ] = ACTIONS(3161),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3163),
    [anon_sym_GT_EQ] = ACTIONS(3163),
    [anon_sym_QMARK_QMARK] = ACTIONS(3163),
    [anon_sym_instanceof] = ACTIONS(3161),
    [anon_sym_void] = ACTIONS(3161),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_this] = ACTIONS(3161),
    [sym_true] = ACTIONS(3161),
    [sym_false] = ACTIONS(3161),
    [sym_null] = ACTIONS(3161),
    [sym_undefined] = ACTIONS(3161),
    [anon_sym_static] = ACTIONS(3161),
    [anon_sym_readonly] = ACTIONS(3161),
    [anon_sym_get] = ACTIONS(3161),
    [anon_sym_set] = ACTIONS(3161),
    [anon_sym_QMARK] = ACTIONS(3161),
    [anon_sym_any] = ACTIONS(3161),
    [anon_sym_number] = ACTIONS(3161),
    [anon_sym_boolean] = ACTIONS(3161),
    [anon_sym_string] = ACTIONS(3161),
    [anon_sym_symbol] = ACTIONS(3161),
    [anon_sym_abstract] = ACTIONS(3161),
    [anon_sym_satisfies] = ACTIONS(3161),
    [anon_sym_extends] = ACTIONS(3161),
    [anon_sym_infer] = ACTIONS(3161),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unknown] = ACTIONS(3161),
    [anon_sym_never] = ACTIONS(3161),
    [anon_sym_object] = ACTIONS(3161),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3163),
    [anon_sym_constructor] = ACTIONS(3161),
    [anon_sym_prop] = ACTIONS(3161),
    [anon_sym_id] = ACTIONS(3161),
    [anon_sym_event] = ACTIONS(3161),
    [anon_sym_fn] = ACTIONS(3161),
    [anon_sym_on] = ACTIONS(3161),
    [sym__ternary_qmark] = ACTIONS(3163),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_as] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_in] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3133),
    [anon_sym_GT] = ACTIONS(3133),
    [anon_sym_SLASH] = ACTIONS(3133),
    [anon_sym_DOT] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_QMARK_DOT] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_PIPE_PIPE] = ACTIONS(3135),
    [anon_sym_GT_GT] = ACTIONS(3133),
    [anon_sym_GT_GT_GT] = ACTIONS(3135),
    [anon_sym_LT_LT] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PERCENT] = ACTIONS(3135),
    [anon_sym_STAR_STAR] = ACTIONS(3135),
    [anon_sym_LT_EQ] = ACTIONS(3135),
    [anon_sym_EQ_EQ] = ACTIONS(3133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3135),
    [anon_sym_BANG_EQ] = ACTIONS(3133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3135),
    [anon_sym_GT_EQ] = ACTIONS(3135),
    [anon_sym_QMARK_QMARK] = ACTIONS(3135),
    [anon_sym_instanceof] = ACTIONS(3133),
    [anon_sym_void] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_this] = ACTIONS(3133),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [sym_null] = ACTIONS(3133),
    [sym_undefined] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_get] = ACTIONS(3133),
    [anon_sym_set] = ACTIONS(3133),
    [anon_sym_QMARK] = ACTIONS(3133),
    [anon_sym_any] = ACTIONS(3133),
    [anon_sym_number] = ACTIONS(3133),
    [anon_sym_boolean] = ACTIONS(3133),
    [anon_sym_string] = ACTIONS(3133),
    [anon_sym_symbol] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(3133),
    [anon_sym_extends] = ACTIONS(3133),
    [anon_sym_infer] = ACTIONS(3133),
    [anon_sym_keyof] = ACTIONS(3133),
    [anon_sym_unknown] = ACTIONS(3133),
    [anon_sym_never] = ACTIONS(3133),
    [anon_sym_object] = ACTIONS(3133),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3135),
    [anon_sym_constructor] = ACTIONS(3133),
    [anon_sym_prop] = ACTIONS(3133),
    [anon_sym_id] = ACTIONS(3133),
    [anon_sym_event] = ACTIONS(3133),
    [anon_sym_fn] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [sym__ternary_qmark] = ACTIONS(3135),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(3165),
    [anon_sym_as] = ACTIONS(3165),
    [anon_sym_LBRACE] = ACTIONS(3165),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_typeof] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_in] = ACTIONS(3165),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3165),
    [anon_sym_GT] = ACTIONS(3165),
    [anon_sym_SLASH] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(3165),
    [anon_sym_async] = ACTIONS(3165),
    [anon_sym_QMARK_DOT] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3165),
    [anon_sym_AMP_AMP] = ACTIONS(3167),
    [anon_sym_PIPE_PIPE] = ACTIONS(3167),
    [anon_sym_GT_GT] = ACTIONS(3165),
    [anon_sym_GT_GT_GT] = ACTIONS(3167),
    [anon_sym_LT_LT] = ACTIONS(3167),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_CARET] = ACTIONS(3167),
    [anon_sym_PIPE] = ACTIONS(3165),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3165),
    [anon_sym_PERCENT] = ACTIONS(3167),
    [anon_sym_STAR_STAR] = ACTIONS(3167),
    [anon_sym_LT_EQ] = ACTIONS(3167),
    [anon_sym_EQ_EQ] = ACTIONS(3165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3167),
    [anon_sym_BANG_EQ] = ACTIONS(3165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3167),
    [anon_sym_GT_EQ] = ACTIONS(3167),
    [anon_sym_QMARK_QMARK] = ACTIONS(3167),
    [anon_sym_instanceof] = ACTIONS(3165),
    [anon_sym_void] = ACTIONS(3165),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3167),
    [sym_number] = ACTIONS(3167),
    [sym_this] = ACTIONS(3165),
    [sym_true] = ACTIONS(3165),
    [sym_false] = ACTIONS(3165),
    [sym_null] = ACTIONS(3165),
    [sym_undefined] = ACTIONS(3165),
    [anon_sym_static] = ACTIONS(3165),
    [anon_sym_readonly] = ACTIONS(3165),
    [anon_sym_get] = ACTIONS(3165),
    [anon_sym_set] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(3165),
    [anon_sym_any] = ACTIONS(3165),
    [anon_sym_number] = ACTIONS(3165),
    [anon_sym_boolean] = ACTIONS(3165),
    [anon_sym_string] = ACTIONS(3165),
    [anon_sym_symbol] = ACTIONS(3165),
    [anon_sym_abstract] = ACTIONS(3165),
    [anon_sym_satisfies] = ACTIONS(3165),
    [anon_sym_extends] = ACTIONS(3165),
    [anon_sym_infer] = ACTIONS(3165),
    [anon_sym_keyof] = ACTIONS(3165),
    [anon_sym_unknown] = ACTIONS(3165),
    [anon_sym_never] = ACTIONS(3165),
    [anon_sym_object] = ACTIONS(3165),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3167),
    [anon_sym_constructor] = ACTIONS(3165),
    [anon_sym_prop] = ACTIONS(3165),
    [anon_sym_id] = ACTIONS(3165),
    [anon_sym_event] = ACTIONS(3165),
    [anon_sym_fn] = ACTIONS(3165),
    [anon_sym_on] = ACTIONS(3165),
    [sym__ternary_qmark] = ACTIONS(3167),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_as] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [anon_sym_SLASH] = ACTIONS(3169),
    [anon_sym_DOT] = ACTIONS(3169),
    [anon_sym_async] = ACTIONS(3169),
    [anon_sym_QMARK_DOT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3169),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_STAR_STAR] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_QMARK_QMARK] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3169),
    [anon_sym_void] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_number] = ACTIONS(3171),
    [sym_this] = ACTIONS(3169),
    [sym_true] = ACTIONS(3169),
    [sym_false] = ACTIONS(3169),
    [sym_null] = ACTIONS(3169),
    [sym_undefined] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_readonly] = ACTIONS(3169),
    [anon_sym_get] = ACTIONS(3169),
    [anon_sym_set] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3169),
    [anon_sym_any] = ACTIONS(3169),
    [anon_sym_number] = ACTIONS(3169),
    [anon_sym_boolean] = ACTIONS(3169),
    [anon_sym_string] = ACTIONS(3169),
    [anon_sym_symbol] = ACTIONS(3169),
    [anon_sym_abstract] = ACTIONS(3169),
    [anon_sym_satisfies] = ACTIONS(3169),
    [anon_sym_extends] = ACTIONS(3169),
    [anon_sym_infer] = ACTIONS(3169),
    [anon_sym_keyof] = ACTIONS(3169),
    [anon_sym_unknown] = ACTIONS(3169),
    [anon_sym_never] = ACTIONS(3169),
    [anon_sym_object] = ACTIONS(3169),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3171),
    [anon_sym_constructor] = ACTIONS(3169),
    [anon_sym_prop] = ACTIONS(3169),
    [anon_sym_id] = ACTIONS(3169),
    [anon_sym_event] = ACTIONS(3169),
    [anon_sym_fn] = ACTIONS(3169),
    [anon_sym_on] = ACTIONS(3169),
    [sym__ternary_qmark] = ACTIONS(3171),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_as] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3175),
    [anon_sym_GT] = ACTIONS(3175),
    [anon_sym_SLASH] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(3175),
    [anon_sym_async] = ACTIONS(3175),
    [anon_sym_QMARK_DOT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3175),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_STAR_STAR] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_QMARK_QMARK] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3175),
    [anon_sym_void] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_this] = ACTIONS(3175),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [sym_null] = ACTIONS(3175),
    [sym_undefined] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_readonly] = ACTIONS(3175),
    [anon_sym_get] = ACTIONS(3175),
    [anon_sym_set] = ACTIONS(3175),
    [anon_sym_QMARK] = ACTIONS(3175),
    [anon_sym_any] = ACTIONS(3175),
    [anon_sym_number] = ACTIONS(3175),
    [anon_sym_boolean] = ACTIONS(3175),
    [anon_sym_string] = ACTIONS(3175),
    [anon_sym_symbol] = ACTIONS(3175),
    [anon_sym_abstract] = ACTIONS(3175),
    [anon_sym_satisfies] = ACTIONS(3175),
    [anon_sym_extends] = ACTIONS(3175),
    [anon_sym_infer] = ACTIONS(3175),
    [anon_sym_keyof] = ACTIONS(3175),
    [anon_sym_unknown] = ACTIONS(3175),
    [anon_sym_never] = ACTIONS(3175),
    [anon_sym_object] = ACTIONS(3175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3177),
    [anon_sym_constructor] = ACTIONS(3175),
    [anon_sym_prop] = ACTIONS(3175),
    [anon_sym_id] = ACTIONS(3175),
    [anon_sym_event] = ACTIONS(3175),
    [anon_sym_fn] = ACTIONS(3175),
    [anon_sym_on] = ACTIONS(3175),
    [sym__ternary_qmark] = ACTIONS(3177),
  },
  [908] = {
    [sym_identifier] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_as] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_GT] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_DOT] = ACTIONS(2806),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_QMARK_DOT] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_PIPE_PIPE] = ACTIONS(2808),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_GT_GT_GT] = ACTIONS(2808),
    [anon_sym_LT_LT] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_CARET] = ACTIONS(2808),
    [anon_sym_PIPE] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PERCENT] = ACTIONS(2808),
    [anon_sym_STAR_STAR] = ACTIONS(2808),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_EQ_EQ] = ACTIONS(2806),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2806),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK] = ACTIONS(2808),
    [anon_sym_instanceof] = ACTIONS(2806),
    [anon_sym_void] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2808),
    [sym_number] = ACTIONS(2808),
    [sym_this] = ACTIONS(2806),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [sym_null] = ACTIONS(2806),
    [sym_undefined] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_readonly] = ACTIONS(2806),
    [anon_sym_get] = ACTIONS(2806),
    [anon_sym_set] = ACTIONS(2806),
    [anon_sym_QMARK] = ACTIONS(2806),
    [anon_sym_any] = ACTIONS(2806),
    [anon_sym_number] = ACTIONS(2806),
    [anon_sym_boolean] = ACTIONS(2806),
    [anon_sym_string] = ACTIONS(2806),
    [anon_sym_symbol] = ACTIONS(2806),
    [anon_sym_abstract] = ACTIONS(2806),
    [anon_sym_satisfies] = ACTIONS(2806),
    [anon_sym_extends] = ACTIONS(2806),
    [anon_sym_infer] = ACTIONS(2806),
    [anon_sym_keyof] = ACTIONS(2806),
    [anon_sym_unknown] = ACTIONS(2806),
    [anon_sym_never] = ACTIONS(2806),
    [anon_sym_object] = ACTIONS(2806),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2808),
    [anon_sym_constructor] = ACTIONS(2806),
    [anon_sym_prop] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
    [anon_sym_event] = ACTIONS(2806),
    [anon_sym_fn] = ACTIONS(2806),
    [anon_sym_on] = ACTIONS(2806),
    [sym__ternary_qmark] = ACTIONS(2808),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_as] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3181),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_QMARK_DOT] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3181),
    [anon_sym_LT_LT] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3181),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3181),
    [anon_sym_STAR_STAR] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3181),
    [anon_sym_GT_EQ] = ACTIONS(3181),
    [anon_sym_QMARK_QMARK] = ACTIONS(3181),
    [anon_sym_instanceof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3181),
    [sym_number] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_satisfies] = ACTIONS(3179),
    [anon_sym_extends] = ACTIONS(3179),
    [anon_sym_infer] = ACTIONS(3179),
    [anon_sym_keyof] = ACTIONS(3179),
    [anon_sym_unknown] = ACTIONS(3179),
    [anon_sym_never] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3181),
    [anon_sym_constructor] = ACTIONS(3179),
    [anon_sym_prop] = ACTIONS(3179),
    [anon_sym_id] = ACTIONS(3179),
    [anon_sym_event] = ACTIONS(3179),
    [anon_sym_fn] = ACTIONS(3179),
    [anon_sym_on] = ACTIONS(3179),
    [sym__ternary_qmark] = ACTIONS(3181),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_as] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3185),
    [anon_sym_in] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_LT] = ACTIONS(3183),
    [anon_sym_GT] = ACTIONS(3183),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_DOT] = ACTIONS(3183),
    [anon_sym_async] = ACTIONS(3183),
    [anon_sym_QMARK_DOT] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_PIPE_PIPE] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3183),
    [anon_sym_GT_GT_GT] = ACTIONS(3185),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_CARET] = ACTIONS(3185),
    [anon_sym_PIPE] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PERCENT] = ACTIONS(3185),
    [anon_sym_STAR_STAR] = ACTIONS(3185),
    [anon_sym_LT_EQ] = ACTIONS(3185),
    [anon_sym_EQ_EQ] = ACTIONS(3183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3185),
    [anon_sym_BANG_EQ] = ACTIONS(3183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3185),
    [anon_sym_GT_EQ] = ACTIONS(3185),
    [anon_sym_QMARK_QMARK] = ACTIONS(3185),
    [anon_sym_instanceof] = ACTIONS(3183),
    [anon_sym_void] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3185),
    [sym_number] = ACTIONS(3185),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [sym_null] = ACTIONS(3183),
    [sym_undefined] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_readonly] = ACTIONS(3183),
    [anon_sym_get] = ACTIONS(3183),
    [anon_sym_set] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(3183),
    [anon_sym_any] = ACTIONS(3183),
    [anon_sym_number] = ACTIONS(3183),
    [anon_sym_boolean] = ACTIONS(3183),
    [anon_sym_string] = ACTIONS(3183),
    [anon_sym_symbol] = ACTIONS(3183),
    [anon_sym_abstract] = ACTIONS(3183),
    [anon_sym_satisfies] = ACTIONS(3183),
    [anon_sym_extends] = ACTIONS(3183),
    [anon_sym_infer] = ACTIONS(3183),
    [anon_sym_keyof] = ACTIONS(3183),
    [anon_sym_unknown] = ACTIONS(3183),
    [anon_sym_never] = ACTIONS(3183),
    [anon_sym_object] = ACTIONS(3183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3185),
    [anon_sym_constructor] = ACTIONS(3183),
    [anon_sym_prop] = ACTIONS(3183),
    [anon_sym_id] = ACTIONS(3183),
    [anon_sym_event] = ACTIONS(3183),
    [anon_sym_fn] = ACTIONS(3183),
    [anon_sym_on] = ACTIONS(3183),
    [sym__ternary_qmark] = ACTIONS(3185),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_as] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_in] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(3187),
    [anon_sym_GT] = ACTIONS(3187),
    [anon_sym_SLASH] = ACTIONS(3187),
    [anon_sym_DOT] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_QMARK_DOT] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_PIPE_PIPE] = ACTIONS(3189),
    [anon_sym_GT_GT] = ACTIONS(3187),
    [anon_sym_GT_GT_GT] = ACTIONS(3189),
    [anon_sym_LT_LT] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PERCENT] = ACTIONS(3189),
    [anon_sym_STAR_STAR] = ACTIONS(3189),
    [anon_sym_LT_EQ] = ACTIONS(3189),
    [anon_sym_EQ_EQ] = ACTIONS(3187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3189),
    [anon_sym_BANG_EQ] = ACTIONS(3187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3189),
    [anon_sym_GT_EQ] = ACTIONS(3189),
    [anon_sym_QMARK_QMARK] = ACTIONS(3189),
    [anon_sym_instanceof] = ACTIONS(3187),
    [anon_sym_void] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3189),
    [sym_number] = ACTIONS(3189),
    [sym_this] = ACTIONS(3187),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [sym_null] = ACTIONS(3187),
    [sym_undefined] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_get] = ACTIONS(3187),
    [anon_sym_set] = ACTIONS(3187),
    [anon_sym_QMARK] = ACTIONS(3187),
    [anon_sym_any] = ACTIONS(3187),
    [anon_sym_number] = ACTIONS(3187),
    [anon_sym_boolean] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_symbol] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_satisfies] = ACTIONS(3187),
    [anon_sym_extends] = ACTIONS(3187),
    [anon_sym_infer] = ACTIONS(3187),
    [anon_sym_keyof] = ACTIONS(3187),
    [anon_sym_unknown] = ACTIONS(3187),
    [anon_sym_never] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3189),
    [anon_sym_constructor] = ACTIONS(3187),
    [anon_sym_prop] = ACTIONS(3187),
    [anon_sym_id] = ACTIONS(3187),
    [anon_sym_event] = ACTIONS(3187),
    [anon_sym_fn] = ACTIONS(3187),
    [anon_sym_on] = ACTIONS(3187),
    [sym__ternary_qmark] = ACTIONS(3189),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_as] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3191),
    [anon_sym_GT] = ACTIONS(3191),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(3191),
    [anon_sym_async] = ACTIONS(3191),
    [anon_sym_QMARK_DOT] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_PIPE_PIPE] = ACTIONS(3193),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3193),
    [anon_sym_LT_LT] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3193),
    [anon_sym_PIPE] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PERCENT] = ACTIONS(3193),
    [anon_sym_STAR_STAR] = ACTIONS(3193),
    [anon_sym_LT_EQ] = ACTIONS(3193),
    [anon_sym_EQ_EQ] = ACTIONS(3191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3193),
    [anon_sym_BANG_EQ] = ACTIONS(3191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3193),
    [anon_sym_GT_EQ] = ACTIONS(3193),
    [anon_sym_QMARK_QMARK] = ACTIONS(3193),
    [anon_sym_instanceof] = ACTIONS(3191),
    [anon_sym_void] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [sym_null] = ACTIONS(3191),
    [sym_undefined] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_readonly] = ACTIONS(3191),
    [anon_sym_get] = ACTIONS(3191),
    [anon_sym_set] = ACTIONS(3191),
    [anon_sym_QMARK] = ACTIONS(3191),
    [anon_sym_any] = ACTIONS(3191),
    [anon_sym_number] = ACTIONS(3191),
    [anon_sym_boolean] = ACTIONS(3191),
    [anon_sym_string] = ACTIONS(3191),
    [anon_sym_symbol] = ACTIONS(3191),
    [anon_sym_abstract] = ACTIONS(3191),
    [anon_sym_satisfies] = ACTIONS(3191),
    [anon_sym_extends] = ACTIONS(3191),
    [anon_sym_infer] = ACTIONS(3191),
    [anon_sym_keyof] = ACTIONS(3191),
    [anon_sym_unknown] = ACTIONS(3191),
    [anon_sym_never] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(3191),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3193),
    [anon_sym_constructor] = ACTIONS(3191),
    [anon_sym_prop] = ACTIONS(3191),
    [anon_sym_id] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3191),
    [anon_sym_fn] = ACTIONS(3191),
    [anon_sym_on] = ACTIONS(3191),
    [sym__ternary_qmark] = ACTIONS(3193),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_as] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3191),
    [anon_sym_GT] = ACTIONS(3191),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(3191),
    [anon_sym_async] = ACTIONS(3191),
    [anon_sym_QMARK_DOT] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_PIPE_PIPE] = ACTIONS(3193),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3193),
    [anon_sym_LT_LT] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3193),
    [anon_sym_PIPE] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PERCENT] = ACTIONS(3193),
    [anon_sym_STAR_STAR] = ACTIONS(3193),
    [anon_sym_LT_EQ] = ACTIONS(3193),
    [anon_sym_EQ_EQ] = ACTIONS(3191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3193),
    [anon_sym_BANG_EQ] = ACTIONS(3191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3193),
    [anon_sym_GT_EQ] = ACTIONS(3193),
    [anon_sym_QMARK_QMARK] = ACTIONS(3193),
    [anon_sym_instanceof] = ACTIONS(3191),
    [anon_sym_void] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [sym_null] = ACTIONS(3191),
    [sym_undefined] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_readonly] = ACTIONS(3191),
    [anon_sym_get] = ACTIONS(3191),
    [anon_sym_set] = ACTIONS(3191),
    [anon_sym_QMARK] = ACTIONS(3191),
    [anon_sym_any] = ACTIONS(3191),
    [anon_sym_number] = ACTIONS(3191),
    [anon_sym_boolean] = ACTIONS(3191),
    [anon_sym_string] = ACTIONS(3191),
    [anon_sym_symbol] = ACTIONS(3191),
    [anon_sym_abstract] = ACTIONS(3191),
    [anon_sym_satisfies] = ACTIONS(3191),
    [anon_sym_extends] = ACTIONS(3191),
    [anon_sym_infer] = ACTIONS(3191),
    [anon_sym_keyof] = ACTIONS(3191),
    [anon_sym_unknown] = ACTIONS(3191),
    [anon_sym_never] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(3191),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3193),
    [anon_sym_constructor] = ACTIONS(3191),
    [anon_sym_prop] = ACTIONS(3191),
    [anon_sym_id] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3191),
    [anon_sym_fn] = ACTIONS(3191),
    [anon_sym_on] = ACTIONS(3191),
    [sym__ternary_qmark] = ACTIONS(3193),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_as] = ACTIONS(3195),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_typeof] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_in] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_LT] = ACTIONS(3195),
    [anon_sym_GT] = ACTIONS(3195),
    [anon_sym_SLASH] = ACTIONS(3195),
    [anon_sym_DOT] = ACTIONS(3195),
    [anon_sym_async] = ACTIONS(3195),
    [anon_sym_QMARK_DOT] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3195),
    [anon_sym_GT_GT_GT] = ACTIONS(3197),
    [anon_sym_LT_LT] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PERCENT] = ACTIONS(3197),
    [anon_sym_STAR_STAR] = ACTIONS(3197),
    [anon_sym_LT_EQ] = ACTIONS(3197),
    [anon_sym_EQ_EQ] = ACTIONS(3195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3197),
    [anon_sym_BANG_EQ] = ACTIONS(3195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3197),
    [anon_sym_GT_EQ] = ACTIONS(3197),
    [anon_sym_QMARK_QMARK] = ACTIONS(3197),
    [anon_sym_instanceof] = ACTIONS(3195),
    [anon_sym_void] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3197),
    [sym_number] = ACTIONS(3197),
    [sym_this] = ACTIONS(3195),
    [sym_true] = ACTIONS(3195),
    [sym_false] = ACTIONS(3195),
    [sym_null] = ACTIONS(3195),
    [sym_undefined] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_readonly] = ACTIONS(3195),
    [anon_sym_get] = ACTIONS(3195),
    [anon_sym_set] = ACTIONS(3195),
    [anon_sym_QMARK] = ACTIONS(3195),
    [anon_sym_any] = ACTIONS(3195),
    [anon_sym_number] = ACTIONS(3195),
    [anon_sym_boolean] = ACTIONS(3195),
    [anon_sym_string] = ACTIONS(3195),
    [anon_sym_symbol] = ACTIONS(3195),
    [anon_sym_abstract] = ACTIONS(3195),
    [anon_sym_satisfies] = ACTIONS(3195),
    [anon_sym_extends] = ACTIONS(3195),
    [anon_sym_infer] = ACTIONS(3195),
    [anon_sym_keyof] = ACTIONS(3195),
    [anon_sym_unknown] = ACTIONS(3195),
    [anon_sym_never] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3197),
    [anon_sym_constructor] = ACTIONS(3195),
    [anon_sym_prop] = ACTIONS(3195),
    [anon_sym_id] = ACTIONS(3195),
    [anon_sym_event] = ACTIONS(3195),
    [anon_sym_fn] = ACTIONS(3195),
    [anon_sym_on] = ACTIONS(3195),
    [sym__ternary_qmark] = ACTIONS(3197),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_as] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3201),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3201),
    [anon_sym_in] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_GT] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_DOT] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_QMARK_DOT] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_PIPE_PIPE] = ACTIONS(3201),
    [anon_sym_GT_GT] = ACTIONS(3199),
    [anon_sym_GT_GT_GT] = ACTIONS(3201),
    [anon_sym_LT_LT] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3201),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PERCENT] = ACTIONS(3201),
    [anon_sym_STAR_STAR] = ACTIONS(3201),
    [anon_sym_LT_EQ] = ACTIONS(3201),
    [anon_sym_EQ_EQ] = ACTIONS(3199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3201),
    [anon_sym_BANG_EQ] = ACTIONS(3199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3201),
    [anon_sym_GT_EQ] = ACTIONS(3201),
    [anon_sym_QMARK_QMARK] = ACTIONS(3201),
    [anon_sym_instanceof] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3201),
    [sym_number] = ACTIONS(3201),
    [sym_this] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_QMARK] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_satisfies] = ACTIONS(3199),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3199),
    [anon_sym_keyof] = ACTIONS(3199),
    [anon_sym_unknown] = ACTIONS(3199),
    [anon_sym_never] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3201),
    [anon_sym_constructor] = ACTIONS(3199),
    [anon_sym_prop] = ACTIONS(3199),
    [anon_sym_id] = ACTIONS(3199),
    [anon_sym_event] = ACTIONS(3199),
    [anon_sym_fn] = ACTIONS(3199),
    [anon_sym_on] = ACTIONS(3199),
    [sym__ternary_qmark] = ACTIONS(3201),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_as] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3191),
    [anon_sym_GT] = ACTIONS(3191),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(3191),
    [anon_sym_async] = ACTIONS(3191),
    [anon_sym_QMARK_DOT] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_PIPE_PIPE] = ACTIONS(3193),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3193),
    [anon_sym_LT_LT] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3193),
    [anon_sym_PIPE] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PERCENT] = ACTIONS(3193),
    [anon_sym_STAR_STAR] = ACTIONS(3193),
    [anon_sym_LT_EQ] = ACTIONS(3193),
    [anon_sym_EQ_EQ] = ACTIONS(3191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3193),
    [anon_sym_BANG_EQ] = ACTIONS(3191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3193),
    [anon_sym_GT_EQ] = ACTIONS(3193),
    [anon_sym_QMARK_QMARK] = ACTIONS(3193),
    [anon_sym_instanceof] = ACTIONS(3191),
    [anon_sym_void] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [sym_null] = ACTIONS(3191),
    [sym_undefined] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_readonly] = ACTIONS(3191),
    [anon_sym_get] = ACTIONS(3191),
    [anon_sym_set] = ACTIONS(3191),
    [anon_sym_QMARK] = ACTIONS(3191),
    [anon_sym_any] = ACTIONS(3191),
    [anon_sym_number] = ACTIONS(3191),
    [anon_sym_boolean] = ACTIONS(3191),
    [anon_sym_string] = ACTIONS(3191),
    [anon_sym_symbol] = ACTIONS(3191),
    [anon_sym_abstract] = ACTIONS(3191),
    [anon_sym_satisfies] = ACTIONS(3191),
    [anon_sym_extends] = ACTIONS(3191),
    [anon_sym_infer] = ACTIONS(3191),
    [anon_sym_keyof] = ACTIONS(3191),
    [anon_sym_unknown] = ACTIONS(3191),
    [anon_sym_never] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(3191),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3193),
    [anon_sym_constructor] = ACTIONS(3191),
    [anon_sym_prop] = ACTIONS(3191),
    [anon_sym_id] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3191),
    [anon_sym_fn] = ACTIONS(3191),
    [anon_sym_on] = ACTIONS(3191),
    [sym__ternary_qmark] = ACTIONS(3193),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_as] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_in] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_GT] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_DOT] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_QMARK_DOT] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_PIPE_PIPE] = ACTIONS(3205),
    [anon_sym_GT_GT] = ACTIONS(3203),
    [anon_sym_GT_GT_GT] = ACTIONS(3205),
    [anon_sym_LT_LT] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3205),
    [anon_sym_PIPE] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3205),
    [anon_sym_STAR_STAR] = ACTIONS(3205),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_QMARK_QMARK] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_this] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_QMARK] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_satisfies] = ACTIONS(3203),
    [anon_sym_extends] = ACTIONS(3203),
    [anon_sym_infer] = ACTIONS(3203),
    [anon_sym_keyof] = ACTIONS(3203),
    [anon_sym_unknown] = ACTIONS(3203),
    [anon_sym_never] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3205),
    [anon_sym_constructor] = ACTIONS(3203),
    [anon_sym_prop] = ACTIONS(3203),
    [anon_sym_id] = ACTIONS(3203),
    [anon_sym_event] = ACTIONS(3203),
    [anon_sym_fn] = ACTIONS(3203),
    [anon_sym_on] = ACTIONS(3203),
    [sym__ternary_qmark] = ACTIONS(3205),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_as] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_in] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_GT] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_DOT] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_QMARK_DOT] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE] = ACTIONS(3209),
    [anon_sym_GT_GT] = ACTIONS(3207),
    [anon_sym_GT_GT_GT] = ACTIONS(3209),
    [anon_sym_LT_LT] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_CARET] = ACTIONS(3209),
    [anon_sym_PIPE] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PERCENT] = ACTIONS(3209),
    [anon_sym_STAR_STAR] = ACTIONS(3209),
    [anon_sym_LT_EQ] = ACTIONS(3209),
    [anon_sym_EQ_EQ] = ACTIONS(3207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3209),
    [anon_sym_BANG_EQ] = ACTIONS(3207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3209),
    [anon_sym_GT_EQ] = ACTIONS(3209),
    [anon_sym_QMARK_QMARK] = ACTIONS(3209),
    [anon_sym_instanceof] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_this] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_satisfies] = ACTIONS(3207),
    [anon_sym_extends] = ACTIONS(3207),
    [anon_sym_infer] = ACTIONS(3207),
    [anon_sym_keyof] = ACTIONS(3207),
    [anon_sym_unknown] = ACTIONS(3207),
    [anon_sym_never] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3209),
    [anon_sym_constructor] = ACTIONS(3207),
    [anon_sym_prop] = ACTIONS(3207),
    [anon_sym_id] = ACTIONS(3207),
    [anon_sym_event] = ACTIONS(3207),
    [anon_sym_fn] = ACTIONS(3207),
    [anon_sym_on] = ACTIONS(3207),
    [sym__ternary_qmark] = ACTIONS(3209),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_as] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_in] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_GT] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_DOT] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_QMARK_DOT] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_PIPE_PIPE] = ACTIONS(3205),
    [anon_sym_GT_GT] = ACTIONS(3203),
    [anon_sym_GT_GT_GT] = ACTIONS(3205),
    [anon_sym_LT_LT] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3205),
    [anon_sym_PIPE] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3205),
    [anon_sym_STAR_STAR] = ACTIONS(3205),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_QMARK_QMARK] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_this] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_QMARK] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_satisfies] = ACTIONS(3203),
    [anon_sym_extends] = ACTIONS(3203),
    [anon_sym_infer] = ACTIONS(3203),
    [anon_sym_keyof] = ACTIONS(3203),
    [anon_sym_unknown] = ACTIONS(3203),
    [anon_sym_never] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3205),
    [anon_sym_constructor] = ACTIONS(3203),
    [anon_sym_prop] = ACTIONS(3203),
    [anon_sym_id] = ACTIONS(3203),
    [anon_sym_event] = ACTIONS(3203),
    [anon_sym_fn] = ACTIONS(3203),
    [anon_sym_on] = ACTIONS(3203),
    [sym__ternary_qmark] = ACTIONS(3205),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_as] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_in] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_GT] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_DOT] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_QMARK_DOT] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_PIPE_PIPE] = ACTIONS(3205),
    [anon_sym_GT_GT] = ACTIONS(3203),
    [anon_sym_GT_GT_GT] = ACTIONS(3205),
    [anon_sym_LT_LT] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3205),
    [anon_sym_PIPE] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3205),
    [anon_sym_STAR_STAR] = ACTIONS(3205),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_QMARK_QMARK] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_this] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_QMARK] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_satisfies] = ACTIONS(3203),
    [anon_sym_extends] = ACTIONS(3203),
    [anon_sym_infer] = ACTIONS(3203),
    [anon_sym_keyof] = ACTIONS(3203),
    [anon_sym_unknown] = ACTIONS(3203),
    [anon_sym_never] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3205),
    [anon_sym_constructor] = ACTIONS(3203),
    [anon_sym_prop] = ACTIONS(3203),
    [anon_sym_id] = ACTIONS(3203),
    [anon_sym_event] = ACTIONS(3203),
    [anon_sym_fn] = ACTIONS(3203),
    [anon_sym_on] = ACTIONS(3203),
    [sym__ternary_qmark] = ACTIONS(3205),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_as] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_in] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_DOT] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_QMARK_DOT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_PIPE_PIPE] = ACTIONS(3213),
    [anon_sym_GT_GT] = ACTIONS(3211),
    [anon_sym_GT_GT_GT] = ACTIONS(3213),
    [anon_sym_LT_LT] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3213),
    [anon_sym_PIPE] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3213),
    [anon_sym_STAR_STAR] = ACTIONS(3213),
    [anon_sym_LT_EQ] = ACTIONS(3213),
    [anon_sym_EQ_EQ] = ACTIONS(3211),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3213),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3213),
    [anon_sym_GT_EQ] = ACTIONS(3213),
    [anon_sym_QMARK_QMARK] = ACTIONS(3213),
    [anon_sym_instanceof] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_this] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_satisfies] = ACTIONS(3211),
    [anon_sym_extends] = ACTIONS(3211),
    [anon_sym_infer] = ACTIONS(3211),
    [anon_sym_keyof] = ACTIONS(3211),
    [anon_sym_unknown] = ACTIONS(3211),
    [anon_sym_never] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3213),
    [anon_sym_constructor] = ACTIONS(3211),
    [anon_sym_prop] = ACTIONS(3211),
    [anon_sym_id] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3211),
    [anon_sym_fn] = ACTIONS(3211),
    [anon_sym_on] = ACTIONS(3211),
    [sym__ternary_qmark] = ACTIONS(3213),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_as] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_in] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_DOT] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_QMARK_DOT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_PIPE_PIPE] = ACTIONS(3213),
    [anon_sym_GT_GT] = ACTIONS(3211),
    [anon_sym_GT_GT_GT] = ACTIONS(3213),
    [anon_sym_LT_LT] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3213),
    [anon_sym_PIPE] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3213),
    [anon_sym_STAR_STAR] = ACTIONS(3213),
    [anon_sym_LT_EQ] = ACTIONS(3213),
    [anon_sym_EQ_EQ] = ACTIONS(3211),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3213),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3213),
    [anon_sym_GT_EQ] = ACTIONS(3213),
    [anon_sym_QMARK_QMARK] = ACTIONS(3213),
    [anon_sym_instanceof] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_this] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_satisfies] = ACTIONS(3211),
    [anon_sym_extends] = ACTIONS(3211),
    [anon_sym_infer] = ACTIONS(3211),
    [anon_sym_keyof] = ACTIONS(3211),
    [anon_sym_unknown] = ACTIONS(3211),
    [anon_sym_never] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3213),
    [anon_sym_constructor] = ACTIONS(3211),
    [anon_sym_prop] = ACTIONS(3211),
    [anon_sym_id] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3211),
    [anon_sym_fn] = ACTIONS(3211),
    [anon_sym_on] = ACTIONS(3211),
    [sym__ternary_qmark] = ACTIONS(3213),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_as] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_in] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_DOT] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_QMARK_DOT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_PIPE_PIPE] = ACTIONS(3213),
    [anon_sym_GT_GT] = ACTIONS(3211),
    [anon_sym_GT_GT_GT] = ACTIONS(3213),
    [anon_sym_LT_LT] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3213),
    [anon_sym_PIPE] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3213),
    [anon_sym_STAR_STAR] = ACTIONS(3213),
    [anon_sym_LT_EQ] = ACTIONS(3213),
    [anon_sym_EQ_EQ] = ACTIONS(3211),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3213),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3213),
    [anon_sym_GT_EQ] = ACTIONS(3213),
    [anon_sym_QMARK_QMARK] = ACTIONS(3213),
    [anon_sym_instanceof] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_this] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_satisfies] = ACTIONS(3211),
    [anon_sym_extends] = ACTIONS(3211),
    [anon_sym_infer] = ACTIONS(3211),
    [anon_sym_keyof] = ACTIONS(3211),
    [anon_sym_unknown] = ACTIONS(3211),
    [anon_sym_never] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3213),
    [anon_sym_constructor] = ACTIONS(3211),
    [anon_sym_prop] = ACTIONS(3211),
    [anon_sym_id] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3211),
    [anon_sym_fn] = ACTIONS(3211),
    [anon_sym_on] = ACTIONS(3211),
    [sym__ternary_qmark] = ACTIONS(3213),
  },
  [924] = {
    [sym_arguments] = STATE(1055),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_as] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_GT] = ACTIONS(3215),
    [anon_sym_SLASH] = ACTIONS(3215),
    [anon_sym_DOT] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_QMARK_DOT] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_PIPE_PIPE] = ACTIONS(3217),
    [anon_sym_GT_GT] = ACTIONS(3215),
    [anon_sym_GT_GT_GT] = ACTIONS(3217),
    [anon_sym_LT_LT] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_CARET] = ACTIONS(3217),
    [anon_sym_PIPE] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_STAR_STAR] = ACTIONS(3217),
    [anon_sym_LT_EQ] = ACTIONS(3217),
    [anon_sym_EQ_EQ] = ACTIONS(3215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3217),
    [anon_sym_BANG_EQ] = ACTIONS(3215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3217),
    [anon_sym_GT_EQ] = ACTIONS(3217),
    [anon_sym_QMARK_QMARK] = ACTIONS(3217),
    [anon_sym_instanceof] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_this] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_readonly] = ACTIONS(3215),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
    [anon_sym_QMARK] = ACTIONS(3215),
    [anon_sym_any] = ACTIONS(3215),
    [anon_sym_number] = ACTIONS(3215),
    [anon_sym_boolean] = ACTIONS(3215),
    [anon_sym_string] = ACTIONS(3215),
    [anon_sym_symbol] = ACTIONS(3215),
    [anon_sym_abstract] = ACTIONS(3215),
    [anon_sym_satisfies] = ACTIONS(3215),
    [anon_sym_infer] = ACTIONS(3215),
    [anon_sym_keyof] = ACTIONS(3215),
    [anon_sym_unknown] = ACTIONS(3215),
    [anon_sym_never] = ACTIONS(3215),
    [anon_sym_object] = ACTIONS(3215),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3217),
    [anon_sym_constructor] = ACTIONS(3215),
    [anon_sym_prop] = ACTIONS(3215),
    [anon_sym_id] = ACTIONS(3215),
    [anon_sym_event] = ACTIONS(3215),
    [anon_sym_fn] = ACTIONS(3215),
    [anon_sym_on] = ACTIONS(3215),
    [sym__ternary_qmark] = ACTIONS(3217),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_as] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_in] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_DOT] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_QMARK_DOT] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_PIPE_PIPE] = ACTIONS(3221),
    [anon_sym_GT_GT] = ACTIONS(3219),
    [anon_sym_GT_GT_GT] = ACTIONS(3221),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_CARET] = ACTIONS(3221),
    [anon_sym_PIPE] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(3221),
    [anon_sym_STAR_STAR] = ACTIONS(3221),
    [anon_sym_LT_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3221),
    [anon_sym_GT_EQ] = ACTIONS(3221),
    [anon_sym_QMARK_QMARK] = ACTIONS(3221),
    [anon_sym_instanceof] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_this] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_satisfies] = ACTIONS(3219),
    [anon_sym_extends] = ACTIONS(3219),
    [anon_sym_infer] = ACTIONS(3219),
    [anon_sym_keyof] = ACTIONS(3219),
    [anon_sym_unknown] = ACTIONS(3219),
    [anon_sym_never] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3221),
    [anon_sym_constructor] = ACTIONS(3219),
    [anon_sym_prop] = ACTIONS(3219),
    [anon_sym_id] = ACTIONS(3219),
    [anon_sym_event] = ACTIONS(3219),
    [anon_sym_fn] = ACTIONS(3219),
    [anon_sym_on] = ACTIONS(3219),
    [sym__ternary_qmark] = ACTIONS(3221),
  },
  [926] = {
    [sym_identifier] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_as] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_async] = ACTIONS(2756),
    [anon_sym_QMARK_DOT] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_PIPE_PIPE] = ACTIONS(2758),
    [anon_sym_GT_GT] = ACTIONS(2756),
    [anon_sym_GT_GT_GT] = ACTIONS(2758),
    [anon_sym_LT_LT] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2758),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PERCENT] = ACTIONS(2758),
    [anon_sym_STAR_STAR] = ACTIONS(2758),
    [anon_sym_LT_EQ] = ACTIONS(2758),
    [anon_sym_EQ_EQ] = ACTIONS(2756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2758),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2758),
    [anon_sym_GT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK] = ACTIONS(2758),
    [anon_sym_instanceof] = ACTIONS(2756),
    [anon_sym_void] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2758),
    [sym_number] = ACTIONS(2758),
    [sym_this] = ACTIONS(2756),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [sym_null] = ACTIONS(2756),
    [sym_undefined] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_readonly] = ACTIONS(2756),
    [anon_sym_get] = ACTIONS(2756),
    [anon_sym_set] = ACTIONS(2756),
    [anon_sym_QMARK] = ACTIONS(2756),
    [anon_sym_any] = ACTIONS(2756),
    [anon_sym_number] = ACTIONS(2756),
    [anon_sym_boolean] = ACTIONS(2756),
    [anon_sym_string] = ACTIONS(2756),
    [anon_sym_symbol] = ACTIONS(2756),
    [anon_sym_abstract] = ACTIONS(2756),
    [anon_sym_satisfies] = ACTIONS(2756),
    [anon_sym_extends] = ACTIONS(2756),
    [anon_sym_infer] = ACTIONS(2756),
    [anon_sym_keyof] = ACTIONS(2756),
    [anon_sym_unknown] = ACTIONS(2756),
    [anon_sym_never] = ACTIONS(2756),
    [anon_sym_object] = ACTIONS(2756),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2758),
    [anon_sym_constructor] = ACTIONS(2756),
    [anon_sym_prop] = ACTIONS(2756),
    [anon_sym_id] = ACTIONS(2756),
    [anon_sym_event] = ACTIONS(2756),
    [anon_sym_fn] = ACTIONS(2756),
    [anon_sym_on] = ACTIONS(2756),
    [sym__ternary_qmark] = ACTIONS(2758),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_as] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_in] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_GT] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_DOT] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_QMARK_DOT] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3225),
    [anon_sym_GT_GT] = ACTIONS(3223),
    [anon_sym_GT_GT_GT] = ACTIONS(3225),
    [anon_sym_LT_LT] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_CARET] = ACTIONS(3225),
    [anon_sym_PIPE] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PERCENT] = ACTIONS(3225),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_LT_EQ] = ACTIONS(3225),
    [anon_sym_EQ_EQ] = ACTIONS(3223),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3225),
    [anon_sym_BANG_EQ] = ACTIONS(3223),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3225),
    [anon_sym_GT_EQ] = ACTIONS(3225),
    [anon_sym_QMARK_QMARK] = ACTIONS(3225),
    [anon_sym_instanceof] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_satisfies] = ACTIONS(3223),
    [anon_sym_extends] = ACTIONS(3223),
    [anon_sym_infer] = ACTIONS(3223),
    [anon_sym_keyof] = ACTIONS(3223),
    [anon_sym_unknown] = ACTIONS(3223),
    [anon_sym_never] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3225),
    [anon_sym_constructor] = ACTIONS(3223),
    [anon_sym_prop] = ACTIONS(3223),
    [anon_sym_id] = ACTIONS(3223),
    [anon_sym_event] = ACTIONS(3223),
    [anon_sym_fn] = ACTIONS(3223),
    [anon_sym_on] = ACTIONS(3223),
    [sym__ternary_qmark] = ACTIONS(3225),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_as] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_in] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_GT] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_DOT] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_QMARK_DOT] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_GT_GT] = ACTIONS(3227),
    [anon_sym_GT_GT_GT] = ACTIONS(3229),
    [anon_sym_LT_LT] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_CARET] = ACTIONS(3229),
    [anon_sym_PIPE] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PERCENT] = ACTIONS(3229),
    [anon_sym_STAR_STAR] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3229),
    [anon_sym_EQ_EQ] = ACTIONS(3227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3229),
    [anon_sym_BANG_EQ] = ACTIONS(3227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3229),
    [anon_sym_GT_EQ] = ACTIONS(3229),
    [anon_sym_QMARK_QMARK] = ACTIONS(3229),
    [anon_sym_instanceof] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_this] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_QMARK] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_satisfies] = ACTIONS(3227),
    [anon_sym_extends] = ACTIONS(3227),
    [anon_sym_infer] = ACTIONS(3227),
    [anon_sym_keyof] = ACTIONS(3227),
    [anon_sym_unknown] = ACTIONS(3227),
    [anon_sym_never] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3229),
    [anon_sym_constructor] = ACTIONS(3227),
    [anon_sym_prop] = ACTIONS(3227),
    [anon_sym_id] = ACTIONS(3227),
    [anon_sym_event] = ACTIONS(3227),
    [anon_sym_fn] = ACTIONS(3227),
    [anon_sym_on] = ACTIONS(3227),
    [sym__ternary_qmark] = ACTIONS(3229),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_as] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_in] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_GT] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_DOT] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_QMARK_DOT] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_PIPE_PIPE] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3231),
    [anon_sym_GT_GT_GT] = ACTIONS(3233),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_PIPE] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PERCENT] = ACTIONS(3233),
    [anon_sym_STAR_STAR] = ACTIONS(3233),
    [anon_sym_LT_EQ] = ACTIONS(3233),
    [anon_sym_EQ_EQ] = ACTIONS(3231),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3233),
    [anon_sym_BANG_EQ] = ACTIONS(3231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3233),
    [anon_sym_GT_EQ] = ACTIONS(3233),
    [anon_sym_QMARK_QMARK] = ACTIONS(3233),
    [anon_sym_instanceof] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_this] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_QMARK] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_satisfies] = ACTIONS(3231),
    [anon_sym_extends] = ACTIONS(3231),
    [anon_sym_infer] = ACTIONS(3231),
    [anon_sym_keyof] = ACTIONS(3231),
    [anon_sym_unknown] = ACTIONS(3231),
    [anon_sym_never] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3233),
    [anon_sym_constructor] = ACTIONS(3231),
    [anon_sym_prop] = ACTIONS(3231),
    [anon_sym_id] = ACTIONS(3231),
    [anon_sym_event] = ACTIONS(3231),
    [anon_sym_fn] = ACTIONS(3231),
    [anon_sym_on] = ACTIONS(3231),
    [sym__ternary_qmark] = ACTIONS(3233),
  },
  [930] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_as] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_QMARK_DOT] = ACTIONS(1462),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1460),
    [anon_sym_GT_GT_GT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_QMARK_QMARK] = ACTIONS(1462),
    [anon_sym_instanceof] = ACTIONS(1460),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_satisfies] = ACTIONS(1460),
    [anon_sym_infer] = ACTIONS(1460),
    [anon_sym_keyof] = ACTIONS(1460),
    [anon_sym_unknown] = ACTIONS(1460),
    [anon_sym_never] = ACTIONS(1460),
    [anon_sym_object] = ACTIONS(1460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1462),
    [anon_sym_constructor] = ACTIONS(1460),
    [anon_sym_prop] = ACTIONS(1460),
    [anon_sym_id] = ACTIONS(1460),
    [anon_sym_event] = ACTIONS(1460),
    [anon_sym_fn] = ACTIONS(1460),
    [anon_sym_on] = ACTIONS(1460),
    [sym__automatic_semicolon] = ACTIONS(3235),
    [sym__ternary_qmark] = ACTIONS(1462),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_as] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_in] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_GT] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_DOT] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_QMARK_DOT] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_GT_GT] = ACTIONS(3227),
    [anon_sym_GT_GT_GT] = ACTIONS(3229),
    [anon_sym_LT_LT] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3229),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PERCENT] = ACTIONS(3229),
    [anon_sym_STAR_STAR] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3229),
    [anon_sym_EQ_EQ] = ACTIONS(3227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3229),
    [anon_sym_BANG_EQ] = ACTIONS(3227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3229),
    [anon_sym_GT_EQ] = ACTIONS(3229),
    [anon_sym_QMARK_QMARK] = ACTIONS(3229),
    [anon_sym_instanceof] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_this] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_QMARK] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_satisfies] = ACTIONS(3227),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3227),
    [anon_sym_keyof] = ACTIONS(3227),
    [anon_sym_unknown] = ACTIONS(3227),
    [anon_sym_never] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3229),
    [anon_sym_constructor] = ACTIONS(3227),
    [anon_sym_prop] = ACTIONS(3227),
    [anon_sym_id] = ACTIONS(3227),
    [anon_sym_event] = ACTIONS(3227),
    [anon_sym_fn] = ACTIONS(3227),
    [anon_sym_on] = ACTIONS(3227),
    [sym__ternary_qmark] = ACTIONS(3229),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3237),
    [anon_sym_as] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_in] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_GT] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_QMARK_DOT] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_PIPE_PIPE] = ACTIONS(3239),
    [anon_sym_GT_GT] = ACTIONS(3237),
    [anon_sym_GT_GT_GT] = ACTIONS(3239),
    [anon_sym_LT_LT] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_CARET] = ACTIONS(3239),
    [anon_sym_PIPE] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PERCENT] = ACTIONS(3239),
    [anon_sym_STAR_STAR] = ACTIONS(3239),
    [anon_sym_LT_EQ] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3239),
    [anon_sym_BANG_EQ] = ACTIONS(3237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3239),
    [anon_sym_GT_EQ] = ACTIONS(3239),
    [anon_sym_QMARK_QMARK] = ACTIONS(3239),
    [anon_sym_instanceof] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_this] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_QMARK] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_satisfies] = ACTIONS(3237),
    [anon_sym_extends] = ACTIONS(3237),
    [anon_sym_infer] = ACTIONS(3237),
    [anon_sym_keyof] = ACTIONS(3237),
    [anon_sym_unknown] = ACTIONS(3237),
    [anon_sym_never] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3239),
    [anon_sym_constructor] = ACTIONS(3237),
    [anon_sym_prop] = ACTIONS(3237),
    [anon_sym_id] = ACTIONS(3237),
    [anon_sym_event] = ACTIONS(3237),
    [anon_sym_fn] = ACTIONS(3237),
    [anon_sym_on] = ACTIONS(3237),
    [sym__ternary_qmark] = ACTIONS(3239),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_as] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_in] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_GT] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_DOT] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_QMARK_DOT] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_PIPE_PIPE] = ACTIONS(3243),
    [anon_sym_GT_GT] = ACTIONS(3241),
    [anon_sym_GT_GT_GT] = ACTIONS(3243),
    [anon_sym_LT_LT] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_CARET] = ACTIONS(3243),
    [anon_sym_PIPE] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PERCENT] = ACTIONS(3243),
    [anon_sym_STAR_STAR] = ACTIONS(3243),
    [anon_sym_LT_EQ] = ACTIONS(3243),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_BANG_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3243),
    [anon_sym_GT_EQ] = ACTIONS(3243),
    [anon_sym_QMARK_QMARK] = ACTIONS(3243),
    [anon_sym_instanceof] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_this] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_satisfies] = ACTIONS(3241),
    [anon_sym_extends] = ACTIONS(3241),
    [anon_sym_infer] = ACTIONS(3241),
    [anon_sym_keyof] = ACTIONS(3241),
    [anon_sym_unknown] = ACTIONS(3241),
    [anon_sym_never] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3243),
    [anon_sym_constructor] = ACTIONS(3241),
    [anon_sym_prop] = ACTIONS(3241),
    [anon_sym_id] = ACTIONS(3241),
    [anon_sym_event] = ACTIONS(3241),
    [anon_sym_fn] = ACTIONS(3241),
    [anon_sym_on] = ACTIONS(3241),
    [sym__ternary_qmark] = ACTIONS(3243),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_as] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_in] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_GT] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_DOT] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_QMARK_DOT] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3249),
    [anon_sym_PIPE_PIPE] = ACTIONS(3249),
    [anon_sym_GT_GT] = ACTIONS(3247),
    [anon_sym_GT_GT_GT] = ACTIONS(3249),
    [anon_sym_LT_LT] = ACTIONS(3249),
    [anon_sym_AMP] = ACTIONS(3247),
    [anon_sym_CARET] = ACTIONS(3249),
    [anon_sym_PIPE] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_PERCENT] = ACTIONS(3249),
    [anon_sym_STAR_STAR] = ACTIONS(3249),
    [anon_sym_LT_EQ] = ACTIONS(3249),
    [anon_sym_EQ_EQ] = ACTIONS(3247),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3249),
    [anon_sym_BANG_EQ] = ACTIONS(3247),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3249),
    [anon_sym_GT_EQ] = ACTIONS(3249),
    [anon_sym_QMARK_QMARK] = ACTIONS(3249),
    [anon_sym_instanceof] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_this] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_QMARK] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_satisfies] = ACTIONS(3247),
    [anon_sym_extends] = ACTIONS(3247),
    [anon_sym_infer] = ACTIONS(3247),
    [anon_sym_keyof] = ACTIONS(3247),
    [anon_sym_unknown] = ACTIONS(3247),
    [anon_sym_never] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3249),
    [anon_sym_constructor] = ACTIONS(3247),
    [anon_sym_prop] = ACTIONS(3247),
    [anon_sym_id] = ACTIONS(3247),
    [anon_sym_event] = ACTIONS(3247),
    [anon_sym_fn] = ACTIONS(3247),
    [anon_sym_on] = ACTIONS(3247),
    [sym__ternary_qmark] = ACTIONS(3249),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_as] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_DOT] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_QMARK_DOT] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3253),
    [anon_sym_PIPE_PIPE] = ACTIONS(3253),
    [anon_sym_GT_GT] = ACTIONS(3251),
    [anon_sym_GT_GT_GT] = ACTIONS(3253),
    [anon_sym_LT_LT] = ACTIONS(3253),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3253),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_PERCENT] = ACTIONS(3253),
    [anon_sym_STAR_STAR] = ACTIONS(3253),
    [anon_sym_LT_EQ] = ACTIONS(3253),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3253),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3253),
    [anon_sym_GT_EQ] = ACTIONS(3253),
    [anon_sym_QMARK_QMARK] = ACTIONS(3253),
    [anon_sym_instanceof] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_this] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_satisfies] = ACTIONS(3251),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3251),
    [anon_sym_keyof] = ACTIONS(3251),
    [anon_sym_unknown] = ACTIONS(3251),
    [anon_sym_never] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3253),
    [anon_sym_constructor] = ACTIONS(3251),
    [anon_sym_prop] = ACTIONS(3251),
    [anon_sym_id] = ACTIONS(3251),
    [anon_sym_event] = ACTIONS(3251),
    [anon_sym_fn] = ACTIONS(3251),
    [anon_sym_on] = ACTIONS(3251),
    [sym__ternary_qmark] = ACTIONS(3253),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_as] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_in] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_GT] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_DOT] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_QMARK_DOT] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3257),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_GT_GT] = ACTIONS(3255),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3255),
    [anon_sym_CARET] = ACTIONS(3257),
    [anon_sym_PIPE] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_STAR_STAR] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3257),
    [anon_sym_EQ_EQ] = ACTIONS(3255),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3257),
    [anon_sym_BANG_EQ] = ACTIONS(3255),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3257),
    [anon_sym_GT_EQ] = ACTIONS(3257),
    [anon_sym_QMARK_QMARK] = ACTIONS(3257),
    [anon_sym_instanceof] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_this] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_QMARK] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(3255),
    [anon_sym_extends] = ACTIONS(3255),
    [anon_sym_infer] = ACTIONS(3255),
    [anon_sym_keyof] = ACTIONS(3255),
    [anon_sym_unknown] = ACTIONS(3255),
    [anon_sym_never] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3257),
    [anon_sym_constructor] = ACTIONS(3255),
    [anon_sym_prop] = ACTIONS(3255),
    [anon_sym_id] = ACTIONS(3255),
    [anon_sym_event] = ACTIONS(3255),
    [anon_sym_fn] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [sym__ternary_qmark] = ACTIONS(3257),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_as] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_in] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_GT] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_QMARK_DOT] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_PIPE_PIPE] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3261),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3261),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PERCENT] = ACTIONS(3261),
    [anon_sym_STAR_STAR] = ACTIONS(3261),
    [anon_sym_LT_EQ] = ACTIONS(3261),
    [anon_sym_EQ_EQ] = ACTIONS(3259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3261),
    [anon_sym_BANG_EQ] = ACTIONS(3259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3261),
    [anon_sym_GT_EQ] = ACTIONS(3261),
    [anon_sym_QMARK_QMARK] = ACTIONS(3261),
    [anon_sym_instanceof] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_this] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_QMARK] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_satisfies] = ACTIONS(3259),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3259),
    [anon_sym_keyof] = ACTIONS(3259),
    [anon_sym_unknown] = ACTIONS(3259),
    [anon_sym_never] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3261),
    [anon_sym_constructor] = ACTIONS(3259),
    [anon_sym_prop] = ACTIONS(3259),
    [anon_sym_id] = ACTIONS(3259),
    [anon_sym_event] = ACTIONS(3259),
    [anon_sym_fn] = ACTIONS(3259),
    [anon_sym_on] = ACTIONS(3259),
    [sym__ternary_qmark] = ACTIONS(3261),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_as] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_in] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_GT] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_DOT] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_QMARK_DOT] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_PIPE_PIPE] = ACTIONS(3265),
    [anon_sym_GT_GT] = ACTIONS(3263),
    [anon_sym_GT_GT_GT] = ACTIONS(3265),
    [anon_sym_LT_LT] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PERCENT] = ACTIONS(3265),
    [anon_sym_STAR_STAR] = ACTIONS(3265),
    [anon_sym_LT_EQ] = ACTIONS(3265),
    [anon_sym_EQ_EQ] = ACTIONS(3263),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3265),
    [anon_sym_BANG_EQ] = ACTIONS(3263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3265),
    [anon_sym_GT_EQ] = ACTIONS(3265),
    [anon_sym_QMARK_QMARK] = ACTIONS(3265),
    [anon_sym_instanceof] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_this] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(3263),
    [anon_sym_extends] = ACTIONS(3263),
    [anon_sym_infer] = ACTIONS(3263),
    [anon_sym_keyof] = ACTIONS(3263),
    [anon_sym_unknown] = ACTIONS(3263),
    [anon_sym_never] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3265),
    [anon_sym_constructor] = ACTIONS(3263),
    [anon_sym_prop] = ACTIONS(3263),
    [anon_sym_id] = ACTIONS(3263),
    [anon_sym_event] = ACTIONS(3263),
    [anon_sym_fn] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [sym__ternary_qmark] = ACTIONS(3265),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_as] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_GT] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_QMARK_DOT] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE] = ACTIONS(3269),
    [anon_sym_GT_GT] = ACTIONS(3267),
    [anon_sym_GT_GT_GT] = ACTIONS(3269),
    [anon_sym_LT_LT] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_CARET] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PERCENT] = ACTIONS(3269),
    [anon_sym_STAR_STAR] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_EQ_EQ] = ACTIONS(3267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3267),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3269),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_QMARK_QMARK] = ACTIONS(3269),
    [anon_sym_instanceof] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_this] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_QMARK] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_satisfies] = ACTIONS(3267),
    [anon_sym_extends] = ACTIONS(3267),
    [anon_sym_infer] = ACTIONS(3267),
    [anon_sym_keyof] = ACTIONS(3267),
    [anon_sym_unknown] = ACTIONS(3267),
    [anon_sym_never] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3269),
    [anon_sym_constructor] = ACTIONS(3267),
    [anon_sym_prop] = ACTIONS(3267),
    [anon_sym_id] = ACTIONS(3267),
    [anon_sym_event] = ACTIONS(3267),
    [anon_sym_fn] = ACTIONS(3267),
    [anon_sym_on] = ACTIONS(3267),
    [sym__ternary_qmark] = ACTIONS(3269),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_as] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_in] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_GT] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_DOT] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_QMARK_DOT] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_PIPE_PIPE] = ACTIONS(3265),
    [anon_sym_GT_GT] = ACTIONS(3263),
    [anon_sym_GT_GT_GT] = ACTIONS(3265),
    [anon_sym_LT_LT] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PERCENT] = ACTIONS(3265),
    [anon_sym_STAR_STAR] = ACTIONS(3265),
    [anon_sym_LT_EQ] = ACTIONS(3265),
    [anon_sym_EQ_EQ] = ACTIONS(3263),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3265),
    [anon_sym_BANG_EQ] = ACTIONS(3263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3265),
    [anon_sym_GT_EQ] = ACTIONS(3265),
    [anon_sym_QMARK_QMARK] = ACTIONS(3265),
    [anon_sym_instanceof] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_this] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(3263),
    [anon_sym_extends] = ACTIONS(3263),
    [anon_sym_infer] = ACTIONS(3263),
    [anon_sym_keyof] = ACTIONS(3263),
    [anon_sym_unknown] = ACTIONS(3263),
    [anon_sym_never] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3265),
    [anon_sym_constructor] = ACTIONS(3263),
    [anon_sym_prop] = ACTIONS(3263),
    [anon_sym_id] = ACTIONS(3263),
    [anon_sym_event] = ACTIONS(3263),
    [anon_sym_fn] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [sym__ternary_qmark] = ACTIONS(3265),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_as] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_GT] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_QMARK_DOT] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE] = ACTIONS(3269),
    [anon_sym_GT_GT] = ACTIONS(3267),
    [anon_sym_GT_GT_GT] = ACTIONS(3269),
    [anon_sym_LT_LT] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_CARET] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PERCENT] = ACTIONS(3269),
    [anon_sym_STAR_STAR] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_EQ_EQ] = ACTIONS(3267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3267),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3269),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_QMARK_QMARK] = ACTIONS(3269),
    [anon_sym_instanceof] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_this] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_QMARK] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_satisfies] = ACTIONS(3267),
    [anon_sym_extends] = ACTIONS(3267),
    [anon_sym_infer] = ACTIONS(3267),
    [anon_sym_keyof] = ACTIONS(3267),
    [anon_sym_unknown] = ACTIONS(3267),
    [anon_sym_never] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3269),
    [anon_sym_constructor] = ACTIONS(3267),
    [anon_sym_prop] = ACTIONS(3267),
    [anon_sym_id] = ACTIONS(3267),
    [anon_sym_event] = ACTIONS(3267),
    [anon_sym_fn] = ACTIONS(3267),
    [anon_sym_on] = ACTIONS(3267),
    [sym__ternary_qmark] = ACTIONS(3269),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_as] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_in] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_GT] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_DOT] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_QMARK_DOT] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3271),
    [anon_sym_GT_GT_GT] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_CARET] = ACTIONS(3273),
    [anon_sym_PIPE] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_STAR_STAR] = ACTIONS(3273),
    [anon_sym_LT_EQ] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3273),
    [anon_sym_BANG_EQ] = ACTIONS(3271),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3273),
    [anon_sym_QMARK_QMARK] = ACTIONS(3273),
    [anon_sym_instanceof] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_regex_flags] = ACTIONS(3275),
    [sym_number] = ACTIONS(3273),
    [sym_this] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_QMARK] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_satisfies] = ACTIONS(3271),
    [anon_sym_infer] = ACTIONS(3271),
    [anon_sym_keyof] = ACTIONS(3271),
    [anon_sym_unknown] = ACTIONS(3271),
    [anon_sym_never] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3273),
    [anon_sym_constructor] = ACTIONS(3271),
    [anon_sym_prop] = ACTIONS(3271),
    [anon_sym_id] = ACTIONS(3271),
    [anon_sym_event] = ACTIONS(3271),
    [anon_sym_fn] = ACTIONS(3271),
    [anon_sym_on] = ACTIONS(3271),
    [sym__ternary_qmark] = ACTIONS(3273),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_as] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_in] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_GT] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_DOT] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_QMARK_DOT] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3279),
    [anon_sym_GT_GT] = ACTIONS(3277),
    [anon_sym_GT_GT_GT] = ACTIONS(3279),
    [anon_sym_LT_LT] = ACTIONS(3279),
    [anon_sym_AMP] = ACTIONS(3277),
    [anon_sym_CARET] = ACTIONS(3279),
    [anon_sym_PIPE] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_PERCENT] = ACTIONS(3279),
    [anon_sym_STAR_STAR] = ACTIONS(3279),
    [anon_sym_LT_EQ] = ACTIONS(3279),
    [anon_sym_EQ_EQ] = ACTIONS(3277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3279),
    [anon_sym_BANG_EQ] = ACTIONS(3277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3279),
    [anon_sym_GT_EQ] = ACTIONS(3279),
    [anon_sym_QMARK_QMARK] = ACTIONS(3279),
    [anon_sym_instanceof] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_this] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_QMARK] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_satisfies] = ACTIONS(3277),
    [anon_sym_extends] = ACTIONS(3277),
    [anon_sym_infer] = ACTIONS(3277),
    [anon_sym_keyof] = ACTIONS(3277),
    [anon_sym_unknown] = ACTIONS(3277),
    [anon_sym_never] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3279),
    [anon_sym_constructor] = ACTIONS(3277),
    [anon_sym_prop] = ACTIONS(3277),
    [anon_sym_id] = ACTIONS(3277),
    [anon_sym_event] = ACTIONS(3277),
    [anon_sym_fn] = ACTIONS(3277),
    [anon_sym_on] = ACTIONS(3277),
    [sym__ternary_qmark] = ACTIONS(3279),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_as] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_QMARK_DOT] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3281),
    [anon_sym_GT_GT_GT] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [anon_sym_PIPE] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_STAR_STAR] = ACTIONS(3283),
    [anon_sym_LT_EQ] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3283),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3283),
    [anon_sym_QMARK_QMARK] = ACTIONS(3283),
    [anon_sym_instanceof] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_this] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_satisfies] = ACTIONS(3281),
    [anon_sym_extends] = ACTIONS(3281),
    [anon_sym_infer] = ACTIONS(3281),
    [anon_sym_keyof] = ACTIONS(3281),
    [anon_sym_unknown] = ACTIONS(3281),
    [anon_sym_never] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3283),
    [anon_sym_constructor] = ACTIONS(3281),
    [anon_sym_prop] = ACTIONS(3281),
    [anon_sym_id] = ACTIONS(3281),
    [anon_sym_event] = ACTIONS(3281),
    [anon_sym_fn] = ACTIONS(3281),
    [anon_sym_on] = ACTIONS(3281),
    [sym__ternary_qmark] = ACTIONS(3283),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_as] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_in] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_GT] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_DOT] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_QMARK_DOT] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3279),
    [anon_sym_GT_GT] = ACTIONS(3277),
    [anon_sym_GT_GT_GT] = ACTIONS(3279),
    [anon_sym_LT_LT] = ACTIONS(3279),
    [anon_sym_AMP] = ACTIONS(3277),
    [anon_sym_CARET] = ACTIONS(3279),
    [anon_sym_PIPE] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_PERCENT] = ACTIONS(3279),
    [anon_sym_STAR_STAR] = ACTIONS(3279),
    [anon_sym_LT_EQ] = ACTIONS(3279),
    [anon_sym_EQ_EQ] = ACTIONS(3277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3279),
    [anon_sym_BANG_EQ] = ACTIONS(3277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3279),
    [anon_sym_GT_EQ] = ACTIONS(3279),
    [anon_sym_QMARK_QMARK] = ACTIONS(3279),
    [anon_sym_instanceof] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_this] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_QMARK] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_satisfies] = ACTIONS(3277),
    [anon_sym_extends] = ACTIONS(3277),
    [anon_sym_infer] = ACTIONS(3277),
    [anon_sym_keyof] = ACTIONS(3277),
    [anon_sym_unknown] = ACTIONS(3277),
    [anon_sym_never] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3279),
    [anon_sym_constructor] = ACTIONS(3277),
    [anon_sym_prop] = ACTIONS(3277),
    [anon_sym_id] = ACTIONS(3277),
    [anon_sym_event] = ACTIONS(3277),
    [anon_sym_fn] = ACTIONS(3277),
    [anon_sym_on] = ACTIONS(3277),
    [sym__ternary_qmark] = ACTIONS(3279),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_as] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_QMARK_DOT] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3281),
    [anon_sym_GT_GT_GT] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [anon_sym_PIPE] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_STAR_STAR] = ACTIONS(3283),
    [anon_sym_LT_EQ] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3283),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3283),
    [anon_sym_QMARK_QMARK] = ACTIONS(3283),
    [anon_sym_instanceof] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_this] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_satisfies] = ACTIONS(3281),
    [anon_sym_extends] = ACTIONS(3281),
    [anon_sym_infer] = ACTIONS(3281),
    [anon_sym_keyof] = ACTIONS(3281),
    [anon_sym_unknown] = ACTIONS(3281),
    [anon_sym_never] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3283),
    [anon_sym_constructor] = ACTIONS(3281),
    [anon_sym_prop] = ACTIONS(3281),
    [anon_sym_id] = ACTIONS(3281),
    [anon_sym_event] = ACTIONS(3281),
    [anon_sym_fn] = ACTIONS(3281),
    [anon_sym_on] = ACTIONS(3281),
    [sym__ternary_qmark] = ACTIONS(3283),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_as] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_in] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_QMARK_DOT] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3110),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_GT_GT_GT] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_STAR_STAR] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3110),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_QMARK_QMARK] = ACTIONS(3110),
    [anon_sym_instanceof] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_this] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_QMARK] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_satisfies] = ACTIONS(3108),
    [anon_sym_extends] = ACTIONS(3108),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3108),
    [anon_sym_unknown] = ACTIONS(3108),
    [anon_sym_never] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3110),
    [anon_sym_constructor] = ACTIONS(3108),
    [anon_sym_prop] = ACTIONS(3108),
    [anon_sym_id] = ACTIONS(3108),
    [anon_sym_event] = ACTIONS(3108),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_on] = ACTIONS(3108),
    [sym__ternary_qmark] = ACTIONS(3110),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_as] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_in] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_QMARK_DOT] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3287),
    [anon_sym_PIPE_PIPE] = ACTIONS(3287),
    [anon_sym_GT_GT] = ACTIONS(3285),
    [anon_sym_GT_GT_GT] = ACTIONS(3287),
    [anon_sym_LT_LT] = ACTIONS(3287),
    [anon_sym_AMP] = ACTIONS(3285),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_PIPE] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3287),
    [anon_sym_STAR_STAR] = ACTIONS(3287),
    [anon_sym_LT_EQ] = ACTIONS(3287),
    [anon_sym_EQ_EQ] = ACTIONS(3285),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3287),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3287),
    [anon_sym_GT_EQ] = ACTIONS(3287),
    [anon_sym_QMARK_QMARK] = ACTIONS(3287),
    [anon_sym_instanceof] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_this] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_QMARK] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_satisfies] = ACTIONS(3285),
    [anon_sym_extends] = ACTIONS(3285),
    [anon_sym_infer] = ACTIONS(3285),
    [anon_sym_keyof] = ACTIONS(3285),
    [anon_sym_unknown] = ACTIONS(3285),
    [anon_sym_never] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3287),
    [anon_sym_constructor] = ACTIONS(3285),
    [anon_sym_prop] = ACTIONS(3285),
    [anon_sym_id] = ACTIONS(3285),
    [anon_sym_event] = ACTIONS(3285),
    [anon_sym_fn] = ACTIONS(3285),
    [anon_sym_on] = ACTIONS(3285),
    [sym__ternary_qmark] = ACTIONS(3287),
  },
  [949] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_async] = ACTIONS(2630),
    [anon_sym_QMARK_DOT] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_GT_GT_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2632),
    [anon_sym_instanceof] = ACTIONS(2630),
    [anon_sym_void] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2632),
    [sym_number] = ACTIONS(2632),
    [sym_this] = ACTIONS(2630),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [sym_null] = ACTIONS(2630),
    [sym_undefined] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_readonly] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_any] = ACTIONS(2630),
    [anon_sym_number] = ACTIONS(2630),
    [anon_sym_boolean] = ACTIONS(2630),
    [anon_sym_string] = ACTIONS(2630),
    [anon_sym_symbol] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_satisfies] = ACTIONS(2630),
    [anon_sym_extends] = ACTIONS(2630),
    [anon_sym_infer] = ACTIONS(2630),
    [anon_sym_keyof] = ACTIONS(2630),
    [anon_sym_unknown] = ACTIONS(2630),
    [anon_sym_never] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2632),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_prop] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
    [anon_sym_event] = ACTIONS(2630),
    [anon_sym_fn] = ACTIONS(2630),
    [anon_sym_on] = ACTIONS(2630),
    [sym__ternary_qmark] = ACTIONS(2632),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_as] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_in] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_QMARK_DOT] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3287),
    [anon_sym_PIPE_PIPE] = ACTIONS(3287),
    [anon_sym_GT_GT] = ACTIONS(3285),
    [anon_sym_GT_GT_GT] = ACTIONS(3287),
    [anon_sym_LT_LT] = ACTIONS(3287),
    [anon_sym_AMP] = ACTIONS(3285),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_PIPE] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3287),
    [anon_sym_STAR_STAR] = ACTIONS(3287),
    [anon_sym_LT_EQ] = ACTIONS(3287),
    [anon_sym_EQ_EQ] = ACTIONS(3285),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3287),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3287),
    [anon_sym_GT_EQ] = ACTIONS(3287),
    [anon_sym_QMARK_QMARK] = ACTIONS(3287),
    [anon_sym_instanceof] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_this] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_QMARK] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_satisfies] = ACTIONS(3285),
    [anon_sym_extends] = ACTIONS(3285),
    [anon_sym_infer] = ACTIONS(3285),
    [anon_sym_keyof] = ACTIONS(3285),
    [anon_sym_unknown] = ACTIONS(3285),
    [anon_sym_never] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3287),
    [anon_sym_constructor] = ACTIONS(3285),
    [anon_sym_prop] = ACTIONS(3285),
    [anon_sym_id] = ACTIONS(3285),
    [anon_sym_event] = ACTIONS(3285),
    [anon_sym_fn] = ACTIONS(3285),
    [anon_sym_on] = ACTIONS(3285),
    [sym__ternary_qmark] = ACTIONS(3287),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_as] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_QMARK_DOT] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE] = ACTIONS(3291),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3291),
    [anon_sym_LT_LT] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym_CARET] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PERCENT] = ACTIONS(3291),
    [anon_sym_STAR_STAR] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_EQ_EQ] = ACTIONS(3289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3291),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_QMARK_QMARK] = ACTIONS(3291),
    [anon_sym_instanceof] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_this] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_QMARK] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_satisfies] = ACTIONS(3289),
    [anon_sym_extends] = ACTIONS(3289),
    [anon_sym_infer] = ACTIONS(3289),
    [anon_sym_keyof] = ACTIONS(3289),
    [anon_sym_unknown] = ACTIONS(3289),
    [anon_sym_never] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3291),
    [anon_sym_constructor] = ACTIONS(3289),
    [anon_sym_prop] = ACTIONS(3289),
    [anon_sym_id] = ACTIONS(3289),
    [anon_sym_event] = ACTIONS(3289),
    [anon_sym_fn] = ACTIONS(3289),
    [anon_sym_on] = ACTIONS(3289),
    [sym__ternary_qmark] = ACTIONS(3291),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_as] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_in] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_QMARK_DOT] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_GT_GT_GT] = ACTIONS(3295),
    [anon_sym_LT_LT] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3295),
    [anon_sym_STAR_STAR] = ACTIONS(3295),
    [anon_sym_LT_EQ] = ACTIONS(3295),
    [anon_sym_EQ_EQ] = ACTIONS(3293),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3295),
    [anon_sym_BANG_EQ] = ACTIONS(3293),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3295),
    [anon_sym_GT_EQ] = ACTIONS(3295),
    [anon_sym_QMARK_QMARK] = ACTIONS(3295),
    [anon_sym_instanceof] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_this] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_QMARK] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_satisfies] = ACTIONS(3293),
    [anon_sym_extends] = ACTIONS(3293),
    [anon_sym_infer] = ACTIONS(3293),
    [anon_sym_keyof] = ACTIONS(3293),
    [anon_sym_unknown] = ACTIONS(3293),
    [anon_sym_never] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3295),
    [anon_sym_constructor] = ACTIONS(3293),
    [anon_sym_prop] = ACTIONS(3293),
    [anon_sym_id] = ACTIONS(3293),
    [anon_sym_event] = ACTIONS(3293),
    [anon_sym_fn] = ACTIONS(3293),
    [anon_sym_on] = ACTIONS(3293),
    [sym__ternary_qmark] = ACTIONS(3295),
  },
  [953] = {
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_as] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_GT] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2740),
    [anon_sym_async] = ACTIONS(2740),
    [anon_sym_QMARK_DOT] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_GT_GT] = ACTIONS(2740),
    [anon_sym_GT_GT_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_STAR_STAR] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_EQ_EQ] = ACTIONS(2740),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK] = ACTIONS(2742),
    [anon_sym_instanceof] = ACTIONS(2740),
    [anon_sym_void] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_number] = ACTIONS(2742),
    [sym_this] = ACTIONS(2740),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [sym_null] = ACTIONS(2740),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_readonly] = ACTIONS(2740),
    [anon_sym_get] = ACTIONS(2740),
    [anon_sym_set] = ACTIONS(2740),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_any] = ACTIONS(2740),
    [anon_sym_number] = ACTIONS(2740),
    [anon_sym_boolean] = ACTIONS(2740),
    [anon_sym_string] = ACTIONS(2740),
    [anon_sym_symbol] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2740),
    [anon_sym_satisfies] = ACTIONS(2740),
    [anon_sym_extends] = ACTIONS(2740),
    [anon_sym_infer] = ACTIONS(2740),
    [anon_sym_keyof] = ACTIONS(2740),
    [anon_sym_unknown] = ACTIONS(2740),
    [anon_sym_never] = ACTIONS(2740),
    [anon_sym_object] = ACTIONS(2740),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2742),
    [anon_sym_constructor] = ACTIONS(2740),
    [anon_sym_prop] = ACTIONS(2740),
    [anon_sym_id] = ACTIONS(2740),
    [anon_sym_event] = ACTIONS(2740),
    [anon_sym_fn] = ACTIONS(2740),
    [anon_sym_on] = ACTIONS(2740),
    [sym__ternary_qmark] = ACTIONS(2742),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_as] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_GT] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_DOT] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_QMARK_DOT] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3299),
    [anon_sym_GT_GT] = ACTIONS(3297),
    [anon_sym_GT_GT_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PERCENT] = ACTIONS(3299),
    [anon_sym_STAR_STAR] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_EQ_EQ] = ACTIONS(3297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_QMARK_QMARK] = ACTIONS(3299),
    [anon_sym_instanceof] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_this] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_QMARK] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_satisfies] = ACTIONS(3297),
    [anon_sym_infer] = ACTIONS(3297),
    [anon_sym_keyof] = ACTIONS(3297),
    [anon_sym_unknown] = ACTIONS(3297),
    [anon_sym_never] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3299),
    [anon_sym_constructor] = ACTIONS(3297),
    [anon_sym_prop] = ACTIONS(3297),
    [anon_sym_id] = ACTIONS(3297),
    [anon_sym_event] = ACTIONS(3297),
    [anon_sym_fn] = ACTIONS(3297),
    [anon_sym_on] = ACTIONS(3297),
    [sym__ternary_qmark] = ACTIONS(3299),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_as] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_in] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_QMARK_DOT] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3305),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_GT_GT_GT] = ACTIONS(3305),
    [anon_sym_LT_LT] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3305),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_LT_EQ] = ACTIONS(3305),
    [anon_sym_EQ_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3305),
    [anon_sym_BANG_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3305),
    [anon_sym_GT_EQ] = ACTIONS(3305),
    [anon_sym_QMARK_QMARK] = ACTIONS(3305),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_this] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_QMARK] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_satisfies] = ACTIONS(3303),
    [anon_sym_extends] = ACTIONS(3303),
    [anon_sym_infer] = ACTIONS(3303),
    [anon_sym_keyof] = ACTIONS(3303),
    [anon_sym_unknown] = ACTIONS(3303),
    [anon_sym_never] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3305),
    [anon_sym_constructor] = ACTIONS(3303),
    [anon_sym_prop] = ACTIONS(3303),
    [anon_sym_id] = ACTIONS(3303),
    [anon_sym_event] = ACTIONS(3303),
    [anon_sym_fn] = ACTIONS(3303),
    [anon_sym_on] = ACTIONS(3303),
    [sym__ternary_qmark] = ACTIONS(3305),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_as] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_in] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_GT] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_DOT] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_QMARK_DOT] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3309),
    [anon_sym_PIPE_PIPE] = ACTIONS(3309),
    [anon_sym_GT_GT] = ACTIONS(3307),
    [anon_sym_GT_GT_GT] = ACTIONS(3309),
    [anon_sym_LT_LT] = ACTIONS(3309),
    [anon_sym_AMP] = ACTIONS(3307),
    [anon_sym_CARET] = ACTIONS(3309),
    [anon_sym_PIPE] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_PERCENT] = ACTIONS(3309),
    [anon_sym_STAR_STAR] = ACTIONS(3309),
    [anon_sym_LT_EQ] = ACTIONS(3309),
    [anon_sym_EQ_EQ] = ACTIONS(3307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3309),
    [anon_sym_BANG_EQ] = ACTIONS(3307),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3309),
    [anon_sym_GT_EQ] = ACTIONS(3309),
    [anon_sym_QMARK_QMARK] = ACTIONS(3309),
    [anon_sym_instanceof] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_this] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_QMARK] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_satisfies] = ACTIONS(3307),
    [anon_sym_extends] = ACTIONS(3307),
    [anon_sym_infer] = ACTIONS(3307),
    [anon_sym_keyof] = ACTIONS(3307),
    [anon_sym_unknown] = ACTIONS(3307),
    [anon_sym_never] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3309),
    [anon_sym_constructor] = ACTIONS(3307),
    [anon_sym_prop] = ACTIONS(3307),
    [anon_sym_id] = ACTIONS(3307),
    [anon_sym_event] = ACTIONS(3307),
    [anon_sym_fn] = ACTIONS(3307),
    [anon_sym_on] = ACTIONS(3307),
    [sym__ternary_qmark] = ACTIONS(3309),
  },
  [957] = {
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_as] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_in] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_GT] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_DOT] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_QMARK_DOT] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3313),
    [anon_sym_PIPE_PIPE] = ACTIONS(3313),
    [anon_sym_GT_GT] = ACTIONS(3311),
    [anon_sym_GT_GT_GT] = ACTIONS(3313),
    [anon_sym_LT_LT] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3311),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_PIPE] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_PERCENT] = ACTIONS(3313),
    [anon_sym_STAR_STAR] = ACTIONS(3313),
    [anon_sym_LT_EQ] = ACTIONS(3313),
    [anon_sym_EQ_EQ] = ACTIONS(3311),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3313),
    [anon_sym_BANG_EQ] = ACTIONS(3311),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3313),
    [anon_sym_GT_EQ] = ACTIONS(3313),
    [anon_sym_QMARK_QMARK] = ACTIONS(3313),
    [anon_sym_instanceof] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_this] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_QMARK] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_satisfies] = ACTIONS(3311),
    [anon_sym_extends] = ACTIONS(3311),
    [anon_sym_infer] = ACTIONS(3311),
    [anon_sym_keyof] = ACTIONS(3311),
    [anon_sym_unknown] = ACTIONS(3311),
    [anon_sym_never] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3313),
    [anon_sym_constructor] = ACTIONS(3311),
    [anon_sym_prop] = ACTIONS(3311),
    [anon_sym_id] = ACTIONS(3311),
    [anon_sym_event] = ACTIONS(3311),
    [anon_sym_fn] = ACTIONS(3311),
    [anon_sym_on] = ACTIONS(3311),
    [sym__ternary_qmark] = ACTIONS(3313),
  },
  [958] = {
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_as] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_in] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_GT] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_DOT] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_QMARK_DOT] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3317),
    [anon_sym_PIPE_PIPE] = ACTIONS(3317),
    [anon_sym_GT_GT] = ACTIONS(3315),
    [anon_sym_GT_GT_GT] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3317),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_CARET] = ACTIONS(3317),
    [anon_sym_PIPE] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_PERCENT] = ACTIONS(3317),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_EQ_EQ] = ACTIONS(3315),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3315),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_QMARK_QMARK] = ACTIONS(3317),
    [anon_sym_instanceof] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_this] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_QMARK] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_satisfies] = ACTIONS(3315),
    [anon_sym_extends] = ACTIONS(3315),
    [anon_sym_infer] = ACTIONS(3315),
    [anon_sym_keyof] = ACTIONS(3315),
    [anon_sym_unknown] = ACTIONS(3315),
    [anon_sym_never] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3317),
    [anon_sym_constructor] = ACTIONS(3315),
    [anon_sym_prop] = ACTIONS(3315),
    [anon_sym_id] = ACTIONS(3315),
    [anon_sym_event] = ACTIONS(3315),
    [anon_sym_fn] = ACTIONS(3315),
    [anon_sym_on] = ACTIONS(3315),
    [sym__ternary_qmark] = ACTIONS(3317),
  },
  [959] = {
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_typeof] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1376),
    [anon_sym_async] = ACTIONS(1376),
    [anon_sym_QMARK_DOT] = ACTIONS(1380),
    [anon_sym_new] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1376),
    [anon_sym_GT_GT_GT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_STAR_STAR] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_QMARK_QMARK] = ACTIONS(1380),
    [anon_sym_instanceof] = ACTIONS(1376),
    [anon_sym_void] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [sym_number] = ACTIONS(1380),
    [sym_this] = ACTIONS(1376),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [sym_null] = ACTIONS(1376),
    [sym_undefined] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_readonly] = ACTIONS(1376),
    [anon_sym_get] = ACTIONS(1376),
    [anon_sym_set] = ACTIONS(1376),
    [anon_sym_QMARK] = ACTIONS(1376),
    [anon_sym_any] = ACTIONS(1376),
    [anon_sym_number] = ACTIONS(1376),
    [anon_sym_boolean] = ACTIONS(1376),
    [anon_sym_string] = ACTIONS(1376),
    [anon_sym_symbol] = ACTIONS(1376),
    [anon_sym_abstract] = ACTIONS(1376),
    [anon_sym_satisfies] = ACTIONS(1376),
    [anon_sym_infer] = ACTIONS(1376),
    [anon_sym_keyof] = ACTIONS(1376),
    [anon_sym_unknown] = ACTIONS(1376),
    [anon_sym_never] = ACTIONS(1376),
    [anon_sym_object] = ACTIONS(1376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1380),
    [anon_sym_constructor] = ACTIONS(1376),
    [anon_sym_prop] = ACTIONS(1376),
    [anon_sym_id] = ACTIONS(1376),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_fn] = ACTIONS(1376),
    [anon_sym_on] = ACTIONS(1376),
    [sym__ternary_qmark] = ACTIONS(1380),
  },
  [960] = {
    [sym_optional_chain] = STATE(4208),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1864),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [961] = {
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_as] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_in] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_GT] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_DOT] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_QMARK_DOT] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3321),
    [anon_sym_PIPE_PIPE] = ACTIONS(3321),
    [anon_sym_GT_GT] = ACTIONS(3319),
    [anon_sym_GT_GT_GT] = ACTIONS(3321),
    [anon_sym_LT_LT] = ACTIONS(3321),
    [anon_sym_AMP] = ACTIONS(3319),
    [anon_sym_CARET] = ACTIONS(3321),
    [anon_sym_PIPE] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_PERCENT] = ACTIONS(3321),
    [anon_sym_STAR_STAR] = ACTIONS(3321),
    [anon_sym_LT_EQ] = ACTIONS(3321),
    [anon_sym_EQ_EQ] = ACTIONS(3319),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3319),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3321),
    [anon_sym_GT_EQ] = ACTIONS(3321),
    [anon_sym_QMARK_QMARK] = ACTIONS(3321),
    [anon_sym_instanceof] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_this] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_QMARK] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_satisfies] = ACTIONS(3319),
    [anon_sym_extends] = ACTIONS(3319),
    [anon_sym_infer] = ACTIONS(3319),
    [anon_sym_keyof] = ACTIONS(3319),
    [anon_sym_unknown] = ACTIONS(3319),
    [anon_sym_never] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3321),
    [anon_sym_constructor] = ACTIONS(3319),
    [anon_sym_prop] = ACTIONS(3319),
    [anon_sym_id] = ACTIONS(3319),
    [anon_sym_event] = ACTIONS(3319),
    [anon_sym_fn] = ACTIONS(3319),
    [anon_sym_on] = ACTIONS(3319),
    [sym__ternary_qmark] = ACTIONS(3321),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_as] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_in] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_GT] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_DOT] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_QMARK_DOT] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3325),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_GT_GT_GT] = ACTIONS(3325),
    [anon_sym_LT_LT] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_CARET] = ACTIONS(3325),
    [anon_sym_PIPE] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(3325),
    [anon_sym_STAR_STAR] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3325),
    [anon_sym_EQ_EQ] = ACTIONS(3323),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3325),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3325),
    [anon_sym_GT_EQ] = ACTIONS(3325),
    [anon_sym_QMARK_QMARK] = ACTIONS(3325),
    [anon_sym_instanceof] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_this] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_QMARK] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_satisfies] = ACTIONS(3323),
    [anon_sym_extends] = ACTIONS(3323),
    [anon_sym_infer] = ACTIONS(3323),
    [anon_sym_keyof] = ACTIONS(3323),
    [anon_sym_unknown] = ACTIONS(3323),
    [anon_sym_never] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3325),
    [anon_sym_constructor] = ACTIONS(3323),
    [anon_sym_prop] = ACTIONS(3323),
    [anon_sym_id] = ACTIONS(3323),
    [anon_sym_event] = ACTIONS(3323),
    [anon_sym_fn] = ACTIONS(3323),
    [anon_sym_on] = ACTIONS(3323),
    [sym__ternary_qmark] = ACTIONS(3325),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_as] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_in] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_GT] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_DOT] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_QMARK_DOT] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_PIPE_PIPE] = ACTIONS(3329),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_GT_GT_GT] = ACTIONS(3329),
    [anon_sym_LT_LT] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PERCENT] = ACTIONS(3329),
    [anon_sym_STAR_STAR] = ACTIONS(3329),
    [anon_sym_LT_EQ] = ACTIONS(3329),
    [anon_sym_EQ_EQ] = ACTIONS(3327),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3329),
    [anon_sym_BANG_EQ] = ACTIONS(3327),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3329),
    [anon_sym_GT_EQ] = ACTIONS(3329),
    [anon_sym_QMARK_QMARK] = ACTIONS(3329),
    [anon_sym_instanceof] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_this] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_QMARK] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_satisfies] = ACTIONS(3327),
    [anon_sym_extends] = ACTIONS(3327),
    [anon_sym_infer] = ACTIONS(3327),
    [anon_sym_keyof] = ACTIONS(3327),
    [anon_sym_unknown] = ACTIONS(3327),
    [anon_sym_never] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3329),
    [anon_sym_constructor] = ACTIONS(3327),
    [anon_sym_prop] = ACTIONS(3327),
    [anon_sym_id] = ACTIONS(3327),
    [anon_sym_event] = ACTIONS(3327),
    [anon_sym_fn] = ACTIONS(3327),
    [anon_sym_on] = ACTIONS(3327),
    [sym__ternary_qmark] = ACTIONS(3329),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3331),
    [anon_sym_as] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_GT] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_DOT] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_QMARK_DOT] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_PIPE_PIPE] = ACTIONS(3333),
    [anon_sym_GT_GT] = ACTIONS(3331),
    [anon_sym_GT_GT_GT] = ACTIONS(3333),
    [anon_sym_LT_LT] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_CARET] = ACTIONS(3333),
    [anon_sym_PIPE] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PERCENT] = ACTIONS(3333),
    [anon_sym_STAR_STAR] = ACTIONS(3333),
    [anon_sym_LT_EQ] = ACTIONS(3333),
    [anon_sym_EQ_EQ] = ACTIONS(3331),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3333),
    [anon_sym_BANG_EQ] = ACTIONS(3331),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3333),
    [anon_sym_GT_EQ] = ACTIONS(3333),
    [anon_sym_QMARK_QMARK] = ACTIONS(3333),
    [anon_sym_instanceof] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_this] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_satisfies] = ACTIONS(3331),
    [anon_sym_extends] = ACTIONS(3169),
    [anon_sym_infer] = ACTIONS(3331),
    [anon_sym_keyof] = ACTIONS(3331),
    [anon_sym_unknown] = ACTIONS(3331),
    [anon_sym_never] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3333),
    [anon_sym_constructor] = ACTIONS(3331),
    [anon_sym_prop] = ACTIONS(3331),
    [anon_sym_id] = ACTIONS(3331),
    [anon_sym_event] = ACTIONS(3331),
    [anon_sym_fn] = ACTIONS(3331),
    [anon_sym_on] = ACTIONS(3331),
    [sym__ternary_qmark] = ACTIONS(3333),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3335),
    [anon_sym_as] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3335),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_in] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3335),
    [anon_sym_GT] = ACTIONS(3335),
    [anon_sym_SLASH] = ACTIONS(3335),
    [anon_sym_DOT] = ACTIONS(3335),
    [anon_sym_async] = ACTIONS(3335),
    [anon_sym_QMARK_DOT] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_PIPE_PIPE] = ACTIONS(3337),
    [anon_sym_GT_GT] = ACTIONS(3335),
    [anon_sym_GT_GT_GT] = ACTIONS(3337),
    [anon_sym_LT_LT] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_CARET] = ACTIONS(3337),
    [anon_sym_PIPE] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PERCENT] = ACTIONS(3337),
    [anon_sym_STAR_STAR] = ACTIONS(3337),
    [anon_sym_LT_EQ] = ACTIONS(3337),
    [anon_sym_EQ_EQ] = ACTIONS(3335),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3337),
    [anon_sym_BANG_EQ] = ACTIONS(3335),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3337),
    [anon_sym_GT_EQ] = ACTIONS(3337),
    [anon_sym_QMARK_QMARK] = ACTIONS(3337),
    [anon_sym_instanceof] = ACTIONS(3335),
    [anon_sym_void] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_this] = ACTIONS(3335),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [sym_null] = ACTIONS(3335),
    [sym_undefined] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_readonly] = ACTIONS(3335),
    [anon_sym_get] = ACTIONS(3335),
    [anon_sym_set] = ACTIONS(3335),
    [anon_sym_QMARK] = ACTIONS(3335),
    [anon_sym_any] = ACTIONS(3335),
    [anon_sym_number] = ACTIONS(3335),
    [anon_sym_boolean] = ACTIONS(3335),
    [anon_sym_string] = ACTIONS(3335),
    [anon_sym_symbol] = ACTIONS(3335),
    [anon_sym_abstract] = ACTIONS(3335),
    [anon_sym_satisfies] = ACTIONS(3335),
    [anon_sym_extends] = ACTIONS(3335),
    [anon_sym_infer] = ACTIONS(3335),
    [anon_sym_keyof] = ACTIONS(3335),
    [anon_sym_unknown] = ACTIONS(3335),
    [anon_sym_never] = ACTIONS(3335),
    [anon_sym_object] = ACTIONS(3335),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3337),
    [anon_sym_constructor] = ACTIONS(3335),
    [anon_sym_prop] = ACTIONS(3335),
    [anon_sym_id] = ACTIONS(3335),
    [anon_sym_event] = ACTIONS(3335),
    [anon_sym_fn] = ACTIONS(3335),
    [anon_sym_on] = ACTIONS(3335),
    [sym__ternary_qmark] = ACTIONS(3337),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3339),
    [anon_sym_as] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_in] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_DOT] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_QMARK_DOT] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_PIPE_PIPE] = ACTIONS(3341),
    [anon_sym_GT_GT] = ACTIONS(3339),
    [anon_sym_GT_GT_GT] = ACTIONS(3341),
    [anon_sym_LT_LT] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_CARET] = ACTIONS(3341),
    [anon_sym_PIPE] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(3341),
    [anon_sym_STAR_STAR] = ACTIONS(3341),
    [anon_sym_LT_EQ] = ACTIONS(3341),
    [anon_sym_EQ_EQ] = ACTIONS(3339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3341),
    [anon_sym_BANG_EQ] = ACTIONS(3339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3341),
    [anon_sym_GT_EQ] = ACTIONS(3341),
    [anon_sym_QMARK_QMARK] = ACTIONS(3341),
    [anon_sym_instanceof] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_this] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_QMARK] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_satisfies] = ACTIONS(3339),
    [anon_sym_extends] = ACTIONS(3339),
    [anon_sym_infer] = ACTIONS(3339),
    [anon_sym_keyof] = ACTIONS(3339),
    [anon_sym_unknown] = ACTIONS(3339),
    [anon_sym_never] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3341),
    [anon_sym_constructor] = ACTIONS(3339),
    [anon_sym_prop] = ACTIONS(3339),
    [anon_sym_id] = ACTIONS(3339),
    [anon_sym_event] = ACTIONS(3339),
    [anon_sym_fn] = ACTIONS(3339),
    [anon_sym_on] = ACTIONS(3339),
    [sym__ternary_qmark] = ACTIONS(3341),
  },
  [967] = {
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_as] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_async] = ACTIONS(2732),
    [anon_sym_QMARK_DOT] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_GT_GT] = ACTIONS(2732),
    [anon_sym_GT_GT_GT] = ACTIONS(2734),
    [anon_sym_LT_LT] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2734),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_STAR_STAR] = ACTIONS(2734),
    [anon_sym_LT_EQ] = ACTIONS(2734),
    [anon_sym_EQ_EQ] = ACTIONS(2732),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2732),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2734),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK] = ACTIONS(2734),
    [anon_sym_instanceof] = ACTIONS(2732),
    [anon_sym_void] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2734),
    [sym_number] = ACTIONS(2734),
    [sym_this] = ACTIONS(2732),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [sym_null] = ACTIONS(2732),
    [sym_undefined] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_QMARK] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_abstract] = ACTIONS(2732),
    [anon_sym_satisfies] = ACTIONS(2732),
    [anon_sym_extends] = ACTIONS(2732),
    [anon_sym_infer] = ACTIONS(2732),
    [anon_sym_keyof] = ACTIONS(2732),
    [anon_sym_unknown] = ACTIONS(2732),
    [anon_sym_never] = ACTIONS(2732),
    [anon_sym_object] = ACTIONS(2732),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2734),
    [anon_sym_constructor] = ACTIONS(2732),
    [anon_sym_prop] = ACTIONS(2732),
    [anon_sym_id] = ACTIONS(2732),
    [anon_sym_event] = ACTIONS(2732),
    [anon_sym_fn] = ACTIONS(2732),
    [anon_sym_on] = ACTIONS(2732),
    [sym__ternary_qmark] = ACTIONS(2734),
  },
  [968] = {
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3339),
    [anon_sym_as] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_in] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_DOT] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_QMARK_DOT] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_PIPE_PIPE] = ACTIONS(3341),
    [anon_sym_GT_GT] = ACTIONS(3339),
    [anon_sym_GT_GT_GT] = ACTIONS(3341),
    [anon_sym_LT_LT] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3341),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(3341),
    [anon_sym_STAR_STAR] = ACTIONS(3341),
    [anon_sym_LT_EQ] = ACTIONS(3341),
    [anon_sym_EQ_EQ] = ACTIONS(3339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3341),
    [anon_sym_BANG_EQ] = ACTIONS(3339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3341),
    [anon_sym_GT_EQ] = ACTIONS(3341),
    [anon_sym_QMARK_QMARK] = ACTIONS(3341),
    [anon_sym_instanceof] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_this] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_QMARK] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_satisfies] = ACTIONS(3339),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3339),
    [anon_sym_keyof] = ACTIONS(3339),
    [anon_sym_unknown] = ACTIONS(3339),
    [anon_sym_never] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3341),
    [anon_sym_constructor] = ACTIONS(3339),
    [anon_sym_prop] = ACTIONS(3339),
    [anon_sym_id] = ACTIONS(3339),
    [anon_sym_event] = ACTIONS(3339),
    [anon_sym_fn] = ACTIONS(3339),
    [anon_sym_on] = ACTIONS(3339),
    [sym__ternary_qmark] = ACTIONS(3341),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3343),
    [anon_sym_as] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_in] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_GT] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_DOT] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_QMARK_DOT] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_PIPE_PIPE] = ACTIONS(3345),
    [anon_sym_GT_GT] = ACTIONS(3343),
    [anon_sym_GT_GT_GT] = ACTIONS(3345),
    [anon_sym_LT_LT] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_CARET] = ACTIONS(3345),
    [anon_sym_PIPE] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PERCENT] = ACTIONS(3345),
    [anon_sym_STAR_STAR] = ACTIONS(3345),
    [anon_sym_LT_EQ] = ACTIONS(3345),
    [anon_sym_EQ_EQ] = ACTIONS(3343),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3345),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3345),
    [anon_sym_GT_EQ] = ACTIONS(3345),
    [anon_sym_QMARK_QMARK] = ACTIONS(3345),
    [anon_sym_instanceof] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_this] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_QMARK] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(3343),
    [anon_sym_extends] = ACTIONS(3343),
    [anon_sym_infer] = ACTIONS(3343),
    [anon_sym_keyof] = ACTIONS(3343),
    [anon_sym_unknown] = ACTIONS(3343),
    [anon_sym_never] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3345),
    [anon_sym_constructor] = ACTIONS(3343),
    [anon_sym_prop] = ACTIONS(3343),
    [anon_sym_id] = ACTIONS(3343),
    [anon_sym_event] = ACTIONS(3343),
    [anon_sym_fn] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [sym__ternary_qmark] = ACTIONS(3345),
  },
  [970] = {
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_as] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_in] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_GT] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_DOT] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_QMARK_DOT] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_GT_GT] = ACTIONS(3347),
    [anon_sym_GT_GT_GT] = ACTIONS(3349),
    [anon_sym_LT_LT] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_CARET] = ACTIONS(3349),
    [anon_sym_PIPE] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PERCENT] = ACTIONS(3349),
    [anon_sym_STAR_STAR] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3349),
    [anon_sym_EQ_EQ] = ACTIONS(3347),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3349),
    [anon_sym_BANG_EQ] = ACTIONS(3347),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3349),
    [anon_sym_GT_EQ] = ACTIONS(3349),
    [anon_sym_QMARK_QMARK] = ACTIONS(3349),
    [anon_sym_instanceof] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_this] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_QMARK] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_satisfies] = ACTIONS(3347),
    [anon_sym_extends] = ACTIONS(3347),
    [anon_sym_infer] = ACTIONS(3347),
    [anon_sym_keyof] = ACTIONS(3347),
    [anon_sym_unknown] = ACTIONS(3347),
    [anon_sym_never] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3349),
    [anon_sym_constructor] = ACTIONS(3347),
    [anon_sym_prop] = ACTIONS(3347),
    [anon_sym_id] = ACTIONS(3347),
    [anon_sym_event] = ACTIONS(3347),
    [anon_sym_fn] = ACTIONS(3347),
    [anon_sym_on] = ACTIONS(3347),
    [sym__ternary_qmark] = ACTIONS(3349),
  },
  [971] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1864),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_as] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_in] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_GT] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_DOT] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_QMARK_DOT] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_PIPE_PIPE] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3351),
    [anon_sym_GT_GT_GT] = ACTIONS(3353),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_CARET] = ACTIONS(3353),
    [anon_sym_PIPE] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PERCENT] = ACTIONS(3353),
    [anon_sym_STAR_STAR] = ACTIONS(3353),
    [anon_sym_LT_EQ] = ACTIONS(3353),
    [anon_sym_EQ_EQ] = ACTIONS(3351),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3353),
    [anon_sym_BANG_EQ] = ACTIONS(3351),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3353),
    [anon_sym_GT_EQ] = ACTIONS(3353),
    [anon_sym_QMARK_QMARK] = ACTIONS(3353),
    [anon_sym_instanceof] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_this] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_QMARK] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_satisfies] = ACTIONS(3351),
    [anon_sym_extends] = ACTIONS(3351),
    [anon_sym_infer] = ACTIONS(3351),
    [anon_sym_keyof] = ACTIONS(3351),
    [anon_sym_unknown] = ACTIONS(3351),
    [anon_sym_never] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3353),
    [anon_sym_constructor] = ACTIONS(3351),
    [anon_sym_prop] = ACTIONS(3351),
    [anon_sym_id] = ACTIONS(3351),
    [anon_sym_event] = ACTIONS(3351),
    [anon_sym_fn] = ACTIONS(3351),
    [anon_sym_on] = ACTIONS(3351),
    [sym__ternary_qmark] = ACTIONS(3353),
  },
  [973] = {
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_as] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_in] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3355),
    [anon_sym_GT] = ACTIONS(3355),
    [anon_sym_SLASH] = ACTIONS(3355),
    [anon_sym_DOT] = ACTIONS(3355),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_PIPE_PIPE] = ACTIONS(3357),
    [anon_sym_GT_GT] = ACTIONS(3355),
    [anon_sym_GT_GT_GT] = ACTIONS(3357),
    [anon_sym_LT_LT] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PERCENT] = ACTIONS(3357),
    [anon_sym_STAR_STAR] = ACTIONS(3357),
    [anon_sym_LT_EQ] = ACTIONS(3357),
    [anon_sym_EQ_EQ] = ACTIONS(3355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3357),
    [anon_sym_BANG_EQ] = ACTIONS(3355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3357),
    [anon_sym_GT_EQ] = ACTIONS(3357),
    [anon_sym_QMARK_QMARK] = ACTIONS(3357),
    [anon_sym_instanceof] = ACTIONS(3355),
    [anon_sym_void] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_this] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_readonly] = ACTIONS(3355),
    [anon_sym_get] = ACTIONS(3355),
    [anon_sym_set] = ACTIONS(3355),
    [anon_sym_QMARK] = ACTIONS(3355),
    [anon_sym_any] = ACTIONS(3355),
    [anon_sym_number] = ACTIONS(3355),
    [anon_sym_boolean] = ACTIONS(3355),
    [anon_sym_string] = ACTIONS(3355),
    [anon_sym_symbol] = ACTIONS(3355),
    [anon_sym_abstract] = ACTIONS(3355),
    [anon_sym_satisfies] = ACTIONS(3355),
    [anon_sym_extends] = ACTIONS(3355),
    [anon_sym_infer] = ACTIONS(3355),
    [anon_sym_keyof] = ACTIONS(3355),
    [anon_sym_unknown] = ACTIONS(3355),
    [anon_sym_never] = ACTIONS(3355),
    [anon_sym_object] = ACTIONS(3355),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3357),
    [anon_sym_constructor] = ACTIONS(3355),
    [anon_sym_prop] = ACTIONS(3355),
    [anon_sym_id] = ACTIONS(3355),
    [anon_sym_event] = ACTIONS(3355),
    [anon_sym_fn] = ACTIONS(3355),
    [anon_sym_on] = ACTIONS(3355),
    [sym__ternary_qmark] = ACTIONS(3357),
  },
  [974] = {
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_as] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_in] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_GT] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_DOT] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_QMARK_DOT] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_PIPE_PIPE] = ACTIONS(3361),
    [anon_sym_GT_GT] = ACTIONS(3359),
    [anon_sym_GT_GT_GT] = ACTIONS(3361),
    [anon_sym_LT_LT] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_CARET] = ACTIONS(3361),
    [anon_sym_PIPE] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PERCENT] = ACTIONS(3361),
    [anon_sym_STAR_STAR] = ACTIONS(3361),
    [anon_sym_LT_EQ] = ACTIONS(3361),
    [anon_sym_EQ_EQ] = ACTIONS(3359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3361),
    [anon_sym_BANG_EQ] = ACTIONS(3359),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3361),
    [anon_sym_GT_EQ] = ACTIONS(3361),
    [anon_sym_QMARK_QMARK] = ACTIONS(3361),
    [anon_sym_instanceof] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_this] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_QMARK] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_satisfies] = ACTIONS(3359),
    [anon_sym_extends] = ACTIONS(3359),
    [anon_sym_infer] = ACTIONS(3359),
    [anon_sym_keyof] = ACTIONS(3359),
    [anon_sym_unknown] = ACTIONS(3359),
    [anon_sym_never] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3361),
    [anon_sym_constructor] = ACTIONS(3359),
    [anon_sym_prop] = ACTIONS(3359),
    [anon_sym_id] = ACTIONS(3359),
    [anon_sym_event] = ACTIONS(3359),
    [anon_sym_fn] = ACTIONS(3359),
    [anon_sym_on] = ACTIONS(3359),
    [sym__ternary_qmark] = ACTIONS(3361),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_as] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_in] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_EQ] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_GT] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_DOT] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_QMARK_DOT] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_PIPE_PIPE] = ACTIONS(3365),
    [anon_sym_GT_GT] = ACTIONS(3363),
    [anon_sym_GT_GT_GT] = ACTIONS(3365),
    [anon_sym_LT_LT] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_CARET] = ACTIONS(3365),
    [anon_sym_PIPE] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PERCENT] = ACTIONS(3365),
    [anon_sym_STAR_STAR] = ACTIONS(3365),
    [anon_sym_LT_EQ] = ACTIONS(3365),
    [anon_sym_EQ_EQ] = ACTIONS(3363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3365),
    [anon_sym_BANG_EQ] = ACTIONS(3363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3365),
    [anon_sym_GT_EQ] = ACTIONS(3365),
    [anon_sym_QMARK_QMARK] = ACTIONS(3365),
    [anon_sym_instanceof] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_this] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_QMARK] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_satisfies] = ACTIONS(3363),
    [anon_sym_infer] = ACTIONS(3363),
    [anon_sym_keyof] = ACTIONS(3363),
    [anon_sym_unknown] = ACTIONS(3363),
    [anon_sym_never] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3365),
    [anon_sym_constructor] = ACTIONS(3363),
    [anon_sym_prop] = ACTIONS(3363),
    [anon_sym_id] = ACTIONS(3363),
    [anon_sym_event] = ACTIONS(3363),
    [anon_sym_fn] = ACTIONS(3363),
    [anon_sym_on] = ACTIONS(3363),
    [sym__ternary_qmark] = ACTIONS(3365),
  },
  [976] = {
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_as] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_in] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_GT] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_DOT] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_QMARK_DOT] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_PIPE_PIPE] = ACTIONS(3371),
    [anon_sym_GT_GT] = ACTIONS(3369),
    [anon_sym_GT_GT_GT] = ACTIONS(3371),
    [anon_sym_LT_LT] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3371),
    [anon_sym_PIPE] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PERCENT] = ACTIONS(3371),
    [anon_sym_STAR_STAR] = ACTIONS(3371),
    [anon_sym_LT_EQ] = ACTIONS(3371),
    [anon_sym_EQ_EQ] = ACTIONS(3369),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3371),
    [anon_sym_BANG_EQ] = ACTIONS(3369),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3371),
    [anon_sym_GT_EQ] = ACTIONS(3371),
    [anon_sym_QMARK_QMARK] = ACTIONS(3371),
    [anon_sym_instanceof] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_this] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_QMARK] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_satisfies] = ACTIONS(3369),
    [anon_sym_extends] = ACTIONS(3120),
    [anon_sym_infer] = ACTIONS(3369),
    [anon_sym_keyof] = ACTIONS(3369),
    [anon_sym_unknown] = ACTIONS(3369),
    [anon_sym_never] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3371),
    [anon_sym_constructor] = ACTIONS(3369),
    [anon_sym_prop] = ACTIONS(3369),
    [anon_sym_id] = ACTIONS(3369),
    [anon_sym_event] = ACTIONS(3369),
    [anon_sym_fn] = ACTIONS(3369),
    [anon_sym_on] = ACTIONS(3369),
    [sym__ternary_qmark] = ACTIONS(3371),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1864),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_as] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_in] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_GT] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_DOT] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_QMARK_DOT] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_PIPE_PIPE] = ACTIONS(3375),
    [anon_sym_GT_GT] = ACTIONS(3373),
    [anon_sym_GT_GT_GT] = ACTIONS(3375),
    [anon_sym_LT_LT] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_PIPE] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PERCENT] = ACTIONS(3375),
    [anon_sym_STAR_STAR] = ACTIONS(3375),
    [anon_sym_LT_EQ] = ACTIONS(3375),
    [anon_sym_EQ_EQ] = ACTIONS(3373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3375),
    [anon_sym_BANG_EQ] = ACTIONS(3373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3375),
    [anon_sym_GT_EQ] = ACTIONS(3375),
    [anon_sym_QMARK_QMARK] = ACTIONS(3375),
    [anon_sym_instanceof] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_this] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_QMARK] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_satisfies] = ACTIONS(3373),
    [anon_sym_extends] = ACTIONS(3373),
    [anon_sym_infer] = ACTIONS(3373),
    [anon_sym_keyof] = ACTIONS(3373),
    [anon_sym_unknown] = ACTIONS(3373),
    [anon_sym_never] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3375),
    [anon_sym_constructor] = ACTIONS(3373),
    [anon_sym_prop] = ACTIONS(3373),
    [anon_sym_id] = ACTIONS(3373),
    [anon_sym_event] = ACTIONS(3373),
    [anon_sym_fn] = ACTIONS(3373),
    [anon_sym_on] = ACTIONS(3373),
    [sym__ternary_qmark] = ACTIONS(3375),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_as] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_in] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_GT] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_DOT] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_QMARK_DOT] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_PIPE_PIPE] = ACTIONS(3379),
    [anon_sym_GT_GT] = ACTIONS(3377),
    [anon_sym_GT_GT_GT] = ACTIONS(3379),
    [anon_sym_LT_LT] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_CARET] = ACTIONS(3379),
    [anon_sym_PIPE] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PERCENT] = ACTIONS(3379),
    [anon_sym_STAR_STAR] = ACTIONS(3379),
    [anon_sym_LT_EQ] = ACTIONS(3379),
    [anon_sym_EQ_EQ] = ACTIONS(3377),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3379),
    [anon_sym_BANG_EQ] = ACTIONS(3377),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3379),
    [anon_sym_GT_EQ] = ACTIONS(3379),
    [anon_sym_QMARK_QMARK] = ACTIONS(3379),
    [anon_sym_instanceof] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_this] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_QMARK] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_satisfies] = ACTIONS(3377),
    [anon_sym_extends] = ACTIONS(3377),
    [anon_sym_infer] = ACTIONS(3377),
    [anon_sym_keyof] = ACTIONS(3377),
    [anon_sym_unknown] = ACTIONS(3377),
    [anon_sym_never] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3379),
    [anon_sym_constructor] = ACTIONS(3377),
    [anon_sym_prop] = ACTIONS(3377),
    [anon_sym_id] = ACTIONS(3377),
    [anon_sym_event] = ACTIONS(3377),
    [anon_sym_fn] = ACTIONS(3377),
    [anon_sym_on] = ACTIONS(3377),
    [sym__ternary_qmark] = ACTIONS(3379),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_as] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_in] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_GT] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_DOT] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_QMARK_DOT] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_PIPE_PIPE] = ACTIONS(3383),
    [anon_sym_GT_GT] = ACTIONS(3381),
    [anon_sym_GT_GT_GT] = ACTIONS(3383),
    [anon_sym_LT_LT] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_CARET] = ACTIONS(3383),
    [anon_sym_PIPE] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PERCENT] = ACTIONS(3383),
    [anon_sym_STAR_STAR] = ACTIONS(3383),
    [anon_sym_LT_EQ] = ACTIONS(3383),
    [anon_sym_EQ_EQ] = ACTIONS(3381),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3383),
    [anon_sym_BANG_EQ] = ACTIONS(3381),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3383),
    [anon_sym_GT_EQ] = ACTIONS(3383),
    [anon_sym_QMARK_QMARK] = ACTIONS(3383),
    [anon_sym_instanceof] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3383),
    [sym_number] = ACTIONS(3383),
    [sym_this] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_QMARK] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_satisfies] = ACTIONS(3381),
    [anon_sym_extends] = ACTIONS(3381),
    [anon_sym_infer] = ACTIONS(3381),
    [anon_sym_keyof] = ACTIONS(3381),
    [anon_sym_unknown] = ACTIONS(3381),
    [anon_sym_never] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3383),
    [anon_sym_constructor] = ACTIONS(3381),
    [anon_sym_prop] = ACTIONS(3381),
    [anon_sym_id] = ACTIONS(3381),
    [anon_sym_event] = ACTIONS(3381),
    [anon_sym_fn] = ACTIONS(3381),
    [anon_sym_on] = ACTIONS(3381),
    [sym__ternary_qmark] = ACTIONS(3383),
  },
  [981] = {
    [sym_identifier] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_as] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_in] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(3385),
    [anon_sym_SLASH] = ACTIONS(3385),
    [anon_sym_DOT] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_QMARK_DOT] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3387),
    [anon_sym_GT_GT] = ACTIONS(3385),
    [anon_sym_GT_GT_GT] = ACTIONS(3387),
    [anon_sym_LT_LT] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PERCENT] = ACTIONS(3387),
    [anon_sym_STAR_STAR] = ACTIONS(3387),
    [anon_sym_LT_EQ] = ACTIONS(3387),
    [anon_sym_EQ_EQ] = ACTIONS(3385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3387),
    [anon_sym_BANG_EQ] = ACTIONS(3385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3387),
    [anon_sym_GT_EQ] = ACTIONS(3387),
    [anon_sym_QMARK_QMARK] = ACTIONS(3387),
    [anon_sym_instanceof] = ACTIONS(3385),
    [anon_sym_void] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_this] = ACTIONS(3385),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [sym_null] = ACTIONS(3385),
    [sym_undefined] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_get] = ACTIONS(3385),
    [anon_sym_set] = ACTIONS(3385),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_any] = ACTIONS(3385),
    [anon_sym_number] = ACTIONS(3385),
    [anon_sym_boolean] = ACTIONS(3385),
    [anon_sym_string] = ACTIONS(3385),
    [anon_sym_symbol] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_satisfies] = ACTIONS(3385),
    [anon_sym_extends] = ACTIONS(3385),
    [anon_sym_infer] = ACTIONS(3385),
    [anon_sym_keyof] = ACTIONS(3385),
    [anon_sym_unknown] = ACTIONS(3385),
    [anon_sym_never] = ACTIONS(3385),
    [anon_sym_object] = ACTIONS(3385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3387),
    [anon_sym_constructor] = ACTIONS(3385),
    [anon_sym_prop] = ACTIONS(3385),
    [anon_sym_id] = ACTIONS(3385),
    [anon_sym_event] = ACTIONS(3385),
    [anon_sym_fn] = ACTIONS(3385),
    [anon_sym_on] = ACTIONS(3385),
    [sym__ternary_qmark] = ACTIONS(3387),
  },
  [982] = {
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_in] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_GT] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_DOT] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_QMARK_DOT] = ACTIONS(3391),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_PIPE_PIPE] = ACTIONS(3391),
    [anon_sym_GT_GT] = ACTIONS(3389),
    [anon_sym_GT_GT_GT] = ACTIONS(3391),
    [anon_sym_LT_LT] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_CARET] = ACTIONS(3391),
    [anon_sym_PIPE] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PERCENT] = ACTIONS(3391),
    [anon_sym_STAR_STAR] = ACTIONS(3391),
    [anon_sym_LT_EQ] = ACTIONS(3391),
    [anon_sym_EQ_EQ] = ACTIONS(3389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3391),
    [anon_sym_BANG_EQ] = ACTIONS(3389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3391),
    [anon_sym_GT_EQ] = ACTIONS(3391),
    [anon_sym_QMARK_QMARK] = ACTIONS(3391),
    [anon_sym_instanceof] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3391),
    [sym_number] = ACTIONS(3391),
    [sym_this] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_QMARK] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_satisfies] = ACTIONS(3389),
    [anon_sym_extends] = ACTIONS(3389),
    [anon_sym_infer] = ACTIONS(3389),
    [anon_sym_keyof] = ACTIONS(3389),
    [anon_sym_unknown] = ACTIONS(3389),
    [anon_sym_never] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3391),
    [anon_sym_constructor] = ACTIONS(3389),
    [anon_sym_prop] = ACTIONS(3389),
    [anon_sym_id] = ACTIONS(3389),
    [anon_sym_event] = ACTIONS(3389),
    [anon_sym_fn] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [sym__ternary_qmark] = ACTIONS(3391),
  },
  [983] = {
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3393),
    [anon_sym_as] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_in] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3393),
    [anon_sym_GT] = ACTIONS(3393),
    [anon_sym_SLASH] = ACTIONS(3393),
    [anon_sym_DOT] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_QMARK_DOT] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_PIPE_PIPE] = ACTIONS(3395),
    [anon_sym_GT_GT] = ACTIONS(3393),
    [anon_sym_GT_GT_GT] = ACTIONS(3395),
    [anon_sym_LT_LT] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3395),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PERCENT] = ACTIONS(3395),
    [anon_sym_STAR_STAR] = ACTIONS(3395),
    [anon_sym_LT_EQ] = ACTIONS(3395),
    [anon_sym_EQ_EQ] = ACTIONS(3393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3395),
    [anon_sym_BANG_EQ] = ACTIONS(3393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3395),
    [anon_sym_GT_EQ] = ACTIONS(3395),
    [anon_sym_QMARK_QMARK] = ACTIONS(3395),
    [anon_sym_instanceof] = ACTIONS(3393),
    [anon_sym_void] = ACTIONS(3393),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_this] = ACTIONS(3393),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [sym_null] = ACTIONS(3393),
    [sym_undefined] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_get] = ACTIONS(3393),
    [anon_sym_set] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_any] = ACTIONS(3393),
    [anon_sym_number] = ACTIONS(3393),
    [anon_sym_boolean] = ACTIONS(3393),
    [anon_sym_string] = ACTIONS(3393),
    [anon_sym_symbol] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_satisfies] = ACTIONS(3393),
    [anon_sym_extends] = ACTIONS(3393),
    [anon_sym_infer] = ACTIONS(3393),
    [anon_sym_keyof] = ACTIONS(3393),
    [anon_sym_unknown] = ACTIONS(3393),
    [anon_sym_never] = ACTIONS(3393),
    [anon_sym_object] = ACTIONS(3393),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3395),
    [anon_sym_constructor] = ACTIONS(3393),
    [anon_sym_prop] = ACTIONS(3393),
    [anon_sym_id] = ACTIONS(3393),
    [anon_sym_event] = ACTIONS(3393),
    [anon_sym_fn] = ACTIONS(3393),
    [anon_sym_on] = ACTIONS(3393),
    [sym__ternary_qmark] = ACTIONS(3395),
  },
  [984] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_typeof] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_async] = ACTIONS(3060),
    [anon_sym_QMARK_DOT] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_GT_GT_GT] = ACTIONS(3062),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3062),
    [anon_sym_STAR_STAR] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_QMARK] = ACTIONS(3062),
    [anon_sym_instanceof] = ACTIONS(3060),
    [anon_sym_void] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3062),
    [sym_number] = ACTIONS(3062),
    [sym_this] = ACTIONS(3060),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3060),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_any] = ACTIONS(3060),
    [anon_sym_number] = ACTIONS(3060),
    [anon_sym_boolean] = ACTIONS(3060),
    [anon_sym_string] = ACTIONS(3060),
    [anon_sym_symbol] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_satisfies] = ACTIONS(3060),
    [anon_sym_extends] = ACTIONS(3060),
    [anon_sym_infer] = ACTIONS(3060),
    [anon_sym_keyof] = ACTIONS(3060),
    [anon_sym_unknown] = ACTIONS(3060),
    [anon_sym_never] = ACTIONS(3060),
    [anon_sym_object] = ACTIONS(3060),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3062),
    [anon_sym_constructor] = ACTIONS(3060),
    [anon_sym_prop] = ACTIONS(3060),
    [anon_sym_id] = ACTIONS(3060),
    [anon_sym_event] = ACTIONS(3060),
    [anon_sym_fn] = ACTIONS(3060),
    [anon_sym_on] = ACTIONS(3060),
    [sym__ternary_qmark] = ACTIONS(3062),
  },
  [985] = {
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3397),
    [anon_sym_as] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_in] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_GT] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_DOT] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_QMARK_DOT] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_PIPE_PIPE] = ACTIONS(3399),
    [anon_sym_GT_GT] = ACTIONS(3397),
    [anon_sym_GT_GT_GT] = ACTIONS(3399),
    [anon_sym_LT_LT] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PERCENT] = ACTIONS(3399),
    [anon_sym_STAR_STAR] = ACTIONS(3399),
    [anon_sym_LT_EQ] = ACTIONS(3399),
    [anon_sym_EQ_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3399),
    [anon_sym_BANG_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3399),
    [anon_sym_GT_EQ] = ACTIONS(3399),
    [anon_sym_QMARK_QMARK] = ACTIONS(3399),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_this] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_QMARK] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_satisfies] = ACTIONS(3397),
    [anon_sym_infer] = ACTIONS(3397),
    [anon_sym_keyof] = ACTIONS(3397),
    [anon_sym_unknown] = ACTIONS(3397),
    [anon_sym_never] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3399),
    [anon_sym_constructor] = ACTIONS(3397),
    [anon_sym_prop] = ACTIONS(3397),
    [anon_sym_id] = ACTIONS(3397),
    [anon_sym_event] = ACTIONS(3397),
    [anon_sym_fn] = ACTIONS(3397),
    [anon_sym_on] = ACTIONS(3397),
    [sym__ternary_qmark] = ACTIONS(3399),
  },
  [986] = {
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_async] = ACTIONS(1502),
    [anon_sym_QMARK_DOT] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1506),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1506),
    [anon_sym_LT_LT] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_CARET] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1506),
    [anon_sym_STAR_STAR] = ACTIONS(1506),
    [anon_sym_LT_EQ] = ACTIONS(1506),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1506),
    [anon_sym_GT_EQ] = ACTIONS(1506),
    [anon_sym_QMARK_QMARK] = ACTIONS(1506),
    [anon_sym_instanceof] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [sym_number] = ACTIONS(1506),
    [sym_this] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [sym_null] = ACTIONS(1502),
    [sym_undefined] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1502),
    [anon_sym_readonly] = ACTIONS(1502),
    [anon_sym_get] = ACTIONS(1502),
    [anon_sym_set] = ACTIONS(1502),
    [anon_sym_QMARK] = ACTIONS(1502),
    [anon_sym_any] = ACTIONS(1502),
    [anon_sym_number] = ACTIONS(1502),
    [anon_sym_boolean] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_symbol] = ACTIONS(1502),
    [anon_sym_abstract] = ACTIONS(1502),
    [anon_sym_satisfies] = ACTIONS(1502),
    [anon_sym_infer] = ACTIONS(1502),
    [anon_sym_keyof] = ACTIONS(1502),
    [anon_sym_unknown] = ACTIONS(1502),
    [anon_sym_never] = ACTIONS(1502),
    [anon_sym_object] = ACTIONS(1502),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1506),
    [anon_sym_constructor] = ACTIONS(1502),
    [anon_sym_prop] = ACTIONS(1502),
    [anon_sym_id] = ACTIONS(1502),
    [anon_sym_event] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym_on] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1506),
  },
  [987] = {
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_as] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_GT] = ACTIONS(2802),
    [anon_sym_SLASH] = ACTIONS(2802),
    [anon_sym_DOT] = ACTIONS(2802),
    [anon_sym_async] = ACTIONS(2802),
    [anon_sym_QMARK_DOT] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2802),
    [anon_sym_GT_GT_GT] = ACTIONS(2804),
    [anon_sym_LT_LT] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_PIPE] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PERCENT] = ACTIONS(2804),
    [anon_sym_STAR_STAR] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2804),
    [anon_sym_EQ_EQ] = ACTIONS(2802),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2804),
    [anon_sym_BANG_EQ] = ACTIONS(2802),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2804),
    [anon_sym_GT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK] = ACTIONS(2804),
    [anon_sym_instanceof] = ACTIONS(2802),
    [anon_sym_void] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2804),
    [sym_number] = ACTIONS(2804),
    [sym_this] = ACTIONS(2802),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_undefined] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_readonly] = ACTIONS(2802),
    [anon_sym_get] = ACTIONS(2802),
    [anon_sym_set] = ACTIONS(2802),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_any] = ACTIONS(2802),
    [anon_sym_number] = ACTIONS(2802),
    [anon_sym_boolean] = ACTIONS(2802),
    [anon_sym_string] = ACTIONS(2802),
    [anon_sym_symbol] = ACTIONS(2802),
    [anon_sym_abstract] = ACTIONS(2802),
    [anon_sym_satisfies] = ACTIONS(2802),
    [anon_sym_infer] = ACTIONS(2802),
    [anon_sym_keyof] = ACTIONS(2802),
    [anon_sym_unknown] = ACTIONS(2802),
    [anon_sym_never] = ACTIONS(2802),
    [anon_sym_object] = ACTIONS(2802),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2804),
    [anon_sym_constructor] = ACTIONS(2802),
    [anon_sym_prop] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
    [anon_sym_event] = ACTIONS(2802),
    [anon_sym_fn] = ACTIONS(2802),
    [anon_sym_on] = ACTIONS(2802),
    [sym__ternary_qmark] = ACTIONS(2804),
  },
  [988] = {
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_as] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_in] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_GT] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_DOT] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_QMARK_DOT] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_PIPE_PIPE] = ACTIONS(3403),
    [anon_sym_GT_GT] = ACTIONS(3401),
    [anon_sym_GT_GT_GT] = ACTIONS(3403),
    [anon_sym_LT_LT] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_CARET] = ACTIONS(3403),
    [anon_sym_PIPE] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PERCENT] = ACTIONS(3403),
    [anon_sym_STAR_STAR] = ACTIONS(3403),
    [anon_sym_LT_EQ] = ACTIONS(3403),
    [anon_sym_EQ_EQ] = ACTIONS(3401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3403),
    [anon_sym_BANG_EQ] = ACTIONS(3401),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3403),
    [anon_sym_GT_EQ] = ACTIONS(3403),
    [anon_sym_QMARK_QMARK] = ACTIONS(3403),
    [anon_sym_instanceof] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_this] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_QMARK] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_satisfies] = ACTIONS(3401),
    [anon_sym_infer] = ACTIONS(3401),
    [anon_sym_keyof] = ACTIONS(3401),
    [anon_sym_unknown] = ACTIONS(3401),
    [anon_sym_never] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3403),
    [anon_sym_constructor] = ACTIONS(3401),
    [anon_sym_prop] = ACTIONS(3401),
    [anon_sym_id] = ACTIONS(3401),
    [anon_sym_event] = ACTIONS(3401),
    [anon_sym_fn] = ACTIONS(3401),
    [anon_sym_on] = ACTIONS(3401),
    [sym__ternary_qmark] = ACTIONS(3403),
  },
  [989] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_typeof] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_async] = ACTIONS(1452),
    [anon_sym_QMARK_DOT] = ACTIONS(1456),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_GT_GT_GT] = ACTIONS(1456),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1456),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_QMARK_QMARK] = ACTIONS(1456),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_void] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [sym_number] = ACTIONS(1456),
    [sym_this] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_abstract] = ACTIONS(1452),
    [anon_sym_satisfies] = ACTIONS(1452),
    [anon_sym_infer] = ACTIONS(1452),
    [anon_sym_keyof] = ACTIONS(1452),
    [anon_sym_unknown] = ACTIONS(1452),
    [anon_sym_never] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1456),
    [anon_sym_constructor] = ACTIONS(1452),
    [anon_sym_prop] = ACTIONS(1452),
    [anon_sym_id] = ACTIONS(1452),
    [anon_sym_event] = ACTIONS(1452),
    [anon_sym_fn] = ACTIONS(1452),
    [anon_sym_on] = ACTIONS(1452),
    [sym__ternary_qmark] = ACTIONS(1456),
  },
  [990] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_typeof] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_async] = ACTIONS(1466),
    [anon_sym_QMARK_DOT] = ACTIONS(1470),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_QMARK_QMARK] = ACTIONS(1470),
    [anon_sym_instanceof] = ACTIONS(1466),
    [anon_sym_void] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [sym_number] = ACTIONS(1470),
    [sym_this] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_undefined] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_get] = ACTIONS(1466),
    [anon_sym_set] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_any] = ACTIONS(1466),
    [anon_sym_number] = ACTIONS(1466),
    [anon_sym_boolean] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_symbol] = ACTIONS(1466),
    [anon_sym_abstract] = ACTIONS(1466),
    [anon_sym_satisfies] = ACTIONS(1466),
    [anon_sym_infer] = ACTIONS(1466),
    [anon_sym_keyof] = ACTIONS(1466),
    [anon_sym_unknown] = ACTIONS(1466),
    [anon_sym_never] = ACTIONS(1466),
    [anon_sym_object] = ACTIONS(1466),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1470),
    [anon_sym_constructor] = ACTIONS(1466),
    [anon_sym_prop] = ACTIONS(1466),
    [anon_sym_id] = ACTIONS(1466),
    [anon_sym_event] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym_on] = ACTIONS(1466),
    [sym__ternary_qmark] = ACTIONS(1470),
  },
  [991] = {
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3405),
    [anon_sym_as] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_in] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_GT] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_DOT] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_QMARK_DOT] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_PIPE_PIPE] = ACTIONS(3407),
    [anon_sym_GT_GT] = ACTIONS(3405),
    [anon_sym_GT_GT_GT] = ACTIONS(3407),
    [anon_sym_LT_LT] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3407),
    [anon_sym_PIPE] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PERCENT] = ACTIONS(3407),
    [anon_sym_STAR_STAR] = ACTIONS(3407),
    [anon_sym_LT_EQ] = ACTIONS(3407),
    [anon_sym_EQ_EQ] = ACTIONS(3405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3407),
    [anon_sym_BANG_EQ] = ACTIONS(3405),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3407),
    [anon_sym_GT_EQ] = ACTIONS(3407),
    [anon_sym_QMARK_QMARK] = ACTIONS(3407),
    [anon_sym_instanceof] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_this] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_QMARK] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_satisfies] = ACTIONS(3405),
    [anon_sym_infer] = ACTIONS(3405),
    [anon_sym_keyof] = ACTIONS(3405),
    [anon_sym_unknown] = ACTIONS(3405),
    [anon_sym_never] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3407),
    [anon_sym_constructor] = ACTIONS(3405),
    [anon_sym_prop] = ACTIONS(3405),
    [anon_sym_id] = ACTIONS(3405),
    [anon_sym_event] = ACTIONS(3405),
    [anon_sym_fn] = ACTIONS(3405),
    [anon_sym_on] = ACTIONS(3405),
    [sym__ternary_qmark] = ACTIONS(3407),
  },
  [992] = {
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_typeof] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_SLASH] = ACTIONS(1512),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_async] = ACTIONS(1512),
    [anon_sym_QMARK_DOT] = ACTIONS(1516),
    [anon_sym_new] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_STAR_STAR] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_QMARK_QMARK] = ACTIONS(1516),
    [anon_sym_instanceof] = ACTIONS(1512),
    [anon_sym_void] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [sym_number] = ACTIONS(1516),
    [sym_this] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [sym_null] = ACTIONS(1512),
    [sym_undefined] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_get] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_any] = ACTIONS(1512),
    [anon_sym_number] = ACTIONS(1512),
    [anon_sym_boolean] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_symbol] = ACTIONS(1512),
    [anon_sym_abstract] = ACTIONS(1512),
    [anon_sym_satisfies] = ACTIONS(1512),
    [anon_sym_infer] = ACTIONS(1512),
    [anon_sym_keyof] = ACTIONS(1512),
    [anon_sym_unknown] = ACTIONS(1512),
    [anon_sym_never] = ACTIONS(1512),
    [anon_sym_object] = ACTIONS(1512),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1516),
    [anon_sym_constructor] = ACTIONS(1512),
    [anon_sym_prop] = ACTIONS(1512),
    [anon_sym_id] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym_on] = ACTIONS(1512),
    [sym__ternary_qmark] = ACTIONS(1516),
  },
  [993] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [anon_sym_typeof] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_async] = ACTIONS(1492),
    [anon_sym_QMARK_DOT] = ACTIONS(1496),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1496),
    [anon_sym_STAR_STAR] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_QMARK_QMARK] = ACTIONS(1496),
    [anon_sym_instanceof] = ACTIONS(1492),
    [anon_sym_void] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [sym_number] = ACTIONS(1496),
    [sym_this] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(1492),
    [anon_sym_set] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1492),
    [anon_sym_any] = ACTIONS(1492),
    [anon_sym_number] = ACTIONS(1492),
    [anon_sym_boolean] = ACTIONS(1492),
    [anon_sym_string] = ACTIONS(1492),
    [anon_sym_symbol] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_satisfies] = ACTIONS(1492),
    [anon_sym_infer] = ACTIONS(1492),
    [anon_sym_keyof] = ACTIONS(1492),
    [anon_sym_unknown] = ACTIONS(1492),
    [anon_sym_never] = ACTIONS(1492),
    [anon_sym_object] = ACTIONS(1492),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1496),
    [anon_sym_constructor] = ACTIONS(1492),
    [anon_sym_prop] = ACTIONS(1492),
    [anon_sym_id] = ACTIONS(1492),
    [anon_sym_event] = ACTIONS(1492),
    [anon_sym_fn] = ACTIONS(1492),
    [anon_sym_on] = ACTIONS(1492),
    [sym__ternary_qmark] = ACTIONS(1496),
  },
  [994] = {
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3409),
    [anon_sym_as] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_in] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_GT] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_DOT] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_QMARK_DOT] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_PIPE_PIPE] = ACTIONS(3411),
    [anon_sym_GT_GT] = ACTIONS(3409),
    [anon_sym_GT_GT_GT] = ACTIONS(3411),
    [anon_sym_LT_LT] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_CARET] = ACTIONS(3411),
    [anon_sym_PIPE] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PERCENT] = ACTIONS(3411),
    [anon_sym_STAR_STAR] = ACTIONS(3411),
    [anon_sym_LT_EQ] = ACTIONS(3411),
    [anon_sym_EQ_EQ] = ACTIONS(3409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3411),
    [anon_sym_BANG_EQ] = ACTIONS(3409),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3411),
    [anon_sym_GT_EQ] = ACTIONS(3411),
    [anon_sym_QMARK_QMARK] = ACTIONS(3411),
    [anon_sym_instanceof] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_this] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_QMARK] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_satisfies] = ACTIONS(3409),
    [anon_sym_infer] = ACTIONS(3409),
    [anon_sym_keyof] = ACTIONS(3409),
    [anon_sym_unknown] = ACTIONS(3409),
    [anon_sym_never] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3411),
    [anon_sym_constructor] = ACTIONS(3409),
    [anon_sym_prop] = ACTIONS(3409),
    [anon_sym_id] = ACTIONS(3409),
    [anon_sym_event] = ACTIONS(3409),
    [anon_sym_fn] = ACTIONS(3409),
    [anon_sym_on] = ACTIONS(3409),
    [sym__ternary_qmark] = ACTIONS(3411),
  },
  [995] = {
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3413),
    [anon_sym_as] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_GT] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_DOT] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_QMARK_DOT] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE] = ACTIONS(3415),
    [anon_sym_GT_GT] = ACTIONS(3413),
    [anon_sym_GT_GT_GT] = ACTIONS(3415),
    [anon_sym_LT_LT] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_CARET] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PERCENT] = ACTIONS(3415),
    [anon_sym_STAR_STAR] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_EQ_EQ] = ACTIONS(3413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3415),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_QMARK_QMARK] = ACTIONS(3415),
    [anon_sym_instanceof] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_this] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_QMARK] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_satisfies] = ACTIONS(3413),
    [anon_sym_infer] = ACTIONS(3413),
    [anon_sym_keyof] = ACTIONS(3413),
    [anon_sym_unknown] = ACTIONS(3413),
    [anon_sym_never] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3415),
    [anon_sym_constructor] = ACTIONS(3413),
    [anon_sym_prop] = ACTIONS(3413),
    [anon_sym_id] = ACTIONS(3413),
    [anon_sym_event] = ACTIONS(3413),
    [anon_sym_fn] = ACTIONS(3413),
    [anon_sym_on] = ACTIONS(3413),
    [sym__ternary_qmark] = ACTIONS(3415),
  },
  [996] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_async] = ACTIONS(1480),
    [anon_sym_QMARK_DOT] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_QMARK_QMARK] = ACTIONS(1484),
    [anon_sym_instanceof] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_undefined] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_readonly] = ACTIONS(1480),
    [anon_sym_get] = ACTIONS(1480),
    [anon_sym_set] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_any] = ACTIONS(1480),
    [anon_sym_number] = ACTIONS(1480),
    [anon_sym_boolean] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_symbol] = ACTIONS(1480),
    [anon_sym_abstract] = ACTIONS(1480),
    [anon_sym_satisfies] = ACTIONS(1480),
    [anon_sym_infer] = ACTIONS(1480),
    [anon_sym_keyof] = ACTIONS(1480),
    [anon_sym_unknown] = ACTIONS(1480),
    [anon_sym_never] = ACTIONS(1480),
    [anon_sym_object] = ACTIONS(1480),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1484),
    [anon_sym_constructor] = ACTIONS(1480),
    [anon_sym_prop] = ACTIONS(1480),
    [anon_sym_id] = ACTIONS(1480),
    [anon_sym_event] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym_on] = ACTIONS(1480),
    [sym__ternary_qmark] = ACTIONS(1484),
  },
  [997] = {
    [sym_identifier] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1666),
    [anon_sym_as] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_typeof] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_in] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_async] = ACTIONS(1666),
    [anon_sym_QMARK_DOT] = ACTIONS(1670),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP_AMP] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1670),
    [anon_sym_GT_GT] = ACTIONS(1666),
    [anon_sym_GT_GT_GT] = ACTIONS(1670),
    [anon_sym_LT_LT] = ACTIONS(1670),
    [anon_sym_AMP] = ACTIONS(1666),
    [anon_sym_CARET] = ACTIONS(1670),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PERCENT] = ACTIONS(1670),
    [anon_sym_STAR_STAR] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1670),
    [anon_sym_EQ_EQ] = ACTIONS(1666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1670),
    [anon_sym_BANG_EQ] = ACTIONS(1666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1670),
    [anon_sym_QMARK_QMARK] = ACTIONS(1670),
    [anon_sym_instanceof] = ACTIONS(1666),
    [anon_sym_void] = ACTIONS(1666),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [sym_number] = ACTIONS(1670),
    [sym_this] = ACTIONS(1666),
    [sym_true] = ACTIONS(1666),
    [sym_false] = ACTIONS(1666),
    [sym_null] = ACTIONS(1666),
    [sym_undefined] = ACTIONS(1666),
    [anon_sym_static] = ACTIONS(1666),
    [anon_sym_readonly] = ACTIONS(1666),
    [anon_sym_get] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_QMARK] = ACTIONS(1666),
    [anon_sym_any] = ACTIONS(1666),
    [anon_sym_number] = ACTIONS(1666),
    [anon_sym_boolean] = ACTIONS(1666),
    [anon_sym_string] = ACTIONS(1666),
    [anon_sym_symbol] = ACTIONS(1666),
    [anon_sym_abstract] = ACTIONS(1666),
    [anon_sym_satisfies] = ACTIONS(1666),
    [anon_sym_infer] = ACTIONS(1666),
    [anon_sym_keyof] = ACTIONS(1666),
    [anon_sym_unknown] = ACTIONS(1666),
    [anon_sym_never] = ACTIONS(1666),
    [anon_sym_object] = ACTIONS(1666),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1670),
    [anon_sym_constructor] = ACTIONS(1666),
    [anon_sym_prop] = ACTIONS(1666),
    [anon_sym_id] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_fn] = ACTIONS(1666),
    [anon_sym_on] = ACTIONS(1666),
    [sym__ternary_qmark] = ACTIONS(1670),
  },
  [998] = {
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_as] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_in] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_QMARK_DOT] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_PIPE_PIPE] = ACTIONS(3419),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_GT_GT_GT] = ACTIONS(3419),
    [anon_sym_LT_LT] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_CARET] = ACTIONS(3419),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3419),
    [anon_sym_STAR_STAR] = ACTIONS(3419),
    [anon_sym_LT_EQ] = ACTIONS(3419),
    [anon_sym_EQ_EQ] = ACTIONS(3417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3419),
    [anon_sym_BANG_EQ] = ACTIONS(3417),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3419),
    [anon_sym_GT_EQ] = ACTIONS(3419),
    [anon_sym_QMARK_QMARK] = ACTIONS(3419),
    [anon_sym_instanceof] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_this] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_QMARK] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_satisfies] = ACTIONS(3417),
    [anon_sym_infer] = ACTIONS(3417),
    [anon_sym_keyof] = ACTIONS(3417),
    [anon_sym_unknown] = ACTIONS(3417),
    [anon_sym_never] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3419),
    [anon_sym_constructor] = ACTIONS(3417),
    [anon_sym_prop] = ACTIONS(3417),
    [anon_sym_id] = ACTIONS(3417),
    [anon_sym_event] = ACTIONS(3417),
    [anon_sym_fn] = ACTIONS(3417),
    [anon_sym_on] = ACTIONS(3417),
    [sym__ternary_qmark] = ACTIONS(3419),
  },
  [999] = {
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3421),
    [anon_sym_as] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_in] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_GT] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_DOT] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_QMARK_DOT] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_PIPE_PIPE] = ACTIONS(3423),
    [anon_sym_GT_GT] = ACTIONS(3421),
    [anon_sym_GT_GT_GT] = ACTIONS(3423),
    [anon_sym_LT_LT] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_CARET] = ACTIONS(3423),
    [anon_sym_PIPE] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PERCENT] = ACTIONS(3423),
    [anon_sym_STAR_STAR] = ACTIONS(3423),
    [anon_sym_LT_EQ] = ACTIONS(3423),
    [anon_sym_EQ_EQ] = ACTIONS(3421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3423),
    [anon_sym_BANG_EQ] = ACTIONS(3421),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3423),
    [anon_sym_GT_EQ] = ACTIONS(3423),
    [anon_sym_QMARK_QMARK] = ACTIONS(3423),
    [anon_sym_instanceof] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_this] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_QMARK] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_satisfies] = ACTIONS(3421),
    [anon_sym_infer] = ACTIONS(3421),
    [anon_sym_keyof] = ACTIONS(3421),
    [anon_sym_unknown] = ACTIONS(3421),
    [anon_sym_never] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3423),
    [anon_sym_constructor] = ACTIONS(3421),
    [anon_sym_prop] = ACTIONS(3421),
    [anon_sym_id] = ACTIONS(3421),
    [anon_sym_event] = ACTIONS(3421),
    [anon_sym_fn] = ACTIONS(3421),
    [anon_sym_on] = ACTIONS(3421),
    [sym__ternary_qmark] = ACTIONS(3423),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_STAR] = ACTIONS(3425),
    [anon_sym_as] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_in] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_GT] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_DOT] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_QMARK_DOT] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_AMP_AMP] = ACTIONS(3427),
    [anon_sym_PIPE_PIPE] = ACTIONS(3427),
    [anon_sym_GT_GT] = ACTIONS(3425),
    [anon_sym_GT_GT_GT] = ACTIONS(3427),
    [anon_sym_LT_LT] = ACTIONS(3427),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3427),
    [anon_sym_PIPE] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_PERCENT] = ACTIONS(3427),
    [anon_sym_STAR_STAR] = ACTIONS(3427),
    [anon_sym_LT_EQ] = ACTIONS(3427),
    [anon_sym_EQ_EQ] = ACTIONS(3425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3427),
    [anon_sym_BANG_EQ] = ACTIONS(3425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3427),
    [anon_sym_GT_EQ] = ACTIONS(3427),
    [anon_sym_QMARK_QMARK] = ACTIONS(3427),
    [anon_sym_instanceof] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_this] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_QMARK] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_satisfies] = ACTIONS(3425),
    [anon_sym_infer] = ACTIONS(3425),
    [anon_sym_keyof] = ACTIONS(3425),
    [anon_sym_unknown] = ACTIONS(3425),
    [anon_sym_never] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3427),
    [anon_sym_constructor] = ACTIONS(3425),
    [anon_sym_prop] = ACTIONS(3425),
    [anon_sym_id] = ACTIONS(3425),
    [anon_sym_event] = ACTIONS(3425),
    [anon_sym_fn] = ACTIONS(3425),
    [anon_sym_on] = ACTIONS(3425),
    [sym__ternary_qmark] = ACTIONS(3427),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_as] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_in] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_GT] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_DOT] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_QMARK_DOT] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3431),
    [anon_sym_PIPE_PIPE] = ACTIONS(3431),
    [anon_sym_GT_GT] = ACTIONS(3429),
    [anon_sym_GT_GT_GT] = ACTIONS(3431),
    [anon_sym_LT_LT] = ACTIONS(3431),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3431),
    [anon_sym_PIPE] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_STAR_STAR] = ACTIONS(3431),
    [anon_sym_LT_EQ] = ACTIONS(3431),
    [anon_sym_EQ_EQ] = ACTIONS(3429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3431),
    [anon_sym_BANG_EQ] = ACTIONS(3429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3431),
    [anon_sym_GT_EQ] = ACTIONS(3431),
    [anon_sym_QMARK_QMARK] = ACTIONS(3431),
    [anon_sym_instanceof] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_this] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_QMARK] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_satisfies] = ACTIONS(3429),
    [anon_sym_infer] = ACTIONS(3429),
    [anon_sym_keyof] = ACTIONS(3429),
    [anon_sym_unknown] = ACTIONS(3429),
    [anon_sym_never] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3431),
    [anon_sym_constructor] = ACTIONS(3429),
    [anon_sym_prop] = ACTIONS(3429),
    [anon_sym_id] = ACTIONS(3429),
    [anon_sym_event] = ACTIONS(3429),
    [anon_sym_fn] = ACTIONS(3429),
    [anon_sym_on] = ACTIONS(3429),
    [sym__ternary_qmark] = ACTIONS(3431),
  },
  [1002] = {
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_STAR] = ACTIONS(3433),
    [anon_sym_as] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_in] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_QMARK_DOT] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_AMP_AMP] = ACTIONS(3435),
    [anon_sym_PIPE_PIPE] = ACTIONS(3435),
    [anon_sym_GT_GT] = ACTIONS(3433),
    [anon_sym_GT_GT_GT] = ACTIONS(3435),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_AMP] = ACTIONS(3433),
    [anon_sym_CARET] = ACTIONS(3435),
    [anon_sym_PIPE] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_PERCENT] = ACTIONS(3435),
    [anon_sym_STAR_STAR] = ACTIONS(3435),
    [anon_sym_LT_EQ] = ACTIONS(3435),
    [anon_sym_EQ_EQ] = ACTIONS(3433),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3435),
    [anon_sym_BANG_EQ] = ACTIONS(3433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3435),
    [anon_sym_GT_EQ] = ACTIONS(3435),
    [anon_sym_QMARK_QMARK] = ACTIONS(3435),
    [anon_sym_instanceof] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_this] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_QMARK] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_satisfies] = ACTIONS(3433),
    [anon_sym_infer] = ACTIONS(3433),
    [anon_sym_keyof] = ACTIONS(3433),
    [anon_sym_unknown] = ACTIONS(3433),
    [anon_sym_never] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3435),
    [anon_sym_constructor] = ACTIONS(3433),
    [anon_sym_prop] = ACTIONS(3433),
    [anon_sym_id] = ACTIONS(3433),
    [anon_sym_event] = ACTIONS(3433),
    [anon_sym_fn] = ACTIONS(3433),
    [anon_sym_on] = ACTIONS(3433),
    [sym__ternary_qmark] = ACTIONS(3435),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_as] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_in] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_GT] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_DOT] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_QMARK_DOT] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3439),
    [anon_sym_GT_GT] = ACTIONS(3437),
    [anon_sym_GT_GT_GT] = ACTIONS(3439),
    [anon_sym_LT_LT] = ACTIONS(3439),
    [anon_sym_AMP] = ACTIONS(3437),
    [anon_sym_CARET] = ACTIONS(3439),
    [anon_sym_PIPE] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_PERCENT] = ACTIONS(3439),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_LT_EQ] = ACTIONS(3439),
    [anon_sym_EQ_EQ] = ACTIONS(3437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3439),
    [anon_sym_BANG_EQ] = ACTIONS(3437),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3439),
    [anon_sym_GT_EQ] = ACTIONS(3439),
    [anon_sym_QMARK_QMARK] = ACTIONS(3439),
    [anon_sym_instanceof] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3439),
    [sym_number] = ACTIONS(3439),
    [sym_this] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_QMARK] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_satisfies] = ACTIONS(3437),
    [anon_sym_infer] = ACTIONS(3437),
    [anon_sym_keyof] = ACTIONS(3437),
    [anon_sym_unknown] = ACTIONS(3437),
    [anon_sym_never] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3439),
    [anon_sym_constructor] = ACTIONS(3437),
    [anon_sym_prop] = ACTIONS(3437),
    [anon_sym_id] = ACTIONS(3437),
    [anon_sym_event] = ACTIONS(3437),
    [anon_sym_fn] = ACTIONS(3437),
    [anon_sym_on] = ACTIONS(3437),
    [sym__ternary_qmark] = ACTIONS(3439),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_as] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3443),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3443),
    [anon_sym_in] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_GT] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_DOT] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_QMARK_DOT] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3443),
    [anon_sym_PIPE_PIPE] = ACTIONS(3443),
    [anon_sym_GT_GT] = ACTIONS(3441),
    [anon_sym_GT_GT_GT] = ACTIONS(3443),
    [anon_sym_LT_LT] = ACTIONS(3443),
    [anon_sym_AMP] = ACTIONS(3441),
    [anon_sym_CARET] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_PERCENT] = ACTIONS(3443),
    [anon_sym_STAR_STAR] = ACTIONS(3443),
    [anon_sym_LT_EQ] = ACTIONS(3443),
    [anon_sym_EQ_EQ] = ACTIONS(3441),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3443),
    [anon_sym_BANG_EQ] = ACTIONS(3441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3443),
    [anon_sym_GT_EQ] = ACTIONS(3443),
    [anon_sym_QMARK_QMARK] = ACTIONS(3443),
    [anon_sym_instanceof] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3443),
    [anon_sym_DQUOTE] = ACTIONS(3443),
    [anon_sym_SQUOTE] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3443),
    [sym_number] = ACTIONS(3443),
    [sym_this] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_QMARK] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_satisfies] = ACTIONS(3441),
    [anon_sym_infer] = ACTIONS(3441),
    [anon_sym_keyof] = ACTIONS(3441),
    [anon_sym_unknown] = ACTIONS(3441),
    [anon_sym_never] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3443),
    [anon_sym_constructor] = ACTIONS(3441),
    [anon_sym_prop] = ACTIONS(3441),
    [anon_sym_id] = ACTIONS(3441),
    [anon_sym_event] = ACTIONS(3441),
    [anon_sym_fn] = ACTIONS(3441),
    [anon_sym_on] = ACTIONS(3441),
    [sym__ternary_qmark] = ACTIONS(3443),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_as] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3447),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_GT] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_DOT] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_QMARK_DOT] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3447),
    [anon_sym_PIPE_PIPE] = ACTIONS(3447),
    [anon_sym_GT_GT] = ACTIONS(3445),
    [anon_sym_GT_GT_GT] = ACTIONS(3447),
    [anon_sym_LT_LT] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3445),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_PERCENT] = ACTIONS(3447),
    [anon_sym_STAR_STAR] = ACTIONS(3447),
    [anon_sym_LT_EQ] = ACTIONS(3447),
    [anon_sym_EQ_EQ] = ACTIONS(3445),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3447),
    [anon_sym_BANG_EQ] = ACTIONS(3445),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3447),
    [anon_sym_GT_EQ] = ACTIONS(3447),
    [anon_sym_QMARK_QMARK] = ACTIONS(3447),
    [anon_sym_instanceof] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3447),
    [sym_number] = ACTIONS(3447),
    [sym_this] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_QMARK] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_satisfies] = ACTIONS(3445),
    [anon_sym_infer] = ACTIONS(3445),
    [anon_sym_keyof] = ACTIONS(3445),
    [anon_sym_unknown] = ACTIONS(3445),
    [anon_sym_never] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3447),
    [anon_sym_constructor] = ACTIONS(3445),
    [anon_sym_prop] = ACTIONS(3445),
    [anon_sym_id] = ACTIONS(3445),
    [anon_sym_event] = ACTIONS(3445),
    [anon_sym_fn] = ACTIONS(3445),
    [anon_sym_on] = ACTIONS(3445),
    [sym__ternary_qmark] = ACTIONS(3447),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_as] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_QMARK_DOT] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1706),
    [anon_sym_LT_LT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_STAR_STAR] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1706),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1706),
    [anon_sym_GT_EQ] = ACTIONS(1706),
    [anon_sym_QMARK_QMARK] = ACTIONS(1706),
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [sym_number] = ACTIONS(1706),
    [sym_this] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_QMARK] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_satisfies] = ACTIONS(1704),
    [anon_sym_infer] = ACTIONS(1704),
    [anon_sym_keyof] = ACTIONS(1704),
    [anon_sym_unknown] = ACTIONS(1704),
    [anon_sym_never] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1706),
    [anon_sym_constructor] = ACTIONS(1704),
    [anon_sym_prop] = ACTIONS(1704),
    [anon_sym_id] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_fn] = ACTIONS(1704),
    [anon_sym_on] = ACTIONS(1704),
    [sym__ternary_qmark] = ACTIONS(1706),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_as] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_in] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3449),
    [anon_sym_GT] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_DOT] = ACTIONS(3449),
    [anon_sym_async] = ACTIONS(3449),
    [anon_sym_QMARK_DOT] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3451),
    [anon_sym_PIPE_PIPE] = ACTIONS(3451),
    [anon_sym_GT_GT] = ACTIONS(3449),
    [anon_sym_GT_GT_GT] = ACTIONS(3451),
    [anon_sym_LT_LT] = ACTIONS(3451),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_CARET] = ACTIONS(3451),
    [anon_sym_PIPE] = ACTIONS(3449),
    [anon_sym_PLUS] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3449),
    [anon_sym_PERCENT] = ACTIONS(3451),
    [anon_sym_STAR_STAR] = ACTIONS(3451),
    [anon_sym_LT_EQ] = ACTIONS(3451),
    [anon_sym_EQ_EQ] = ACTIONS(3449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3451),
    [anon_sym_BANG_EQ] = ACTIONS(3449),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3451),
    [anon_sym_GT_EQ] = ACTIONS(3451),
    [anon_sym_QMARK_QMARK] = ACTIONS(3451),
    [anon_sym_instanceof] = ACTIONS(3449),
    [anon_sym_void] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_this] = ACTIONS(3449),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3449),
    [anon_sym_readonly] = ACTIONS(3449),
    [anon_sym_get] = ACTIONS(3449),
    [anon_sym_set] = ACTIONS(3449),
    [anon_sym_QMARK] = ACTIONS(3449),
    [anon_sym_any] = ACTIONS(3449),
    [anon_sym_number] = ACTIONS(3449),
    [anon_sym_boolean] = ACTIONS(3449),
    [anon_sym_string] = ACTIONS(3449),
    [anon_sym_symbol] = ACTIONS(3449),
    [anon_sym_abstract] = ACTIONS(3449),
    [anon_sym_satisfies] = ACTIONS(3449),
    [anon_sym_infer] = ACTIONS(3449),
    [anon_sym_keyof] = ACTIONS(3449),
    [anon_sym_unknown] = ACTIONS(3449),
    [anon_sym_never] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3449),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3451),
    [anon_sym_constructor] = ACTIONS(3449),
    [anon_sym_prop] = ACTIONS(3449),
    [anon_sym_id] = ACTIONS(3449),
    [anon_sym_event] = ACTIONS(3449),
    [anon_sym_fn] = ACTIONS(3449),
    [anon_sym_on] = ACTIONS(3449),
    [sym__ternary_qmark] = ACTIONS(3451),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_typeof] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_async] = ACTIONS(1560),
    [anon_sym_QMARK_DOT] = ACTIONS(1564),
    [anon_sym_new] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1560),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_STAR_STAR] = ACTIONS(1564),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1564),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_QMARK_QMARK] = ACTIONS(1564),
    [anon_sym_instanceof] = ACTIONS(1560),
    [anon_sym_void] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1560),
    [sym_true] = ACTIONS(1560),
    [sym_false] = ACTIONS(1560),
    [sym_null] = ACTIONS(1560),
    [sym_undefined] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1560),
    [anon_sym_readonly] = ACTIONS(1560),
    [anon_sym_get] = ACTIONS(1560),
    [anon_sym_set] = ACTIONS(1560),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_any] = ACTIONS(1560),
    [anon_sym_number] = ACTIONS(1560),
    [anon_sym_boolean] = ACTIONS(1560),
    [anon_sym_string] = ACTIONS(1560),
    [anon_sym_symbol] = ACTIONS(1560),
    [anon_sym_abstract] = ACTIONS(1560),
    [anon_sym_satisfies] = ACTIONS(1560),
    [anon_sym_infer] = ACTIONS(1560),
    [anon_sym_keyof] = ACTIONS(1560),
    [anon_sym_unknown] = ACTIONS(1560),
    [anon_sym_never] = ACTIONS(1560),
    [anon_sym_object] = ACTIONS(1560),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1564),
    [anon_sym_constructor] = ACTIONS(1560),
    [anon_sym_prop] = ACTIONS(1560),
    [anon_sym_id] = ACTIONS(1560),
    [anon_sym_event] = ACTIONS(1560),
    [anon_sym_fn] = ACTIONS(1560),
    [anon_sym_on] = ACTIONS(1560),
    [sym__ternary_qmark] = ACTIONS(1564),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_as] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_typeof] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1676),
    [anon_sym_DOT] = ACTIONS(1676),
    [anon_sym_async] = ACTIONS(1676),
    [anon_sym_QMARK_DOT] = ACTIONS(1680),
    [anon_sym_new] = ACTIONS(1676),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1680),
    [anon_sym_STAR_STAR] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_EQ_EQ] = ACTIONS(1676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_QMARK_QMARK] = ACTIONS(1680),
    [anon_sym_instanceof] = ACTIONS(1676),
    [anon_sym_void] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [sym_number] = ACTIONS(1680),
    [sym_this] = ACTIONS(1676),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_null] = ACTIONS(1676),
    [sym_undefined] = ACTIONS(1676),
    [anon_sym_static] = ACTIONS(1676),
    [anon_sym_readonly] = ACTIONS(1676),
    [anon_sym_get] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_QMARK] = ACTIONS(1676),
    [anon_sym_any] = ACTIONS(1676),
    [anon_sym_number] = ACTIONS(1676),
    [anon_sym_boolean] = ACTIONS(1676),
    [anon_sym_string] = ACTIONS(1676),
    [anon_sym_symbol] = ACTIONS(1676),
    [anon_sym_abstract] = ACTIONS(1676),
    [anon_sym_satisfies] = ACTIONS(1676),
    [anon_sym_infer] = ACTIONS(1676),
    [anon_sym_keyof] = ACTIONS(1676),
    [anon_sym_unknown] = ACTIONS(1676),
    [anon_sym_never] = ACTIONS(1676),
    [anon_sym_object] = ACTIONS(1676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1680),
    [anon_sym_constructor] = ACTIONS(1676),
    [anon_sym_prop] = ACTIONS(1676),
    [anon_sym_id] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_on] = ACTIONS(1676),
    [sym__ternary_qmark] = ACTIONS(1680),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(3453),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_as] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3455),
    [anon_sym_in] = ACTIONS(3453),
    [anon_sym_SEMI] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_LT] = ACTIONS(3453),
    [anon_sym_GT] = ACTIONS(3453),
    [anon_sym_SLASH] = ACTIONS(3453),
    [anon_sym_DOT] = ACTIONS(3453),
    [anon_sym_async] = ACTIONS(3453),
    [anon_sym_QMARK_DOT] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3455),
    [anon_sym_PIPE_PIPE] = ACTIONS(3455),
    [anon_sym_GT_GT] = ACTIONS(3453),
    [anon_sym_GT_GT_GT] = ACTIONS(3455),
    [anon_sym_LT_LT] = ACTIONS(3455),
    [anon_sym_AMP] = ACTIONS(3453),
    [anon_sym_CARET] = ACTIONS(3455),
    [anon_sym_PIPE] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3453),
    [anon_sym_PERCENT] = ACTIONS(3455),
    [anon_sym_STAR_STAR] = ACTIONS(3455),
    [anon_sym_LT_EQ] = ACTIONS(3455),
    [anon_sym_EQ_EQ] = ACTIONS(3453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3455),
    [anon_sym_GT_EQ] = ACTIONS(3455),
    [anon_sym_QMARK_QMARK] = ACTIONS(3455),
    [anon_sym_instanceof] = ACTIONS(3453),
    [anon_sym_void] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3455),
    [sym_number] = ACTIONS(3455),
    [sym_this] = ACTIONS(3453),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_static] = ACTIONS(3453),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3453),
    [anon_sym_set] = ACTIONS(3453),
    [anon_sym_QMARK] = ACTIONS(3453),
    [anon_sym_any] = ACTIONS(3453),
    [anon_sym_number] = ACTIONS(3453),
    [anon_sym_boolean] = ACTIONS(3453),
    [anon_sym_string] = ACTIONS(3453),
    [anon_sym_symbol] = ACTIONS(3453),
    [anon_sym_abstract] = ACTIONS(3453),
    [anon_sym_satisfies] = ACTIONS(3453),
    [anon_sym_infer] = ACTIONS(3453),
    [anon_sym_keyof] = ACTIONS(3453),
    [anon_sym_unknown] = ACTIONS(3453),
    [anon_sym_never] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3453),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3455),
    [anon_sym_constructor] = ACTIONS(3453),
    [anon_sym_prop] = ACTIONS(3453),
    [anon_sym_id] = ACTIONS(3453),
    [anon_sym_event] = ACTIONS(3453),
    [anon_sym_fn] = ACTIONS(3453),
    [anon_sym_on] = ACTIONS(3453),
    [sym__ternary_qmark] = ACTIONS(3455),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(3457),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_as] = ACTIONS(3457),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3459),
    [anon_sym_in] = ACTIONS(3457),
    [anon_sym_SEMI] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_LT] = ACTIONS(3457),
    [anon_sym_GT] = ACTIONS(3457),
    [anon_sym_SLASH] = ACTIONS(3457),
    [anon_sym_DOT] = ACTIONS(3457),
    [anon_sym_async] = ACTIONS(3457),
    [anon_sym_QMARK_DOT] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3459),
    [anon_sym_PIPE_PIPE] = ACTIONS(3459),
    [anon_sym_GT_GT] = ACTIONS(3457),
    [anon_sym_GT_GT_GT] = ACTIONS(3459),
    [anon_sym_LT_LT] = ACTIONS(3459),
    [anon_sym_AMP] = ACTIONS(3457),
    [anon_sym_CARET] = ACTIONS(3459),
    [anon_sym_PIPE] = ACTIONS(3457),
    [anon_sym_PLUS] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3457),
    [anon_sym_PERCENT] = ACTIONS(3459),
    [anon_sym_STAR_STAR] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3459),
    [anon_sym_EQ_EQ] = ACTIONS(3457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3459),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3459),
    [anon_sym_GT_EQ] = ACTIONS(3459),
    [anon_sym_QMARK_QMARK] = ACTIONS(3459),
    [anon_sym_instanceof] = ACTIONS(3457),
    [anon_sym_void] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3459),
    [sym_number] = ACTIONS(3459),
    [sym_this] = ACTIONS(3457),
    [sym_true] = ACTIONS(3457),
    [sym_false] = ACTIONS(3457),
    [sym_null] = ACTIONS(3457),
    [sym_undefined] = ACTIONS(3457),
    [anon_sym_static] = ACTIONS(3457),
    [anon_sym_readonly] = ACTIONS(3457),
    [anon_sym_get] = ACTIONS(3457),
    [anon_sym_set] = ACTIONS(3457),
    [anon_sym_QMARK] = ACTIONS(3457),
    [anon_sym_any] = ACTIONS(3457),
    [anon_sym_number] = ACTIONS(3457),
    [anon_sym_boolean] = ACTIONS(3457),
    [anon_sym_string] = ACTIONS(3457),
    [anon_sym_symbol] = ACTIONS(3457),
    [anon_sym_abstract] = ACTIONS(3457),
    [anon_sym_satisfies] = ACTIONS(3457),
    [anon_sym_infer] = ACTIONS(3457),
    [anon_sym_keyof] = ACTIONS(3457),
    [anon_sym_unknown] = ACTIONS(3457),
    [anon_sym_never] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3457),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3459),
    [anon_sym_constructor] = ACTIONS(3457),
    [anon_sym_prop] = ACTIONS(3457),
    [anon_sym_id] = ACTIONS(3457),
    [anon_sym_event] = ACTIONS(3457),
    [anon_sym_fn] = ACTIONS(3457),
    [anon_sym_on] = ACTIONS(3457),
    [sym__ternary_qmark] = ACTIONS(3459),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_as] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3463),
    [anon_sym_typeof] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3463),
    [anon_sym_in] = ACTIONS(3461),
    [anon_sym_SEMI] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3463),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_GT] = ACTIONS(3461),
    [anon_sym_SLASH] = ACTIONS(3461),
    [anon_sym_DOT] = ACTIONS(3461),
    [anon_sym_async] = ACTIONS(3461),
    [anon_sym_QMARK_DOT] = ACTIONS(3463),
    [anon_sym_new] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3463),
    [anon_sym_PIPE_PIPE] = ACTIONS(3463),
    [anon_sym_GT_GT] = ACTIONS(3461),
    [anon_sym_GT_GT_GT] = ACTIONS(3463),
    [anon_sym_LT_LT] = ACTIONS(3463),
    [anon_sym_AMP] = ACTIONS(3461),
    [anon_sym_CARET] = ACTIONS(3463),
    [anon_sym_PIPE] = ACTIONS(3461),
    [anon_sym_PLUS] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3461),
    [anon_sym_PERCENT] = ACTIONS(3463),
    [anon_sym_STAR_STAR] = ACTIONS(3463),
    [anon_sym_LT_EQ] = ACTIONS(3463),
    [anon_sym_EQ_EQ] = ACTIONS(3461),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3463),
    [anon_sym_BANG_EQ] = ACTIONS(3461),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3463),
    [anon_sym_GT_EQ] = ACTIONS(3463),
    [anon_sym_QMARK_QMARK] = ACTIONS(3463),
    [anon_sym_instanceof] = ACTIONS(3461),
    [anon_sym_void] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3463),
    [anon_sym_DASH_DASH] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [anon_sym_SQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3463),
    [sym_number] = ACTIONS(3463),
    [sym_this] = ACTIONS(3461),
    [sym_true] = ACTIONS(3461),
    [sym_false] = ACTIONS(3461),
    [sym_null] = ACTIONS(3461),
    [sym_undefined] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3461),
    [anon_sym_readonly] = ACTIONS(3461),
    [anon_sym_get] = ACTIONS(3461),
    [anon_sym_set] = ACTIONS(3461),
    [anon_sym_QMARK] = ACTIONS(3461),
    [anon_sym_any] = ACTIONS(3461),
    [anon_sym_number] = ACTIONS(3461),
    [anon_sym_boolean] = ACTIONS(3461),
    [anon_sym_string] = ACTIONS(3461),
    [anon_sym_symbol] = ACTIONS(3461),
    [anon_sym_abstract] = ACTIONS(3461),
    [anon_sym_satisfies] = ACTIONS(3461),
    [anon_sym_infer] = ACTIONS(3461),
    [anon_sym_keyof] = ACTIONS(3461),
    [anon_sym_unknown] = ACTIONS(3461),
    [anon_sym_never] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3461),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3463),
    [anon_sym_constructor] = ACTIONS(3461),
    [anon_sym_prop] = ACTIONS(3461),
    [anon_sym_id] = ACTIONS(3461),
    [anon_sym_event] = ACTIONS(3461),
    [anon_sym_fn] = ACTIONS(3461),
    [anon_sym_on] = ACTIONS(3461),
    [sym__ternary_qmark] = ACTIONS(3463),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3465),
    [anon_sym_as] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3465),
    [anon_sym_RBRACE] = ACTIONS(3467),
    [anon_sym_typeof] = ACTIONS(3465),
    [anon_sym_BANG] = ACTIONS(3465),
    [anon_sym_LPAREN] = ACTIONS(3467),
    [anon_sym_in] = ACTIONS(3465),
    [anon_sym_SEMI] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(3467),
    [anon_sym_LT] = ACTIONS(3465),
    [anon_sym_GT] = ACTIONS(3465),
    [anon_sym_SLASH] = ACTIONS(3465),
    [anon_sym_DOT] = ACTIONS(3465),
    [anon_sym_async] = ACTIONS(3465),
    [anon_sym_QMARK_DOT] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_PIPE_PIPE] = ACTIONS(3467),
    [anon_sym_GT_GT] = ACTIONS(3465),
    [anon_sym_GT_GT_GT] = ACTIONS(3467),
    [anon_sym_LT_LT] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_CARET] = ACTIONS(3467),
    [anon_sym_PIPE] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PERCENT] = ACTIONS(3467),
    [anon_sym_STAR_STAR] = ACTIONS(3467),
    [anon_sym_LT_EQ] = ACTIONS(3467),
    [anon_sym_EQ_EQ] = ACTIONS(3465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3467),
    [anon_sym_BANG_EQ] = ACTIONS(3465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3467),
    [anon_sym_GT_EQ] = ACTIONS(3467),
    [anon_sym_QMARK_QMARK] = ACTIONS(3467),
    [anon_sym_instanceof] = ACTIONS(3465),
    [anon_sym_void] = ACTIONS(3465),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3467),
    [sym_number] = ACTIONS(3467),
    [sym_this] = ACTIONS(3465),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [sym_null] = ACTIONS(3465),
    [sym_undefined] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_readonly] = ACTIONS(3465),
    [anon_sym_get] = ACTIONS(3465),
    [anon_sym_set] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3465),
    [anon_sym_any] = ACTIONS(3465),
    [anon_sym_number] = ACTIONS(3465),
    [anon_sym_boolean] = ACTIONS(3465),
    [anon_sym_string] = ACTIONS(3465),
    [anon_sym_symbol] = ACTIONS(3465),
    [anon_sym_abstract] = ACTIONS(3465),
    [anon_sym_satisfies] = ACTIONS(3465),
    [anon_sym_infer] = ACTIONS(3465),
    [anon_sym_keyof] = ACTIONS(3465),
    [anon_sym_unknown] = ACTIONS(3465),
    [anon_sym_never] = ACTIONS(3465),
    [anon_sym_object] = ACTIONS(3465),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3467),
    [anon_sym_constructor] = ACTIONS(3465),
    [anon_sym_prop] = ACTIONS(3465),
    [anon_sym_id] = ACTIONS(3465),
    [anon_sym_event] = ACTIONS(3465),
    [anon_sym_fn] = ACTIONS(3465),
    [anon_sym_on] = ACTIONS(3465),
    [sym__ternary_qmark] = ACTIONS(3467),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(3469),
    [anon_sym_STAR] = ACTIONS(3469),
    [anon_sym_as] = ACTIONS(3469),
    [anon_sym_LBRACE] = ACTIONS(3469),
    [anon_sym_RBRACE] = ACTIONS(3471),
    [anon_sym_typeof] = ACTIONS(3469),
    [anon_sym_BANG] = ACTIONS(3469),
    [anon_sym_LPAREN] = ACTIONS(3471),
    [anon_sym_in] = ACTIONS(3469),
    [anon_sym_SEMI] = ACTIONS(3471),
    [anon_sym_LBRACK] = ACTIONS(3471),
    [anon_sym_LT] = ACTIONS(3469),
    [anon_sym_GT] = ACTIONS(3469),
    [anon_sym_SLASH] = ACTIONS(3469),
    [anon_sym_DOT] = ACTIONS(3469),
    [anon_sym_async] = ACTIONS(3469),
    [anon_sym_QMARK_DOT] = ACTIONS(3471),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_AMP_AMP] = ACTIONS(3471),
    [anon_sym_PIPE_PIPE] = ACTIONS(3471),
    [anon_sym_GT_GT] = ACTIONS(3469),
    [anon_sym_GT_GT_GT] = ACTIONS(3471),
    [anon_sym_LT_LT] = ACTIONS(3471),
    [anon_sym_AMP] = ACTIONS(3469),
    [anon_sym_CARET] = ACTIONS(3471),
    [anon_sym_PIPE] = ACTIONS(3469),
    [anon_sym_PLUS] = ACTIONS(3469),
    [anon_sym_DASH] = ACTIONS(3469),
    [anon_sym_PERCENT] = ACTIONS(3471),
    [anon_sym_STAR_STAR] = ACTIONS(3471),
    [anon_sym_LT_EQ] = ACTIONS(3471),
    [anon_sym_EQ_EQ] = ACTIONS(3469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3471),
    [anon_sym_BANG_EQ] = ACTIONS(3469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3471),
    [anon_sym_GT_EQ] = ACTIONS(3471),
    [anon_sym_QMARK_QMARK] = ACTIONS(3471),
    [anon_sym_instanceof] = ACTIONS(3469),
    [anon_sym_void] = ACTIONS(3469),
    [anon_sym_PLUS_PLUS] = ACTIONS(3471),
    [anon_sym_DASH_DASH] = ACTIONS(3471),
    [anon_sym_DQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3471),
    [sym_number] = ACTIONS(3471),
    [sym_this] = ACTIONS(3469),
    [sym_true] = ACTIONS(3469),
    [sym_false] = ACTIONS(3469),
    [sym_null] = ACTIONS(3469),
    [sym_undefined] = ACTIONS(3469),
    [anon_sym_static] = ACTIONS(3469),
    [anon_sym_readonly] = ACTIONS(3469),
    [anon_sym_get] = ACTIONS(3469),
    [anon_sym_set] = ACTIONS(3469),
    [anon_sym_QMARK] = ACTIONS(3469),
    [anon_sym_any] = ACTIONS(3469),
    [anon_sym_number] = ACTIONS(3469),
    [anon_sym_boolean] = ACTIONS(3469),
    [anon_sym_string] = ACTIONS(3469),
    [anon_sym_symbol] = ACTIONS(3469),
    [anon_sym_abstract] = ACTIONS(3469),
    [anon_sym_satisfies] = ACTIONS(3469),
    [anon_sym_infer] = ACTIONS(3469),
    [anon_sym_keyof] = ACTIONS(3469),
    [anon_sym_unknown] = ACTIONS(3469),
    [anon_sym_never] = ACTIONS(3469),
    [anon_sym_object] = ACTIONS(3469),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3471),
    [anon_sym_constructor] = ACTIONS(3469),
    [anon_sym_prop] = ACTIONS(3469),
    [anon_sym_id] = ACTIONS(3469),
    [anon_sym_event] = ACTIONS(3469),
    [anon_sym_fn] = ACTIONS(3469),
    [anon_sym_on] = ACTIONS(3469),
    [sym__ternary_qmark] = ACTIONS(3471),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_async] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_void] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1436),
    [sym_this] = ACTIONS(1432),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [sym_null] = ACTIONS(1432),
    [sym_undefined] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_get] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_any] = ACTIONS(1432),
    [anon_sym_number] = ACTIONS(1432),
    [anon_sym_boolean] = ACTIONS(1432),
    [anon_sym_string] = ACTIONS(1432),
    [anon_sym_symbol] = ACTIONS(1432),
    [anon_sym_abstract] = ACTIONS(1432),
    [anon_sym_satisfies] = ACTIONS(1432),
    [anon_sym_infer] = ACTIONS(1432),
    [anon_sym_keyof] = ACTIONS(1432),
    [anon_sym_unknown] = ACTIONS(1432),
    [anon_sym_never] = ACTIONS(1432),
    [anon_sym_object] = ACTIONS(1432),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1436),
    [anon_sym_constructor] = ACTIONS(1432),
    [anon_sym_prop] = ACTIONS(1432),
    [anon_sym_id] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_fn] = ACTIONS(1432),
    [anon_sym_on] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1436),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(3473),
    [anon_sym_STAR] = ACTIONS(3473),
    [anon_sym_as] = ACTIONS(3473),
    [anon_sym_LBRACE] = ACTIONS(3473),
    [anon_sym_RBRACE] = ACTIONS(3475),
    [anon_sym_typeof] = ACTIONS(3473),
    [anon_sym_BANG] = ACTIONS(3473),
    [anon_sym_LPAREN] = ACTIONS(3475),
    [anon_sym_in] = ACTIONS(3473),
    [anon_sym_SEMI] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_LT] = ACTIONS(3473),
    [anon_sym_GT] = ACTIONS(3473),
    [anon_sym_SLASH] = ACTIONS(3473),
    [anon_sym_DOT] = ACTIONS(3473),
    [anon_sym_async] = ACTIONS(3473),
    [anon_sym_QMARK_DOT] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3473),
    [anon_sym_AMP_AMP] = ACTIONS(3475),
    [anon_sym_PIPE_PIPE] = ACTIONS(3475),
    [anon_sym_GT_GT] = ACTIONS(3473),
    [anon_sym_GT_GT_GT] = ACTIONS(3475),
    [anon_sym_LT_LT] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3473),
    [anon_sym_CARET] = ACTIONS(3475),
    [anon_sym_PIPE] = ACTIONS(3473),
    [anon_sym_PLUS] = ACTIONS(3473),
    [anon_sym_DASH] = ACTIONS(3473),
    [anon_sym_PERCENT] = ACTIONS(3475),
    [anon_sym_STAR_STAR] = ACTIONS(3475),
    [anon_sym_LT_EQ] = ACTIONS(3475),
    [anon_sym_EQ_EQ] = ACTIONS(3473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3475),
    [anon_sym_BANG_EQ] = ACTIONS(3473),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3475),
    [anon_sym_GT_EQ] = ACTIONS(3475),
    [anon_sym_QMARK_QMARK] = ACTIONS(3475),
    [anon_sym_instanceof] = ACTIONS(3473),
    [anon_sym_void] = ACTIONS(3473),
    [anon_sym_PLUS_PLUS] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3475),
    [anon_sym_DQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3475),
    [sym_number] = ACTIONS(3475),
    [sym_this] = ACTIONS(3473),
    [sym_true] = ACTIONS(3473),
    [sym_false] = ACTIONS(3473),
    [sym_null] = ACTIONS(3473),
    [sym_undefined] = ACTIONS(3473),
    [anon_sym_static] = ACTIONS(3473),
    [anon_sym_readonly] = ACTIONS(3473),
    [anon_sym_get] = ACTIONS(3473),
    [anon_sym_set] = ACTIONS(3473),
    [anon_sym_QMARK] = ACTIONS(3473),
    [anon_sym_any] = ACTIONS(3473),
    [anon_sym_number] = ACTIONS(3473),
    [anon_sym_boolean] = ACTIONS(3473),
    [anon_sym_string] = ACTIONS(3473),
    [anon_sym_symbol] = ACTIONS(3473),
    [anon_sym_abstract] = ACTIONS(3473),
    [anon_sym_satisfies] = ACTIONS(3473),
    [anon_sym_infer] = ACTIONS(3473),
    [anon_sym_keyof] = ACTIONS(3473),
    [anon_sym_unknown] = ACTIONS(3473),
    [anon_sym_never] = ACTIONS(3473),
    [anon_sym_object] = ACTIONS(3473),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3475),
    [anon_sym_constructor] = ACTIONS(3473),
    [anon_sym_prop] = ACTIONS(3473),
    [anon_sym_id] = ACTIONS(3473),
    [anon_sym_event] = ACTIONS(3473),
    [anon_sym_fn] = ACTIONS(3473),
    [anon_sym_on] = ACTIONS(3473),
    [sym__ternary_qmark] = ACTIONS(3475),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_as] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(1744),
    [anon_sym_RBRACE] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(1744),
    [anon_sym_BANG] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [anon_sym_in] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1744),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_async] = ACTIONS(1744),
    [anon_sym_QMARK_DOT] = ACTIONS(1748),
    [anon_sym_new] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1748),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_GT_GT_GT] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1748),
    [anon_sym_STAR_STAR] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_QMARK_QMARK] = ACTIONS(1748),
    [anon_sym_instanceof] = ACTIONS(1744),
    [anon_sym_void] = ACTIONS(1744),
    [anon_sym_PLUS_PLUS] = ACTIONS(1748),
    [anon_sym_DASH_DASH] = ACTIONS(1748),
    [anon_sym_DQUOTE] = ACTIONS(1748),
    [anon_sym_SQUOTE] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1748),
    [sym_number] = ACTIONS(1748),
    [sym_this] = ACTIONS(1744),
    [sym_true] = ACTIONS(1744),
    [sym_false] = ACTIONS(1744),
    [sym_null] = ACTIONS(1744),
    [sym_undefined] = ACTIONS(1744),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
    [anon_sym_abstract] = ACTIONS(1744),
    [anon_sym_satisfies] = ACTIONS(1744),
    [anon_sym_infer] = ACTIONS(1744),
    [anon_sym_keyof] = ACTIONS(1744),
    [anon_sym_unknown] = ACTIONS(1744),
    [anon_sym_never] = ACTIONS(1744),
    [anon_sym_object] = ACTIONS(1744),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1748),
    [anon_sym_constructor] = ACTIONS(1744),
    [anon_sym_prop] = ACTIONS(1744),
    [anon_sym_id] = ACTIONS(1744),
    [anon_sym_event] = ACTIONS(1744),
    [anon_sym_fn] = ACTIONS(1744),
    [anon_sym_on] = ACTIONS(1744),
    [sym__ternary_qmark] = ACTIONS(1748),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(3477),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_as] = ACTIONS(3477),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_RBRACE] = ACTIONS(3479),
    [anon_sym_typeof] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_LPAREN] = ACTIONS(3479),
    [anon_sym_in] = ACTIONS(3477),
    [anon_sym_SEMI] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_LT] = ACTIONS(3477),
    [anon_sym_GT] = ACTIONS(3477),
    [anon_sym_SLASH] = ACTIONS(3477),
    [anon_sym_DOT] = ACTIONS(3477),
    [anon_sym_async] = ACTIONS(3477),
    [anon_sym_QMARK_DOT] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3479),
    [anon_sym_PIPE_PIPE] = ACTIONS(3479),
    [anon_sym_GT_GT] = ACTIONS(3477),
    [anon_sym_GT_GT_GT] = ACTIONS(3479),
    [anon_sym_LT_LT] = ACTIONS(3479),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_CARET] = ACTIONS(3479),
    [anon_sym_PIPE] = ACTIONS(3477),
    [anon_sym_PLUS] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3477),
    [anon_sym_PERCENT] = ACTIONS(3479),
    [anon_sym_STAR_STAR] = ACTIONS(3479),
    [anon_sym_LT_EQ] = ACTIONS(3479),
    [anon_sym_EQ_EQ] = ACTIONS(3477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3479),
    [anon_sym_BANG_EQ] = ACTIONS(3477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3479),
    [anon_sym_GT_EQ] = ACTIONS(3479),
    [anon_sym_QMARK_QMARK] = ACTIONS(3479),
    [anon_sym_instanceof] = ACTIONS(3477),
    [anon_sym_void] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3479),
    [anon_sym_DQUOTE] = ACTIONS(3479),
    [anon_sym_SQUOTE] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3479),
    [sym_number] = ACTIONS(3479),
    [sym_this] = ACTIONS(3477),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [sym_null] = ACTIONS(3477),
    [sym_undefined] = ACTIONS(3477),
    [anon_sym_static] = ACTIONS(3477),
    [anon_sym_readonly] = ACTIONS(3477),
    [anon_sym_get] = ACTIONS(3477),
    [anon_sym_set] = ACTIONS(3477),
    [anon_sym_QMARK] = ACTIONS(3477),
    [anon_sym_any] = ACTIONS(3477),
    [anon_sym_number] = ACTIONS(3477),
    [anon_sym_boolean] = ACTIONS(3477),
    [anon_sym_string] = ACTIONS(3477),
    [anon_sym_symbol] = ACTIONS(3477),
    [anon_sym_abstract] = ACTIONS(3477),
    [anon_sym_satisfies] = ACTIONS(3477),
    [anon_sym_infer] = ACTIONS(3477),
    [anon_sym_keyof] = ACTIONS(3477),
    [anon_sym_unknown] = ACTIONS(3477),
    [anon_sym_never] = ACTIONS(3477),
    [anon_sym_object] = ACTIONS(3477),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3479),
    [anon_sym_constructor] = ACTIONS(3477),
    [anon_sym_prop] = ACTIONS(3477),
    [anon_sym_id] = ACTIONS(3477),
    [anon_sym_event] = ACTIONS(3477),
    [anon_sym_fn] = ACTIONS(3477),
    [anon_sym_on] = ACTIONS(3477),
    [sym__ternary_qmark] = ACTIONS(3479),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_in] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1474),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_QMARK_DOT] = ACTIONS(1476),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_QMARK_QMARK] = ACTIONS(1476),
    [anon_sym_instanceof] = ACTIONS(1474),
    [anon_sym_void] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_number] = ACTIONS(1476),
    [sym_this] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_undefined] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_readonly] = ACTIONS(1474),
    [anon_sym_get] = ACTIONS(1474),
    [anon_sym_set] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_any] = ACTIONS(1474),
    [anon_sym_number] = ACTIONS(1474),
    [anon_sym_boolean] = ACTIONS(1474),
    [anon_sym_string] = ACTIONS(1474),
    [anon_sym_symbol] = ACTIONS(1474),
    [anon_sym_abstract] = ACTIONS(1474),
    [anon_sym_satisfies] = ACTIONS(1474),
    [anon_sym_infer] = ACTIONS(1474),
    [anon_sym_keyof] = ACTIONS(1474),
    [anon_sym_unknown] = ACTIONS(1474),
    [anon_sym_never] = ACTIONS(1474),
    [anon_sym_object] = ACTIONS(1474),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1476),
    [anon_sym_constructor] = ACTIONS(1474),
    [anon_sym_prop] = ACTIONS(1474),
    [anon_sym_id] = ACTIONS(1474),
    [anon_sym_event] = ACTIONS(1474),
    [anon_sym_fn] = ACTIONS(1474),
    [anon_sym_on] = ACTIONS(1474),
    [sym__ternary_qmark] = ACTIONS(1476),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_as] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_typeof] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_LPAREN] = ACTIONS(3139),
    [anon_sym_in] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [anon_sym_SLASH] = ACTIONS(3137),
    [anon_sym_DOT] = ACTIONS(3137),
    [anon_sym_async] = ACTIONS(3137),
    [anon_sym_QMARK_DOT] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_PIPE_PIPE] = ACTIONS(3139),
    [anon_sym_GT_GT] = ACTIONS(3137),
    [anon_sym_GT_GT_GT] = ACTIONS(3139),
    [anon_sym_LT_LT] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_CARET] = ACTIONS(3139),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PERCENT] = ACTIONS(3139),
    [anon_sym_STAR_STAR] = ACTIONS(3139),
    [anon_sym_LT_EQ] = ACTIONS(3139),
    [anon_sym_EQ_EQ] = ACTIONS(3137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3139),
    [anon_sym_BANG_EQ] = ACTIONS(3137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3139),
    [anon_sym_GT_EQ] = ACTIONS(3139),
    [anon_sym_QMARK_QMARK] = ACTIONS(3139),
    [anon_sym_instanceof] = ACTIONS(3137),
    [anon_sym_void] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3139),
    [sym_number] = ACTIONS(3139),
    [sym_this] = ACTIONS(3137),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [sym_null] = ACTIONS(3137),
    [sym_undefined] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_readonly] = ACTIONS(3137),
    [anon_sym_get] = ACTIONS(3137),
    [anon_sym_set] = ACTIONS(3137),
    [anon_sym_QMARK] = ACTIONS(3137),
    [anon_sym_any] = ACTIONS(3137),
    [anon_sym_number] = ACTIONS(3137),
    [anon_sym_boolean] = ACTIONS(3137),
    [anon_sym_string] = ACTIONS(3137),
    [anon_sym_symbol] = ACTIONS(3137),
    [anon_sym_abstract] = ACTIONS(3137),
    [anon_sym_satisfies] = ACTIONS(3137),
    [anon_sym_infer] = ACTIONS(3137),
    [anon_sym_keyof] = ACTIONS(3137),
    [anon_sym_unknown] = ACTIONS(3137),
    [anon_sym_never] = ACTIONS(3137),
    [anon_sym_object] = ACTIONS(3137),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3139),
    [anon_sym_constructor] = ACTIONS(3137),
    [anon_sym_prop] = ACTIONS(3137),
    [anon_sym_id] = ACTIONS(3137),
    [anon_sym_event] = ACTIONS(3137),
    [anon_sym_fn] = ACTIONS(3137),
    [anon_sym_on] = ACTIONS(3137),
    [sym__ternary_qmark] = ACTIONS(3139),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(1720),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_as] = ACTIONS(1720),
    [anon_sym_LBRACE] = ACTIONS(1720),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_typeof] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_in] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1720),
    [anon_sym_GT] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1720),
    [anon_sym_async] = ACTIONS(1720),
    [anon_sym_QMARK_DOT] = ACTIONS(1724),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_AMP_AMP] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_GT_GT_GT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_STAR_STAR] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1720),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_QMARK_QMARK] = ACTIONS(1724),
    [anon_sym_instanceof] = ACTIONS(1720),
    [anon_sym_void] = ACTIONS(1720),
    [anon_sym_PLUS_PLUS] = ACTIONS(1724),
    [anon_sym_DASH_DASH] = ACTIONS(1724),
    [anon_sym_DQUOTE] = ACTIONS(1724),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1724),
    [sym_number] = ACTIONS(1724),
    [sym_this] = ACTIONS(1720),
    [sym_true] = ACTIONS(1720),
    [sym_false] = ACTIONS(1720),
    [sym_null] = ACTIONS(1720),
    [sym_undefined] = ACTIONS(1720),
    [anon_sym_static] = ACTIONS(1720),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_get] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_QMARK] = ACTIONS(1720),
    [anon_sym_any] = ACTIONS(1720),
    [anon_sym_number] = ACTIONS(1720),
    [anon_sym_boolean] = ACTIONS(1720),
    [anon_sym_string] = ACTIONS(1720),
    [anon_sym_symbol] = ACTIONS(1720),
    [anon_sym_abstract] = ACTIONS(1720),
    [anon_sym_satisfies] = ACTIONS(1720),
    [anon_sym_infer] = ACTIONS(1720),
    [anon_sym_keyof] = ACTIONS(1720),
    [anon_sym_unknown] = ACTIONS(1720),
    [anon_sym_never] = ACTIONS(1720),
    [anon_sym_object] = ACTIONS(1720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1724),
    [anon_sym_constructor] = ACTIONS(1720),
    [anon_sym_prop] = ACTIONS(1720),
    [anon_sym_id] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_fn] = ACTIONS(1720),
    [anon_sym_on] = ACTIONS(1720),
    [sym__ternary_qmark] = ACTIONS(1724),
  },
  [1022] = {
    [sym_identifier] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1710),
    [anon_sym_as] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_typeof] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_in] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_DOT] = ACTIONS(1710),
    [anon_sym_async] = ACTIONS(1710),
    [anon_sym_QMARK_DOT] = ACTIONS(1714),
    [anon_sym_new] = ACTIONS(1710),
    [anon_sym_AMP_AMP] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1714),
    [anon_sym_GT_GT] = ACTIONS(1710),
    [anon_sym_GT_GT_GT] = ACTIONS(1714),
    [anon_sym_LT_LT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1710),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_PERCENT] = ACTIONS(1714),
    [anon_sym_STAR_STAR] = ACTIONS(1714),
    [anon_sym_LT_EQ] = ACTIONS(1714),
    [anon_sym_EQ_EQ] = ACTIONS(1710),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1714),
    [anon_sym_BANG_EQ] = ACTIONS(1710),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1714),
    [anon_sym_QMARK_QMARK] = ACTIONS(1714),
    [anon_sym_instanceof] = ACTIONS(1710),
    [anon_sym_void] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_DQUOTE] = ACTIONS(1714),
    [anon_sym_SQUOTE] = ACTIONS(1714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1714),
    [sym_number] = ACTIONS(1714),
    [sym_this] = ACTIONS(1710),
    [sym_true] = ACTIONS(1710),
    [sym_false] = ACTIONS(1710),
    [sym_null] = ACTIONS(1710),
    [sym_undefined] = ACTIONS(1710),
    [anon_sym_static] = ACTIONS(1710),
    [anon_sym_readonly] = ACTIONS(1710),
    [anon_sym_get] = ACTIONS(1710),
    [anon_sym_set] = ACTIONS(1710),
    [anon_sym_QMARK] = ACTIONS(1710),
    [anon_sym_any] = ACTIONS(1710),
    [anon_sym_number] = ACTIONS(1710),
    [anon_sym_boolean] = ACTIONS(1710),
    [anon_sym_string] = ACTIONS(1710),
    [anon_sym_symbol] = ACTIONS(1710),
    [anon_sym_abstract] = ACTIONS(1710),
    [anon_sym_satisfies] = ACTIONS(1710),
    [anon_sym_infer] = ACTIONS(1710),
    [anon_sym_keyof] = ACTIONS(1710),
    [anon_sym_unknown] = ACTIONS(1710),
    [anon_sym_never] = ACTIONS(1710),
    [anon_sym_object] = ACTIONS(1710),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1714),
    [anon_sym_constructor] = ACTIONS(1710),
    [anon_sym_prop] = ACTIONS(1710),
    [anon_sym_id] = ACTIONS(1710),
    [anon_sym_event] = ACTIONS(1710),
    [anon_sym_fn] = ACTIONS(1710),
    [anon_sym_on] = ACTIONS(1710),
    [sym__ternary_qmark] = ACTIONS(1714),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_as] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1696),
    [anon_sym_GT] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1696),
    [anon_sym_DOT] = ACTIONS(1696),
    [anon_sym_async] = ACTIONS(1696),
    [anon_sym_QMARK_DOT] = ACTIONS(1700),
    [anon_sym_new] = ACTIONS(1696),
    [anon_sym_AMP_AMP] = ACTIONS(1700),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_GT_GT_GT] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_PERCENT] = ACTIONS(1700),
    [anon_sym_STAR_STAR] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1696),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_QMARK_QMARK] = ACTIONS(1700),
    [anon_sym_instanceof] = ACTIONS(1696),
    [anon_sym_void] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [sym_number] = ACTIONS(1700),
    [sym_this] = ACTIONS(1696),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_null] = ACTIONS(1696),
    [sym_undefined] = ACTIONS(1696),
    [anon_sym_static] = ACTIONS(1696),
    [anon_sym_readonly] = ACTIONS(1696),
    [anon_sym_get] = ACTIONS(1696),
    [anon_sym_set] = ACTIONS(1696),
    [anon_sym_QMARK] = ACTIONS(1696),
    [anon_sym_any] = ACTIONS(1696),
    [anon_sym_number] = ACTIONS(1696),
    [anon_sym_boolean] = ACTIONS(1696),
    [anon_sym_string] = ACTIONS(1696),
    [anon_sym_symbol] = ACTIONS(1696),
    [anon_sym_abstract] = ACTIONS(1696),
    [anon_sym_satisfies] = ACTIONS(1696),
    [anon_sym_infer] = ACTIONS(1696),
    [anon_sym_keyof] = ACTIONS(1696),
    [anon_sym_unknown] = ACTIONS(1696),
    [anon_sym_never] = ACTIONS(1696),
    [anon_sym_object] = ACTIONS(1696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1700),
    [anon_sym_constructor] = ACTIONS(1696),
    [anon_sym_prop] = ACTIONS(1696),
    [anon_sym_id] = ACTIONS(1696),
    [anon_sym_event] = ACTIONS(1696),
    [anon_sym_fn] = ACTIONS(1696),
    [anon_sym_on] = ACTIONS(1696),
    [sym__ternary_qmark] = ACTIONS(1700),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_as] = ACTIONS(3481),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_RBRACE] = ACTIONS(3483),
    [anon_sym_typeof] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_in] = ACTIONS(3481),
    [anon_sym_SEMI] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_LT] = ACTIONS(3481),
    [anon_sym_GT] = ACTIONS(3481),
    [anon_sym_SLASH] = ACTIONS(3481),
    [anon_sym_DOT] = ACTIONS(3481),
    [anon_sym_async] = ACTIONS(3481),
    [anon_sym_QMARK_DOT] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3483),
    [anon_sym_PIPE_PIPE] = ACTIONS(3483),
    [anon_sym_GT_GT] = ACTIONS(3481),
    [anon_sym_GT_GT_GT] = ACTIONS(3483),
    [anon_sym_LT_LT] = ACTIONS(3483),
    [anon_sym_AMP] = ACTIONS(3481),
    [anon_sym_CARET] = ACTIONS(3483),
    [anon_sym_PIPE] = ACTIONS(3481),
    [anon_sym_PLUS] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3481),
    [anon_sym_PERCENT] = ACTIONS(3483),
    [anon_sym_STAR_STAR] = ACTIONS(3483),
    [anon_sym_LT_EQ] = ACTIONS(3483),
    [anon_sym_EQ_EQ] = ACTIONS(3481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ] = ACTIONS(3481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3483),
    [anon_sym_GT_EQ] = ACTIONS(3483),
    [anon_sym_QMARK_QMARK] = ACTIONS(3483),
    [anon_sym_instanceof] = ACTIONS(3481),
    [anon_sym_void] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3483),
    [anon_sym_DQUOTE] = ACTIONS(3483),
    [anon_sym_SQUOTE] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3483),
    [sym_number] = ACTIONS(3483),
    [sym_this] = ACTIONS(3481),
    [sym_true] = ACTIONS(3481),
    [sym_false] = ACTIONS(3481),
    [sym_null] = ACTIONS(3481),
    [sym_undefined] = ACTIONS(3481),
    [anon_sym_static] = ACTIONS(3481),
    [anon_sym_readonly] = ACTIONS(3481),
    [anon_sym_get] = ACTIONS(3481),
    [anon_sym_set] = ACTIONS(3481),
    [anon_sym_QMARK] = ACTIONS(3481),
    [anon_sym_any] = ACTIONS(3481),
    [anon_sym_number] = ACTIONS(3481),
    [anon_sym_boolean] = ACTIONS(3481),
    [anon_sym_string] = ACTIONS(3481),
    [anon_sym_symbol] = ACTIONS(3481),
    [anon_sym_abstract] = ACTIONS(3481),
    [anon_sym_satisfies] = ACTIONS(3481),
    [anon_sym_infer] = ACTIONS(3481),
    [anon_sym_keyof] = ACTIONS(3481),
    [anon_sym_unknown] = ACTIONS(3481),
    [anon_sym_never] = ACTIONS(3481),
    [anon_sym_object] = ACTIONS(3481),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3483),
    [anon_sym_constructor] = ACTIONS(3481),
    [anon_sym_prop] = ACTIONS(3481),
    [anon_sym_id] = ACTIONS(3481),
    [anon_sym_event] = ACTIONS(3481),
    [anon_sym_fn] = ACTIONS(3481),
    [anon_sym_on] = ACTIONS(3481),
    [sym__ternary_qmark] = ACTIONS(3483),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(3485),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_as] = ACTIONS(3485),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_RBRACE] = ACTIONS(3487),
    [anon_sym_typeof] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3487),
    [anon_sym_in] = ACTIONS(3485),
    [anon_sym_SEMI] = ACTIONS(3487),
    [anon_sym_LBRACK] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3485),
    [anon_sym_GT] = ACTIONS(3485),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_DOT] = ACTIONS(3485),
    [anon_sym_async] = ACTIONS(3485),
    [anon_sym_QMARK_DOT] = ACTIONS(3487),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3487),
    [anon_sym_PIPE_PIPE] = ACTIONS(3487),
    [anon_sym_GT_GT] = ACTIONS(3485),
    [anon_sym_GT_GT_GT] = ACTIONS(3487),
    [anon_sym_LT_LT] = ACTIONS(3487),
    [anon_sym_AMP] = ACTIONS(3485),
    [anon_sym_CARET] = ACTIONS(3487),
    [anon_sym_PIPE] = ACTIONS(3485),
    [anon_sym_PLUS] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3487),
    [anon_sym_STAR_STAR] = ACTIONS(3487),
    [anon_sym_LT_EQ] = ACTIONS(3487),
    [anon_sym_EQ_EQ] = ACTIONS(3485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3487),
    [anon_sym_BANG_EQ] = ACTIONS(3485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3487),
    [anon_sym_GT_EQ] = ACTIONS(3487),
    [anon_sym_QMARK_QMARK] = ACTIONS(3487),
    [anon_sym_instanceof] = ACTIONS(3485),
    [anon_sym_void] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3487),
    [anon_sym_DASH_DASH] = ACTIONS(3487),
    [anon_sym_DQUOTE] = ACTIONS(3487),
    [anon_sym_SQUOTE] = ACTIONS(3487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3487),
    [sym_number] = ACTIONS(3487),
    [sym_this] = ACTIONS(3485),
    [sym_true] = ACTIONS(3485),
    [sym_false] = ACTIONS(3485),
    [sym_null] = ACTIONS(3485),
    [sym_undefined] = ACTIONS(3485),
    [anon_sym_static] = ACTIONS(3485),
    [anon_sym_readonly] = ACTIONS(3485),
    [anon_sym_get] = ACTIONS(3485),
    [anon_sym_set] = ACTIONS(3485),
    [anon_sym_QMARK] = ACTIONS(3485),
    [anon_sym_any] = ACTIONS(3485),
    [anon_sym_number] = ACTIONS(3485),
    [anon_sym_boolean] = ACTIONS(3485),
    [anon_sym_string] = ACTIONS(3485),
    [anon_sym_symbol] = ACTIONS(3485),
    [anon_sym_abstract] = ACTIONS(3485),
    [anon_sym_satisfies] = ACTIONS(3485),
    [anon_sym_infer] = ACTIONS(3485),
    [anon_sym_keyof] = ACTIONS(3485),
    [anon_sym_unknown] = ACTIONS(3485),
    [anon_sym_never] = ACTIONS(3485),
    [anon_sym_object] = ACTIONS(3485),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3487),
    [anon_sym_constructor] = ACTIONS(3485),
    [anon_sym_prop] = ACTIONS(3485),
    [anon_sym_id] = ACTIONS(3485),
    [anon_sym_event] = ACTIONS(3485),
    [anon_sym_fn] = ACTIONS(3485),
    [anon_sym_on] = ACTIONS(3485),
    [sym__ternary_qmark] = ACTIONS(3487),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_as] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_typeof] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2948),
    [anon_sym_LPAREN] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2950),
    [anon_sym_LT] = ACTIONS(2948),
    [anon_sym_GT] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2948),
    [anon_sym_DOT] = ACTIONS(2948),
    [anon_sym_async] = ACTIONS(2948),
    [anon_sym_QMARK_DOT] = ACTIONS(2950),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2950),
    [anon_sym_GT_GT] = ACTIONS(2948),
    [anon_sym_GT_GT_GT] = ACTIONS(2950),
    [anon_sym_LT_LT] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_CARET] = ACTIONS(2950),
    [anon_sym_PIPE] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PERCENT] = ACTIONS(2950),
    [anon_sym_STAR_STAR] = ACTIONS(2950),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2948),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2948),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_QMARK_QMARK] = ACTIONS(2950),
    [anon_sym_instanceof] = ACTIONS(2948),
    [anon_sym_void] = ACTIONS(2948),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2950),
    [sym_number] = ACTIONS(2950),
    [sym_this] = ACTIONS(2948),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [sym_null] = ACTIONS(2948),
    [sym_undefined] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_readonly] = ACTIONS(2948),
    [anon_sym_get] = ACTIONS(2948),
    [anon_sym_set] = ACTIONS(2948),
    [anon_sym_QMARK] = ACTIONS(2948),
    [anon_sym_any] = ACTIONS(2948),
    [anon_sym_number] = ACTIONS(2948),
    [anon_sym_boolean] = ACTIONS(2948),
    [anon_sym_string] = ACTIONS(2948),
    [anon_sym_symbol] = ACTIONS(2948),
    [anon_sym_abstract] = ACTIONS(2948),
    [anon_sym_satisfies] = ACTIONS(2948),
    [anon_sym_infer] = ACTIONS(2948),
    [anon_sym_keyof] = ACTIONS(2948),
    [anon_sym_unknown] = ACTIONS(2948),
    [anon_sym_never] = ACTIONS(2948),
    [anon_sym_object] = ACTIONS(2948),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2950),
    [anon_sym_constructor] = ACTIONS(2948),
    [anon_sym_prop] = ACTIONS(2948),
    [anon_sym_id] = ACTIONS(2948),
    [anon_sym_event] = ACTIONS(2948),
    [anon_sym_fn] = ACTIONS(2948),
    [anon_sym_on] = ACTIONS(2948),
    [sym__ternary_qmark] = ACTIONS(2950),
  },
  [1027] = {
    [sym_identifier] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_as] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_typeof] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_in] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_async] = ACTIONS(1738),
    [anon_sym_QMARK_DOT] = ACTIONS(1740),
    [anon_sym_new] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1740),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1738),
    [anon_sym_GT_GT_GT] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1740),
    [anon_sym_STAR_STAR] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_QMARK_QMARK] = ACTIONS(1740),
    [anon_sym_instanceof] = ACTIONS(1738),
    [anon_sym_void] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_this] = ACTIONS(1738),
    [sym_true] = ACTIONS(1738),
    [sym_false] = ACTIONS(1738),
    [sym_null] = ACTIONS(1738),
    [sym_undefined] = ACTIONS(1738),
    [anon_sym_static] = ACTIONS(1738),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_get] = ACTIONS(1738),
    [anon_sym_set] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_any] = ACTIONS(1738),
    [anon_sym_number] = ACTIONS(1738),
    [anon_sym_boolean] = ACTIONS(1738),
    [anon_sym_string] = ACTIONS(1738),
    [anon_sym_symbol] = ACTIONS(1738),
    [anon_sym_abstract] = ACTIONS(1738),
    [anon_sym_satisfies] = ACTIONS(1738),
    [anon_sym_infer] = ACTIONS(1738),
    [anon_sym_keyof] = ACTIONS(1738),
    [anon_sym_unknown] = ACTIONS(1738),
    [anon_sym_never] = ACTIONS(1738),
    [anon_sym_object] = ACTIONS(1738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1740),
    [anon_sym_constructor] = ACTIONS(1738),
    [anon_sym_prop] = ACTIONS(1738),
    [anon_sym_id] = ACTIONS(1738),
    [anon_sym_event] = ACTIONS(1738),
    [anon_sym_fn] = ACTIONS(1738),
    [anon_sym_on] = ACTIONS(1738),
    [sym__ternary_qmark] = ACTIONS(1740),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_async] = ACTIONS(1570),
    [anon_sym_QMARK_DOT] = ACTIONS(1574),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [anon_sym_STAR_STAR] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1574),
    [anon_sym_instanceof] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [sym_number] = ACTIONS(1574),
    [sym_this] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [sym_null] = ACTIONS(1570),
    [sym_undefined] = ACTIONS(1570),
    [anon_sym_static] = ACTIONS(1570),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_get] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_any] = ACTIONS(1570),
    [anon_sym_number] = ACTIONS(1570),
    [anon_sym_boolean] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_symbol] = ACTIONS(1570),
    [anon_sym_abstract] = ACTIONS(1570),
    [anon_sym_satisfies] = ACTIONS(1570),
    [anon_sym_infer] = ACTIONS(1570),
    [anon_sym_keyof] = ACTIONS(1570),
    [anon_sym_unknown] = ACTIONS(1570),
    [anon_sym_never] = ACTIONS(1570),
    [anon_sym_object] = ACTIONS(1570),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1574),
    [anon_sym_constructor] = ACTIONS(1570),
    [anon_sym_prop] = ACTIONS(1570),
    [anon_sym_id] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym_on] = ACTIONS(1570),
    [sym__ternary_qmark] = ACTIONS(1574),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1686),
    [anon_sym_as] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_typeof] = ACTIONS(1686),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_in] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_DOT] = ACTIONS(1686),
    [anon_sym_async] = ACTIONS(1686),
    [anon_sym_QMARK_DOT] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_AMP_AMP] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1686),
    [anon_sym_GT_GT_GT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(1686),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_STAR_STAR] = ACTIONS(1690),
    [anon_sym_LT_EQ] = ACTIONS(1690),
    [anon_sym_EQ_EQ] = ACTIONS(1686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1690),
    [anon_sym_BANG_EQ] = ACTIONS(1686),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1690),
    [anon_sym_GT_EQ] = ACTIONS(1690),
    [anon_sym_QMARK_QMARK] = ACTIONS(1690),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_void] = ACTIONS(1686),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [anon_sym_SQUOTE] = ACTIONS(1690),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [sym_number] = ACTIONS(1690),
    [sym_this] = ACTIONS(1686),
    [sym_true] = ACTIONS(1686),
    [sym_false] = ACTIONS(1686),
    [sym_null] = ACTIONS(1686),
    [sym_undefined] = ACTIONS(1686),
    [anon_sym_static] = ACTIONS(1686),
    [anon_sym_readonly] = ACTIONS(1686),
    [anon_sym_get] = ACTIONS(1686),
    [anon_sym_set] = ACTIONS(1686),
    [anon_sym_QMARK] = ACTIONS(1686),
    [anon_sym_any] = ACTIONS(1686),
    [anon_sym_number] = ACTIONS(1686),
    [anon_sym_boolean] = ACTIONS(1686),
    [anon_sym_string] = ACTIONS(1686),
    [anon_sym_symbol] = ACTIONS(1686),
    [anon_sym_abstract] = ACTIONS(1686),
    [anon_sym_satisfies] = ACTIONS(1686),
    [anon_sym_infer] = ACTIONS(1686),
    [anon_sym_keyof] = ACTIONS(1686),
    [anon_sym_unknown] = ACTIONS(1686),
    [anon_sym_never] = ACTIONS(1686),
    [anon_sym_object] = ACTIONS(1686),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1690),
    [anon_sym_constructor] = ACTIONS(1686),
    [anon_sym_prop] = ACTIONS(1686),
    [anon_sym_id] = ACTIONS(1686),
    [anon_sym_event] = ACTIONS(1686),
    [anon_sym_fn] = ACTIONS(1686),
    [anon_sym_on] = ACTIONS(1686),
    [sym__ternary_qmark] = ACTIONS(1690),
  },
  [1030] = {
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_STAR] = ACTIONS(3489),
    [anon_sym_as] = ACTIONS(3489),
    [anon_sym_LBRACE] = ACTIONS(3489),
    [anon_sym_RBRACE] = ACTIONS(3491),
    [anon_sym_typeof] = ACTIONS(3489),
    [anon_sym_BANG] = ACTIONS(3489),
    [anon_sym_LPAREN] = ACTIONS(3491),
    [anon_sym_in] = ACTIONS(3489),
    [anon_sym_SEMI] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_LT] = ACTIONS(3489),
    [anon_sym_GT] = ACTIONS(3489),
    [anon_sym_SLASH] = ACTIONS(3489),
    [anon_sym_DOT] = ACTIONS(3489),
    [anon_sym_async] = ACTIONS(3489),
    [anon_sym_QMARK_DOT] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3489),
    [anon_sym_AMP_AMP] = ACTIONS(3491),
    [anon_sym_PIPE_PIPE] = ACTIONS(3491),
    [anon_sym_GT_GT] = ACTIONS(3489),
    [anon_sym_GT_GT_GT] = ACTIONS(3491),
    [anon_sym_LT_LT] = ACTIONS(3491),
    [anon_sym_AMP] = ACTIONS(3489),
    [anon_sym_CARET] = ACTIONS(3491),
    [anon_sym_PIPE] = ACTIONS(3489),
    [anon_sym_PLUS] = ACTIONS(3489),
    [anon_sym_DASH] = ACTIONS(3489),
    [anon_sym_PERCENT] = ACTIONS(3491),
    [anon_sym_STAR_STAR] = ACTIONS(3491),
    [anon_sym_LT_EQ] = ACTIONS(3491),
    [anon_sym_EQ_EQ] = ACTIONS(3489),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3491),
    [anon_sym_BANG_EQ] = ACTIONS(3489),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3491),
    [anon_sym_GT_EQ] = ACTIONS(3491),
    [anon_sym_QMARK_QMARK] = ACTIONS(3491),
    [anon_sym_instanceof] = ACTIONS(3489),
    [anon_sym_void] = ACTIONS(3489),
    [anon_sym_PLUS_PLUS] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3491),
    [anon_sym_DQUOTE] = ACTIONS(3491),
    [anon_sym_SQUOTE] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3491),
    [sym_number] = ACTIONS(3491),
    [sym_this] = ACTIONS(3489),
    [sym_true] = ACTIONS(3489),
    [sym_false] = ACTIONS(3489),
    [sym_null] = ACTIONS(3489),
    [sym_undefined] = ACTIONS(3489),
    [anon_sym_static] = ACTIONS(3489),
    [anon_sym_readonly] = ACTIONS(3489),
    [anon_sym_get] = ACTIONS(3489),
    [anon_sym_set] = ACTIONS(3489),
    [anon_sym_QMARK] = ACTIONS(3489),
    [anon_sym_any] = ACTIONS(3489),
    [anon_sym_number] = ACTIONS(3489),
    [anon_sym_boolean] = ACTIONS(3489),
    [anon_sym_string] = ACTIONS(3489),
    [anon_sym_symbol] = ACTIONS(3489),
    [anon_sym_abstract] = ACTIONS(3489),
    [anon_sym_satisfies] = ACTIONS(3489),
    [anon_sym_infer] = ACTIONS(3489),
    [anon_sym_keyof] = ACTIONS(3489),
    [anon_sym_unknown] = ACTIONS(3489),
    [anon_sym_never] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3489),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3491),
    [anon_sym_constructor] = ACTIONS(3489),
    [anon_sym_prop] = ACTIONS(3489),
    [anon_sym_id] = ACTIONS(3489),
    [anon_sym_event] = ACTIONS(3489),
    [anon_sym_fn] = ACTIONS(3489),
    [anon_sym_on] = ACTIONS(3489),
    [sym__ternary_qmark] = ACTIONS(3491),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_as] = ACTIONS(3493),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_RBRACE] = ACTIONS(3495),
    [anon_sym_typeof] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_LPAREN] = ACTIONS(3495),
    [anon_sym_in] = ACTIONS(3493),
    [anon_sym_SEMI] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_LT] = ACTIONS(3493),
    [anon_sym_GT] = ACTIONS(3493),
    [anon_sym_SLASH] = ACTIONS(3493),
    [anon_sym_DOT] = ACTIONS(3493),
    [anon_sym_async] = ACTIONS(3493),
    [anon_sym_QMARK_DOT] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3495),
    [anon_sym_PIPE_PIPE] = ACTIONS(3495),
    [anon_sym_GT_GT] = ACTIONS(3493),
    [anon_sym_GT_GT_GT] = ACTIONS(3495),
    [anon_sym_LT_LT] = ACTIONS(3495),
    [anon_sym_AMP] = ACTIONS(3493),
    [anon_sym_CARET] = ACTIONS(3495),
    [anon_sym_PIPE] = ACTIONS(3493),
    [anon_sym_PLUS] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3493),
    [anon_sym_PERCENT] = ACTIONS(3495),
    [anon_sym_STAR_STAR] = ACTIONS(3495),
    [anon_sym_LT_EQ] = ACTIONS(3495),
    [anon_sym_EQ_EQ] = ACTIONS(3493),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3495),
    [anon_sym_BANG_EQ] = ACTIONS(3493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3495),
    [anon_sym_GT_EQ] = ACTIONS(3495),
    [anon_sym_QMARK_QMARK] = ACTIONS(3495),
    [anon_sym_instanceof] = ACTIONS(3493),
    [anon_sym_void] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3495),
    [anon_sym_DQUOTE] = ACTIONS(3495),
    [anon_sym_SQUOTE] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3495),
    [sym_number] = ACTIONS(3495),
    [sym_this] = ACTIONS(3493),
    [sym_true] = ACTIONS(3493),
    [sym_false] = ACTIONS(3493),
    [sym_null] = ACTIONS(3493),
    [sym_undefined] = ACTIONS(3493),
    [anon_sym_static] = ACTIONS(3493),
    [anon_sym_readonly] = ACTIONS(3493),
    [anon_sym_get] = ACTIONS(3493),
    [anon_sym_set] = ACTIONS(3493),
    [anon_sym_QMARK] = ACTIONS(3493),
    [anon_sym_any] = ACTIONS(3493),
    [anon_sym_number] = ACTIONS(3493),
    [anon_sym_boolean] = ACTIONS(3493),
    [anon_sym_string] = ACTIONS(3493),
    [anon_sym_symbol] = ACTIONS(3493),
    [anon_sym_abstract] = ACTIONS(3493),
    [anon_sym_satisfies] = ACTIONS(3493),
    [anon_sym_infer] = ACTIONS(3493),
    [anon_sym_keyof] = ACTIONS(3493),
    [anon_sym_unknown] = ACTIONS(3493),
    [anon_sym_never] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3493),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3495),
    [anon_sym_constructor] = ACTIONS(3493),
    [anon_sym_prop] = ACTIONS(3493),
    [anon_sym_id] = ACTIONS(3493),
    [anon_sym_event] = ACTIONS(3493),
    [anon_sym_fn] = ACTIONS(3493),
    [anon_sym_on] = ACTIONS(3493),
    [sym__ternary_qmark] = ACTIONS(3495),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1864),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_constructor] = ACTIONS(1860),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_typeof] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_async] = ACTIONS(1422),
    [anon_sym_QMARK_DOT] = ACTIONS(1426),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_STAR_STAR] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_QMARK_QMARK] = ACTIONS(1426),
    [anon_sym_instanceof] = ACTIONS(1422),
    [anon_sym_void] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [sym_number] = ACTIONS(1426),
    [sym_this] = ACTIONS(1422),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [sym_null] = ACTIONS(1422),
    [sym_undefined] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_readonly] = ACTIONS(1422),
    [anon_sym_get] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_any] = ACTIONS(1422),
    [anon_sym_number] = ACTIONS(1422),
    [anon_sym_boolean] = ACTIONS(1422),
    [anon_sym_string] = ACTIONS(1422),
    [anon_sym_symbol] = ACTIONS(1422),
    [anon_sym_abstract] = ACTIONS(1422),
    [anon_sym_satisfies] = ACTIONS(1422),
    [anon_sym_infer] = ACTIONS(1422),
    [anon_sym_keyof] = ACTIONS(1422),
    [anon_sym_unknown] = ACTIONS(1422),
    [anon_sym_never] = ACTIONS(1422),
    [anon_sym_object] = ACTIONS(1422),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1426),
    [anon_sym_constructor] = ACTIONS(1422),
    [anon_sym_prop] = ACTIONS(1422),
    [anon_sym_id] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_fn] = ACTIONS(1422),
    [anon_sym_on] = ACTIONS(1422),
    [sym__ternary_qmark] = ACTIONS(1426),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_typeof] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [anon_sym_in] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1442),
    [anon_sym_async] = ACTIONS(1442),
    [anon_sym_QMARK_DOT] = ACTIONS(1446),
    [anon_sym_new] = ACTIONS(1442),
    [anon_sym_AMP_AMP] = ACTIONS(1446),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PERCENT] = ACTIONS(1446),
    [anon_sym_STAR_STAR] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_QMARK_QMARK] = ACTIONS(1446),
    [anon_sym_instanceof] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [sym_number] = ACTIONS(1446),
    [sym_this] = ACTIONS(1442),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [sym_null] = ACTIONS(1442),
    [sym_undefined] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_readonly] = ACTIONS(1442),
    [anon_sym_get] = ACTIONS(1442),
    [anon_sym_set] = ACTIONS(1442),
    [anon_sym_QMARK] = ACTIONS(1442),
    [anon_sym_any] = ACTIONS(1442),
    [anon_sym_number] = ACTIONS(1442),
    [anon_sym_boolean] = ACTIONS(1442),
    [anon_sym_string] = ACTIONS(1442),
    [anon_sym_symbol] = ACTIONS(1442),
    [anon_sym_abstract] = ACTIONS(1442),
    [anon_sym_satisfies] = ACTIONS(1442),
    [anon_sym_infer] = ACTIONS(1442),
    [anon_sym_keyof] = ACTIONS(1442),
    [anon_sym_unknown] = ACTIONS(1442),
    [anon_sym_never] = ACTIONS(1442),
    [anon_sym_object] = ACTIONS(1442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1446),
    [anon_sym_constructor] = ACTIONS(1442),
    [anon_sym_prop] = ACTIONS(1442),
    [anon_sym_id] = ACTIONS(1442),
    [anon_sym_event] = ACTIONS(1442),
    [anon_sym_fn] = ACTIONS(1442),
    [anon_sym_on] = ACTIONS(1442),
    [sym__ternary_qmark] = ACTIONS(1446),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_as] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_typeof] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_async] = ACTIONS(1460),
    [anon_sym_QMARK_DOT] = ACTIONS(1462),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1460),
    [anon_sym_GT_GT_GT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_QMARK_QMARK] = ACTIONS(1462),
    [anon_sym_instanceof] = ACTIONS(1460),
    [anon_sym_void] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_number] = ACTIONS(1462),
    [sym_this] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_get] = ACTIONS(1460),
    [anon_sym_set] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(1460),
    [anon_sym_satisfies] = ACTIONS(1460),
    [anon_sym_infer] = ACTIONS(1460),
    [anon_sym_keyof] = ACTIONS(1460),
    [anon_sym_unknown] = ACTIONS(1460),
    [anon_sym_never] = ACTIONS(1460),
    [anon_sym_object] = ACTIONS(1460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1462),
    [anon_sym_constructor] = ACTIONS(1460),
    [anon_sym_prop] = ACTIONS(1460),
    [anon_sym_id] = ACTIONS(1460),
    [anon_sym_event] = ACTIONS(1460),
    [anon_sym_fn] = ACTIONS(1460),
    [anon_sym_on] = ACTIONS(1460),
    [sym__ternary_qmark] = ACTIONS(1462),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_as] = ACTIONS(3497),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_RBRACE] = ACTIONS(3499),
    [anon_sym_typeof] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_LPAREN] = ACTIONS(3499),
    [anon_sym_in] = ACTIONS(3497),
    [anon_sym_SEMI] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_LT] = ACTIONS(3497),
    [anon_sym_GT] = ACTIONS(3497),
    [anon_sym_SLASH] = ACTIONS(3497),
    [anon_sym_DOT] = ACTIONS(3497),
    [anon_sym_async] = ACTIONS(3497),
    [anon_sym_QMARK_DOT] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3499),
    [anon_sym_PIPE_PIPE] = ACTIONS(3499),
    [anon_sym_GT_GT] = ACTIONS(3497),
    [anon_sym_GT_GT_GT] = ACTIONS(3499),
    [anon_sym_LT_LT] = ACTIONS(3499),
    [anon_sym_AMP] = ACTIONS(3497),
    [anon_sym_CARET] = ACTIONS(3499),
    [anon_sym_PIPE] = ACTIONS(3497),
    [anon_sym_PLUS] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3497),
    [anon_sym_PERCENT] = ACTIONS(3499),
    [anon_sym_STAR_STAR] = ACTIONS(3499),
    [anon_sym_LT_EQ] = ACTIONS(3499),
    [anon_sym_EQ_EQ] = ACTIONS(3497),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3499),
    [anon_sym_BANG_EQ] = ACTIONS(3497),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3499),
    [anon_sym_GT_EQ] = ACTIONS(3499),
    [anon_sym_QMARK_QMARK] = ACTIONS(3499),
    [anon_sym_instanceof] = ACTIONS(3497),
    [anon_sym_void] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3499),
    [anon_sym_DQUOTE] = ACTIONS(3499),
    [anon_sym_SQUOTE] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3499),
    [sym_number] = ACTIONS(3499),
    [sym_this] = ACTIONS(3497),
    [sym_true] = ACTIONS(3497),
    [sym_false] = ACTIONS(3497),
    [sym_null] = ACTIONS(3497),
    [sym_undefined] = ACTIONS(3497),
    [anon_sym_static] = ACTIONS(3497),
    [anon_sym_readonly] = ACTIONS(3497),
    [anon_sym_get] = ACTIONS(3497),
    [anon_sym_set] = ACTIONS(3497),
    [anon_sym_QMARK] = ACTIONS(3497),
    [anon_sym_any] = ACTIONS(3497),
    [anon_sym_number] = ACTIONS(3497),
    [anon_sym_boolean] = ACTIONS(3497),
    [anon_sym_string] = ACTIONS(3497),
    [anon_sym_symbol] = ACTIONS(3497),
    [anon_sym_abstract] = ACTIONS(3497),
    [anon_sym_satisfies] = ACTIONS(3497),
    [anon_sym_infer] = ACTIONS(3497),
    [anon_sym_keyof] = ACTIONS(3497),
    [anon_sym_unknown] = ACTIONS(3497),
    [anon_sym_never] = ACTIONS(3497),
    [anon_sym_object] = ACTIONS(3497),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3499),
    [anon_sym_constructor] = ACTIONS(3497),
    [anon_sym_prop] = ACTIONS(3497),
    [anon_sym_id] = ACTIONS(3497),
    [anon_sym_event] = ACTIONS(3497),
    [anon_sym_fn] = ACTIONS(3497),
    [anon_sym_on] = ACTIONS(3497),
    [sym__ternary_qmark] = ACTIONS(3499),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_as] = ACTIONS(3501),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_typeof] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3503),
    [anon_sym_in] = ACTIONS(3501),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_LT] = ACTIONS(3501),
    [anon_sym_GT] = ACTIONS(3501),
    [anon_sym_SLASH] = ACTIONS(3501),
    [anon_sym_DOT] = ACTIONS(3501),
    [anon_sym_async] = ACTIONS(3501),
    [anon_sym_QMARK_DOT] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3503),
    [anon_sym_PIPE_PIPE] = ACTIONS(3503),
    [anon_sym_GT_GT] = ACTIONS(3501),
    [anon_sym_GT_GT_GT] = ACTIONS(3503),
    [anon_sym_LT_LT] = ACTIONS(3503),
    [anon_sym_AMP] = ACTIONS(3501),
    [anon_sym_CARET] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3501),
    [anon_sym_PLUS] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3501),
    [anon_sym_PERCENT] = ACTIONS(3503),
    [anon_sym_STAR_STAR] = ACTIONS(3503),
    [anon_sym_LT_EQ] = ACTIONS(3503),
    [anon_sym_EQ_EQ] = ACTIONS(3501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3503),
    [anon_sym_BANG_EQ] = ACTIONS(3501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3503),
    [anon_sym_GT_EQ] = ACTIONS(3503),
    [anon_sym_QMARK_QMARK] = ACTIONS(3503),
    [anon_sym_instanceof] = ACTIONS(3501),
    [anon_sym_void] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3503),
    [anon_sym_DQUOTE] = ACTIONS(3503),
    [anon_sym_SQUOTE] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3503),
    [sym_number] = ACTIONS(3503),
    [sym_this] = ACTIONS(3501),
    [sym_true] = ACTIONS(3501),
    [sym_false] = ACTIONS(3501),
    [sym_null] = ACTIONS(3501),
    [sym_undefined] = ACTIONS(3501),
    [anon_sym_static] = ACTIONS(3501),
    [anon_sym_readonly] = ACTIONS(3501),
    [anon_sym_get] = ACTIONS(3501),
    [anon_sym_set] = ACTIONS(3501),
    [anon_sym_QMARK] = ACTIONS(3501),
    [anon_sym_any] = ACTIONS(3501),
    [anon_sym_number] = ACTIONS(3501),
    [anon_sym_boolean] = ACTIONS(3501),
    [anon_sym_string] = ACTIONS(3501),
    [anon_sym_symbol] = ACTIONS(3501),
    [anon_sym_abstract] = ACTIONS(3501),
    [anon_sym_satisfies] = ACTIONS(3501),
    [anon_sym_infer] = ACTIONS(3501),
    [anon_sym_keyof] = ACTIONS(3501),
    [anon_sym_unknown] = ACTIONS(3501),
    [anon_sym_never] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3501),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3503),
    [anon_sym_constructor] = ACTIONS(3501),
    [anon_sym_prop] = ACTIONS(3501),
    [anon_sym_id] = ACTIONS(3501),
    [anon_sym_event] = ACTIONS(3501),
    [anon_sym_fn] = ACTIONS(3501),
    [anon_sym_on] = ACTIONS(3501),
    [sym__ternary_qmark] = ACTIONS(3503),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1596),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_STAR_STAR] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_QMARK_QMARK] = ACTIONS(1596),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1596),
    [sym_this] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_QMARK] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_satisfies] = ACTIONS(1592),
    [anon_sym_infer] = ACTIONS(1592),
    [anon_sym_keyof] = ACTIONS(1592),
    [anon_sym_unknown] = ACTIONS(1592),
    [anon_sym_never] = ACTIONS(1592),
    [anon_sym_object] = ACTIONS(1592),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1596),
    [anon_sym_constructor] = ACTIONS(1592),
    [anon_sym_prop] = ACTIONS(1592),
    [anon_sym_id] = ACTIONS(1592),
    [anon_sym_event] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [sym__ternary_qmark] = ACTIONS(1596),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_as] = ACTIONS(3505),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_RBRACE] = ACTIONS(3507),
    [anon_sym_typeof] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_LPAREN] = ACTIONS(3507),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_SEMI] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_LT] = ACTIONS(3505),
    [anon_sym_GT] = ACTIONS(3505),
    [anon_sym_SLASH] = ACTIONS(3505),
    [anon_sym_DOT] = ACTIONS(3505),
    [anon_sym_async] = ACTIONS(3505),
    [anon_sym_QMARK_DOT] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3507),
    [anon_sym_PIPE_PIPE] = ACTIONS(3507),
    [anon_sym_GT_GT] = ACTIONS(3505),
    [anon_sym_GT_GT_GT] = ACTIONS(3507),
    [anon_sym_LT_LT] = ACTIONS(3507),
    [anon_sym_AMP] = ACTIONS(3505),
    [anon_sym_CARET] = ACTIONS(3507),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PERCENT] = ACTIONS(3507),
    [anon_sym_STAR_STAR] = ACTIONS(3507),
    [anon_sym_LT_EQ] = ACTIONS(3507),
    [anon_sym_EQ_EQ] = ACTIONS(3505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3507),
    [anon_sym_BANG_EQ] = ACTIONS(3505),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3507),
    [anon_sym_GT_EQ] = ACTIONS(3507),
    [anon_sym_QMARK_QMARK] = ACTIONS(3507),
    [anon_sym_instanceof] = ACTIONS(3505),
    [anon_sym_void] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_DQUOTE] = ACTIONS(3507),
    [anon_sym_SQUOTE] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3507),
    [sym_number] = ACTIONS(3507),
    [sym_this] = ACTIONS(3505),
    [sym_true] = ACTIONS(3505),
    [sym_false] = ACTIONS(3505),
    [sym_null] = ACTIONS(3505),
    [sym_undefined] = ACTIONS(3505),
    [anon_sym_static] = ACTIONS(3505),
    [anon_sym_readonly] = ACTIONS(3505),
    [anon_sym_get] = ACTIONS(3505),
    [anon_sym_set] = ACTIONS(3505),
    [anon_sym_QMARK] = ACTIONS(3505),
    [anon_sym_any] = ACTIONS(3505),
    [anon_sym_number] = ACTIONS(3505),
    [anon_sym_boolean] = ACTIONS(3505),
    [anon_sym_string] = ACTIONS(3505),
    [anon_sym_symbol] = ACTIONS(3505),
    [anon_sym_abstract] = ACTIONS(3505),
    [anon_sym_satisfies] = ACTIONS(3505),
    [anon_sym_infer] = ACTIONS(3505),
    [anon_sym_keyof] = ACTIONS(3505),
    [anon_sym_unknown] = ACTIONS(3505),
    [anon_sym_never] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(3505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3507),
    [anon_sym_constructor] = ACTIONS(3505),
    [anon_sym_prop] = ACTIONS(3505),
    [anon_sym_id] = ACTIONS(3505),
    [anon_sym_event] = ACTIONS(3505),
    [anon_sym_fn] = ACTIONS(3505),
    [anon_sym_on] = ACTIONS(3505),
    [sym__ternary_qmark] = ACTIONS(3507),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_typeof] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1390),
    [anon_sym_async] = ACTIONS(1390),
    [anon_sym_QMARK_DOT] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_GT_GT_GT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_STAR_STAR] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_QMARK_QMARK] = ACTIONS(1394),
    [anon_sym_instanceof] = ACTIONS(1390),
    [anon_sym_void] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [sym_number] = ACTIONS(1394),
    [sym_this] = ACTIONS(1390),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [sym_null] = ACTIONS(1390),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_readonly] = ACTIONS(1390),
    [anon_sym_get] = ACTIONS(1390),
    [anon_sym_set] = ACTIONS(1390),
    [anon_sym_QMARK] = ACTIONS(1390),
    [anon_sym_any] = ACTIONS(1390),
    [anon_sym_number] = ACTIONS(1390),
    [anon_sym_boolean] = ACTIONS(1390),
    [anon_sym_string] = ACTIONS(1390),
    [anon_sym_symbol] = ACTIONS(1390),
    [anon_sym_abstract] = ACTIONS(1390),
    [anon_sym_satisfies] = ACTIONS(1390),
    [anon_sym_infer] = ACTIONS(1390),
    [anon_sym_keyof] = ACTIONS(1390),
    [anon_sym_unknown] = ACTIONS(1390),
    [anon_sym_never] = ACTIONS(1390),
    [anon_sym_object] = ACTIONS(1390),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1394),
    [anon_sym_constructor] = ACTIONS(1390),
    [anon_sym_prop] = ACTIONS(1390),
    [anon_sym_id] = ACTIONS(1390),
    [anon_sym_event] = ACTIONS(1390),
    [anon_sym_fn] = ACTIONS(1390),
    [anon_sym_on] = ACTIONS(1390),
    [sym__ternary_qmark] = ACTIONS(1394),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_typeof] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_QMARK_DOT] = ACTIONS(1606),
    [anon_sym_new] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_STAR_STAR] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_QMARK_QMARK] = ACTIONS(1606),
    [anon_sym_instanceof] = ACTIONS(1602),
    [anon_sym_void] = ACTIONS(1602),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_DQUOTE] = ACTIONS(1606),
    [anon_sym_SQUOTE] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1606),
    [sym_number] = ACTIONS(1606),
    [sym_this] = ACTIONS(1602),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_static] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1602),
    [anon_sym_get] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1602),
    [anon_sym_any] = ACTIONS(1602),
    [anon_sym_number] = ACTIONS(1602),
    [anon_sym_boolean] = ACTIONS(1602),
    [anon_sym_string] = ACTIONS(1602),
    [anon_sym_symbol] = ACTIONS(1602),
    [anon_sym_abstract] = ACTIONS(1602),
    [anon_sym_satisfies] = ACTIONS(1602),
    [anon_sym_infer] = ACTIONS(1602),
    [anon_sym_keyof] = ACTIONS(1602),
    [anon_sym_unknown] = ACTIONS(1602),
    [anon_sym_never] = ACTIONS(1602),
    [anon_sym_object] = ACTIONS(1602),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1606),
    [anon_sym_constructor] = ACTIONS(1602),
    [anon_sym_prop] = ACTIONS(1602),
    [anon_sym_id] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_fn] = ACTIONS(1602),
    [anon_sym_on] = ACTIONS(1602),
    [sym__ternary_qmark] = ACTIONS(1606),
  },
  [1042] = {
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_as] = ACTIONS(3509),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_RBRACE] = ACTIONS(3511),
    [anon_sym_typeof] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(3511),
    [anon_sym_in] = ACTIONS(3509),
    [anon_sym_SEMI] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_LT] = ACTIONS(3509),
    [anon_sym_GT] = ACTIONS(3509),
    [anon_sym_SLASH] = ACTIONS(3509),
    [anon_sym_DOT] = ACTIONS(3509),
    [anon_sym_async] = ACTIONS(3509),
    [anon_sym_QMARK_DOT] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3511),
    [anon_sym_PIPE_PIPE] = ACTIONS(3511),
    [anon_sym_GT_GT] = ACTIONS(3509),
    [anon_sym_GT_GT_GT] = ACTIONS(3511),
    [anon_sym_LT_LT] = ACTIONS(3511),
    [anon_sym_AMP] = ACTIONS(3509),
    [anon_sym_CARET] = ACTIONS(3511),
    [anon_sym_PIPE] = ACTIONS(3509),
    [anon_sym_PLUS] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3509),
    [anon_sym_PERCENT] = ACTIONS(3511),
    [anon_sym_STAR_STAR] = ACTIONS(3511),
    [anon_sym_LT_EQ] = ACTIONS(3511),
    [anon_sym_EQ_EQ] = ACTIONS(3509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3511),
    [anon_sym_BANG_EQ] = ACTIONS(3509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3511),
    [anon_sym_GT_EQ] = ACTIONS(3511),
    [anon_sym_QMARK_QMARK] = ACTIONS(3511),
    [anon_sym_instanceof] = ACTIONS(3509),
    [anon_sym_void] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3511),
    [anon_sym_DQUOTE] = ACTIONS(3511),
    [anon_sym_SQUOTE] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3511),
    [sym_number] = ACTIONS(3511),
    [sym_this] = ACTIONS(3509),
    [sym_true] = ACTIONS(3509),
    [sym_false] = ACTIONS(3509),
    [sym_null] = ACTIONS(3509),
    [sym_undefined] = ACTIONS(3509),
    [anon_sym_static] = ACTIONS(3509),
    [anon_sym_readonly] = ACTIONS(3509),
    [anon_sym_get] = ACTIONS(3509),
    [anon_sym_set] = ACTIONS(3509),
    [anon_sym_QMARK] = ACTIONS(3509),
    [anon_sym_any] = ACTIONS(3509),
    [anon_sym_number] = ACTIONS(3509),
    [anon_sym_boolean] = ACTIONS(3509),
    [anon_sym_string] = ACTIONS(3509),
    [anon_sym_symbol] = ACTIONS(3509),
    [anon_sym_abstract] = ACTIONS(3509),
    [anon_sym_satisfies] = ACTIONS(3509),
    [anon_sym_infer] = ACTIONS(3509),
    [anon_sym_keyof] = ACTIONS(3509),
    [anon_sym_unknown] = ACTIONS(3509),
    [anon_sym_never] = ACTIONS(3509),
    [anon_sym_object] = ACTIONS(3509),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3511),
    [anon_sym_constructor] = ACTIONS(3509),
    [anon_sym_prop] = ACTIONS(3509),
    [anon_sym_id] = ACTIONS(3509),
    [anon_sym_event] = ACTIONS(3509),
    [anon_sym_fn] = ACTIONS(3509),
    [anon_sym_on] = ACTIONS(3509),
    [sym__ternary_qmark] = ACTIONS(3511),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_as] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_RBRACE] = ACTIONS(3515),
    [anon_sym_typeof] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_LPAREN] = ACTIONS(3515),
    [anon_sym_in] = ACTIONS(3513),
    [anon_sym_SEMI] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_LT] = ACTIONS(3513),
    [anon_sym_GT] = ACTIONS(3513),
    [anon_sym_SLASH] = ACTIONS(3513),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_async] = ACTIONS(3513),
    [anon_sym_QMARK_DOT] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3515),
    [anon_sym_PIPE_PIPE] = ACTIONS(3515),
    [anon_sym_GT_GT] = ACTIONS(3513),
    [anon_sym_GT_GT_GT] = ACTIONS(3515),
    [anon_sym_LT_LT] = ACTIONS(3515),
    [anon_sym_AMP] = ACTIONS(3513),
    [anon_sym_CARET] = ACTIONS(3515),
    [anon_sym_PIPE] = ACTIONS(3513),
    [anon_sym_PLUS] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3513),
    [anon_sym_PERCENT] = ACTIONS(3515),
    [anon_sym_STAR_STAR] = ACTIONS(3515),
    [anon_sym_LT_EQ] = ACTIONS(3515),
    [anon_sym_EQ_EQ] = ACTIONS(3513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3515),
    [anon_sym_BANG_EQ] = ACTIONS(3513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3515),
    [anon_sym_GT_EQ] = ACTIONS(3515),
    [anon_sym_QMARK_QMARK] = ACTIONS(3515),
    [anon_sym_instanceof] = ACTIONS(3513),
    [anon_sym_void] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3515),
    [anon_sym_DQUOTE] = ACTIONS(3515),
    [anon_sym_SQUOTE] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3515),
    [sym_number] = ACTIONS(3515),
    [sym_this] = ACTIONS(3513),
    [sym_true] = ACTIONS(3513),
    [sym_false] = ACTIONS(3513),
    [sym_null] = ACTIONS(3513),
    [sym_undefined] = ACTIONS(3513),
    [anon_sym_static] = ACTIONS(3513),
    [anon_sym_readonly] = ACTIONS(3513),
    [anon_sym_get] = ACTIONS(3513),
    [anon_sym_set] = ACTIONS(3513),
    [anon_sym_QMARK] = ACTIONS(3513),
    [anon_sym_any] = ACTIONS(3513),
    [anon_sym_number] = ACTIONS(3513),
    [anon_sym_boolean] = ACTIONS(3513),
    [anon_sym_string] = ACTIONS(3513),
    [anon_sym_symbol] = ACTIONS(3513),
    [anon_sym_abstract] = ACTIONS(3513),
    [anon_sym_satisfies] = ACTIONS(3513),
    [anon_sym_infer] = ACTIONS(3513),
    [anon_sym_keyof] = ACTIONS(3513),
    [anon_sym_unknown] = ACTIONS(3513),
    [anon_sym_never] = ACTIONS(3513),
    [anon_sym_object] = ACTIONS(3513),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3515),
    [anon_sym_constructor] = ACTIONS(3513),
    [anon_sym_prop] = ACTIONS(3513),
    [anon_sym_id] = ACTIONS(3513),
    [anon_sym_event] = ACTIONS(3513),
    [anon_sym_fn] = ACTIONS(3513),
    [anon_sym_on] = ACTIONS(3513),
    [sym__ternary_qmark] = ACTIONS(3515),
  },
  [1044] = {
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_as] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1660),
    [anon_sym_typeof] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [anon_sym_in] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_QMARK_DOT] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1656),
    [anon_sym_AMP_AMP] = ACTIONS(1660),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_GT_GT_GT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_EQ_EQ] = ACTIONS(1656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_QMARK_QMARK] = ACTIONS(1660),
    [anon_sym_instanceof] = ACTIONS(1656),
    [anon_sym_void] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1660),
    [anon_sym_DASH_DASH] = ACTIONS(1660),
    [anon_sym_DQUOTE] = ACTIONS(1660),
    [anon_sym_SQUOTE] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1660),
    [sym_number] = ACTIONS(1660),
    [sym_this] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [sym_null] = ACTIONS(1656),
    [sym_undefined] = ACTIONS(1656),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_abstract] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(1656),
    [anon_sym_infer] = ACTIONS(1656),
    [anon_sym_keyof] = ACTIONS(1656),
    [anon_sym_unknown] = ACTIONS(1656),
    [anon_sym_never] = ACTIONS(1656),
    [anon_sym_object] = ACTIONS(1656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1660),
    [anon_sym_constructor] = ACTIONS(1656),
    [anon_sym_prop] = ACTIONS(1656),
    [anon_sym_id] = ACTIONS(1656),
    [anon_sym_event] = ACTIONS(1656),
    [anon_sym_fn] = ACTIONS(1656),
    [anon_sym_on] = ACTIONS(1656),
    [sym__ternary_qmark] = ACTIONS(1660),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_as] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [anon_sym_typeof] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [anon_sym_in] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1636),
    [anon_sym_DOT] = ACTIONS(1636),
    [anon_sym_async] = ACTIONS(1636),
    [anon_sym_QMARK_DOT] = ACTIONS(1640),
    [anon_sym_new] = ACTIONS(1636),
    [anon_sym_AMP_AMP] = ACTIONS(1640),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_GT_GT_GT] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_PERCENT] = ACTIONS(1640),
    [anon_sym_STAR_STAR] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_EQ_EQ] = ACTIONS(1636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_QMARK_QMARK] = ACTIONS(1640),
    [anon_sym_instanceof] = ACTIONS(1636),
    [anon_sym_void] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [sym_number] = ACTIONS(1640),
    [sym_this] = ACTIONS(1636),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_null] = ACTIONS(1636),
    [sym_undefined] = ACTIONS(1636),
    [anon_sym_static] = ACTIONS(1636),
    [anon_sym_readonly] = ACTIONS(1636),
    [anon_sym_get] = ACTIONS(1636),
    [anon_sym_set] = ACTIONS(1636),
    [anon_sym_QMARK] = ACTIONS(1636),
    [anon_sym_any] = ACTIONS(1636),
    [anon_sym_number] = ACTIONS(1636),
    [anon_sym_boolean] = ACTIONS(1636),
    [anon_sym_string] = ACTIONS(1636),
    [anon_sym_symbol] = ACTIONS(1636),
    [anon_sym_abstract] = ACTIONS(1636),
    [anon_sym_satisfies] = ACTIONS(1636),
    [anon_sym_infer] = ACTIONS(1636),
    [anon_sym_keyof] = ACTIONS(1636),
    [anon_sym_unknown] = ACTIONS(1636),
    [anon_sym_never] = ACTIONS(1636),
    [anon_sym_object] = ACTIONS(1636),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1640),
    [anon_sym_constructor] = ACTIONS(1636),
    [anon_sym_prop] = ACTIONS(1636),
    [anon_sym_id] = ACTIONS(1636),
    [anon_sym_event] = ACTIONS(1636),
    [anon_sym_fn] = ACTIONS(1636),
    [anon_sym_on] = ACTIONS(1636),
    [sym__ternary_qmark] = ACTIONS(1640),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_async] = ACTIONS(1612),
    [anon_sym_QMARK_DOT] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_STAR] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_EQ_EQ] = ACTIONS(1612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_QMARK_QMARK] = ACTIONS(1616),
    [anon_sym_instanceof] = ACTIONS(1612),
    [anon_sym_void] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [sym_number] = ACTIONS(1616),
    [sym_this] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [sym_null] = ACTIONS(1612),
    [sym_undefined] = ACTIONS(1612),
    [anon_sym_static] = ACTIONS(1612),
    [anon_sym_readonly] = ACTIONS(1612),
    [anon_sym_get] = ACTIONS(1612),
    [anon_sym_set] = ACTIONS(1612),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_any] = ACTIONS(1612),
    [anon_sym_number] = ACTIONS(1612),
    [anon_sym_boolean] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_symbol] = ACTIONS(1612),
    [anon_sym_abstract] = ACTIONS(1612),
    [anon_sym_satisfies] = ACTIONS(1612),
    [anon_sym_infer] = ACTIONS(1612),
    [anon_sym_keyof] = ACTIONS(1612),
    [anon_sym_unknown] = ACTIONS(1612),
    [anon_sym_never] = ACTIONS(1612),
    [anon_sym_object] = ACTIONS(1612),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1616),
    [anon_sym_constructor] = ACTIONS(1612),
    [anon_sym_prop] = ACTIONS(1612),
    [anon_sym_id] = ACTIONS(1612),
    [anon_sym_event] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym_on] = ACTIONS(1612),
    [sym__ternary_qmark] = ACTIONS(1616),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(3517),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_as] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_RBRACE] = ACTIONS(3519),
    [anon_sym_typeof] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_LPAREN] = ACTIONS(3519),
    [anon_sym_in] = ACTIONS(3517),
    [anon_sym_SEMI] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3519),
    [anon_sym_LT] = ACTIONS(3517),
    [anon_sym_GT] = ACTIONS(3517),
    [anon_sym_SLASH] = ACTIONS(3517),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_async] = ACTIONS(3517),
    [anon_sym_QMARK_DOT] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3519),
    [anon_sym_PIPE_PIPE] = ACTIONS(3519),
    [anon_sym_GT_GT] = ACTIONS(3517),
    [anon_sym_GT_GT_GT] = ACTIONS(3519),
    [anon_sym_LT_LT] = ACTIONS(3519),
    [anon_sym_AMP] = ACTIONS(3517),
    [anon_sym_CARET] = ACTIONS(3519),
    [anon_sym_PIPE] = ACTIONS(3517),
    [anon_sym_PLUS] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3517),
    [anon_sym_PERCENT] = ACTIONS(3519),
    [anon_sym_STAR_STAR] = ACTIONS(3519),
    [anon_sym_LT_EQ] = ACTIONS(3519),
    [anon_sym_EQ_EQ] = ACTIONS(3517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3519),
    [anon_sym_BANG_EQ] = ACTIONS(3517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3519),
    [anon_sym_GT_EQ] = ACTIONS(3519),
    [anon_sym_QMARK_QMARK] = ACTIONS(3519),
    [anon_sym_instanceof] = ACTIONS(3517),
    [anon_sym_void] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_DQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3519),
    [sym_number] = ACTIONS(3519),
    [sym_this] = ACTIONS(3517),
    [sym_true] = ACTIONS(3517),
    [sym_false] = ACTIONS(3517),
    [sym_null] = ACTIONS(3517),
    [sym_undefined] = ACTIONS(3517),
    [anon_sym_static] = ACTIONS(3517),
    [anon_sym_readonly] = ACTIONS(3517),
    [anon_sym_get] = ACTIONS(3517),
    [anon_sym_set] = ACTIONS(3517),
    [anon_sym_QMARK] = ACTIONS(3517),
    [anon_sym_any] = ACTIONS(3517),
    [anon_sym_number] = ACTIONS(3517),
    [anon_sym_boolean] = ACTIONS(3517),
    [anon_sym_string] = ACTIONS(3517),
    [anon_sym_symbol] = ACTIONS(3517),
    [anon_sym_abstract] = ACTIONS(3517),
    [anon_sym_satisfies] = ACTIONS(3517),
    [anon_sym_infer] = ACTIONS(3517),
    [anon_sym_keyof] = ACTIONS(3517),
    [anon_sym_unknown] = ACTIONS(3517),
    [anon_sym_never] = ACTIONS(3517),
    [anon_sym_object] = ACTIONS(3517),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3519),
    [anon_sym_constructor] = ACTIONS(3517),
    [anon_sym_prop] = ACTIONS(3517),
    [anon_sym_id] = ACTIONS(3517),
    [anon_sym_event] = ACTIONS(3517),
    [anon_sym_fn] = ACTIONS(3517),
    [anon_sym_on] = ACTIONS(3517),
    [sym__ternary_qmark] = ACTIONS(3519),
  },
  [1048] = {
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_STAR] = ACTIONS(3521),
    [anon_sym_as] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3521),
    [anon_sym_RBRACE] = ACTIONS(3523),
    [anon_sym_typeof] = ACTIONS(3521),
    [anon_sym_BANG] = ACTIONS(3521),
    [anon_sym_LPAREN] = ACTIONS(3523),
    [anon_sym_in] = ACTIONS(3521),
    [anon_sym_SEMI] = ACTIONS(3523),
    [anon_sym_LBRACK] = ACTIONS(3523),
    [anon_sym_LT] = ACTIONS(3521),
    [anon_sym_GT] = ACTIONS(3521),
    [anon_sym_SLASH] = ACTIONS(3521),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_async] = ACTIONS(3521),
    [anon_sym_QMARK_DOT] = ACTIONS(3523),
    [anon_sym_new] = ACTIONS(3521),
    [anon_sym_AMP_AMP] = ACTIONS(3523),
    [anon_sym_PIPE_PIPE] = ACTIONS(3523),
    [anon_sym_GT_GT] = ACTIONS(3521),
    [anon_sym_GT_GT_GT] = ACTIONS(3523),
    [anon_sym_LT_LT] = ACTIONS(3523),
    [anon_sym_AMP] = ACTIONS(3521),
    [anon_sym_CARET] = ACTIONS(3523),
    [anon_sym_PIPE] = ACTIONS(3521),
    [anon_sym_PLUS] = ACTIONS(3521),
    [anon_sym_DASH] = ACTIONS(3521),
    [anon_sym_PERCENT] = ACTIONS(3523),
    [anon_sym_STAR_STAR] = ACTIONS(3523),
    [anon_sym_LT_EQ] = ACTIONS(3523),
    [anon_sym_EQ_EQ] = ACTIONS(3521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3523),
    [anon_sym_BANG_EQ] = ACTIONS(3521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3523),
    [anon_sym_GT_EQ] = ACTIONS(3523),
    [anon_sym_QMARK_QMARK] = ACTIONS(3523),
    [anon_sym_instanceof] = ACTIONS(3521),
    [anon_sym_void] = ACTIONS(3521),
    [anon_sym_PLUS_PLUS] = ACTIONS(3523),
    [anon_sym_DASH_DASH] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [anon_sym_SQUOTE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3523),
    [sym_number] = ACTIONS(3523),
    [sym_this] = ACTIONS(3521),
    [sym_true] = ACTIONS(3521),
    [sym_false] = ACTIONS(3521),
    [sym_null] = ACTIONS(3521),
    [sym_undefined] = ACTIONS(3521),
    [anon_sym_static] = ACTIONS(3521),
    [anon_sym_readonly] = ACTIONS(3521),
    [anon_sym_get] = ACTIONS(3521),
    [anon_sym_set] = ACTIONS(3521),
    [anon_sym_QMARK] = ACTIONS(3521),
    [anon_sym_any] = ACTIONS(3521),
    [anon_sym_number] = ACTIONS(3521),
    [anon_sym_boolean] = ACTIONS(3521),
    [anon_sym_string] = ACTIONS(3521),
    [anon_sym_symbol] = ACTIONS(3521),
    [anon_sym_abstract] = ACTIONS(3521),
    [anon_sym_satisfies] = ACTIONS(3521),
    [anon_sym_infer] = ACTIONS(3521),
    [anon_sym_keyof] = ACTIONS(3521),
    [anon_sym_unknown] = ACTIONS(3521),
    [anon_sym_never] = ACTIONS(3521),
    [anon_sym_object] = ACTIONS(3521),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3523),
    [anon_sym_constructor] = ACTIONS(3521),
    [anon_sym_prop] = ACTIONS(3521),
    [anon_sym_id] = ACTIONS(3521),
    [anon_sym_event] = ACTIONS(3521),
    [anon_sym_fn] = ACTIONS(3521),
    [anon_sym_on] = ACTIONS(3521),
    [sym__ternary_qmark] = ACTIONS(3523),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_typeof] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_async] = ACTIONS(3044),
    [anon_sym_QMARK_DOT] = ACTIONS(3046),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_GT_GT] = ACTIONS(3044),
    [anon_sym_GT_GT_GT] = ACTIONS(3046),
    [anon_sym_LT_LT] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3046),
    [anon_sym_STAR_STAR] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_QMARK] = ACTIONS(3046),
    [anon_sym_instanceof] = ACTIONS(3044),
    [anon_sym_void] = ACTIONS(3044),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3046),
    [sym_number] = ACTIONS(3046),
    [sym_this] = ACTIONS(3044),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [sym_null] = ACTIONS(3044),
    [sym_undefined] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3044),
    [anon_sym_any] = ACTIONS(3044),
    [anon_sym_number] = ACTIONS(3044),
    [anon_sym_boolean] = ACTIONS(3044),
    [anon_sym_string] = ACTIONS(3044),
    [anon_sym_symbol] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_satisfies] = ACTIONS(3044),
    [anon_sym_infer] = ACTIONS(3044),
    [anon_sym_keyof] = ACTIONS(3044),
    [anon_sym_unknown] = ACTIONS(3044),
    [anon_sym_never] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3046),
    [anon_sym_constructor] = ACTIONS(3044),
    [anon_sym_prop] = ACTIONS(3044),
    [anon_sym_id] = ACTIONS(3044),
    [anon_sym_event] = ACTIONS(3044),
    [anon_sym_fn] = ACTIONS(3044),
    [anon_sym_on] = ACTIONS(3044),
    [sym__ternary_qmark] = ACTIONS(3046),
  },
  [1050] = {
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1626),
    [anon_sym_typeof] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_async] = ACTIONS(1622),
    [anon_sym_QMARK_DOT] = ACTIONS(1626),
    [anon_sym_new] = ACTIONS(1622),
    [anon_sym_AMP_AMP] = ACTIONS(1626),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1626),
    [anon_sym_STAR_STAR] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_EQ_EQ] = ACTIONS(1622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_QMARK_QMARK] = ACTIONS(1626),
    [anon_sym_instanceof] = ACTIONS(1622),
    [anon_sym_void] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1626),
    [anon_sym_DASH_DASH] = ACTIONS(1626),
    [anon_sym_DQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1626),
    [sym_number] = ACTIONS(1626),
    [sym_this] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [sym_null] = ACTIONS(1622),
    [sym_undefined] = ACTIONS(1622),
    [anon_sym_static] = ACTIONS(1622),
    [anon_sym_readonly] = ACTIONS(1622),
    [anon_sym_get] = ACTIONS(1622),
    [anon_sym_set] = ACTIONS(1622),
    [anon_sym_QMARK] = ACTIONS(1622),
    [anon_sym_any] = ACTIONS(1622),
    [anon_sym_number] = ACTIONS(1622),
    [anon_sym_boolean] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_symbol] = ACTIONS(1622),
    [anon_sym_abstract] = ACTIONS(1622),
    [anon_sym_satisfies] = ACTIONS(1622),
    [anon_sym_infer] = ACTIONS(1622),
    [anon_sym_keyof] = ACTIONS(1622),
    [anon_sym_unknown] = ACTIONS(1622),
    [anon_sym_never] = ACTIONS(1622),
    [anon_sym_object] = ACTIONS(1622),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1626),
    [anon_sym_constructor] = ACTIONS(1622),
    [anon_sym_prop] = ACTIONS(1622),
    [anon_sym_id] = ACTIONS(1622),
    [anon_sym_event] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym_on] = ACTIONS(1622),
    [sym__ternary_qmark] = ACTIONS(1626),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(3525),
    [anon_sym_STAR] = ACTIONS(3525),
    [anon_sym_as] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(3525),
    [anon_sym_RBRACE] = ACTIONS(3527),
    [anon_sym_typeof] = ACTIONS(3525),
    [anon_sym_BANG] = ACTIONS(3525),
    [anon_sym_LPAREN] = ACTIONS(3527),
    [anon_sym_in] = ACTIONS(3525),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3527),
    [anon_sym_LT] = ACTIONS(3525),
    [anon_sym_GT] = ACTIONS(3525),
    [anon_sym_SLASH] = ACTIONS(3525),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_async] = ACTIONS(3525),
    [anon_sym_QMARK_DOT] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3525),
    [anon_sym_AMP_AMP] = ACTIONS(3527),
    [anon_sym_PIPE_PIPE] = ACTIONS(3527),
    [anon_sym_GT_GT] = ACTIONS(3525),
    [anon_sym_GT_GT_GT] = ACTIONS(3527),
    [anon_sym_LT_LT] = ACTIONS(3527),
    [anon_sym_AMP] = ACTIONS(3525),
    [anon_sym_CARET] = ACTIONS(3527),
    [anon_sym_PIPE] = ACTIONS(3525),
    [anon_sym_PLUS] = ACTIONS(3525),
    [anon_sym_DASH] = ACTIONS(3525),
    [anon_sym_PERCENT] = ACTIONS(3527),
    [anon_sym_STAR_STAR] = ACTIONS(3527),
    [anon_sym_LT_EQ] = ACTIONS(3527),
    [anon_sym_EQ_EQ] = ACTIONS(3525),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3527),
    [anon_sym_BANG_EQ] = ACTIONS(3525),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3527),
    [anon_sym_GT_EQ] = ACTIONS(3527),
    [anon_sym_QMARK_QMARK] = ACTIONS(3527),
    [anon_sym_instanceof] = ACTIONS(3525),
    [anon_sym_void] = ACTIONS(3525),
    [anon_sym_PLUS_PLUS] = ACTIONS(3527),
    [anon_sym_DASH_DASH] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3527),
    [sym_number] = ACTIONS(3527),
    [sym_this] = ACTIONS(3525),
    [sym_true] = ACTIONS(3525),
    [sym_false] = ACTIONS(3525),
    [sym_null] = ACTIONS(3525),
    [sym_undefined] = ACTIONS(3525),
    [anon_sym_static] = ACTIONS(3525),
    [anon_sym_readonly] = ACTIONS(3525),
    [anon_sym_get] = ACTIONS(3525),
    [anon_sym_set] = ACTIONS(3525),
    [anon_sym_QMARK] = ACTIONS(3525),
    [anon_sym_any] = ACTIONS(3525),
    [anon_sym_number] = ACTIONS(3525),
    [anon_sym_boolean] = ACTIONS(3525),
    [anon_sym_string] = ACTIONS(3525),
    [anon_sym_symbol] = ACTIONS(3525),
    [anon_sym_abstract] = ACTIONS(3525),
    [anon_sym_satisfies] = ACTIONS(3525),
    [anon_sym_infer] = ACTIONS(3525),
    [anon_sym_keyof] = ACTIONS(3525),
    [anon_sym_unknown] = ACTIONS(3525),
    [anon_sym_never] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(3525),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3527),
    [anon_sym_constructor] = ACTIONS(3525),
    [anon_sym_prop] = ACTIONS(3525),
    [anon_sym_id] = ACTIONS(3525),
    [anon_sym_event] = ACTIONS(3525),
    [anon_sym_fn] = ACTIONS(3525),
    [anon_sym_on] = ACTIONS(3525),
    [sym__ternary_qmark] = ACTIONS(3527),
  },
  [1052] = {
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1730),
    [anon_sym_as] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_async] = ACTIONS(1730),
    [anon_sym_QMARK_DOT] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_AMP_AMP] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1734),
    [anon_sym_GT_GT] = ACTIONS(1730),
    [anon_sym_GT_GT_GT] = ACTIONS(1734),
    [anon_sym_LT_LT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_STAR_STAR] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1734),
    [anon_sym_EQ_EQ] = ACTIONS(1730),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1734),
    [anon_sym_BANG_EQ] = ACTIONS(1730),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1734),
    [anon_sym_QMARK_QMARK] = ACTIONS(1734),
    [anon_sym_instanceof] = ACTIONS(1730),
    [anon_sym_void] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_this] = ACTIONS(1730),
    [sym_true] = ACTIONS(1730),
    [sym_false] = ACTIONS(1730),
    [sym_null] = ACTIONS(1730),
    [sym_undefined] = ACTIONS(1730),
    [anon_sym_static] = ACTIONS(1730),
    [anon_sym_readonly] = ACTIONS(1730),
    [anon_sym_get] = ACTIONS(1730),
    [anon_sym_set] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1730),
    [anon_sym_any] = ACTIONS(1730),
    [anon_sym_number] = ACTIONS(1730),
    [anon_sym_boolean] = ACTIONS(1730),
    [anon_sym_string] = ACTIONS(1730),
    [anon_sym_symbol] = ACTIONS(1730),
    [anon_sym_abstract] = ACTIONS(1730),
    [anon_sym_satisfies] = ACTIONS(1730),
    [anon_sym_infer] = ACTIONS(1730),
    [anon_sym_keyof] = ACTIONS(1730),
    [anon_sym_unknown] = ACTIONS(1730),
    [anon_sym_never] = ACTIONS(1730),
    [anon_sym_object] = ACTIONS(1730),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1734),
    [anon_sym_constructor] = ACTIONS(1730),
    [anon_sym_prop] = ACTIONS(1730),
    [anon_sym_id] = ACTIONS(1730),
    [anon_sym_event] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1730),
    [anon_sym_on] = ACTIONS(1730),
    [sym__ternary_qmark] = ACTIONS(1734),
  },
  [1053] = {
    [sym_identifier] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1646),
    [anon_sym_as] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1646),
    [anon_sym_BANG] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_in] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_DOT] = ACTIONS(1646),
    [anon_sym_async] = ACTIONS(1646),
    [anon_sym_QMARK_DOT] = ACTIONS(1650),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_AMP_AMP] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1650),
    [anon_sym_GT_GT] = ACTIONS(1646),
    [anon_sym_GT_GT_GT] = ACTIONS(1650),
    [anon_sym_LT_LT] = ACTIONS(1650),
    [anon_sym_AMP] = ACTIONS(1646),
    [anon_sym_CARET] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_PERCENT] = ACTIONS(1650),
    [anon_sym_STAR_STAR] = ACTIONS(1650),
    [anon_sym_LT_EQ] = ACTIONS(1650),
    [anon_sym_EQ_EQ] = ACTIONS(1646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1650),
    [anon_sym_BANG_EQ] = ACTIONS(1646),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1650),
    [anon_sym_GT_EQ] = ACTIONS(1650),
    [anon_sym_QMARK_QMARK] = ACTIONS(1650),
    [anon_sym_instanceof] = ACTIONS(1646),
    [anon_sym_void] = ACTIONS(1646),
    [anon_sym_PLUS_PLUS] = ACTIONS(1650),
    [anon_sym_DASH_DASH] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(1650),
    [anon_sym_SQUOTE] = ACTIONS(1650),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1650),
    [sym_number] = ACTIONS(1650),
    [sym_this] = ACTIONS(1646),
    [sym_true] = ACTIONS(1646),
    [sym_false] = ACTIONS(1646),
    [sym_null] = ACTIONS(1646),
    [sym_undefined] = ACTIONS(1646),
    [anon_sym_static] = ACTIONS(1646),
    [anon_sym_readonly] = ACTIONS(1646),
    [anon_sym_get] = ACTIONS(1646),
    [anon_sym_set] = ACTIONS(1646),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_any] = ACTIONS(1646),
    [anon_sym_number] = ACTIONS(1646),
    [anon_sym_boolean] = ACTIONS(1646),
    [anon_sym_string] = ACTIONS(1646),
    [anon_sym_symbol] = ACTIONS(1646),
    [anon_sym_abstract] = ACTIONS(1646),
    [anon_sym_satisfies] = ACTIONS(1646),
    [anon_sym_infer] = ACTIONS(1646),
    [anon_sym_keyof] = ACTIONS(1646),
    [anon_sym_unknown] = ACTIONS(1646),
    [anon_sym_never] = ACTIONS(1646),
    [anon_sym_object] = ACTIONS(1646),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1650),
    [anon_sym_constructor] = ACTIONS(1646),
    [anon_sym_prop] = ACTIONS(1646),
    [anon_sym_id] = ACTIONS(1646),
    [anon_sym_event] = ACTIONS(1646),
    [anon_sym_fn] = ACTIONS(1646),
    [anon_sym_on] = ACTIONS(1646),
    [sym__ternary_qmark] = ACTIONS(1650),
  },
  [1054] = {
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_typeof] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1410),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_QMARK_DOT] = ACTIONS(1414),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_GT_GT_GT] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_STAR_STAR] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_QMARK_QMARK] = ACTIONS(1414),
    [anon_sym_instanceof] = ACTIONS(1410),
    [anon_sym_void] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [sym_number] = ACTIONS(1414),
    [sym_this] = ACTIONS(1410),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [sym_null] = ACTIONS(1410),
    [sym_undefined] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_readonly] = ACTIONS(1410),
    [anon_sym_get] = ACTIONS(1410),
    [anon_sym_set] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_any] = ACTIONS(1410),
    [anon_sym_number] = ACTIONS(1410),
    [anon_sym_boolean] = ACTIONS(1410),
    [anon_sym_string] = ACTIONS(1410),
    [anon_sym_symbol] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1410),
    [anon_sym_satisfies] = ACTIONS(1410),
    [anon_sym_infer] = ACTIONS(1410),
    [anon_sym_keyof] = ACTIONS(1410),
    [anon_sym_unknown] = ACTIONS(1410),
    [anon_sym_never] = ACTIONS(1410),
    [anon_sym_object] = ACTIONS(1410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1414),
    [anon_sym_constructor] = ACTIONS(1410),
    [anon_sym_prop] = ACTIONS(1410),
    [anon_sym_id] = ACTIONS(1410),
    [anon_sym_event] = ACTIONS(1410),
    [anon_sym_fn] = ACTIONS(1410),
    [anon_sym_on] = ACTIONS(1410),
    [sym__ternary_qmark] = ACTIONS(1414),
  },
  [1055] = {
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_STAR] = ACTIONS(3529),
    [anon_sym_as] = ACTIONS(3529),
    [anon_sym_LBRACE] = ACTIONS(3529),
    [anon_sym_RBRACE] = ACTIONS(3531),
    [anon_sym_typeof] = ACTIONS(3529),
    [anon_sym_BANG] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(3531),
    [anon_sym_in] = ACTIONS(3529),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3531),
    [anon_sym_LT] = ACTIONS(3529),
    [anon_sym_GT] = ACTIONS(3529),
    [anon_sym_SLASH] = ACTIONS(3529),
    [anon_sym_DOT] = ACTIONS(3529),
    [anon_sym_async] = ACTIONS(3529),
    [anon_sym_QMARK_DOT] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3529),
    [anon_sym_AMP_AMP] = ACTIONS(3531),
    [anon_sym_PIPE_PIPE] = ACTIONS(3531),
    [anon_sym_GT_GT] = ACTIONS(3529),
    [anon_sym_GT_GT_GT] = ACTIONS(3531),
    [anon_sym_LT_LT] = ACTIONS(3531),
    [anon_sym_AMP] = ACTIONS(3529),
    [anon_sym_CARET] = ACTIONS(3531),
    [anon_sym_PIPE] = ACTIONS(3529),
    [anon_sym_PLUS] = ACTIONS(3529),
    [anon_sym_DASH] = ACTIONS(3529),
    [anon_sym_PERCENT] = ACTIONS(3531),
    [anon_sym_STAR_STAR] = ACTIONS(3531),
    [anon_sym_LT_EQ] = ACTIONS(3531),
    [anon_sym_EQ_EQ] = ACTIONS(3529),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3531),
    [anon_sym_BANG_EQ] = ACTIONS(3529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3531),
    [anon_sym_GT_EQ] = ACTIONS(3531),
    [anon_sym_QMARK_QMARK] = ACTIONS(3531),
    [anon_sym_instanceof] = ACTIONS(3529),
    [anon_sym_void] = ACTIONS(3529),
    [anon_sym_PLUS_PLUS] = ACTIONS(3531),
    [anon_sym_DASH_DASH] = ACTIONS(3531),
    [anon_sym_DQUOTE] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(3531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3531),
    [sym_number] = ACTIONS(3531),
    [sym_this] = ACTIONS(3529),
    [sym_true] = ACTIONS(3529),
    [sym_false] = ACTIONS(3529),
    [sym_null] = ACTIONS(3529),
    [sym_undefined] = ACTIONS(3529),
    [anon_sym_static] = ACTIONS(3529),
    [anon_sym_readonly] = ACTIONS(3529),
    [anon_sym_get] = ACTIONS(3529),
    [anon_sym_set] = ACTIONS(3529),
    [anon_sym_QMARK] = ACTIONS(3529),
    [anon_sym_any] = ACTIONS(3529),
    [anon_sym_number] = ACTIONS(3529),
    [anon_sym_boolean] = ACTIONS(3529),
    [anon_sym_string] = ACTIONS(3529),
    [anon_sym_symbol] = ACTIONS(3529),
    [anon_sym_abstract] = ACTIONS(3529),
    [anon_sym_satisfies] = ACTIONS(3529),
    [anon_sym_infer] = ACTIONS(3529),
    [anon_sym_keyof] = ACTIONS(3529),
    [anon_sym_unknown] = ACTIONS(3529),
    [anon_sym_never] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(3529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3531),
    [anon_sym_constructor] = ACTIONS(3529),
    [anon_sym_prop] = ACTIONS(3529),
    [anon_sym_id] = ACTIONS(3529),
    [anon_sym_event] = ACTIONS(3529),
    [anon_sym_fn] = ACTIONS(3529),
    [anon_sym_on] = ACTIONS(3529),
    [sym__ternary_qmark] = ACTIONS(3531),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(3533),
    [anon_sym_STAR] = ACTIONS(3533),
    [anon_sym_as] = ACTIONS(3533),
    [anon_sym_LBRACE] = ACTIONS(3533),
    [anon_sym_RBRACE] = ACTIONS(3535),
    [anon_sym_typeof] = ACTIONS(3533),
    [anon_sym_BANG] = ACTIONS(3533),
    [anon_sym_LPAREN] = ACTIONS(3535),
    [anon_sym_in] = ACTIONS(3533),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3535),
    [anon_sym_LT] = ACTIONS(3533),
    [anon_sym_GT] = ACTIONS(3533),
    [anon_sym_SLASH] = ACTIONS(3533),
    [anon_sym_DOT] = ACTIONS(3533),
    [anon_sym_async] = ACTIONS(3533),
    [anon_sym_QMARK_DOT] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3533),
    [anon_sym_AMP_AMP] = ACTIONS(3535),
    [anon_sym_PIPE_PIPE] = ACTIONS(3535),
    [anon_sym_GT_GT] = ACTIONS(3533),
    [anon_sym_GT_GT_GT] = ACTIONS(3535),
    [anon_sym_LT_LT] = ACTIONS(3535),
    [anon_sym_AMP] = ACTIONS(3533),
    [anon_sym_CARET] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3533),
    [anon_sym_PLUS] = ACTIONS(3533),
    [anon_sym_DASH] = ACTIONS(3533),
    [anon_sym_PERCENT] = ACTIONS(3535),
    [anon_sym_STAR_STAR] = ACTIONS(3535),
    [anon_sym_LT_EQ] = ACTIONS(3535),
    [anon_sym_EQ_EQ] = ACTIONS(3533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3535),
    [anon_sym_BANG_EQ] = ACTIONS(3533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3535),
    [anon_sym_GT_EQ] = ACTIONS(3535),
    [anon_sym_QMARK_QMARK] = ACTIONS(3535),
    [anon_sym_instanceof] = ACTIONS(3533),
    [anon_sym_void] = ACTIONS(3533),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_DQUOTE] = ACTIONS(3535),
    [anon_sym_SQUOTE] = ACTIONS(3535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3535),
    [sym_number] = ACTIONS(3535),
    [sym_this] = ACTIONS(3533),
    [sym_true] = ACTIONS(3533),
    [sym_false] = ACTIONS(3533),
    [sym_null] = ACTIONS(3533),
    [sym_undefined] = ACTIONS(3533),
    [anon_sym_static] = ACTIONS(3533),
    [anon_sym_readonly] = ACTIONS(3533),
    [anon_sym_get] = ACTIONS(3533),
    [anon_sym_set] = ACTIONS(3533),
    [anon_sym_QMARK] = ACTIONS(3533),
    [anon_sym_any] = ACTIONS(3533),
    [anon_sym_number] = ACTIONS(3533),
    [anon_sym_boolean] = ACTIONS(3533),
    [anon_sym_string] = ACTIONS(3533),
    [anon_sym_symbol] = ACTIONS(3533),
    [anon_sym_abstract] = ACTIONS(3533),
    [anon_sym_satisfies] = ACTIONS(3533),
    [anon_sym_infer] = ACTIONS(3533),
    [anon_sym_keyof] = ACTIONS(3533),
    [anon_sym_unknown] = ACTIONS(3533),
    [anon_sym_never] = ACTIONS(3533),
    [anon_sym_object] = ACTIONS(3533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3535),
    [anon_sym_constructor] = ACTIONS(3533),
    [anon_sym_prop] = ACTIONS(3533),
    [anon_sym_id] = ACTIONS(3533),
    [anon_sym_event] = ACTIONS(3533),
    [anon_sym_fn] = ACTIONS(3533),
    [anon_sym_on] = ACTIONS(3533),
    [sym__ternary_qmark] = ACTIONS(3535),
  },
  [1057] = {
    [sym_identifier] = ACTIONS(3537),
    [anon_sym_STAR] = ACTIONS(3537),
    [anon_sym_as] = ACTIONS(3537),
    [anon_sym_LBRACE] = ACTIONS(3537),
    [anon_sym_RBRACE] = ACTIONS(3539),
    [anon_sym_typeof] = ACTIONS(3537),
    [anon_sym_BANG] = ACTIONS(3537),
    [anon_sym_LPAREN] = ACTIONS(3539),
    [anon_sym_in] = ACTIONS(3537),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3539),
    [anon_sym_LT] = ACTIONS(3537),
    [anon_sym_GT] = ACTIONS(3537),
    [anon_sym_SLASH] = ACTIONS(3537),
    [anon_sym_DOT] = ACTIONS(3537),
    [anon_sym_async] = ACTIONS(3537),
    [anon_sym_QMARK_DOT] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3537),
    [anon_sym_AMP_AMP] = ACTIONS(3539),
    [anon_sym_PIPE_PIPE] = ACTIONS(3539),
    [anon_sym_GT_GT] = ACTIONS(3537),
    [anon_sym_GT_GT_GT] = ACTIONS(3539),
    [anon_sym_LT_LT] = ACTIONS(3539),
    [anon_sym_AMP] = ACTIONS(3537),
    [anon_sym_CARET] = ACTIONS(3539),
    [anon_sym_PIPE] = ACTIONS(3537),
    [anon_sym_PLUS] = ACTIONS(3537),
    [anon_sym_DASH] = ACTIONS(3537),
    [anon_sym_PERCENT] = ACTIONS(3539),
    [anon_sym_STAR_STAR] = ACTIONS(3539),
    [anon_sym_LT_EQ] = ACTIONS(3539),
    [anon_sym_EQ_EQ] = ACTIONS(3537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3539),
    [anon_sym_BANG_EQ] = ACTIONS(3537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3539),
    [anon_sym_GT_EQ] = ACTIONS(3539),
    [anon_sym_QMARK_QMARK] = ACTIONS(3539),
    [anon_sym_instanceof] = ACTIONS(3537),
    [anon_sym_void] = ACTIONS(3537),
    [anon_sym_PLUS_PLUS] = ACTIONS(3539),
    [anon_sym_DASH_DASH] = ACTIONS(3539),
    [anon_sym_DQUOTE] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3539),
    [sym_number] = ACTIONS(3539),
    [sym_this] = ACTIONS(3537),
    [sym_true] = ACTIONS(3537),
    [sym_false] = ACTIONS(3537),
    [sym_null] = ACTIONS(3537),
    [sym_undefined] = ACTIONS(3537),
    [anon_sym_static] = ACTIONS(3537),
    [anon_sym_readonly] = ACTIONS(3537),
    [anon_sym_get] = ACTIONS(3537),
    [anon_sym_set] = ACTIONS(3537),
    [anon_sym_QMARK] = ACTIONS(3537),
    [anon_sym_any] = ACTIONS(3537),
    [anon_sym_number] = ACTIONS(3537),
    [anon_sym_boolean] = ACTIONS(3537),
    [anon_sym_string] = ACTIONS(3537),
    [anon_sym_symbol] = ACTIONS(3537),
    [anon_sym_abstract] = ACTIONS(3537),
    [anon_sym_satisfies] = ACTIONS(3537),
    [anon_sym_infer] = ACTIONS(3537),
    [anon_sym_keyof] = ACTIONS(3537),
    [anon_sym_unknown] = ACTIONS(3537),
    [anon_sym_never] = ACTIONS(3537),
    [anon_sym_object] = ACTIONS(3537),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3539),
    [anon_sym_constructor] = ACTIONS(3537),
    [anon_sym_prop] = ACTIONS(3537),
    [anon_sym_id] = ACTIONS(3537),
    [anon_sym_event] = ACTIONS(3537),
    [anon_sym_fn] = ACTIONS(3537),
    [anon_sym_on] = ACTIONS(3537),
    [sym__ternary_qmark] = ACTIONS(3539),
  },
  [1058] = {
    [sym_identifier] = ACTIONS(3541),
    [anon_sym_STAR] = ACTIONS(3541),
    [anon_sym_as] = ACTIONS(3541),
    [anon_sym_LBRACE] = ACTIONS(3541),
    [anon_sym_RBRACE] = ACTIONS(3543),
    [anon_sym_typeof] = ACTIONS(3541),
    [anon_sym_BANG] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(3543),
    [anon_sym_in] = ACTIONS(3541),
    [anon_sym_SEMI] = ACTIONS(3543),
    [anon_sym_LBRACK] = ACTIONS(3543),
    [anon_sym_LT] = ACTIONS(3541),
    [anon_sym_GT] = ACTIONS(3541),
    [anon_sym_SLASH] = ACTIONS(3541),
    [anon_sym_DOT] = ACTIONS(3541),
    [anon_sym_async] = ACTIONS(3541),
    [anon_sym_QMARK_DOT] = ACTIONS(3543),
    [anon_sym_new] = ACTIONS(3541),
    [anon_sym_AMP_AMP] = ACTIONS(3543),
    [anon_sym_PIPE_PIPE] = ACTIONS(3543),
    [anon_sym_GT_GT] = ACTIONS(3541),
    [anon_sym_GT_GT_GT] = ACTIONS(3543),
    [anon_sym_LT_LT] = ACTIONS(3543),
    [anon_sym_AMP] = ACTIONS(3541),
    [anon_sym_CARET] = ACTIONS(3543),
    [anon_sym_PIPE] = ACTIONS(3541),
    [anon_sym_PLUS] = ACTIONS(3541),
    [anon_sym_DASH] = ACTIONS(3541),
    [anon_sym_PERCENT] = ACTIONS(3543),
    [anon_sym_STAR_STAR] = ACTIONS(3543),
    [anon_sym_LT_EQ] = ACTIONS(3543),
    [anon_sym_EQ_EQ] = ACTIONS(3541),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3543),
    [anon_sym_BANG_EQ] = ACTIONS(3541),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3543),
    [anon_sym_GT_EQ] = ACTIONS(3543),
    [anon_sym_QMARK_QMARK] = ACTIONS(3543),
    [anon_sym_instanceof] = ACTIONS(3541),
    [anon_sym_void] = ACTIONS(3541),
    [anon_sym_PLUS_PLUS] = ACTIONS(3543),
    [anon_sym_DASH_DASH] = ACTIONS(3543),
    [anon_sym_DQUOTE] = ACTIONS(3543),
    [anon_sym_SQUOTE] = ACTIONS(3543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3543),
    [sym_number] = ACTIONS(3543),
    [sym_this] = ACTIONS(3541),
    [sym_true] = ACTIONS(3541),
    [sym_false] = ACTIONS(3541),
    [sym_null] = ACTIONS(3541),
    [sym_undefined] = ACTIONS(3541),
    [anon_sym_static] = ACTIONS(3541),
    [anon_sym_readonly] = ACTIONS(3541),
    [anon_sym_get] = ACTIONS(3541),
    [anon_sym_set] = ACTIONS(3541),
    [anon_sym_QMARK] = ACTIONS(3541),
    [anon_sym_any] = ACTIONS(3541),
    [anon_sym_number] = ACTIONS(3541),
    [anon_sym_boolean] = ACTIONS(3541),
    [anon_sym_string] = ACTIONS(3541),
    [anon_sym_symbol] = ACTIONS(3541),
    [anon_sym_abstract] = ACTIONS(3541),
    [anon_sym_satisfies] = ACTIONS(3541),
    [anon_sym_infer] = ACTIONS(3541),
    [anon_sym_keyof] = ACTIONS(3541),
    [anon_sym_unknown] = ACTIONS(3541),
    [anon_sym_never] = ACTIONS(3541),
    [anon_sym_object] = ACTIONS(3541),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3543),
    [anon_sym_constructor] = ACTIONS(3541),
    [anon_sym_prop] = ACTIONS(3541),
    [anon_sym_id] = ACTIONS(3541),
    [anon_sym_event] = ACTIONS(3541),
    [anon_sym_fn] = ACTIONS(3541),
    [anon_sym_on] = ACTIONS(3541),
    [sym__ternary_qmark] = ACTIONS(3543),
  },
  [1059] = {
    [sym_identifier] = ACTIONS(3545),
    [anon_sym_STAR] = ACTIONS(3545),
    [anon_sym_as] = ACTIONS(3545),
    [anon_sym_LBRACE] = ACTIONS(3545),
    [anon_sym_RBRACE] = ACTIONS(3547),
    [anon_sym_typeof] = ACTIONS(3545),
    [anon_sym_BANG] = ACTIONS(3545),
    [anon_sym_LPAREN] = ACTIONS(3547),
    [anon_sym_in] = ACTIONS(3545),
    [anon_sym_SEMI] = ACTIONS(3547),
    [anon_sym_LBRACK] = ACTIONS(3547),
    [anon_sym_LT] = ACTIONS(3545),
    [anon_sym_GT] = ACTIONS(3545),
    [anon_sym_SLASH] = ACTIONS(3545),
    [anon_sym_DOT] = ACTIONS(3545),
    [anon_sym_async] = ACTIONS(3545),
    [anon_sym_QMARK_DOT] = ACTIONS(3547),
    [anon_sym_new] = ACTIONS(3545),
    [anon_sym_AMP_AMP] = ACTIONS(3547),
    [anon_sym_PIPE_PIPE] = ACTIONS(3547),
    [anon_sym_GT_GT] = ACTIONS(3545),
    [anon_sym_GT_GT_GT] = ACTIONS(3547),
    [anon_sym_LT_LT] = ACTIONS(3547),
    [anon_sym_AMP] = ACTIONS(3545),
    [anon_sym_CARET] = ACTIONS(3547),
    [anon_sym_PIPE] = ACTIONS(3545),
    [anon_sym_PLUS] = ACTIONS(3545),
    [anon_sym_DASH] = ACTIONS(3545),
    [anon_sym_PERCENT] = ACTIONS(3547),
    [anon_sym_STAR_STAR] = ACTIONS(3547),
    [anon_sym_LT_EQ] = ACTIONS(3547),
    [anon_sym_EQ_EQ] = ACTIONS(3545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3547),
    [anon_sym_BANG_EQ] = ACTIONS(3545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3547),
    [anon_sym_GT_EQ] = ACTIONS(3547),
    [anon_sym_QMARK_QMARK] = ACTIONS(3547),
    [anon_sym_instanceof] = ACTIONS(3545),
    [anon_sym_void] = ACTIONS(3545),
    [anon_sym_PLUS_PLUS] = ACTIONS(3547),
    [anon_sym_DASH_DASH] = ACTIONS(3547),
    [anon_sym_DQUOTE] = ACTIONS(3547),
    [anon_sym_SQUOTE] = ACTIONS(3547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3547),
    [sym_number] = ACTIONS(3547),
    [sym_this] = ACTIONS(3545),
    [sym_true] = ACTIONS(3545),
    [sym_false] = ACTIONS(3545),
    [sym_null] = ACTIONS(3545),
    [sym_undefined] = ACTIONS(3545),
    [anon_sym_static] = ACTIONS(3545),
    [anon_sym_readonly] = ACTIONS(3545),
    [anon_sym_get] = ACTIONS(3545),
    [anon_sym_set] = ACTIONS(3545),
    [anon_sym_QMARK] = ACTIONS(3545),
    [anon_sym_any] = ACTIONS(3545),
    [anon_sym_number] = ACTIONS(3545),
    [anon_sym_boolean] = ACTIONS(3545),
    [anon_sym_string] = ACTIONS(3545),
    [anon_sym_symbol] = ACTIONS(3545),
    [anon_sym_abstract] = ACTIONS(3545),
    [anon_sym_satisfies] = ACTIONS(3545),
    [anon_sym_infer] = ACTIONS(3545),
    [anon_sym_keyof] = ACTIONS(3545),
    [anon_sym_unknown] = ACTIONS(3545),
    [anon_sym_never] = ACTIONS(3545),
    [anon_sym_object] = ACTIONS(3545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3547),
    [anon_sym_constructor] = ACTIONS(3545),
    [anon_sym_prop] = ACTIONS(3545),
    [anon_sym_id] = ACTIONS(3545),
    [anon_sym_event] = ACTIONS(3545),
    [anon_sym_fn] = ACTIONS(3545),
    [anon_sym_on] = ACTIONS(3545),
    [sym__ternary_qmark] = ACTIONS(3547),
  },
  [1060] = {
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_as] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_typeof] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_in] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_QMARK_DOT] = ACTIONS(1632),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_AMP_AMP] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_GT_GT_GT] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1632),
    [anon_sym_STAR_STAR] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_EQ_EQ] = ACTIONS(1630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_QMARK_QMARK] = ACTIONS(1632),
    [anon_sym_instanceof] = ACTIONS(1630),
    [anon_sym_void] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [sym_number] = ACTIONS(1632),
    [sym_this] = ACTIONS(1630),
    [sym_true] = ACTIONS(1630),
    [sym_false] = ACTIONS(1630),
    [sym_null] = ACTIONS(1630),
    [sym_undefined] = ACTIONS(1630),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_QMARK] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_abstract] = ACTIONS(1630),
    [anon_sym_satisfies] = ACTIONS(1630),
    [anon_sym_infer] = ACTIONS(1630),
    [anon_sym_keyof] = ACTIONS(1630),
    [anon_sym_unknown] = ACTIONS(1630),
    [anon_sym_never] = ACTIONS(1630),
    [anon_sym_object] = ACTIONS(1630),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1632),
    [anon_sym_constructor] = ACTIONS(1630),
    [anon_sym_prop] = ACTIONS(1630),
    [anon_sym_id] = ACTIONS(1630),
    [anon_sym_event] = ACTIONS(1630),
    [anon_sym_fn] = ACTIONS(1630),
    [anon_sym_on] = ACTIONS(1630),
    [sym__ternary_qmark] = ACTIONS(1632),
  },
  [1061] = {
    [sym_identifier] = ACTIONS(3549),
    [anon_sym_STAR] = ACTIONS(3549),
    [anon_sym_as] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(3549),
    [anon_sym_RBRACE] = ACTIONS(3551),
    [anon_sym_typeof] = ACTIONS(3549),
    [anon_sym_BANG] = ACTIONS(3549),
    [anon_sym_LPAREN] = ACTIONS(3551),
    [anon_sym_in] = ACTIONS(3549),
    [anon_sym_SEMI] = ACTIONS(3551),
    [anon_sym_LBRACK] = ACTIONS(3551),
    [anon_sym_LT] = ACTIONS(3549),
    [anon_sym_GT] = ACTIONS(3549),
    [anon_sym_SLASH] = ACTIONS(3549),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_async] = ACTIONS(3549),
    [anon_sym_QMARK_DOT] = ACTIONS(3551),
    [anon_sym_new] = ACTIONS(3549),
    [anon_sym_AMP_AMP] = ACTIONS(3551),
    [anon_sym_PIPE_PIPE] = ACTIONS(3551),
    [anon_sym_GT_GT] = ACTIONS(3549),
    [anon_sym_GT_GT_GT] = ACTIONS(3551),
    [anon_sym_LT_LT] = ACTIONS(3551),
    [anon_sym_AMP] = ACTIONS(3549),
    [anon_sym_CARET] = ACTIONS(3551),
    [anon_sym_PIPE] = ACTIONS(3549),
    [anon_sym_PLUS] = ACTIONS(3549),
    [anon_sym_DASH] = ACTIONS(3549),
    [anon_sym_PERCENT] = ACTIONS(3551),
    [anon_sym_STAR_STAR] = ACTIONS(3551),
    [anon_sym_LT_EQ] = ACTIONS(3551),
    [anon_sym_EQ_EQ] = ACTIONS(3549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3551),
    [anon_sym_BANG_EQ] = ACTIONS(3549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3551),
    [anon_sym_GT_EQ] = ACTIONS(3551),
    [anon_sym_QMARK_QMARK] = ACTIONS(3551),
    [anon_sym_instanceof] = ACTIONS(3549),
    [anon_sym_void] = ACTIONS(3549),
    [anon_sym_PLUS_PLUS] = ACTIONS(3551),
    [anon_sym_DASH_DASH] = ACTIONS(3551),
    [anon_sym_DQUOTE] = ACTIONS(3551),
    [anon_sym_SQUOTE] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3551),
    [sym_number] = ACTIONS(3551),
    [sym_this] = ACTIONS(3549),
    [sym_true] = ACTIONS(3549),
    [sym_false] = ACTIONS(3549),
    [sym_null] = ACTIONS(3549),
    [sym_undefined] = ACTIONS(3549),
    [anon_sym_static] = ACTIONS(3549),
    [anon_sym_readonly] = ACTIONS(3549),
    [anon_sym_get] = ACTIONS(3549),
    [anon_sym_set] = ACTIONS(3549),
    [anon_sym_QMARK] = ACTIONS(3549),
    [anon_sym_any] = ACTIONS(3549),
    [anon_sym_number] = ACTIONS(3549),
    [anon_sym_boolean] = ACTIONS(3549),
    [anon_sym_string] = ACTIONS(3549),
    [anon_sym_symbol] = ACTIONS(3549),
    [anon_sym_abstract] = ACTIONS(3549),
    [anon_sym_satisfies] = ACTIONS(3549),
    [anon_sym_infer] = ACTIONS(3549),
    [anon_sym_keyof] = ACTIONS(3549),
    [anon_sym_unknown] = ACTIONS(3549),
    [anon_sym_never] = ACTIONS(3549),
    [anon_sym_object] = ACTIONS(3549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3551),
    [anon_sym_constructor] = ACTIONS(3549),
    [anon_sym_prop] = ACTIONS(3549),
    [anon_sym_id] = ACTIONS(3549),
    [anon_sym_event] = ACTIONS(3549),
    [anon_sym_fn] = ACTIONS(3549),
    [anon_sym_on] = ACTIONS(3549),
    [sym__ternary_qmark] = ACTIONS(3551),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [anon_sym_typeof] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_in] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_async] = ACTIONS(1548),
    [anon_sym_QMARK_DOT] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1552),
    [anon_sym_PIPE_PIPE] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_GT_GT_GT] = ACTIONS(1552),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_void] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [sym_number] = ACTIONS(1552),
    [sym_this] = ACTIONS(1548),
    [sym_true] = ACTIONS(1548),
    [sym_false] = ACTIONS(1548),
    [sym_null] = ACTIONS(1548),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_abstract] = ACTIONS(1548),
    [anon_sym_satisfies] = ACTIONS(1548),
    [anon_sym_infer] = ACTIONS(1548),
    [anon_sym_keyof] = ACTIONS(1548),
    [anon_sym_unknown] = ACTIONS(1548),
    [anon_sym_never] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1552),
    [anon_sym_constructor] = ACTIONS(1548),
    [anon_sym_prop] = ACTIONS(1548),
    [anon_sym_id] = ACTIONS(1548),
    [anon_sym_event] = ACTIONS(1548),
    [anon_sym_fn] = ACTIONS(1548),
    [anon_sym_on] = ACTIONS(1548),
    [sym__ternary_qmark] = ACTIONS(1552),
  },
  [1063] = {
    [sym_identifier] = ACTIONS(3553),
    [anon_sym_STAR] = ACTIONS(3553),
    [anon_sym_as] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3553),
    [anon_sym_RBRACE] = ACTIONS(3555),
    [anon_sym_typeof] = ACTIONS(3553),
    [anon_sym_BANG] = ACTIONS(3553),
    [anon_sym_LPAREN] = ACTIONS(3555),
    [anon_sym_in] = ACTIONS(3553),
    [anon_sym_SEMI] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3555),
    [anon_sym_LT] = ACTIONS(3553),
    [anon_sym_GT] = ACTIONS(3553),
    [anon_sym_SLASH] = ACTIONS(3553),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_async] = ACTIONS(3553),
    [anon_sym_QMARK_DOT] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3553),
    [anon_sym_AMP_AMP] = ACTIONS(3555),
    [anon_sym_PIPE_PIPE] = ACTIONS(3555),
    [anon_sym_GT_GT] = ACTIONS(3553),
    [anon_sym_GT_GT_GT] = ACTIONS(3555),
    [anon_sym_LT_LT] = ACTIONS(3555),
    [anon_sym_AMP] = ACTIONS(3553),
    [anon_sym_CARET] = ACTIONS(3555),
    [anon_sym_PIPE] = ACTIONS(3553),
    [anon_sym_PLUS] = ACTIONS(3553),
    [anon_sym_DASH] = ACTIONS(3553),
    [anon_sym_PERCENT] = ACTIONS(3555),
    [anon_sym_STAR_STAR] = ACTIONS(3555),
    [anon_sym_LT_EQ] = ACTIONS(3555),
    [anon_sym_EQ_EQ] = ACTIONS(3553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3555),
    [anon_sym_BANG_EQ] = ACTIONS(3553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3555),
    [anon_sym_GT_EQ] = ACTIONS(3555),
    [anon_sym_QMARK_QMARK] = ACTIONS(3555),
    [anon_sym_instanceof] = ACTIONS(3553),
    [anon_sym_void] = ACTIONS(3553),
    [anon_sym_PLUS_PLUS] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(3555),
    [anon_sym_DQUOTE] = ACTIONS(3555),
    [anon_sym_SQUOTE] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3555),
    [sym_number] = ACTIONS(3555),
    [sym_this] = ACTIONS(3553),
    [sym_true] = ACTIONS(3553),
    [sym_false] = ACTIONS(3553),
    [sym_null] = ACTIONS(3553),
    [sym_undefined] = ACTIONS(3553),
    [anon_sym_static] = ACTIONS(3553),
    [anon_sym_readonly] = ACTIONS(3553),
    [anon_sym_get] = ACTIONS(3553),
    [anon_sym_set] = ACTIONS(3553),
    [anon_sym_QMARK] = ACTIONS(3553),
    [anon_sym_any] = ACTIONS(3553),
    [anon_sym_number] = ACTIONS(3553),
    [anon_sym_boolean] = ACTIONS(3553),
    [anon_sym_string] = ACTIONS(3553),
    [anon_sym_symbol] = ACTIONS(3553),
    [anon_sym_abstract] = ACTIONS(3553),
    [anon_sym_satisfies] = ACTIONS(3553),
    [anon_sym_infer] = ACTIONS(3553),
    [anon_sym_keyof] = ACTIONS(3553),
    [anon_sym_unknown] = ACTIONS(3553),
    [anon_sym_never] = ACTIONS(3553),
    [anon_sym_object] = ACTIONS(3553),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3555),
    [anon_sym_constructor] = ACTIONS(3553),
    [anon_sym_prop] = ACTIONS(3553),
    [anon_sym_id] = ACTIONS(3553),
    [anon_sym_event] = ACTIONS(3553),
    [anon_sym_fn] = ACTIONS(3553),
    [anon_sym_on] = ACTIONS(3553),
    [sym__ternary_qmark] = ACTIONS(3555),
  },
  [1064] = {
    [sym_identifier] = ACTIONS(3557),
    [anon_sym_STAR] = ACTIONS(3557),
    [anon_sym_as] = ACTIONS(3557),
    [anon_sym_LBRACE] = ACTIONS(3557),
    [anon_sym_RBRACE] = ACTIONS(3559),
    [anon_sym_typeof] = ACTIONS(3557),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_LPAREN] = ACTIONS(3559),
    [anon_sym_in] = ACTIONS(3557),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(3559),
    [anon_sym_LT] = ACTIONS(3557),
    [anon_sym_GT] = ACTIONS(3557),
    [anon_sym_SLASH] = ACTIONS(3557),
    [anon_sym_DOT] = ACTIONS(3557),
    [anon_sym_async] = ACTIONS(3557),
    [anon_sym_QMARK_DOT] = ACTIONS(3559),
    [anon_sym_new] = ACTIONS(3557),
    [anon_sym_AMP_AMP] = ACTIONS(3559),
    [anon_sym_PIPE_PIPE] = ACTIONS(3559),
    [anon_sym_GT_GT] = ACTIONS(3557),
    [anon_sym_GT_GT_GT] = ACTIONS(3559),
    [anon_sym_LT_LT] = ACTIONS(3559),
    [anon_sym_AMP] = ACTIONS(3557),
    [anon_sym_CARET] = ACTIONS(3559),
    [anon_sym_PIPE] = ACTIONS(3557),
    [anon_sym_PLUS] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3557),
    [anon_sym_PERCENT] = ACTIONS(3559),
    [anon_sym_STAR_STAR] = ACTIONS(3559),
    [anon_sym_LT_EQ] = ACTIONS(3559),
    [anon_sym_EQ_EQ] = ACTIONS(3557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3559),
    [anon_sym_BANG_EQ] = ACTIONS(3557),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3559),
    [anon_sym_GT_EQ] = ACTIONS(3559),
    [anon_sym_QMARK_QMARK] = ACTIONS(3559),
    [anon_sym_instanceof] = ACTIONS(3557),
    [anon_sym_void] = ACTIONS(3557),
    [anon_sym_PLUS_PLUS] = ACTIONS(3559),
    [anon_sym_DASH_DASH] = ACTIONS(3559),
    [anon_sym_DQUOTE] = ACTIONS(3559),
    [anon_sym_SQUOTE] = ACTIONS(3559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3559),
    [sym_number] = ACTIONS(3559),
    [sym_this] = ACTIONS(3557),
    [sym_true] = ACTIONS(3557),
    [sym_false] = ACTIONS(3557),
    [sym_null] = ACTIONS(3557),
    [sym_undefined] = ACTIONS(3557),
    [anon_sym_static] = ACTIONS(3557),
    [anon_sym_readonly] = ACTIONS(3557),
    [anon_sym_get] = ACTIONS(3557),
    [anon_sym_set] = ACTIONS(3557),
    [anon_sym_QMARK] = ACTIONS(3557),
    [anon_sym_any] = ACTIONS(3557),
    [anon_sym_number] = ACTIONS(3557),
    [anon_sym_boolean] = ACTIONS(3557),
    [anon_sym_string] = ACTIONS(3557),
    [anon_sym_symbol] = ACTIONS(3557),
    [anon_sym_abstract] = ACTIONS(3557),
    [anon_sym_satisfies] = ACTIONS(3557),
    [anon_sym_infer] = ACTIONS(3557),
    [anon_sym_keyof] = ACTIONS(3557),
    [anon_sym_unknown] = ACTIONS(3557),
    [anon_sym_never] = ACTIONS(3557),
    [anon_sym_object] = ACTIONS(3557),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3559),
    [anon_sym_constructor] = ACTIONS(3557),
    [anon_sym_prop] = ACTIONS(3557),
    [anon_sym_id] = ACTIONS(3557),
    [anon_sym_event] = ACTIONS(3557),
    [anon_sym_fn] = ACTIONS(3557),
    [anon_sym_on] = ACTIONS(3557),
    [sym__ternary_qmark] = ACTIONS(3559),
  },
  [1065] = {
    [sym_identifier] = ACTIONS(3561),
    [anon_sym_STAR] = ACTIONS(3561),
    [anon_sym_as] = ACTIONS(3561),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(3563),
    [anon_sym_typeof] = ACTIONS(3561),
    [anon_sym_BANG] = ACTIONS(3561),
    [anon_sym_LPAREN] = ACTIONS(3563),
    [anon_sym_in] = ACTIONS(3561),
    [anon_sym_SEMI] = ACTIONS(3563),
    [anon_sym_LBRACK] = ACTIONS(3563),
    [anon_sym_LT] = ACTIONS(3561),
    [anon_sym_GT] = ACTIONS(3561),
    [anon_sym_SLASH] = ACTIONS(3561),
    [anon_sym_DOT] = ACTIONS(3561),
    [anon_sym_async] = ACTIONS(3561),
    [anon_sym_QMARK_DOT] = ACTIONS(3563),
    [anon_sym_new] = ACTIONS(3561),
    [anon_sym_AMP_AMP] = ACTIONS(3563),
    [anon_sym_PIPE_PIPE] = ACTIONS(3563),
    [anon_sym_GT_GT] = ACTIONS(3561),
    [anon_sym_GT_GT_GT] = ACTIONS(3563),
    [anon_sym_LT_LT] = ACTIONS(3563),
    [anon_sym_AMP] = ACTIONS(3561),
    [anon_sym_CARET] = ACTIONS(3563),
    [anon_sym_PIPE] = ACTIONS(3561),
    [anon_sym_PLUS] = ACTIONS(3561),
    [anon_sym_DASH] = ACTIONS(3561),
    [anon_sym_PERCENT] = ACTIONS(3563),
    [anon_sym_STAR_STAR] = ACTIONS(3563),
    [anon_sym_LT_EQ] = ACTIONS(3563),
    [anon_sym_EQ_EQ] = ACTIONS(3561),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3563),
    [anon_sym_BANG_EQ] = ACTIONS(3561),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3563),
    [anon_sym_GT_EQ] = ACTIONS(3563),
    [anon_sym_QMARK_QMARK] = ACTIONS(3563),
    [anon_sym_instanceof] = ACTIONS(3561),
    [anon_sym_void] = ACTIONS(3561),
    [anon_sym_PLUS_PLUS] = ACTIONS(3563),
    [anon_sym_DASH_DASH] = ACTIONS(3563),
    [anon_sym_DQUOTE] = ACTIONS(3563),
    [anon_sym_SQUOTE] = ACTIONS(3563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3563),
    [sym_number] = ACTIONS(3563),
    [sym_this] = ACTIONS(3561),
    [sym_true] = ACTIONS(3561),
    [sym_false] = ACTIONS(3561),
    [sym_null] = ACTIONS(3561),
    [sym_undefined] = ACTIONS(3561),
    [anon_sym_static] = ACTIONS(3561),
    [anon_sym_readonly] = ACTIONS(3561),
    [anon_sym_get] = ACTIONS(3561),
    [anon_sym_set] = ACTIONS(3561),
    [anon_sym_QMARK] = ACTIONS(3561),
    [anon_sym_any] = ACTIONS(3561),
    [anon_sym_number] = ACTIONS(3561),
    [anon_sym_boolean] = ACTIONS(3561),
    [anon_sym_string] = ACTIONS(3561),
    [anon_sym_symbol] = ACTIONS(3561),
    [anon_sym_abstract] = ACTIONS(3561),
    [anon_sym_satisfies] = ACTIONS(3561),
    [anon_sym_infer] = ACTIONS(3561),
    [anon_sym_keyof] = ACTIONS(3561),
    [anon_sym_unknown] = ACTIONS(3561),
    [anon_sym_never] = ACTIONS(3561),
    [anon_sym_object] = ACTIONS(3561),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3563),
    [anon_sym_constructor] = ACTIONS(3561),
    [anon_sym_prop] = ACTIONS(3561),
    [anon_sym_id] = ACTIONS(3561),
    [anon_sym_event] = ACTIONS(3561),
    [anon_sym_fn] = ACTIONS(3561),
    [anon_sym_on] = ACTIONS(3561),
    [sym__ternary_qmark] = ACTIONS(3563),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_as] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_QMARK_DOT] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_PIPE_PIPE] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2814),
    [anon_sym_GT_GT_GT] = ACTIONS(2816),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PERCENT] = ACTIONS(2816),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_LT_EQ] = ACTIONS(2816),
    [anon_sym_EQ_EQ] = ACTIONS(2814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ] = ACTIONS(2814),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2816),
    [anon_sym_GT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK] = ACTIONS(2816),
    [anon_sym_instanceof] = ACTIONS(2814),
    [anon_sym_void] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2816),
    [sym_number] = ACTIONS(2816),
    [sym_this] = ACTIONS(2814),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_undefined] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_readonly] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2814),
    [anon_sym_set] = ACTIONS(2814),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_any] = ACTIONS(2814),
    [anon_sym_number] = ACTIONS(2814),
    [anon_sym_boolean] = ACTIONS(2814),
    [anon_sym_string] = ACTIONS(2814),
    [anon_sym_symbol] = ACTIONS(2814),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(2814),
    [anon_sym_infer] = ACTIONS(2814),
    [anon_sym_keyof] = ACTIONS(2814),
    [anon_sym_unknown] = ACTIONS(2814),
    [anon_sym_never] = ACTIONS(2814),
    [anon_sym_object] = ACTIONS(2814),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2816),
    [anon_sym_constructor] = ACTIONS(2814),
    [anon_sym_prop] = ACTIONS(2814),
    [anon_sym_id] = ACTIONS(2814),
    [anon_sym_event] = ACTIONS(2814),
    [anon_sym_fn] = ACTIONS(2814),
    [anon_sym_on] = ACTIONS(2814),
    [sym__ternary_qmark] = ACTIONS(2816),
  },
  [1067] = {
    [sym_identifier] = ACTIONS(3565),
    [anon_sym_STAR] = ACTIONS(3565),
    [anon_sym_as] = ACTIONS(3565),
    [anon_sym_LBRACE] = ACTIONS(3565),
    [anon_sym_RBRACE] = ACTIONS(3567),
    [anon_sym_typeof] = ACTIONS(3565),
    [anon_sym_BANG] = ACTIONS(3565),
    [anon_sym_LPAREN] = ACTIONS(3567),
    [anon_sym_in] = ACTIONS(3565),
    [anon_sym_SEMI] = ACTIONS(3567),
    [anon_sym_LBRACK] = ACTIONS(3567),
    [anon_sym_LT] = ACTIONS(3565),
    [anon_sym_GT] = ACTIONS(3565),
    [anon_sym_SLASH] = ACTIONS(3565),
    [anon_sym_DOT] = ACTIONS(3565),
    [anon_sym_async] = ACTIONS(3565),
    [anon_sym_QMARK_DOT] = ACTIONS(3567),
    [anon_sym_new] = ACTIONS(3565),
    [anon_sym_AMP_AMP] = ACTIONS(3567),
    [anon_sym_PIPE_PIPE] = ACTIONS(3567),
    [anon_sym_GT_GT] = ACTIONS(3565),
    [anon_sym_GT_GT_GT] = ACTIONS(3567),
    [anon_sym_LT_LT] = ACTIONS(3567),
    [anon_sym_AMP] = ACTIONS(3565),
    [anon_sym_CARET] = ACTIONS(3567),
    [anon_sym_PIPE] = ACTIONS(3565),
    [anon_sym_PLUS] = ACTIONS(3565),
    [anon_sym_DASH] = ACTIONS(3565),
    [anon_sym_PERCENT] = ACTIONS(3567),
    [anon_sym_STAR_STAR] = ACTIONS(3567),
    [anon_sym_LT_EQ] = ACTIONS(3567),
    [anon_sym_EQ_EQ] = ACTIONS(3565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3567),
    [anon_sym_BANG_EQ] = ACTIONS(3565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3567),
    [anon_sym_GT_EQ] = ACTIONS(3567),
    [anon_sym_QMARK_QMARK] = ACTIONS(3567),
    [anon_sym_instanceof] = ACTIONS(3565),
    [anon_sym_void] = ACTIONS(3565),
    [anon_sym_PLUS_PLUS] = ACTIONS(3567),
    [anon_sym_DASH_DASH] = ACTIONS(3567),
    [anon_sym_DQUOTE] = ACTIONS(3567),
    [anon_sym_SQUOTE] = ACTIONS(3567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3567),
    [sym_number] = ACTIONS(3567),
    [sym_this] = ACTIONS(3565),
    [sym_true] = ACTIONS(3565),
    [sym_false] = ACTIONS(3565),
    [sym_null] = ACTIONS(3565),
    [sym_undefined] = ACTIONS(3565),
    [anon_sym_static] = ACTIONS(3565),
    [anon_sym_readonly] = ACTIONS(3565),
    [anon_sym_get] = ACTIONS(3565),
    [anon_sym_set] = ACTIONS(3565),
    [anon_sym_QMARK] = ACTIONS(3565),
    [anon_sym_any] = ACTIONS(3565),
    [anon_sym_number] = ACTIONS(3565),
    [anon_sym_boolean] = ACTIONS(3565),
    [anon_sym_string] = ACTIONS(3565),
    [anon_sym_symbol] = ACTIONS(3565),
    [anon_sym_abstract] = ACTIONS(3565),
    [anon_sym_satisfies] = ACTIONS(3565),
    [anon_sym_infer] = ACTIONS(3565),
    [anon_sym_keyof] = ACTIONS(3565),
    [anon_sym_unknown] = ACTIONS(3565),
    [anon_sym_never] = ACTIONS(3565),
    [anon_sym_object] = ACTIONS(3565),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3567),
    [anon_sym_constructor] = ACTIONS(3565),
    [anon_sym_prop] = ACTIONS(3565),
    [anon_sym_id] = ACTIONS(3565),
    [anon_sym_event] = ACTIONS(3565),
    [anon_sym_fn] = ACTIONS(3565),
    [anon_sym_on] = ACTIONS(3565),
    [sym__ternary_qmark] = ACTIONS(3567),
  },
  [1068] = {
    [sym_identifier] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_as] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_GT] = ACTIONS(2818),
    [anon_sym_SLASH] = ACTIONS(2818),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_async] = ACTIONS(2818),
    [anon_sym_QMARK_DOT] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_PIPE_PIPE] = ACTIONS(2820),
    [anon_sym_GT_GT] = ACTIONS(2818),
    [anon_sym_GT_GT_GT] = ACTIONS(2820),
    [anon_sym_LT_LT] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PERCENT] = ACTIONS(2820),
    [anon_sym_STAR_STAR] = ACTIONS(2820),
    [anon_sym_LT_EQ] = ACTIONS(2820),
    [anon_sym_EQ_EQ] = ACTIONS(2818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ] = ACTIONS(2818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2820),
    [anon_sym_GT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK] = ACTIONS(2820),
    [anon_sym_instanceof] = ACTIONS(2818),
    [anon_sym_void] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2820),
    [sym_number] = ACTIONS(2820),
    [sym_this] = ACTIONS(2818),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_undefined] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_readonly] = ACTIONS(2818),
    [anon_sym_get] = ACTIONS(2818),
    [anon_sym_set] = ACTIONS(2818),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_any] = ACTIONS(2818),
    [anon_sym_number] = ACTIONS(2818),
    [anon_sym_boolean] = ACTIONS(2818),
    [anon_sym_string] = ACTIONS(2818),
    [anon_sym_symbol] = ACTIONS(2818),
    [anon_sym_abstract] = ACTIONS(2818),
    [anon_sym_satisfies] = ACTIONS(2818),
    [anon_sym_infer] = ACTIONS(2818),
    [anon_sym_keyof] = ACTIONS(2818),
    [anon_sym_unknown] = ACTIONS(2818),
    [anon_sym_never] = ACTIONS(2818),
    [anon_sym_object] = ACTIONS(2818),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2820),
    [anon_sym_constructor] = ACTIONS(2818),
    [anon_sym_prop] = ACTIONS(2818),
    [anon_sym_id] = ACTIONS(2818),
    [anon_sym_event] = ACTIONS(2818),
    [anon_sym_fn] = ACTIONS(2818),
    [anon_sym_on] = ACTIONS(2818),
    [sym__ternary_qmark] = ACTIONS(2820),
  },
  [1069] = {
    [sym_identifier] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3569),
    [anon_sym_as] = ACTIONS(3569),
    [anon_sym_LBRACE] = ACTIONS(3569),
    [anon_sym_RBRACE] = ACTIONS(3571),
    [anon_sym_typeof] = ACTIONS(3569),
    [anon_sym_BANG] = ACTIONS(3569),
    [anon_sym_LPAREN] = ACTIONS(3571),
    [anon_sym_in] = ACTIONS(3569),
    [anon_sym_SEMI] = ACTIONS(3571),
    [anon_sym_LBRACK] = ACTIONS(3571),
    [anon_sym_LT] = ACTIONS(3569),
    [anon_sym_GT] = ACTIONS(3569),
    [anon_sym_SLASH] = ACTIONS(3569),
    [anon_sym_DOT] = ACTIONS(3569),
    [anon_sym_async] = ACTIONS(3569),
    [anon_sym_QMARK_DOT] = ACTIONS(3571),
    [anon_sym_new] = ACTIONS(3569),
    [anon_sym_AMP_AMP] = ACTIONS(3571),
    [anon_sym_PIPE_PIPE] = ACTIONS(3571),
    [anon_sym_GT_GT] = ACTIONS(3569),
    [anon_sym_GT_GT_GT] = ACTIONS(3571),
    [anon_sym_LT_LT] = ACTIONS(3571),
    [anon_sym_AMP] = ACTIONS(3569),
    [anon_sym_CARET] = ACTIONS(3571),
    [anon_sym_PIPE] = ACTIONS(3569),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_STAR_STAR] = ACTIONS(3571),
    [anon_sym_LT_EQ] = ACTIONS(3571),
    [anon_sym_EQ_EQ] = ACTIONS(3569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3571),
    [anon_sym_BANG_EQ] = ACTIONS(3569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3571),
    [anon_sym_GT_EQ] = ACTIONS(3571),
    [anon_sym_QMARK_QMARK] = ACTIONS(3571),
    [anon_sym_instanceof] = ACTIONS(3569),
    [anon_sym_void] = ACTIONS(3569),
    [anon_sym_PLUS_PLUS] = ACTIONS(3571),
    [anon_sym_DASH_DASH] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [anon_sym_SQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3571),
    [sym_number] = ACTIONS(3571),
    [sym_this] = ACTIONS(3569),
    [sym_true] = ACTIONS(3569),
    [sym_false] = ACTIONS(3569),
    [sym_null] = ACTIONS(3569),
    [sym_undefined] = ACTIONS(3569),
    [anon_sym_static] = ACTIONS(3569),
    [anon_sym_readonly] = ACTIONS(3569),
    [anon_sym_get] = ACTIONS(3569),
    [anon_sym_set] = ACTIONS(3569),
    [anon_sym_QMARK] = ACTIONS(3569),
    [anon_sym_any] = ACTIONS(3569),
    [anon_sym_number] = ACTIONS(3569),
    [anon_sym_boolean] = ACTIONS(3569),
    [anon_sym_string] = ACTIONS(3569),
    [anon_sym_symbol] = ACTIONS(3569),
    [anon_sym_abstract] = ACTIONS(3569),
    [anon_sym_satisfies] = ACTIONS(3569),
    [anon_sym_infer] = ACTIONS(3569),
    [anon_sym_keyof] = ACTIONS(3569),
    [anon_sym_unknown] = ACTIONS(3569),
    [anon_sym_never] = ACTIONS(3569),
    [anon_sym_object] = ACTIONS(3569),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3571),
    [anon_sym_constructor] = ACTIONS(3569),
    [anon_sym_prop] = ACTIONS(3569),
    [anon_sym_id] = ACTIONS(3569),
    [anon_sym_event] = ACTIONS(3569),
    [anon_sym_fn] = ACTIONS(3569),
    [anon_sym_on] = ACTIONS(3569),
    [sym__ternary_qmark] = ACTIONS(3571),
  },
  [1070] = {
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_typeof] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_QMARK_DOT] = ACTIONS(1584),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_AMP_AMP] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1584),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_instanceof] = ACTIONS(1580),
    [anon_sym_void] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [sym_number] = ACTIONS(1584),
    [sym_this] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [sym_null] = ACTIONS(1580),
    [sym_undefined] = ACTIONS(1580),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_readonly] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_any] = ACTIONS(1580),
    [anon_sym_number] = ACTIONS(1580),
    [anon_sym_boolean] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_symbol] = ACTIONS(1580),
    [anon_sym_abstract] = ACTIONS(1580),
    [anon_sym_satisfies] = ACTIONS(1580),
    [anon_sym_infer] = ACTIONS(1580),
    [anon_sym_keyof] = ACTIONS(1580),
    [anon_sym_unknown] = ACTIONS(1580),
    [anon_sym_never] = ACTIONS(1580),
    [anon_sym_object] = ACTIONS(1580),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1584),
    [anon_sym_constructor] = ACTIONS(1580),
    [anon_sym_prop] = ACTIONS(1580),
    [anon_sym_id] = ACTIONS(1580),
    [anon_sym_event] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym_on] = ACTIONS(1580),
    [sym__ternary_qmark] = ACTIONS(1584),
  },
  [1071] = {
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_QMARK_DOT] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_GT_GT_GT] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_STAR_STAR] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK] = ACTIONS(2832),
    [anon_sym_instanceof] = ACTIONS(2830),
    [anon_sym_void] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2832),
    [sym_number] = ACTIONS(2832),
    [sym_this] = ACTIONS(2830),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [sym_null] = ACTIONS(2830),
    [sym_undefined] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_readonly] = ACTIONS(2830),
    [anon_sym_get] = ACTIONS(2830),
    [anon_sym_set] = ACTIONS(2830),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_any] = ACTIONS(2830),
    [anon_sym_number] = ACTIONS(2830),
    [anon_sym_boolean] = ACTIONS(2830),
    [anon_sym_string] = ACTIONS(2830),
    [anon_sym_symbol] = ACTIONS(2830),
    [anon_sym_abstract] = ACTIONS(2830),
    [anon_sym_satisfies] = ACTIONS(2830),
    [anon_sym_infer] = ACTIONS(2830),
    [anon_sym_keyof] = ACTIONS(2830),
    [anon_sym_unknown] = ACTIONS(2830),
    [anon_sym_never] = ACTIONS(2830),
    [anon_sym_object] = ACTIONS(2830),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2832),
    [anon_sym_constructor] = ACTIONS(2830),
    [anon_sym_prop] = ACTIONS(2830),
    [anon_sym_id] = ACTIONS(2830),
    [anon_sym_event] = ACTIONS(2830),
    [anon_sym_fn] = ACTIONS(2830),
    [anon_sym_on] = ACTIONS(2830),
    [sym__ternary_qmark] = ACTIONS(2832),
  },
  [1072] = {
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_QMARK_DOT] = ACTIONS(1404),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_AMP_AMP] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1400),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1400),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_QMARK_QMARK] = ACTIONS(1404),
    [anon_sym_instanceof] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_number] = ACTIONS(1404),
    [sym_this] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_null] = ACTIONS(1400),
    [sym_undefined] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_readonly] = ACTIONS(1400),
    [anon_sym_get] = ACTIONS(1400),
    [anon_sym_set] = ACTIONS(1400),
    [anon_sym_QMARK] = ACTIONS(1400),
    [anon_sym_any] = ACTIONS(1400),
    [anon_sym_number] = ACTIONS(1400),
    [anon_sym_boolean] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_symbol] = ACTIONS(1400),
    [anon_sym_abstract] = ACTIONS(1400),
    [anon_sym_satisfies] = ACTIONS(1400),
    [anon_sym_infer] = ACTIONS(1400),
    [anon_sym_keyof] = ACTIONS(1400),
    [anon_sym_unknown] = ACTIONS(1400),
    [anon_sym_never] = ACTIONS(1400),
    [anon_sym_object] = ACTIONS(1400),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1404),
    [anon_sym_constructor] = ACTIONS(1400),
    [anon_sym_prop] = ACTIONS(1400),
    [anon_sym_id] = ACTIONS(1400),
    [anon_sym_event] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_on] = ACTIONS(1400),
    [sym__ternary_qmark] = ACTIONS(1404),
  },
  [1073] = {
    [sym_identifier] = ACTIONS(3573),
    [anon_sym_STAR] = ACTIONS(3573),
    [anon_sym_as] = ACTIONS(3573),
    [anon_sym_LBRACE] = ACTIONS(3573),
    [anon_sym_RBRACE] = ACTIONS(3575),
    [anon_sym_typeof] = ACTIONS(3573),
    [anon_sym_BANG] = ACTIONS(3573),
    [anon_sym_LPAREN] = ACTIONS(3575),
    [anon_sym_in] = ACTIONS(3573),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3575),
    [anon_sym_LT] = ACTIONS(3573),
    [anon_sym_GT] = ACTIONS(3573),
    [anon_sym_SLASH] = ACTIONS(3573),
    [anon_sym_DOT] = ACTIONS(3573),
    [anon_sym_async] = ACTIONS(3573),
    [anon_sym_QMARK_DOT] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3573),
    [anon_sym_AMP_AMP] = ACTIONS(3575),
    [anon_sym_PIPE_PIPE] = ACTIONS(3575),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_GT_GT_GT] = ACTIONS(3575),
    [anon_sym_LT_LT] = ACTIONS(3575),
    [anon_sym_AMP] = ACTIONS(3573),
    [anon_sym_CARET] = ACTIONS(3575),
    [anon_sym_PIPE] = ACTIONS(3573),
    [anon_sym_PLUS] = ACTIONS(3573),
    [anon_sym_DASH] = ACTIONS(3573),
    [anon_sym_PERCENT] = ACTIONS(3575),
    [anon_sym_STAR_STAR] = ACTIONS(3575),
    [anon_sym_LT_EQ] = ACTIONS(3575),
    [anon_sym_EQ_EQ] = ACTIONS(3573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3575),
    [anon_sym_QMARK_QMARK] = ACTIONS(3575),
    [anon_sym_instanceof] = ACTIONS(3573),
    [anon_sym_void] = ACTIONS(3573),
    [anon_sym_PLUS_PLUS] = ACTIONS(3575),
    [anon_sym_DASH_DASH] = ACTIONS(3575),
    [anon_sym_DQUOTE] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3575),
    [sym_number] = ACTIONS(3575),
    [sym_this] = ACTIONS(3573),
    [sym_true] = ACTIONS(3573),
    [sym_false] = ACTIONS(3573),
    [sym_null] = ACTIONS(3573),
    [sym_undefined] = ACTIONS(3573),
    [anon_sym_static] = ACTIONS(3573),
    [anon_sym_readonly] = ACTIONS(3573),
    [anon_sym_get] = ACTIONS(3573),
    [anon_sym_set] = ACTIONS(3573),
    [anon_sym_QMARK] = ACTIONS(3573),
    [anon_sym_any] = ACTIONS(3573),
    [anon_sym_number] = ACTIONS(3573),
    [anon_sym_boolean] = ACTIONS(3573),
    [anon_sym_string] = ACTIONS(3573),
    [anon_sym_symbol] = ACTIONS(3573),
    [anon_sym_abstract] = ACTIONS(3573),
    [anon_sym_satisfies] = ACTIONS(3573),
    [anon_sym_infer] = ACTIONS(3573),
    [anon_sym_keyof] = ACTIONS(3573),
    [anon_sym_unknown] = ACTIONS(3573),
    [anon_sym_never] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(3573),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3575),
    [anon_sym_constructor] = ACTIONS(3573),
    [anon_sym_prop] = ACTIONS(3573),
    [anon_sym_id] = ACTIONS(3573),
    [anon_sym_event] = ACTIONS(3573),
    [anon_sym_fn] = ACTIONS(3573),
    [anon_sym_on] = ACTIONS(3573),
    [sym__ternary_qmark] = ACTIONS(3575),
  },
  [1074] = {
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_as] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_GT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_QMARK_DOT] = ACTIONS(1532),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_GT_GT_GT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_STAR_STAR] = ACTIONS(1532),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ] = ACTIONS(1530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1532),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_QMARK_QMARK] = ACTIONS(1532),
    [anon_sym_instanceof] = ACTIONS(1530),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [sym_number] = ACTIONS(1532),
    [sym_this] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_QMARK] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_satisfies] = ACTIONS(1530),
    [anon_sym_infer] = ACTIONS(1530),
    [anon_sym_keyof] = ACTIONS(1530),
    [anon_sym_unknown] = ACTIONS(1530),
    [anon_sym_never] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1532),
    [anon_sym_constructor] = ACTIONS(1530),
    [anon_sym_prop] = ACTIONS(1530),
    [anon_sym_id] = ACTIONS(1530),
    [anon_sym_event] = ACTIONS(1530),
    [anon_sym_fn] = ACTIONS(1530),
    [anon_sym_on] = ACTIONS(1530),
    [sym__ternary_qmark] = ACTIONS(1532),
  },
  [1075] = {
    [sym_identifier] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_async] = ACTIONS(1522),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1522),
    [anon_sym_void] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym_number] = ACTIONS(1526),
    [sym_this] = ACTIONS(1522),
    [sym_true] = ACTIONS(1522),
    [sym_false] = ACTIONS(1522),
    [sym_null] = ACTIONS(1522),
    [sym_undefined] = ACTIONS(1522),
    [anon_sym_static] = ACTIONS(1522),
    [anon_sym_readonly] = ACTIONS(1522),
    [anon_sym_get] = ACTIONS(1522),
    [anon_sym_set] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_any] = ACTIONS(1522),
    [anon_sym_number] = ACTIONS(1522),
    [anon_sym_boolean] = ACTIONS(1522),
    [anon_sym_string] = ACTIONS(1522),
    [anon_sym_symbol] = ACTIONS(1522),
    [anon_sym_abstract] = ACTIONS(1522),
    [anon_sym_satisfies] = ACTIONS(1522),
    [anon_sym_infer] = ACTIONS(1522),
    [anon_sym_keyof] = ACTIONS(1522),
    [anon_sym_unknown] = ACTIONS(1522),
    [anon_sym_never] = ACTIONS(1522),
    [anon_sym_object] = ACTIONS(1522),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1526),
    [anon_sym_constructor] = ACTIONS(1522),
    [anon_sym_prop] = ACTIONS(1522),
    [anon_sym_id] = ACTIONS(1522),
    [anon_sym_event] = ACTIONS(1522),
    [anon_sym_fn] = ACTIONS(1522),
    [anon_sym_on] = ACTIONS(1522),
    [sym__ternary_qmark] = ACTIONS(1526),
  },
  [1076] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2764),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2766),
    [sym_number] = ACTIONS(2766),
    [sym_this] = ACTIONS(2764),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [sym_null] = ACTIONS(2764),
    [sym_undefined] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_readonly] = ACTIONS(2764),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_any] = ACTIONS(2764),
    [anon_sym_number] = ACTIONS(2764),
    [anon_sym_boolean] = ACTIONS(2764),
    [anon_sym_string] = ACTIONS(2764),
    [anon_sym_symbol] = ACTIONS(2764),
    [anon_sym_abstract] = ACTIONS(2764),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2764),
    [anon_sym_keyof] = ACTIONS(2764),
    [anon_sym_unknown] = ACTIONS(2764),
    [anon_sym_never] = ACTIONS(2764),
    [anon_sym_object] = ACTIONS(2764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2766),
    [anon_sym_prop] = ACTIONS(2764),
    [anon_sym_id] = ACTIONS(2764),
    [anon_sym_event] = ACTIONS(2764),
    [anon_sym_fn] = ACTIONS(2764),
    [anon_sym_on] = ACTIONS(2764),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1077] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1078] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1079] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2816),
    [sym_number] = ACTIONS(2816),
    [sym_this] = ACTIONS(2814),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_undefined] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_readonly] = ACTIONS(2814),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_any] = ACTIONS(2814),
    [anon_sym_number] = ACTIONS(2814),
    [anon_sym_boolean] = ACTIONS(2814),
    [anon_sym_string] = ACTIONS(2814),
    [anon_sym_symbol] = ACTIONS(2814),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2814),
    [anon_sym_keyof] = ACTIONS(2814),
    [anon_sym_unknown] = ACTIONS(2814),
    [anon_sym_never] = ACTIONS(2814),
    [anon_sym_object] = ACTIONS(2814),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2816),
    [anon_sym_prop] = ACTIONS(2814),
    [anon_sym_id] = ACTIONS(2814),
    [anon_sym_event] = ACTIONS(2814),
    [anon_sym_fn] = ACTIONS(2814),
    [anon_sym_on] = ACTIONS(2814),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1080] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1081] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1082] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1083] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2818),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2820),
    [sym_number] = ACTIONS(2820),
    [sym_this] = ACTIONS(2818),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_undefined] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_readonly] = ACTIONS(2818),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_any] = ACTIONS(2818),
    [anon_sym_number] = ACTIONS(2818),
    [anon_sym_boolean] = ACTIONS(2818),
    [anon_sym_string] = ACTIONS(2818),
    [anon_sym_symbol] = ACTIONS(2818),
    [anon_sym_abstract] = ACTIONS(2818),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2818),
    [anon_sym_keyof] = ACTIONS(2818),
    [anon_sym_unknown] = ACTIONS(2818),
    [anon_sym_never] = ACTIONS(2818),
    [anon_sym_object] = ACTIONS(2818),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2820),
    [anon_sym_prop] = ACTIONS(2818),
    [anon_sym_id] = ACTIONS(2818),
    [anon_sym_event] = ACTIONS(2818),
    [anon_sym_fn] = ACTIONS(2818),
    [anon_sym_on] = ACTIONS(2818),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1084] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1085] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_typeof] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2948),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2948),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2950),
    [sym_number] = ACTIONS(2950),
    [sym_this] = ACTIONS(2948),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [sym_null] = ACTIONS(2948),
    [sym_undefined] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_readonly] = ACTIONS(2948),
    [anon_sym_QMARK] = ACTIONS(2948),
    [anon_sym_any] = ACTIONS(2948),
    [anon_sym_number] = ACTIONS(2948),
    [anon_sym_boolean] = ACTIONS(2948),
    [anon_sym_string] = ACTIONS(2948),
    [anon_sym_symbol] = ACTIONS(2948),
    [anon_sym_abstract] = ACTIONS(2948),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2948),
    [anon_sym_keyof] = ACTIONS(2948),
    [anon_sym_unknown] = ACTIONS(2948),
    [anon_sym_never] = ACTIONS(2948),
    [anon_sym_object] = ACTIONS(2948),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2950),
    [anon_sym_prop] = ACTIONS(2948),
    [anon_sym_id] = ACTIONS(2948),
    [anon_sym_event] = ACTIONS(2948),
    [anon_sym_fn] = ACTIONS(2948),
    [anon_sym_on] = ACTIONS(2948),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1086] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1087] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1088] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2772),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2774),
    [sym_number] = ACTIONS(2774),
    [sym_this] = ACTIONS(2772),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [sym_null] = ACTIONS(2772),
    [sym_undefined] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_readonly] = ACTIONS(2772),
    [anon_sym_QMARK] = ACTIONS(2772),
    [anon_sym_any] = ACTIONS(2772),
    [anon_sym_number] = ACTIONS(2772),
    [anon_sym_boolean] = ACTIONS(2772),
    [anon_sym_string] = ACTIONS(2772),
    [anon_sym_symbol] = ACTIONS(2772),
    [anon_sym_abstract] = ACTIONS(2772),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2772),
    [anon_sym_keyof] = ACTIONS(2772),
    [anon_sym_unknown] = ACTIONS(2772),
    [anon_sym_never] = ACTIONS(2772),
    [anon_sym_object] = ACTIONS(2772),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2774),
    [anon_sym_prop] = ACTIONS(2772),
    [anon_sym_id] = ACTIONS(2772),
    [anon_sym_event] = ACTIONS(2772),
    [anon_sym_fn] = ACTIONS(2772),
    [anon_sym_on] = ACTIONS(2772),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1089] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1090] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(2972),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PERCENT] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1091] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2802),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2804),
    [sym_number] = ACTIONS(2804),
    [sym_this] = ACTIONS(2802),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_undefined] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_readonly] = ACTIONS(2802),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_any] = ACTIONS(2802),
    [anon_sym_number] = ACTIONS(2802),
    [anon_sym_boolean] = ACTIONS(2802),
    [anon_sym_string] = ACTIONS(2802),
    [anon_sym_symbol] = ACTIONS(2802),
    [anon_sym_abstract] = ACTIONS(2802),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2802),
    [anon_sym_keyof] = ACTIONS(2802),
    [anon_sym_unknown] = ACTIONS(2802),
    [anon_sym_never] = ACTIONS(2802),
    [anon_sym_object] = ACTIONS(2802),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2804),
    [anon_sym_prop] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
    [anon_sym_event] = ACTIONS(2802),
    [anon_sym_fn] = ACTIONS(2802),
    [anon_sym_on] = ACTIONS(2802),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1092] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(2972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1093] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2832),
    [sym_number] = ACTIONS(2832),
    [sym_this] = ACTIONS(2830),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [sym_null] = ACTIONS(2830),
    [sym_undefined] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_readonly] = ACTIONS(2830),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_any] = ACTIONS(2830),
    [anon_sym_number] = ACTIONS(2830),
    [anon_sym_boolean] = ACTIONS(2830),
    [anon_sym_string] = ACTIONS(2830),
    [anon_sym_symbol] = ACTIONS(2830),
    [anon_sym_abstract] = ACTIONS(2830),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2830),
    [anon_sym_keyof] = ACTIONS(2830),
    [anon_sym_unknown] = ACTIONS(2830),
    [anon_sym_never] = ACTIONS(2830),
    [anon_sym_object] = ACTIONS(2830),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2832),
    [anon_sym_prop] = ACTIONS(2830),
    [anon_sym_id] = ACTIONS(2830),
    [anon_sym_event] = ACTIONS(2830),
    [anon_sym_fn] = ACTIONS(2830),
    [anon_sym_on] = ACTIONS(2830),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1094] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(2974),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_QMARK] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_satisfies] = ACTIONS(2972),
    [anon_sym_infer] = ACTIONS(2972),
    [anon_sym_keyof] = ACTIONS(2972),
    [anon_sym_unknown] = ACTIONS(2972),
    [anon_sym_never] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2974),
    [anon_sym_prop] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2972),
    [anon_sym_event] = ACTIONS(2972),
    [anon_sym_fn] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [sym__ternary_qmark] = ACTIONS(2974),
  },
  [1095] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_typeof] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(3044),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(3044),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3046),
    [sym_number] = ACTIONS(3046),
    [sym_this] = ACTIONS(3044),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [sym_null] = ACTIONS(3044),
    [sym_undefined] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3044),
    [anon_sym_any] = ACTIONS(3044),
    [anon_sym_number] = ACTIONS(3044),
    [anon_sym_boolean] = ACTIONS(3044),
    [anon_sym_string] = ACTIONS(3044),
    [anon_sym_symbol] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(3044),
    [anon_sym_keyof] = ACTIONS(3044),
    [anon_sym_unknown] = ACTIONS(3044),
    [anon_sym_never] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3046),
    [anon_sym_prop] = ACTIONS(3044),
    [anon_sym_id] = ACTIONS(3044),
    [anon_sym_event] = ACTIONS(3044),
    [anon_sym_fn] = ACTIONS(3044),
    [anon_sym_on] = ACTIONS(3044),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1096] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_this] = ACTIONS(2716),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [sym_null] = ACTIONS(2716),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_abstract] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2716),
    [anon_sym_keyof] = ACTIONS(2716),
    [anon_sym_unknown] = ACTIONS(2716),
    [anon_sym_never] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_prop] = ACTIONS(2716),
    [anon_sym_id] = ACTIONS(2716),
    [anon_sym_event] = ACTIONS(2716),
    [anon_sym_fn] = ACTIONS(2716),
    [anon_sym_on] = ACTIONS(2716),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1097] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(3032),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3034),
    [sym_number] = ACTIONS(3034),
    [sym_this] = ACTIONS(3032),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [sym_null] = ACTIONS(3032),
    [sym_undefined] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_readonly] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_any] = ACTIONS(3032),
    [anon_sym_number] = ACTIONS(3032),
    [anon_sym_boolean] = ACTIONS(3032),
    [anon_sym_string] = ACTIONS(3032),
    [anon_sym_symbol] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3032),
    [anon_sym_unknown] = ACTIONS(3032),
    [anon_sym_never] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3034),
    [anon_sym_prop] = ACTIONS(3032),
    [anon_sym_id] = ACTIONS(3032),
    [anon_sym_event] = ACTIONS(3032),
    [anon_sym_fn] = ACTIONS(3032),
    [anon_sym_on] = ACTIONS(3032),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1098] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2884),
    [anon_sym_typeof] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2884),
    [sym_number] = ACTIONS(2884),
    [sym_this] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [sym_null] = ACTIONS(2882),
    [sym_undefined] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_readonly] = ACTIONS(2882),
    [anon_sym_QMARK] = ACTIONS(2882),
    [anon_sym_any] = ACTIONS(2882),
    [anon_sym_number] = ACTIONS(2882),
    [anon_sym_boolean] = ACTIONS(2882),
    [anon_sym_string] = ACTIONS(2882),
    [anon_sym_symbol] = ACTIONS(2882),
    [anon_sym_abstract] = ACTIONS(2882),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2882),
    [anon_sym_keyof] = ACTIONS(2882),
    [anon_sym_unknown] = ACTIONS(2882),
    [anon_sym_never] = ACTIONS(2882),
    [anon_sym_object] = ACTIONS(2882),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2884),
    [anon_sym_prop] = ACTIONS(2882),
    [anon_sym_id] = ACTIONS(2882),
    [anon_sym_event] = ACTIONS(2882),
    [anon_sym_fn] = ACTIONS(2882),
    [anon_sym_on] = ACTIONS(2882),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1099] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2662),
    [sym_number] = ACTIONS(2662),
    [sym_this] = ACTIONS(2656),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [sym_null] = ACTIONS(2656),
    [sym_undefined] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_readonly] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_any] = ACTIONS(2656),
    [anon_sym_number] = ACTIONS(2656),
    [anon_sym_boolean] = ACTIONS(2656),
    [anon_sym_string] = ACTIONS(2656),
    [anon_sym_symbol] = ACTIONS(2656),
    [anon_sym_abstract] = ACTIONS(2656),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2656),
    [anon_sym_keyof] = ACTIONS(2656),
    [anon_sym_unknown] = ACTIONS(2656),
    [anon_sym_never] = ACTIONS(2656),
    [anon_sym_object] = ACTIONS(2656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2662),
    [anon_sym_prop] = ACTIONS(2656),
    [anon_sym_id] = ACTIONS(2656),
    [anon_sym_event] = ACTIONS(2656),
    [anon_sym_fn] = ACTIONS(2656),
    [anon_sym_on] = ACTIONS(2656),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1100] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_this] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2704),
    [anon_sym_keyof] = ACTIONS(2704),
    [anon_sym_unknown] = ACTIONS(2704),
    [anon_sym_never] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_prop] = ACTIONS(2704),
    [anon_sym_id] = ACTIONS(2704),
    [anon_sym_event] = ACTIONS(2704),
    [anon_sym_fn] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1101] = {
    [sym_optional_chain] = STATE(4167),
    [sym_arguments] = STATE(988),
    [sym_identifier] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_as] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2940),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_typeof] = ACTIONS(2940),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(3579),
    [anon_sym_GT] = ACTIONS(3579),
    [anon_sym_SLASH] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2940),
    [anon_sym_QMARK_DOT] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_AMP_AMP] = ACTIONS(3581),
    [anon_sym_PIPE_PIPE] = ACTIONS(3583),
    [anon_sym_GT_GT] = ACTIONS(3585),
    [anon_sym_GT_GT_GT] = ACTIONS(3587),
    [anon_sym_LT_LT] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_PERCENT] = ACTIONS(3597),
    [anon_sym_STAR_STAR] = ACTIONS(3599),
    [anon_sym_LT_EQ] = ACTIONS(3601),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3605),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3605),
    [anon_sym_GT_EQ] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3607),
    [anon_sym_instanceof] = ACTIONS(3579),
    [anon_sym_void] = ACTIONS(2940),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2942),
    [sym_number] = ACTIONS(2942),
    [sym_this] = ACTIONS(2940),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [sym_null] = ACTIONS(2940),
    [sym_undefined] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_readonly] = ACTIONS(2940),
    [anon_sym_QMARK] = ACTIONS(2940),
    [anon_sym_any] = ACTIONS(2940),
    [anon_sym_number] = ACTIONS(2940),
    [anon_sym_boolean] = ACTIONS(2940),
    [anon_sym_string] = ACTIONS(2940),
    [anon_sym_symbol] = ACTIONS(2940),
    [anon_sym_abstract] = ACTIONS(2940),
    [anon_sym_satisfies] = ACTIONS(2700),
    [anon_sym_infer] = ACTIONS(2940),
    [anon_sym_keyof] = ACTIONS(2940),
    [anon_sym_unknown] = ACTIONS(2940),
    [anon_sym_never] = ACTIONS(2940),
    [anon_sym_object] = ACTIONS(2940),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2942),
    [anon_sym_prop] = ACTIONS(2940),
    [anon_sym_id] = ACTIONS(2940),
    [anon_sym_event] = ACTIONS(2940),
    [anon_sym_fn] = ACTIONS(2940),
    [anon_sym_on] = ACTIONS(2940),
    [sym__ternary_qmark] = ACTIONS(3609),
  },
  [1102] = {
    [sym_identifier] = ACTIONS(3611),
    [anon_sym_export] = ACTIONS(3611),
    [anon_sym_LBRACE] = ACTIONS(3613),
    [anon_sym_type] = ACTIONS(3611),
    [anon_sym_typeof] = ACTIONS(3611),
    [anon_sym_import] = ACTIONS(3611),
    [anon_sym_var] = ACTIONS(3611),
    [anon_sym_let] = ACTIONS(3611),
    [anon_sym_const] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3613),
    [anon_sym_if] = ACTIONS(3611),
    [anon_sym_switch] = ACTIONS(3611),
    [anon_sym_for] = ACTIONS(3611),
    [anon_sym_LPAREN] = ACTIONS(3613),
    [anon_sym_await] = ACTIONS(3611),
    [anon_sym_while] = ACTIONS(3611),
    [anon_sym_do] = ACTIONS(3611),
    [anon_sym_try] = ACTIONS(3611),
    [anon_sym_with] = ACTIONS(3611),
    [anon_sym_break] = ACTIONS(3611),
    [anon_sym_continue] = ACTIONS(3611),
    [anon_sym_debugger] = ACTIONS(3611),
    [anon_sym_return] = ACTIONS(3611),
    [anon_sym_throw] = ACTIONS(3611),
    [anon_sym_SEMI] = ACTIONS(3613),
    [anon_sym_yield] = ACTIONS(3611),
    [anon_sym_LBRACK] = ACTIONS(3613),
    [anon_sym_LTtemplate_GT] = ACTIONS(3613),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_SLASH] = ACTIONS(3611),
    [anon_sym_class] = ACTIONS(3611),
    [anon_sym_async] = ACTIONS(3611),
    [anon_sym_function] = ACTIONS(3611),
    [anon_sym_new] = ACTIONS(3611),
    [anon_sym_AMP] = ACTIONS(3613),
    [anon_sym_PLUS] = ACTIONS(3611),
    [anon_sym_DASH] = ACTIONS(3611),
    [anon_sym_TILDE] = ACTIONS(3613),
    [anon_sym_void] = ACTIONS(3611),
    [anon_sym_delete] = ACTIONS(3611),
    [anon_sym_PLUS_PLUS] = ACTIONS(3613),
    [anon_sym_DASH_DASH] = ACTIONS(3613),
    [anon_sym_DQUOTE] = ACTIONS(3613),
    [anon_sym_SQUOTE] = ACTIONS(3613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3613),
    [sym_number] = ACTIONS(3613),
    [sym_this] = ACTIONS(3611),
    [sym_super] = ACTIONS(3611),
    [sym_true] = ACTIONS(3611),
    [sym_false] = ACTIONS(3611),
    [sym_null] = ACTIONS(3611),
    [sym_undefined] = ACTIONS(3611),
    [anon_sym_AT] = ACTIONS(3613),
    [anon_sym_static] = ACTIONS(3611),
    [anon_sym_readonly] = ACTIONS(3611),
    [anon_sym_get] = ACTIONS(3611),
    [anon_sym_set] = ACTIONS(3611),
    [anon_sym_declare] = ACTIONS(3611),
    [anon_sym_namespace] = ACTIONS(3611),
    [anon_sym_public] = ACTIONS(3611),
    [anon_sym_private] = ACTIONS(3611),
    [anon_sym_protected] = ACTIONS(3611),
    [anon_sym_override] = ACTIONS(3611),
    [anon_sym_module] = ACTIONS(3611),
    [anon_sym_any] = ACTIONS(3611),
    [anon_sym_number] = ACTIONS(3611),
    [anon_sym_boolean] = ACTIONS(3611),
    [anon_sym_string] = ACTIONS(3611),
    [anon_sym_symbol] = ACTIONS(3611),
    [anon_sym_abstract] = ACTIONS(3611),
    [anon_sym_interface] = ACTIONS(3611),
    [anon_sym_enum] = ACTIONS(3611),
    [anon_sym_component] = ACTIONS(3611),
  },
  [1103] = {
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_export] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(1998),
    [anon_sym_typeof] = ACTIONS(1998),
    [anon_sym_import] = ACTIONS(1998),
    [anon_sym_var] = ACTIONS(1998),
    [anon_sym_let] = ACTIONS(1998),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(1998),
    [anon_sym_switch] = ACTIONS(1998),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_await] = ACTIONS(1998),
    [anon_sym_while] = ACTIONS(1998),
    [anon_sym_do] = ACTIONS(1998),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_with] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(1998),
    [anon_sym_continue] = ACTIONS(1998),
    [anon_sym_debugger] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(1998),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(1998),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_LTtemplate_GT] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_class] = ACTIONS(1998),
    [anon_sym_async] = ACTIONS(1998),
    [anon_sym_function] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1998),
    [anon_sym_AMP] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_void] = ACTIONS(1998),
    [anon_sym_delete] = ACTIONS(1998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2000),
    [sym_number] = ACTIONS(2000),
    [sym_this] = ACTIONS(1998),
    [sym_super] = ACTIONS(1998),
    [sym_true] = ACTIONS(1998),
    [sym_false] = ACTIONS(1998),
    [sym_null] = ACTIONS(1998),
    [sym_undefined] = ACTIONS(1998),
    [anon_sym_AT] = ACTIONS(2000),
    [anon_sym_static] = ACTIONS(1998),
    [anon_sym_readonly] = ACTIONS(1998),
    [anon_sym_get] = ACTIONS(1998),
    [anon_sym_set] = ACTIONS(1998),
    [anon_sym_declare] = ACTIONS(1998),
    [anon_sym_namespace] = ACTIONS(1998),
    [anon_sym_public] = ACTIONS(1998),
    [anon_sym_private] = ACTIONS(1998),
    [anon_sym_protected] = ACTIONS(1998),
    [anon_sym_override] = ACTIONS(1998),
    [anon_sym_module] = ACTIONS(1998),
    [anon_sym_any] = ACTIONS(1998),
    [anon_sym_number] = ACTIONS(1998),
    [anon_sym_boolean] = ACTIONS(1998),
    [anon_sym_string] = ACTIONS(1998),
    [anon_sym_symbol] = ACTIONS(1998),
    [anon_sym_abstract] = ACTIONS(1998),
    [anon_sym_interface] = ACTIONS(1998),
    [anon_sym_enum] = ACTIONS(1998),
    [anon_sym_component] = ACTIONS(1998),
  },
  [1104] = {
    [sym_identifier] = ACTIONS(3615),
    [anon_sym_export] = ACTIONS(3615),
    [anon_sym_LBRACE] = ACTIONS(3617),
    [anon_sym_type] = ACTIONS(3615),
    [anon_sym_typeof] = ACTIONS(3615),
    [anon_sym_import] = ACTIONS(3615),
    [anon_sym_var] = ACTIONS(3615),
    [anon_sym_let] = ACTIONS(3615),
    [anon_sym_const] = ACTIONS(3615),
    [anon_sym_BANG] = ACTIONS(3617),
    [anon_sym_if] = ACTIONS(3615),
    [anon_sym_switch] = ACTIONS(3615),
    [anon_sym_for] = ACTIONS(3615),
    [anon_sym_LPAREN] = ACTIONS(3617),
    [anon_sym_await] = ACTIONS(3615),
    [anon_sym_while] = ACTIONS(3615),
    [anon_sym_do] = ACTIONS(3615),
    [anon_sym_try] = ACTIONS(3615),
    [anon_sym_with] = ACTIONS(3615),
    [anon_sym_break] = ACTIONS(3615),
    [anon_sym_continue] = ACTIONS(3615),
    [anon_sym_debugger] = ACTIONS(3615),
    [anon_sym_return] = ACTIONS(3615),
    [anon_sym_throw] = ACTIONS(3615),
    [anon_sym_SEMI] = ACTIONS(3617),
    [anon_sym_yield] = ACTIONS(3615),
    [anon_sym_LBRACK] = ACTIONS(3617),
    [anon_sym_LTtemplate_GT] = ACTIONS(3617),
    [anon_sym_LT] = ACTIONS(3615),
    [anon_sym_SLASH] = ACTIONS(3615),
    [anon_sym_class] = ACTIONS(3615),
    [anon_sym_async] = ACTIONS(3615),
    [anon_sym_function] = ACTIONS(3615),
    [anon_sym_new] = ACTIONS(3615),
    [anon_sym_AMP] = ACTIONS(3617),
    [anon_sym_PLUS] = ACTIONS(3615),
    [anon_sym_DASH] = ACTIONS(3615),
    [anon_sym_TILDE] = ACTIONS(3617),
    [anon_sym_void] = ACTIONS(3615),
    [anon_sym_delete] = ACTIONS(3615),
    [anon_sym_PLUS_PLUS] = ACTIONS(3617),
    [anon_sym_DASH_DASH] = ACTIONS(3617),
    [anon_sym_DQUOTE] = ACTIONS(3617),
    [anon_sym_SQUOTE] = ACTIONS(3617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3617),
    [sym_number] = ACTIONS(3617),
    [sym_this] = ACTIONS(3615),
    [sym_super] = ACTIONS(3615),
    [sym_true] = ACTIONS(3615),
    [sym_false] = ACTIONS(3615),
    [sym_null] = ACTIONS(3615),
    [sym_undefined] = ACTIONS(3615),
    [anon_sym_AT] = ACTIONS(3617),
    [anon_sym_static] = ACTIONS(3615),
    [anon_sym_readonly] = ACTIONS(3615),
    [anon_sym_get] = ACTIONS(3615),
    [anon_sym_set] = ACTIONS(3615),
    [anon_sym_declare] = ACTIONS(3615),
    [anon_sym_namespace] = ACTIONS(3615),
    [anon_sym_public] = ACTIONS(3615),
    [anon_sym_private] = ACTIONS(3615),
    [anon_sym_protected] = ACTIONS(3615),
    [anon_sym_override] = ACTIONS(3615),
    [anon_sym_module] = ACTIONS(3615),
    [anon_sym_any] = ACTIONS(3615),
    [anon_sym_number] = ACTIONS(3615),
    [anon_sym_boolean] = ACTIONS(3615),
    [anon_sym_string] = ACTIONS(3615),
    [anon_sym_symbol] = ACTIONS(3615),
    [anon_sym_abstract] = ACTIONS(3615),
    [anon_sym_interface] = ACTIONS(3615),
    [anon_sym_enum] = ACTIONS(3615),
    [anon_sym_component] = ACTIONS(3615),
  },
  [1105] = {
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_as] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_in] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_GT] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_DOT] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_QMARK_DOT] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3271),
    [anon_sym_GT_GT_GT] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_CARET] = ACTIONS(3273),
    [anon_sym_PIPE] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_STAR_STAR] = ACTIONS(3273),
    [anon_sym_LT_EQ] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3273),
    [anon_sym_BANG_EQ] = ACTIONS(3271),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3273),
    [anon_sym_QMARK_QMARK] = ACTIONS(3273),
    [anon_sym_instanceof] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_regex_flags] = ACTIONS(3275),
    [sym_number] = ACTIONS(3273),
    [sym_this] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_QMARK] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_satisfies] = ACTIONS(3271),
    [anon_sym_infer] = ACTIONS(3271),
    [anon_sym_keyof] = ACTIONS(3271),
    [anon_sym_unknown] = ACTIONS(3271),
    [anon_sym_never] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3273),
    [anon_sym_prop] = ACTIONS(3271),
    [anon_sym_id] = ACTIONS(3271),
    [anon_sym_event] = ACTIONS(3271),
    [anon_sym_fn] = ACTIONS(3271),
    [anon_sym_on] = ACTIONS(3271),
    [sym__ternary_qmark] = ACTIONS(3273),
  },
  [1106] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4084),
    [sym_optional_tuple_parameter] = STATE(4084),
    [sym_optional_type] = STATE(4084),
    [sym_rest_type] = STATE(4084),
    [sym__tuple_type_member] = STATE(4084),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3621),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3623),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1107] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4155),
    [sym_optional_tuple_parameter] = STATE(4155),
    [sym_optional_type] = STATE(4155),
    [sym_rest_type] = STATE(4155),
    [sym__tuple_type_member] = STATE(4155),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3627),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3629),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1108] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4031),
    [sym_optional_tuple_parameter] = STATE(4031),
    [sym_optional_type] = STATE(4031),
    [sym_rest_type] = STATE(4031),
    [sym__tuple_type_member] = STATE(4031),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3631),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1109] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1110] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1111] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4160),
    [sym_optional_tuple_parameter] = STATE(4160),
    [sym_optional_type] = STATE(4160),
    [sym_rest_type] = STATE(4160),
    [sym__tuple_type_member] = STATE(4160),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3639),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3641),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1113] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1114] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1864),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [sym_this] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_infer] = ACTIONS(1860),
    [anon_sym_keyof] = ACTIONS(1860),
    [anon_sym_unknown] = ACTIONS(1860),
    [anon_sym_never] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1864),
    [anon_sym_prop] = ACTIONS(1860),
    [anon_sym_id] = ACTIONS(1860),
    [anon_sym_event] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1115] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4072),
    [sym_optional_tuple_parameter] = STATE(4072),
    [sym_optional_type] = STATE(4072),
    [sym_rest_type] = STATE(4072),
    [sym__tuple_type_member] = STATE(4072),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3643),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1116] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1117] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_const] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_debugger] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_LTtemplate_GT] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_AMP] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_delete] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_interface] = ACTIONS(1990),
    [anon_sym_enum] = ACTIONS(1990),
    [anon_sym_component] = ACTIONS(1990),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1119] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1120] = {
    [sym_identifier] = ACTIONS(3651),
    [anon_sym_export] = ACTIONS(3651),
    [anon_sym_LBRACE] = ACTIONS(3653),
    [anon_sym_type] = ACTIONS(3651),
    [anon_sym_typeof] = ACTIONS(3651),
    [anon_sym_import] = ACTIONS(3651),
    [anon_sym_var] = ACTIONS(3651),
    [anon_sym_let] = ACTIONS(3651),
    [anon_sym_const] = ACTIONS(3651),
    [anon_sym_BANG] = ACTIONS(3653),
    [anon_sym_if] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(3651),
    [anon_sym_for] = ACTIONS(3651),
    [anon_sym_LPAREN] = ACTIONS(3653),
    [anon_sym_await] = ACTIONS(3651),
    [anon_sym_while] = ACTIONS(3651),
    [anon_sym_do] = ACTIONS(3651),
    [anon_sym_try] = ACTIONS(3651),
    [anon_sym_with] = ACTIONS(3651),
    [anon_sym_break] = ACTIONS(3651),
    [anon_sym_continue] = ACTIONS(3651),
    [anon_sym_debugger] = ACTIONS(3651),
    [anon_sym_return] = ACTIONS(3651),
    [anon_sym_throw] = ACTIONS(3651),
    [anon_sym_SEMI] = ACTIONS(3653),
    [anon_sym_yield] = ACTIONS(3651),
    [anon_sym_LBRACK] = ACTIONS(3653),
    [anon_sym_LTtemplate_GT] = ACTIONS(3653),
    [anon_sym_LT] = ACTIONS(3651),
    [anon_sym_SLASH] = ACTIONS(3651),
    [anon_sym_class] = ACTIONS(3651),
    [anon_sym_async] = ACTIONS(3651),
    [anon_sym_function] = ACTIONS(3651),
    [anon_sym_new] = ACTIONS(3651),
    [anon_sym_AMP] = ACTIONS(3653),
    [anon_sym_PLUS] = ACTIONS(3651),
    [anon_sym_DASH] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3653),
    [anon_sym_void] = ACTIONS(3651),
    [anon_sym_delete] = ACTIONS(3651),
    [anon_sym_PLUS_PLUS] = ACTIONS(3653),
    [anon_sym_DASH_DASH] = ACTIONS(3653),
    [anon_sym_DQUOTE] = ACTIONS(3653),
    [anon_sym_SQUOTE] = ACTIONS(3653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3653),
    [sym_number] = ACTIONS(3653),
    [sym_this] = ACTIONS(3651),
    [sym_super] = ACTIONS(3651),
    [sym_true] = ACTIONS(3651),
    [sym_false] = ACTIONS(3651),
    [sym_null] = ACTIONS(3651),
    [sym_undefined] = ACTIONS(3651),
    [anon_sym_AT] = ACTIONS(3653),
    [anon_sym_static] = ACTIONS(3651),
    [anon_sym_readonly] = ACTIONS(3651),
    [anon_sym_get] = ACTIONS(3651),
    [anon_sym_set] = ACTIONS(3651),
    [anon_sym_declare] = ACTIONS(3651),
    [anon_sym_namespace] = ACTIONS(3651),
    [anon_sym_public] = ACTIONS(3651),
    [anon_sym_private] = ACTIONS(3651),
    [anon_sym_protected] = ACTIONS(3651),
    [anon_sym_override] = ACTIONS(3651),
    [anon_sym_module] = ACTIONS(3651),
    [anon_sym_any] = ACTIONS(3651),
    [anon_sym_number] = ACTIONS(3651),
    [anon_sym_boolean] = ACTIONS(3651),
    [anon_sym_string] = ACTIONS(3651),
    [anon_sym_symbol] = ACTIONS(3651),
    [anon_sym_abstract] = ACTIONS(3651),
    [anon_sym_interface] = ACTIONS(3651),
    [anon_sym_enum] = ACTIONS(3651),
    [anon_sym_component] = ACTIONS(3651),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1122] = {
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_export] = ACTIONS(3635),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_type] = ACTIONS(3635),
    [anon_sym_typeof] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(3635),
    [anon_sym_var] = ACTIONS(3635),
    [anon_sym_let] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3635),
    [anon_sym_BANG] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(3635),
    [anon_sym_switch] = ACTIONS(3635),
    [anon_sym_for] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(3637),
    [anon_sym_await] = ACTIONS(3635),
    [anon_sym_while] = ACTIONS(3635),
    [anon_sym_do] = ACTIONS(3635),
    [anon_sym_try] = ACTIONS(3635),
    [anon_sym_with] = ACTIONS(3635),
    [anon_sym_break] = ACTIONS(3635),
    [anon_sym_continue] = ACTIONS(3635),
    [anon_sym_debugger] = ACTIONS(3635),
    [anon_sym_return] = ACTIONS(3635),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_SEMI] = ACTIONS(3637),
    [anon_sym_yield] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3637),
    [anon_sym_LTtemplate_GT] = ACTIONS(3637),
    [anon_sym_LT] = ACTIONS(3635),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_class] = ACTIONS(3635),
    [anon_sym_async] = ACTIONS(3635),
    [anon_sym_function] = ACTIONS(3635),
    [anon_sym_new] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(3637),
    [anon_sym_PLUS] = ACTIONS(3635),
    [anon_sym_DASH] = ACTIONS(3635),
    [anon_sym_TILDE] = ACTIONS(3637),
    [anon_sym_void] = ACTIONS(3635),
    [anon_sym_delete] = ACTIONS(3635),
    [anon_sym_PLUS_PLUS] = ACTIONS(3637),
    [anon_sym_DASH_DASH] = ACTIONS(3637),
    [anon_sym_DQUOTE] = ACTIONS(3637),
    [anon_sym_SQUOTE] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3637),
    [sym_number] = ACTIONS(3637),
    [sym_this] = ACTIONS(3635),
    [sym_super] = ACTIONS(3635),
    [sym_true] = ACTIONS(3635),
    [sym_false] = ACTIONS(3635),
    [sym_null] = ACTIONS(3635),
    [sym_undefined] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3637),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_readonly] = ACTIONS(3635),
    [anon_sym_get] = ACTIONS(3635),
    [anon_sym_set] = ACTIONS(3635),
    [anon_sym_declare] = ACTIONS(3635),
    [anon_sym_namespace] = ACTIONS(3635),
    [anon_sym_public] = ACTIONS(3635),
    [anon_sym_private] = ACTIONS(3635),
    [anon_sym_protected] = ACTIONS(3635),
    [anon_sym_override] = ACTIONS(3635),
    [anon_sym_module] = ACTIONS(3635),
    [anon_sym_any] = ACTIONS(3635),
    [anon_sym_number] = ACTIONS(3635),
    [anon_sym_boolean] = ACTIONS(3635),
    [anon_sym_string] = ACTIONS(3635),
    [anon_sym_symbol] = ACTIONS(3635),
    [anon_sym_abstract] = ACTIONS(3635),
    [anon_sym_interface] = ACTIONS(3635),
    [anon_sym_enum] = ACTIONS(3635),
    [anon_sym_component] = ACTIONS(3635),
  },
  [1123] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1124] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3657),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1125] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1126] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1127] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1128] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1129] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3667),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1130] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1131] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3671),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1132] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1133] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3675),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1134] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3677),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1135] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_rest_pattern] = STATE(4479),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3411),
    [sym_tuple_parameter] = STATE(4403),
    [sym_optional_tuple_parameter] = STATE(4403),
    [sym_optional_type] = STATE(4403),
    [sym_rest_type] = STATE(4403),
    [sym__tuple_type_member] = STATE(4403),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1136] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_type_narrow] = STATE(4406),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
    [anon_sym_prop] = ACTIONS(3683),
    [anon_sym_fn] = ACTIONS(3685),
  },
  [1137] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1138] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1139] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1140] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1141] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_type_narrow] = STATE(4420),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_COLON] = ACTIONS(3706),
    [anon_sym_EQ] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1142] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_type_narrow] = STATE(4481),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_COLON] = ACTIONS(3710),
    [anon_sym_EQ] = ACTIONS(3712),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1143] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(3232),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(3232),
    [sym_predefined_type] = STATE(3232),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3232),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_type_narrow] = STATE(4516),
    [sym_property_expression_initializer] = STATE(1564),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_EQ] = ACTIONS(3714),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1144] = {
    [sym_type_arguments] = STATE(3039),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3718),
    [anon_sym_RBRACE] = ACTIONS(3718),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym_EQ] = ACTIONS(3722),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LT] = ACTIONS(3728),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3731),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__automatic_semicolon] = ACTIONS(2582),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1145] = {
    [sym_type_annotation] = STATE(4273),
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3718),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3741),
    [anon_sym_EQ] = ACTIONS(3722),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_RBRACK] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3749),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1146] = {
    [sym_arguments] = STATE(2895),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3756),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(3758),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2626),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__automatic_semicolon] = ACTIONS(2626),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1147] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(3718),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3760),
    [anon_sym_EQ] = ACTIONS(3722),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3763),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1148] = {
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3760),
    [anon_sym_RBRACE] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3760),
    [anon_sym_EQ] = ACTIONS(3722),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_RBRACK] = ACTIONS(3760),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3763),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_RPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_COLON] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_EQ] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_RBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_GT] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_EQ_GT] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym_PIPE] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_extends] = ACTIONS(3223),
    [anon_sym_implements] = ACTIONS(3223),
    [anon_sym_component] = ACTIONS(3223),
  },
  [1150] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(876),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1151] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(4101),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1152] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3303),
    [sym_constructor_type] = STATE(3303),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3303),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(4449),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3303),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3303),
    [sym_identifier] = ACTIONS(3771),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3773),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_asserts] = ACTIONS(3775),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1153] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3113),
    [sym_constructor_type] = STATE(3113),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3113),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3360),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3024),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3113),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3113),
    [sym_identifier] = ACTIONS(3777),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3783),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_asserts] = ACTIONS(3785),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_COMMA] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_RPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_COLON] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_EQ] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_RBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_GT] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_EQ_GT] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_PIPE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_QMARK] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_extends] = ACTIONS(3307),
    [anon_sym_implements] = ACTIONS(3307),
    [anon_sym_component] = ACTIONS(3307),
  },
  [1155] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3167),
    [sym_constructor_type] = STATE(3167),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3167),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3360),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3029),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3167),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3167),
    [sym_identifier] = ACTIONS(3787),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3795),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_asserts] = ACTIONS(3803),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1156] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3319),
    [sym_constructor_type] = STATE(3319),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3319),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(4449),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(3048),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3319),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3319),
    [sym_identifier] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3815),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_asserts] = ACTIONS(3823),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1157] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3209),
    [sym_constructor_type] = STATE(3209),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3209),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_predicate] = STATE(3601),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3209),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3209),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(3857),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_asserts] = ACTIONS(3867),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1158] = {
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3875),
    [anon_sym_RBRACE] = ACTIONS(3875),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(3875),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3875),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3877),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3879),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1159] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3881),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(3883),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3881),
    [anon_sym_EQ] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3877),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3763),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_COMMA] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_COLON] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_EQ] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_RBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_GT] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_EQ_GT] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_QMARK] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_extends] = ACTIONS(3231),
    [anon_sym_implements] = ACTIONS(3231),
    [anon_sym_component] = ACTIONS(3231),
  },
  [1161] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(876),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1162] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1163] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1164] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(876),
    [aux_sym_object_repeat1] = STATE(4085),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1165] = {
    [sym_arguments] = STATE(2760),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_RPAREN] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(3893),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1166] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1167] = {
    [sym_nested_identifier] = STATE(657),
    [sym_string] = STATE(680),
    [sym__module] = STATE(876),
    [aux_sym_object_repeat1] = STATE(4140),
    [aux_sym_object_pattern_repeat1] = STATE(4086),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_in] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_QMARK_DOT] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(69),
    [anon_sym_DASH_EQ] = ACTIONS(69),
    [anon_sym_STAR_EQ] = ACTIONS(69),
    [anon_sym_SLASH_EQ] = ACTIONS(69),
    [anon_sym_PERCENT_EQ] = ACTIONS(69),
    [anon_sym_CARET_EQ] = ACTIONS(69),
    [anon_sym_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(69),
    [anon_sym_LT_LT_EQ] = ACTIONS(69),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(69),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(69),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(25),
    [anon_sym_PIPE_PIPE] = ACTIONS(25),
    [anon_sym_GT_GT] = ACTIONS(25),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(25),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(25),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_QMARK_QMARK] = ACTIONS(25),
    [anon_sym_instanceof] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_satisfies] = ACTIONS(25),
    [sym__automatic_semicolon] = ACTIONS(65),
    [sym__ternary_qmark] = ACTIONS(65),
  },
  [1168] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(968),
    [sym_constructor_type] = STATE(968),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(968),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_predicate] = STATE(966),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(861),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(968),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(968),
    [sym_identifier] = ACTIONS(3895),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(3921),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1169] = {
    [sym_arguments] = STATE(2760),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_RBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(3893),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1170] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1171] = {
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(3881),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(3881),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3881),
    [anon_sym_EQ] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3877),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(3763),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1172] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1973),
    [sym_constructor_type] = STATE(1973),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1973),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_predicate] = STATE(1970),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(1906),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1973),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1973),
    [sym_identifier] = ACTIONS(3939),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(3965),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1173] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3017),
    [sym_constructor_type] = STATE(3017),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3017),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2799),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3017),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3017),
    [sym_identifier] = ACTIONS(3771),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3773),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1174] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3088),
    [sym_constructor_type] = STATE(3088),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3088),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3015),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3029),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3088),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3088),
    [sym_identifier] = ACTIONS(3787),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3795),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1175] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(931),
    [sym_constructor_type] = STATE(931),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(931),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_predicate] = STATE(928),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(861),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(931),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(931),
    [sym_identifier] = ACTIONS(3895),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(3921),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1176] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3917),
    [sym_constructor_type] = STATE(3917),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3917),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3917),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3917),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(3981),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1177] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3068),
    [sym_constructor_type] = STATE(3068),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3068),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2799),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(3048),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3068),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3068),
    [sym_identifier] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3815),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1178] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3099),
    [sym_constructor_type] = STATE(3099),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3099),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3015),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3024),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3099),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3099),
    [sym_identifier] = ACTIONS(3777),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3783),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1179] = {
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_RBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1180] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3875),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_RBRACK] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3877),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1181] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3536),
    [sym_constructor_type] = STATE(3536),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3536),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_type_parameter] = STATE(4013),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3536),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3536),
    [sym_identifier] = ACTIONS(3983),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1182] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3534),
    [sym_constructor_type] = STATE(3534),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3534),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2805),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(3318),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3534),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3534),
    [sym_identifier] = ACTIONS(3985),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3993),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1183] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(4003),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(3875),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_RBRACK] = ACTIONS(4003),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1184] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4007),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1185] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1650),
    [sym_constructor_type] = STATE(1650),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1650),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_predicate] = STATE(1648),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1629),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1650),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1650),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4035),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1186] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3079),
    [sym_constructor_type] = STATE(3079),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3079),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3022),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3029),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3079),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3079),
    [sym_identifier] = ACTIONS(3787),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3795),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1187] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4051),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1188] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1730),
    [sym_constructor_type] = STATE(1730),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1730),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_predicate] = STATE(1729),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1629),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1730),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1730),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4035),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1189] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3922),
    [sym_constructor_type] = STATE(3922),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3922),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3922),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3922),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1190] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4055),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1191] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3503),
    [sym_constructor_type] = STATE(3503),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3503),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2799),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(3318),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3503),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3503),
    [sym_identifier] = ACTIONS(3985),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3993),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1192] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4057),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1193] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3159),
    [sym_constructor_type] = STATE(3159),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3159),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_predicate] = STATE(3158),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3159),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3159),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(3857),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1194] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4059),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1195] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3021),
    [sym_constructor_type] = STATE(3021),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3021),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2805),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3021),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3021),
    [sym_identifier] = ACTIONS(3771),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3773),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1196] = {
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_RPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_RBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1197] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3137),
    [sym_constructor_type] = STATE(3137),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3137),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_predicate] = STATE(3109),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3137),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3137),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(3857),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1198] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3861),
    [sym_constructor_type] = STATE(3861),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3861),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3861),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3861),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(4061),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1199] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3910),
    [sym_constructor_type] = STATE(3910),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3910),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3910),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3910),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1200] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4065),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1201] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4067),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1202] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3096),
    [sym_constructor_type] = STATE(3096),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3096),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_predicate] = STATE(3022),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3024),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3096),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3096),
    [sym_identifier] = ACTIONS(3777),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(3783),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1203] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_predicate] = STATE(2805),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(3048),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(3815),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1204] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4069),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1205] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2085),
    [sym_constructor_type] = STATE(2085),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2085),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_predicate] = STATE(2082),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(1906),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2085),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2085),
    [sym_identifier] = ACTIONS(3939),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(3965),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1206] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1207] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4073),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1208] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4075),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1209] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3876),
    [sym_constructor_type] = STATE(3876),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3876),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3876),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3876),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(4077),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1210] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4079),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1211] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3893),
    [sym_constructor_type] = STATE(3893),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3893),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3893),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3893),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(4081),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1212] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(4083),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1213] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(937),
    [sym_constructor_type] = STATE(937),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(937),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(937),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1214] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3810),
    [sym_constructor_type] = STATE(3810),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3810),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3810),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3810),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1215] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2791),
    [sym_constructor_type] = STATE(2791),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2791),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2791),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2791),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1216] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(4033),
    [sym_constructor_type] = STATE(4033),
    [sym__primary_type] = STATE(3031),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(4033),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(4033),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(4033),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1217] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3101),
    [sym_constructor_type] = STATE(3101),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3101),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3101),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3101),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1218] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2815),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1219] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2063),
    [sym_constructor_type] = STATE(2063),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2063),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2063),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2063),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1220] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2065),
    [sym_constructor_type] = STATE(2065),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2065),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2065),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2065),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1221] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3082),
    [sym_constructor_type] = STATE(3082),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3082),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3082),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3082),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1222] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3045),
    [sym_constructor_type] = STATE(3045),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3045),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3045),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3045),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1223] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3093),
    [sym_constructor_type] = STATE(3093),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3093),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3093),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3093),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1224] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3089),
    [sym_constructor_type] = STATE(3089),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3089),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3089),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3089),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1225] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2998),
    [sym_constructor_type] = STATE(2998),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2998),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2998),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2998),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1226] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3394),
    [sym_constructor_type] = STATE(3394),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3394),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3394),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3394),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1227] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3973),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2815),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1228] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3053),
    [sym_constructor_type] = STATE(3053),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3053),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3053),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3053),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1229] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3973),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2816),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1230] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3076),
    [sym_constructor_type] = STATE(3076),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3076),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3076),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3076),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1231] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3095),
    [sym_constructor_type] = STATE(3095),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3095),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3095),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3095),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1232] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2785),
    [sym_constructor_type] = STATE(2785),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2785),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2785),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2785),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1233] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3054),
    [sym_constructor_type] = STATE(3054),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3054),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3054),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3054),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1234] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3750),
    [sym_constructor_type] = STATE(3750),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3750),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3750),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3750),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1235] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3757),
    [sym_constructor_type] = STATE(3757),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3757),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3757),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3757),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1236] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3758),
    [sym_constructor_type] = STATE(3758),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3758),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3758),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3758),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1237] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3514),
    [sym_constructor_type] = STATE(3514),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3514),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3514),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3514),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1238] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3815),
    [sym_constructor_type] = STATE(3815),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3815),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3815),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3815),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1239] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3874),
    [sym_constructor_type] = STATE(3874),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3874),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3874),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3874),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1240] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2787),
    [sym_constructor_type] = STATE(2787),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2787),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2787),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2787),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1241] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3891),
    [sym_constructor_type] = STATE(3891),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3891),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3891),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3891),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1242] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3759),
    [sym_constructor_type] = STATE(3759),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3759),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3759),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3759),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1243] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1971),
    [sym_constructor_type] = STATE(1971),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1971),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1971),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1971),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1244] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(4108),
    [sym_constructor_type] = STATE(4108),
    [sym__primary_type] = STATE(2075),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(4108),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(4108),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(4108),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1245] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(4108),
    [sym_constructor_type] = STATE(4108),
    [sym__primary_type] = STATE(2073),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(4108),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(4108),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(4108),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1246] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2072),
    [sym_constructor_type] = STATE(2072),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2072),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2072),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2072),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1247] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3908),
    [sym_constructor_type] = STATE(3908),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3908),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3908),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3908),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1248] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3760),
    [sym_constructor_type] = STATE(3760),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3760),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3760),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3760),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1249] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3575),
    [sym_constructor_type] = STATE(3575),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3575),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3575),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3575),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1250] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2068),
    [sym_constructor_type] = STATE(2068),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2068),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2068),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2068),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1251] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(2067),
    [sym_constructor_type] = STATE(2067),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(2067),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(2067),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(2067),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1252] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1697),
    [sym_constructor_type] = STATE(1697),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1697),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1697),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1697),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1253] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(4105),
    [sym_constructor_type] = STATE(4105),
    [sym__primary_type] = STATE(1713),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(4105),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(4105),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(4105),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1254] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3496),
    [sym_constructor_type] = STATE(3496),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3496),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3496),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3496),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1255] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(4105),
    [sym_constructor_type] = STATE(4105),
    [sym__primary_type] = STATE(1709),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(4105),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(4105),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(4105),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1256] = {
    [sym_component_identifier] = STATE(3435),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1257] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1707),
    [sym_constructor_type] = STATE(1707),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1707),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1707),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1707),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1258] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3761),
    [sym_constructor_type] = STATE(3761),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3761),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3761),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3761),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1259] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1660),
    [sym_constructor_type] = STATE(1660),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1660),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1660),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1660),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1260] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(892),
    [sym_constructor_type] = STATE(892),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(892),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(892),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(892),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1261] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1699),
    [sym_constructor_type] = STATE(1699),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1699),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1699),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1699),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1262] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1698),
    [sym_constructor_type] = STATE(1698),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1698),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1698),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1698),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1263] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3620),
    [sym_constructor_type] = STATE(3620),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3620),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3620),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3620),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1264] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2991),
    [sym_constructor_type] = STATE(2991),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2991),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2991),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2991),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1265] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3437),
    [sym_constructor_type] = STATE(3437),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3437),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3437),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3437),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1266] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(4033),
    [sym_constructor_type] = STATE(4033),
    [sym__primary_type] = STATE(3016),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(4033),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(4033),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(4033),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1267] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1993),
    [sym_constructor_type] = STATE(1993),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1993),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1993),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1993),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1268] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3493),
    [sym_constructor_type] = STATE(3493),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3493),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3493),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3493),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1269] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(2996),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2996),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2996),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2996),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1270] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2802),
    [sym_constructor_type] = STATE(2802),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2802),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2802),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2802),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1271] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3926),
    [sym_constructor_type] = STATE(3926),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3926),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3926),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3926),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1272] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2787),
    [sym_constructor_type] = STATE(2787),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2787),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2787),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2787),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1273] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2791),
    [sym_constructor_type] = STATE(2791),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2791),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2791),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2791),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1274] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1715),
    [sym_constructor_type] = STATE(1715),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1715),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1715),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1715),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1275] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(893),
    [sym_constructor_type] = STATE(893),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(893),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(893),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(893),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1276] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3500),
    [sym_constructor_type] = STATE(3500),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3500),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3500),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3500),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1277] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3501),
    [sym_constructor_type] = STATE(3501),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3501),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3501),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3501),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1278] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2793),
    [sym_constructor_type] = STATE(2793),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2793),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2793),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2793),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1279] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2989),
    [sym_constructor_type] = STATE(2989),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2989),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2989),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2989),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1280] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3524),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1281] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3041),
    [sym_constructor_type] = STATE(3041),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3041),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3041),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3041),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1282] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2801),
    [sym_constructor_type] = STATE(2801),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2801),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2801),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2801),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1283] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1659),
    [sym_constructor_type] = STATE(1659),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1659),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1659),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1659),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1284] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3536),
    [sym_constructor_type] = STATE(3536),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3536),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3536),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3536),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1285] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3045),
    [sym_constructor_type] = STATE(3045),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3045),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3045),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3045),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1286] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3057),
    [sym_constructor_type] = STATE(3057),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3057),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3057),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3057),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1287] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2785),
    [sym_constructor_type] = STATE(2785),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2785),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2785),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2785),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1288] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1736),
    [sym_constructor_type] = STATE(1736),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1736),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1736),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1736),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1289] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3067),
    [sym_constructor_type] = STATE(3067),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3067),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3067),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1290] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3811),
    [sym_constructor_type] = STATE(3811),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3811),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3811),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3811),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1291] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1728),
    [sym_constructor_type] = STATE(1728),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1728),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1728),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1728),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1292] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1727),
    [sym_constructor_type] = STATE(1727),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1727),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1727),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1727),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1293] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1294] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3487),
    [sym_constructor_type] = STATE(3487),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3487),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3487),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3487),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1295] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3319),
    [sym_constructor_type] = STATE(3319),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3319),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3319),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3319),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1296] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3303),
    [sym_constructor_type] = STATE(3303),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3303),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3303),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3303),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1297] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3094),
    [sym_constructor_type] = STATE(3094),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3094),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3094),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3094),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1298] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1992),
    [sym_constructor_type] = STATE(1992),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1992),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1992),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1992),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1299] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3410),
    [sym_constructor_type] = STATE(3410),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3410),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3410),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3410),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1300] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(897),
    [sym_constructor_type] = STATE(897),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(897),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(897),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(897),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1301] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(983),
    [sym_constructor_type] = STATE(983),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(983),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(983),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(983),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1302] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1742),
    [sym_constructor_type] = STATE(1742),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1742),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1742),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1742),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1303] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(976),
    [sym_constructor_type] = STATE(976),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(976),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(976),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(976),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1304] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3208),
    [sym_constructor_type] = STATE(3208),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3208),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3208),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3208),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1305] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3223),
    [sym_constructor_type] = STATE(3223),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3223),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3223),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3223),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1306] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(3996),
    [sym_constructor_type] = STATE(3996),
    [sym__primary_type] = STATE(964),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(3996),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(3996),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(3996),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1307] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3023),
    [sym_constructor_type] = STATE(3023),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3023),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3023),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3023),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1308] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(3996),
    [sym_constructor_type] = STATE(3996),
    [sym__primary_type] = STATE(957),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(3996),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(3996),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(3996),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1309] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3790),
    [sym_constructor_type] = STATE(3790),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3790),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3790),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3790),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1310] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3792),
    [sym_constructor_type] = STATE(3792),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3792),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3792),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3792),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1311] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3113),
    [sym_constructor_type] = STATE(3113),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3113),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3113),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3113),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1312] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3424),
    [sym_constructor_type] = STATE(3424),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3424),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3424),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3424),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1313] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3045),
    [sym_constructor_type] = STATE(3045),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3045),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3045),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3045),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1314] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(2816),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3993),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1315] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(3736),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(4109),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_implements] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1316] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(909),
    [sym_constructor_type] = STATE(909),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(909),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(909),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(909),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1317] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(910),
    [sym_constructor_type] = STATE(910),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(910),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(910),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(910),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1318] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3762),
    [sym_constructor_type] = STATE(3762),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3762),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3762),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3762),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1319] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3794),
    [sym_constructor_type] = STATE(3794),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3794),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3794),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3794),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1320] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3074),
    [sym_constructor_type] = STATE(3074),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3074),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3074),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3074),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1321] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3080),
    [sym_constructor_type] = STATE(3080),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3080),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3080),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3080),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1322] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3780),
    [sym_constructor_type] = STATE(3780),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3780),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3780),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3780),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1323] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3812),
    [sym_constructor_type] = STATE(3812),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3812),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3812),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3812),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1324] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3185),
    [sym_constructor_type] = STATE(3185),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3185),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3185),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3185),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1325] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3980),
    [sym_constructor_type] = STATE(3980),
    [sym__primary_type] = STATE(3031),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3980),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3980),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3980),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1326] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3993),
    [sym_constructor_type] = STATE(3993),
    [sym__primary_type] = STATE(3728),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3766),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3993),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3993),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1327] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1328] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3980),
    [sym_constructor_type] = STATE(3980),
    [sym__primary_type] = STATE(3016),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3980),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3980),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3980),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1329] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3838),
    [sym_constructor_type] = STATE(3838),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3838),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3838),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3838),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1330] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3782),
    [sym_constructor_type] = STATE(3782),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3782),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3782),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3782),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1331] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2802),
    [sym_constructor_type] = STATE(2802),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2802),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2802),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2802),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1332] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1726),
    [sym_constructor_type] = STATE(1726),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1726),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1726),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1726),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1333] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(2994),
    [sym_constructor_type] = STATE(2994),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(2994),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(2994),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(2994),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1334] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3104),
    [sym_constructor_type] = STATE(3104),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3104),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3104),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3104),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1335] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3656),
    [sym_constructor_type] = STATE(3656),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3656),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3656),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3656),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1336] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2787),
    [sym_constructor_type] = STATE(2787),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2787),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2787),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2787),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1337] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1925),
    [sym_constructor_type] = STATE(1925),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1925),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1925),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1925),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1338] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1723),
    [sym_constructor_type] = STATE(1723),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1723),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1723),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1723),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1339] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1927),
    [sym_constructor_type] = STATE(1927),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1927),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1927),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1927),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1340] = {
    [sym_component_identifier] = STATE(3435),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(4115),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1341] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3837),
    [sym_constructor_type] = STATE(3837),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3837),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3837),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3837),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1342] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3118),
    [sym_constructor_type] = STATE(3118),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3118),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3118),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3118),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1343] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(883),
    [sym_constructor_type] = STATE(883),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(883),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(883),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(883),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1344] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(915),
    [sym_constructor_type] = STATE(915),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(915),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(915),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(915),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1345] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3942),
    [sym_constructor_type] = STATE(3942),
    [sym__primary_type] = STATE(2815),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3942),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3942),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3942),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1346] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2785),
    [sym_constructor_type] = STATE(2785),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2785),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2785),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2785),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1347] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3119),
    [sym_constructor_type] = STATE(3119),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3119),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3119),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3119),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1348] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(4115),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1349] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3106),
    [sym_constructor_type] = STATE(3106),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3106),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3106),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3106),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1350] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3023),
    [sym_constructor_type] = STATE(3023),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3023),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3023),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3023),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1351] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1352] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3466),
    [sym_constructor_type] = STATE(3466),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3466),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3466),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3466),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1353] = {
    [sym_type_arguments] = STATE(2768),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LT] = ACTIONS(3743),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3746),
    [anon_sym_EQ_GT] = ACTIONS(3734),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(3736),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2582),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1354] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3190),
    [sym_constructor_type] = STATE(3190),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3190),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3190),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3190),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1355] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1952),
    [sym_constructor_type] = STATE(1952),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1952),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1952),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1952),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1356] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1951),
    [sym_constructor_type] = STATE(1951),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1951),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1951),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1951),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1357] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3127),
    [sym_constructor_type] = STATE(3127),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3127),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3127),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3127),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1358] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3128),
    [sym_constructor_type] = STATE(3128),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3128),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3128),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3128),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1359] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3107),
    [sym_constructor_type] = STATE(3107),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3107),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3107),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3107),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1360] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3141),
    [sym_constructor_type] = STATE(3141),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3141),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3141),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3141),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1361] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3841),
    [sym_constructor_type] = STATE(3841),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3841),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3841),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3841),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1362] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(965),
    [sym_constructor_type] = STATE(965),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(965),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(965),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(965),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1363] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(963),
    [sym_constructor_type] = STATE(963),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(963),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(963),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(963),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1364] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3191),
    [sym_constructor_type] = STATE(3191),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3191),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3191),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3191),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1365] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3070),
    [sym_constructor_type] = STATE(3070),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3070),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3070),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3070),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1366] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2997),
    [sym_constructor_type] = STATE(2997),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2997),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2997),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2997),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1367] = {
    [sym_nested_identifier] = STATE(4617),
    [sym_string] = STATE(1691),
    [sym_formal_parameters] = STATE(4638),
    [sym_nested_type_identifier] = STATE(1638),
    [sym__type] = STATE(1656),
    [sym_constructor_type] = STATE(1656),
    [sym__primary_type] = STATE(1689),
    [sym_template_literal_type] = STATE(1688),
    [sym_infer_type] = STATE(1656),
    [sym_conditional_type] = STATE(1688),
    [sym_generic_type] = STATE(1688),
    [sym_type_query] = STATE(1688),
    [sym_index_type_query] = STATE(1688),
    [sym_lookup_type] = STATE(1688),
    [sym_literal_type] = STATE(1688),
    [sym__number] = STATE(1694),
    [sym_existential_type] = STATE(1688),
    [sym_flow_maybe_type] = STATE(1688),
    [sym_parenthesized_type] = STATE(1688),
    [sym_predefined_type] = STATE(1688),
    [sym_object_type] = STATE(1688),
    [sym_type_parameters] = STATE(4369),
    [sym_array_type] = STATE(1688),
    [sym_tuple_type] = STATE(1688),
    [sym_readonly_type] = STATE(1656),
    [sym_union_type] = STATE(1688),
    [sym_intersection_type] = STATE(1688),
    [sym_function_type] = STATE(1656),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4025),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_void] = ACTIONS(4029),
    [anon_sym_DQUOTE] = ACTIONS(88),
    [anon_sym_SQUOTE] = ACTIONS(90),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4031),
    [sym_number] = ACTIONS(4033),
    [sym_this] = ACTIONS(4099),
    [sym_true] = ACTIONS(4037),
    [sym_false] = ACTIONS(4037),
    [sym_null] = ACTIONS(4037),
    [sym_undefined] = ACTIONS(4037),
    [anon_sym_readonly] = ACTIONS(4039),
    [anon_sym_QMARK] = ACTIONS(4041),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4043),
    [anon_sym_infer] = ACTIONS(4045),
    [anon_sym_keyof] = ACTIONS(4047),
    [anon_sym_unknown] = ACTIONS(4029),
    [anon_sym_never] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4049),
  },
  [1368] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3155),
    [sym_constructor_type] = STATE(3155),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3155),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3155),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3155),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1369] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2802),
    [sym_constructor_type] = STATE(2802),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2802),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2802),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2802),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1370] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3085),
    [sym_constructor_type] = STATE(3085),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3085),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3085),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3085),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1371] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3057),
    [sym_constructor_type] = STATE(3057),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3057),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3057),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3057),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1372] = {
    [sym_component_identifier] = STATE(3471),
    [sym_new_component_body] = STATE(2241),
    [sym_tagged_type_string] = STATE(2102),
    [sym_tripple_tagged_type_string] = STATE(2229),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_COMMA] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(4121),
    [anon_sym_of] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3697),
    [anon_sym_EQ_GT] = ACTIONS(3700),
    [anon_sym_QMARK_DOT] = ACTIONS(1864),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3704),
    [sym__automatic_semicolon] = ACTIONS(1864),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1373] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2801),
    [sym_constructor_type] = STATE(2801),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2801),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2801),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2801),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1374] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3156),
    [sym_constructor_type] = STATE(3156),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3156),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3156),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3156),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1375] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(935),
    [sym_constructor_type] = STATE(935),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(935),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(935),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(935),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1376] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3090),
    [sym_constructor_type] = STATE(3090),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3090),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3090),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3090),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1377] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3102),
    [sym_constructor_type] = STATE(3102),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3102),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3102),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3102),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1378] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3087),
    [sym_constructor_type] = STATE(3087),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3087),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3087),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3087),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1379] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2801),
    [sym_constructor_type] = STATE(2801),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2801),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2801),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2801),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1380] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1933),
    [sym_constructor_type] = STATE(1933),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1933),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1933),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1933),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1381] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(4168),
    [sym_constructor_type] = STATE(4168),
    [sym__primary_type] = STATE(3176),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(4168),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(4168),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(4168),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1382] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3580),
    [sym_constructor_type] = STATE(3580),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3580),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3580),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3580),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1383] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3679),
    [sym_constructor_type] = STATE(3679),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3679),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3679),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3679),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1384] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3054),
    [sym_constructor_type] = STATE(3054),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3054),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3054),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3054),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1385] = {
    [sym_nested_identifier] = STATE(4667),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4712),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3542),
    [sym_constructor_type] = STATE(3542),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3542),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4458),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3542),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3542),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(870),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1386] = {
    [sym_arguments] = STATE(2760),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_EQ_GT] = ACTIONS(4109),
    [anon_sym_QMARK_DOT] = ACTIONS(3893),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2626),
    [anon_sym_implements] = ACTIONS(1864),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1387] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(4168),
    [sym_constructor_type] = STATE(4168),
    [sym__primary_type] = STATE(3182),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(4168),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(4168),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(4168),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1388] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3686),
    [sym_constructor_type] = STATE(3686),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3686),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3686),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3686),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1389] = {
    [sym_nested_identifier] = STATE(4684),
    [sym_string] = STATE(981),
    [sym_formal_parameters] = STATE(4678),
    [sym_nested_type_identifier] = STATE(714),
    [sym__type] = STATE(934),
    [sym_constructor_type] = STATE(934),
    [sym__primary_type] = STATE(906),
    [sym_template_literal_type] = STATE(949),
    [sym_infer_type] = STATE(934),
    [sym_conditional_type] = STATE(949),
    [sym_generic_type] = STATE(949),
    [sym_type_query] = STATE(949),
    [sym_index_type_query] = STATE(949),
    [sym_lookup_type] = STATE(949),
    [sym_literal_type] = STATE(949),
    [sym__number] = STATE(914),
    [sym_existential_type] = STATE(949),
    [sym_flow_maybe_type] = STATE(949),
    [sym_parenthesized_type] = STATE(949),
    [sym_predefined_type] = STATE(949),
    [sym_object_type] = STATE(949),
    [sym_type_parameters] = STATE(4396),
    [sym_array_type] = STATE(949),
    [sym_tuple_type] = STATE(949),
    [sym_readonly_type] = STATE(934),
    [sym_union_type] = STATE(949),
    [sym_intersection_type] = STATE(949),
    [sym_function_type] = STATE(934),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_void] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3917),
    [sym_number] = ACTIONS(3919),
    [sym_this] = ACTIONS(4087),
    [sym_true] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [sym_null] = ACTIONS(3923),
    [sym_undefined] = ACTIONS(3923),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3915),
    [anon_sym_number] = ACTIONS(3915),
    [anon_sym_boolean] = ACTIONS(3915),
    [anon_sym_string] = ACTIONS(3915),
    [anon_sym_symbol] = ACTIONS(3915),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_infer] = ACTIONS(3931),
    [anon_sym_keyof] = ACTIONS(3933),
    [anon_sym_unknown] = ACTIONS(3915),
    [anon_sym_never] = ACTIONS(3915),
    [anon_sym_object] = ACTIONS(3915),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3935),
  },
  [1390] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3833),
    [sym_constructor_type] = STATE(3833),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3833),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3833),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3833),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1391] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2793),
    [sym_constructor_type] = STATE(2793),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2793),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2793),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2793),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1392] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3125),
    [sym_constructor_type] = STATE(3125),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3125),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3125),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3125),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1393] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(3749),
    [sym_constructor_type] = STATE(3749),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3749),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3749),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3749),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1394] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(2785),
    [sym_constructor_type] = STATE(2785),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2785),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2785),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2785),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1395] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2791),
    [sym_constructor_type] = STATE(2791),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2791),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2791),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2791),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(690),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(114),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1396] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(3053),
    [sym_constructor_type] = STATE(3053),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(3053),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(3053),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(3053),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
  [1397] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3375),
    [sym_constructor_type] = STATE(3375),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3375),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3375),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3375),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1398] = {
    [sym_nested_identifier] = STATE(4711),
    [sym_string] = STATE(3205),
    [sym_formal_parameters] = STATE(4899),
    [sym_nested_type_identifier] = STATE(2995),
    [sym__type] = STATE(3124),
    [sym_constructor_type] = STATE(3124),
    [sym__primary_type] = STATE(3204),
    [sym_template_literal_type] = STATE(3203),
    [sym_infer_type] = STATE(3124),
    [sym_conditional_type] = STATE(3203),
    [sym_generic_type] = STATE(3203),
    [sym_type_query] = STATE(3203),
    [sym_index_type_query] = STATE(3203),
    [sym_lookup_type] = STATE(3203),
    [sym_literal_type] = STATE(3203),
    [sym__number] = STATE(3200),
    [sym_existential_type] = STATE(3203),
    [sym_flow_maybe_type] = STATE(3203),
    [sym_parenthesized_type] = STATE(3203),
    [sym_predefined_type] = STATE(3203),
    [sym_object_type] = STATE(3203),
    [sym_type_parameters] = STATE(4372),
    [sym_array_type] = STATE(3203),
    [sym_tuple_type] = STATE(3203),
    [sym_readonly_type] = STATE(3124),
    [sym_union_type] = STATE(3203),
    [sym_intersection_type] = STATE(3203),
    [sym_function_type] = STATE(3124),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3837),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3841),
    [anon_sym_PIPE] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_void] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3853),
    [sym_number] = ACTIONS(3855),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [sym_null] = ACTIONS(3859),
    [sym_undefined] = ACTIONS(3859),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_any] = ACTIONS(3847),
    [anon_sym_number] = ACTIONS(3847),
    [anon_sym_boolean] = ACTIONS(3847),
    [anon_sym_string] = ACTIONS(3847),
    [anon_sym_symbol] = ACTIONS(3847),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_infer] = ACTIONS(3869),
    [anon_sym_keyof] = ACTIONS(3871),
    [anon_sym_unknown] = ACTIONS(3847),
    [anon_sym_never] = ACTIONS(3847),
    [anon_sym_object] = ACTIONS(3847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3873),
  },
  [1399] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4871),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3374),
    [sym_constructor_type] = STATE(3374),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3374),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4225),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3374),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3374),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3999),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1400] = {
    [sym_arguments] = STATE(2760),
    [sym_component_identifier] = STATE(3445),
    [sym_new_component_body] = STATE(1820),
    [sym_tagged_type_string] = STATE(1811),
    [sym_tripple_tagged_type_string] = STATE(1816),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_RBRACK] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_EQ_GT] = ACTIONS(3877),
    [anon_sym_QMARK_DOT] = ACTIONS(3893),
    [anon_sym_PLUS_EQ] = ACTIONS(1873),
    [anon_sym_DASH_EQ] = ACTIONS(1873),
    [anon_sym_STAR_EQ] = ACTIONS(1873),
    [anon_sym_SLASH_EQ] = ACTIONS(1873),
    [anon_sym_PERCENT_EQ] = ACTIONS(1873),
    [anon_sym_CARET_EQ] = ACTIONS(1873),
    [anon_sym_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1873),
    [anon_sym_LT_LT_EQ] = ACTIONS(1873),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1873),
    [anon_sym_AMP_AMP] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1864),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1864),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1864),
    [anon_sym_QMARK_QMARK] = ACTIONS(1860),
    [anon_sym_instanceof] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3739),
    [anon_sym_satisfies] = ACTIONS(1864),
    [anon_sym_extends] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1880),
    [sym__ternary_qmark] = ACTIONS(1864),
  },
  [1401] = {
    [sym_nested_identifier] = STATE(4698),
    [sym_string] = STATE(2038),
    [sym_formal_parameters] = STATE(4747),
    [sym_nested_type_identifier] = STATE(1859),
    [sym__type] = STATE(1934),
    [sym_constructor_type] = STATE(1934),
    [sym__primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(2045),
    [sym_infer_type] = STATE(1934),
    [sym_conditional_type] = STATE(2045),
    [sym_generic_type] = STATE(2045),
    [sym_type_query] = STATE(2045),
    [sym_index_type_query] = STATE(2045),
    [sym_lookup_type] = STATE(2045),
    [sym_literal_type] = STATE(2045),
    [sym__number] = STATE(2047),
    [sym_existential_type] = STATE(2045),
    [sym_flow_maybe_type] = STATE(2045),
    [sym_parenthesized_type] = STATE(2045),
    [sym_predefined_type] = STATE(2045),
    [sym_object_type] = STATE(2045),
    [sym_type_parameters] = STATE(4381),
    [sym_array_type] = STATE(2045),
    [sym_tuple_type] = STATE(2045),
    [sym_readonly_type] = STATE(1934),
    [sym_union_type] = STATE(2045),
    [sym_intersection_type] = STATE(2045),
    [sym_function_type] = STATE(1934),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3953),
    [anon_sym_PIPE] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_number] = ACTIONS(3963),
    [sym_this] = ACTIONS(4095),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_null] = ACTIONS(3967),
    [sym_undefined] = ACTIONS(3967),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3971),
    [anon_sym_any] = ACTIONS(3959),
    [anon_sym_number] = ACTIONS(3959),
    [anon_sym_boolean] = ACTIONS(3959),
    [anon_sym_string] = ACTIONS(3959),
    [anon_sym_symbol] = ACTIONS(3959),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_infer] = ACTIONS(3975),
    [anon_sym_keyof] = ACTIONS(3977),
    [anon_sym_unknown] = ACTIONS(3959),
    [anon_sym_never] = ACTIONS(3959),
    [anon_sym_object] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3979),
  },
  [1402] = {
    [sym_nested_identifier] = STATE(4690),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4545),
    [sym_nested_type_identifier] = STATE(2767),
    [sym__type] = STATE(2793),
    [sym_constructor_type] = STATE(2793),
    [sym__primary_type] = STATE(2777),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(2793),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4320),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(2793),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(2793),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(3825),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1403] = {
    [sym_nested_identifier] = STATE(4644),
    [sym_string] = STATE(2774),
    [sym_formal_parameters] = STATE(4787),
    [sym_nested_type_identifier] = STATE(3214),
    [sym__type] = STATE(3942),
    [sym_constructor_type] = STATE(3942),
    [sym__primary_type] = STATE(2816),
    [sym_template_literal_type] = STATE(2778),
    [sym_infer_type] = STATE(3942),
    [sym_conditional_type] = STATE(2778),
    [sym_generic_type] = STATE(2778),
    [sym_type_query] = STATE(2778),
    [sym_index_type_query] = STATE(2778),
    [sym_lookup_type] = STATE(2778),
    [sym_literal_type] = STATE(2778),
    [sym__number] = STATE(2779),
    [sym_existential_type] = STATE(2778),
    [sym_flow_maybe_type] = STATE(2778),
    [sym_parenthesized_type] = STATE(2778),
    [sym_predefined_type] = STATE(2778),
    [sym_object_type] = STATE(2778),
    [sym_type_parameters] = STATE(4318),
    [sym_array_type] = STATE(2778),
    [sym_tuple_type] = STATE(2778),
    [sym_readonly_type] = STATE(3942),
    [sym_union_type] = STATE(2778),
    [sym_intersection_type] = STATE(2778),
    [sym_function_type] = STATE(3942),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(3989),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_void] = ACTIONS(116),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_any] = ACTIONS(116),
    [anon_sym_number] = ACTIONS(116),
    [anon_sym_boolean] = ACTIONS(116),
    [anon_sym_string] = ACTIONS(116),
    [anon_sym_symbol] = ACTIONS(116),
    [anon_sym_abstract] = ACTIONS(110),
    [anon_sym_infer] = ACTIONS(112),
    [anon_sym_keyof] = ACTIONS(4001),
    [anon_sym_unknown] = ACTIONS(116),
    [anon_sym_never] = ACTIONS(116),
    [anon_sym_object] = ACTIONS(116),
    [anon_sym_LBRACE_PIPE] = ACTIONS(118),
  },
  [1404] = {
    [sym_nested_identifier] = STATE(4717),
    [sym_string] = STATE(3011),
    [sym_formal_parameters] = STATE(4592),
    [sym_nested_type_identifier] = STATE(2901),
    [sym__type] = STATE(2994),
    [sym_constructor_type] = STATE(2994),
    [sym__primary_type] = STATE(3007),
    [sym_template_literal_type] = STATE(3006),
    [sym_infer_type] = STATE(2994),
    [sym_conditional_type] = STATE(3006),
    [sym_generic_type] = STATE(3006),
    [sym_type_query] = STATE(3006),
    [sym_index_type_query] = STATE(3006),
    [sym_lookup_type] = STATE(3006),
    [sym_literal_type] = STATE(3006),
    [sym__number] = STATE(3005),
    [sym_existential_type] = STATE(3006),
    [sym_flow_maybe_type] = STATE(3006),
    [sym_parenthesized_type] = STATE(3006),
    [sym_predefined_type] = STATE(3006),
    [sym_object_type] = STATE(3006),
    [sym_type_parameters] = STATE(4357),
    [sym_array_type] = STATE(3006),
    [sym_tuple_type] = STATE(3006),
    [sym_readonly_type] = STATE(2994),
    [sym_union_type] = STATE(3006),
    [sym_intersection_type] = STATE(3006),
    [sym_function_type] = STATE(2994),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_void] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_any] = ACTIONS(872),
    [anon_sym_number] = ACTIONS(872),
    [anon_sym_boolean] = ACTIONS(872),
    [anon_sym_string] = ACTIONS(872),
    [anon_sym_symbol] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_infer] = ACTIONS(868),
    [anon_sym_keyof] = ACTIONS(3805),
    [anon_sym_unknown] = ACTIONS(872),
    [anon_sym_never] = ACTIONS(872),
    [anon_sym_object] = ACTIONS(872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(874),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_EQ_GT,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(3891), 1,
      anon_sym_DOT,
    ACTIONS(3893), 1,
      anon_sym_QMARK_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(2760), 1,
      sym_arguments,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(2624), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2626), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(1864), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(4126), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [202] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3734), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3760), 1,
      anon_sym_RBRACK,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(4129), 1,
      anon_sym_in,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [305] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4109), 1,
      anon_sym_EQ_GT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [399] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4135), 1,
      anon_sym_export,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4143), 1,
      anon_sym_RBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4147), 1,
      anon_sym_SEMI,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4151), 1,
      anon_sym_async,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4159), 1,
      anon_sym_static,
    ACTIONS(4161), 1,
      anon_sym_readonly,
    ACTIONS(4167), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4171), 1,
      anon_sym_PIPE_RBRACE,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4163), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4165), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3412), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4133), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [537] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(1950), 1,
      anon_sym_COLON,
    ACTIONS(4173), 1,
      sym_identifier,
    STATE(875), 1,
      sym__module,
    STATE(3703), 1,
      sym_nested_identifier,
    STATE(3840), 1,
      sym_string,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [627] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4135), 1,
      anon_sym_export,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4151), 1,
      anon_sym_async,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4159), 1,
      anon_sym_static,
    ACTIONS(4161), 1,
      anon_sym_readonly,
    ACTIONS(4167), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4177), 1,
      anon_sym_RBRACE,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4163), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4165), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4133), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [765] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(657), 1,
      sym_nested_identifier,
    STATE(680), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [855] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(657), 1,
      sym_nested_identifier,
    STATE(680), 1,
      sym_string,
    STATE(876), 1,
      sym__module,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_in,
    ACTIONS(4183), 1,
      anon_sym_COLON,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1043] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4187), 1,
      anon_sym_export,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    ACTIONS(4191), 1,
      anon_sym_async,
    ACTIONS(4193), 1,
      anon_sym_static,
    ACTIONS(4195), 1,
      anon_sym_readonly,
    ACTIONS(4201), 1,
      anon_sym_override,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4197), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4199), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4185), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [1181] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4205), 1,
      anon_sym_export,
    ACTIONS(4207), 1,
      anon_sym_RBRACE,
    ACTIONS(4209), 1,
      anon_sym_async,
    ACTIONS(4211), 1,
      anon_sym_static,
    ACTIONS(4213), 1,
      anon_sym_readonly,
    ACTIONS(4219), 1,
      anon_sym_override,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4215), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4217), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4203), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [1319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_EQ_GT,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(3881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3734), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3760), 1,
      anon_sym_RBRACK,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1513] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4135), 1,
      anon_sym_export,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4151), 1,
      anon_sym_async,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4159), 1,
      anon_sym_static,
    ACTIONS(4161), 1,
      anon_sym_readonly,
    ACTIONS(4167), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4221), 1,
      anon_sym_RBRACE,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4163), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4165), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4133), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [1651] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4221), 1,
      anon_sym_RBRACE,
    ACTIONS(4225), 1,
      anon_sym_export,
    ACTIONS(4227), 1,
      anon_sym_async,
    ACTIONS(4229), 1,
      anon_sym_static,
    ACTIONS(4231), 1,
      anon_sym_readonly,
    ACTIONS(4237), 1,
      anon_sym_override,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4233), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4235), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4223), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [1789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(1950), 1,
      anon_sym_COLON,
    ACTIONS(4173), 1,
      sym_identifier,
    STATE(876), 1,
      sym__module,
    STATE(3703), 1,
      sym_nested_identifier,
    STATE(3840), 1,
      sym_string,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1879] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4187), 1,
      anon_sym_export,
    ACTIONS(4191), 1,
      anon_sym_async,
    ACTIONS(4193), 1,
      anon_sym_static,
    ACTIONS(4195), 1,
      anon_sym_readonly,
    ACTIONS(4201), 1,
      anon_sym_override,
    ACTIONS(4239), 1,
      anon_sym_RBRACE,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4197), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4199), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4185), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [2017] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_in,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2115] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4205), 1,
      anon_sym_export,
    ACTIONS(4209), 1,
      anon_sym_async,
    ACTIONS(4211), 1,
      anon_sym_static,
    ACTIONS(4213), 1,
      anon_sym_readonly,
    ACTIONS(4219), 1,
      anon_sym_override,
    ACTIONS(4241), 1,
      anon_sym_RBRACE,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4215), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4217), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4203), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [2253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4109), 1,
      anon_sym_EQ_GT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4243), 1,
      sym_identifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2438] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4243), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4245), 1,
      sym_identifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    ACTIONS(4249), 1,
      anon_sym_EQ_GT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2713] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_EQ_GT,
    ACTIONS(4121), 1,
      anon_sym_in,
    ACTIONS(4124), 1,
      anon_sym_of,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2810] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4249), 1,
      anon_sym_EQ_GT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2903] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(4243), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4243), 1,
      sym_identifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4245), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(4245), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3267] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4245), 1,
      sym_identifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(65), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3358] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2004), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [3514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2024), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [3582] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_EQ_GT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2008), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [3742] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(1996), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [3898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2020), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [3966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2012), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [4034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_DOT,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_EQ_GT,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(2282), 1,
      sym_new_component_body,
    STATE(3504), 1,
      sym_component_identifier,
    ACTIONS(1864), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 23,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(2016), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [4194] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4282] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_EQ,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1920), 1,
      anon_sym_QMARK,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1992), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [4437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2000), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [4504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [4575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(628), 1,
      anon_sym_QMARK,
    ACTIONS(29), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4651] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_class,
    ACTIONS(4260), 1,
      anon_sym_AMP,
    ACTIONS(4263), 1,
      anon_sym_AT,
    ACTIONS(4266), 1,
      anon_sym_component,
    STATE(1463), 1,
      aux_sym_class_repeat1,
    STATE(1478), 1,
      sym_decorator,
    STATE(3820), 1,
      sym_component_short_heritage,
    ACTIONS(4255), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(4253), 38,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [4731] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4271), 1,
      anon_sym_export,
    ACTIONS(4276), 1,
      anon_sym_async,
    ACTIONS(4278), 1,
      anon_sym_static,
    ACTIONS(4280), 1,
      anon_sym_readonly,
    ACTIONS(4286), 1,
      anon_sym_override,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4282), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4284), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4348), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4350), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3442), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4269), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [4855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1270), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4933] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4137), 1,
      anon_sym_STAR,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4149), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4271), 1,
      anon_sym_export,
    ACTIONS(4276), 1,
      anon_sym_async,
    ACTIONS(4278), 1,
      anon_sym_static,
    ACTIONS(4280), 1,
      anon_sym_readonly,
    ACTIONS(4286), 1,
      anon_sym_override,
    STATE(2645), 1,
      sym_accessibility_modifier,
    STATE(2672), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4282), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4284), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2907), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4348), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4350), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3453), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4269), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [5057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(1129), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(3879), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_EQ,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(628), 1,
      anon_sym_QMARK,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1270), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      sym_identifier,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5362] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(628), 1,
      anon_sym_QMARK,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1270), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_AT,
    STATE(1463), 1,
      aux_sym_class_repeat1,
    STATE(1478), 1,
      sym_decorator,
    ACTIONS(4255), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(4253), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [5514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      sym_identifier,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    STATE(1490), 1,
      sym_arguments,
    ACTIONS(4296), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4294), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [5731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_EQ,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(628), 1,
      anon_sym_QMARK,
    ACTIONS(122), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(3760), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(1950), 1,
      anon_sym_COLON,
    ACTIONS(4245), 1,
      sym_identifier,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(1950), 1,
      anon_sym_COLON,
    ACTIONS(4243), 1,
      sym_identifier,
    ACTIONS(65), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(2364), 1,
      anon_sym_EQ_GT,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3881), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4296), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4294), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_component,
  [6376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2024), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2008), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4304), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4302), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_component,
  [6568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2012), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1996), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1129), 1,
      anon_sym_COLON,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1270), 1,
      anon_sym_extends,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4306), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_EQ_GT,
    ACTIONS(2405), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1129), 1,
      anon_sym_COLON,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1122), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2004), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4310), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [7048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1992), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [7112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2020), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [7176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(2353), 1,
      anon_sym_in,
    ACTIONS(4314), 1,
      anon_sym_of,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2000), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [7314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4316), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_component,
  [7378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2016), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [7442] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1272), 1,
      anon_sym_QMARK,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1270), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7588] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(1129), 1,
      anon_sym_COLON,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(4288), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1270), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(65), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(1950), 1,
      anon_sym_COLON,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7876] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_EQ,
    ACTIONS(1223), 1,
      anon_sym_EQ_GT,
    ACTIONS(1270), 1,
      anon_sym_extends,
    ACTIONS(4288), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4291), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(65), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3355), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [8154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(4121), 1,
      anon_sym_in,
    ACTIONS(4124), 1,
      anon_sym_of,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1270), 1,
      anon_sym_extends,
    ACTIONS(4288), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4291), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_EQ,
    ACTIONS(1223), 1,
      anon_sym_EQ_GT,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_EQ_GT,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(65), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8505] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_RBRACK,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(122), 1,
      anon_sym_COMMA,
    ACTIONS(2493), 1,
      anon_sym_COLON,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(3875), 1,
      anon_sym_COLON,
    ACTIONS(4126), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3165), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [8714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3315), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [8777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1864), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym__automatic_semicolon,
    ACTIONS(1462), 17,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1460), 36,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [8907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_AMP,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(4322), 40,
      anon_sym_export,
      anon_sym_type,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_component,
  [8969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2493), 1,
      anon_sym_COLON,
    ACTIONS(65), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      sym__automatic_semicolon,
    ACTIONS(1378), 17,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1374), 36,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [9103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_EQ,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2600), 1,
      anon_sym_COLON,
    ACTIONS(65), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_RBRACK,
    ACTIONS(45), 1,
      anon_sym_EQ,
    ACTIONS(63), 1,
      anon_sym_EQ_GT,
    ACTIONS(122), 1,
      anon_sym_COMMA,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(1129), 1,
      anon_sym_COLON,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(2840), 1,
      anon_sym_EQ_GT,
    ACTIONS(65), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3760), 1,
      anon_sym_RBRACK,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(2353), 1,
      anon_sym_in,
    ACTIONS(4314), 1,
      anon_sym_of,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 17,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1738), 36,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [9719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1460), 36,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [9780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_EQ,
    ACTIONS(2840), 1,
      anon_sym_EQ_GT,
    ACTIONS(65), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(3875), 1,
      anon_sym_COLON,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    ACTIONS(1864), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_EQ_GT,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(65), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(69), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(25), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(4121), 1,
      anon_sym_in,
    ACTIONS(4124), 1,
      anon_sym_of,
    ACTIONS(1864), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(1873), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1860), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 18,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4326), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [10169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_COLON,
    ACTIONS(4336), 1,
      anon_sym_EQ,
    ACTIONS(4332), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4330), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [10231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(1572), 1,
      sym_property_expression_initializer,
    ACTIONS(4340), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4338), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [10293] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4179), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4181), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3461), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10400] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4364), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4366), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3433), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10507] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4368), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4370), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3477), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10614] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4147), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4171), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3412), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_COLON,
    ACTIONS(4374), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4372), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [10780] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4380), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3509), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10887] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4382), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4384), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3403), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [10994] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4386), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4388), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3473), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [11101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_COLON,
    ACTIONS(4392), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4390), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4396), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4400), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 15,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4404), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4410), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3489), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4414), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3545), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4418), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3541), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4422), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4426), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3499), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3497), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4430), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3501), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [11946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3533), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4434), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4438), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4442), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4446), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4450), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3449), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4454), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3445), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4458), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4462), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3513), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4466), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4470), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4474), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4478), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4482), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4486), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [12954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4490), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4494), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4498), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2716), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4504), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4502), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4506), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4510), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4514), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(3493), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4518), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4522), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4526), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13626] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4530), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [13729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [13832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_EQ,
    ACTIONS(4332), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4330), 29,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [13891] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4538), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [13994] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4542), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14200] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4544), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14303] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14406] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14509] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4550), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14612] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4552), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14715] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4554), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14818] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4556), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14921] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15024] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4560), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15127] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4562), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15230] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4566), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15436] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4568), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15539] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4570), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15642] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15745] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4574), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 15,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4576), 32,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [15903] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4582), 1,
      anon_sym_RBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      anon_sym_async,
    ACTIONS(4588), 1,
      anon_sym_static,
    ACTIONS(4590), 1,
      anon_sym_readonly,
    ACTIONS(4596), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4592), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4594), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4580), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16001] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    ACTIONS(4602), 1,
      anon_sym_async,
    ACTIONS(4604), 1,
      anon_sym_static,
    ACTIONS(4606), 1,
      anon_sym_readonly,
    ACTIONS(4612), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4608), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4610), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4598), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_LT,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_is,
    STATE(1705), 1,
      sym_type_arguments,
    ACTIONS(2580), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2582), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [16161] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4622), 1,
      anon_sym_RBRACE,
    ACTIONS(4624), 1,
      anon_sym_async,
    ACTIONS(4626), 1,
      anon_sym_static,
    ACTIONS(4628), 1,
      anon_sym_readonly,
    ACTIONS(4634), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4630), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4632), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4620), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16259] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4638), 1,
      anon_sym_RBRACE,
    ACTIONS(4640), 1,
      anon_sym_async,
    ACTIONS(4642), 1,
      anon_sym_static,
    ACTIONS(4644), 1,
      anon_sym_readonly,
    ACTIONS(4650), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4130), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4646), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4648), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4636), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16357] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4654), 1,
      anon_sym_RBRACE,
    ACTIONS(4656), 1,
      anon_sym_async,
    ACTIONS(4658), 1,
      anon_sym_static,
    ACTIONS(4660), 1,
      anon_sym_readonly,
    ACTIONS(4666), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4000), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4662), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4664), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3997), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4652), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4614), 1,
      anon_sym_LT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4672), 1,
      anon_sym_DOT,
    STATE(1651), 1,
      sym_type_arguments,
    STATE(1840), 1,
      sym_arguments,
    STATE(3588), 1,
      sym_optional_chain,
    ACTIONS(2562), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2564), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [16525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COLON,
    ACTIONS(4392), 16,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4390), 29,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [16581] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(4680), 1,
      anon_sym_async,
    ACTIONS(4682), 1,
      anon_sym_static,
    ACTIONS(4684), 1,
      anon_sym_readonly,
    ACTIONS(4690), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4686), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4676), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16679] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4694), 1,
      anon_sym_RBRACE,
    ACTIONS(4696), 1,
      anon_sym_async,
    ACTIONS(4698), 1,
      anon_sym_static,
    ACTIONS(4700), 1,
      anon_sym_readonly,
    ACTIONS(4706), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4000), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4702), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4704), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3997), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4692), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16777] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4710), 1,
      anon_sym_RBRACE,
    ACTIONS(4712), 1,
      anon_sym_async,
    ACTIONS(4714), 1,
      anon_sym_static,
    ACTIONS(4716), 1,
      anon_sym_readonly,
    ACTIONS(4722), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4038), 1,
      aux_sym_object_repeat1,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4718), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4720), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3986), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4708), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1270), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [16928] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3489), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17027] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3442), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(3094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3096), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [17191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2746), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [17244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(3090), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3092), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [17303] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3453), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_is,
    ACTIONS(3060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3062), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [17457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_is,
    ACTIONS(2630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [17512] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2776), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2778), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [17585] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3739), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_LT,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    STATE(1705), 1,
      sym_type_arguments,
    ACTIONS(2580), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2582), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [17743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2734), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [17796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_SEMI,
    ACTIONS(4738), 15,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4736), 29,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [17851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3497), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4742), 1,
      anon_sym_DOT,
    STATE(1743), 1,
      sym_arguments,
    ACTIONS(2780), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2782), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4744), 1,
      anon_sym_DOT,
    STATE(1682), 1,
      sym_arguments,
    ACTIONS(2638), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_LT,
    STATE(1714), 1,
      sym_type_arguments,
    ACTIONS(2630), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    STATE(1724), 1,
      sym_arguments,
    ACTIONS(2624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(4748), 1,
      sym__automatic_semicolon,
    ACTIONS(1374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [18241] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3398), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3528), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18439] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2812), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [18506] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(4153), 1,
      anon_sym_new,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4169), 1,
      anon_sym_abstract,
    ACTIONS(4344), 1,
      anon_sym_export,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_async,
    ACTIONS(4354), 1,
      anon_sym_static,
    ACTIONS(4356), 1,
      anon_sym_readonly,
    ACTIONS(4362), 1,
      anon_sym_override,
    STATE(2656), 1,
      sym_accessibility_modifier,
    STATE(2666), 1,
      sym_override_modifier,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3614), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(4352), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3429), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym__automatic_semicolon,
    ACTIONS(1460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [18711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3229), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3227), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3229), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [18925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    STATE(1746), 1,
      sym_arguments,
    ACTIONS(3215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3217), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [18981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3239), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4672), 1,
      anon_sym_DOT,
    STATE(4506), 1,
      sym_optional_chain,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [19143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3249), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3257), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3251), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3253), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [19409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [19467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3265), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3269), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3265), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3269), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3110), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3287), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3110), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3287), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3291), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2746), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [20247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2742), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3317), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20403] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4760), 1,
      anon_sym_async,
    ACTIONS(4762), 1,
      anon_sym_static,
    ACTIONS(4764), 1,
      anon_sym_readonly,
    ACTIONS(4770), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    ACTIONS(211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4766), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4768), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4348), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4350), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4758), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [20493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3383), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2734), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [20701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym__automatic_semicolon,
    ACTIONS(1374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [20755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2750), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2808), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LBRACK,
    ACTIONS(3169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3171), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3062), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    ACTIONS(3241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3243), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3163), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3197), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3209), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3147), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(3393), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3395), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3391), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2758), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3309), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3221), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3375), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3369), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3371), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [21963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_extends,
    ACTIONS(4772), 1,
      anon_sym_LBRACK,
    ACTIONS(3169), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3331), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [22073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3325), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4672), 1,
      anon_sym_DOT,
    STATE(3588), 1,
      sym_optional_chain,
    ACTIONS(3137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3139), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [22185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3313), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3305), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(3141), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3143), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3233), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [22505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DOT,
    ACTIONS(3126), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3128), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3112), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3114), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [22825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3124), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3321), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [22987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(3327), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3329), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_AMP,
    ACTIONS(4754), 1,
      anon_sym_PIPE,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [23203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3225), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4781), 15,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_QMARK,
      anon_sym_LBRACE_PIPE,
    ACTIONS(4779), 29,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_async,
      anon_sym_new,
      anon_sym_void,
      sym_identifier,
      sym_this,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_infer,
      anon_sym_keyof,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
      anon_sym_prop,
      anon_sym_id,
      anon_sym_event,
      anon_sym_fn,
      anon_sym_on,
  [23307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3345), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2738), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3181), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3349), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3353), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3189), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3167), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3185), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3361), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3046), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [23930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(3363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [23983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3531), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2832), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1506), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24289] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_STAR,
    ACTIONS(4789), 1,
      anon_sym_RBRACE,
    ACTIONS(4791), 1,
      anon_sym_LBRACK,
    ACTIONS(4794), 1,
      anon_sym_async,
    ACTIONS(4797), 1,
      anon_sym_DASH,
    ACTIONS(4800), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      anon_sym_SQUOTE,
    ACTIONS(4809), 1,
      anon_sym_AT,
    ACTIONS(4812), 1,
      anon_sym_static,
    ACTIONS(4815), 1,
      anon_sym_readonly,
    ACTIONS(4821), 1,
      anon_sym_declare,
    ACTIONS(4827), 1,
      anon_sym_override,
    ACTIONS(4830), 1,
      anon_sym_abstract,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4806), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4818), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4824), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4783), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [24384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3495), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3419), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3571), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24639] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_RBRACE,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1808), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [24734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3139), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24785] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4853), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [24880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3399), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3519), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1484), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1414), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3563), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3549), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1670), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25441] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym_identifier,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4859), 1,
      anon_sym_LBRACE,
    ACTIONS(4861), 1,
      anon_sym_from,
    ACTIONS(4863), 1,
      anon_sym_DOT,
    STATE(636), 1,
      sym_import_path_segment,
    STATE(638), 1,
      sym_import_path,
    ACTIONS(3417), 15,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3419), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [25506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1596), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1404), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25608] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4865), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1760), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [25703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1626), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1564), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4867), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [26013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2804), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3527), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2950), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1650), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3535), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26523] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4870), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1823), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2816), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3559), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3459), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3575), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1740), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      anon_sym_is,
    STATE(2071), 1,
      sym_type_arguments,
    ACTIONS(2580), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2582), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [27191] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4878), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1606), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3443), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27439] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4880), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2820), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3543), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3511), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3403), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1584), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3507), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3545), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3547), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [27993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3415), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3451), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28197] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4882), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4884), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28387] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4886), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1804), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4888), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [28537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1680), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    STATE(2094), 1,
      sym_type_arguments,
    STATE(2110), 1,
      sym_arguments,
    STATE(3677), 1,
      sym_optional_chain,
    ACTIONS(2562), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2564), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [28706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3513), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3515), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28808] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      sym_identifier,
    ACTIONS(4899), 1,
      anon_sym_STAR,
    ACTIONS(4901), 1,
      anon_sym_LBRACE,
    ACTIONS(4903), 1,
      anon_sym_from,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    STATE(3050), 1,
      sym_import_path_segment,
    STATE(3063), 1,
      sym_import_path,
    ACTIONS(3417), 15,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3419), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [28873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1748), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [28975] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4907), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1822), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1724), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1714), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29223] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4909), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1752), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    STATE(2760), 1,
      sym_arguments,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3483), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3487), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3471), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3467), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1690), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1660), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1640), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1476), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29832] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4155), 1,
      anon_sym_DASH,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_async,
    ACTIONS(4841), 1,
      anon_sym_AT,
    ACTIONS(4843), 1,
      anon_sym_static,
    ACTIONS(4845), 1,
      anon_sym_readonly,
    ACTIONS(4849), 1,
      anon_sym_declare,
    ACTIONS(4851), 1,
      anon_sym_abstract,
    ACTIONS(4911), 1,
      anon_sym_RBRACE,
    STATE(2606), 1,
      sym_method_definition,
    STATE(2628), 1,
      sym_accessibility_modifier,
    STATE(2657), 1,
      sym_override_modifier,
    STATE(3889), 1,
      sym_method_signature,
    ACTIONS(4839), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4847), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1838), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3929), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4342), 10,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1706), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [29978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3555), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4913), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [30237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3407), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [30390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2076), 1,
      sym_type_arguments,
    ACTIONS(2630), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [30444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(3760), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [30500] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [30572] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [30656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1270), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [30706] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [30792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1476), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [30842] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [30932] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [31020] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [31112] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [31182] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2662), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [31284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(3090), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3092), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [31340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(3094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3096), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [31402] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    STATE(2662), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [31636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [31712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      sym__automatic_semicolon,
    ACTIONS(1460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [31764] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4978), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [31868] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    STATE(2662), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1740), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32050] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [32144] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3046), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [32246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(4987), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3209), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4993), 1,
      anon_sym_DOT,
    STATE(2092), 1,
      sym_arguments,
    ACTIONS(2624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [32362] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3034), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [32464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(4995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2750), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(5005), 1,
      anon_sym_DOT,
    STATE(2095), 1,
      sym_arguments,
    ACTIONS(2638), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [32580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      sym__automatic_semicolon,
    ACTIONS(1374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32632] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2816), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [32734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_RBRACK,
    ACTIONS(3301), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5009), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [32790] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2820), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [32892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_DOT,
    STATE(2100), 1,
      sym_arguments,
    ACTIONS(2780), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2782), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [32948] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [33014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_DOT,
    STATE(2071), 1,
      sym_type_arguments,
    ACTIONS(2580), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2582), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [33070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2776), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2778), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33140] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2950), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [33242] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    STATE(2662), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [33324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(3367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5024), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33430] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2832), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [33532] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2942), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [33634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2812), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [33698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_RBRACK,
    ACTIONS(1382), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5026), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1706), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_is,
    ACTIONS(2630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [33856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_is,
    ACTIONS(3060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3062), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [33908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33958] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2706), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34060] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    ACTIONS(5038), 1,
      anon_sym_LT,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(3867), 1,
      aux_sym_extends_clause_repeat1,
    STATE(3868), 1,
      sym_type_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    ACTIONS(5036), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34170] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3387), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [34330] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2804), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34432] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2774), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34534] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(2662), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [34616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(3879), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [34672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [34721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [34770] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5079), 1,
      anon_sym_STAR,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(5083), 1,
      anon_sym_async,
    ACTIONS(5087), 1,
      anon_sym_readonly,
    STATE(2655), 1,
      sym_statement_block,
    STATE(2669), 1,
      sym_override_modifier,
    ACTIONS(5085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5089), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2849), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [34845] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2706), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [34946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      sym_regex_flags,
    ACTIONS(3271), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3273), 24,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [34997] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2662), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35098] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2816), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35199] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2820), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [35355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    STATE(4490), 1,
      sym_optional_chain,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [35410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3251), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3253), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [35465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [35516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DOT,
    ACTIONS(3126), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3128), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [35567] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2832), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3317), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [35717] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2706), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [35818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(3141), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3143), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [35871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3147), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [35920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [35969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36018] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    ACTIONS(5169), 1,
      anon_sym_in,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5135), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5167), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [36121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    STATE(3677), 1,
      sym_optional_chain,
    ACTIONS(3137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3139), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [36178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36423] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5172), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4836), 1,
      sym_type_annotation,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3391), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [36681] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_QMARK,
    ACTIONS(3209), 1,
      anon_sym_extends,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(4987), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_COLON,
    ACTIONS(4983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [36744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2808), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3181), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3185), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [36940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(5007), 1,
      sym__automatic_semicolon,
    ACTIONS(1374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [36993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3189), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3193), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3205), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37287] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(2748), 1,
      anon_sym_QMARK,
    ACTIONS(2750), 1,
      anon_sym_extends,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(5026), 1,
      anon_sym_COLON,
    ACTIONS(4995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [37350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3213), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3221), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2758), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [37670] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3034), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [37771] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3046), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [37872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3225), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3229), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [37970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3112), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3114), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [38025] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_extends,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    ACTIONS(4987), 1,
      anon_sym_LBRACK,
    ACTIONS(3367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4913), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [38086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3227), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3229), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [38141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [38216] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [38309] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5180), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [38382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_extends,
    ACTIONS(4995), 1,
      anon_sym_RPAREN,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4888), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [38443] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [38522] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5180), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [38595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3062), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [38644] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [38715] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [38784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(3363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [38835] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [38922] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39007] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39090] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [39161] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39252] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3239), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3249), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [39543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3257), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3265), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3269), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39690] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5038), 1,
      anon_sym_LT,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4024), 1,
      sym_type_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5036), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5182), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [39795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3265), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [39844] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4761), 1,
      sym_type_annotation,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39951] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2662), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40052] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2816), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40153] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5186), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(2938), 1,
      sym__automatic_semicolon,
    ACTIONS(1378), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [40309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3269), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [40358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3881), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [40413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5188), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3379), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [40533] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2820), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40634] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4754), 1,
      sym_type_annotation,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40741] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2832), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40842] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3034), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40943] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3046), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [41044] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41137] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [41356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5198), 1,
      anon_sym_RPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5196), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5201), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [41417] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [41553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [41602] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5209), 1,
      anon_sym_COMMA,
    ACTIONS(5212), 1,
      anon_sym_RBRACE,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2774), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41707] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [41843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [41892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_extends,
    ACTIONS(4987), 1,
      anon_sym_LBRACK,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    ACTIONS(3367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5024), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [41953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5219), 1,
      anon_sym_RPAREN,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5217), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [42014] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3163), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5226), 1,
      anon_sym_DOT,
    STATE(4506), 1,
      sym_optional_chain,
    ACTIONS(5228), 2,
      anon_sym_AMP,
      anon_sym_instance,
    ACTIONS(5224), 4,
      ts_builtin_sym_end,
      anon_sym_import,
      anon_sym_AT,
      anon_sym_component,
    ACTIONS(1860), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [42205] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3110), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42416] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4730), 1,
      sym_type_annotation,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3287), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3110), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3287), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42670] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [42808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3062), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [42863] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42938] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [43003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43078] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5180), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 1,
      anon_sym_LBRACK,
    ACTIONS(3169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3171), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2632), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_extends,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(5234), 1,
      anon_sym_RPAREN,
    ACTIONS(1382), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5026), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [43312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3197), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43361] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2774), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3291), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2750), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2742), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3167), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3309), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [43756] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2804), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [43908] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2950), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44009] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2942), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44110] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2884), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44211] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2804), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_DOT,
    ACTIONS(3241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3243), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3321), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(3327), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3329), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3209), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44561] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5180), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [44634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(3393), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3395), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3391), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3375), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [44881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3369), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3371), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [44936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_extends,
    ACTIONS(5232), 1,
      anon_sym_LBRACK,
    ACTIONS(3169), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3331), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [44991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3325), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3313), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3305), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45140] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5137), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5141), 1,
      anon_sym_GT_GT,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5147), 1,
      anon_sym_CARET,
    ACTIONS(5149), 1,
      anon_sym_PIPE,
    ACTIONS(5153), 1,
      anon_sym_PERCENT,
    ACTIONS(5155), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5163), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5165), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5133), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5143), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5151), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5159), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5135), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2774), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45241] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5212), 1,
      anon_sym_RBRACE,
    ACTIONS(5239), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2942), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [45421] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2884), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3233), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5070), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3387), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_AMP,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3345), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3349), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3353), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [45928] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2950), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2738), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [46078] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2942), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3124), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [46228] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4585), 1,
      sym_type_annotation,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    STATE(2250), 1,
      sym_arguments,
    ACTIONS(3215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3217), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3383), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [46437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(3387), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3760), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46573] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(5247), 1,
      anon_sym_RBRACE,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(2942), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_QMARK,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(3387), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3881), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3361), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_extends,
  [46788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5252), 1,
      anon_sym_RPAREN,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3543), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3467), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1724), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5256), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5262), 1,
      anon_sym_static,
    ACTIONS(5264), 1,
      anon_sym_readonly,
    ACTIONS(5266), 1,
      anon_sym_abstract,
    STATE(2648), 1,
      sym_accessibility_modifier,
    STATE(2696), 1,
      sym_override_modifier,
    ACTIONS(5260), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4360), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3131), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [47261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym_regex_flags,
    ACTIONS(3271), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3273), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [47455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(5009), 1,
      anon_sym_of,
    ACTIONS(5270), 1,
      anon_sym_in,
    ACTIONS(3297), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3513), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3515), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [47557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      sym__automatic_semicolon,
    ACTIONS(1468), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3451), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2950), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1564), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 1,
      sym__automatic_semicolon,
    ACTIONS(1678), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1680), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5256), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      sym__automatic_semicolon,
    ACTIONS(1668), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1666), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1670), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47957] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4050), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3535), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48109] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [48177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3495), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5256), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48277] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [48347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5275), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      sym__automatic_semicolon,
    ACTIONS(1648), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1646), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1650), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      sym__automatic_semicolon,
    ACTIONS(1732), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5279), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__automatic_semicolon,
    ACTIONS(1624), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1626), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_COLON,
    ACTIONS(5292), 1,
      anon_sym_LT,
    ACTIONS(5295), 1,
      anon_sym_QMARK,
    ACTIONS(3433), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48963] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4156), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49067] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5299), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [49167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym__automatic_semicolon,
    ACTIONS(1604), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1606), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3443), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [49363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      sym__automatic_semicolon,
    ACTIONS(1392), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3439), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [49463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      sym__automatic_semicolon,
    ACTIONS(1572), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1714), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3513), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3515), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49659] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5301), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4121), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2804), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5217), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49931] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3387), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3407), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50037] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5303), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4116), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1680), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3415), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      sym__automatic_semicolon,
    ACTIONS(1562), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1564), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3403), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50385] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5305), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4116), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3459), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50537] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [50607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    ACTIONS(3387), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5070), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50711] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5307), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3391), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [50913] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5307), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51015] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5167), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [51115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_QMARK,
    ACTIONS(3379), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5191), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5188), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51171] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5313), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4035), 1,
      aux_sym_array_repeat1,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1606), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3483), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(4121), 1,
      anon_sym_in,
    ACTIONS(4124), 1,
      anon_sym_of,
    ACTIONS(1860), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(3875), 1,
      anon_sym_COLON,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3387), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(5026), 1,
      anon_sym_COLON,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2750), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(4987), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_COLON,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3209), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1670), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3487), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1690), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [51891] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [51973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52021] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [52121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_extends,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5073), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [52177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52225] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5317), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4119), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52329] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5319), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4149), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52433] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(3976), 1,
      aux_sym_array_repeat1,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52585] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2774), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3507), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1414), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52781] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2804), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52881] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2884), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52981] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2942), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3471), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3511), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53225] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [53289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1404), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3427), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [53385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1660), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [53507] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [53595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      sym__automatic_semicolon,
    ACTIONS(1504), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1502), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1506), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      sym__automatic_semicolon,
    ACTIONS(1524), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1522), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      sym__automatic_semicolon,
    ACTIONS(1550), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53751] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2950), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1640), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      sym__automatic_semicolon,
    ACTIONS(1614), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      sym__automatic_semicolon,
    ACTIONS(1638), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1640), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      sym__automatic_semicolon,
    ACTIONS(1658), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1660), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      sym__automatic_semicolon,
    ACTIONS(1688), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1690), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 1,
      sym__automatic_semicolon,
    ACTIONS(1698), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1696), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54159] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [54227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      sym__automatic_semicolon,
    ACTIONS(1712), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1710), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1714), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 1,
      sym__automatic_semicolon,
    ACTIONS(1722), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1720), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1724), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      sym__automatic_semicolon,
    ACTIONS(1746), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1748), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      sym__automatic_semicolon,
    ACTIONS(1514), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1512), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3545), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3547), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_extends,
    ACTIONS(5191), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5188), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3399), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_extends,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5070), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5323), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_extends,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(3875), 1,
      anon_sym_COLON,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5327), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1748), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3046), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54895] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2706), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      sym__automatic_semicolon,
    ACTIONS(1454), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1584), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1626), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3527), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1650), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1484), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      sym__automatic_semicolon,
    ACTIONS(1444), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      sym__automatic_semicolon,
    ACTIONS(1434), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1432), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3531), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [55693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      sym__automatic_semicolon,
    ACTIONS(1424), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      sym__automatic_semicolon,
    ACTIONS(1412), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1410), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1414), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      sym__automatic_semicolon,
    ACTIONS(1402), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1400), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1404), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3559), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55993] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5307), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      sym__automatic_semicolon,
    ACTIONS(1582), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1580), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1584), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56147] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2662), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      sym__automatic_semicolon,
    ACTIONS(1482), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1484), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1596), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      sym__automatic_semicolon,
    ACTIONS(1494), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1492), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56399] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(3928), 1,
      aux_sym_array_repeat1,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      sym__automatic_semicolon,
    ACTIONS(1594), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1596), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5335), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(5024), 1,
      anon_sym_of,
    ACTIONS(5339), 1,
      anon_sym_in,
    ACTIONS(3363), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56709] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    ACTIONS(5307), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(4978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(5026), 1,
      anon_sym_of,
    ACTIONS(5342), 1,
      anon_sym_in,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56865] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2816), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3399), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [57013] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5013), 1,
      anon_sym_as,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5019), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5099), 1,
      anon_sym_GT_GT,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5105), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      anon_sym_PIPE,
    ACTIONS(5111), 1,
      anon_sym_PERCENT,
    ACTIONS(5113), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5121), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5123), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(5017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5101), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5109), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5117), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5093), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5115), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5167), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [57113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2816), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57209] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2820), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3549), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57357] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2832), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57541] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3034), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3555), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3539), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [57737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3139), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_COLON,
    ACTIONS(5350), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_QMARK,
    ACTIONS(1860), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3419), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    STATE(2662), 1,
      sym_override_modifier,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [58061] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5359), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4107), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2820), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58263] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5066), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5068), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3046), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58363] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [58455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3563), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3519), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1506), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5196), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58651] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5361), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    STATE(4152), 1,
      aux_sym_array_repeat1,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym_regex_flags,
    ACTIONS(3271), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3273), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [58805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instance,
    ACTIONS(3535), 26,
      sym__ternary_qmark,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      anon_sym_satisfies,
      anon_sym_component,
  [58901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3575), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(2750), 1,
      anon_sym_extends,
    ACTIONS(4999), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5002), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1376), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [59005] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [59083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2832), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59131] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [59199] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_extends,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(4987), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4990), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3363), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [59255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3571), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5044), 1,
      anon_sym_GT_GT,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5050), 1,
      anon_sym_CARET,
    ACTIONS(5056), 1,
      anon_sym_PERCENT,
    ACTIONS(5058), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5046), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5054), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5064), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5036), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5060), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [59437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3443), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59485] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59586] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(5079), 1,
      anon_sym_STAR,
    ACTIONS(5083), 1,
      anon_sym_async,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    ACTIONS(5365), 1,
      anon_sym_abstract,
    ACTIONS(5085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5089), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2849), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59651] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59730] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(5009), 1,
      anon_sym_COLON,
    ACTIONS(4867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59850] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_extends,
    ACTIONS(5188), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5191), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3421), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [60081] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [60160] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5375), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60261] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5377), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60362] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5379), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60463] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5381), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60564] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5212), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60663] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5383), 1,
      anon_sym_RBRACE,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [60813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3391), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(1860), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [60864] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60963] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(5389), 1,
      anon_sym_RBRACE,
    STATE(4131), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4125), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5385), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61032] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5393), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61133] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61212] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_async,
    ACTIONS(5403), 1,
      anon_sym_abstract,
    ACTIONS(5399), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5401), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61277] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_async,
    ACTIONS(5405), 1,
      anon_sym_readonly,
    STATE(2665), 1,
      sym_override_modifier,
    ACTIONS(5399), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5401), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61346] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5407), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61447] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5411), 1,
      anon_sym_async,
    ACTIONS(5415), 1,
      anon_sym_readonly,
    STATE(2661), 1,
      sym_override_modifier,
    ACTIONS(5413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61516] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5180), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [61581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_extends,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(4987), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4990), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3363), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [61636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_extends,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(5070), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [61691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3391), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [61742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(4126), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [61793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5203), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5206), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [61846] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5419), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61947] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5421), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_QMARK,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5203), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [62103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_extends,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5073), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [62156] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      sym_regex_flags,
    ACTIONS(3271), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3273), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [62284] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62363] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5425), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_STAR,
    ACTIONS(5429), 1,
      anon_sym_async,
    ACTIONS(5433), 1,
      anon_sym_readonly,
    STATE(2664), 1,
      sym_override_modifier,
    ACTIONS(5431), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5435), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2908), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62533] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5437), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62634] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(5441), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3981), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5439), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62703] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5443), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62804] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5445), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62905] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5447), 1,
      anon_sym_RBRACE,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63006] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5449), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63107] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63186] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5451), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63287] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      sym_override_modifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5455), 1,
      anon_sym_STAR,
    ACTIONS(5457), 1,
      anon_sym_async,
    ACTIONS(5461), 1,
      anon_sym_readonly,
    STATE(2668), 1,
      sym_override_modifier,
    ACTIONS(5459), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5463), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2915), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63435] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    ACTIONS(5465), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(2750), 1,
      anon_sym_extends,
    ACTIONS(4999), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5002), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1376), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [63591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5467), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [63639] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_STAR,
    ACTIONS(5475), 1,
      anon_sym_async,
    ACTIONS(5477), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63829] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5481), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63927] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(5026), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(5009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64125] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5485), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5491), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [64283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [64355] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5493), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64453] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2774), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5529), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5535), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5538), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64647] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5411), 1,
      anon_sym_async,
    ACTIONS(5413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [64709] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2804), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    STATE(2895), 1,
      sym_arguments,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5541), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5544), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(5024), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64955] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2884), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65053] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65195] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5547), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5549), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65315] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2832), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5551), 1,
      anon_sym_STAR,
    ACTIONS(5553), 1,
      anon_sym_async,
    ACTIONS(5555), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5557), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_extends,
    ACTIONS(5203), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5559), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5562), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5565), 1,
      anon_sym_STAR,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3353), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65635] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5571), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5574), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65753] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5551), 1,
      anon_sym_STAR,
    ACTIONS(5577), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5579), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5581), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65861] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2820), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5206), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3062), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66011] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2816), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5587), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66157] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5593), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5595), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5598), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5601), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5604), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2942), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66449] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2950), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66619] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66689] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5607), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5612), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66835] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [66897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5615), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5618), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [67017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67147] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_STAR,
    ACTIONS(5623), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5625), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3440), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5627), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5630), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67383] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2706), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67481] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5633), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5636), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5070), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3387), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1860), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5642), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5645), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5648), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5651), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5654), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67867] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_STAR,
    ACTIONS(5657), 1,
      anon_sym_async,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5661), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2905), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5663), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68027] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [68113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5665), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [68161] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [68249] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68319] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_STAR,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5673), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_STAR,
    ACTIONS(5429), 1,
      anon_sym_async,
    ACTIONS(5431), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5435), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2908), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_EQ,
    ACTIONS(3760), 1,
      anon_sym_RBRACK,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [68493] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [68561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5677), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [68817] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5455), 1,
      anon_sym_STAR,
    ACTIONS(5679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5681), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3455), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68877] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(5174), 1,
      anon_sym_LBRACK,
    ACTIONS(5455), 1,
      anon_sym_STAR,
    ACTIONS(5457), 1,
      anon_sym_async,
    ACTIONS(5459), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5463), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2915), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68939] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 11,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [69069] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69153] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5683), 1,
      anon_sym_STAR,
    ACTIONS(5685), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_async,
    ACTIONS(5399), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5401), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69275] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69341] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69409] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5689), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69507] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5691), 1,
      anon_sym_RBRACK,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5683), 1,
      anon_sym_STAR,
    ACTIONS(5693), 1,
      anon_sym_async,
    ACTIONS(5695), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5697), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69739] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69815] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4350), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4699), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5699), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69879] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5703), 1,
      anon_sym_STAR,
    ACTIONS(5705), 1,
      anon_sym_async,
    ACTIONS(5707), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2893), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [70081] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5167), 1,
      anon_sym_of,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    ACTIONS(5711), 1,
      anon_sym_in,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5497), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_STAR,
    ACTIONS(5716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70241] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70557] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_STAR,
    ACTIONS(5720), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5722), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3373), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5724), 1,
      anon_sym_STAR,
    ACTIONS(5726), 1,
      anon_sym_async,
    ACTIONS(5728), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5730), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70679] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5724), 1,
      anon_sym_STAR,
    ACTIONS(5732), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5734), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3529), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70739] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3046), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70837] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4920), 1,
      anon_sym_PERCENT,
    ACTIONS(4922), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4926), 1,
      anon_sym_GT_GT,
    ACTIONS(4936), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    ACTIONS(4942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4944), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4946), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4948), 1,
      sym__ternary_qmark,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4916), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4918), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4928), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4932), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4924), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4930), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70935] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5079), 1,
      anon_sym_STAR,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5738), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5740), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70995] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3034), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 1,
      anon_sym_LBRACK,
    ACTIONS(5191), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3379), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [71145] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2662), 1,
      anon_sym_of,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5501), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5503), 1,
      anon_sym_GT_GT,
    ACTIONS(5507), 1,
      anon_sym_AMP,
    ACTIONS(5509), 1,
      anon_sym_CARET,
    ACTIONS(5511), 1,
      anon_sym_PIPE,
    ACTIONS(5515), 1,
      anon_sym_PERCENT,
    ACTIONS(5517), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5527), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5495), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5505), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5513), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5497), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5519), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71315] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5703), 1,
      anon_sym_STAR,
    ACTIONS(5742), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5744), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3382), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71375] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_component,
    ACTIONS(1891), 1,
      anon_sym_type,
    ACTIONS(1893), 1,
      anon_sym_import,
    ACTIONS(1895), 1,
      anon_sym_var,
    ACTIONS(1897), 1,
      anon_sym_let,
    ACTIONS(1899), 1,
      anon_sym_const,
    ACTIONS(1912), 1,
      anon_sym_class,
    ACTIONS(1928), 1,
      anon_sym_abstract,
    ACTIONS(1934), 1,
      anon_sym_enum,
    ACTIONS(1952), 1,
      anon_sym_async,
    ACTIONS(1954), 1,
      anon_sym_function,
    ACTIONS(1956), 1,
      anon_sym_declare,
    ACTIONS(1958), 1,
      anon_sym_namespace,
    ACTIONS(1960), 1,
      anon_sym_module,
    ACTIONS(1962), 1,
      anon_sym_global,
    ACTIONS(1964), 1,
      anon_sym_interface,
    STATE(816), 1,
      sym_internal_module,
    STATE(879), 1,
      sym_declaration,
    STATE(1478), 1,
      sym_decorator,
    STATE(3215), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(812), 14,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
      sym_component_declaration,
  [71464] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_STAR,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1282), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_async,
    ACTIONS(5754), 1,
      anon_sym_static,
    ACTIONS(5756), 1,
      anon_sym_readonly,
    ACTIONS(5762), 1,
      anon_sym_override,
    STATE(2649), 1,
      sym_accessibility_modifier,
    STATE(2659), 1,
      sym_override_modifier,
    ACTIONS(5748), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5752), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5758), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5760), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3264), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4348), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5746), 11,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5577), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71596] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5489), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71716] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71781] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [71868] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71963] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2664), 1,
      anon_sym_BANG,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    STATE(988), 1,
      sym_arguments,
    STATE(4167), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72153] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(5024), 1,
      anon_sym_of,
    ACTIONS(5339), 1,
      anon_sym_in,
    ACTIONS(3363), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3365), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [72269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_EQ,
    ACTIONS(5026), 1,
      anon_sym_of,
    ACTIONS(5342), 1,
      anon_sym_in,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [72320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      sym_regex_flags,
    ACTIONS(3271), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(3273), 19,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [72367] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72462] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5742), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3382), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72584] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72679] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2972), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5547), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72878] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3455), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [73075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 11,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73122] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5738), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(4121), 1,
      anon_sym_in,
    ACTIONS(4124), 1,
      anon_sym_of,
    ACTIONS(1860), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1864), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [73293] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73374] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5720), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3373), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5716), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73579] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(2972), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73662] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_component,
    ACTIONS(1891), 1,
      anon_sym_type,
    ACTIONS(1893), 1,
      anon_sym_import,
    ACTIONS(1895), 1,
      anon_sym_var,
    ACTIONS(1897), 1,
      anon_sym_let,
    ACTIONS(1899), 1,
      anon_sym_const,
    ACTIONS(1912), 1,
      anon_sym_class,
    ACTIONS(1914), 1,
      anon_sym_async,
    ACTIONS(1916), 1,
      anon_sym_function,
    ACTIONS(1922), 1,
      anon_sym_declare,
    ACTIONS(1924), 1,
      anon_sym_namespace,
    ACTIONS(1926), 1,
      anon_sym_module,
    ACTIONS(1928), 1,
      anon_sym_abstract,
    ACTIONS(1930), 1,
      anon_sym_global,
    ACTIONS(1932), 1,
      anon_sym_interface,
    ACTIONS(1934), 1,
      anon_sym_enum,
    STATE(816), 1,
      sym_internal_module,
    STATE(879), 1,
      sym_declaration,
    STATE(1478), 1,
      sym_decorator,
    STATE(3215), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(812), 14,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
      sym_component_declaration,
  [73751] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2972), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73816] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73938] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(5015), 1,
      anon_sym_BANG,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(2165), 1,
      sym_arguments,
    STATE(4060), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74033] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74098] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74193] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74288] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2972), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5685), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74418] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74578] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74673] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5732), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3529), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5675), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74783] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5800), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    ACTIONS(5009), 1,
      anon_sym_of,
    ACTIONS(5270), 1,
      anon_sym_in,
    ACTIONS(3297), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3299), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [74889] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5623), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3440), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5802), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3418), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75119] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5806), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75245] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75395] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75490] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75585] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(4728), 1,
      anon_sym_as,
    ACTIONS(4730), 1,
      anon_sym_BANG,
    ACTIONS(4734), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5796), 1,
      sym__ternary_qmark,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2972), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2974), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2972), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 1,
      anon_sym_DOT,
    ACTIONS(5770), 1,
      anon_sym_GT_GT,
    ACTIONS(5774), 1,
      anon_sym_AMP,
    ACTIONS(5776), 1,
      anon_sym_CARET,
    ACTIONS(5778), 1,
      anon_sym_PIPE,
    ACTIONS(5782), 1,
      anon_sym_PERCENT,
    ACTIONS(5784), 1,
      anon_sym_STAR_STAR,
    STATE(1813), 1,
      sym_arguments,
    STATE(4039), 1,
      sym_optional_chain,
    ACTIONS(4732), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2974), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3353), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_DOT,
    STATE(3588), 1,
      sym_optional_chain,
    ACTIONS(3137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3139), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [75943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5811), 1,
      anon_sym_abstract,
    ACTIONS(5800), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75999] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5813), 1,
      anon_sym_readonly,
    STATE(2673), 1,
      sym_override_modifier,
    ACTIONS(5800), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76109] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_abstract,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_readonly,
    STATE(2694), 1,
      sym_override_modifier,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76401] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_override_modifier,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76801] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5819), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3198), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3165), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77241] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77296] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77406] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77467] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1460), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_else,
      anon_sym_while,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [77674] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1738), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_else,
      anon_sym_while,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [77770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5823), 1,
      anon_sym_STAR,
    ACTIONS(5825), 1,
      anon_sym_async,
    ACTIONS(5829), 1,
      anon_sym_readonly,
    STATE(2670), 1,
      sym_override_modifier,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5831), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 15,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LPAREN,
    ACTIONS(5835), 1,
      anon_sym_DOT,
    STATE(2653), 1,
      sym_arguments,
    ACTIONS(4296), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4294), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [77880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5837), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5841), 1,
      sym__automatic_semicolon,
    ACTIONS(1378), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1374), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5843), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1858), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1856), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5849), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5847), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5823), 1,
      anon_sym_STAR,
    ACTIONS(5825), 1,
      anon_sym_async,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5831), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5853), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5851), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5855), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4310), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_DOT,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5855), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5859), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5823), 1,
      anon_sym_STAR,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5831), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5863), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5867), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5871), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5875), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78694] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5879), 1,
      anon_sym_STAR,
    ACTIONS(5881), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3472), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5853), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5851), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5879), 1,
      anon_sym_STAR,
    ACTIONS(5885), 1,
      anon_sym_async,
    ACTIONS(5881), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3472), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 1,
      sym__automatic_semicolon,
    ACTIONS(1462), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1460), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5889), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5863), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [78966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_EQ_GT,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79018] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5895), 1,
      anon_sym_STAR,
    ACTIONS(5897), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5899), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5871), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5903), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5901), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5909), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5907), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5911), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5837), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_STAR,
    ACTIONS(5917), 1,
      anon_sym_async,
    ACTIONS(5919), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5921), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 17,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5867), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79370] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_STAR,
    ACTIONS(5919), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5921), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5849), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5847), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5859), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5923), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [79544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5547), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79593] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3472), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5623), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3440), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5929), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3366), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5931), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79985] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5919), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80034] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5732), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3529), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5685), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80132] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5079), 1,
      anon_sym_STAR,
    ACTIONS(5083), 1,
      anon_sym_async,
    ACTIONS(5933), 1,
      anon_sym_static,
    ACTIONS(5935), 1,
      anon_sym_readonly,
    ACTIONS(5937), 1,
      anon_sym_abstract,
    STATE(2669), 1,
      sym_override_modifier,
    ACTIONS(5085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5089), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2849), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 14,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 1,
      sym__automatic_semicolon,
    ACTIONS(1462), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1460), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5742), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3382), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5489), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5897), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3353), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5720), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3373), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 1,
      sym__automatic_semicolon,
    ACTIONS(1378), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1374), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5577), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5945), 1,
      anon_sym_RBRACE,
    STATE(4271), 1,
      sym_enum_assignment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4296), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4294), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3355), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1460), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1738), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4789), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5949), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80909] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    ACTIONS(5951), 1,
      anon_sym_static,
    STATE(2662), 1,
      sym_override_modifier,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 14,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5953), 1,
      anon_sym_RBRACE,
    STATE(4271), 1,
      sym_enum_assignment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5955), 1,
      anon_sym_RBRACE,
    STATE(4271), 1,
      sym_enum_assignment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81069] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5957), 1,
      anon_sym_static,
    ACTIONS(5959), 1,
      anon_sym_readonly,
    ACTIONS(5961), 1,
      anon_sym_abstract,
    STATE(2694), 1,
      sym_override_modifier,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(2186), 1,
      anon_sym_override,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(5963), 1,
      anon_sym_static,
    STATE(2663), 1,
      sym_override_modifier,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 14,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5965), 1,
      anon_sym_RBRACE,
    STATE(4001), 1,
      sym_enum_assignment,
    ACTIONS(5967), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3571), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3165), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [81273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(4271), 1,
      sym_enum_assignment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4316), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [81361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3315), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [81399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5971), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [81437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 1,
      anon_sym_override,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5455), 1,
      anon_sym_STAR,
    ACTIONS(5457), 1,
      anon_sym_async,
    ACTIONS(5461), 1,
      anon_sym_readonly,
    ACTIONS(5975), 1,
      anon_sym_static,
    STATE(2668), 1,
      sym_override_modifier,
    ACTIONS(5459), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5463), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2915), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 14,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5079), 1,
      anon_sym_STAR,
    ACTIONS(5083), 1,
      anon_sym_async,
    ACTIONS(5087), 1,
      anon_sym_readonly,
    ACTIONS(5085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5089), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2849), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1854), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1852), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81589] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(2180), 1,
      anon_sym_async,
    ACTIONS(2182), 1,
      anon_sym_readonly,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5367), 1,
      anon_sym_STAR,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2184), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5977), 1,
      anon_sym_STAR,
    ACTIONS(5981), 1,
      anon_sym_readonly,
    ACTIONS(5979), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5983), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81693] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5703), 1,
      anon_sym_STAR,
    ACTIONS(5705), 1,
      anon_sym_async,
    ACTIONS(5985), 1,
      anon_sym_readonly,
    ACTIONS(5707), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2893), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81746] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5411), 1,
      anon_sym_async,
    ACTIONS(5415), 1,
      anon_sym_readonly,
    ACTIONS(5413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81799] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5823), 1,
      anon_sym_STAR,
    ACTIONS(5825), 1,
      anon_sym_async,
    ACTIONS(5829), 1,
      anon_sym_readonly,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5831), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81852] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_STAR,
    ACTIONS(5657), 1,
      anon_sym_async,
    ACTIONS(5987), 1,
      anon_sym_readonly,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5661), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2905), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5683), 1,
      anon_sym_STAR,
    ACTIONS(5693), 1,
      anon_sym_async,
    ACTIONS(5989), 1,
      anon_sym_readonly,
    ACTIONS(5695), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5697), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81958] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5455), 1,
      anon_sym_STAR,
    ACTIONS(5457), 1,
      anon_sym_async,
    ACTIONS(5461), 1,
      anon_sym_readonly,
    ACTIONS(5459), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5463), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2915), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82011] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(4271), 1,
      sym_enum_assignment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82058] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_STAR,
    ACTIONS(5429), 1,
      anon_sym_async,
    ACTIONS(5433), 1,
      anon_sym_readonly,
    ACTIONS(5431), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5435), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2908), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_async,
    ACTIONS(5405), 1,
      anon_sym_readonly,
    ACTIONS(5399), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5401), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_STAR,
    ACTIONS(5917), 1,
      anon_sym_async,
    ACTIONS(5991), 1,
      anon_sym_readonly,
    ACTIONS(5919), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5921), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82217] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_readonly,
    ACTIONS(5993), 1,
      anon_sym_STAR,
    ACTIONS(5995), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5997), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2848), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4952), 1,
      anon_sym_STAR,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(4966), 1,
      anon_sym_async,
    ACTIONS(4970), 1,
      anon_sym_readonly,
    ACTIONS(4968), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4972), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2920), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 16,
      anon_sym_export,
      anon_sym_type,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5999), 1,
      anon_sym_readonly,
    ACTIONS(5819), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3198), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82367] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5931), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5919), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(1986), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82499] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5732), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3529), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3455), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5685), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3472), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5623), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3440), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5675), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82763] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(6001), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4902), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5720), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3373), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5929), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3366), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5742), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3382), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5897), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5806), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4670), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83203] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5819), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3198), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5813), 1,
      anon_sym_readonly,
    ACTIONS(5800), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5738), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_readonly,
    ACTIONS(5804), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5716), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    ACTIONS(1207), 1,
      anon_sym_SQUOTE,
    ACTIONS(4964), 1,
      anon_sym_LBRACK,
    ACTIONS(5800), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4342), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5577), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5547), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5927), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5802), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3418), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3353), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5489), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2178), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_EQ,
    ACTIONS(2734), 23,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_component,
      anon_sym_instance,
  [83855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_EQ,
    ACTIONS(2746), 23,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_component,
      anon_sym_instance,
  [83887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3317), 20,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
      anon_sym_component,
      anon_sym_POUND,
  [83917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3357), 20,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
      anon_sym_component,
      anon_sym_POUND,
  [83947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3167), 20,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
      anon_sym_component,
      anon_sym_POUND,
  [83977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      sym_identifier,
    STATE(4630), 1,
      sym_mapped_type_clause,
    ACTIONS(6007), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_namespace,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 2,
      anon_sym_EQ,
      anon_sym_BQUOTE,
    ACTIONS(2590), 5,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3128), 13,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [84038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6009), 1,
      anon_sym_DOT,
    ACTIONS(6011), 1,
      anon_sym_QMARK_DOT,
    STATE(2754), 1,
      sym_arguments,
    ACTIONS(2780), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2782), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(3893), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6013), 1,
      anon_sym_DOT,
    STATE(2760), 1,
      sym_arguments,
    ACTIONS(2624), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2626), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6015), 1,
      anon_sym_DOT,
    ACTIONS(6017), 1,
      anon_sym_QMARK_DOT,
    STATE(2759), 1,
      sym_arguments,
    ACTIONS(2638), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2640), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3135), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3265), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3295), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3283), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3151), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3151), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3151), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3291), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(2580), 1,
      anon_sym_extends,
    ACTIONS(6019), 1,
      sym_identifier,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6023), 1,
      anon_sym_COLON,
    ACTIONS(6025), 1,
      anon_sym_EQ,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6029), 1,
      anon_sym_DOT,
    ACTIONS(6031), 1,
      anon_sym_BQUOTE,
    ACTIONS(6033), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(1549), 1,
      sym_tripple_tagged_type_string,
    STATE(1551), 1,
      sym_tagged_type_string,
    STATE(1581), 1,
      sym_new_component_body,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_component_identifier,
    ACTIONS(2582), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [84405] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(2580), 1,
      anon_sym_extends,
    ACTIONS(6019), 1,
      sym_identifier,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6029), 1,
      anon_sym_DOT,
    ACTIONS(6031), 1,
      anon_sym_BQUOTE,
    ACTIONS(6033), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6035), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_tripple_tagged_type_string,
    STATE(1551), 1,
      sym_tagged_type_string,
    STATE(1581), 1,
      sym_new_component_body,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_component_identifier,
    ACTIONS(2582), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [84459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3283), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3279), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3110), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3287), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3269), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3221), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3213), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3213), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3213), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3110), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3177), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3193), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3265), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3159), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3287), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3135), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3279), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3135), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3269), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3159), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [84979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3193), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3159), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3193), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3205), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3205), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3205), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_QMARK,
    ACTIONS(6039), 1,
      anon_sym_DOT,
    ACTIONS(2590), 3,
      anon_sym_LBRACE,
      anon_sym_POUND,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3295), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3361), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_EQ,
    ACTIONS(2742), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_EQ,
    ACTIONS(2808), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 5,
      anon_sym_as,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_extends,
      anon_sym_is,
    ACTIONS(1270), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [85266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_EQ,
    ACTIONS(2738), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3383), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3124), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_EQ,
    ACTIONS(2758), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      anon_sym_DOT,
    ACTIONS(6044), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3241), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3243), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [85395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_EQ,
    ACTIONS(2750), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 4,
      anon_sym_as,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_extends,
    ACTIONS(3305), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [85444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 4,
      anon_sym_as,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_extends,
    ACTIONS(3353), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [85468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_PIPE,
    ACTIONS(2734), 15,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2764), 1,
      sym_type_arguments,
    ACTIONS(2632), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 4,
      anon_sym_as,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_extends,
    ACTIONS(3375), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [85544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_BQUOTE,
    ACTIONS(3126), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3128), 10,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6048), 1,
      anon_sym_DOT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(3773), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(6046), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
    ACTIONS(2582), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 4,
      anon_sym_as,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_extends,
    ACTIONS(3321), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [85628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_PIPE,
    ACTIONS(6039), 1,
      anon_sym_DOT,
    ACTIONS(2590), 3,
      anon_sym_LBRACE,
      anon_sym_POUND,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3295), 10,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_PIPE,
    ACTIONS(2746), 15,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_EQ,
    ACTIONS(3387), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_EQ,
    ACTIONS(3257), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_PIPE,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(6050), 1,
      anon_sym_DOT,
    ACTIONS(6052), 1,
      anon_sym_QMARK_DOT,
    STATE(2897), 1,
      sym_arguments,
    ACTIONS(2782), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_EQ,
    ACTIONS(6054), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2632), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_EQ,
    ACTIONS(3197), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [85830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_PIPE,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3758), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6056), 1,
      anon_sym_DOT,
    STATE(2895), 1,
      sym_arguments,
    ACTIONS(2626), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [85882] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_component,
    ACTIONS(17), 1,
      anon_sym_instance,
    ACTIONS(6060), 1,
      ts_builtin_sym_end,
    STATE(361), 1,
      sym_component_instance,
    STATE(1478), 1,
      sym_decorator,
    STATE(3361), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(2803), 5,
      sym_import_statement,
      sym_js_import_statement,
      sym_component_declaration,
      sym_component_instance_statement,
      aux_sym_program_repeat1,
  [85923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [85944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    ACTIONS(6066), 1,
      anon_sym_DOT,
    STATE(3039), 1,
      sym_type_arguments,
    STATE(3773), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(6046), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
    ACTIONS(2582), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [85977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_EQ,
    ACTIONS(3155), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_component,
    ACTIONS(17), 1,
      anon_sym_instance,
    ACTIONS(6068), 1,
      ts_builtin_sym_end,
    STATE(361), 1,
      sym_component_instance,
    STATE(1478), 1,
      sym_decorator,
    STATE(3361), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(2803), 5,
      sym_import_statement,
      sym_js_import_statement,
      sym_component_declaration,
      sym_component_instance_statement,
      aux_sym_program_repeat1,
  [86041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_EQ,
    ACTIONS(3181), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_EQ,
    ACTIONS(3062), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_EQ,
    ACTIONS(3349), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_EQ,
    ACTIONS(3185), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_EQ,
    ACTIONS(3189), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_EQ,
    ACTIONS(3249), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 1,
      anon_sym_EQ,
    ACTIONS(3391), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86265] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_component,
    ACTIONS(17), 1,
      anon_sym_instance,
    ACTIONS(6060), 1,
      ts_builtin_sym_end,
    STATE(361), 1,
      sym_component_instance,
    STATE(1478), 1,
      sym_decorator,
    STATE(3361), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(2786), 5,
      sym_import_statement,
      sym_js_import_statement,
      sym_component_declaration,
      sym_component_instance_statement,
      aux_sym_program_repeat1,
  [86306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_EQ,
    ACTIONS(3163), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_EQ,
    ACTIONS(3229), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_EQ,
    ACTIONS(3379), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_EQ,
    ACTIONS(3337), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_EQ,
    ACTIONS(3147), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86421] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6076), 1,
      ts_builtin_sym_end,
    ACTIONS(6078), 1,
      anon_sym_import,
    ACTIONS(6081), 1,
      anon_sym_AMP,
    ACTIONS(6084), 1,
      anon_sym_AT,
    ACTIONS(6087), 1,
      anon_sym_component,
    ACTIONS(6090), 1,
      anon_sym_instance,
    STATE(361), 1,
      sym_component_instance,
    STATE(1478), 1,
      sym_decorator,
    STATE(3361), 1,
      aux_sym_class_repeat1,
    STATE(3751), 1,
      sym_component_short_heritage,
    STATE(2803), 5,
      sym_import_statement,
      sym_js_import_statement,
      sym_component_declaration,
      sym_component_instance_statement,
      aux_sym_program_repeat1,
  [86462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_EQ,
    ACTIONS(3239), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_EQ,
    ACTIONS(3341), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_EQ,
    ACTIONS(3345), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_EQ,
    ACTIONS(3325), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86596] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_PIPE,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_QMARK_DOT,
    STATE(2896), 1,
      sym_arguments,
    ACTIONS(2640), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(6101), 1,
      sym_identifier,
    ACTIONS(6103), 1,
      anon_sym_from,
    STATE(2870), 1,
      aux_sym_import_path_segment_repeat1,
    STATE(3955), 1,
      aux_sym_js_import_statement_repeat1,
    ACTIONS(6105), 2,
      anon_sym_DASH,
      sym_number,
    ACTIONS(2193), 3,
      ts_builtin_sym_end,
      anon_sym_AMP,
      anon_sym_AT,
    ACTIONS(2191), 5,
      anon_sym_as,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_component,
      anon_sym_instance,
  [86662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_EQ,
    ACTIONS(3209), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    ACTIONS(6109), 1,
      anon_sym_is,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [86735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_EQ,
    ACTIONS(6054), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [86760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_EQ,
    ACTIONS(6054), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3333), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [86787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      sym_number,
    STATE(4659), 1,
      sym_string,
    STATE(4660), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [86817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    ACTIONS(3291), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_PIPE,
    ACTIONS(3193), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_PIPE,
    ACTIONS(3193), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [86993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_PIPE,
    ACTIONS(3193), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    ACTIONS(3265), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6117), 1,
      sym_number,
    STATE(4548), 1,
      sym_string,
    STATE(4550), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_PIPE,
    ACTIONS(3110), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3279), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6119), 1,
      sym_number,
    STATE(4559), 1,
      sym_string,
    STATE(4568), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6121), 1,
      sym_number,
    STATE(4614), 1,
      sym_string,
    STATE(4622), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    ACTIONS(3177), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_PIPE,
    ACTIONS(3135), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_PIPE,
    ACTIONS(3135), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_PIPE,
    ACTIONS(3135), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_PIPE,
    ACTIONS(3159), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_PIPE,
    ACTIONS(3159), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_PIPE,
    ACTIONS(3159), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_PIPE,
    ACTIONS(3151), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_PIPE,
    ACTIONS(3151), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_PIPE,
    ACTIONS(3151), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6123), 1,
      sym_number,
    STATE(4763), 1,
      sym_predefined_type,
    STATE(4765), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6125), 1,
      sym_number,
    STATE(4733), 1,
      sym_predefined_type,
    STATE(4829), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_PIPE,
    ACTIONS(3269), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6129), 1,
      anon_sym_BANG,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6135), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3633), 1,
      sym_type_annotation,
    STATE(4010), 1,
      sym__initializer,
    STATE(4026), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87559] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6139), 1,
      anon_sym_BANG,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6143), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3415), 1,
      sym__call_signature,
    STATE(3667), 1,
      sym_type_annotation,
    STATE(4070), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6137), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6145), 1,
      sym_number,
    STATE(4651), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_PIPE,
    ACTIONS(3269), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      sym_identifier,
    STATE(2852), 1,
      aux_sym_import_path_segment_repeat1,
    ACTIONS(6150), 2,
      anon_sym_DASH,
      sym_number,
    ACTIONS(2393), 3,
      ts_builtin_sym_end,
      anon_sym_AMP,
      anon_sym_AT,
    ACTIONS(2391), 7,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
      anon_sym_component,
      anon_sym_instance,
  [87679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [87705] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6153), 1,
      sym_number,
    STATE(4676), 1,
      sym_string,
    STATE(4681), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    ACTIONS(3265), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    ACTIONS(6155), 1,
      anon_sym_DOT,
    ACTIONS(6157), 1,
      anon_sym_is,
    STATE(3039), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6159), 1,
      sym_number,
    STATE(4702), 1,
      sym_string,
    STATE(4705), 1,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6161), 1,
      sym_number,
    STATE(4922), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3279), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_PIPE,
    ACTIONS(3221), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6163), 1,
      sym_number,
    STATE(4556), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      sym_number,
    STATE(4572), 1,
      sym_predefined_type,
    STATE(4573), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_PIPE,
    ACTIONS(3287), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [87969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6167), 1,
      sym_number,
    STATE(4575), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [87997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_PIPE,
    ACTIONS(3110), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88019] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6139), 1,
      anon_sym_BANG,
    ACTIONS(6169), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3667), 1,
      sym_type_annotation,
    STATE(4067), 1,
      sym__initializer,
    STATE(4068), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6137), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 1,
      sym_identifier,
    STATE(2870), 1,
      aux_sym_import_path_segment_repeat1,
    ACTIONS(6105), 2,
      anon_sym_DASH,
      sym_number,
    ACTIONS(2193), 3,
      ts_builtin_sym_end,
      anon_sym_AMP,
      anon_sym_AT,
    ACTIONS(2191), 7,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
      anon_sym_component,
      anon_sym_instance,
  [88089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    ACTIONS(6171), 1,
      anon_sym_DOT,
    ACTIONS(6173), 1,
      anon_sym_is,
    STATE(3039), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_PIPE,
    ACTIONS(3287), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 1,
      sym_identifier,
    STATE(2852), 1,
      aux_sym_import_path_segment_repeat1,
    ACTIONS(6177), 2,
      anon_sym_DASH,
      sym_number,
    ACTIONS(2381), 3,
      ts_builtin_sym_end,
      anon_sym_AMP,
      anon_sym_AT,
    ACTIONS(2379), 7,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
      anon_sym_component,
      anon_sym_instance,
  [88169] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6129), 1,
      anon_sym_BANG,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6179), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3485), 1,
      sym__call_signature,
    STATE(3633), 1,
      sym_type_annotation,
    STATE(4037), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_PIPE,
    ACTIONS(3295), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6181), 1,
      sym_number,
    STATE(4919), 1,
      sym_predefined_type,
    STATE(4920), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6183), 1,
      sym_number,
    STATE(4916), 1,
      sym_predefined_type,
    STATE(4917), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88315] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6187), 1,
      anon_sym_BANG,
    ACTIONS(6189), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3427), 1,
      sym__call_signature,
    STATE(3665), 1,
      sym_type_annotation,
    STATE(4134), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6191), 1,
      sym_number,
    STATE(4567), 1,
      sym_predefined_type,
    STATE(4569), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6193), 1,
      anon_sym_DOT,
    ACTIONS(6195), 1,
      anon_sym_is,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [88415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6197), 1,
      sym_number,
    STATE(4769), 1,
      sym_predefined_type,
    STATE(4776), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6199), 1,
      sym_number,
    STATE(4781), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6201), 1,
      sym_number,
    STATE(4785), 1,
      sym_predefined_type,
    STATE(4786), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6203), 1,
      sym_number,
    STATE(4912), 1,
      sym_predefined_type,
    STATE(4913), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88533] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6207), 1,
      anon_sym_BANG,
    ACTIONS(6209), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3474), 1,
      sym__call_signature,
    STATE(3594), 1,
      sym_type_annotation,
    STATE(3989), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6205), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6213), 1,
      anon_sym_BANG,
    ACTIONS(6215), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3421), 1,
      sym__call_signature,
    STATE(3660), 1,
      sym_type_annotation,
    STATE(3961), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6211), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_DOT,
    ACTIONS(6217), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
    ACTIONS(3128), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [88641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6222), 1,
      sym_number,
    STATE(4562), 1,
      sym_predefined_type,
    STATE(4564), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6224), 1,
      sym_number,
    STATE(4807), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6226), 1,
      sym_number,
    STATE(4794), 1,
      sym_predefined_type,
    STATE(4799), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88729] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6228), 1,
      sym_number,
    STATE(4802), 1,
      sym_predefined_type,
    STATE(4803), 1,
      sym_string,
    ACTIONS(6113), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88759] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(6230), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [88790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6232), 1,
      anon_sym_LPAREN,
    ACTIONS(6234), 1,
      anon_sym_DOT,
    ACTIONS(6236), 1,
      anon_sym_QMARK_DOT,
    STATE(3036), 1,
      sym_arguments,
    ACTIONS(2626), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [88817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3355), 1,
      sym_type_predicate,
    STATE(4610), 1,
      sym_predefined_type,
    ACTIONS(6238), 2,
      sym_identifier,
      sym_this,
    ACTIONS(116), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [88842] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3304), 1,
      sym__call_signature,
    STATE(3548), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6240), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [88877] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3328), 1,
      sym__call_signature,
    STATE(3639), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6244), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [88912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 1,
      anon_sym_PIPE,
    ACTIONS(3124), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_PIPE,
    ACTIONS(3383), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE,
    ACTIONS(3361), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [88975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [89006] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6250), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3297), 1,
      sym__call_signature,
    STATE(3619), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6248), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_PIPE,
    ACTIONS(3357), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    STATE(3002), 1,
      sym_type_arguments,
    ACTIONS(2632), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    ACTIONS(6171), 1,
      anon_sym_DOT,
    STATE(3039), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6193), 1,
      anon_sym_DOT,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(6230), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [89170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3548), 1,
      sym_type_annotation,
    STATE(3549), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6240), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89205] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    ACTIONS(6257), 1,
      anon_sym_COLON,
    ACTIONS(6259), 1,
      anon_sym_EQ,
    ACTIONS(6261), 1,
      anon_sym_extends,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(3878), 1,
      sym_constraint,
    STATE(4179), 1,
      sym_default_type,
    ACTIONS(6254), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(2582), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [89242] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3346), 1,
      sym__call_signature,
    STATE(3657), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6264), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89277] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6270), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3639), 1,
      sym_type_annotation,
    STATE(3640), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6244), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 1,
      anon_sym_PIPE,
    ACTIONS(6219), 1,
      anon_sym_DOT,
    ACTIONS(6217), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
    ACTIONS(3128), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4351), 1,
      sym_type_predicate,
    STATE(4764), 1,
      sym_predefined_type,
    ACTIONS(6272), 2,
      sym_identifier,
      sym_this,
    ACTIONS(116), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [89362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6232), 1,
      anon_sym_LPAREN,
    ACTIONS(6274), 1,
      anon_sym_DOT,
    ACTIONS(6276), 1,
      anon_sym_QMARK_DOT,
    STATE(3035), 1,
      sym_arguments,
    ACTIONS(2640), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6232), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      anon_sym_DOT,
    ACTIONS(6280), 1,
      anon_sym_QMARK_DOT,
    STATE(3034), 1,
      sym_arguments,
    ACTIONS(2782), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4351), 1,
      sym_type_predicate,
    STATE(4715), 1,
      sym_predefined_type,
    ACTIONS(6282), 2,
      sym_identifier,
      sym_this,
    ACTIONS(116), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [89441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3355), 1,
      sym_type_predicate,
    STATE(4853), 1,
      sym_predefined_type,
    ACTIONS(6284), 2,
      sym_identifier,
      sym_this,
    ACTIONS(116), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [89466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6288), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3740), 1,
      sym_type_annotation,
    STATE(3745), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6286), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_PIPE,
    ACTIONS(3317), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    ACTIONS(6230), 1,
      sym_identifier,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [89553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      anon_sym_LT,
    ACTIONS(6155), 1,
      anon_sym_DOT,
    STATE(3039), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3562), 1,
      sym_type_predicate,
    STATE(4874), 1,
      sym_predefined_type,
    ACTIONS(6290), 2,
      sym_identifier,
      sym_this,
    ACTIONS(116), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [89605] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6292), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3349), 1,
      sym__call_signature,
    STATE(3740), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6286), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 1,
      anon_sym_LT,
    ACTIONS(6296), 1,
      anon_sym_DOT,
    ACTIONS(6298), 1,
      anon_sym_is,
    STATE(3186), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89667] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6300), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3564), 1,
      sym__call_signature,
    STATE(3619), 1,
      sym_type_annotation,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6248), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_PIPE,
    ACTIONS(6302), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3243), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89727] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3655), 1,
      sym__call_signature,
    STATE(3657), 1,
      sym_type_annotation,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6264), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_PIPE,
    ACTIONS(3167), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89783] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3352), 1,
      sym__call_signature,
    STATE(3664), 1,
      sym_type_annotation,
    STATE(4063), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3426), 1,
      sym__call_signature,
    STATE(3652), 1,
      sym_type_annotation,
    STATE(3964), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [89883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3126), 1,
      anon_sym_PIPE,
    ACTIONS(3128), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [89905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3128), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3616), 1,
      sym__call_signature,
    STATE(3638), 1,
      sym_type_annotation,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6312), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [89957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [89993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [90039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3312), 1,
      sym__call_signature,
    STATE(3550), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6314), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3520), 1,
      sym__call_signature,
    STATE(3570), 1,
      sym_type_annotation,
    STATE(4034), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6316), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [90143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3570), 1,
      sym_type_annotation,
    STATE(4028), 1,
      sym__initializer,
    STATE(4029), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6316), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [90323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    ACTIONS(6318), 1,
      anon_sym_QMARK,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(4273), 1,
      sym_type_annotation,
    ACTIONS(2582), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3348), 1,
      sym__call_signature,
    STATE(3734), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 1,
      anon_sym_LT,
    ACTIONS(6296), 1,
      anon_sym_DOT,
    STATE(3186), 1,
      sym_type_arguments,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_is,
    ACTIONS(3062), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [90447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3610), 1,
      sym__call_signature,
    STATE(3611), 1,
      sym_type_annotation,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6323), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3299), 1,
      sym__call_signature,
    STATE(3611), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6323), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3734), 1,
      sym_type_annotation,
    STATE(3738), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_EQ,
    ACTIONS(6101), 1,
      sym_identifier,
    ACTIONS(6103), 1,
      anon_sym_from,
    STATE(2870), 1,
      aux_sym_import_path_segment_repeat1,
    STATE(3955), 1,
      aux_sym_js_import_statement_repeat1,
    ACTIONS(6105), 2,
      anon_sym_DASH,
      sym_number,
    ACTIONS(2191), 4,
      anon_sym_as,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [90701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3385), 1,
      sym__call_signature,
    STATE(3694), 1,
      sym_type_annotation,
    STATE(3946), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6325), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [90773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [90855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3550), 1,
      sym_type_annotation,
    STATE(3551), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6314), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3587), 1,
      sym_type_annotation,
    STATE(3983), 1,
      sym__initializer,
    STATE(3984), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6327), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [90941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3295), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [90959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3286), 1,
      sym__call_signature,
    STATE(3678), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [90991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3287), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3676), 1,
      sym__call_signature,
    STATE(3678), 1,
      sym_type_annotation,
    STATE(4330), 1,
      sym_type_parameters,
    ACTIONS(6329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [91059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [91087] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3475), 1,
      sym__call_signature,
    STATE(3587), 1,
      sym_type_annotation,
    STATE(3992), 1,
      sym__initializer,
    STATE(4305), 1,
      sym_type_parameters,
    ACTIONS(6327), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [91123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3287), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 11,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [91215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3327), 1,
      sym__call_signature,
    STATE(3638), 1,
      sym_type_annotation,
    STATE(4233), 1,
      sym_type_parameters,
    ACTIONS(6312), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [91247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_is,
    ACTIONS(2632), 11,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [91267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(3253), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [91290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [91330] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6029), 1,
      anon_sym_DOT,
    ACTIONS(6031), 1,
      anon_sym_BQUOTE,
    ACTIONS(6033), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6035), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_tripple_tagged_type_string,
    STATE(1551), 1,
      sym_tagged_type_string,
    STATE(1581), 1,
      sym_new_component_body,
    STATE(3380), 1,
      sym_component_identifier,
  [91367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_PIPE,
    ACTIONS(3257), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_PIPE,
    ACTIONS(3249), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 1,
      anon_sym_LT,
    STATE(3174), 1,
      sym_type_arguments,
    ACTIONS(2632), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(3371), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [91449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(3329), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [91468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(3395), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [91487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_PIPE,
    ACTIONS(2738), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      sym_identifier,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [91529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_DOT,
    STATE(3059), 1,
      aux_sym_import_path_repeat1,
    ACTIONS(2374), 9,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [91550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_PIPE,
    ACTIONS(3305), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3128), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 1,
      anon_sym_PIPE,
    ACTIONS(3353), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_PIPE,
    ACTIONS(2632), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_PIPE,
    ACTIONS(6341), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_DOT,
    STATE(3052), 1,
      aux_sym_import_path_repeat1,
    ACTIONS(2413), 9,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [91687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_PIPE,
    ACTIONS(3349), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_PIPE,
    ACTIONS(3062), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_PIPE,
    ACTIONS(3387), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_PIPE,
    ACTIONS(3163), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_PIPE,
    ACTIONS(3345), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 11,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [91799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_PIPE,
    ACTIONS(3341), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_PIPE,
    ACTIONS(6341), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(3229), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [91862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      anon_sym_is,
    ACTIONS(3062), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_PIPE,
    ACTIONS(3239), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [91917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(3341), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [91940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_PIPE,
    ACTIONS(3337), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_is,
    ACTIONS(2632), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [91999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_PIPE,
    ACTIONS(6157), 1,
      anon_sym_is,
    ACTIONS(3062), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    ACTIONS(3225), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 11,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [92056] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6023), 1,
      anon_sym_COLON,
    ACTIONS(6025), 1,
      anon_sym_EQ,
    ACTIONS(6029), 1,
      anon_sym_DOT,
    ACTIONS(6031), 1,
      anon_sym_BQUOTE,
    ACTIONS(6033), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(1549), 1,
      sym_tripple_tagged_type_string,
    STATE(1551), 1,
      sym_tagged_type_string,
    STATE(1581), 1,
      sym_new_component_body,
    STATE(3380), 1,
      sym_component_identifier,
  [92093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_PIPE,
    ACTIONS(6345), 1,
      anon_sym_is,
    ACTIONS(2632), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_PIPE,
    ACTIONS(3325), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_PIPE,
    ACTIONS(6341), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(3333), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE_RBRACE,
  [92156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_PIPE,
    ACTIONS(3321), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_PIPE,
    ACTIONS(2742), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3383), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_PIPE,
    ACTIONS(6173), 1,
      anon_sym_is,
    ACTIONS(3062), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE,
    ACTIONS(3375), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 1,
      sym_identifier,
    STATE(3008), 1,
      sym_import_path_segment,
    ACTIONS(2548), 3,
      ts_builtin_sym_end,
      anon_sym_AMP,
      anon_sym_AT,
    ACTIONS(2546), 6,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_component,
      anon_sym_instance,
  [92325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(3261), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [92348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 1,
      anon_sym_PIPE,
    ACTIONS(3391), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_PIPE,
    ACTIONS(2758), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_PIPE,
    ACTIONS(3233), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_PIPE,
    ACTIONS(3155), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_PIPE,
    ACTIONS(2750), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_is,
    ACTIONS(2632), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_PIPE,
    ACTIONS(3189), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_DOT,
    STATE(3001), 1,
      aux_sym_import_path_repeat1,
    ACTIONS(2409), 9,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [92519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_PIPE,
    ACTIONS(3209), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_DOT,
    STATE(3059), 1,
      aux_sym_import_path_repeat1,
    ACTIONS(2368), 9,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [92559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_PIPE,
    ACTIONS(3185), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_PIPE,
    ACTIONS(3181), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_PIPE,
    ACTIONS(3309), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3243), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_PIPE,
    ACTIONS(3147), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_PIPE,
    ACTIONS(2808), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_DOT,
    STATE(3059), 1,
      aux_sym_import_path_repeat1,
    ACTIONS(2400), 9,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [92696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6358), 1,
      sym_identifier,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    STATE(2243), 1,
      sym_class_body,
    STATE(3249), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4292), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [92730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 10,
      ts_builtin_sym_end,
      anon_sym_as,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [92746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6366), 1,
      anon_sym_is,
    ACTIONS(2632), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym_as,
    STATE(653), 1,
      sym_import_as,
    ACTIONS(2419), 8,
      ts_builtin_sym_end,
      anon_sym_import,
      anon_sym_else,
      anon_sym_while,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_component,
      anon_sym_instance,
  [92784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(3341), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
  [92806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    ACTIONS(6376), 1,
      anon_sym_LT,
    ACTIONS(6378), 1,
      anon_sym_is,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [92830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6380), 1,
      sym_identifier,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1051), 1,
      sym_class_body,
    STATE(3237), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4521), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [92864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(3229), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
  [92906] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6388), 1,
      sym_identifier,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1787), 1,
      sym_class_body,
    STATE(3337), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4414), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [92940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [92960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6396), 1,
      sym_identifier,
    STATE(2382), 1,
      sym_class_body,
    STATE(3254), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4199), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [92994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6398), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_class_body,
    STATE(3249), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4292), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6400), 1,
      sym_identifier,
    STATE(1812), 1,
      sym_class_body,
    STATE(3244), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4439), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(3395), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [93082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      anon_sym_COLON,
    STATE(3359), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6402), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [93102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(3371), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
  [93124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6406), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_class_body,
    STATE(3249), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4292), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      anon_sym_COLON,
    STATE(3363), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6408), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [93178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(3229), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(3371), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_extends,
    ACTIONS(6019), 1,
      sym_identifier,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(6414), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2582), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [93250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(3395), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [93270] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6416), 1,
      sym_identifier,
    STATE(2206), 1,
      sym_class_body,
    STATE(3270), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4471), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      anon_sym_is,
    ACTIONS(3062), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(3329), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [93342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [93362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(3253), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
  [93384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(3341), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(3253), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(3261), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
  [93450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6420), 1,
      anon_sym_BANG,
    ACTIONS(6424), 1,
      anon_sym_EQ,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(3622), 1,
      sym__initializer,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [93478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6426), 1,
      sym_identifier,
    STATE(2206), 1,
      sym_class_body,
    STATE(3270), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4471), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(3261), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_PIPE,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(3329), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [93554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(3395), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [93572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(3229), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93594] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6428), 1,
      sym_identifier,
    STATE(2206), 1,
      sym_class_body,
    STATE(3270), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4471), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 1,
      sym_identifier,
    ACTIONS(4960), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [93646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(3341), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6420), 1,
      anon_sym_BANG,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(4056), 1,
      sym__initializer,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [93696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(3371), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(3329), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [93736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [93752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_extends,
  [93772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6362), 1,
      anon_sym_extends,
    ACTIONS(6364), 1,
      anon_sym_implements,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6430), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_class_body,
    STATE(3321), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4245), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [93806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(3261), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(3253), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [93850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [93875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1938), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [93915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(6432), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE_RBRACE,
  [93966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [93996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3633), 1,
      sym_type_annotation,
    STATE(4032), 1,
      sym__initializer,
    ACTIONS(6129), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [94021] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5369), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [94046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
  [94065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [94095] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1008), 1,
      sym_class_body,
    STATE(3251), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4482), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    STATE(3359), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [94145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    STATE(3363), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6408), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [94164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(3261), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [94185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(3253), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [94206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94251] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
  [94282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3667), 1,
      sym_type_annotation,
    STATE(4069), 1,
      sym__initializer,
    ACTIONS(6139), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6137), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [94322] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1887), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    ACTIONS(6454), 1,
      anon_sym_BQUOTE,
    STATE(1057), 1,
      sym_new_component_body,
    STATE(1058), 1,
      sym_tagged_type_string,
    STATE(1059), 1,
      sym_tripple_tagged_type_string,
    STATE(3406), 1,
      sym_component_identifier,
  [94353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [94378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2222), 1,
      sym_class_body,
    STATE(3316), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4175), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_LBRACE,
    ACTIONS(3225), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [94441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(3229), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [94462] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(686), 1,
      sym_class_body,
    STATE(3240), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4476), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94508] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym_class_body,
    STATE(3239), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4416), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [94579] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_class_body,
    STATE(3236), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4404), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94625] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4101), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [94650] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(2282), 1,
      sym_new_component_body,
    STATE(3504), 1,
      sym_component_identifier,
  [94681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6408), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [94700] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_class_body,
    STATE(3288), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4540), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94731] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(2241), 1,
      sym_new_component_body,
    STATE(3435), 1,
      sym_component_identifier,
  [94762] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2120), 1,
      sym_class_body,
    STATE(3253), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4289), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [94825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3321), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [94855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(3329), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [94872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3594), 1,
      sym_type_annotation,
    STATE(3988), 1,
      sym__initializer,
    ACTIONS(6207), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6205), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [94912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(3341), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [94948] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2163), 1,
      sym_class_body,
    STATE(3278), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4402), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [94979] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
  [95010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3697), 1,
      sym_type_annotation,
    STATE(3947), 1,
      sym__initializer,
    ACTIONS(6468), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6394), 1,
      anon_sym_PIPE,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(6432), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [95116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    STATE(3600), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6402), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2188), 1,
      sym_class_body,
    STATE(3230), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4226), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2392), 1,
      sym_class_body,
    STATE(3289), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4467), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95212] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(1057), 1,
      sym_new_component_body,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(3511), 1,
      sym_component_identifier,
  [95243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [95260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym_DOT,
    ACTIONS(6376), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    ACTIONS(2582), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95313] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1780), 1,
      sym_class_body,
    STATE(3269), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4221), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95344] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6155), 1,
      anon_sym_DOT,
    STATE(1811), 1,
      sym_tagged_type_string,
    STATE(1816), 1,
      sym_tripple_tagged_type_string,
    STATE(1820), 1,
      sym_new_component_body,
    STATE(3445), 1,
      sym_component_identifier,
  [95375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_EQ,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(3623), 1,
      sym__initializer,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(4055), 1,
      sym__initializer,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3325), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3333), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1029), 1,
      sym_class_body,
    STATE(3246), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4425), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_class_body,
    STATE(3273), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4312), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(3371), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [95542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3375), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95587] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_class_body,
    STATE(3245), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4298), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(3395), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [95635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      aux_sym_object_repeat1,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [95690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [95705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95735] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(3702), 1,
      anon_sym_BQUOTE,
    ACTIONS(3704), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(2102), 1,
      sym_tagged_type_string,
    STATE(2229), 1,
      sym_tripple_tagged_type_string,
    STATE(2241), 1,
      sym_new_component_body,
    STATE(3471), 1,
      sym_component_identifier,
  [95766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3660), 1,
      sym_type_annotation,
    STATE(3962), 1,
      sym__initializer,
    ACTIONS(6213), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6211), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4140), 1,
      aux_sym_object_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [95816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [95861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3387), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95923] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1845), 1,
      sym_class_body,
    STATE(3291), 1,
      sym_type_parameters,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4353), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [95954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(6476), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [95974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
    ACTIONS(6432), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6478), 1,
      sym_identifier,
    ACTIONS(6480), 1,
      sym_private_property_identifier,
    ACTIONS(6482), 1,
      anon_sym_POUND,
    STATE(2232), 1,
      sym_new_component_body,
    STATE(3911), 1,
      sym_arguments,
    STATE(4539), 1,
      sym_component_identifier,
  [96022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      sym_escape_sequence,
    ACTIONS(6486), 1,
      anon_sym_BQUOTE,
    ACTIONS(6488), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6490), 1,
      sym__template_chars,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3711), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [96046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_enum,
    STATE(3850), 1,
      sym_variable_declarator,
    STATE(3263), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [96070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6500), 1,
      anon_sym_class,
    ACTIONS(6502), 1,
      anon_sym_abstract,
    ACTIONS(6504), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3847), 1,
      sym_component_short_heritage,
  [96098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    STATE(2764), 1,
      sym_type_arguments,
    ACTIONS(2632), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6502), 1,
      anon_sym_abstract,
    ACTIONS(6506), 1,
      anon_sym_class,
    ACTIONS(6508), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3771), 1,
      sym_component_short_heritage,
  [96144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      anon_sym_DOT,
    STATE(1490), 1,
      sym_arguments,
    ACTIONS(4296), 5,
      anon_sym_class,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_component,
  [96164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      sym_escape_sequence,
    ACTIONS(6488), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6490), 1,
      sym__template_chars,
    ACTIONS(6512), 1,
      anon_sym_BQUOTE,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3711), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [96188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6482), 1,
      anon_sym_POUND,
    ACTIONS(6514), 1,
      sym_identifier,
    ACTIONS(6516), 1,
      sym_private_property_identifier,
    STATE(1762), 1,
      sym_new_component_body,
    STATE(3912), 1,
      sym_arguments,
    STATE(4532), 1,
      sym_component_identifier,
  [96216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6502), 1,
      anon_sym_abstract,
    ACTIONS(6518), 1,
      anon_sym_class,
    ACTIONS(6520), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3845), 1,
      sym_component_short_heritage,
  [96244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      sym_escape_sequence,
    ACTIONS(6488), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6490), 1,
      sym__template_chars,
    ACTIONS(6522), 1,
      anon_sym_BQUOTE,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3711), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [96268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      sym_escape_sequence,
    ACTIONS(6488), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6490), 1,
      sym__template_chars,
    ACTIONS(6524), 1,
      anon_sym_BQUOTE,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3711), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [96292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym_POUND,
    ACTIONS(6526), 1,
      sym_identifier,
    ACTIONS(6528), 1,
      sym_private_property_identifier,
    STATE(985), 1,
      sym_new_component_body,
    STATE(3890), 1,
      sym_arguments,
    STATE(4193), 1,
      sym_component_identifier,
  [96320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6386), 1,
      anon_sym_PIPE,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(6530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [96340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym_POUND,
    ACTIONS(6514), 1,
      sym_identifier,
    ACTIONS(6516), 1,
      sym_private_property_identifier,
    STATE(2272), 1,
      sym_new_component_body,
    STATE(3914), 1,
      sym_arguments,
    STATE(4512), 1,
      sym_component_identifier,
  [96368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      sym_escape_sequence,
    ACTIONS(6488), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6490), 1,
      sym__template_chars,
    ACTIONS(6532), 1,
      anon_sym_BQUOTE,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3661), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [96392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    ACTIONS(6420), 1,
      anon_sym_BANG,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(4056), 1,
      sym__initializer,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6534), 1,
      sym_identifier,
    ACTIONS(6536), 1,
      anon_sym_STAR,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4259), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [96441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4267), 1,
      sym_statement_block,
    ACTIONS(6542), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [96458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym_EQ,
    ACTIONS(3881), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [96473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2198), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4286), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6547), 1,
      sym_identifier,
    ACTIONS(6549), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4259), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [96523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_extends,
    ACTIONS(6551), 1,
      sym_identifier,
    ACTIONS(6553), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2632), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [96542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4227), 1,
      sym_statement_block,
    ACTIONS(6555), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [96559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [96572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    ACTIONS(6563), 1,
      anon_sym_QMARK,
    STATE(3871), 1,
      sym_type_annotation,
    STATE(4235), 1,
      sym__initializer,
    ACTIONS(6557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [96595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4302), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1024), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4218), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    ACTIONS(6565), 1,
      anon_sym_LBRACE,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(6569), 1,
      anon_sym_DOT,
    ACTIONS(6571), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3783), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(4089), 1,
      sym_type_arguments,
  [96670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(789), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4311), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(689), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4314), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6573), 1,
      sym_identifier,
    ACTIONS(6575), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4496), 1,
      sym__call_signature,
  [96745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6577), 1,
      sym_identifier,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    ACTIONS(6581), 1,
      anon_sym_LT,
    STATE(997), 1,
      sym_component_body,
    STATE(3885), 1,
      sym_component_heritage,
    STATE(4212), 1,
      sym_component_identifier,
  [96770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3744), 1,
      sym_type_annotation,
    ACTIONS(6583), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [96787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1761), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4250), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(834), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4270), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96837] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1033), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4495), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6585), 1,
      sym_identifier,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [96887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6589), 1,
      sym_identifier,
    ACTIONS(6591), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4259), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [96912] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2179), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4257), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6593), 1,
      sym_identifier,
    STATE(3850), 1,
      sym_variable_declarator,
    STATE(3263), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [96958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1075), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4390), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [96983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6595), 1,
      sym_identifier,
    STATE(1546), 1,
      sym_new_component_body,
    STATE(3765), 1,
      sym_arguments,
    STATE(4229), 1,
      sym_component_identifier,
  [97008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2300), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4184), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2397), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4468), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6593), 1,
      sym_identifier,
    STATE(3851), 1,
      sym_variable_declarator,
    STATE(3263), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [97079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6173), 1,
      anon_sym_is,
    ACTIONS(6597), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3694), 1,
      sym_type_annotation,
    STATE(3951), 1,
      sym__initializer,
    ACTIONS(6325), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6599), 1,
      sym_identifier,
    ACTIONS(6601), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4256), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [97140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6603), 1,
      anon_sym_class,
    ACTIONS(6605), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3843), 1,
      sym_component_short_heritage,
  [97165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(3881), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [97180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_identifier,
    ACTIONS(6612), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4496), 1,
      sym__call_signature,
  [97205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_BQUOTE,
    ACTIONS(2590), 6,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [97220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3617), 1,
      sym_type_annotation,
    STATE(4055), 1,
      sym__initializer,
    ACTIONS(6418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4321), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [97266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6618), 1,
      sym_identifier,
    ACTIONS(6620), 1,
      anon_sym_DOT,
    STATE(875), 1,
      sym__module,
    STATE(3703), 1,
      sym_nested_identifier,
    STATE(3840), 1,
      sym_string,
  [97291] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(118), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_extends,
    STATE(782), 1,
      sym_object_type,
    STATE(3701), 1,
      sym_type_parameters,
    STATE(4046), 1,
      sym_extends_type_clause,
  [97316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2132), 1,
      sym_component_body,
    STATE(3798), 1,
      sym_component_heritage,
    STATE(4373), 1,
      sym_component_identifier,
  [97341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_component_body,
    STATE(3898), 1,
      sym_component_heritage,
    STATE(4307), 1,
      sym_component_identifier,
  [97366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1749), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4308), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2111), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4192), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3587), 1,
      sym_type_annotation,
    STATE(4009), 1,
      sym__initializer,
    ACTIONS(6327), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6632), 1,
      anon_sym_AT,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    ACTIONS(4255), 4,
      anon_sym_class,
      anon_sym_AMP,
      anon_sym_abstract,
      anon_sym_component,
  [97456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(697), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4279), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6635), 1,
      sym_identifier,
    STATE(1052), 1,
      sym_component_body,
    STATE(3913), 1,
      sym_component_heritage,
    STATE(4174), 1,
      sym_component_identifier,
  [97506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6637), 1,
      sym_identifier,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(633), 1,
      sym_component_body,
    STATE(3821), 1,
      sym_component_heritage,
    STATE(4510), 1,
      sym_component_identifier,
  [97531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6641), 1,
      anon_sym_class,
    ACTIONS(6643), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3820), 1,
      sym_component_short_heritage,
  [97556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3721), 1,
      sym_type_annotation,
    STATE(3940), 1,
      sym__initializer,
    ACTIONS(6645), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2215), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4327), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4206), 1,
      sym_statement_block,
    ACTIONS(6647), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97619] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    ACTIONS(6649), 1,
      sym_identifier,
    STATE(2123), 1,
      sym_component_body,
    STATE(3854), 1,
      sym_component_heritage,
    STATE(4303), 1,
      sym_component_identifier,
  [97644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [97657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4230), 1,
      sym_statement_block,
    ACTIONS(6653), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6655), 1,
      sym_identifier,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1788), 1,
      sym_component_body,
    STATE(3923), 1,
      sym_component_heritage,
    STATE(4375), 1,
      sym_component_identifier,
  [97699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AMP,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_component,
  [97712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6659), 1,
      sym_identifier,
    ACTIONS(6661), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4223), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [97737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4276), 1,
      sym_statement_block,
    ACTIONS(6663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6665), 1,
      sym_identifier,
    ACTIONS(6667), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4496), 1,
      sym__call_signature,
  [97779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4421), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97804] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2427), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4486), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3652), 1,
      sym_type_annotation,
    STATE(3965), 1,
      sym__initializer,
    ACTIONS(6310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1853), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4492), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [97875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6669), 1,
      sym_identifier,
    STATE(3850), 1,
      sym_variable_declarator,
    STATE(3180), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [97896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4269), 1,
      sym_statement_block,
    ACTIONS(6663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6671), 1,
      sym_identifier,
    STATE(3851), 1,
      sym_variable_declarator,
    STATE(3179), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [97934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6593), 1,
      sym_identifier,
    STATE(4012), 1,
      sym_variable_declarator,
    STATE(3263), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [97955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
  [97968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4255), 1,
      sym_statement_block,
    ACTIONS(6673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [97985] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    ACTIONS(6675), 1,
      sym_identifier,
    STATE(1770), 1,
      sym_component_body,
    STATE(3817), 1,
      sym_component_heritage,
    STATE(4480), 1,
      sym_component_identifier,
  [98010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4252), 1,
      sym_statement_block,
    ACTIONS(6677), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4294), 1,
      sym_statement_block,
    ACTIONS(6673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4296), 1,
      sym_statement_block,
    ACTIONS(6677), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6679), 1,
      sym_identifier,
    ACTIONS(6681), 1,
      anon_sym_STAR,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4469), 1,
      sym__call_signature,
  [98086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6432), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [98105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4246), 1,
      sym_statement_block,
    ACTIONS(6683), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(6620), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      sym_identifier,
    STATE(657), 1,
      sym_nested_identifier,
    STATE(680), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
  [98147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6616), 1,
      anon_sym_QMARK,
    ACTIONS(6687), 1,
      anon_sym_COLON,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4321), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [98172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6622), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_extends,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_LBRACE_PIPE,
    STATE(782), 1,
      sym_object_type,
    STATE(3597), 1,
      sym_type_parameters,
    STATE(4051), 1,
      sym_extends_type_clause,
  [98197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_EQ,
    ACTIONS(3875), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [98212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3634), 1,
      sym_type_annotation,
    ACTIONS(6695), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6697), 1,
      sym_identifier,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(209), 1,
      sym_component_body,
    STATE(3846), 1,
      sym_component_heritage,
    STATE(4448), 1,
      sym_component_identifier,
  [98254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3664), 1,
      sym_type_annotation,
    STATE(4065), 1,
      sym__initializer,
    ACTIONS(6308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4238), 1,
      sym_statement_block,
    ACTIONS(6701), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4385), 1,
      sym_statement_block,
    ACTIONS(6683), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4388), 1,
      sym_statement_block,
    ACTIONS(6701), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_component_body,
    STATE(3831), 1,
      sym_component_heritage,
    STATE(4534), 1,
      sym_component_identifier,
  [98351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(2252), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4187), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [98376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 1,
      anon_sym_is,
    ACTIONS(3062), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_is,
    ACTIONS(2632), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(6432), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [98425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [98438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1012), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4315), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [98463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      sym_identifier,
    STATE(218), 1,
      sym_component_body,
    STATE(3825), 1,
      sym_component_heritage,
    STATE(4527), 1,
      sym_component_identifier,
  [98488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_QMARK,
  [98501] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      sym_identifier,
    STATE(2401), 1,
      sym_component_body,
    STATE(3900), 1,
      sym_component_heritage,
    STATE(4306), 1,
      sym_component_identifier,
  [98526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6713), 1,
      anon_sym_class,
    ACTIONS(6715), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3886), 1,
      sym_component_short_heritage,
  [98564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4222), 1,
      sym_statement_block,
    ACTIONS(6717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4220), 1,
      sym_statement_block,
    ACTIONS(6719), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4507), 1,
      sym_statement_block,
    ACTIONS(6719), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4509), 1,
      sym_statement_block,
    ACTIONS(6717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [98662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3570), 1,
      sym_type_annotation,
    STATE(4036), 1,
      sym__initializer,
    ACTIONS(6316), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6721), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [98709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_extends,
    ACTIONS(6444), 1,
      anon_sym_implements,
    STATE(1841), 1,
      sym_class_body,
    STATE(4023), 1,
      sym_extends_clause,
    STATE(4355), 1,
      sym_class_heritage,
    STATE(4625), 1,
      sym_implements_clause,
  [98747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3644), 1,
      sym_type_annotation,
    ACTIONS(6723), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      anon_sym_EQ,
    STATE(3878), 1,
      sym_constraint,
    STATE(4179), 1,
      sym_default_type,
    ACTIONS(6257), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(6725), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [98824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [98837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
  [98850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      sym_identifier,
    STATE(617), 1,
      sym_component_body,
    STATE(3764), 1,
      sym_component_heritage,
    STATE(4232), 1,
      sym_component_identifier,
  [98875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4426), 1,
      sym_statement_block,
    ACTIONS(6731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(3543), 1,
      sym_type_annotation,
    ACTIONS(6733), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4462), 1,
      sym_statement_block,
    ACTIONS(6735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4189), 1,
      sym_statement_block,
    ACTIONS(6737), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4460), 1,
      sym_statement_block,
    ACTIONS(6737), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_LBRACE,
    ACTIONS(4903), 1,
      anon_sym_from,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(6739), 1,
      sym_identifier,
    ACTIONS(6741), 1,
      anon_sym_STAR,
    STATE(3050), 1,
      sym_import_path_segment,
    STATE(3063), 1,
      sym_import_path,
  [98985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2596), 1,
      sym_statement_block,
    ACTIONS(6735), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6745), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3390), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [99023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6157), 1,
      anon_sym_is,
    ACTIONS(6597), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3645), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [99071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3651), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [99089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4554), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6757), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_AMP,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(6508), 1,
      anon_sym_component,
    STATE(1478), 1,
      sym_decorator,
    STATE(3272), 1,
      aux_sym_class_repeat1,
    STATE(3771), 1,
      sym_component_short_heritage,
  [99151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6762), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6765), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6759), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3362), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6772), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6769), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      sym_identifier,
    ACTIONS(6776), 1,
      anon_sym_LBRACK,
    STATE(3967), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [99215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6778), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3233), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [99237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3228), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [99259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(6647), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_BQUOTE,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6782), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3399), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4432), 1,
      sym__call_signature,
  [99315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4323), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [99337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2607), 1,
      sym_statement_block,
    ACTIONS(6555), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3300), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [99375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(3371), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [99393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(3395), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [99407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6802), 1,
      anon_sym_BQUOTE,
    ACTIONS(6800), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3438), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2608), 1,
      sym_statement_block,
    ACTIONS(6653), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym_component_body,
    STATE(3788), 1,
      sym_component_heritage,
    STATE(4331), 1,
      sym_component_identifier,
  [99463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6804), 1,
      anon_sym_BQUOTE,
    ACTIONS(6484), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3498), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(6031), 1,
      anon_sym_BQUOTE,
    ACTIONS(6033), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(1546), 1,
      sym_new_component_body,
    STATE(1547), 1,
      sym_tripple_tagged_type_string,
    STATE(1583), 1,
      sym_tagged_type_string,
  [99503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 1,
      sym_identifier,
    ACTIONS(6808), 1,
      anon_sym_import,
    STATE(2776), 1,
      sym__type_query_subscript_expression,
    STATE(2810), 1,
      sym__type_query_member_expression,
    STATE(2923), 1,
      sym__type_query_call_expression,
    STATE(4447), 1,
      sym_import,
  [99525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3313), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [99547] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4380), 1,
      sym__call_signature,
  [99569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_component_body,
    STATE(3860), 1,
      sym_component_heritage,
    STATE(4176), 1,
      sym_component_identifier,
  [99591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2594), 1,
      sym_statement_block,
    ACTIONS(6663), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4241), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [99629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3372), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [99651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(6685), 1,
      sym_identifier,
    STATE(657), 1,
      sym_nested_identifier,
    STATE(680), 1,
      sym_string,
    STATE(876), 1,
      sym__module,
  [99673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(193), 1,
      sym_component_body,
    STATE(3827), 1,
      sym_component_heritage,
    STATE(4543), 1,
      sym_component_identifier,
  [99695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2615), 1,
      sym_statement_block,
    ACTIONS(6542), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4574), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6818), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_import,
    ACTIONS(6820), 1,
      sym_identifier,
    STATE(1636), 1,
      sym__type_query_subscript_expression,
    STATE(1637), 1,
      sym__type_query_member_expression,
    STATE(1692), 1,
      sym__type_query_call_expression,
    STATE(4200), 1,
      sym_import,
  [99749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2611), 1,
      sym_statement_block,
    ACTIONS(6663), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6822), 1,
      anon_sym_COMMA,
    ACTIONS(6824), 1,
      anon_sym_GT,
    STATE(4137), 1,
      aux_sym_implements_clause_repeat1,
  [99787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [99799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6826), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4504), 1,
      sym__call_signature,
  [99837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3391), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6826), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6832), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3413), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [99893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    ACTIONS(6569), 1,
      anon_sym_DOT,
    ACTIONS(6836), 1,
      anon_sym_LBRACE,
    STATE(4089), 1,
      sym_type_arguments,
    ACTIONS(6838), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [99913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6842), 1,
      anon_sym_BQUOTE,
    ACTIONS(6840), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3430), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3396), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6846), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6844), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6848), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3431), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [99965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(3902), 1,
      sym_type_annotation,
    STATE(4362), 1,
      sym__initializer,
    ACTIONS(6854), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [99985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6454), 1,
      anon_sym_BQUOTE,
    STATE(985), 1,
      sym_new_component_body,
    STATE(1030), 1,
      sym_tripple_tagged_type_string,
    STATE(1031), 1,
      sym_tagged_type_string,
  [100007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_component_body,
    STATE(3884), 1,
      sym_component_heritage,
    STATE(4216), 1,
      sym_component_identifier,
  [100029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6856), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3329), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [100051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6858), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3712), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [100073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6860), 1,
      anon_sym_COMMA,
    ACTIONS(6862), 1,
      anon_sym_GT,
    STATE(4110), 1,
      aux_sym_implements_clause_repeat1,
  [100095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_QMARK,
    ACTIONS(6864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [100115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3447), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6870), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6868), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2609), 1,
      sym_statement_block,
    ACTIONS(6737), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3481), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [100169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2580), 1,
      sym_statement_block,
    ACTIONS(6737), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2150), 1,
      sym_component_body,
    STATE(3801), 1,
      sym_component_heritage,
    STATE(4382), 1,
      sym_component_identifier,
  [100207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3705), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [100225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6874), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(4030), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [100247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(6618), 1,
      sym_identifier,
    STATE(876), 1,
      sym__module,
    STATE(3703), 1,
      sym_nested_identifier,
    STATE(3840), 1,
      sym_string,
  [100269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3630), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [100287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_statement_block,
    ACTIONS(6673), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_import,
    ACTIONS(6876), 1,
      sym_identifier,
    STATE(2714), 1,
      sym__type_query_subscript_expression,
    STATE(2716), 1,
      sym__type_query_member_expression,
    STATE(2762), 1,
      sym__type_query_call_expression,
    STATE(4530), 1,
      sym_import,
  [100325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6878), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6880), 1,
      anon_sym_COMMA,
    ACTIONS(6882), 1,
      anon_sym_GT,
    STATE(4115), 1,
      aux_sym_implements_clause_repeat1,
  [100363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6884), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_statement_block,
    ACTIONS(6677), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2582), 1,
      sym_statement_block,
    ACTIONS(6731), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6886), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3423), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6884), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [100461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6892), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6890), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3362), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [100479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2591), 1,
      sym_statement_block,
    ACTIONS(6673), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3425), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6896), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6894), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_statement_block,
    ACTIONS(6677), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100527] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    STATE(1753), 1,
      sym_tagged_type_string,
    STATE(1779), 1,
      sym_tripple_tagged_type_string,
    STATE(2232), 1,
      sym_new_component_body,
  [100549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6898), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4265), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [100571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6900), 1,
      anon_sym_COMMA,
    ACTIONS(6902), 1,
      anon_sym_GT,
    STATE(4158), 1,
      aux_sym_implements_clause_repeat1,
  [100593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6904), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [100611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4552), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3553), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [100649] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_component_body,
    STATE(3925), 1,
      sym_component_heritage,
    STATE(4258), 1,
      sym_component_identifier,
  [100671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3454), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6910), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6914), 1,
      anon_sym_BQUOTE,
    ACTIONS(6912), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3539), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [100705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6918), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6916), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3540), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [100723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    STATE(1753), 1,
      sym_tagged_type_string,
    STATE(1762), 1,
      sym_new_component_body,
    STATE(1779), 1,
      sym_tripple_tagged_type_string,
  [100745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    ACTIONS(6581), 1,
      anon_sym_LT,
    STATE(1028), 1,
      sym_component_body,
    STATE(3907), 1,
      sym_component_heritage,
    STATE(4419), 1,
      sym_component_identifier,
  [100767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6910), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3547), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [100801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4188), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [100823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4241), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [100845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6721), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [100857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym_catch,
    ACTIONS(6926), 1,
      anon_sym_finally,
    STATE(835), 1,
      sym_finally_clause,
    STATE(3835), 1,
      sym_catch_clause,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
  [100877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3358), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6886), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4544), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6928), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6930), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3743), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [100931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6932), 1,
      anon_sym_RBRACE,
    ACTIONS(6934), 1,
      anon_sym_case,
    ACTIONS(6937), 1,
      anon_sym_default,
    STATE(3456), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [100949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3672), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [100967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      anon_sym_RBRACE,
    ACTIONS(6942), 1,
      anon_sym_case,
    ACTIONS(6944), 1,
      anon_sym_default,
    STATE(3533), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [100985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_import,
    ACTIONS(6946), 1,
      sym_identifier,
    STATE(719), 1,
      sym__type_query_member_expression,
    STATE(744), 1,
      sym__type_query_subscript_expression,
    STATE(933), 1,
      sym__type_query_call_expression,
    STATE(4440), 1,
      sym_import,
  [101007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1837), 1,
      sym_component_body,
    STATE(3859), 1,
      sym_component_heritage,
    STATE(4358), 1,
      sym_component_identifier,
  [101029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3428), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6950), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6952), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4188), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [101067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6954), 1,
      anon_sym_QMARK,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3350), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [101089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3671), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [101107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3669), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [101129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6958), 1,
      anon_sym_COMMA,
    ACTIONS(6960), 1,
      anon_sym_GT,
    STATE(4041), 1,
      aux_sym_implements_clause_repeat1,
  [101151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6964), 1,
      anon_sym_BQUOTE,
    ACTIONS(6962), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3512), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6968), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6966), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3513), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(214), 1,
      sym_component_body,
    STATE(3804), 1,
      sym_component_heritage,
    STATE(4399), 1,
      sym_component_identifier,
  [101209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(618), 1,
      sym_component_body,
    STATE(3747), 1,
      sym_component_heritage,
    STATE(4367), 1,
      sym_component_identifier,
  [101231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(3702), 1,
      anon_sym_BQUOTE,
    ACTIONS(3704), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(2127), 1,
      sym_tagged_type_string,
    STATE(2134), 1,
      sym_tripple_tagged_type_string,
    STATE(2232), 1,
      sym_new_component_body,
  [101253] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4384), 1,
      sym__call_signature,
  [101275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3532), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6974), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_statement_block,
    ACTIONS(6683), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2593), 1,
      sym_statement_block,
    ACTIONS(6701), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_import,
    ACTIONS(6976), 1,
      sym_identifier,
    STATE(2911), 1,
      sym__type_query_member_expression,
    STATE(2912), 1,
      sym__type_query_subscript_expression,
    STATE(3056), 1,
      sym__type_query_call_expression,
    STATE(4224), 1,
      sym_import,
  [101345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3494), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6980), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6978), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4461), 1,
      sym__call_signature,
  [101383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2587), 1,
      sym_statement_block,
    ACTIONS(6717), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6984), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3432), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [101421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2595), 1,
      sym_statement_block,
    ACTIONS(6719), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4538), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_statement_block,
    ACTIONS(6683), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    ACTIONS(6988), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3483), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [101491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_statement_block,
    ACTIONS(6719), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_statement_block,
    ACTIONS(6701), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(6990), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    STATE(4088), 1,
      aux_sym_implements_clause_repeat1,
  [101545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4556), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6994), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3482), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4556), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6994), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4325), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [101599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [101611] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6998), 1,
      anon_sym_QMARK,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4293), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [101633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(3143), 4,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
  [101649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4550), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7000), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4960), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [101679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7002), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_GT,
  [101697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3439), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4550), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7000), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7004), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1778), 1,
      sym_component_body,
    STATE(3901), 1,
      sym_component_heritage,
    STATE(4335), 1,
      sym_component_identifier,
  [101753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(3261), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [101771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(3253), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [101789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_BQUOTE,
    ACTIONS(7009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7006), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(3229), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [101825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_tagged_type_string,
    STATE(1779), 1,
      sym_tripple_tagged_type_string,
    STATE(2272), 1,
      sym_new_component_body,
  [101847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    ACTIONS(6581), 1,
      anon_sym_LT,
    STATE(1023), 1,
      sym_component_body,
    STATE(3904), 1,
      sym_component_heritage,
    STATE(4317), 1,
      sym_component_identifier,
  [101869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3781), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(4090), 1,
      sym_type_arguments,
  [101891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7018), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7016), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3522), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_BQUOTE,
    ACTIONS(7020), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3516), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3488), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(7026), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7024), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      anon_sym_is,
    ACTIONS(6597), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3739), 1,
      anon_sym_BQUOTE,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_new_component_body,
    STATE(1753), 1,
      sym_tagged_type_string,
    STATE(1779), 1,
      sym_tripple_tagged_type_string,
  [101979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7028), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [101997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7030), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6890), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3362), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [102015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7032), 1,
      anon_sym_COMMA,
    ACTIONS(7034), 1,
      anon_sym_GT,
    STATE(4148), 1,
      aux_sym_implements_clause_repeat1,
  [102037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6581), 1,
      anon_sym_LT,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2403), 1,
      sym_component_body,
    STATE(3844), 1,
      sym_component_heritage,
    STATE(4470), 1,
      sym_component_identifier,
  [102059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7036), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [102077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(7038), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4274), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(7040), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3985), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [102121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym_LBRACK,
    ACTIONS(7042), 1,
      sym_identifier,
    STATE(3979), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [102139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym_LBRACE,
    STATE(2598), 1,
      sym_statement_block,
    ACTIONS(6717), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3602), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [102173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7044), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6890), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3362), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [102191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3604), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [102209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(3329), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [102223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    ACTIONS(6749), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6751), 1,
      anon_sym_QMARK_COLON,
    STATE(3605), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [102241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym_LBRACK,
    ACTIONS(7046), 1,
      sym_identifier,
    STATE(4344), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [102259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym_LBRACK,
    ACTIONS(7048), 1,
      sym_identifier,
    STATE(3789), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [102277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3538), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4570), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    ACTIONS(7052), 1,
      anon_sym_QMARK,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3608), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [102315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [102327] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_import,
    ACTIONS(7054), 1,
      sym_identifier,
    STATE(1888), 1,
      sym__type_query_member_expression,
    STATE(1893), 1,
      sym__type_query_subscript_expression,
    STATE(2061), 1,
      sym__type_query_call_expression,
    STATE(4301), 1,
      sym_import,
  [102349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4570), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_case,
    ACTIONS(6944), 1,
      anon_sym_default,
    ACTIONS(7056), 1,
      anon_sym_RBRACE,
    STATE(3456), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [102383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(3341), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [102401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(7058), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4241), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7060), 1,
      anon_sym_COMMA,
    ACTIONS(7062), 1,
      anon_sym_GT,
    STATE(4162), 1,
      aux_sym_implements_clause_repeat1,
  [102445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(7064), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4188), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(4566), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(6830), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3502), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [102501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7070), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(6890), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3362), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [102519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4234), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(7074), 1,
      anon_sym_PIPE,
    ACTIONS(7072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [102555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [102577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4195), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4202), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7080), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_BQUOTE,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      sym__template_chars,
    STATE(3572), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [102687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3606), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [102717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [102739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4285), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4339), 1,
      sym__call_signature,
  [102777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4288), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3987), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [102815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 1,
      anon_sym_LBRACE,
    ACTIONS(7092), 1,
      anon_sym_SEMI,
    ACTIONS(7094), 1,
      sym__automatic_semicolon,
    ACTIONS(7096), 1,
      sym__function_signature_automatic_semicolon,
    STATE(178), 1,
      sym_statement_block,
  [102834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3618), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [102864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4313), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [102894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_LBRACE,
    ACTIONS(7100), 1,
      anon_sym_SEMI,
    ACTIONS(7102), 1,
      sym__automatic_semicolon,
    ACTIONS(7104), 1,
      sym__function_signature_automatic_semicolon,
    STATE(690), 1,
      sym_statement_block,
  [102913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [102924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [102935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_COLON,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7106), 1,
      anon_sym_RBRACE,
    STATE(4135), 1,
      aux_sym_object_pattern_repeat1,
  [102954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3990), 1,
      sym__initializer,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    ACTIONS(7110), 1,
      anon_sym_COMMA,
    ACTIONS(7112), 1,
      anon_sym_RBRACE,
    STATE(3969), 1,
      aux_sym_enum_body_repeat1,
    STATE(4304), 1,
      sym__initializer,
  [102988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_BQUOTE,
    ACTIONS(7116), 1,
      sym__template_chars,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [103005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4334), 1,
      sym__call_signature,
  [103024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7120), 1,
      anon_sym_RPAREN,
    STATE(4017), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [103041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7122), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [103058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7116), 1,
      sym__template_chars,
    ACTIONS(7124), 1,
      anon_sym_BQUOTE,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [103075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4328), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [103094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [103105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4295), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [103124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7126), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [103141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7116), 1,
      sym__template_chars,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [103158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7132), 1,
      anon_sym_EQ_GT,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3434), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [103192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_implements,
  [103203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3486), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [103222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [103233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3966), 1,
      sym__initializer,
    ACTIONS(7137), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      sym_identifier,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    ACTIONS(7143), 1,
      sym_private_property_identifier,
    STATE(1763), 1,
      sym_arguments,
  [103267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7145), 1,
      anon_sym_EQ_GT,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_EQ_GT,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_EQ_GT,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
  [103323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7151), 1,
      anon_sym_BQUOTE,
    ACTIONS(7153), 1,
      sym__template_chars,
    STATE(3649), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [103340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3963), 1,
      sym__initializer,
    ACTIONS(7155), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3960), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [103374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4386), 1,
      sym__call_signature,
  [103393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_extends,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_LBRACE_PIPE,
    STATE(870), 1,
      sym_object_type,
    STATE(4004), 1,
      sym_extends_type_clause,
  [103412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3566), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [103431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4457), 1,
      sym__call_signature,
  [103450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6757), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LPAREN,
    ACTIONS(7159), 1,
      sym_identifier,
    ACTIONS(7161), 1,
      anon_sym_LBRACK,
    ACTIONS(7163), 1,
      sym_private_property_identifier,
    STATE(1047), 1,
      sym_arguments,
  [103502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7165), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6677), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3666), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [103554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 1,
      anon_sym_LBRACE,
    ACTIONS(7100), 1,
      anon_sym_SEMI,
    ACTIONS(7102), 1,
      sym__automatic_semicolon,
    ACTIONS(7104), 1,
      sym__function_signature_automatic_semicolon,
    STATE(190), 1,
      sym_statement_block,
  [103584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6677), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4423), 1,
      sym__call_signature,
  [103625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3561), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [103644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7171), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7173), 1,
      anon_sym_BQUOTE,
    ACTIONS(7175), 1,
      sym__template_chars,
    STATE(3576), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [103672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(4014), 1,
      sym__initializer,
    ACTIONS(7177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7092), 1,
      anon_sym_SEMI,
    ACTIONS(7094), 1,
      sym__automatic_semicolon,
    ACTIONS(7096), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(7098), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_statement_block,
  [103717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7179), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(7074), 1,
      anon_sym_PIPE,
    ACTIONS(7181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7183), 1,
      anon_sym_RPAREN,
    STATE(4524), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [103762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7187), 1,
      anon_sym_in,
    ACTIONS(7189), 1,
      anon_sym_of,
    ACTIONS(7185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_in,
    ACTIONS(7193), 1,
      anon_sym_of,
    ACTIONS(7185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_COLON,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7092), 1,
      anon_sym_SEMI,
    ACTIONS(7094), 1,
      sym__automatic_semicolon,
    ACTIONS(7096), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_statement_block,
  [103837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    STATE(1584), 1,
      sym_statement_block,
    STATE(4454), 1,
      sym_typed_function_return_type,
    STATE(4649), 1,
      sym_type_annotation,
  [103856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_SEMI,
    ACTIONS(7102), 1,
      sym__automatic_semicolon,
    ACTIONS(7104), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_statement_block,
  [103875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4280), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [103894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7199), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4185), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [103924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7201), 1,
      anon_sym_EQ_GT,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [103939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3991), 1,
      sym__initializer,
    ACTIONS(7204), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3628), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [103984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3626), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4515), 1,
      sym__call_signature,
  [104022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7210), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6719), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4268), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [104074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4519), 1,
      sym__call_signature,
  [104093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3715), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6719), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3393), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_implements,
  [104164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
  [104175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7116), 1,
      sym__template_chars,
    ACTIONS(7216), 1,
      anon_sym_BQUOTE,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [104192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3555), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [104211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3952), 1,
      sym__initializer,
    ACTIONS(7220), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7222), 1,
      anon_sym_EQ_GT,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [104263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
    ACTIONS(7225), 1,
      anon_sym_as,
    ACTIONS(7227), 1,
      anon_sym_RBRACK,
  [104293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7231), 1,
      anon_sym_RPAREN,
    STATE(4524), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [104321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3949), 1,
      sym__initializer,
    ACTIONS(7233), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7116), 1,
      sym__template_chars,
    ACTIONS(7235), 1,
      anon_sym_BQUOTE,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [104364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3699), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(4027), 1,
      sym__initializer,
    ACTIONS(7237), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(4062), 1,
      sym__initializer,
    ACTIONS(7239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(4047), 1,
      sym__initializer,
    ACTIONS(7241), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3707), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [104469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3479), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_implements,
  [104532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3330), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [104551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      sym_identifier,
    ACTIONS(7251), 1,
      anon_sym_LBRACK,
    ACTIONS(7253), 1,
      sym_private_property_identifier,
    STATE(2295), 1,
      sym_arguments,
  [104592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7255), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(7074), 1,
      anon_sym_PIPE,
    ACTIONS(7257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [104620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7259), 1,
      anon_sym_BQUOTE,
    ACTIONS(7261), 1,
      sym__template_chars,
    STATE(3711), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [104637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4489), 1,
      sym__call_signature,
  [104678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_QMARK,
  [104700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7126), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [104717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    STATE(4090), 1,
      sym_type_arguments,
    ACTIONS(7265), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [104734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7267), 1,
      anon_sym_BQUOTE,
    ACTIONS(7269), 1,
      sym__template_chars,
    STATE(3581), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [104751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4228), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [104770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4544), 1,
      sym__call_signature,
  [104789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7271), 1,
      anon_sym_RPAREN,
    STATE(4524), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [104806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4491), 1,
      sym__call_signature,
  [104825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4508), 1,
      sym__call_signature,
  [104844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3941), 1,
      sym__initializer,
    ACTIONS(7273), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_EQ_GT,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [104874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    STATE(4273), 1,
      sym_type_annotation,
    ACTIONS(3881), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [104889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3939), 1,
      sym__initializer,
    ACTIONS(7275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4326), 1,
      sym__call_signature,
    STATE(4333), 1,
      sym_type_parameters,
  [104923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_SEMI,
    ACTIONS(7102), 1,
      sym__automatic_semicolon,
    ACTIONS(7104), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_statement_block,
  [104942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4341), 1,
      sym__call_signature,
  [104961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(118), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(6624), 1,
      anon_sym_extends,
    STATE(870), 1,
      sym_object_type,
    STATE(3959), 1,
      sym_extends_type_clause,
  [104980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3377), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [104999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_statement_block,
    ACTIONS(2485), 2,
      anon_sym_else,
      anon_sym_while,
  [105016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7279), 1,
      anon_sym_EQ_GT,
    STATE(4501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [105031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4376), 1,
      sym__call_signature,
  [105061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3727), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [105091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_BQUOTE,
    ACTIONS(7286), 1,
      sym__template_chars,
    STATE(3661), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3314), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [105127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7116), 1,
      sym__template_chars,
    ACTIONS(7288), 1,
      anon_sym_BQUOTE,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    STATE(1560), 1,
      sym_statement_block,
    STATE(4422), 1,
      sym_typed_function_return_type,
    STATE(4649), 1,
      sym_type_annotation,
  [105174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_RPAREN,
    STATE(4524), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [105191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7092), 1,
      anon_sym_SEMI,
    ACTIONS(7094), 1,
      sym__automatic_semicolon,
    ACTIONS(7096), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2117), 1,
      sym_statement_block,
  [105210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    STATE(1576), 1,
      sym_statement_block,
    STATE(4517), 1,
      sym_typed_function_return_type,
    STATE(4649), 1,
      sym_type_annotation,
  [105229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    STATE(1548), 1,
      sym_statement_block,
    STATE(4514), 1,
      sym_typed_function_return_type,
    STATE(4649), 1,
      sym_type_annotation,
  [105248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_COLON,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [105263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7292), 1,
      anon_sym_EQ_GT,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [105278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    ACTIONS(7295), 1,
      anon_sym_RPAREN,
    STATE(3958), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [105295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_EQ,
    STATE(3935), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3368), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [105329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_BQUOTE,
    ACTIONS(7301), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7304), 1,
      sym__template_chars,
    STATE(3723), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3301), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [105365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_formal_parameters,
    STATE(4333), 1,
      sym_type_parameters,
    STATE(4336), 1,
      sym__call_signature,
  [105384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 1,
      anon_sym_EQ,
    ACTIONS(3875), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [105397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_LBRACK,
    ACTIONS(7309), 1,
      anon_sym_RBRACE,
    ACTIONS(3171), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_COLON,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7311), 1,
      anon_sym_RBRACE,
    STATE(4086), 1,
      aux_sym_object_pattern_repeat1,
  [105442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3147), 1,
      sym_formal_parameters,
    STATE(3609), 1,
      sym__call_signature,
    STATE(4305), 1,
      sym_type_parameters,
  [105461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3293), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [105480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_EQ,
  [105491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3282), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [105510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3078), 1,
      sym_formal_parameters,
    STATE(3279), 1,
      sym__call_signature,
    STATE(4233), 1,
      sym_type_parameters,
  [105540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      anon_sym_COLON,
    ACTIONS(7315), 1,
      anon_sym_EQ_GT,
    STATE(4431), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [105555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7318), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7320), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3126), 1,
      anon_sym_LBRACE,
    ACTIONS(3128), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [105620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3123), 1,
      sym_formal_parameters,
    STATE(3659), 1,
      sym__call_signature,
    STATE(4330), 1,
      sym_type_parameters,
  [105639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105672] = 4,
    ACTIONS(7324), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym_comment,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7326), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [105686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(631), 1,
      sym_component_body,
    STATE(4361), 1,
      sym_component_identifier,
  [105702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [105712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7332), 1,
      anon_sym_QMARK,
  [105728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7334), 1,
      anon_sym_QMARK,
  [105744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(609), 1,
      sym_component_body,
    STATE(4236), 1,
      sym_component_identifier,
  [105760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4183), 1,
      sym_type_parameters,
    STATE(4881), 1,
      sym_formal_parameters,
  [105776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4186), 1,
      sym_type_parameters,
    STATE(4875), 1,
      sym_formal_parameters,
  [105792] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7336), 1,
      sym__glimmer_template_content,
    ACTIONS(7338), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1048), 1,
      sym_glimmer_closing_tag,
    STATE(3982), 1,
      aux_sym_glimmer_template_repeat1,
  [105808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4201), 1,
      sym_type_parameters,
    STATE(4759), 1,
      sym_formal_parameters,
  [105824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4204), 1,
      sym_type_parameters,
    STATE(4749), 1,
      sym_formal_parameters,
  [105840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7340), 1,
      anon_sym_QMARK,
  [105856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7342), 1,
      anon_sym_QMARK,
  [105872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7344), 1,
      anon_sym_QMARK,
  [105888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7346), 1,
      anon_sym_QMARK,
  [105904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7348), 1,
      anon_sym_COLON,
  [105920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7350), 1,
      anon_sym_QMARK,
  [105936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_DOT,
    STATE(3773), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(6046), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
  [105950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_component_body,
    STATE(4343), 1,
      sym_component_identifier,
  [105966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_new_component_body,
    STATE(4410), 1,
      sym_component_identifier,
  [105982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_RBRACE,
    ACTIONS(3171), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105994] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7354), 1,
      anon_sym_DQUOTE,
    STATE(3814), 1,
      aux_sym_string_repeat1,
    ACTIONS(7356), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [106008] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7354), 1,
      anon_sym_SQUOTE,
    STATE(3816), 1,
      aux_sym_string_repeat2,
    ACTIONS(7358), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [106022] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7360), 1,
      sym__glimmer_template_content,
    ACTIONS(7362), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1818), 1,
      sym_glimmer_closing_tag,
    STATE(3819), 1,
      aux_sym_glimmer_template_repeat1,
  [106038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1826), 1,
      sym_component_body,
    STATE(4505), 1,
      sym_component_identifier,
  [106054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(634), 1,
      sym_component_body,
    STATE(4511), 1,
      sym_component_identifier,
  [106070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(4304), 1,
      sym__initializer,
    ACTIONS(7364), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_DOT,
    STATE(3826), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(7366), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
  [106098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACE,
    ACTIONS(7370), 1,
      anon_sym_COMMA,
    ACTIONS(7373), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3774), 1,
      aux_sym_extends_type_clause_repeat1,
  [106114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4453), 1,
      sym_type_parameters,
    STATE(4613), 1,
      sym_formal_parameters,
  [106130] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_DQUOTE,
    STATE(3822), 1,
      aux_sym_string_repeat1,
    ACTIONS(7377), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [106144] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_SQUOTE,
    STATE(3823), 1,
      aux_sym_string_repeat2,
    ACTIONS(7379), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [106158] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7381), 1,
      sym__glimmer_template_content,
    ACTIONS(7383), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2162), 1,
      sym_glimmer_closing_tag,
    STATE(3779), 1,
      aux_sym_glimmer_template_repeat1,
  [106174] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7336), 1,
      sym__glimmer_template_content,
    ACTIONS(7383), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2207), 1,
      sym_glimmer_closing_tag,
    STATE(3982), 1,
      aux_sym_glimmer_template_repeat1,
  [106190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7385), 1,
      anon_sym_COLON,
  [106206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    ACTIONS(7389), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3774), 1,
      aux_sym_extends_type_clause_repeat1,
  [106222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7391), 1,
      anon_sym_QMARK,
  [106238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(7393), 1,
      anon_sym_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3774), 1,
      aux_sym_extends_type_clause_repeat1,
  [106254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_component_body,
    STATE(4494), 1,
      sym_component_identifier,
  [106270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      sym_identifier,
    STATE(3687), 1,
      sym_nested_type_identifier,
    STATE(3970), 1,
      sym_generic_type,
    STATE(4718), 1,
      sym_nested_identifier,
  [106286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_DOT,
    STATE(3857), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(7399), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
  [106300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      sym_escape_sequence,
    ACTIONS(7403), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [106312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym_component_body,
    STATE(4387), 1,
      sym_component_identifier,
  [106328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      anon_sym_EQ,
    STATE(4282), 1,
      sym__initializer,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
  [106342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7408), 1,
      anon_sym_RBRACK,
  [106358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4352), 1,
      sym_type_parameters,
    STATE(4597), 1,
      sym_formal_parameters,
  [106374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7410), 1,
      anon_sym_RBRACK,
  [106390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4354), 1,
      sym_type_parameters,
    STATE(4594), 1,
      sym_formal_parameters,
  [106406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7412), 1,
      anon_sym_RBRACK,
  [106422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4368), 1,
      sym_type_parameters,
    STATE(4839), 1,
      sym_formal_parameters,
  [106438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4371), 1,
      sym_type_parameters,
    STATE(4854), 1,
      sym_formal_parameters,
  [106454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4377), 1,
      sym_type_parameters,
    STATE(4868), 1,
      sym_formal_parameters,
  [106470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2225), 1,
      sym_component_body,
    STATE(4182), 1,
      sym_component_identifier,
  [106486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4379), 1,
      sym_type_parameters,
    STATE(4779), 1,
      sym_formal_parameters,
  [106502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    ACTIONS(7389), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3774), 1,
      aux_sym_extends_type_clause_repeat1,
  [106518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2219), 1,
      sym_component_body,
    STATE(4299), 1,
      sym_component_identifier,
  [106534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4389), 1,
      sym_type_parameters,
    STATE(4576), 1,
      sym_formal_parameters,
  [106550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4391), 1,
      sym_type_parameters,
    STATE(4605), 1,
      sym_formal_parameters,
  [106566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(168), 1,
      sym_component_body,
    STATE(4297), 1,
      sym_component_identifier,
  [106582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_COMMA,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3800), 1,
      aux_sym_extends_type_clause_repeat1,
  [106598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7414), 1,
      anon_sym_EQ,
    ACTIONS(7416), 1,
      anon_sym_RBRACK,
    STATE(4157), 1,
      aux_sym_array_pattern_repeat1,
  [106614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7418), 1,
      anon_sym_COMMA,
    STATE(3807), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [106628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
    STATE(4524), 1,
      sym_formal_type_parameter,
    STATE(4203), 2,
      sym_required_type_parameter,
      sym_optional_type_parameter,
  [106642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4428), 1,
      sym_type_parameters,
    STATE(4635), 1,
      sym_formal_parameters,
  [106658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7423), 1,
      anon_sym_RBRACK,
  [106674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7425), 1,
      anon_sym_COLON,
  [106690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7427), 1,
      anon_sym_RBRACK,
  [106706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4445), 1,
      sym_type_parameters,
    STATE(4673), 1,
      sym_formal_parameters,
  [106722] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [106736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7433), 1,
      anon_sym_COLON,
  [106752] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [106766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1777), 1,
      sym_component_body,
    STATE(4337), 1,
      sym_component_identifier,
  [106782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7437), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [106792] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7336), 1,
      sym__glimmer_template_content,
    ACTIONS(7362), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1764), 1,
      sym_glimmer_closing_tag,
    STATE(3982), 1,
      aux_sym_glimmer_template_repeat1,
  [106808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1790), 1,
      sym_component_body,
    STATE(4374), 1,
      sym_component_identifier,
  [106824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym_component_body,
    STATE(4359), 1,
      sym_component_identifier,
  [106840] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7439), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [106854] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7439), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [106868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_COMMA,
    STATE(3824), 1,
      aux_sym_js_import_statement_repeat1,
    ACTIONS(7444), 2,
      anon_sym_RBRACE,
      anon_sym_from,
  [106882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(216), 1,
      sym_component_body,
    STATE(4394), 1,
      sym_component_identifier,
  [106898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7446), 1,
      anon_sym_DOT,
    STATE(3826), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(6217), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
  [106912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_component_body,
    STATE(4405), 1,
      sym_component_identifier,
  [106928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7449), 1,
      sym_identifier,
    STATE(3506), 1,
      sym_nested_type_identifier,
    STATE(3805), 1,
      sym_generic_type,
    STATE(4718), 1,
      sym_nested_identifier,
  [106944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3243), 1,
      sym_formal_parameters,
    STATE(4275), 1,
      sym_type_parameters,
  [106960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_COMMA,
    STATE(3807), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [106974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_component_body,
    STATE(4213), 1,
      sym_component_identifier,
  [106990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_COMMA,
    STATE(3807), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [107004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7457), 1,
      anon_sym_COLON,
  [107020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(4441), 1,
      sym__initializer,
    ACTIONS(7459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [107034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_finally,
    STATE(802), 1,
      sym_finally_clause,
    ACTIONS(2552), 2,
      anon_sym_else,
      anon_sym_while,
  [107048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7461), 1,
      anon_sym_RPAREN,
  [107064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7463), 1,
      anon_sym_RBRACK,
  [107080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7465), 1,
      anon_sym_RBRACK,
  [107096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      anon_sym_COMMA,
    STATE(3839), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7467), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [107110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_statement_block,
    ACTIONS(2485), 2,
      anon_sym_else,
      anon_sym_while,
  [107124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_QMARK,
  [107140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    STATE(3839), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7474), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [107154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_component_body,
    STATE(4309), 1,
      sym_component_identifier,
  [107170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2425), 1,
      sym_component_body,
    STATE(4485), 1,
      sym_component_identifier,
  [107186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_component_body,
    STATE(4513), 1,
      sym_component_identifier,
  [107202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(166), 1,
      sym_component_body,
    STATE(4503), 1,
      sym_component_identifier,
  [107218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2131), 1,
      sym_component_body,
    STATE(4370), 1,
      sym_component_identifier,
  [107234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      anon_sym_EQ_GT,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [107246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5893), 1,
      anon_sym_EQ_GT,
    ACTIONS(4960), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [107258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_COMMA,
    STATE(3830), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [107272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_COMMA,
    STATE(3832), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [107286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(4522), 1,
      sym__initializer,
    ACTIONS(7482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [107300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4452), 1,
      sym_type_parameters,
    STATE(4636), 1,
      sym_formal_parameters,
  [107316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_component_body,
    STATE(4378), 1,
      sym_component_identifier,
  [107332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7484), 1,
      anon_sym_RPAREN,
  [107348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4215), 1,
      sym_type_parameters,
    STATE(4886), 1,
      sym_formal_parameters,
  [107364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_DOT,
    STATE(3826), 1,
      aux_sym_component_short_heritage_repeat1,
    ACTIONS(7486), 2,
      anon_sym_LBRACE,
      anon_sym_POUND,
  [107378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4409), 1,
      sym_type_parameters,
    STATE(4842), 1,
      sym_formal_parameters,
  [107394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_component_body,
    STATE(4493), 1,
      sym_component_identifier,
  [107410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      sym_component_body,
    STATE(4190), 1,
      sym_component_identifier,
  [107426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7488), 1,
      anon_sym_RBRACK,
  [107442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [107452] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7490), 1,
      anon_sym_DQUOTE,
    STATE(3880), 1,
      aux_sym_string_repeat1,
    ACTIONS(7492), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107466] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7490), 1,
      anon_sym_SQUOTE,
    STATE(3883), 1,
      aux_sym_string_repeat2,
    ACTIONS(7494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107480] = 5,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(7496), 1,
      sym__glimmer_template_content,
    STATE(995), 1,
      sym_glimmer_closing_tag,
    STATE(3754), 1,
      aux_sym_glimmer_template_repeat1,
  [107496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1009), 1,
      sym_component_body,
    STATE(4209), 1,
      sym_component_identifier,
  [107512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    STATE(3839), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7498), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [107526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    STATE(3842), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [107540] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107554] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(4338), 1,
      sym__initializer,
    ACTIONS(7504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [107582] = 4,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7328), 1,
      sym_comment,
    STATE(3869), 1,
      aux_sym_string_repeat2,
    ACTIONS(7506), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7414), 1,
      anon_sym_EQ,
    ACTIONS(7508), 1,
      anon_sym_RBRACK,
    STATE(4117), 1,
      aux_sym_array_pattern_repeat1,
  [107612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7510), 1,
      anon_sym_COLON,
  [107628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2404), 1,
      sym_component_body,
    STATE(4260), 1,
      sym_component_identifier,
  [107644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7512), 1,
      anon_sym_RBRACK,
  [107660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7514), 1,
      anon_sym_COMMA,
    STATE(3877), 1,
      aux_sym_array_repeat1,
    ACTIONS(5315), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [107674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      anon_sym_EQ,
    STATE(4254), 1,
      sym_default_type,
    ACTIONS(7517), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [107688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7519), 1,
      anon_sym_RPAREN,
  [107704] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7521), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107718] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107732] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107746] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7521), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_component_body,
    STATE(4205), 1,
      sym_component_identifier,
  [107776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1040), 1,
      sym_component_body,
    STATE(4435), 1,
      sym_component_identifier,
  [107792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_component_body,
    STATE(4478), 1,
      sym_component_identifier,
  [107808] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7525), 1,
      anon_sym_SQUOTE,
    STATE(3881), 1,
      aux_sym_string_repeat2,
    ACTIONS(7527), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107822] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7525), 1,
      anon_sym_DQUOTE,
    STATE(3882), 1,
      aux_sym_string_repeat1,
    ACTIONS(7529), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_new_component_body,
    STATE(4219), 1,
      sym_component_identifier,
  [107862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7531), 1,
      anon_sym_COLON,
  [107878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7533), 1,
      anon_sym_RPAREN,
  [107894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7535), 1,
      anon_sym_RBRACK,
  [107910] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7539), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
  [107940] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7544), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7546), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107954] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [107968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_component_body,
    STATE(4261), 1,
      sym_component_identifier,
  [107984] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2410), 1,
      sym_component_body,
    STATE(4473), 1,
      sym_component_identifier,
  [108014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1854), 1,
      sym_component_body,
    STATE(4342), 1,
      sym_component_identifier,
  [108030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_EQ,
    STATE(4466), 1,
      sym__initializer,
    ACTIONS(7551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [108044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3309), 1,
      sym_formal_parameters,
    STATE(4322), 1,
      sym_type_parameters,
  [108060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_component_body,
    STATE(4498), 1,
      sym_component_identifier,
  [108076] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_SQUOTE,
    STATE(3897), 1,
      aux_sym_string_repeat2,
    ACTIONS(7555), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [108090] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_DQUOTE,
    STATE(3899), 1,
      aux_sym_string_repeat1,
    ACTIONS(7557), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1046), 1,
      sym_component_body,
    STATE(4239), 1,
      sym_component_identifier,
  [108120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7559), 1,
      anon_sym_COLON,
  [108136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [108146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7561), 1,
      anon_sym_RBRACK,
  [108162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    STATE(2311), 1,
      sym_new_component_body,
    STATE(4484), 1,
      sym_component_identifier,
  [108178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    STATE(1806), 1,
      sym_new_component_body,
    STATE(4455), 1,
      sym_component_identifier,
  [108194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_component_body,
    STATE(4194), 1,
      sym_component_identifier,
  [108210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_new_component_body,
    STATE(4345), 1,
      sym_component_identifier,
  [108226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7563), 1,
      anon_sym_RPAREN,
  [108242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_COLON,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    ACTIONS(7565), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [108256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7567), 1,
      anon_sym_RBRACK,
  [108272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_component_body,
    STATE(4451), 1,
      sym_component_identifier,
  [108288] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7569), 1,
      anon_sym_SQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat2,
    ACTIONS(7435), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [108302] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7569), 1,
      anon_sym_DQUOTE,
    STATE(3894), 1,
      aux_sym_string_repeat1,
    ACTIONS(7431), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2121), 1,
      sym_component_body,
    STATE(4436), 1,
      sym_component_identifier,
  [108332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(7571), 1,
      anon_sym_RBRACK,
  [108348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1836), 1,
      sym_component_body,
    STATE(4360), 1,
      sym_component_identifier,
  [108364] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_DQUOTE,
    STATE(3920), 1,
      aux_sym_string_repeat1,
    ACTIONS(7575), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_POUND,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2201), 1,
      sym_component_body,
    STATE(4287), 1,
      sym_component_identifier,
  [108394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_COLON,
  [108410] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_SQUOTE,
    STATE(3919), 1,
      aux_sym_string_repeat2,
    ACTIONS(7579), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [108424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7581), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [108437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    ACTIONS(7583), 1,
      anon_sym_QMARK,
    STATE(3852), 1,
      sym_type_annotation,
  [108459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7135), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [108470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7587), 1,
      sym_identifier,
    STATE(1475), 1,
      sym_decorator_call_expression,
    STATE(3216), 1,
      sym_decorator_member_expression,
  [108483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_EQ,
    ACTIONS(4124), 2,
      anon_sym_in,
      anon_sym_of,
  [108494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 1,
      anon_sym_LBRACE,
    ACTIONS(7214), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [108505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7591), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    STATE(658), 1,
      sym_string,
  [108527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7593), 1,
      anon_sym_RBRACE,
    STATE(3824), 1,
      aux_sym_js_import_statement_repeat1,
  [108540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7595), 1,
      anon_sym_RBRACE,
    STATE(3937), 1,
      aux_sym_js_import_statement_repeat1,
  [108553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_AMP,
    ACTIONS(6796), 1,
      anon_sym_PIPE,
    ACTIONS(6798), 1,
      anon_sym_extends,
  [108593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5841), 1,
      sym__automatic_semicolon,
    ACTIONS(1378), 2,
      anon_sym_else,
      anon_sym_while,
  [108604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7603), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [108615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3661), 1,
      anon_sym_RBRACK,
    ACTIONS(7605), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [108628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7609), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_LPAREN,
    ACTIONS(7613), 1,
      anon_sym_await,
    STATE(52), 1,
      sym__for_header,
  [108659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 1,
      sym__automatic_semicolon,
    ACTIONS(1462), 2,
      anon_sym_else,
      anon_sym_while,
  [108679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7617), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7619), 1,
      anon_sym_RBRACE,
    STATE(4042), 1,
      aux_sym_js_import_statement_repeat1,
  [108710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    STATE(648), 1,
      sym_string,
  [108723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7621), 1,
      anon_sym_from,
    STATE(3824), 1,
      aux_sym_js_import_statement_repeat1,
  [108736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_COMMA,
    ACTIONS(7626), 1,
      anon_sym_RBRACE,
    STATE(3956), 1,
      aux_sym_enum_body_repeat1,
  [108749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7628), 1,
      sym_identifier,
    STATE(2577), 1,
      sym_decorator_member_expression,
    STATE(2640), 1,
      sym_decorator_call_expression,
  [108762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_COMMA,
    ACTIONS(7632), 1,
      anon_sym_RPAREN,
    STATE(4079), 1,
      aux_sym_formal_type_parameters_repeat1,
  [108775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(118), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    STATE(788), 1,
      sym_object_type,
  [108788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7638), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7640), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7640), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    STATE(4778), 1,
      sym_type_annotation,
  [108864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_COMMA,
    ACTIONS(7648), 1,
      anon_sym_RBRACE,
    STATE(3956), 1,
      aux_sym_enum_body_repeat1,
  [108877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_COMMA,
    ACTIONS(7652), 1,
      anon_sym_RBRACE,
    STATE(3956), 1,
      aux_sym_enum_body_repeat1,
  [108890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [108901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_COMMA,
    STATE(3971), 1,
      aux_sym_implements_clause_repeat1,
  [108914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_DOT,
  [108923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6374), 1,
      anon_sym_extends,
  [108936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 1,
      anon_sym_BQUOTE,
    ACTIONS(7657), 2,
      anon_sym_LBRACE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [108947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7661), 1,
      anon_sym_from,
    STATE(3824), 1,
      aux_sym_js_import_statement_repeat1,
  [108960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7663), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [108973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      sym_identifier,
    ACTIONS(7667), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [108984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7669), 1,
      sym_identifier,
    ACTIONS(7671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [108995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(7673), 1,
      anon_sym_RPAREN,
    STATE(4801), 1,
      sym_type_annotation,
  [109008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_AMP,
    ACTIONS(6412), 1,
      anon_sym_extends,
    ACTIONS(7074), 1,
      anon_sym_PIPE,
  [109021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7675), 1,
      anon_sym_RBRACE,
    STATE(4103), 1,
      aux_sym_object_pattern_repeat1,
  [109034] = 4,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(7677), 1,
      sym__glimmer_template_content,
    ACTIONS(7680), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3982), 1,
      aux_sym_glimmer_template_repeat1,
  [109047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7690), 1,
      anon_sym_RBRACE,
    STATE(4104), 1,
      aux_sym_object_repeat1,
  [109087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7696), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_extends,
  [109154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7675), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [109167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [109176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7698), 1,
      anon_sym_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE,
    ACTIONS(7702), 1,
      anon_sym_extends,
  [109189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7704), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_object_repeat1,
  [109202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7706), 1,
      anon_sym_COMMA,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    STATE(4120), 1,
      aux_sym_formal_parameters_repeat1,
  [109215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    ACTIONS(7712), 1,
      anon_sym_GT,
    STATE(4181), 1,
      sym_type_parameter,
  [109228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7704), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [109241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7714), 1,
      anon_sym_COMMA,
    ACTIONS(7716), 1,
      anon_sym_RBRACE,
    STATE(3968), 1,
      aux_sym_enum_body_repeat1,
  [109254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7416), 1,
      anon_sym_RBRACK,
    STATE(4157), 1,
      aux_sym_array_pattern_repeat1,
  [109267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5319), 1,
      anon_sym_RBRACK,
    STATE(4149), 1,
      aux_sym_array_repeat1,
  [109280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_LBRACE_PIPE,
    STATE(788), 1,
      sym_object_type,
  [109293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_COMMA,
    ACTIONS(7720), 1,
      anon_sym_RPAREN,
    STATE(4106), 1,
      aux_sym_formal_parameters_repeat1,
  [109306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    ACTIONS(7724), 1,
      anon_sym_await,
    STATE(48), 1,
      sym__for_header,
  [109319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5319), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [109332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7416), 1,
      anon_sym_RBRACK,
    STATE(4159), 1,
      aux_sym_array_pattern_repeat1,
  [109345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_while,
    ACTIONS(7728), 1,
      anon_sym_else,
    STATE(746), 1,
      sym_else_clause,
  [109376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7421), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7732), 1,
      anon_sym_GT,
    STATE(4164), 1,
      aux_sym_type_parameters_repeat1,
  [109398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7734), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_RBRACK,
    ACTIONS(7736), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [109420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7740), 1,
      anon_sym_COMMA,
    ACTIONS(7742), 1,
      anon_sym_RPAREN,
    STATE(4142), 1,
      aux_sym_formal_type_parameters_repeat1,
  [109442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7746), 1,
      anon_sym_DOT,
    ACTIONS(7744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [109453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5303), 1,
      anon_sym_RBRACK,
    STATE(4116), 1,
      aux_sym_array_repeat1,
  [109466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
    STATE(4050), 1,
      aux_sym_array_repeat1,
  [109479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [109492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5303), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [109505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6444), 1,
      anon_sym_implements,
    ACTIONS(7748), 1,
      anon_sym_LBRACE,
    STATE(4845), 1,
      sym_implements_clause,
  [109518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [109527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_RBRACK,
    ACTIONS(7752), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [109540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7756), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7762), 1,
      anon_sym_COMMA,
    ACTIONS(7764), 1,
      anon_sym_RBRACK,
    STATE(4059), 1,
      aux_sym_tuple_type_repeat1,
  [109598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6410), 1,
      anon_sym_extends,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
  [109620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7768), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [109642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7690), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [109673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_identifier,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    ACTIONS(7143), 1,
      sym_private_property_identifier,
  [109686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    STATE(647), 1,
      sym_string,
  [109699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_GT,
    ACTIONS(7770), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [109712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(7772), 1,
      anon_sym_RBRACE,
    STATE(3824), 1,
      aux_sym_js_import_statement_repeat1,
  [109725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7444), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [109734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    STATE(641), 1,
      sym_string,
  [109747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
  [109756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(118), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    STATE(868), 1,
      sym_object_type,
  [109769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      sym_identifier,
    ACTIONS(7778), 1,
      anon_sym_LBRACK,
    ACTIONS(7780), 1,
      sym_private_property_identifier,
  [109791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
    STATE(3976), 1,
      aux_sym_array_repeat1,
  [109804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7782), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [109817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_LBRACE_PIPE,
    STATE(868), 1,
      sym_object_type,
  [109830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 1,
      anon_sym_EQ,
    ACTIONS(7784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [109841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    STATE(694), 1,
      sym_statement_block,
  [109854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_EQ,
    ACTIONS(4124), 2,
      anon_sym_in,
      anon_sym_of,
  [109865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7790), 1,
      anon_sym_COMMA,
    ACTIONS(7793), 1,
      anon_sym_RPAREN,
    STATE(4057), 1,
      aux_sym_formal_type_parameters_repeat1,
  [109896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7795), 1,
      sym_identifier,
    ACTIONS(7797), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      sym_private_property_identifier,
  [109909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_RBRACK,
    ACTIONS(7801), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [109922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      sym_identifier,
    ACTIONS(7251), 1,
      anon_sym_LBRACK,
    ACTIONS(7253), 1,
      sym_private_property_identifier,
  [109935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(7803), 1,
      anon_sym_LPAREN,
    STATE(694), 1,
      sym_statement_block,
  [109948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7809), 1,
      sym_identifier,
    ACTIONS(7811), 1,
      anon_sym_LBRACK,
    ACTIONS(7813), 1,
      sym_private_property_identifier,
  [109979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [109997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(661), 1,
      sym_string,
  [110046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_COMMA,
    ACTIONS(7821), 1,
      anon_sym_RBRACK,
    STATE(3945), 1,
      aux_sym_tuple_type_repeat1,
  [110059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5301), 1,
      anon_sym_RPAREN,
    STATE(4121), 1,
      aux_sym_array_repeat1,
  [110072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [110081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5301), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(641), 1,
      sym_string,
  [110107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      sym_identifier,
    ACTIONS(7825), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      sym_private_property_identifier,
  [110120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym_RPAREN,
    ACTIONS(7829), 1,
      anon_sym_COMMA,
    STATE(4057), 1,
      aux_sym_formal_type_parameters_repeat1,
  [110146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LBRACK,
    ACTIONS(7835), 1,
      sym_private_property_identifier,
  [110159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [110168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym_COMMA,
    ACTIONS(7842), 1,
      anon_sym_RBRACK,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [110181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(647), 1,
      sym_string,
  [110194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7844), 1,
      anon_sym_COMMA,
    ACTIONS(7846), 1,
      anon_sym_RBRACK,
    STATE(4015), 1,
      aux_sym_tuple_type_repeat1,
  [110207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7848), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7850), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_LT,
    ACTIONS(7852), 1,
      anon_sym_EQ,
    STATE(4560), 1,
      sym_type_parameters,
  [110246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7854), 1,
      anon_sym_LBRACE,
    STATE(3971), 1,
      aux_sym_implements_clause_repeat1,
  [110259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [110270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [110281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    STATE(661), 1,
      sym_string,
  [110294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7856), 1,
      sym_identifier,
    ACTIONS(7858), 1,
      anon_sym_LBRACK,
    ACTIONS(7860), 1,
      sym_private_property_identifier,
  [110307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7862), 1,
      anon_sym_COMMA,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(4093), 1,
      aux_sym_formal_parameters_repeat1,
  [110320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(648), 1,
      sym_string,
  [110333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      sym_identifier,
    STATE(1466), 1,
      sym_decorator_member_expression,
    STATE(1475), 1,
      sym_decorator_call_expression,
  [110346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    STATE(658), 1,
      sym_string,
  [110359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      sym_identifier,
    ACTIONS(7871), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      sym_private_property_identifier,
  [110372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7875), 1,
      sym_identifier,
    ACTIONS(7877), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      sym_private_property_identifier,
  [110385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(3928), 1,
      aux_sym_array_repeat1,
  [110411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7881), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7883), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7885), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7887), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_extends,
    ACTIONS(7889), 1,
      anon_sym_AMP,
    ACTIONS(7891), 1,
      anon_sym_PIPE,
  [110476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_RPAREN,
    ACTIONS(7893), 1,
      anon_sym_COMMA,
    STATE(4093), 1,
      aux_sym_formal_parameters_repeat1,
  [110489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_extends,
    ACTIONS(7897), 1,
      anon_sym_AMP,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
  [110515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7901), 1,
      anon_sym_COMMA,
    ACTIONS(7904), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_GT,
    ACTIONS(7906), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [110541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7908), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_GT,
    ACTIONS(7913), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [110567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7916), 1,
      anon_sym_COMMA,
    ACTIONS(7918), 1,
      anon_sym_GT,
    STATE(4171), 1,
      aux_sym_type_parameters_repeat1,
  [110580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    ACTIONS(7918), 1,
      anon_sym_GT,
    STATE(4181), 1,
      sym_type_parameter,
  [110593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_GT,
    ACTIONS(7920), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [110606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7922), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7924), 1,
      anon_sym_RBRACK,
    STATE(4159), 1,
      aux_sym_array_pattern_repeat1,
  [110632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6721), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [110641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7926), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_RPAREN,
    ACTIONS(7928), 1,
      anon_sym_COMMA,
    STATE(4093), 1,
      aux_sym_formal_parameters_repeat1,
  [110667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7930), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5359), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5359), 1,
      anon_sym_RPAREN,
    STATE(4107), 1,
      aux_sym_array_repeat1,
  [110706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    ACTIONS(7932), 1,
      anon_sym_COMMA,
    STATE(4093), 1,
      aux_sym_formal_parameters_repeat1,
  [110719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7934), 1,
      anon_sym_RBRACE,
    STATE(4132), 1,
      aux_sym_object_pattern_repeat1,
  [110732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7936), 1,
      anon_sym_RBRACE,
    STATE(4129), 1,
      aux_sym_object_repeat1,
  [110745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5361), 1,
      anon_sym_RPAREN,
    STATE(4152), 1,
      aux_sym_array_repeat1,
  [110758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5361), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7938), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7936), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7934), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7940), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7942), 1,
      anon_sym_COMMA,
    ACTIONS(7944), 1,
      anon_sym_RPAREN,
    STATE(4124), 1,
      aux_sym_formal_parameters_repeat1,
  [110836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_RBRACE,
    STATE(4111), 1,
      aux_sym_object_pattern_repeat1,
  [110858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7508), 1,
      anon_sym_RBRACK,
    STATE(4117), 1,
      aux_sym_array_pattern_repeat1,
  [110871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_GT,
    ACTIONS(7950), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [110884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_COMMA,
    ACTIONS(7954), 1,
      anon_sym_RBRACK,
    STATE(4161), 1,
      aux_sym_tuple_type_repeat1,
  [110897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_RBRACK,
    STATE(4119), 1,
      aux_sym_array_repeat1,
  [110910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    ACTIONS(7956), 1,
      anon_sym_RBRACE,
    STATE(4109), 1,
      aux_sym_object_repeat1,
  [110923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [110936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7231), 1,
      anon_sym_RPAREN,
    ACTIONS(7958), 1,
      anon_sym_COMMA,
    STATE(4057), 1,
      aux_sym_formal_type_parameters_repeat1,
  [110949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(7508), 1,
      anon_sym_RBRACK,
    STATE(4159), 1,
      aux_sym_array_pattern_repeat1,
  [110962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7960), 1,
      anon_sym_COMMA,
    ACTIONS(7962), 1,
      anon_sym_GT,
    STATE(4113), 1,
      aux_sym_type_parameters_repeat1,
  [110975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [110984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 1,
      anon_sym_EQ,
    ACTIONS(7964), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    ACTIONS(7966), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [111008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 1,
      anon_sym_GT,
    ACTIONS(7968), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [111021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7970), 1,
      anon_sym_RBRACK,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [111034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_LBRACK,
    ACTIONS(7976), 1,
      sym_private_property_identifier,
  [111047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7978), 1,
      sym_identifier,
    ACTIONS(7980), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_private_property_identifier,
  [111060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(7984), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [111073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7986), 1,
      sym_identifier,
    ACTIONS(7988), 1,
      anon_sym_LBRACK,
    ACTIONS(7990), 1,
      sym_private_property_identifier,
  [111086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7994), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_private_property_identifier,
  [111099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7998), 1,
      anon_sym_COMMA,
    ACTIONS(8000), 1,
      anon_sym_RBRACK,
    STATE(4025), 1,
      aux_sym_tuple_type_repeat1,
  [111112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(8002), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [111125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    ACTIONS(8004), 1,
      anon_sym_RBRACK,
    STATE(4159), 1,
      aux_sym_array_pattern_repeat1,
  [111138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_GT,
    ACTIONS(8006), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [111151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_RBRACK,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    STATE(4159), 1,
      aux_sym_array_pattern_repeat1,
  [111164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8011), 1,
      anon_sym_COMMA,
    ACTIONS(8013), 1,
      anon_sym_RBRACK,
    STATE(4147), 1,
      aux_sym_tuple_type_repeat1,
  [111177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      anon_sym_RBRACK,
    ACTIONS(8015), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_tuple_type_repeat1,
  [111190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_GT,
    ACTIONS(8017), 1,
      anon_sym_COMMA,
    STATE(4112), 1,
      aux_sym_implements_clause_repeat1,
  [111203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    ACTIONS(8019), 1,
      anon_sym_GT,
    STATE(4181), 1,
      sym_type_parameter,
  [111216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_GT,
    ACTIONS(8021), 1,
      anon_sym_COMMA,
    STATE(4171), 1,
      aux_sym_type_parameters_repeat1,
  [111229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [111242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(4156), 1,
      aux_sym_array_repeat1,
  [111255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      sym_identifier,
    ACTIONS(7161), 1,
      anon_sym_LBRACK,
    ACTIONS(7163), 1,
      sym_private_property_identifier,
  [111268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_PIPE,
    ACTIONS(6448), 1,
      anon_sym_extends,
  [111281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5313), 1,
      anon_sym_RPAREN,
    STATE(4035), 1,
      aux_sym_array_repeat1,
  [111294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_COMMA,
    ACTIONS(5313), 1,
      anon_sym_RPAREN,
    STATE(3877), 1,
      aux_sym_array_repeat1,
  [111307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_COMMA,
    ACTIONS(8026), 1,
      anon_sym_GT,
    STATE(4171), 1,
      aux_sym_type_parameters_repeat1,
  [111320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    ACTIONS(8028), 1,
      anon_sym_GT,
    STATE(4181), 1,
      sym_type_parameter,
  [111333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [111341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_component_body,
  [111351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_class_body,
  [111361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2256), 1,
      sym_component_body,
  [111371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [111381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(4429), 1,
      sym_parenthesized_expression,
  [111391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8034), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [111399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [111407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8026), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [111415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2259), 1,
      sym_component_body,
  [111425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4883), 1,
      sym_formal_parameters,
  [111435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_class_body,
  [111445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2261), 1,
      sym_statement_block,
  [111455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4880), 1,
      sym_formal_parameters,
  [111465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_class_body,
  [111475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2159), 1,
      sym_statement_block,
  [111485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2265), 1,
      sym_component_body,
  [111503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8036), 1,
      sym_identifier,
    STATE(652), 1,
      sym_import_path_segment,
  [111513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2302), 1,
      sym_class_body,
  [111523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(1003), 1,
      sym_new_component_body,
  [111533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_component_body,
  [111543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2170), 1,
      sym_statement_block,
  [111553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8038), 1,
      sym_identifier,
    ACTIONS(8040), 1,
      anon_sym_STAR,
  [111563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8042), 1,
      sym_identifier,
    ACTIONS(8044), 1,
      anon_sym_STAR,
  [111573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8046), 1,
      sym_identifier,
    ACTIONS(8048), 1,
      anon_sym_RBRACE,
  [111583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(2395), 1,
      sym_class_body,
  [111593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    STATE(1724), 1,
      sym_arguments,
  [111603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4766), 1,
      sym_formal_parameters,
  [111613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_statement_block,
  [111623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [111631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4758), 1,
      sym_formal_parameters,
  [111641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_component_body,
  [111651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1617), 1,
      sym_property_declaration_name,
  [111669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      sym_identifier,
    ACTIONS(7163), 1,
      sym_private_property_identifier,
  [111679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_component_body,
  [111689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [111697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 1,
      sym_identifier,
    ACTIONS(6528), 1,
      sym_private_property_identifier,
  [111707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1041), 1,
      sym_component_body,
  [111717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2211), 1,
      sym_component_body,
  [111727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      sym_identifier,
    ACTIONS(8056), 1,
      anon_sym_RBRACE,
  [111737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4656), 1,
      sym_formal_parameters,
  [111747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2218), 1,
      sym_component_body,
  [111757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_statement_block,
  [111767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1039), 1,
      sym_class_body,
  [111777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(1000), 1,
      sym_new_component_body,
  [111787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_class_body,
  [111805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(1013), 1,
      sym_statement_block,
  [111823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6232), 1,
      anon_sym_LPAREN,
    STATE(3036), 1,
      sym_arguments,
  [111833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4633), 1,
      sym_formal_parameters,
  [111843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2194), 1,
      sym_class_body,
  [111853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4206), 1,
      sym_statement_block,
  [111871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_new_component_body,
  [111881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_statement_block,
  [111899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_component_body,
  [111909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3075), 1,
      sym_formal_parameters,
  [111919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2253), 1,
      sym_statement_block,
  [111929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [111937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(607), 1,
      sym_component_body,
  [111947] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8062), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [111955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_component_body,
  [111973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8064), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      sym_private_property_identifier,
  [111983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2257), 1,
      sym_statement_block,
  [111993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      sym_identifier,
    ACTIONS(8070), 1,
      sym_private_property_identifier,
  [112003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8072), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_private_property_identifier,
  [112013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    STATE(3717), 1,
      sym_formal_type_parameters,
  [112023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_class_body,
  [112033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      sym_private_property_identifier,
  [112051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      sym_identifier,
    ACTIONS(8080), 1,
      sym_private_property_identifier,
  [112061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8082), 1,
      sym_identifier,
    ACTIONS(8084), 1,
      sym_private_property_identifier,
  [112071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1797), 1,
      sym_class_body,
  [112081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      sym_private_property_identifier,
  [112091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      sym_identifier,
    ACTIONS(8092), 1,
      sym_private_property_identifier,
  [112109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8094), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [112117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1757), 1,
      sym_statement_block,
  [112135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2200), 1,
      sym_class_body,
  [112145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_component_body,
  [112155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2309), 1,
      sym_statement_block,
  [112165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2364), 1,
      sym_component_body,
  [112175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym_component_body,
  [112185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [112193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
  [112203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3591), 1,
      sym_formal_parameters,
  [112213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4227), 1,
      sym_statement_block,
  [112223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [112231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4230), 1,
      sym_statement_block,
  [112249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(881), 1,
      sym_class_body,
  [112267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8100), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8102), 1,
      sym_identifier,
    STATE(3061), 1,
      sym_import_path_segment,
  [112285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [112293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1795), 1,
      sym_statement_block,
  [112303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3339), 1,
      sym_formal_parameters,
  [112313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    STATE(4013), 1,
      sym_type_parameter,
  [112331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_statement_block,
  [112341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(676), 1,
      sym_class_body,
  [112351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_LBRACE,
    STATE(692), 1,
      sym_statement_block,
  [112361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_statement_block,
  [112371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7187), 1,
      anon_sym_in,
    ACTIONS(7189), 1,
      anon_sym_of,
  [112381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    STATE(4395), 1,
      sym_formal_type_parameters,
  [112391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1542), 1,
      sym_property_declaration_name,
  [112401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2247), 1,
      sym_statement_block,
  [112411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2255), 1,
      sym_class_body,
  [112421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_component_body,
  [112431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1798), 1,
      sym_statement_block,
  [112441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2296), 1,
      sym_class_body,
  [112451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7879), 1,
      sym_private_property_identifier,
    ACTIONS(8106), 1,
      sym_identifier,
  [112461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(53), 1,
      sym_parenthesized_expression,
  [112471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_class_body,
  [112481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4267), 1,
      sym_statement_block,
  [112491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4269), 1,
      sym_statement_block,
  [112509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym_component_body,
  [112527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym_class_body,
  [112537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2248), 1,
      sym_component_body,
  [112547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8108), 1,
      anon_sym_async,
    ACTIONS(8110), 1,
      anon_sym_fn,
  [112557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    STATE(2092), 1,
      sym_arguments,
  [112567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(183), 1,
      sym_class_body,
  [112577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_component_body,
  [112587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      anon_sym_LPAREN,
    STATE(3168), 1,
      sym_formal_parameters,
  [112605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2412), 1,
      sym_component_body,
  [112615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2105), 1,
      sym_component_body,
  [112625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      sym_class_body,
  [112635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_component_body,
  [112645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4580), 1,
      sym_formal_parameters,
  [112655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(776), 1,
      sym_class_body,
  [112665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_class_body,
  [112675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_statement_block,
  [112685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_class_body,
  [112695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_class_body,
  [112705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_statement_block,
  [112715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_component_body,
  [112725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4672), 1,
      sym_formal_parameters,
  [112735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1589), 1,
      sym_property_declaration_name,
  [112745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4653), 1,
      sym_formal_parameters,
  [112755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4426), 1,
      sym_statement_block,
  [112765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3347), 1,
      sym_formal_parameters,
  [112775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_statement_block,
  [112785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1532), 1,
      sym_property_declaration_name,
  [112795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1858), 1,
      sym_statement_block,
  [112805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2239), 1,
      sym_statement_block,
  [112815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_class_body,
  [112825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1801), 1,
      sym_statement_block,
  [112835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      sym_identifier,
    ACTIONS(7873), 1,
      sym_private_property_identifier,
  [112845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(3122), 1,
      sym_formal_parameters,
  [112855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym_component_body,
  [112865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [112873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3718), 1,
      sym_formal_parameters,
  [112883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_statement_block,
  [112893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1847), 1,
      sym_component_body,
  [112903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(1062), 1,
      sym_statement_block,
  [112913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1846), 1,
      sym_component_body,
  [112923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [112931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 1,
      anon_sym_LBRACE,
    STATE(181), 1,
      sym_statement_block,
  [112941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7875), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      sym_private_property_identifier,
  [112951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(989), 1,
      sym_statement_block,
  [112961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1827), 1,
      sym_component_body,
  [112971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(606), 1,
      sym_component_body,
  [112981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 2,
      anon_sym_in,
      anon_sym_of,
  [112989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(2210), 1,
      sym_new_component_body,
  [112999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      sym_private_property_identifier,
  [113009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_is,
    ACTIONS(6597), 1,
      anon_sym_EQ_GT,
  [113019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4646), 1,
      sym_formal_parameters,
  [113037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7911), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [113053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4598), 1,
      sym_formal_parameters,
  [113063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1821), 1,
      sym_class_body,
  [113073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4596), 1,
      sym_formal_parameters,
  [113083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1815), 1,
      sym_class_body,
  [113093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8122), 1,
      sym_identifier,
    ACTIONS(8124), 1,
      sym_private_property_identifier,
  [113103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4595), 1,
      sym_formal_parameters,
  [113113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_component_body,
  [113123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(635), 1,
      sym_component_body,
  [113133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1814), 1,
      sym_component_body,
  [113143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(600), 1,
      sym_component_body,
  [113153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [113161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3719), 1,
      sym_formal_parameters,
  [113171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_type_parameter,
  [113181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym__for_header,
  [113191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      sym_private_property_identifier,
  [113201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(632), 1,
      sym_component_body,
  [113211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4809), 1,
      sym_formal_parameters,
  [113221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4841), 1,
      sym_formal_parameters,
  [113231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2227), 1,
      sym_component_body,
  [113241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4840), 1,
      sym_formal_parameters,
  [113251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4850), 1,
      sym_formal_parameters,
  [113261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2226), 1,
      sym_component_body,
  [113271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1832), 1,
      sym_component_body,
  [113281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1835), 1,
      sym_component_body,
  [113291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_statement_block,
  [113301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4925), 1,
      sym_formal_parameters,
  [113311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2221), 1,
      sym_component_body,
  [113321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4864), 1,
      sym_formal_parameters,
  [113331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_statement_block,
  [113341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4808), 1,
      sym_formal_parameters,
  [113351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2220), 1,
      sym_component_body,
  [113361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    STATE(4400), 1,
      sym_type_annotation,
  [113371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4294), 1,
      sym_statement_block,
  [113381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4296), 1,
      sym_statement_block,
  [113399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(630), 1,
      sym_component_body,
  [113409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4772), 1,
      sym_formal_parameters,
  [113427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(992), 1,
      sym_class_body,
  [113437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4561), 1,
      sym_formal_parameters,
  [113447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_type_parameters,
  [113457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8134), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym_formal_type_parameters,
  [113467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(194), 1,
      sym_component_body,
  [113477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_statement_block,
  [113487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4588), 1,
      sym_formal_parameters,
  [113497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      sym_private_property_identifier,
    ACTIONS(8136), 1,
      sym_identifier,
  [113507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(167), 1,
      sym_component_body,
  [113525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8138), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    STATE(4217), 1,
      sym_formal_type_parameters,
  [113543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_class_body,
  [113553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_class_body,
  [113571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_component_body,
  [113581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1533), 1,
      sym_property_declaration_name,
  [113591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
  [113601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3590), 1,
      sym_formal_parameters,
  [113611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4634), 1,
      sym_formal_parameters,
  [113621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(1559), 1,
      sym_new_component_body,
  [113631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_parenthesized_expression,
  [113641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8052), 1,
      sym_identifier,
    STATE(1538), 1,
      sym_property_declaration_name,
  [113651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    STATE(3627), 1,
      sym_formal_type_parameters,
  [113661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1842), 1,
      sym_class_body,
  [113671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_COLON,
    STATE(3834), 1,
      sym_type_annotation,
  [113681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym_class_body,
  [113691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym_parenthesized_expression,
  [113701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [113709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_component_body,
  [113719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8140), 1,
      anon_sym_COLON,
    ACTIONS(8142), 1,
      anon_sym_EQ,
  [113729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(185), 1,
      sym_class_body,
  [113739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      sym_statement_block,
  [113749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_statement_block,
  [113759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_class_body,
  [113777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      sym_identifier,
    ACTIONS(8148), 1,
      sym_private_property_identifier,
  [113795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4788), 1,
      sym_formal_parameters,
  [113805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8150), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_switch_body,
  [113815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym__for_header,
  [113825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [113833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4460), 1,
      sym_statement_block,
  [113843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_component_body,
  [113869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_component_body,
  [113879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [113895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1783), 1,
      sym_class_body,
  [113905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LPAREN,
    STATE(886), 1,
      sym_arguments,
  [113915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8154), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [113923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8156), 1,
      sym_identifier,
    ACTIONS(8158), 1,
      anon_sym_STAR,
  [113933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_statement_block,
  [113951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4639), 1,
      sym_formal_parameters,
  [113961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(778), 1,
      sym_enum_body,
  [113971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    STATE(2895), 1,
      sym_arguments,
  [113981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_component_body,
  [113991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6757), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [113999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3654), 1,
      sym_formal_parameters,
  [114009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_component_body,
  [114019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4782), 1,
      sym_formal_parameters,
  [114029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4862), 1,
      sym_formal_parameters,
  [114039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1567), 1,
      sym_statement_block,
  [114049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    STATE(1851), 1,
      sym_new_component_body,
  [114059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(3452), 1,
      sym_statement_block,
  [114069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4509), 1,
      sym_statement_block,
  [114079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(4727), 1,
      sym_formal_parameters,
  [114089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      sym_identifier,
    ACTIONS(8164), 1,
      sym_private_property_identifier,
  [114099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4507), 1,
      sym_statement_block,
  [114117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8166), 1,
      sym_identifier,
    ACTIONS(8168), 1,
      sym_private_property_identifier,
  [114135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [114143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8170), 1,
      sym_identifier,
    ACTIONS(8172), 1,
      sym_private_property_identifier,
  [114153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [114161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(2431), 1,
      sym_class_body,
  [114171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_class_body,
  [114181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1844), 1,
      sym_statement_block,
  [114191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2422), 1,
      sym_component_body,
  [114201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2116), 1,
      sym_class_body,
  [114211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      anon_sym_is,
    ACTIONS(6597), 1,
      anon_sym_LBRACE,
  [114221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2418), 1,
      sym_component_body,
  [114231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8176), 1,
      sym_identifier,
    ACTIONS(8178), 1,
      sym_private_property_identifier,
  [114241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      sym_identifier,
    STATE(4181), 1,
      sym_type_parameter,
  [114251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_LBRACE,
    STATE(688), 1,
      sym_class_body,
  [114261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_LPAREN,
    STATE(4424), 1,
      sym_parenthesized_expression,
  [114271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1017), 1,
      sym_component_body,
  [114281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    STATE(4273), 1,
      sym_type_annotation,
  [114291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1805), 1,
      sym_component_body,
  [114301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8182), 1,
      anon_sym_COLON,
    ACTIONS(8184), 1,
      anon_sym_EQ,
  [114311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(986), 1,
      sym_class_body,
  [114321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [114329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    STATE(2274), 1,
      sym_new_component_body,
  [114339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_component_body,
  [114349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(2377), 1,
      sym_class_body,
  [114359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8186), 1,
      sym_identifier,
    ACTIONS(8188), 1,
      sym_private_property_identifier,
  [114369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_statement_block,
  [114379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_statement_block,
  [114389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      sym_identifier,
    ACTIONS(7253), 1,
      sym_private_property_identifier,
  [114399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(1765), 1,
      sym_statement_block,
  [114409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    STATE(1769), 1,
      sym_class_body,
  [114419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1773), 1,
      sym_component_body,
  [114429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2242), 1,
      sym_component_body,
  [114439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_class_body,
  [114449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACE,
    STATE(2104), 1,
      sym_statement_block,
  [114459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    STATE(3736), 1,
      sym_formal_parameters,
  [114469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_LBRACE,
    STATE(1038), 1,
      sym_component_body,
  [114479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8190), 1,
      sym_identifier,
    ACTIONS(8192), 1,
      sym_private_property_identifier,
  [114489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_statement_block,
  [114499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [114507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8194), 1,
      anon_sym_in,
    ACTIONS(8196), 1,
      anon_sym_COLON,
  [114517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_component_body,
  [114527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4385), 1,
      sym_statement_block,
  [114537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_component_body,
  [114547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_identifier,
    ACTIONS(7143), 1,
      sym_private_property_identifier,
  [114557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4388), 1,
      sym_statement_block,
  [114575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_component_body,
  [114593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_LBRACE,
    STATE(622), 1,
      sym_component_body,
  [114603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_new_component_body,
  [114613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(220), 1,
      sym_component_body,
  [114623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_statement_block,
  [114633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_statement_block,
  [114643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(1586), 1,
      sym_property_expression_initializer,
  [114653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_statement_block,
  [114663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_statement_block,
  [114673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(692), 1,
      sym_statement_block,
  [114683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_statement_block,
  [114693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    STATE(1025), 1,
      sym_class_body,
  [114703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8198), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [114711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [114719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [114727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      sym_identifier,
    ACTIONS(6480), 1,
      sym_private_property_identifier,
  [114745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_component_body,
  [114755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8200), 1,
      sym_identifier,
    STATE(4018), 1,
      sym_nested_identifier,
  [114765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_COLON,
    STATE(4016), 1,
      sym_type_annotation,
  [114775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    STATE(2760), 1,
      sym_arguments,
  [114785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8202), 1,
      sym_identifier,
    ACTIONS(8204), 1,
      sym_private_property_identifier,
  [114795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_LBRACE,
    STATE(1807), 1,
      sym_new_component_body,
  [114805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8206), 1,
      sym_identifier,
    ACTIONS(8208), 1,
      sym_private_property_identifier,
  [114815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_LBRACE,
    STATE(2178), 1,
      sym_component_body,
  [114825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      sym_enum_body,
  [114835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8210), 1,
      sym_identifier,
    ACTIONS(8212), 1,
      sym_private_property_identifier,
  [114845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 1,
      sym_identifier,
    ACTIONS(8216), 1,
      sym_private_property_identifier,
  [114855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_statement_block,
  [114865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    STATE(2308), 1,
      sym_new_component_body,
  [114875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_class_body,
  [114885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 1,
      sym_identifier,
    ACTIONS(6516), 1,
      sym_private_property_identifier,
  [114895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8218), 1,
      sym_identifier,
    ACTIONS(8220), 1,
      anon_sym_STAR,
  [114905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_component_body,
  [114915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    STATE(4462), 1,
      sym_statement_block,
  [114925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_EQ_GT,
  [114932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 1,
      anon_sym_RBRACK,
  [114939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8226), 1,
      sym_identifier,
  [114946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8228), 1,
      anon_sym_RBRACK,
  [114953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8230), 1,
      anon_sym_readonly,
  [114960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8232), 1,
      anon_sym_RBRACK,
  [114967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8234), 1,
      sym_identifier,
  [114974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_EQ,
  [114981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8236), 1,
      sym_identifier,
  [114988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8238), 1,
      anon_sym_new,
  [114995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8240), 1,
      anon_sym_RBRACK,
  [115002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_RBRACK,
  [115009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8244), 1,
      sym_identifier,
  [115016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8246), 1,
      sym_identifier,
  [115023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8248), 1,
      anon_sym_RBRACK,
  [115030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_EQ,
  [115037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8252), 1,
      anon_sym_EQ_GT,
  [115044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_RBRACK,
  [115051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8256), 1,
      anon_sym_RBRACK,
  [115058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_RBRACK,
  [115065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8260), 1,
      anon_sym_from,
  [115072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8262), 1,
      anon_sym_RBRACK,
  [115079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8264), 1,
      anon_sym_RBRACK,
  [115086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8266), 1,
      anon_sym_RBRACK,
  [115093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8268), 1,
      anon_sym_RBRACK,
  [115100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_target,
  [115107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8272), 1,
      anon_sym_RBRACK,
  [115114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_RBRACK,
  [115121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8276), 1,
      anon_sym_RBRACK,
  [115128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8278), 1,
      anon_sym_RBRACK,
  [115135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8280), 1,
      anon_sym_RBRACK,
  [115142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8282), 1,
      anon_sym_EQ_GT,
  [115149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      anon_sym_COLON,
  [115156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 1,
      anon_sym_RBRACK,
  [115163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_RBRACK,
  [115170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_EQ_GT,
  [115177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8288), 1,
      anon_sym_EQ_GT,
  [115184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      sym_identifier,
  [115191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_RBRACK,
  [115198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      anon_sym_EQ_GT,
  [115205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8294), 1,
      anon_sym_RPAREN,
  [115212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_RBRACK,
  [115219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_RBRACK,
  [115226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8300), 1,
      anon_sym_EQ_GT,
  [115233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8302), 1,
      sym_identifier,
  [115240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8304), 1,
      anon_sym_RBRACK,
  [115247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5893), 1,
      anon_sym_EQ_GT,
  [115254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8306), 1,
      anon_sym_EQ_GT,
  [115261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8308), 1,
      anon_sym_RBRACK,
  [115268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_EQ_GT,
  [115275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_EQ_GT,
  [115282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8314), 1,
      anon_sym_EQ_GT,
  [115289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8316), 1,
      anon_sym_EQ_GT,
  [115296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_EQ_GT,
  [115303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8320), 1,
      anon_sym_RBRACK,
  [115310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_RBRACK,
  [115317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_target,
  [115324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8326), 1,
      anon_sym_RBRACK,
  [115331] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8328), 1,
      sym_regex_pattern,
  [115338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8330), 1,
      sym_identifier,
  [115345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8332), 1,
      anon_sym_EQ_GT,
  [115352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_RBRACK,
  [115359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym_EQ_GT,
  [115366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_EQ_GT,
  [115373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8338), 1,
      anon_sym_EQ_GT,
  [115380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 1,
      anon_sym_is,
  [115387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8340), 1,
      anon_sym_EQ,
  [115394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
  [115401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 1,
      anon_sym_EQ_GT,
  [115408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_RBRACK,
  [115415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8348), 1,
      sym_identifier,
  [115422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8350), 1,
      anon_sym_EQ_GT,
  [115429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
  [115436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8352), 1,
      anon_sym_EQ_GT,
  [115443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8354), 1,
      anon_sym_RBRACK,
  [115450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_EQ_GT,
  [115457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8358), 1,
      anon_sym_EQ_GT,
  [115464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8360), 1,
      anon_sym_RBRACK,
  [115471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8362), 1,
      anon_sym_SLASH2,
  [115478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8364), 1,
      anon_sym_class,
  [115485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7748), 1,
      anon_sym_LBRACE,
  [115492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8366), 1,
      anon_sym_RBRACK,
  [115499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 1,
      sym_identifier,
  [115506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      anon_sym_function,
  [115513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      sym_identifier,
  [115520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8374), 1,
      anon_sym_RBRACK,
  [115527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8376), 1,
      sym_identifier,
  [115534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_SLASH2,
  [115541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8380), 1,
      anon_sym_EQ_GT,
  [115548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8382), 1,
      anon_sym_EQ_GT,
  [115555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_EQ_GT,
  [115562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8386), 1,
      anon_sym_EQ_GT,
  [115569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 1,
      anon_sym_LBRACK,
  [115576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8390), 1,
      anon_sym_EQ_GT,
  [115583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8392), 1,
      anon_sym_EQ_GT,
  [115590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8394), 1,
      sym_identifier,
  [115597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_RBRACK,
  [115604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8398), 1,
      anon_sym_COLON,
  [115611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8400), 1,
      sym_identifier,
  [115618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym_DOT,
  [115625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8402), 1,
      anon_sym_EQ_GT,
  [115632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8404), 1,
      anon_sym_EQ_GT,
  [115639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8406), 1,
      anon_sym_EQ_GT,
  [115646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8408), 1,
      sym_identifier,
  [115653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8410), 1,
      anon_sym_LBRACE,
  [115660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8412), 1,
      anon_sym_EQ_GT,
  [115667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8414), 1,
      anon_sym_RBRACK,
  [115674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
  [115681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8416), 1,
      anon_sym_EQ_GT,
  [115688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8418), 1,
      anon_sym_SLASH2,
  [115695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
  [115702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_EQ_GT,
  [115709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_RBRACK,
  [115716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8422), 1,
      anon_sym_RBRACK,
  [115723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8424), 1,
      anon_sym_RBRACK,
  [115730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_RBRACK,
  [115737] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8428), 1,
      sym_regex_pattern,
  [115744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8430), 1,
      anon_sym_LPAREN,
  [115751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8432), 1,
      anon_sym_RBRACK,
  [115758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
  [115765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8434), 1,
      sym_identifier,
  [115772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8436), 1,
      anon_sym_RBRACK,
  [115779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_DOT,
  [115786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8438), 1,
      sym_identifier,
  [115793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 1,
      anon_sym_EQ,
  [115800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COLON,
  [115807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8444), 1,
      anon_sym_RBRACK,
  [115814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8446), 1,
      anon_sym_EQ_GT,
  [115821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8448), 1,
      anon_sym_EQ_GT,
  [115828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8450), 1,
      anon_sym_RBRACK,
  [115835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8452), 1,
      anon_sym_RBRACK,
  [115842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8454), 1,
      anon_sym_RBRACK,
  [115849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8456), 1,
      sym_identifier,
  [115856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8458), 1,
      anon_sym_EQ_GT,
  [115863] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8460), 1,
      sym_regex_pattern,
  [115870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8462), 1,
      anon_sym_RBRACK,
  [115877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8464), 1,
      anon_sym_RBRACK,
  [115884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8466), 1,
      anon_sym_RBRACK,
  [115891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8468), 1,
      anon_sym_RBRACK,
  [115898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8470), 1,
      anon_sym_DOT,
  [115905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8472), 1,
      anon_sym_EQ_GT,
  [115912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8474), 1,
      anon_sym_EQ_GT,
  [115919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8476), 1,
      anon_sym_RBRACK,
  [115926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8478), 1,
      anon_sym_EQ_GT,
  [115933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8480), 1,
      sym_number,
  [115940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_DOT,
  [115947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8482), 1,
      anon_sym_RBRACK,
  [115954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8484), 1,
      anon_sym_RBRACK,
  [115961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_EQ,
  [115968] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8488), 1,
      sym_regex_pattern,
  [115975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8490), 1,
      sym_identifier,
  [115982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8492), 1,
      anon_sym_RBRACK,
  [115989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8494), 1,
      anon_sym_RBRACK,
  [115996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_DOT,
  [116003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8496), 1,
      anon_sym_EQ,
  [116010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8498), 1,
      anon_sym_RBRACK,
  [116017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8500), 1,
      anon_sym_COLON,
  [116024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8502), 1,
      anon_sym_RBRACK,
  [116031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8504), 1,
      anon_sym_EQ_GT,
  [116038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8506), 1,
      anon_sym_class,
  [116045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8508), 1,
      anon_sym_RBRACK,
  [116052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5393), 1,
      anon_sym_RBRACK,
  [116059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 1,
      anon_sym_EQ,
  [116066] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8510), 1,
      sym_regex_pattern,
  [116073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8512), 1,
      anon_sym_from,
  [116080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8514), 1,
      anon_sym_EQ_GT,
  [116087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_DOT,
  [116094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8516), 1,
      anon_sym_EQ_GT,
  [116101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym_RBRACE,
  [116108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8518), 1,
      sym_identifier,
  [116115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_is,
  [116122] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8520), 1,
      sym_regex_pattern,
  [116129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_DOT,
  [116136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_DOT,
  [116143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5419), 1,
      anon_sym_COLON,
  [116150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      anon_sym_RPAREN,
  [116157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 1,
      anon_sym_RPAREN,
  [116164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 1,
      anon_sym_RPAREN,
  [116171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      sym_number,
  [116178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5437), 1,
      anon_sym_RBRACK,
  [116185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8524), 1,
      sym_identifier,
  [116192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8526), 1,
      anon_sym_EQ_GT,
  [116199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8528), 1,
      anon_sym_EQ_GT,
  [116206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_EQ,
  [116213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8532), 1,
      sym_identifier,
  [116220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8534), 1,
      anon_sym_RPAREN,
  [116227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_from,
  [116234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8536), 1,
      anon_sym_EQ_GT,
  [116241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
  [116248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8540), 1,
      anon_sym_EQ,
  [116255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8542), 1,
      sym_identifier,
  [116262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8544), 1,
      sym_number,
  [116269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8546), 1,
      anon_sym_new,
  [116276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8548), 1,
      sym_number,
  [116283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
  [116290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8552), 1,
      sym_identifier,
  [116297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8554), 1,
      anon_sym_while,
  [116304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8556), 1,
      sym_identifier,
  [116311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
  [116318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8560), 1,
      anon_sym_EQ_GT,
  [116325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8562), 1,
      anon_sym_EQ_GT,
  [116332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8564), 1,
      anon_sym_EQ_GT,
  [116339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_EQ_GT,
  [116346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      anon_sym_from,
  [116353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8570), 1,
      anon_sym_EQ_GT,
  [116360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      sym_identifier,
  [116367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym_COLON,
  [116374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      sym_identifier,
  [116381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 1,
      anon_sym_RPAREN,
  [116388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_RPAREN,
  [116395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8580), 1,
      sym_identifier,
  [116402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
  [116409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_from,
  [116416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8586), 1,
      anon_sym_EQ_GT,
  [116423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8588), 1,
      anon_sym_EQ_GT,
  [116430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 1,
      anon_sym_SLASH2,
  [116437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
  [116444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_EQ,
  [116451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8594), 1,
      anon_sym_RBRACK,
  [116458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_is,
  [116465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
  [116472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8598), 1,
      anon_sym_EQ_GT,
  [116479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8600), 1,
      sym_identifier,
  [116486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_RBRACK,
  [116493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8604), 1,
      anon_sym_RBRACK,
  [116500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8606), 1,
      anon_sym_SLASH2,
  [116507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      anon_sym_RBRACE,
  [116514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8608), 1,
      anon_sym_EQ_GT,
  [116521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8610), 1,
      sym_identifier,
  [116528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8612), 1,
      anon_sym_fn,
  [116535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8614), 1,
      anon_sym_RBRACK,
  [116542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
  [116549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7954), 1,
      anon_sym_RBRACK,
  [116556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8618), 1,
      anon_sym_RPAREN,
  [116563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_EQ_GT,
  [116570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
  [116577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
  [116584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8626), 1,
      anon_sym_EQ_GT,
  [116591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8628), 1,
      anon_sym_EQ_GT,
  [116598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      sym_identifier,
  [116605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
  [116612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8634), 1,
      anon_sym_RBRACK,
  [116619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8636), 1,
      anon_sym_EQ_GT,
  [116626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8638), 1,
      anon_sym_EQ_GT,
  [116633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_RPAREN,
  [116640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8640), 1,
      sym_identifier,
  [116647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8642), 1,
      sym_identifier,
  [116654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8644), 1,
      anon_sym_COLON,
  [116661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8646), 1,
      anon_sym_RBRACK,
  [116668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8648), 1,
      anon_sym_RBRACK,
  [116675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8650), 1,
      sym_identifier,
  [116682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8652), 1,
      anon_sym_new,
  [116689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8654), 1,
      sym_identifier,
  [116696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8656), 1,
      sym_identifier,
  [116703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8658), 1,
      anon_sym_RBRACK,
  [116710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8660), 1,
      anon_sym_RBRACK,
  [116717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
  [116724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8664), 1,
      anon_sym_RBRACK,
  [116731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8666), 1,
      anon_sym_RBRACK,
  [116738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      sym_number,
  [116745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
  [116752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8110), 1,
      anon_sym_fn,
  [116759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8672), 1,
      anon_sym_RBRACK,
  [116766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8674), 1,
      anon_sym_EQ_GT,
  [116773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_EQ_GT,
  [116780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8678), 1,
      sym_identifier,
  [116787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8680), 1,
      anon_sym_RBRACK,
  [116794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 1,
      sym_identifier,
  [116801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
  [116808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8686), 1,
      anon_sym_RBRACK,
  [116815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 1,
      sym_identifier,
  [116822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      anon_sym_RBRACK,
  [116829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8692), 1,
      anon_sym_RBRACK,
  [116836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8694), 1,
      anon_sym_RBRACK,
  [116843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8696), 1,
      anon_sym_RBRACK,
  [116850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8698), 1,
      anon_sym_RBRACK,
  [116857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      sym_identifier,
  [116864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
  [116871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
  [116878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
  [116885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7621), 1,
      anon_sym_from,
  [116892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7619), 1,
      sym_identifier,
  [116899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8708), 1,
      anon_sym_RBRACK,
  [116906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8710), 1,
      anon_sym_RBRACK,
  [116913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
  [116920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8714), 1,
      anon_sym_RBRACK,
  [116927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
  [116934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8718), 1,
      anon_sym_RBRACK,
  [116941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8720), 1,
      anon_sym_RBRACK,
  [116948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8722), 1,
      anon_sym_RBRACK,
  [116955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_EQ,
  [116962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
  [116969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      anon_sym_EQ_GT,
  [116976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8728), 1,
      sym_identifier,
  [116983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8730), 1,
      anon_sym_EQ_GT,
  [116990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8732), 1,
      anon_sym_EQ_GT,
  [116997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8734), 1,
      anon_sym_EQ_GT,
  [117004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8736), 1,
      anon_sym_EQ_GT,
  [117011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8738), 1,
      anon_sym_SLASH2,
  [117018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8740), 1,
      anon_sym_EQ_GT,
  [117025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8742), 1,
      anon_sym_LBRACE,
  [117032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8744), 1,
      sym_identifier,
  [117039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
  [117046] = 2,
    ACTIONS(7328), 1,
      sym_comment,
    ACTIONS(8748), 1,
      sym_regex_pattern,
  [117053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      sym_identifier,
  [117060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_EQ_GT,
  [117067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_EQ_GT,
  [117074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
  [117081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_is,
  [117088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8756), 1,
      anon_sym_EQ_GT,
  [117095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      anon_sym_EQ_GT,
  [117102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8760), 1,
      anon_sym_RPAREN,
  [117109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_EQ,
  [117116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8764), 1,
      anon_sym_EQ_GT,
  [117123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8766), 1,
      anon_sym_EQ_GT,
  [117130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_EQ_GT,
  [117137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_RPAREN,
  [117144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_EQ_GT,
  [117151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8774), 1,
      sym_identifier,
  [117158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 1,
      anon_sym_EQ_GT,
  [117165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8778), 1,
      sym_identifier,
  [117172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8013), 1,
      anon_sym_RBRACK,
  [117179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8780), 1,
      anon_sym_RBRACK,
  [117186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_EQ_GT,
  [117193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8784), 1,
      anon_sym_new,
  [117200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_RBRACK,
  [117207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8788), 1,
      anon_sym_EQ_GT,
  [117214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_EQ_GT,
  [117221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8000), 1,
      anon_sym_RBRACK,
  [117228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6366), 1,
      anon_sym_is,
  [117235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_EQ_GT,
  [117242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8794), 1,
      anon_sym_RBRACK,
  [117249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_target,
  [117256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8798), 1,
      anon_sym_RBRACK,
  [117263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5465), 1,
      anon_sym_RBRACK,
  [117270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_EQ_GT,
  [117277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      anon_sym_EQ_GT,
  [117284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      sym_identifier,
  [117291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8806), 1,
      anon_sym_EQ_GT,
  [117298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8808), 1,
      anon_sym_RPAREN,
  [117305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_new,
  [117312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8812), 1,
      anon_sym_EQ_GT,
  [117319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8814), 1,
      anon_sym_new,
  [117326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_RPAREN,
  [117333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_new,
  [117340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8818), 1,
      anon_sym_RBRACK,
  [117347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 1,
      anon_sym_new,
  [117354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8822), 1,
      anon_sym_SLASH2,
  [117361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8824), 1,
      sym_identifier,
  [117368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      sym_identifier,
  [117375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_RBRACK,
  [117382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
  [117389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
  [117396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_RBRACK,
  [117403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8832), 1,
      anon_sym_EQ_GT,
  [117410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      sym_identifier,
  [117417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8836), 1,
      anon_sym_RBRACK,
  [117424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_COLON,
  [117431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      sym_number,
  [117438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8842), 1,
      anon_sym_RBRACK,
  [117445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8844), 1,
      anon_sym_RBRACK,
  [117452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8846), 1,
      anon_sym_RBRACK,
  [117459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_RBRACK,
  [117466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      sym_identifier,
  [117473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_RBRACK,
  [117480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      sym_identifier,
  [117487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LPAREN,
  [117494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8854), 1,
      anon_sym_RBRACK,
  [117501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_RBRACK,
  [117508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_as,
  [117515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8860), 1,
      anon_sym_RBRACK,
  [117522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8862), 1,
      anon_sym_RBRACK,
  [117529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8864), 1,
      anon_sym_RBRACK,
  [117536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_RBRACK,
  [117543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_RBRACK,
  [117550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8870), 1,
      anon_sym_RBRACK,
  [117557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_RBRACK,
  [117564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8874), 1,
      anon_sym_RBRACK,
  [117571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      ts_builtin_sym_end,
  [117578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8878), 1,
      sym_identifier,
  [117585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_EQ_GT,
  [117592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8882), 1,
      anon_sym_RBRACK,
  [117599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_as,
  [117606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8886), 1,
      anon_sym_new,
  [117613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8888), 1,
      anon_sym_RBRACK,
  [117620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8890), 1,
      anon_sym_RBRACK,
  [117627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8892), 1,
      anon_sym_function,
  [117634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8894), 1,
      anon_sym_new,
  [117641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      anon_sym_RBRACK,
  [117648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8898), 1,
      sym_identifier,
  [117655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1405)] = 0,
  [SMALL_STATE(1406)] = 105,
  [SMALL_STATE(1407)] = 202,
  [SMALL_STATE(1408)] = 305,
  [SMALL_STATE(1409)] = 399,
  [SMALL_STATE(1410)] = 537,
  [SMALL_STATE(1411)] = 627,
  [SMALL_STATE(1412)] = 765,
  [SMALL_STATE(1413)] = 855,
  [SMALL_STATE(1414)] = 945,
  [SMALL_STATE(1415)] = 1043,
  [SMALL_STATE(1416)] = 1181,
  [SMALL_STATE(1417)] = 1319,
  [SMALL_STATE(1418)] = 1415,
  [SMALL_STATE(1419)] = 1513,
  [SMALL_STATE(1420)] = 1651,
  [SMALL_STATE(1421)] = 1789,
  [SMALL_STATE(1422)] = 1879,
  [SMALL_STATE(1423)] = 2017,
  [SMALL_STATE(1424)] = 2115,
  [SMALL_STATE(1425)] = 2253,
  [SMALL_STATE(1426)] = 2347,
  [SMALL_STATE(1427)] = 2438,
  [SMALL_STATE(1428)] = 2529,
  [SMALL_STATE(1429)] = 2620,
  [SMALL_STATE(1430)] = 2713,
  [SMALL_STATE(1431)] = 2810,
  [SMALL_STATE(1432)] = 2903,
  [SMALL_STATE(1433)] = 2994,
  [SMALL_STATE(1434)] = 3085,
  [SMALL_STATE(1435)] = 3176,
  [SMALL_STATE(1436)] = 3267,
  [SMALL_STATE(1437)] = 3358,
  [SMALL_STATE(1438)] = 3446,
  [SMALL_STATE(1439)] = 3514,
  [SMALL_STATE(1440)] = 3582,
  [SMALL_STATE(1441)] = 3674,
  [SMALL_STATE(1442)] = 3742,
  [SMALL_STATE(1443)] = 3830,
  [SMALL_STATE(1444)] = 3898,
  [SMALL_STATE(1445)] = 3966,
  [SMALL_STATE(1446)] = 4034,
  [SMALL_STATE(1447)] = 4126,
  [SMALL_STATE(1448)] = 4194,
  [SMALL_STATE(1449)] = 4282,
  [SMALL_STATE(1450)] = 4370,
  [SMALL_STATE(1451)] = 4437,
  [SMALL_STATE(1452)] = 4504,
  [SMALL_STATE(1453)] = 4575,
  [SMALL_STATE(1454)] = 4651,
  [SMALL_STATE(1455)] = 4731,
  [SMALL_STATE(1456)] = 4855,
  [SMALL_STATE(1457)] = 4933,
  [SMALL_STATE(1458)] = 5057,
  [SMALL_STATE(1459)] = 5133,
  [SMALL_STATE(1460)] = 5206,
  [SMALL_STATE(1461)] = 5287,
  [SMALL_STATE(1462)] = 5362,
  [SMALL_STATE(1463)] = 5443,
  [SMALL_STATE(1464)] = 5514,
  [SMALL_STATE(1465)] = 5589,
  [SMALL_STATE(1466)] = 5660,
  [SMALL_STATE(1467)] = 5731,
  [SMALL_STATE(1468)] = 5806,
  [SMALL_STATE(1469)] = 5879,
  [SMALL_STATE(1470)] = 5950,
  [SMALL_STATE(1471)] = 6025,
  [SMALL_STATE(1472)] = 6100,
  [SMALL_STATE(1473)] = 6170,
  [SMALL_STATE(1474)] = 6240,
  [SMALL_STATE(1475)] = 6312,
  [SMALL_STATE(1476)] = 6376,
  [SMALL_STATE(1477)] = 6440,
  [SMALL_STATE(1478)] = 6504,
  [SMALL_STATE(1479)] = 6568,
  [SMALL_STATE(1480)] = 6632,
  [SMALL_STATE(1481)] = 6696,
  [SMALL_STATE(1482)] = 6776,
  [SMALL_STATE(1483)] = 6846,
  [SMALL_STATE(1484)] = 6920,
  [SMALL_STATE(1485)] = 6984,
  [SMALL_STATE(1486)] = 7048,
  [SMALL_STATE(1487)] = 7112,
  [SMALL_STATE(1488)] = 7176,
  [SMALL_STATE(1489)] = 7250,
  [SMALL_STATE(1490)] = 7314,
  [SMALL_STATE(1491)] = 7378,
  [SMALL_STATE(1492)] = 7442,
  [SMALL_STATE(1493)] = 7520,
  [SMALL_STATE(1494)] = 7588,
  [SMALL_STATE(1495)] = 7666,
  [SMALL_STATE(1496)] = 7734,
  [SMALL_STATE(1497)] = 7806,
  [SMALL_STATE(1498)] = 7876,
  [SMALL_STATE(1499)] = 7952,
  [SMALL_STATE(1500)] = 8024,
  [SMALL_STATE(1501)] = 8091,
  [SMALL_STATE(1502)] = 8154,
  [SMALL_STATE(1503)] = 8225,
  [SMALL_STATE(1504)] = 8292,
  [SMALL_STATE(1505)] = 8367,
  [SMALL_STATE(1506)] = 8436,
  [SMALL_STATE(1507)] = 8505,
  [SMALL_STATE(1508)] = 8580,
  [SMALL_STATE(1509)] = 8651,
  [SMALL_STATE(1510)] = 8714,
  [SMALL_STATE(1511)] = 8777,
  [SMALL_STATE(1512)] = 8843,
  [SMALL_STATE(1513)] = 8907,
  [SMALL_STATE(1514)] = 8969,
  [SMALL_STATE(1515)] = 9039,
  [SMALL_STATE(1516)] = 9103,
  [SMALL_STATE(1517)] = 9173,
  [SMALL_STATE(1518)] = 9243,
  [SMALL_STATE(1519)] = 9315,
  [SMALL_STATE(1520)] = 9384,
  [SMALL_STATE(1521)] = 9451,
  [SMALL_STATE(1522)] = 9518,
  [SMALL_STATE(1523)] = 9587,
  [SMALL_STATE(1524)] = 9658,
  [SMALL_STATE(1525)] = 9719,
  [SMALL_STATE(1526)] = 9780,
  [SMALL_STATE(1527)] = 9847,
  [SMALL_STATE(1528)] = 9913,
  [SMALL_STATE(1529)] = 9977,
  [SMALL_STATE(1530)] = 10043,
  [SMALL_STATE(1531)] = 10111,
  [SMALL_STATE(1532)] = 10169,
  [SMALL_STATE(1533)] = 10231,
  [SMALL_STATE(1534)] = 10293,
  [SMALL_STATE(1535)] = 10400,
  [SMALL_STATE(1536)] = 10507,
  [SMALL_STATE(1537)] = 10614,
  [SMALL_STATE(1538)] = 10721,
  [SMALL_STATE(1539)] = 10780,
  [SMALL_STATE(1540)] = 10887,
  [SMALL_STATE(1541)] = 10994,
  [SMALL_STATE(1542)] = 11101,
  [SMALL_STATE(1543)] = 11160,
  [SMALL_STATE(1544)] = 11216,
  [SMALL_STATE(1545)] = 11272,
  [SMALL_STATE(1546)] = 11330,
  [SMALL_STATE(1547)] = 11386,
  [SMALL_STATE(1548)] = 11442,
  [SMALL_STATE(1549)] = 11498,
  [SMALL_STATE(1550)] = 11554,
  [SMALL_STATE(1551)] = 11610,
  [SMALL_STATE(1552)] = 11666,
  [SMALL_STATE(1553)] = 11722,
  [SMALL_STATE(1554)] = 11778,
  [SMALL_STATE(1555)] = 11834,
  [SMALL_STATE(1556)] = 11890,
  [SMALL_STATE(1557)] = 11946,
  [SMALL_STATE(1558)] = 12002,
  [SMALL_STATE(1559)] = 12058,
  [SMALL_STATE(1560)] = 12114,
  [SMALL_STATE(1561)] = 12170,
  [SMALL_STATE(1562)] = 12226,
  [SMALL_STATE(1563)] = 12282,
  [SMALL_STATE(1564)] = 12338,
  [SMALL_STATE(1565)] = 12394,
  [SMALL_STATE(1566)] = 12450,
  [SMALL_STATE(1567)] = 12506,
  [SMALL_STATE(1568)] = 12562,
  [SMALL_STATE(1569)] = 12618,
  [SMALL_STATE(1570)] = 12674,
  [SMALL_STATE(1571)] = 12730,
  [SMALL_STATE(1572)] = 12786,
  [SMALL_STATE(1573)] = 12842,
  [SMALL_STATE(1574)] = 12898,
  [SMALL_STATE(1575)] = 12954,
  [SMALL_STATE(1576)] = 13010,
  [SMALL_STATE(1577)] = 13066,
  [SMALL_STATE(1578)] = 13122,
  [SMALL_STATE(1579)] = 13178,
  [SMALL_STATE(1580)] = 13234,
  [SMALL_STATE(1581)] = 13290,
  [SMALL_STATE(1582)] = 13346,
  [SMALL_STATE(1583)] = 13402,
  [SMALL_STATE(1584)] = 13458,
  [SMALL_STATE(1585)] = 13514,
  [SMALL_STATE(1586)] = 13570,
  [SMALL_STATE(1587)] = 13626,
  [SMALL_STATE(1588)] = 13729,
  [SMALL_STATE(1589)] = 13832,
  [SMALL_STATE(1590)] = 13891,
  [SMALL_STATE(1591)] = 13994,
  [SMALL_STATE(1592)] = 14097,
  [SMALL_STATE(1593)] = 14200,
  [SMALL_STATE(1594)] = 14303,
  [SMALL_STATE(1595)] = 14406,
  [SMALL_STATE(1596)] = 14509,
  [SMALL_STATE(1597)] = 14612,
  [SMALL_STATE(1598)] = 14715,
  [SMALL_STATE(1599)] = 14818,
  [SMALL_STATE(1600)] = 14921,
  [SMALL_STATE(1601)] = 15024,
  [SMALL_STATE(1602)] = 15127,
  [SMALL_STATE(1603)] = 15230,
  [SMALL_STATE(1604)] = 15333,
  [SMALL_STATE(1605)] = 15436,
  [SMALL_STATE(1606)] = 15539,
  [SMALL_STATE(1607)] = 15642,
  [SMALL_STATE(1608)] = 15745,
  [SMALL_STATE(1609)] = 15848,
  [SMALL_STATE(1610)] = 15903,
  [SMALL_STATE(1611)] = 16001,
  [SMALL_STATE(1612)] = 16099,
  [SMALL_STATE(1613)] = 16161,
  [SMALL_STATE(1614)] = 16259,
  [SMALL_STATE(1615)] = 16357,
  [SMALL_STATE(1616)] = 16455,
  [SMALL_STATE(1617)] = 16525,
  [SMALL_STATE(1618)] = 16581,
  [SMALL_STATE(1619)] = 16679,
  [SMALL_STATE(1620)] = 16777,
  [SMALL_STATE(1621)] = 16875,
  [SMALL_STATE(1622)] = 16928,
  [SMALL_STATE(1623)] = 17027,
  [SMALL_STATE(1624)] = 17126,
  [SMALL_STATE(1625)] = 17191,
  [SMALL_STATE(1626)] = 17244,
  [SMALL_STATE(1627)] = 17303,
  [SMALL_STATE(1628)] = 17402,
  [SMALL_STATE(1629)] = 17457,
  [SMALL_STATE(1630)] = 17512,
  [SMALL_STATE(1631)] = 17585,
  [SMALL_STATE(1632)] = 17684,
  [SMALL_STATE(1633)] = 17743,
  [SMALL_STATE(1634)] = 17796,
  [SMALL_STATE(1635)] = 17851,
  [SMALL_STATE(1636)] = 17950,
  [SMALL_STATE(1637)] = 18009,
  [SMALL_STATE(1638)] = 18068,
  [SMALL_STATE(1639)] = 18125,
  [SMALL_STATE(1640)] = 18184,
  [SMALL_STATE(1641)] = 18241,
  [SMALL_STATE(1642)] = 18340,
  [SMALL_STATE(1643)] = 18439,
  [SMALL_STATE(1644)] = 18506,
  [SMALL_STATE(1645)] = 18605,
  [SMALL_STATE(1646)] = 18657,
  [SMALL_STATE(1647)] = 18711,
  [SMALL_STATE(1648)] = 18763,
  [SMALL_STATE(1649)] = 18815,
  [SMALL_STATE(1650)] = 18867,
  [SMALL_STATE(1651)] = 18925,
  [SMALL_STATE(1652)] = 18981,
  [SMALL_STATE(1653)] = 19033,
  [SMALL_STATE(1654)] = 19085,
  [SMALL_STATE(1655)] = 19143,
  [SMALL_STATE(1656)] = 19195,
  [SMALL_STATE(1657)] = 19247,
  [SMALL_STATE(1658)] = 19299,
  [SMALL_STATE(1659)] = 19351,
  [SMALL_STATE(1660)] = 19409,
  [SMALL_STATE(1661)] = 19467,
  [SMALL_STATE(1662)] = 19519,
  [SMALL_STATE(1663)] = 19571,
  [SMALL_STATE(1664)] = 19623,
  [SMALL_STATE(1665)] = 19675,
  [SMALL_STATE(1666)] = 19727,
  [SMALL_STATE(1667)] = 19779,
  [SMALL_STATE(1668)] = 19831,
  [SMALL_STATE(1669)] = 19883,
  [SMALL_STATE(1670)] = 19935,
  [SMALL_STATE(1671)] = 19987,
  [SMALL_STATE(1672)] = 20039,
  [SMALL_STATE(1673)] = 20091,
  [SMALL_STATE(1674)] = 20143,
  [SMALL_STATE(1675)] = 20195,
  [SMALL_STATE(1676)] = 20247,
  [SMALL_STATE(1677)] = 20299,
  [SMALL_STATE(1678)] = 20351,
  [SMALL_STATE(1679)] = 20403,
  [SMALL_STATE(1680)] = 20493,
  [SMALL_STATE(1681)] = 20545,
  [SMALL_STATE(1682)] = 20597,
  [SMALL_STATE(1683)] = 20649,
  [SMALL_STATE(1684)] = 20701,
  [SMALL_STATE(1685)] = 20755,
  [SMALL_STATE(1686)] = 20807,
  [SMALL_STATE(1687)] = 20859,
  [SMALL_STATE(1688)] = 20911,
  [SMALL_STATE(1689)] = 20963,
  [SMALL_STATE(1690)] = 21017,
  [SMALL_STATE(1691)] = 21069,
  [SMALL_STATE(1692)] = 21121,
  [SMALL_STATE(1693)] = 21175,
  [SMALL_STATE(1694)] = 21227,
  [SMALL_STATE(1695)] = 21279,
  [SMALL_STATE(1696)] = 21331,
  [SMALL_STATE(1697)] = 21383,
  [SMALL_STATE(1698)] = 21435,
  [SMALL_STATE(1699)] = 21487,
  [SMALL_STATE(1700)] = 21541,
  [SMALL_STATE(1701)] = 21593,
  [SMALL_STATE(1702)] = 21645,
  [SMALL_STATE(1703)] = 21697,
  [SMALL_STATE(1704)] = 21749,
  [SMALL_STATE(1705)] = 21801,
  [SMALL_STATE(1706)] = 21853,
  [SMALL_STATE(1707)] = 21905,
  [SMALL_STATE(1708)] = 21963,
  [SMALL_STATE(1709)] = 22015,
  [SMALL_STATE(1710)] = 22073,
  [SMALL_STATE(1711)] = 22125,
  [SMALL_STATE(1712)] = 22185,
  [SMALL_STATE(1713)] = 22237,
  [SMALL_STATE(1714)] = 22291,
  [SMALL_STATE(1715)] = 22343,
  [SMALL_STATE(1716)] = 22399,
  [SMALL_STATE(1717)] = 22451,
  [SMALL_STATE(1718)] = 22505,
  [SMALL_STATE(1719)] = 22559,
  [SMALL_STATE(1720)] = 22611,
  [SMALL_STATE(1721)] = 22663,
  [SMALL_STATE(1722)] = 22715,
  [SMALL_STATE(1723)] = 22767,
  [SMALL_STATE(1724)] = 22825,
  [SMALL_STATE(1725)] = 22877,
  [SMALL_STATE(1726)] = 22929,
  [SMALL_STATE(1727)] = 22987,
  [SMALL_STATE(1728)] = 23041,
  [SMALL_STATE(1729)] = 23093,
  [SMALL_STATE(1730)] = 23145,
  [SMALL_STATE(1731)] = 23203,
  [SMALL_STATE(1732)] = 23255,
  [SMALL_STATE(1733)] = 23307,
  [SMALL_STATE(1734)] = 23359,
  [SMALL_STATE(1735)] = 23411,
  [SMALL_STATE(1736)] = 23463,
  [SMALL_STATE(1737)] = 23515,
  [SMALL_STATE(1738)] = 23567,
  [SMALL_STATE(1739)] = 23619,
  [SMALL_STATE(1740)] = 23671,
  [SMALL_STATE(1741)] = 23723,
  [SMALL_STATE(1742)] = 23775,
  [SMALL_STATE(1743)] = 23827,
  [SMALL_STATE(1744)] = 23879,
  [SMALL_STATE(1745)] = 23930,
  [SMALL_STATE(1746)] = 23983,
  [SMALL_STATE(1747)] = 24034,
  [SMALL_STATE(1748)] = 24085,
  [SMALL_STATE(1749)] = 24136,
  [SMALL_STATE(1750)] = 24187,
  [SMALL_STATE(1751)] = 24238,
  [SMALL_STATE(1752)] = 24289,
  [SMALL_STATE(1753)] = 24384,
  [SMALL_STATE(1754)] = 24435,
  [SMALL_STATE(1755)] = 24486,
  [SMALL_STATE(1756)] = 24537,
  [SMALL_STATE(1757)] = 24588,
  [SMALL_STATE(1758)] = 24639,
  [SMALL_STATE(1759)] = 24734,
  [SMALL_STATE(1760)] = 24785,
  [SMALL_STATE(1761)] = 24880,
  [SMALL_STATE(1762)] = 24931,
  [SMALL_STATE(1763)] = 24982,
  [SMALL_STATE(1764)] = 25033,
  [SMALL_STATE(1765)] = 25084,
  [SMALL_STATE(1766)] = 25135,
  [SMALL_STATE(1767)] = 25186,
  [SMALL_STATE(1768)] = 25237,
  [SMALL_STATE(1769)] = 25288,
  [SMALL_STATE(1770)] = 25339,
  [SMALL_STATE(1771)] = 25390,
  [SMALL_STATE(1772)] = 25441,
  [SMALL_STATE(1773)] = 25506,
  [SMALL_STATE(1774)] = 25557,
  [SMALL_STATE(1775)] = 25608,
  [SMALL_STATE(1776)] = 25703,
  [SMALL_STATE(1777)] = 25754,
  [SMALL_STATE(1778)] = 25805,
  [SMALL_STATE(1779)] = 25856,
  [SMALL_STATE(1780)] = 25907,
  [SMALL_STATE(1781)] = 25958,
  [SMALL_STATE(1782)] = 26013,
  [SMALL_STATE(1783)] = 26064,
  [SMALL_STATE(1784)] = 26115,
  [SMALL_STATE(1785)] = 26166,
  [SMALL_STATE(1786)] = 26217,
  [SMALL_STATE(1787)] = 26268,
  [SMALL_STATE(1788)] = 26319,
  [SMALL_STATE(1789)] = 26370,
  [SMALL_STATE(1790)] = 26421,
  [SMALL_STATE(1791)] = 26472,
  [SMALL_STATE(1792)] = 26523,
  [SMALL_STATE(1793)] = 26618,
  [SMALL_STATE(1794)] = 26669,
  [SMALL_STATE(1795)] = 26720,
  [SMALL_STATE(1796)] = 26771,
  [SMALL_STATE(1797)] = 26822,
  [SMALL_STATE(1798)] = 26873,
  [SMALL_STATE(1799)] = 26924,
  [SMALL_STATE(1800)] = 26975,
  [SMALL_STATE(1801)] = 27028,
  [SMALL_STATE(1802)] = 27079,
  [SMALL_STATE(1803)] = 27132,
  [SMALL_STATE(1804)] = 27191,
  [SMALL_STATE(1805)] = 27286,
  [SMALL_STATE(1806)] = 27337,
  [SMALL_STATE(1807)] = 27388,
  [SMALL_STATE(1808)] = 27439,
  [SMALL_STATE(1809)] = 27534,
  [SMALL_STATE(1810)] = 27585,
  [SMALL_STATE(1811)] = 27636,
  [SMALL_STATE(1812)] = 27687,
  [SMALL_STATE(1813)] = 27738,
  [SMALL_STATE(1814)] = 27789,
  [SMALL_STATE(1815)] = 27840,
  [SMALL_STATE(1816)] = 27891,
  [SMALL_STATE(1817)] = 27942,
  [SMALL_STATE(1818)] = 27993,
  [SMALL_STATE(1819)] = 28044,
  [SMALL_STATE(1820)] = 28095,
  [SMALL_STATE(1821)] = 28146,
  [SMALL_STATE(1822)] = 28197,
  [SMALL_STATE(1823)] = 28292,
  [SMALL_STATE(1824)] = 28387,
  [SMALL_STATE(1825)] = 28482,
  [SMALL_STATE(1826)] = 28537,
  [SMALL_STATE(1827)] = 28588,
  [SMALL_STATE(1828)] = 28639,
  [SMALL_STATE(1829)] = 28706,
  [SMALL_STATE(1830)] = 28757,
  [SMALL_STATE(1831)] = 28808,
  [SMALL_STATE(1832)] = 28873,
  [SMALL_STATE(1833)] = 28924,
  [SMALL_STATE(1834)] = 28975,
  [SMALL_STATE(1835)] = 29070,
  [SMALL_STATE(1836)] = 29121,
  [SMALL_STATE(1837)] = 29172,
  [SMALL_STATE(1838)] = 29223,
  [SMALL_STATE(1839)] = 29318,
  [SMALL_STATE(1840)] = 29373,
  [SMALL_STATE(1841)] = 29424,
  [SMALL_STATE(1842)] = 29475,
  [SMALL_STATE(1843)] = 29526,
  [SMALL_STATE(1844)] = 29577,
  [SMALL_STATE(1845)] = 29628,
  [SMALL_STATE(1846)] = 29679,
  [SMALL_STATE(1847)] = 29730,
  [SMALL_STATE(1848)] = 29781,
  [SMALL_STATE(1849)] = 29832,
  [SMALL_STATE(1850)] = 29927,
  [SMALL_STATE(1851)] = 29978,
  [SMALL_STATE(1852)] = 30029,
  [SMALL_STATE(1853)] = 30080,
  [SMALL_STATE(1854)] = 30131,
  [SMALL_STATE(1855)] = 30182,
  [SMALL_STATE(1856)] = 30237,
  [SMALL_STATE(1857)] = 30288,
  [SMALL_STATE(1858)] = 30339,
  [SMALL_STATE(1859)] = 30390,
  [SMALL_STATE(1860)] = 30444,
  [SMALL_STATE(1861)] = 30500,
  [SMALL_STATE(1862)] = 30572,
  [SMALL_STATE(1863)] = 30656,
  [SMALL_STATE(1864)] = 30706,
  [SMALL_STATE(1865)] = 30792,
  [SMALL_STATE(1866)] = 30842,
  [SMALL_STATE(1867)] = 30932,
  [SMALL_STATE(1868)] = 31020,
  [SMALL_STATE(1869)] = 31112,
  [SMALL_STATE(1870)] = 31182,
  [SMALL_STATE(1871)] = 31284,
  [SMALL_STATE(1872)] = 31340,
  [SMALL_STATE(1873)] = 31402,
  [SMALL_STATE(1874)] = 31484,
  [SMALL_STATE(1875)] = 31556,
  [SMALL_STATE(1876)] = 31636,
  [SMALL_STATE(1877)] = 31712,
  [SMALL_STATE(1878)] = 31764,
  [SMALL_STATE(1879)] = 31868,
  [SMALL_STATE(1880)] = 31950,
  [SMALL_STATE(1881)] = 32000,
  [SMALL_STATE(1882)] = 32050,
  [SMALL_STATE(1883)] = 32144,
  [SMALL_STATE(1884)] = 32246,
  [SMALL_STATE(1885)] = 32306,
  [SMALL_STATE(1886)] = 32362,
  [SMALL_STATE(1887)] = 32464,
  [SMALL_STATE(1888)] = 32524,
  [SMALL_STATE(1889)] = 32580,
  [SMALL_STATE(1890)] = 32632,
  [SMALL_STATE(1891)] = 32734,
  [SMALL_STATE(1892)] = 32790,
  [SMALL_STATE(1893)] = 32892,
  [SMALL_STATE(1894)] = 32948,
  [SMALL_STATE(1895)] = 33014,
  [SMALL_STATE(1896)] = 33070,
  [SMALL_STATE(1897)] = 33140,
  [SMALL_STATE(1898)] = 33242,
  [SMALL_STATE(1899)] = 33324,
  [SMALL_STATE(1900)] = 33380,
  [SMALL_STATE(1901)] = 33430,
  [SMALL_STATE(1902)] = 33532,
  [SMALL_STATE(1903)] = 33634,
  [SMALL_STATE(1904)] = 33698,
  [SMALL_STATE(1905)] = 33754,
  [SMALL_STATE(1906)] = 33804,
  [SMALL_STATE(1907)] = 33856,
  [SMALL_STATE(1908)] = 33908,
  [SMALL_STATE(1909)] = 33958,
  [SMALL_STATE(1910)] = 34060,
  [SMALL_STATE(1911)] = 34170,
  [SMALL_STATE(1912)] = 34272,
  [SMALL_STATE(1913)] = 34330,
  [SMALL_STATE(1914)] = 34432,
  [SMALL_STATE(1915)] = 34534,
  [SMALL_STATE(1916)] = 34616,
  [SMALL_STATE(1917)] = 34672,
  [SMALL_STATE(1918)] = 34721,
  [SMALL_STATE(1919)] = 34770,
  [SMALL_STATE(1920)] = 34845,
  [SMALL_STATE(1921)] = 34946,
  [SMALL_STATE(1922)] = 34997,
  [SMALL_STATE(1923)] = 35098,
  [SMALL_STATE(1924)] = 35199,
  [SMALL_STATE(1925)] = 35300,
  [SMALL_STATE(1926)] = 35355,
  [SMALL_STATE(1927)] = 35410,
  [SMALL_STATE(1928)] = 35465,
  [SMALL_STATE(1929)] = 35516,
  [SMALL_STATE(1930)] = 35567,
  [SMALL_STATE(1931)] = 35668,
  [SMALL_STATE(1932)] = 35717,
  [SMALL_STATE(1933)] = 35818,
  [SMALL_STATE(1934)] = 35871,
  [SMALL_STATE(1935)] = 35920,
  [SMALL_STATE(1936)] = 35969,
  [SMALL_STATE(1937)] = 36018,
  [SMALL_STATE(1938)] = 36121,
  [SMALL_STATE(1939)] = 36178,
  [SMALL_STATE(1940)] = 36227,
  [SMALL_STATE(1941)] = 36276,
  [SMALL_STATE(1942)] = 36325,
  [SMALL_STATE(1943)] = 36374,
  [SMALL_STATE(1944)] = 36423,
  [SMALL_STATE(1945)] = 36530,
  [SMALL_STATE(1946)] = 36579,
  [SMALL_STATE(1947)] = 36628,
  [SMALL_STATE(1948)] = 36681,
  [SMALL_STATE(1949)] = 36744,
  [SMALL_STATE(1950)] = 36793,
  [SMALL_STATE(1951)] = 36842,
  [SMALL_STATE(1952)] = 36891,
  [SMALL_STATE(1953)] = 36940,
  [SMALL_STATE(1954)] = 36993,
  [SMALL_STATE(1955)] = 37042,
  [SMALL_STATE(1956)] = 37091,
  [SMALL_STATE(1957)] = 37140,
  [SMALL_STATE(1958)] = 37189,
  [SMALL_STATE(1959)] = 37238,
  [SMALL_STATE(1960)] = 37287,
  [SMALL_STATE(1961)] = 37350,
  [SMALL_STATE(1962)] = 37399,
  [SMALL_STATE(1963)] = 37448,
  [SMALL_STATE(1964)] = 37497,
  [SMALL_STATE(1965)] = 37546,
  [SMALL_STATE(1966)] = 37595,
  [SMALL_STATE(1967)] = 37670,
  [SMALL_STATE(1968)] = 37771,
  [SMALL_STATE(1969)] = 37872,
  [SMALL_STATE(1970)] = 37921,
  [SMALL_STATE(1971)] = 37970,
  [SMALL_STATE(1972)] = 38025,
  [SMALL_STATE(1973)] = 38086,
  [SMALL_STATE(1974)] = 38141,
  [SMALL_STATE(1975)] = 38216,
  [SMALL_STATE(1976)] = 38309,
  [SMALL_STATE(1977)] = 38382,
  [SMALL_STATE(1978)] = 38443,
  [SMALL_STATE(1979)] = 38522,
  [SMALL_STATE(1980)] = 38595,
  [SMALL_STATE(1981)] = 38644,
  [SMALL_STATE(1982)] = 38715,
  [SMALL_STATE(1983)] = 38784,
  [SMALL_STATE(1984)] = 38835,
  [SMALL_STATE(1985)] = 38922,
  [SMALL_STATE(1986)] = 39007,
  [SMALL_STATE(1987)] = 39090,
  [SMALL_STATE(1988)] = 39161,
  [SMALL_STATE(1989)] = 39252,
  [SMALL_STATE(1990)] = 39341,
  [SMALL_STATE(1991)] = 39390,
  [SMALL_STATE(1992)] = 39439,
  [SMALL_STATE(1993)] = 39488,
  [SMALL_STATE(1994)] = 39543,
  [SMALL_STATE(1995)] = 39592,
  [SMALL_STATE(1996)] = 39641,
  [SMALL_STATE(1997)] = 39690,
  [SMALL_STATE(1998)] = 39795,
  [SMALL_STATE(1999)] = 39844,
  [SMALL_STATE(2000)] = 39951,
  [SMALL_STATE(2001)] = 40052,
  [SMALL_STATE(2002)] = 40153,
  [SMALL_STATE(2003)] = 40254,
  [SMALL_STATE(2004)] = 40309,
  [SMALL_STATE(2005)] = 40358,
  [SMALL_STATE(2006)] = 40413,
  [SMALL_STATE(2007)] = 40478,
  [SMALL_STATE(2008)] = 40533,
  [SMALL_STATE(2009)] = 40634,
  [SMALL_STATE(2010)] = 40741,
  [SMALL_STATE(2011)] = 40842,
  [SMALL_STATE(2012)] = 40943,
  [SMALL_STATE(2013)] = 41044,
  [SMALL_STATE(2014)] = 41137,
  [SMALL_STATE(2015)] = 41216,
  [SMALL_STATE(2016)] = 41287,
  [SMALL_STATE(2017)] = 41356,
  [SMALL_STATE(2018)] = 41417,
  [SMALL_STATE(2019)] = 41504,
  [SMALL_STATE(2020)] = 41553,
  [SMALL_STATE(2021)] = 41602,
  [SMALL_STATE(2022)] = 41707,
  [SMALL_STATE(2023)] = 41792,
  [SMALL_STATE(2024)] = 41843,
  [SMALL_STATE(2025)] = 41892,
  [SMALL_STATE(2026)] = 41953,
  [SMALL_STATE(2027)] = 42014,
  [SMALL_STATE(2028)] = 42097,
  [SMALL_STATE(2029)] = 42146,
  [SMALL_STATE(2030)] = 42205,
  [SMALL_STATE(2031)] = 42276,
  [SMALL_STATE(2032)] = 42325,
  [SMALL_STATE(2033)] = 42416,
  [SMALL_STATE(2034)] = 42523,
  [SMALL_STATE(2035)] = 42572,
  [SMALL_STATE(2036)] = 42621,
  [SMALL_STATE(2037)] = 42670,
  [SMALL_STATE(2038)] = 42759,
  [SMALL_STATE(2039)] = 42808,
  [SMALL_STATE(2040)] = 42863,
  [SMALL_STATE(2041)] = 42938,
  [SMALL_STATE(2042)] = 43003,
  [SMALL_STATE(2043)] = 43078,
  [SMALL_STATE(2044)] = 43151,
  [SMALL_STATE(2045)] = 43202,
  [SMALL_STATE(2046)] = 43251,
  [SMALL_STATE(2047)] = 43312,
  [SMALL_STATE(2048)] = 43361,
  [SMALL_STATE(2049)] = 43462,
  [SMALL_STATE(2050)] = 43511,
  [SMALL_STATE(2051)] = 43560,
  [SMALL_STATE(2052)] = 43609,
  [SMALL_STATE(2053)] = 43658,
  [SMALL_STATE(2054)] = 43707,
  [SMALL_STATE(2055)] = 43756,
  [SMALL_STATE(2056)] = 43857,
  [SMALL_STATE(2057)] = 43908,
  [SMALL_STATE(2058)] = 44009,
  [SMALL_STATE(2059)] = 44110,
  [SMALL_STATE(2060)] = 44211,
  [SMALL_STATE(2061)] = 44312,
  [SMALL_STATE(2062)] = 44363,
  [SMALL_STATE(2063)] = 44412,
  [SMALL_STATE(2064)] = 44463,
  [SMALL_STATE(2065)] = 44512,
  [SMALL_STATE(2066)] = 44561,
  [SMALL_STATE(2067)] = 44634,
  [SMALL_STATE(2068)] = 44683,
  [SMALL_STATE(2069)] = 44734,
  [SMALL_STATE(2070)] = 44783,
  [SMALL_STATE(2071)] = 44832,
  [SMALL_STATE(2072)] = 44881,
  [SMALL_STATE(2073)] = 44936,
  [SMALL_STATE(2074)] = 44991,
  [SMALL_STATE(2075)] = 45040,
  [SMALL_STATE(2076)] = 45091,
  [SMALL_STATE(2077)] = 45140,
  [SMALL_STATE(2078)] = 45241,
  [SMALL_STATE(2079)] = 45346,
  [SMALL_STATE(2080)] = 45421,
  [SMALL_STATE(2081)] = 45522,
  [SMALL_STATE(2082)] = 45571,
  [SMALL_STATE(2083)] = 45620,
  [SMALL_STATE(2084)] = 45671,
  [SMALL_STATE(2085)] = 45726,
  [SMALL_STATE(2086)] = 45781,
  [SMALL_STATE(2087)] = 45830,
  [SMALL_STATE(2088)] = 45879,
  [SMALL_STATE(2089)] = 45928,
  [SMALL_STATE(2090)] = 46029,
  [SMALL_STATE(2091)] = 46078,
  [SMALL_STATE(2092)] = 46179,
  [SMALL_STATE(2093)] = 46228,
  [SMALL_STATE(2094)] = 46335,
  [SMALL_STATE(2095)] = 46388,
  [SMALL_STATE(2096)] = 46437,
  [SMALL_STATE(2097)] = 46512,
  [SMALL_STATE(2098)] = 46573,
  [SMALL_STATE(2099)] = 46678,
  [SMALL_STATE(2100)] = 46739,
  [SMALL_STATE(2101)] = 46788,
  [SMALL_STATE(2102)] = 46849,
  [SMALL_STATE(2103)] = 46897,
  [SMALL_STATE(2104)] = 46945,
  [SMALL_STATE(2105)] = 46993,
  [SMALL_STATE(2106)] = 47041,
  [SMALL_STATE(2107)] = 47089,
  [SMALL_STATE(2108)] = 47141,
  [SMALL_STATE(2109)] = 47189,
  [SMALL_STATE(2110)] = 47261,
  [SMALL_STATE(2111)] = 47309,
  [SMALL_STATE(2112)] = 47357,
  [SMALL_STATE(2113)] = 47405,
  [SMALL_STATE(2114)] = 47455,
  [SMALL_STATE(2115)] = 47509,
  [SMALL_STATE(2116)] = 47557,
  [SMALL_STATE(2117)] = 47605,
  [SMALL_STATE(2118)] = 47657,
  [SMALL_STATE(2119)] = 47705,
  [SMALL_STATE(2120)] = 47753,
  [SMALL_STATE(2121)] = 47801,
  [SMALL_STATE(2122)] = 47853,
  [SMALL_STATE(2123)] = 47905,
  [SMALL_STATE(2124)] = 47957,
  [SMALL_STATE(2125)] = 48061,
  [SMALL_STATE(2126)] = 48109,
  [SMALL_STATE(2127)] = 48177,
  [SMALL_STATE(2128)] = 48225,
  [SMALL_STATE(2129)] = 48277,
  [SMALL_STATE(2130)] = 48347,
  [SMALL_STATE(2131)] = 48399,
  [SMALL_STATE(2132)] = 48451,
  [SMALL_STATE(2133)] = 48503,
  [SMALL_STATE(2134)] = 48551,
  [SMALL_STATE(2135)] = 48599,
  [SMALL_STATE(2136)] = 48651,
  [SMALL_STATE(2137)] = 48703,
  [SMALL_STATE(2138)] = 48751,
  [SMALL_STATE(2139)] = 48803,
  [SMALL_STATE(2140)] = 48855,
  [SMALL_STATE(2141)] = 48911,
  [SMALL_STATE(2142)] = 48963,
  [SMALL_STATE(2143)] = 49067,
  [SMALL_STATE(2144)] = 49167,
  [SMALL_STATE(2145)] = 49219,
  [SMALL_STATE(2146)] = 49267,
  [SMALL_STATE(2147)] = 49315,
  [SMALL_STATE(2148)] = 49363,
  [SMALL_STATE(2149)] = 49415,
  [SMALL_STATE(2150)] = 49463,
  [SMALL_STATE(2151)] = 49515,
  [SMALL_STATE(2152)] = 49563,
  [SMALL_STATE(2153)] = 49611,
  [SMALL_STATE(2154)] = 49659,
  [SMALL_STATE(2155)] = 49763,
  [SMALL_STATE(2156)] = 49811,
  [SMALL_STATE(2157)] = 49879,
  [SMALL_STATE(2158)] = 49931,
  [SMALL_STATE(2159)] = 49989,
  [SMALL_STATE(2160)] = 50037,
  [SMALL_STATE(2161)] = 50141,
  [SMALL_STATE(2162)] = 50189,
  [SMALL_STATE(2163)] = 50237,
  [SMALL_STATE(2164)] = 50289,
  [SMALL_STATE(2165)] = 50337,
  [SMALL_STATE(2166)] = 50385,
  [SMALL_STATE(2167)] = 50489,
  [SMALL_STATE(2168)] = 50537,
  [SMALL_STATE(2169)] = 50607,
  [SMALL_STATE(2170)] = 50663,
  [SMALL_STATE(2171)] = 50711,
  [SMALL_STATE(2172)] = 50813,
  [SMALL_STATE(2173)] = 50865,
  [SMALL_STATE(2174)] = 50913,
  [SMALL_STATE(2175)] = 51015,
  [SMALL_STATE(2176)] = 51115,
  [SMALL_STATE(2177)] = 51171,
  [SMALL_STATE(2178)] = 51275,
  [SMALL_STATE(2179)] = 51323,
  [SMALL_STATE(2180)] = 51371,
  [SMALL_STATE(2181)] = 51425,
  [SMALL_STATE(2182)] = 51483,
  [SMALL_STATE(2183)] = 51541,
  [SMALL_STATE(2184)] = 51599,
  [SMALL_STATE(2185)] = 51651,
  [SMALL_STATE(2186)] = 51699,
  [SMALL_STATE(2187)] = 51747,
  [SMALL_STATE(2188)] = 51795,
  [SMALL_STATE(2189)] = 51843,
  [SMALL_STATE(2190)] = 51891,
  [SMALL_STATE(2191)] = 51973,
  [SMALL_STATE(2192)] = 52021,
  [SMALL_STATE(2193)] = 52121,
  [SMALL_STATE(2194)] = 52177,
  [SMALL_STATE(2195)] = 52225,
  [SMALL_STATE(2196)] = 52329,
  [SMALL_STATE(2197)] = 52433,
  [SMALL_STATE(2198)] = 52537,
  [SMALL_STATE(2199)] = 52585,
  [SMALL_STATE(2200)] = 52685,
  [SMALL_STATE(2201)] = 52733,
  [SMALL_STATE(2202)] = 52781,
  [SMALL_STATE(2203)] = 52881,
  [SMALL_STATE(2204)] = 52981,
  [SMALL_STATE(2205)] = 53081,
  [SMALL_STATE(2206)] = 53129,
  [SMALL_STATE(2207)] = 53177,
  [SMALL_STATE(2208)] = 53225,
  [SMALL_STATE(2209)] = 53289,
  [SMALL_STATE(2210)] = 53337,
  [SMALL_STATE(2211)] = 53385,
  [SMALL_STATE(2212)] = 53433,
  [SMALL_STATE(2213)] = 53507,
  [SMALL_STATE(2214)] = 53595,
  [SMALL_STATE(2215)] = 53647,
  [SMALL_STATE(2216)] = 53699,
  [SMALL_STATE(2217)] = 53751,
  [SMALL_STATE(2218)] = 53851,
  [SMALL_STATE(2219)] = 53899,
  [SMALL_STATE(2220)] = 53951,
  [SMALL_STATE(2221)] = 54003,
  [SMALL_STATE(2222)] = 54055,
  [SMALL_STATE(2223)] = 54107,
  [SMALL_STATE(2224)] = 54159,
  [SMALL_STATE(2225)] = 54227,
  [SMALL_STATE(2226)] = 54279,
  [SMALL_STATE(2227)] = 54331,
  [SMALL_STATE(2228)] = 54383,
  [SMALL_STATE(2229)] = 54435,
  [SMALL_STATE(2230)] = 54483,
  [SMALL_STATE(2231)] = 54531,
  [SMALL_STATE(2232)] = 54585,
  [SMALL_STATE(2233)] = 54633,
  [SMALL_STATE(2234)] = 54687,
  [SMALL_STATE(2235)] = 54739,
  [SMALL_STATE(2236)] = 54799,
  [SMALL_STATE(2237)] = 54847,
  [SMALL_STATE(2238)] = 54895,
  [SMALL_STATE(2239)] = 54995,
  [SMALL_STATE(2240)] = 55047,
  [SMALL_STATE(2241)] = 55095,
  [SMALL_STATE(2242)] = 55143,
  [SMALL_STATE(2243)] = 55191,
  [SMALL_STATE(2244)] = 55239,
  [SMALL_STATE(2245)] = 55287,
  [SMALL_STATE(2246)] = 55335,
  [SMALL_STATE(2247)] = 55403,
  [SMALL_STATE(2248)] = 55451,
  [SMALL_STATE(2249)] = 55503,
  [SMALL_STATE(2250)] = 55555,
  [SMALL_STATE(2251)] = 55603,
  [SMALL_STATE(2252)] = 55693,
  [SMALL_STATE(2253)] = 55745,
  [SMALL_STATE(2254)] = 55793,
  [SMALL_STATE(2255)] = 55845,
  [SMALL_STATE(2256)] = 55893,
  [SMALL_STATE(2257)] = 55945,
  [SMALL_STATE(2258)] = 55993,
  [SMALL_STATE(2259)] = 56095,
  [SMALL_STATE(2260)] = 56147,
  [SMALL_STATE(2261)] = 56247,
  [SMALL_STATE(2262)] = 56299,
  [SMALL_STATE(2263)] = 56347,
  [SMALL_STATE(2264)] = 56399,
  [SMALL_STATE(2265)] = 56503,
  [SMALL_STATE(2266)] = 56555,
  [SMALL_STATE(2267)] = 56607,
  [SMALL_STATE(2268)] = 56655,
  [SMALL_STATE(2269)] = 56709,
  [SMALL_STATE(2270)] = 56811,
  [SMALL_STATE(2271)] = 56865,
  [SMALL_STATE(2272)] = 56965,
  [SMALL_STATE(2273)] = 57013,
  [SMALL_STATE(2274)] = 57113,
  [SMALL_STATE(2275)] = 57161,
  [SMALL_STATE(2276)] = 57209,
  [SMALL_STATE(2277)] = 57309,
  [SMALL_STATE(2278)] = 57357,
  [SMALL_STATE(2279)] = 57457,
  [SMALL_STATE(2280)] = 57541,
  [SMALL_STATE(2281)] = 57641,
  [SMALL_STATE(2282)] = 57689,
  [SMALL_STATE(2283)] = 57737,
  [SMALL_STATE(2284)] = 57785,
  [SMALL_STATE(2285)] = 57835,
  [SMALL_STATE(2286)] = 57883,
  [SMALL_STATE(2287)] = 57939,
  [SMALL_STATE(2288)] = 57987,
  [SMALL_STATE(2289)] = 58061,
  [SMALL_STATE(2290)] = 58165,
  [SMALL_STATE(2291)] = 58213,
  [SMALL_STATE(2292)] = 58263,
  [SMALL_STATE(2293)] = 58363,
  [SMALL_STATE(2294)] = 58455,
  [SMALL_STATE(2295)] = 58503,
  [SMALL_STATE(2296)] = 58551,
  [SMALL_STATE(2297)] = 58599,
  [SMALL_STATE(2298)] = 58651,
  [SMALL_STATE(2299)] = 58755,
  [SMALL_STATE(2300)] = 58805,
  [SMALL_STATE(2301)] = 58853,
  [SMALL_STATE(2302)] = 58901,
  [SMALL_STATE(2303)] = 58949,
  [SMALL_STATE(2304)] = 59005,
  [SMALL_STATE(2305)] = 59083,
  [SMALL_STATE(2306)] = 59131,
  [SMALL_STATE(2307)] = 59199,
  [SMALL_STATE(2308)] = 59255,
  [SMALL_STATE(2309)] = 59303,
  [SMALL_STATE(2310)] = 59351,
  [SMALL_STATE(2311)] = 59437,
  [SMALL_STATE(2312)] = 59485,
  [SMALL_STATE(2313)] = 59586,
  [SMALL_STATE(2314)] = 59651,
  [SMALL_STATE(2315)] = 59730,
  [SMALL_STATE(2316)] = 59797,
  [SMALL_STATE(2317)] = 59850,
  [SMALL_STATE(2318)] = 59929,
  [SMALL_STATE(2319)] = 60028,
  [SMALL_STATE(2320)] = 60081,
  [SMALL_STATE(2321)] = 60160,
  [SMALL_STATE(2322)] = 60261,
  [SMALL_STATE(2323)] = 60362,
  [SMALL_STATE(2324)] = 60463,
  [SMALL_STATE(2325)] = 60564,
  [SMALL_STATE(2326)] = 60663,
  [SMALL_STATE(2327)] = 60764,
  [SMALL_STATE(2328)] = 60813,
  [SMALL_STATE(2329)] = 60864,
  [SMALL_STATE(2330)] = 60963,
  [SMALL_STATE(2331)] = 61032,
  [SMALL_STATE(2332)] = 61133,
  [SMALL_STATE(2333)] = 61212,
  [SMALL_STATE(2334)] = 61277,
  [SMALL_STATE(2335)] = 61346,
  [SMALL_STATE(2336)] = 61447,
  [SMALL_STATE(2337)] = 61516,
  [SMALL_STATE(2338)] = 61581,
  [SMALL_STATE(2339)] = 61636,
  [SMALL_STATE(2340)] = 61691,
  [SMALL_STATE(2341)] = 61742,
  [SMALL_STATE(2342)] = 61793,
  [SMALL_STATE(2343)] = 61846,
  [SMALL_STATE(2344)] = 61947,
  [SMALL_STATE(2345)] = 62048,
  [SMALL_STATE(2346)] = 62103,
  [SMALL_STATE(2347)] = 62156,
  [SMALL_STATE(2348)] = 62235,
  [SMALL_STATE(2349)] = 62284,
  [SMALL_STATE(2350)] = 62363,
  [SMALL_STATE(2351)] = 62464,
  [SMALL_STATE(2352)] = 62533,
  [SMALL_STATE(2353)] = 62634,
  [SMALL_STATE(2354)] = 62703,
  [SMALL_STATE(2355)] = 62804,
  [SMALL_STATE(2356)] = 62905,
  [SMALL_STATE(2357)] = 63006,
  [SMALL_STATE(2358)] = 63107,
  [SMALL_STATE(2359)] = 63186,
  [SMALL_STATE(2360)] = 63287,
  [SMALL_STATE(2361)] = 63366,
  [SMALL_STATE(2362)] = 63435,
  [SMALL_STATE(2363)] = 63536,
  [SMALL_STATE(2364)] = 63591,
  [SMALL_STATE(2365)] = 63639,
  [SMALL_STATE(2366)] = 63709,
  [SMALL_STATE(2367)] = 63771,
  [SMALL_STATE(2368)] = 63829,
  [SMALL_STATE(2369)] = 63927,
  [SMALL_STATE(2370)] = 64025,
  [SMALL_STATE(2371)] = 64075,
  [SMALL_STATE(2372)] = 64125,
  [SMALL_STATE(2373)] = 64223,
  [SMALL_STATE(2374)] = 64283,
  [SMALL_STATE(2375)] = 64355,
  [SMALL_STATE(2376)] = 64453,
  [SMALL_STATE(2377)] = 64551,
  [SMALL_STATE(2378)] = 64599,
  [SMALL_STATE(2379)] = 64647,
  [SMALL_STATE(2380)] = 64709,
  [SMALL_STATE(2381)] = 64807,
  [SMALL_STATE(2382)] = 64857,
  [SMALL_STATE(2383)] = 64905,
  [SMALL_STATE(2384)] = 64955,
  [SMALL_STATE(2385)] = 65053,
  [SMALL_STATE(2386)] = 65123,
  [SMALL_STATE(2387)] = 65195,
  [SMALL_STATE(2388)] = 65255,
  [SMALL_STATE(2389)] = 65315,
  [SMALL_STATE(2390)] = 65413,
  [SMALL_STATE(2391)] = 65475,
  [SMALL_STATE(2392)] = 65527,
  [SMALL_STATE(2393)] = 65575,
  [SMALL_STATE(2394)] = 65635,
  [SMALL_STATE(2395)] = 65705,
  [SMALL_STATE(2396)] = 65753,
  [SMALL_STATE(2397)] = 65813,
  [SMALL_STATE(2398)] = 65861,
  [SMALL_STATE(2399)] = 65959,
  [SMALL_STATE(2400)] = 66011,
  [SMALL_STATE(2401)] = 66109,
  [SMALL_STATE(2402)] = 66157,
  [SMALL_STATE(2403)] = 66255,
  [SMALL_STATE(2404)] = 66303,
  [SMALL_STATE(2405)] = 66351,
  [SMALL_STATE(2406)] = 66449,
  [SMALL_STATE(2407)] = 66547,
  [SMALL_STATE(2408)] = 66619,
  [SMALL_STATE(2409)] = 66689,
  [SMALL_STATE(2410)] = 66787,
  [SMALL_STATE(2411)] = 66835,
  [SMALL_STATE(2412)] = 66897,
  [SMALL_STATE(2413)] = 66945,
  [SMALL_STATE(2414)] = 67017,
  [SMALL_STATE(2415)] = 67075,
  [SMALL_STATE(2416)] = 67147,
  [SMALL_STATE(2417)] = 67207,
  [SMALL_STATE(2418)] = 67277,
  [SMALL_STATE(2419)] = 67325,
  [SMALL_STATE(2420)] = 67383,
  [SMALL_STATE(2421)] = 67481,
  [SMALL_STATE(2422)] = 67551,
  [SMALL_STATE(2423)] = 67599,
  [SMALL_STATE(2424)] = 67671,
  [SMALL_STATE(2425)] = 67723,
  [SMALL_STATE(2426)] = 67771,
  [SMALL_STATE(2427)] = 67819,
  [SMALL_STATE(2428)] = 67867,
  [SMALL_STATE(2429)] = 67929,
  [SMALL_STATE(2430)] = 68027,
  [SMALL_STATE(2431)] = 68113,
  [SMALL_STATE(2432)] = 68161,
  [SMALL_STATE(2433)] = 68249,
  [SMALL_STATE(2434)] = 68319,
  [SMALL_STATE(2435)] = 68379,
  [SMALL_STATE(2436)] = 68441,
  [SMALL_STATE(2437)] = 68493,
  [SMALL_STATE(2438)] = 68561,
  [SMALL_STATE(2439)] = 68619,
  [SMALL_STATE(2440)] = 68677,
  [SMALL_STATE(2441)] = 68737,
  [SMALL_STATE(2442)] = 68817,
  [SMALL_STATE(2443)] = 68877,
  [SMALL_STATE(2444)] = 68939,
  [SMALL_STATE(2445)] = 69021,
  [SMALL_STATE(2446)] = 69069,
  [SMALL_STATE(2447)] = 69153,
  [SMALL_STATE(2448)] = 69213,
  [SMALL_STATE(2449)] = 69275,
  [SMALL_STATE(2450)] = 69341,
  [SMALL_STATE(2451)] = 69409,
  [SMALL_STATE(2452)] = 69507,
  [SMALL_STATE(2453)] = 69605,
  [SMALL_STATE(2454)] = 69677,
  [SMALL_STATE(2455)] = 69739,
  [SMALL_STATE(2456)] = 69815,
  [SMALL_STATE(2457)] = 69879,
  [SMALL_STATE(2458)] = 69969,
  [SMALL_STATE(2459)] = 70031,
  [SMALL_STATE(2460)] = 70081,
  [SMALL_STATE(2461)] = 70181,
  [SMALL_STATE(2462)] = 70241,
  [SMALL_STATE(2463)] = 70311,
  [SMALL_STATE(2464)] = 70369,
  [SMALL_STATE(2465)] = 70427,
  [SMALL_STATE(2466)] = 70485,
  [SMALL_STATE(2467)] = 70557,
  [SMALL_STATE(2468)] = 70617,
  [SMALL_STATE(2469)] = 70679,
  [SMALL_STATE(2470)] = 70739,
  [SMALL_STATE(2471)] = 70837,
  [SMALL_STATE(2472)] = 70935,
  [SMALL_STATE(2473)] = 70995,
  [SMALL_STATE(2474)] = 71093,
  [SMALL_STATE(2475)] = 71145,
  [SMALL_STATE(2476)] = 71243,
  [SMALL_STATE(2477)] = 71315,
  [SMALL_STATE(2478)] = 71375,
  [SMALL_STATE(2479)] = 71464,
  [SMALL_STATE(2480)] = 71541,
  [SMALL_STATE(2481)] = 71596,
  [SMALL_STATE(2482)] = 71661,
  [SMALL_STATE(2483)] = 71716,
  [SMALL_STATE(2484)] = 71781,
  [SMALL_STATE(2485)] = 71868,
  [SMALL_STATE(2486)] = 71963,
  [SMALL_STATE(2487)] = 72058,
  [SMALL_STATE(2488)] = 72153,
  [SMALL_STATE(2489)] = 72218,
  [SMALL_STATE(2490)] = 72269,
  [SMALL_STATE(2491)] = 72320,
  [SMALL_STATE(2492)] = 72367,
  [SMALL_STATE(2493)] = 72462,
  [SMALL_STATE(2494)] = 72529,
  [SMALL_STATE(2495)] = 72584,
  [SMALL_STATE(2496)] = 72679,
  [SMALL_STATE(2497)] = 72744,
  [SMALL_STATE(2498)] = 72823,
  [SMALL_STATE(2499)] = 72878,
  [SMALL_STATE(2500)] = 72973,
  [SMALL_STATE(2501)] = 73028,
  [SMALL_STATE(2502)] = 73075,
  [SMALL_STATE(2503)] = 73122,
  [SMALL_STATE(2504)] = 73187,
  [SMALL_STATE(2505)] = 73242,
  [SMALL_STATE(2506)] = 73293,
  [SMALL_STATE(2507)] = 73374,
  [SMALL_STATE(2508)] = 73469,
  [SMALL_STATE(2509)] = 73524,
  [SMALL_STATE(2510)] = 73579,
  [SMALL_STATE(2511)] = 73662,
  [SMALL_STATE(2512)] = 73751,
  [SMALL_STATE(2513)] = 73816,
  [SMALL_STATE(2514)] = 73883,
  [SMALL_STATE(2515)] = 73938,
  [SMALL_STATE(2516)] = 74033,
  [SMALL_STATE(2517)] = 74098,
  [SMALL_STATE(2518)] = 74193,
  [SMALL_STATE(2519)] = 74288,
  [SMALL_STATE(2520)] = 74363,
  [SMALL_STATE(2521)] = 74418,
  [SMALL_STATE(2522)] = 74513,
  [SMALL_STATE(2523)] = 74578,
  [SMALL_STATE(2524)] = 74673,
  [SMALL_STATE(2525)] = 74728,
  [SMALL_STATE(2526)] = 74783,
  [SMALL_STATE(2527)] = 74838,
  [SMALL_STATE(2528)] = 74889,
  [SMALL_STATE(2529)] = 74954,
  [SMALL_STATE(2530)] = 75009,
  [SMALL_STATE(2531)] = 75064,
  [SMALL_STATE(2532)] = 75119,
  [SMALL_STATE(2533)] = 75174,
  [SMALL_STATE(2534)] = 75245,
  [SMALL_STATE(2535)] = 75334,
  [SMALL_STATE(2536)] = 75395,
  [SMALL_STATE(2537)] = 75490,
  [SMALL_STATE(2538)] = 75585,
  [SMALL_STATE(2539)] = 75680,
  [SMALL_STATE(2540)] = 75751,
  [SMALL_STATE(2541)] = 75836,
  [SMALL_STATE(2542)] = 75891,
  [SMALL_STATE(2543)] = 75943,
  [SMALL_STATE(2544)] = 75999,
  [SMALL_STATE(2545)] = 76059,
  [SMALL_STATE(2546)] = 76109,
  [SMALL_STATE(2547)] = 76165,
  [SMALL_STATE(2548)] = 76227,
  [SMALL_STATE(2549)] = 76287,
  [SMALL_STATE(2550)] = 76351,
  [SMALL_STATE(2551)] = 76401,
  [SMALL_STATE(2552)] = 76469,
  [SMALL_STATE(2553)] = 76524,
  [SMALL_STATE(2554)] = 76579,
  [SMALL_STATE(2555)] = 76634,
  [SMALL_STATE(2556)] = 76689,
  [SMALL_STATE(2557)] = 76744,
  [SMALL_STATE(2558)] = 76801,
  [SMALL_STATE(2559)] = 76856,
  [SMALL_STATE(2560)] = 76909,
  [SMALL_STATE(2561)] = 76962,
  [SMALL_STATE(2562)] = 77017,
  [SMALL_STATE(2563)] = 77072,
  [SMALL_STATE(2564)] = 77131,
  [SMALL_STATE(2565)] = 77186,
  [SMALL_STATE(2566)] = 77241,
  [SMALL_STATE(2567)] = 77296,
  [SMALL_STATE(2568)] = 77351,
  [SMALL_STATE(2569)] = 77406,
  [SMALL_STATE(2570)] = 77467,
  [SMALL_STATE(2571)] = 77522,
  [SMALL_STATE(2572)] = 77577,
  [SMALL_STATE(2573)] = 77632,
  [SMALL_STATE(2574)] = 77674,
  [SMALL_STATE(2575)] = 77728,
  [SMALL_STATE(2576)] = 77770,
  [SMALL_STATE(2577)] = 77833,
  [SMALL_STATE(2578)] = 77880,
  [SMALL_STATE(2579)] = 77927,
  [SMALL_STATE(2580)] = 77974,
  [SMALL_STATE(2581)] = 78014,
  [SMALL_STATE(2582)] = 78056,
  [SMALL_STATE(2583)] = 78096,
  [SMALL_STATE(2584)] = 78140,
  [SMALL_STATE(2585)] = 78180,
  [SMALL_STATE(2586)] = 78224,
  [SMALL_STATE(2587)] = 78280,
  [SMALL_STATE(2588)] = 78320,
  [SMALL_STATE(2589)] = 78360,
  [SMALL_STATE(2590)] = 78400,
  [SMALL_STATE(2591)] = 78440,
  [SMALL_STATE(2592)] = 78480,
  [SMALL_STATE(2593)] = 78534,
  [SMALL_STATE(2594)] = 78574,
  [SMALL_STATE(2595)] = 78614,
  [SMALL_STATE(2596)] = 78654,
  [SMALL_STATE(2597)] = 78694,
  [SMALL_STATE(2598)] = 78748,
  [SMALL_STATE(2599)] = 78788,
  [SMALL_STATE(2600)] = 78844,
  [SMALL_STATE(2601)] = 78886,
  [SMALL_STATE(2602)] = 78926,
  [SMALL_STATE(2603)] = 78966,
  [SMALL_STATE(2604)] = 79018,
  [SMALL_STATE(2605)] = 79072,
  [SMALL_STATE(2606)] = 79112,
  [SMALL_STATE(2607)] = 79154,
  [SMALL_STATE(2608)] = 79194,
  [SMALL_STATE(2609)] = 79234,
  [SMALL_STATE(2610)] = 79274,
  [SMALL_STATE(2611)] = 79330,
  [SMALL_STATE(2612)] = 79370,
  [SMALL_STATE(2613)] = 79424,
  [SMALL_STATE(2614)] = 79464,
  [SMALL_STATE(2615)] = 79504,
  [SMALL_STATE(2616)] = 79544,
  [SMALL_STATE(2617)] = 79593,
  [SMALL_STATE(2618)] = 79642,
  [SMALL_STATE(2619)] = 79691,
  [SMALL_STATE(2620)] = 79740,
  [SMALL_STATE(2621)] = 79789,
  [SMALL_STATE(2622)] = 79838,
  [SMALL_STATE(2623)] = 79887,
  [SMALL_STATE(2624)] = 79936,
  [SMALL_STATE(2625)] = 79985,
  [SMALL_STATE(2626)] = 80034,
  [SMALL_STATE(2627)] = 80083,
  [SMALL_STATE(2628)] = 80132,
  [SMALL_STATE(2629)] = 80195,
  [SMALL_STATE(2630)] = 80244,
  [SMALL_STATE(2631)] = 80285,
  [SMALL_STATE(2632)] = 80334,
  [SMALL_STATE(2633)] = 80383,
  [SMALL_STATE(2634)] = 80432,
  [SMALL_STATE(2635)] = 80481,
  [SMALL_STATE(2636)] = 80530,
  [SMALL_STATE(2637)] = 80571,
  [SMALL_STATE(2638)] = 80620,
  [SMALL_STATE(2639)] = 80669,
  [SMALL_STATE(2640)] = 80719,
  [SMALL_STATE(2641)] = 80757,
  [SMALL_STATE(2642)] = 80795,
  [SMALL_STATE(2643)] = 80833,
  [SMALL_STATE(2644)] = 80871,
  [SMALL_STATE(2645)] = 80909,
  [SMALL_STATE(2646)] = 80969,
  [SMALL_STATE(2647)] = 81019,
  [SMALL_STATE(2648)] = 81069,
  [SMALL_STATE(2649)] = 81125,
  [SMALL_STATE(2650)] = 81185,
  [SMALL_STATE(2651)] = 81235,
  [SMALL_STATE(2652)] = 81273,
  [SMALL_STATE(2653)] = 81323,
  [SMALL_STATE(2654)] = 81361,
  [SMALL_STATE(2655)] = 81399,
  [SMALL_STATE(2656)] = 81437,
  [SMALL_STATE(2657)] = 81497,
  [SMALL_STATE(2658)] = 81550,
  [SMALL_STATE(2659)] = 81589,
  [SMALL_STATE(2660)] = 81642,
  [SMALL_STATE(2661)] = 81693,
  [SMALL_STATE(2662)] = 81746,
  [SMALL_STATE(2663)] = 81799,
  [SMALL_STATE(2664)] = 81852,
  [SMALL_STATE(2665)] = 81905,
  [SMALL_STATE(2666)] = 81958,
  [SMALL_STATE(2667)] = 82011,
  [SMALL_STATE(2668)] = 82058,
  [SMALL_STATE(2669)] = 82111,
  [SMALL_STATE(2670)] = 82164,
  [SMALL_STATE(2671)] = 82217,
  [SMALL_STATE(2672)] = 82268,
  [SMALL_STATE(2673)] = 82321,
  [SMALL_STATE(2674)] = 82367,
  [SMALL_STATE(2675)] = 82411,
  [SMALL_STATE(2676)] = 82455,
  [SMALL_STATE(2677)] = 82499,
  [SMALL_STATE(2678)] = 82543,
  [SMALL_STATE(2679)] = 82587,
  [SMALL_STATE(2680)] = 82631,
  [SMALL_STATE(2681)] = 82675,
  [SMALL_STATE(2682)] = 82719,
  [SMALL_STATE(2683)] = 82763,
  [SMALL_STATE(2684)] = 82807,
  [SMALL_STATE(2685)] = 82851,
  [SMALL_STATE(2686)] = 82895,
  [SMALL_STATE(2687)] = 82939,
  [SMALL_STATE(2688)] = 82983,
  [SMALL_STATE(2689)] = 83027,
  [SMALL_STATE(2690)] = 83071,
  [SMALL_STATE(2691)] = 83115,
  [SMALL_STATE(2692)] = 83159,
  [SMALL_STATE(2693)] = 83203,
  [SMALL_STATE(2694)] = 83247,
  [SMALL_STATE(2695)] = 83293,
  [SMALL_STATE(2696)] = 83337,
  [SMALL_STATE(2697)] = 83383,
  [SMALL_STATE(2698)] = 83427,
  [SMALL_STATE(2699)] = 83471,
  [SMALL_STATE(2700)] = 83515,
  [SMALL_STATE(2701)] = 83559,
  [SMALL_STATE(2702)] = 83603,
  [SMALL_STATE(2703)] = 83647,
  [SMALL_STATE(2704)] = 83691,
  [SMALL_STATE(2705)] = 83735,
  [SMALL_STATE(2706)] = 83779,
  [SMALL_STATE(2707)] = 83823,
  [SMALL_STATE(2708)] = 83855,
  [SMALL_STATE(2709)] = 83887,
  [SMALL_STATE(2710)] = 83917,
  [SMALL_STATE(2711)] = 83947,
  [SMALL_STATE(2712)] = 83977,
  [SMALL_STATE(2713)] = 84008,
  [SMALL_STATE(2714)] = 84038,
  [SMALL_STATE(2715)] = 84073,
  [SMALL_STATE(2716)] = 84108,
  [SMALL_STATE(2717)] = 84143,
  [SMALL_STATE(2718)] = 84169,
  [SMALL_STATE(2719)] = 84195,
  [SMALL_STATE(2720)] = 84221,
  [SMALL_STATE(2721)] = 84247,
  [SMALL_STATE(2722)] = 84273,
  [SMALL_STATE(2723)] = 84299,
  [SMALL_STATE(2724)] = 84325,
  [SMALL_STATE(2725)] = 84351,
  [SMALL_STATE(2726)] = 84405,
  [SMALL_STATE(2727)] = 84459,
  [SMALL_STATE(2728)] = 84485,
  [SMALL_STATE(2729)] = 84511,
  [SMALL_STATE(2730)] = 84537,
  [SMALL_STATE(2731)] = 84563,
  [SMALL_STATE(2732)] = 84589,
  [SMALL_STATE(2733)] = 84615,
  [SMALL_STATE(2734)] = 84641,
  [SMALL_STATE(2735)] = 84667,
  [SMALL_STATE(2736)] = 84693,
  [SMALL_STATE(2737)] = 84719,
  [SMALL_STATE(2738)] = 84745,
  [SMALL_STATE(2739)] = 84771,
  [SMALL_STATE(2740)] = 84797,
  [SMALL_STATE(2741)] = 84823,
  [SMALL_STATE(2742)] = 84849,
  [SMALL_STATE(2743)] = 84875,
  [SMALL_STATE(2744)] = 84901,
  [SMALL_STATE(2745)] = 84927,
  [SMALL_STATE(2746)] = 84953,
  [SMALL_STATE(2747)] = 84979,
  [SMALL_STATE(2748)] = 85005,
  [SMALL_STATE(2749)] = 85031,
  [SMALL_STATE(2750)] = 85057,
  [SMALL_STATE(2751)] = 85083,
  [SMALL_STATE(2752)] = 85109,
  [SMALL_STATE(2753)] = 85135,
  [SMALL_STATE(2754)] = 85166,
  [SMALL_STATE(2755)] = 85191,
  [SMALL_STATE(2756)] = 85216,
  [SMALL_STATE(2757)] = 85241,
  [SMALL_STATE(2758)] = 85266,
  [SMALL_STATE(2759)] = 85291,
  [SMALL_STATE(2760)] = 85316,
  [SMALL_STATE(2761)] = 85341,
  [SMALL_STATE(2762)] = 85366,
  [SMALL_STATE(2763)] = 85395,
  [SMALL_STATE(2764)] = 85420,
  [SMALL_STATE(2765)] = 85444,
  [SMALL_STATE(2766)] = 85468,
  [SMALL_STATE(2767)] = 85492,
  [SMALL_STATE(2768)] = 85520,
  [SMALL_STATE(2769)] = 85544,
  [SMALL_STATE(2770)] = 85572,
  [SMALL_STATE(2771)] = 85604,
  [SMALL_STATE(2772)] = 85628,
  [SMALL_STATE(2773)] = 85658,
  [SMALL_STATE(2774)] = 85682,
  [SMALL_STATE(2775)] = 85705,
  [SMALL_STATE(2776)] = 85728,
  [SMALL_STATE(2777)] = 85759,
  [SMALL_STATE(2778)] = 85784,
  [SMALL_STATE(2779)] = 85807,
  [SMALL_STATE(2780)] = 85830,
  [SMALL_STATE(2781)] = 85861,
  [SMALL_STATE(2782)] = 85882,
  [SMALL_STATE(2783)] = 85923,
  [SMALL_STATE(2784)] = 85944,
  [SMALL_STATE(2785)] = 85977,
  [SMALL_STATE(2786)] = 86000,
  [SMALL_STATE(2787)] = 86041,
  [SMALL_STATE(2788)] = 86064,
  [SMALL_STATE(2789)] = 86085,
  [SMALL_STATE(2790)] = 86108,
  [SMALL_STATE(2791)] = 86131,
  [SMALL_STATE(2792)] = 86154,
  [SMALL_STATE(2793)] = 86177,
  [SMALL_STATE(2794)] = 86200,
  [SMALL_STATE(2795)] = 86223,
  [SMALL_STATE(2796)] = 86244,
  [SMALL_STATE(2797)] = 86265,
  [SMALL_STATE(2798)] = 86306,
  [SMALL_STATE(2799)] = 86329,
  [SMALL_STATE(2800)] = 86352,
  [SMALL_STATE(2801)] = 86375,
  [SMALL_STATE(2802)] = 86398,
  [SMALL_STATE(2803)] = 86421,
  [SMALL_STATE(2804)] = 86462,
  [SMALL_STATE(2805)] = 86485,
  [SMALL_STATE(2806)] = 86508,
  [SMALL_STATE(2807)] = 86531,
  [SMALL_STATE(2808)] = 86552,
  [SMALL_STATE(2809)] = 86573,
  [SMALL_STATE(2810)] = 86596,
  [SMALL_STATE(2811)] = 86627,
  [SMALL_STATE(2812)] = 86662,
  [SMALL_STATE(2813)] = 86685,
  [SMALL_STATE(2814)] = 86714,
  [SMALL_STATE(2815)] = 86735,
  [SMALL_STATE(2816)] = 86760,
  [SMALL_STATE(2817)] = 86787,
  [SMALL_STATE(2818)] = 86817,
  [SMALL_STATE(2819)] = 86839,
  [SMALL_STATE(2820)] = 86861,
  [SMALL_STATE(2821)] = 86883,
  [SMALL_STATE(2822)] = 86905,
  [SMALL_STATE(2823)] = 86927,
  [SMALL_STATE(2824)] = 86949,
  [SMALL_STATE(2825)] = 86971,
  [SMALL_STATE(2826)] = 86993,
  [SMALL_STATE(2827)] = 87015,
  [SMALL_STATE(2828)] = 87037,
  [SMALL_STATE(2829)] = 87067,
  [SMALL_STATE(2830)] = 87089,
  [SMALL_STATE(2831)] = 87111,
  [SMALL_STATE(2832)] = 87133,
  [SMALL_STATE(2833)] = 87155,
  [SMALL_STATE(2834)] = 87185,
  [SMALL_STATE(2835)] = 87215,
  [SMALL_STATE(2836)] = 87237,
  [SMALL_STATE(2837)] = 87259,
  [SMALL_STATE(2838)] = 87281,
  [SMALL_STATE(2839)] = 87303,
  [SMALL_STATE(2840)] = 87325,
  [SMALL_STATE(2841)] = 87347,
  [SMALL_STATE(2842)] = 87369,
  [SMALL_STATE(2843)] = 87391,
  [SMALL_STATE(2844)] = 87413,
  [SMALL_STATE(2845)] = 87435,
  [SMALL_STATE(2846)] = 87465,
  [SMALL_STATE(2847)] = 87495,
  [SMALL_STATE(2848)] = 87517,
  [SMALL_STATE(2849)] = 87559,
  [SMALL_STATE(2850)] = 87601,
  [SMALL_STATE(2851)] = 87629,
  [SMALL_STATE(2852)] = 87651,
  [SMALL_STATE(2853)] = 87679,
  [SMALL_STATE(2854)] = 87705,
  [SMALL_STATE(2855)] = 87735,
  [SMALL_STATE(2856)] = 87757,
  [SMALL_STATE(2857)] = 87787,
  [SMALL_STATE(2858)] = 87817,
  [SMALL_STATE(2859)] = 87845,
  [SMALL_STATE(2860)] = 87867,
  [SMALL_STATE(2861)] = 87889,
  [SMALL_STATE(2862)] = 87917,
  [SMALL_STATE(2863)] = 87947,
  [SMALL_STATE(2864)] = 87969,
  [SMALL_STATE(2865)] = 87997,
  [SMALL_STATE(2866)] = 88019,
  [SMALL_STATE(2867)] = 88061,
  [SMALL_STATE(2868)] = 88089,
  [SMALL_STATE(2869)] = 88119,
  [SMALL_STATE(2870)] = 88141,
  [SMALL_STATE(2871)] = 88169,
  [SMALL_STATE(2872)] = 88211,
  [SMALL_STATE(2873)] = 88233,
  [SMALL_STATE(2874)] = 88255,
  [SMALL_STATE(2875)] = 88285,
  [SMALL_STATE(2876)] = 88315,
  [SMALL_STATE(2877)] = 88357,
  [SMALL_STATE(2878)] = 88387,
  [SMALL_STATE(2879)] = 88415,
  [SMALL_STATE(2880)] = 88445,
  [SMALL_STATE(2881)] = 88473,
  [SMALL_STATE(2882)] = 88503,
  [SMALL_STATE(2883)] = 88533,
  [SMALL_STATE(2884)] = 88575,
  [SMALL_STATE(2885)] = 88617,
  [SMALL_STATE(2886)] = 88641,
  [SMALL_STATE(2887)] = 88671,
  [SMALL_STATE(2888)] = 88699,
  [SMALL_STATE(2889)] = 88729,
  [SMALL_STATE(2890)] = 88759,
  [SMALL_STATE(2891)] = 88790,
  [SMALL_STATE(2892)] = 88817,
  [SMALL_STATE(2893)] = 88842,
  [SMALL_STATE(2894)] = 88877,
  [SMALL_STATE(2895)] = 88912,
  [SMALL_STATE(2896)] = 88933,
  [SMALL_STATE(2897)] = 88954,
  [SMALL_STATE(2898)] = 88975,
  [SMALL_STATE(2899)] = 89006,
  [SMALL_STATE(2900)] = 89041,
  [SMALL_STATE(2901)] = 89062,
  [SMALL_STATE(2902)] = 89087,
  [SMALL_STATE(2903)] = 89114,
  [SMALL_STATE(2904)] = 89139,
  [SMALL_STATE(2905)] = 89170,
  [SMALL_STATE(2906)] = 89205,
  [SMALL_STATE(2907)] = 89242,
  [SMALL_STATE(2908)] = 89277,
  [SMALL_STATE(2909)] = 89312,
  [SMALL_STATE(2910)] = 89337,
  [SMALL_STATE(2911)] = 89362,
  [SMALL_STATE(2912)] = 89389,
  [SMALL_STATE(2913)] = 89416,
  [SMALL_STATE(2914)] = 89441,
  [SMALL_STATE(2915)] = 89466,
  [SMALL_STATE(2916)] = 89501,
  [SMALL_STATE(2917)] = 89522,
  [SMALL_STATE(2918)] = 89553,
  [SMALL_STATE(2919)] = 89580,
  [SMALL_STATE(2920)] = 89605,
  [SMALL_STATE(2921)] = 89640,
  [SMALL_STATE(2922)] = 89667,
  [SMALL_STATE(2923)] = 89702,
  [SMALL_STATE(2924)] = 89727,
  [SMALL_STATE(2925)] = 89762,
  [SMALL_STATE(2926)] = 89783,
  [SMALL_STATE(2927)] = 89819,
  [SMALL_STATE(2928)] = 89855,
  [SMALL_STATE(2929)] = 89883,
  [SMALL_STATE(2930)] = 89905,
  [SMALL_STATE(2931)] = 89925,
  [SMALL_STATE(2932)] = 89957,
  [SMALL_STATE(2933)] = 89975,
  [SMALL_STATE(2934)] = 89993,
  [SMALL_STATE(2935)] = 90011,
  [SMALL_STATE(2936)] = 90039,
  [SMALL_STATE(2937)] = 90057,
  [SMALL_STATE(2938)] = 90075,
  [SMALL_STATE(2939)] = 90107,
  [SMALL_STATE(2940)] = 90143,
  [SMALL_STATE(2941)] = 90161,
  [SMALL_STATE(2942)] = 90179,
  [SMALL_STATE(2943)] = 90197,
  [SMALL_STATE(2944)] = 90215,
  [SMALL_STATE(2945)] = 90233,
  [SMALL_STATE(2946)] = 90251,
  [SMALL_STATE(2947)] = 90269,
  [SMALL_STATE(2948)] = 90287,
  [SMALL_STATE(2949)] = 90323,
  [SMALL_STATE(2950)] = 90353,
  [SMALL_STATE(2951)] = 90385,
  [SMALL_STATE(2952)] = 90409,
  [SMALL_STATE(2953)] = 90427,
  [SMALL_STATE(2954)] = 90447,
  [SMALL_STATE(2955)] = 90479,
  [SMALL_STATE(2956)] = 90511,
  [SMALL_STATE(2957)] = 90529,
  [SMALL_STATE(2958)] = 90547,
  [SMALL_STATE(2959)] = 90565,
  [SMALL_STATE(2960)] = 90583,
  [SMALL_STATE(2961)] = 90615,
  [SMALL_STATE(2962)] = 90633,
  [SMALL_STATE(2963)] = 90651,
  [SMALL_STATE(2964)] = 90669,
  [SMALL_STATE(2965)] = 90701,
  [SMALL_STATE(2966)] = 90719,
  [SMALL_STATE(2967)] = 90737,
  [SMALL_STATE(2968)] = 90773,
  [SMALL_STATE(2969)] = 90791,
  [SMALL_STATE(2970)] = 90809,
  [SMALL_STATE(2971)] = 90827,
  [SMALL_STATE(2972)] = 90855,
  [SMALL_STATE(2973)] = 90887,
  [SMALL_STATE(2974)] = 90905,
  [SMALL_STATE(2975)] = 90941,
  [SMALL_STATE(2976)] = 90959,
  [SMALL_STATE(2977)] = 90991,
  [SMALL_STATE(2978)] = 91009,
  [SMALL_STATE(2979)] = 91027,
  [SMALL_STATE(2980)] = 91059,
  [SMALL_STATE(2981)] = 91087,
  [SMALL_STATE(2982)] = 91123,
  [SMALL_STATE(2983)] = 91141,
  [SMALL_STATE(2984)] = 91159,
  [SMALL_STATE(2985)] = 91177,
  [SMALL_STATE(2986)] = 91195,
  [SMALL_STATE(2987)] = 91215,
  [SMALL_STATE(2988)] = 91247,
  [SMALL_STATE(2989)] = 91267,
  [SMALL_STATE(2990)] = 91290,
  [SMALL_STATE(2991)] = 91309,
  [SMALL_STATE(2992)] = 91330,
  [SMALL_STATE(2993)] = 91367,
  [SMALL_STATE(2994)] = 91386,
  [SMALL_STATE(2995)] = 91405,
  [SMALL_STATE(2996)] = 91426,
  [SMALL_STATE(2997)] = 91449,
  [SMALL_STATE(2998)] = 91468,
  [SMALL_STATE(2999)] = 91487,
  [SMALL_STATE(3000)] = 91506,
  [SMALL_STATE(3001)] = 91529,
  [SMALL_STATE(3002)] = 91550,
  [SMALL_STATE(3003)] = 91569,
  [SMALL_STATE(3004)] = 91588,
  [SMALL_STATE(3005)] = 91607,
  [SMALL_STATE(3006)] = 91626,
  [SMALL_STATE(3007)] = 91645,
  [SMALL_STATE(3008)] = 91666,
  [SMALL_STATE(3009)] = 91687,
  [SMALL_STATE(3010)] = 91706,
  [SMALL_STATE(3011)] = 91725,
  [SMALL_STATE(3012)] = 91744,
  [SMALL_STATE(3013)] = 91763,
  [SMALL_STATE(3014)] = 91782,
  [SMALL_STATE(3015)] = 91799,
  [SMALL_STATE(3016)] = 91818,
  [SMALL_STATE(3017)] = 91839,
  [SMALL_STATE(3018)] = 91862,
  [SMALL_STATE(3019)] = 91881,
  [SMALL_STATE(3020)] = 91900,
  [SMALL_STATE(3021)] = 91917,
  [SMALL_STATE(3022)] = 91940,
  [SMALL_STATE(3023)] = 91959,
  [SMALL_STATE(3024)] = 91978,
  [SMALL_STATE(3025)] = 91999,
  [SMALL_STATE(3026)] = 92020,
  [SMALL_STATE(3027)] = 92039,
  [SMALL_STATE(3028)] = 92056,
  [SMALL_STATE(3029)] = 92093,
  [SMALL_STATE(3030)] = 92114,
  [SMALL_STATE(3031)] = 92133,
  [SMALL_STATE(3032)] = 92156,
  [SMALL_STATE(3033)] = 92175,
  [SMALL_STATE(3034)] = 92194,
  [SMALL_STATE(3035)] = 92211,
  [SMALL_STATE(3036)] = 92228,
  [SMALL_STATE(3037)] = 92245,
  [SMALL_STATE(3038)] = 92262,
  [SMALL_STATE(3039)] = 92283,
  [SMALL_STATE(3040)] = 92302,
  [SMALL_STATE(3041)] = 92325,
  [SMALL_STATE(3042)] = 92348,
  [SMALL_STATE(3043)] = 92367,
  [SMALL_STATE(3044)] = 92386,
  [SMALL_STATE(3045)] = 92405,
  [SMALL_STATE(3046)] = 92424,
  [SMALL_STATE(3047)] = 92443,
  [SMALL_STATE(3048)] = 92460,
  [SMALL_STATE(3049)] = 92479,
  [SMALL_STATE(3050)] = 92498,
  [SMALL_STATE(3051)] = 92519,
  [SMALL_STATE(3052)] = 92538,
  [SMALL_STATE(3053)] = 92559,
  [SMALL_STATE(3054)] = 92578,
  [SMALL_STATE(3055)] = 92597,
  [SMALL_STATE(3056)] = 92616,
  [SMALL_STATE(3057)] = 92637,
  [SMALL_STATE(3058)] = 92656,
  [SMALL_STATE(3059)] = 92675,
  [SMALL_STATE(3060)] = 92696,
  [SMALL_STATE(3061)] = 92730,
  [SMALL_STATE(3062)] = 92746,
  [SMALL_STATE(3063)] = 92764,
  [SMALL_STATE(3064)] = 92784,
  [SMALL_STATE(3065)] = 92806,
  [SMALL_STATE(3066)] = 92830,
  [SMALL_STATE(3067)] = 92864,
  [SMALL_STATE(3068)] = 92884,
  [SMALL_STATE(3069)] = 92906,
  [SMALL_STATE(3070)] = 92940,
  [SMALL_STATE(3071)] = 92960,
  [SMALL_STATE(3072)] = 92994,
  [SMALL_STATE(3073)] = 93028,
  [SMALL_STATE(3074)] = 93062,
  [SMALL_STATE(3075)] = 93082,
  [SMALL_STATE(3076)] = 93102,
  [SMALL_STATE(3077)] = 93124,
  [SMALL_STATE(3078)] = 93158,
  [SMALL_STATE(3079)] = 93178,
  [SMALL_STATE(3080)] = 93200,
  [SMALL_STATE(3081)] = 93222,
  [SMALL_STATE(3082)] = 93250,
  [SMALL_STATE(3083)] = 93270,
  [SMALL_STATE(3084)] = 93304,
  [SMALL_STATE(3085)] = 93322,
  [SMALL_STATE(3086)] = 93342,
  [SMALL_STATE(3087)] = 93362,
  [SMALL_STATE(3088)] = 93384,
  [SMALL_STATE(3089)] = 93406,
  [SMALL_STATE(3090)] = 93428,
  [SMALL_STATE(3091)] = 93450,
  [SMALL_STATE(3092)] = 93478,
  [SMALL_STATE(3093)] = 93512,
  [SMALL_STATE(3094)] = 93534,
  [SMALL_STATE(3095)] = 93554,
  [SMALL_STATE(3096)] = 93572,
  [SMALL_STATE(3097)] = 93594,
  [SMALL_STATE(3098)] = 93628,
  [SMALL_STATE(3099)] = 93646,
  [SMALL_STATE(3100)] = 93668,
  [SMALL_STATE(3101)] = 93696,
  [SMALL_STATE(3102)] = 93718,
  [SMALL_STATE(3103)] = 93736,
  [SMALL_STATE(3104)] = 93752,
  [SMALL_STATE(3105)] = 93772,
  [SMALL_STATE(3106)] = 93806,
  [SMALL_STATE(3107)] = 93828,
  [SMALL_STATE(3108)] = 93850,
  [SMALL_STATE(3109)] = 93875,
  [SMALL_STATE(3110)] = 93890,
  [SMALL_STATE(3111)] = 93915,
  [SMALL_STATE(3112)] = 93930,
  [SMALL_STATE(3113)] = 93945,
  [SMALL_STATE(3114)] = 93966,
  [SMALL_STATE(3115)] = 93981,
  [SMALL_STATE(3116)] = 93996,
  [SMALL_STATE(3117)] = 94021,
  [SMALL_STATE(3118)] = 94046,
  [SMALL_STATE(3119)] = 94065,
  [SMALL_STATE(3120)] = 94080,
  [SMALL_STATE(3121)] = 94095,
  [SMALL_STATE(3122)] = 94126,
  [SMALL_STATE(3123)] = 94145,
  [SMALL_STATE(3124)] = 94164,
  [SMALL_STATE(3125)] = 94185,
  [SMALL_STATE(3126)] = 94206,
  [SMALL_STATE(3127)] = 94221,
  [SMALL_STATE(3128)] = 94236,
  [SMALL_STATE(3129)] = 94251,
  [SMALL_STATE(3130)] = 94282,
  [SMALL_STATE(3131)] = 94297,
  [SMALL_STATE(3132)] = 94322,
  [SMALL_STATE(3133)] = 94353,
  [SMALL_STATE(3134)] = 94378,
  [SMALL_STATE(3135)] = 94393,
  [SMALL_STATE(3136)] = 94424,
  [SMALL_STATE(3137)] = 94441,
  [SMALL_STATE(3138)] = 94462,
  [SMALL_STATE(3139)] = 94493,
  [SMALL_STATE(3140)] = 94508,
  [SMALL_STATE(3141)] = 94539,
  [SMALL_STATE(3142)] = 94554,
  [SMALL_STATE(3143)] = 94579,
  [SMALL_STATE(3144)] = 94610,
  [SMALL_STATE(3145)] = 94625,
  [SMALL_STATE(3146)] = 94650,
  [SMALL_STATE(3147)] = 94681,
  [SMALL_STATE(3148)] = 94700,
  [SMALL_STATE(3149)] = 94731,
  [SMALL_STATE(3150)] = 94762,
  [SMALL_STATE(3151)] = 94793,
  [SMALL_STATE(3152)] = 94808,
  [SMALL_STATE(3153)] = 94825,
  [SMALL_STATE(3154)] = 94840,
  [SMALL_STATE(3155)] = 94855,
  [SMALL_STATE(3156)] = 94872,
  [SMALL_STATE(3157)] = 94887,
  [SMALL_STATE(3158)] = 94912,
  [SMALL_STATE(3159)] = 94927,
  [SMALL_STATE(3160)] = 94948,
  [SMALL_STATE(3161)] = 94979,
  [SMALL_STATE(3162)] = 95010,
  [SMALL_STATE(3163)] = 95025,
  [SMALL_STATE(3164)] = 95040,
  [SMALL_STATE(3165)] = 95055,
  [SMALL_STATE(3166)] = 95080,
  [SMALL_STATE(3167)] = 95095,
  [SMALL_STATE(3168)] = 95116,
  [SMALL_STATE(3169)] = 95135,
  [SMALL_STATE(3170)] = 95166,
  [SMALL_STATE(3171)] = 95181,
  [SMALL_STATE(3172)] = 95212,
  [SMALL_STATE(3173)] = 95243,
  [SMALL_STATE(3174)] = 95260,
  [SMALL_STATE(3175)] = 95275,
  [SMALL_STATE(3176)] = 95296,
  [SMALL_STATE(3177)] = 95313,
  [SMALL_STATE(3178)] = 95344,
  [SMALL_STATE(3179)] = 95375,
  [SMALL_STATE(3180)] = 95400,
  [SMALL_STATE(3181)] = 95425,
  [SMALL_STATE(3182)] = 95440,
  [SMALL_STATE(3183)] = 95459,
  [SMALL_STATE(3184)] = 95490,
  [SMALL_STATE(3185)] = 95521,
  [SMALL_STATE(3186)] = 95542,
  [SMALL_STATE(3187)] = 95557,
  [SMALL_STATE(3188)] = 95572,
  [SMALL_STATE(3189)] = 95587,
  [SMALL_STATE(3190)] = 95618,
  [SMALL_STATE(3191)] = 95635,
  [SMALL_STATE(3192)] = 95650,
  [SMALL_STATE(3193)] = 95665,
  [SMALL_STATE(3194)] = 95690,
  [SMALL_STATE(3195)] = 95705,
  [SMALL_STATE(3196)] = 95720,
  [SMALL_STATE(3197)] = 95735,
  [SMALL_STATE(3198)] = 95766,
  [SMALL_STATE(3199)] = 95791,
  [SMALL_STATE(3200)] = 95816,
  [SMALL_STATE(3201)] = 95831,
  [SMALL_STATE(3202)] = 95846,
  [SMALL_STATE(3203)] = 95861,
  [SMALL_STATE(3204)] = 95876,
  [SMALL_STATE(3205)] = 95893,
  [SMALL_STATE(3206)] = 95908,
  [SMALL_STATE(3207)] = 95923,
  [SMALL_STATE(3208)] = 95954,
  [SMALL_STATE(3209)] = 95974,
  [SMALL_STATE(3210)] = 95994,
  [SMALL_STATE(3211)] = 96022,
  [SMALL_STATE(3212)] = 96046,
  [SMALL_STATE(3213)] = 96070,
  [SMALL_STATE(3214)] = 96098,
  [SMALL_STATE(3215)] = 96116,
  [SMALL_STATE(3216)] = 96144,
  [SMALL_STATE(3217)] = 96164,
  [SMALL_STATE(3218)] = 96188,
  [SMALL_STATE(3219)] = 96216,
  [SMALL_STATE(3220)] = 96244,
  [SMALL_STATE(3221)] = 96268,
  [SMALL_STATE(3222)] = 96292,
  [SMALL_STATE(3223)] = 96320,
  [SMALL_STATE(3224)] = 96340,
  [SMALL_STATE(3225)] = 96368,
  [SMALL_STATE(3226)] = 96392,
  [SMALL_STATE(3227)] = 96416,
  [SMALL_STATE(3228)] = 96441,
  [SMALL_STATE(3229)] = 96458,
  [SMALL_STATE(3230)] = 96473,
  [SMALL_STATE(3231)] = 96498,
  [SMALL_STATE(3232)] = 96523,
  [SMALL_STATE(3233)] = 96542,
  [SMALL_STATE(3234)] = 96559,
  [SMALL_STATE(3235)] = 96572,
  [SMALL_STATE(3236)] = 96595,
  [SMALL_STATE(3237)] = 96620,
  [SMALL_STATE(3238)] = 96645,
  [SMALL_STATE(3239)] = 96670,
  [SMALL_STATE(3240)] = 96695,
  [SMALL_STATE(3241)] = 96720,
  [SMALL_STATE(3242)] = 96745,
  [SMALL_STATE(3243)] = 96770,
  [SMALL_STATE(3244)] = 96787,
  [SMALL_STATE(3245)] = 96812,
  [SMALL_STATE(3246)] = 96837,
  [SMALL_STATE(3247)] = 96862,
  [SMALL_STATE(3248)] = 96887,
  [SMALL_STATE(3249)] = 96912,
  [SMALL_STATE(3250)] = 96937,
  [SMALL_STATE(3251)] = 96958,
  [SMALL_STATE(3252)] = 96983,
  [SMALL_STATE(3253)] = 97008,
  [SMALL_STATE(3254)] = 97033,
  [SMALL_STATE(3255)] = 97058,
  [SMALL_STATE(3256)] = 97079,
  [SMALL_STATE(3257)] = 97094,
  [SMALL_STATE(3258)] = 97115,
  [SMALL_STATE(3259)] = 97140,
  [SMALL_STATE(3260)] = 97165,
  [SMALL_STATE(3261)] = 97180,
  [SMALL_STATE(3262)] = 97205,
  [SMALL_STATE(3263)] = 97220,
  [SMALL_STATE(3264)] = 97241,
  [SMALL_STATE(3265)] = 97266,
  [SMALL_STATE(3266)] = 97291,
  [SMALL_STATE(3267)] = 97316,
  [SMALL_STATE(3268)] = 97341,
  [SMALL_STATE(3269)] = 97366,
  [SMALL_STATE(3270)] = 97391,
  [SMALL_STATE(3271)] = 97416,
  [SMALL_STATE(3272)] = 97437,
  [SMALL_STATE(3273)] = 97456,
  [SMALL_STATE(3274)] = 97481,
  [SMALL_STATE(3275)] = 97506,
  [SMALL_STATE(3276)] = 97531,
  [SMALL_STATE(3277)] = 97556,
  [SMALL_STATE(3278)] = 97577,
  [SMALL_STATE(3279)] = 97602,
  [SMALL_STATE(3280)] = 97619,
  [SMALL_STATE(3281)] = 97644,
  [SMALL_STATE(3282)] = 97657,
  [SMALL_STATE(3283)] = 97674,
  [SMALL_STATE(3284)] = 97699,
  [SMALL_STATE(3285)] = 97712,
  [SMALL_STATE(3286)] = 97737,
  [SMALL_STATE(3287)] = 97754,
  [SMALL_STATE(3288)] = 97779,
  [SMALL_STATE(3289)] = 97804,
  [SMALL_STATE(3290)] = 97829,
  [SMALL_STATE(3291)] = 97850,
  [SMALL_STATE(3292)] = 97875,
  [SMALL_STATE(3293)] = 97896,
  [SMALL_STATE(3294)] = 97913,
  [SMALL_STATE(3295)] = 97934,
  [SMALL_STATE(3296)] = 97955,
  [SMALL_STATE(3297)] = 97968,
  [SMALL_STATE(3298)] = 97985,
  [SMALL_STATE(3299)] = 98010,
  [SMALL_STATE(3300)] = 98027,
  [SMALL_STATE(3301)] = 98044,
  [SMALL_STATE(3302)] = 98061,
  [SMALL_STATE(3303)] = 98086,
  [SMALL_STATE(3304)] = 98105,
  [SMALL_STATE(3305)] = 98122,
  [SMALL_STATE(3306)] = 98147,
  [SMALL_STATE(3307)] = 98172,
  [SMALL_STATE(3308)] = 98197,
  [SMALL_STATE(3309)] = 98212,
  [SMALL_STATE(3310)] = 98229,
  [SMALL_STATE(3311)] = 98254,
  [SMALL_STATE(3312)] = 98275,
  [SMALL_STATE(3313)] = 98292,
  [SMALL_STATE(3314)] = 98309,
  [SMALL_STATE(3315)] = 98326,
  [SMALL_STATE(3316)] = 98351,
  [SMALL_STATE(3317)] = 98376,
  [SMALL_STATE(3318)] = 98391,
  [SMALL_STATE(3319)] = 98406,
  [SMALL_STATE(3320)] = 98425,
  [SMALL_STATE(3321)] = 98438,
  [SMALL_STATE(3322)] = 98463,
  [SMALL_STATE(3323)] = 98488,
  [SMALL_STATE(3324)] = 98501,
  [SMALL_STATE(3325)] = 98526,
  [SMALL_STATE(3326)] = 98539,
  [SMALL_STATE(3327)] = 98564,
  [SMALL_STATE(3328)] = 98581,
  [SMALL_STATE(3329)] = 98598,
  [SMALL_STATE(3330)] = 98615,
  [SMALL_STATE(3331)] = 98632,
  [SMALL_STATE(3332)] = 98645,
  [SMALL_STATE(3333)] = 98662,
  [SMALL_STATE(3334)] = 98675,
  [SMALL_STATE(3335)] = 98696,
  [SMALL_STATE(3336)] = 98709,
  [SMALL_STATE(3337)] = 98722,
  [SMALL_STATE(3338)] = 98747,
  [SMALL_STATE(3339)] = 98760,
  [SMALL_STATE(3340)] = 98777,
  [SMALL_STATE(3341)] = 98790,
  [SMALL_STATE(3342)] = 98803,
  [SMALL_STATE(3343)] = 98824,
  [SMALL_STATE(3344)] = 98837,
  [SMALL_STATE(3345)] = 98850,
  [SMALL_STATE(3346)] = 98875,
  [SMALL_STATE(3347)] = 98892,
  [SMALL_STATE(3348)] = 98909,
  [SMALL_STATE(3349)] = 98926,
  [SMALL_STATE(3350)] = 98943,
  [SMALL_STATE(3351)] = 98960,
  [SMALL_STATE(3352)] = 98985,
  [SMALL_STATE(3353)] = 99001,
  [SMALL_STATE(3354)] = 99023,
  [SMALL_STATE(3355)] = 99037,
  [SMALL_STATE(3356)] = 99049,
  [SMALL_STATE(3357)] = 99071,
  [SMALL_STATE(3358)] = 99089,
  [SMALL_STATE(3359)] = 99105,
  [SMALL_STATE(3360)] = 99117,
  [SMALL_STATE(3361)] = 99129,
  [SMALL_STATE(3362)] = 99151,
  [SMALL_STATE(3363)] = 99169,
  [SMALL_STATE(3364)] = 99181,
  [SMALL_STATE(3365)] = 99197,
  [SMALL_STATE(3366)] = 99215,
  [SMALL_STATE(3367)] = 99237,
  [SMALL_STATE(3368)] = 99259,
  [SMALL_STATE(3369)] = 99275,
  [SMALL_STATE(3370)] = 99293,
  [SMALL_STATE(3371)] = 99315,
  [SMALL_STATE(3372)] = 99337,
  [SMALL_STATE(3373)] = 99353,
  [SMALL_STATE(3374)] = 99375,
  [SMALL_STATE(3375)] = 99393,
  [SMALL_STATE(3376)] = 99407,
  [SMALL_STATE(3377)] = 99425,
  [SMALL_STATE(3378)] = 99441,
  [SMALL_STATE(3379)] = 99463,
  [SMALL_STATE(3380)] = 99481,
  [SMALL_STATE(3381)] = 99503,
  [SMALL_STATE(3382)] = 99525,
  [SMALL_STATE(3383)] = 99547,
  [SMALL_STATE(3384)] = 99569,
  [SMALL_STATE(3385)] = 99591,
  [SMALL_STATE(3386)] = 99607,
  [SMALL_STATE(3387)] = 99629,
  [SMALL_STATE(3388)] = 99651,
  [SMALL_STATE(3389)] = 99673,
  [SMALL_STATE(3390)] = 99695,
  [SMALL_STATE(3391)] = 99711,
  [SMALL_STATE(3392)] = 99727,
  [SMALL_STATE(3393)] = 99749,
  [SMALL_STATE(3394)] = 99765,
  [SMALL_STATE(3395)] = 99787,
  [SMALL_STATE(3396)] = 99799,
  [SMALL_STATE(3397)] = 99815,
  [SMALL_STATE(3398)] = 99837,
  [SMALL_STATE(3399)] = 99853,
  [SMALL_STATE(3400)] = 99871,
  [SMALL_STATE(3401)] = 99893,
  [SMALL_STATE(3402)] = 99913,
  [SMALL_STATE(3403)] = 99931,
  [SMALL_STATE(3404)] = 99947,
  [SMALL_STATE(3405)] = 99965,
  [SMALL_STATE(3406)] = 99985,
  [SMALL_STATE(3407)] = 100007,
  [SMALL_STATE(3408)] = 100029,
  [SMALL_STATE(3409)] = 100051,
  [SMALL_STATE(3410)] = 100073,
  [SMALL_STATE(3411)] = 100095,
  [SMALL_STATE(3412)] = 100115,
  [SMALL_STATE(3413)] = 100131,
  [SMALL_STATE(3414)] = 100147,
  [SMALL_STATE(3415)] = 100169,
  [SMALL_STATE(3416)] = 100185,
  [SMALL_STATE(3417)] = 100207,
  [SMALL_STATE(3418)] = 100225,
  [SMALL_STATE(3419)] = 100247,
  [SMALL_STATE(3420)] = 100269,
  [SMALL_STATE(3421)] = 100287,
  [SMALL_STATE(3422)] = 100303,
  [SMALL_STATE(3423)] = 100325,
  [SMALL_STATE(3424)] = 100341,
  [SMALL_STATE(3425)] = 100363,
  [SMALL_STATE(3426)] = 100379,
  [SMALL_STATE(3427)] = 100395,
  [SMALL_STATE(3428)] = 100411,
  [SMALL_STATE(3429)] = 100427,
  [SMALL_STATE(3430)] = 100443,
  [SMALL_STATE(3431)] = 100461,
  [SMALL_STATE(3432)] = 100479,
  [SMALL_STATE(3433)] = 100495,
  [SMALL_STATE(3434)] = 100511,
  [SMALL_STATE(3435)] = 100527,
  [SMALL_STATE(3436)] = 100549,
  [SMALL_STATE(3437)] = 100571,
  [SMALL_STATE(3438)] = 100593,
  [SMALL_STATE(3439)] = 100611,
  [SMALL_STATE(3440)] = 100627,
  [SMALL_STATE(3441)] = 100649,
  [SMALL_STATE(3442)] = 100671,
  [SMALL_STATE(3443)] = 100687,
  [SMALL_STATE(3444)] = 100705,
  [SMALL_STATE(3445)] = 100723,
  [SMALL_STATE(3446)] = 100745,
  [SMALL_STATE(3447)] = 100767,
  [SMALL_STATE(3448)] = 100783,
  [SMALL_STATE(3449)] = 100801,
  [SMALL_STATE(3450)] = 100823,
  [SMALL_STATE(3451)] = 100845,
  [SMALL_STATE(3452)] = 100857,
  [SMALL_STATE(3453)] = 100877,
  [SMALL_STATE(3454)] = 100893,
  [SMALL_STATE(3455)] = 100909,
  [SMALL_STATE(3456)] = 100931,
  [SMALL_STATE(3457)] = 100949,
  [SMALL_STATE(3458)] = 100967,
  [SMALL_STATE(3459)] = 100985,
  [SMALL_STATE(3460)] = 101007,
  [SMALL_STATE(3461)] = 101029,
  [SMALL_STATE(3462)] = 101045,
  [SMALL_STATE(3463)] = 101067,
  [SMALL_STATE(3464)] = 101089,
  [SMALL_STATE(3465)] = 101107,
  [SMALL_STATE(3466)] = 101129,
  [SMALL_STATE(3467)] = 101151,
  [SMALL_STATE(3468)] = 101169,
  [SMALL_STATE(3469)] = 101187,
  [SMALL_STATE(3470)] = 101209,
  [SMALL_STATE(3471)] = 101231,
  [SMALL_STATE(3472)] = 101253,
  [SMALL_STATE(3473)] = 101275,
  [SMALL_STATE(3474)] = 101291,
  [SMALL_STATE(3475)] = 101307,
  [SMALL_STATE(3476)] = 101323,
  [SMALL_STATE(3477)] = 101345,
  [SMALL_STATE(3478)] = 101361,
  [SMALL_STATE(3479)] = 101383,
  [SMALL_STATE(3480)] = 101399,
  [SMALL_STATE(3481)] = 101421,
  [SMALL_STATE(3482)] = 101437,
  [SMALL_STATE(3483)] = 101453,
  [SMALL_STATE(3484)] = 101469,
  [SMALL_STATE(3485)] = 101491,
  [SMALL_STATE(3486)] = 101507,
  [SMALL_STATE(3487)] = 101523,
  [SMALL_STATE(3488)] = 101545,
  [SMALL_STATE(3489)] = 101561,
  [SMALL_STATE(3490)] = 101577,
  [SMALL_STATE(3491)] = 101599,
  [SMALL_STATE(3492)] = 101611,
  [SMALL_STATE(3493)] = 101633,
  [SMALL_STATE(3494)] = 101649,
  [SMALL_STATE(3495)] = 101665,
  [SMALL_STATE(3496)] = 101679,
  [SMALL_STATE(3497)] = 101697,
  [SMALL_STATE(3498)] = 101713,
  [SMALL_STATE(3499)] = 101731,
  [SMALL_STATE(3500)] = 101753,
  [SMALL_STATE(3501)] = 101771,
  [SMALL_STATE(3502)] = 101789,
  [SMALL_STATE(3503)] = 101807,
  [SMALL_STATE(3504)] = 101825,
  [SMALL_STATE(3505)] = 101847,
  [SMALL_STATE(3506)] = 101869,
  [SMALL_STATE(3507)] = 101891,
  [SMALL_STATE(3508)] = 101909,
  [SMALL_STATE(3509)] = 101927,
  [SMALL_STATE(3510)] = 101943,
  [SMALL_STATE(3511)] = 101957,
  [SMALL_STATE(3512)] = 101979,
  [SMALL_STATE(3513)] = 101997,
  [SMALL_STATE(3514)] = 102015,
  [SMALL_STATE(3515)] = 102037,
  [SMALL_STATE(3516)] = 102059,
  [SMALL_STATE(3517)] = 102077,
  [SMALL_STATE(3518)] = 102099,
  [SMALL_STATE(3519)] = 102121,
  [SMALL_STATE(3520)] = 102139,
  [SMALL_STATE(3521)] = 102155,
  [SMALL_STATE(3522)] = 102173,
  [SMALL_STATE(3523)] = 102191,
  [SMALL_STATE(3524)] = 102209,
  [SMALL_STATE(3525)] = 102223,
  [SMALL_STATE(3526)] = 102241,
  [SMALL_STATE(3527)] = 102259,
  [SMALL_STATE(3528)] = 102277,
  [SMALL_STATE(3529)] = 102293,
  [SMALL_STATE(3530)] = 102315,
  [SMALL_STATE(3531)] = 102327,
  [SMALL_STATE(3532)] = 102349,
  [SMALL_STATE(3533)] = 102365,
  [SMALL_STATE(3534)] = 102383,
  [SMALL_STATE(3535)] = 102401,
  [SMALL_STATE(3536)] = 102423,
  [SMALL_STATE(3537)] = 102445,
  [SMALL_STATE(3538)] = 102467,
  [SMALL_STATE(3539)] = 102483,
  [SMALL_STATE(3540)] = 102501,
  [SMALL_STATE(3541)] = 102519,
  [SMALL_STATE(3542)] = 102538,
  [SMALL_STATE(3543)] = 102555,
  [SMALL_STATE(3544)] = 102566,
  [SMALL_STATE(3545)] = 102577,
  [SMALL_STATE(3546)] = 102596,
  [SMALL_STATE(3547)] = 102615,
  [SMALL_STATE(3548)] = 102626,
  [SMALL_STATE(3549)] = 102637,
  [SMALL_STATE(3550)] = 102648,
  [SMALL_STATE(3551)] = 102659,
  [SMALL_STATE(3552)] = 102670,
  [SMALL_STATE(3553)] = 102687,
  [SMALL_STATE(3554)] = 102698,
  [SMALL_STATE(3555)] = 102717,
  [SMALL_STATE(3556)] = 102728,
  [SMALL_STATE(3557)] = 102739,
  [SMALL_STATE(3558)] = 102758,
  [SMALL_STATE(3559)] = 102777,
  [SMALL_STATE(3560)] = 102796,
  [SMALL_STATE(3561)] = 102815,
  [SMALL_STATE(3562)] = 102834,
  [SMALL_STATE(3563)] = 102845,
  [SMALL_STATE(3564)] = 102864,
  [SMALL_STATE(3565)] = 102875,
  [SMALL_STATE(3566)] = 102894,
  [SMALL_STATE(3567)] = 102913,
  [SMALL_STATE(3568)] = 102924,
  [SMALL_STATE(3569)] = 102935,
  [SMALL_STATE(3570)] = 102954,
  [SMALL_STATE(3571)] = 102969,
  [SMALL_STATE(3572)] = 102988,
  [SMALL_STATE(3573)] = 103005,
  [SMALL_STATE(3574)] = 103024,
  [SMALL_STATE(3575)] = 103041,
  [SMALL_STATE(3576)] = 103058,
  [SMALL_STATE(3577)] = 103075,
  [SMALL_STATE(3578)] = 103094,
  [SMALL_STATE(3579)] = 103105,
  [SMALL_STATE(3580)] = 103124,
  [SMALL_STATE(3581)] = 103141,
  [SMALL_STATE(3582)] = 103158,
  [SMALL_STATE(3583)] = 103173,
  [SMALL_STATE(3584)] = 103192,
  [SMALL_STATE(3585)] = 103203,
  [SMALL_STATE(3586)] = 103222,
  [SMALL_STATE(3587)] = 103233,
  [SMALL_STATE(3588)] = 103248,
  [SMALL_STATE(3589)] = 103267,
  [SMALL_STATE(3590)] = 103282,
  [SMALL_STATE(3591)] = 103297,
  [SMALL_STATE(3592)] = 103312,
  [SMALL_STATE(3593)] = 103323,
  [SMALL_STATE(3594)] = 103340,
  [SMALL_STATE(3595)] = 103355,
  [SMALL_STATE(3596)] = 103374,
  [SMALL_STATE(3597)] = 103393,
  [SMALL_STATE(3598)] = 103412,
  [SMALL_STATE(3599)] = 103431,
  [SMALL_STATE(3600)] = 103450,
  [SMALL_STATE(3601)] = 103461,
  [SMALL_STATE(3602)] = 103472,
  [SMALL_STATE(3603)] = 103483,
  [SMALL_STATE(3604)] = 103502,
  [SMALL_STATE(3605)] = 103513,
  [SMALL_STATE(3606)] = 103524,
  [SMALL_STATE(3607)] = 103535,
  [SMALL_STATE(3608)] = 103554,
  [SMALL_STATE(3609)] = 103565,
  [SMALL_STATE(3610)] = 103584,
  [SMALL_STATE(3611)] = 103595,
  [SMALL_STATE(3612)] = 103606,
  [SMALL_STATE(3613)] = 103625,
  [SMALL_STATE(3614)] = 103644,
  [SMALL_STATE(3615)] = 103655,
  [SMALL_STATE(3616)] = 103672,
  [SMALL_STATE(3617)] = 103683,
  [SMALL_STATE(3618)] = 103698,
  [SMALL_STATE(3619)] = 103717,
  [SMALL_STATE(3620)] = 103728,
  [SMALL_STATE(3621)] = 103745,
  [SMALL_STATE(3622)] = 103762,
  [SMALL_STATE(3623)] = 103777,
  [SMALL_STATE(3624)] = 103792,
  [SMALL_STATE(3625)] = 103807,
  [SMALL_STATE(3626)] = 103818,
  [SMALL_STATE(3627)] = 103837,
  [SMALL_STATE(3628)] = 103856,
  [SMALL_STATE(3629)] = 103875,
  [SMALL_STATE(3630)] = 103894,
  [SMALL_STATE(3631)] = 103905,
  [SMALL_STATE(3632)] = 103924,
  [SMALL_STATE(3633)] = 103939,
  [SMALL_STATE(3634)] = 103954,
  [SMALL_STATE(3635)] = 103965,
  [SMALL_STATE(3636)] = 103984,
  [SMALL_STATE(3637)] = 104003,
  [SMALL_STATE(3638)] = 104022,
  [SMALL_STATE(3639)] = 104033,
  [SMALL_STATE(3640)] = 104044,
  [SMALL_STATE(3641)] = 104055,
  [SMALL_STATE(3642)] = 104074,
  [SMALL_STATE(3643)] = 104093,
  [SMALL_STATE(3644)] = 104112,
  [SMALL_STATE(3645)] = 104123,
  [SMALL_STATE(3646)] = 104134,
  [SMALL_STATE(3647)] = 104153,
  [SMALL_STATE(3648)] = 104164,
  [SMALL_STATE(3649)] = 104175,
  [SMALL_STATE(3650)] = 104192,
  [SMALL_STATE(3651)] = 104211,
  [SMALL_STATE(3652)] = 104222,
  [SMALL_STATE(3653)] = 104237,
  [SMALL_STATE(3654)] = 104248,
  [SMALL_STATE(3655)] = 104263,
  [SMALL_STATE(3656)] = 104274,
  [SMALL_STATE(3657)] = 104293,
  [SMALL_STATE(3658)] = 104304,
  [SMALL_STATE(3659)] = 104321,
  [SMALL_STATE(3660)] = 104332,
  [SMALL_STATE(3661)] = 104347,
  [SMALL_STATE(3662)] = 104364,
  [SMALL_STATE(3663)] = 104375,
  [SMALL_STATE(3664)] = 104394,
  [SMALL_STATE(3665)] = 104409,
  [SMALL_STATE(3666)] = 104424,
  [SMALL_STATE(3667)] = 104435,
  [SMALL_STATE(3668)] = 104450,
  [SMALL_STATE(3669)] = 104469,
  [SMALL_STATE(3670)] = 104480,
  [SMALL_STATE(3671)] = 104499,
  [SMALL_STATE(3672)] = 104510,
  [SMALL_STATE(3673)] = 104521,
  [SMALL_STATE(3674)] = 104532,
  [SMALL_STATE(3675)] = 104551,
  [SMALL_STATE(3676)] = 104562,
  [SMALL_STATE(3677)] = 104573,
  [SMALL_STATE(3678)] = 104592,
  [SMALL_STATE(3679)] = 104603,
  [SMALL_STATE(3680)] = 104620,
  [SMALL_STATE(3681)] = 104637,
  [SMALL_STATE(3682)] = 104648,
  [SMALL_STATE(3683)] = 104659,
  [SMALL_STATE(3684)] = 104678,
  [SMALL_STATE(3685)] = 104689,
  [SMALL_STATE(3686)] = 104700,
  [SMALL_STATE(3687)] = 104717,
  [SMALL_STATE(3688)] = 104734,
  [SMALL_STATE(3689)] = 104751,
  [SMALL_STATE(3690)] = 104770,
  [SMALL_STATE(3691)] = 104789,
  [SMALL_STATE(3692)] = 104806,
  [SMALL_STATE(3693)] = 104825,
  [SMALL_STATE(3694)] = 104844,
  [SMALL_STATE(3695)] = 104859,
  [SMALL_STATE(3696)] = 104874,
  [SMALL_STATE(3697)] = 104889,
  [SMALL_STATE(3698)] = 104904,
  [SMALL_STATE(3699)] = 104923,
  [SMALL_STATE(3700)] = 104942,
  [SMALL_STATE(3701)] = 104961,
  [SMALL_STATE(3702)] = 104980,
  [SMALL_STATE(3703)] = 104999,
  [SMALL_STATE(3704)] = 105016,
  [SMALL_STATE(3705)] = 105031,
  [SMALL_STATE(3706)] = 105042,
  [SMALL_STATE(3707)] = 105061,
  [SMALL_STATE(3708)] = 105072,
  [SMALL_STATE(3709)] = 105091,
  [SMALL_STATE(3710)] = 105108,
  [SMALL_STATE(3711)] = 105127,
  [SMALL_STATE(3712)] = 105144,
  [SMALL_STATE(3713)] = 105155,
  [SMALL_STATE(3714)] = 105174,
  [SMALL_STATE(3715)] = 105191,
  [SMALL_STATE(3716)] = 105210,
  [SMALL_STATE(3717)] = 105229,
  [SMALL_STATE(3718)] = 105248,
  [SMALL_STATE(3719)] = 105263,
  [SMALL_STATE(3720)] = 105278,
  [SMALL_STATE(3721)] = 105295,
  [SMALL_STATE(3722)] = 105310,
  [SMALL_STATE(3723)] = 105329,
  [SMALL_STATE(3724)] = 105346,
  [SMALL_STATE(3725)] = 105365,
  [SMALL_STATE(3726)] = 105384,
  [SMALL_STATE(3727)] = 105397,
  [SMALL_STATE(3728)] = 105408,
  [SMALL_STATE(3729)] = 105423,
  [SMALL_STATE(3730)] = 105442,
  [SMALL_STATE(3731)] = 105461,
  [SMALL_STATE(3732)] = 105480,
  [SMALL_STATE(3733)] = 105491,
  [SMALL_STATE(3734)] = 105510,
  [SMALL_STATE(3735)] = 105521,
  [SMALL_STATE(3736)] = 105540,
  [SMALL_STATE(3737)] = 105555,
  [SMALL_STATE(3738)] = 105572,
  [SMALL_STATE(3739)] = 105583,
  [SMALL_STATE(3740)] = 105594,
  [SMALL_STATE(3741)] = 105605,
  [SMALL_STATE(3742)] = 105620,
  [SMALL_STATE(3743)] = 105639,
  [SMALL_STATE(3744)] = 105650,
  [SMALL_STATE(3745)] = 105661,
  [SMALL_STATE(3746)] = 105672,
  [SMALL_STATE(3747)] = 105686,
  [SMALL_STATE(3748)] = 105702,
  [SMALL_STATE(3749)] = 105712,
  [SMALL_STATE(3750)] = 105728,
  [SMALL_STATE(3751)] = 105744,
  [SMALL_STATE(3752)] = 105760,
  [SMALL_STATE(3753)] = 105776,
  [SMALL_STATE(3754)] = 105792,
  [SMALL_STATE(3755)] = 105808,
  [SMALL_STATE(3756)] = 105824,
  [SMALL_STATE(3757)] = 105840,
  [SMALL_STATE(3758)] = 105856,
  [SMALL_STATE(3759)] = 105872,
  [SMALL_STATE(3760)] = 105888,
  [SMALL_STATE(3761)] = 105904,
  [SMALL_STATE(3762)] = 105920,
  [SMALL_STATE(3763)] = 105936,
  [SMALL_STATE(3764)] = 105950,
  [SMALL_STATE(3765)] = 105966,
  [SMALL_STATE(3766)] = 105982,
  [SMALL_STATE(3767)] = 105994,
  [SMALL_STATE(3768)] = 106008,
  [SMALL_STATE(3769)] = 106022,
  [SMALL_STATE(3770)] = 106038,
  [SMALL_STATE(3771)] = 106054,
  [SMALL_STATE(3772)] = 106070,
  [SMALL_STATE(3773)] = 106084,
  [SMALL_STATE(3774)] = 106098,
  [SMALL_STATE(3775)] = 106114,
  [SMALL_STATE(3776)] = 106130,
  [SMALL_STATE(3777)] = 106144,
  [SMALL_STATE(3778)] = 106158,
  [SMALL_STATE(3779)] = 106174,
  [SMALL_STATE(3780)] = 106190,
  [SMALL_STATE(3781)] = 106206,
  [SMALL_STATE(3782)] = 106222,
  [SMALL_STATE(3783)] = 106238,
  [SMALL_STATE(3784)] = 106254,
  [SMALL_STATE(3785)] = 106270,
  [SMALL_STATE(3786)] = 106286,
  [SMALL_STATE(3787)] = 106300,
  [SMALL_STATE(3788)] = 106312,
  [SMALL_STATE(3789)] = 106328,
  [SMALL_STATE(3790)] = 106342,
  [SMALL_STATE(3791)] = 106358,
  [SMALL_STATE(3792)] = 106374,
  [SMALL_STATE(3793)] = 106390,
  [SMALL_STATE(3794)] = 106406,
  [SMALL_STATE(3795)] = 106422,
  [SMALL_STATE(3796)] = 106438,
  [SMALL_STATE(3797)] = 106454,
  [SMALL_STATE(3798)] = 106470,
  [SMALL_STATE(3799)] = 106486,
  [SMALL_STATE(3800)] = 106502,
  [SMALL_STATE(3801)] = 106518,
  [SMALL_STATE(3802)] = 106534,
  [SMALL_STATE(3803)] = 106550,
  [SMALL_STATE(3804)] = 106566,
  [SMALL_STATE(3805)] = 106582,
  [SMALL_STATE(3806)] = 106598,
  [SMALL_STATE(3807)] = 106614,
  [SMALL_STATE(3808)] = 106628,
  [SMALL_STATE(3809)] = 106642,
  [SMALL_STATE(3810)] = 106658,
  [SMALL_STATE(3811)] = 106674,
  [SMALL_STATE(3812)] = 106690,
  [SMALL_STATE(3813)] = 106706,
  [SMALL_STATE(3814)] = 106722,
  [SMALL_STATE(3815)] = 106736,
  [SMALL_STATE(3816)] = 106752,
  [SMALL_STATE(3817)] = 106766,
  [SMALL_STATE(3818)] = 106782,
  [SMALL_STATE(3819)] = 106792,
  [SMALL_STATE(3820)] = 106808,
  [SMALL_STATE(3821)] = 106824,
  [SMALL_STATE(3822)] = 106840,
  [SMALL_STATE(3823)] = 106854,
  [SMALL_STATE(3824)] = 106868,
  [SMALL_STATE(3825)] = 106882,
  [SMALL_STATE(3826)] = 106898,
  [SMALL_STATE(3827)] = 106912,
  [SMALL_STATE(3828)] = 106928,
  [SMALL_STATE(3829)] = 106944,
  [SMALL_STATE(3830)] = 106960,
  [SMALL_STATE(3831)] = 106974,
  [SMALL_STATE(3832)] = 106990,
  [SMALL_STATE(3833)] = 107004,
  [SMALL_STATE(3834)] = 107020,
  [SMALL_STATE(3835)] = 107034,
  [SMALL_STATE(3836)] = 107048,
  [SMALL_STATE(3837)] = 107064,
  [SMALL_STATE(3838)] = 107080,
  [SMALL_STATE(3839)] = 107096,
  [SMALL_STATE(3840)] = 107110,
  [SMALL_STATE(3841)] = 107124,
  [SMALL_STATE(3842)] = 107140,
  [SMALL_STATE(3843)] = 107154,
  [SMALL_STATE(3844)] = 107170,
  [SMALL_STATE(3845)] = 107186,
  [SMALL_STATE(3846)] = 107202,
  [SMALL_STATE(3847)] = 107218,
  [SMALL_STATE(3848)] = 107234,
  [SMALL_STATE(3849)] = 107246,
  [SMALL_STATE(3850)] = 107258,
  [SMALL_STATE(3851)] = 107272,
  [SMALL_STATE(3852)] = 107286,
  [SMALL_STATE(3853)] = 107300,
  [SMALL_STATE(3854)] = 107316,
  [SMALL_STATE(3855)] = 107332,
  [SMALL_STATE(3856)] = 107348,
  [SMALL_STATE(3857)] = 107364,
  [SMALL_STATE(3858)] = 107378,
  [SMALL_STATE(3859)] = 107394,
  [SMALL_STATE(3860)] = 107410,
  [SMALL_STATE(3861)] = 107426,
  [SMALL_STATE(3862)] = 107442,
  [SMALL_STATE(3863)] = 107452,
  [SMALL_STATE(3864)] = 107466,
  [SMALL_STATE(3865)] = 107480,
  [SMALL_STATE(3866)] = 107496,
  [SMALL_STATE(3867)] = 107512,
  [SMALL_STATE(3868)] = 107526,
  [SMALL_STATE(3869)] = 107540,
  [SMALL_STATE(3870)] = 107554,
  [SMALL_STATE(3871)] = 107568,
  [SMALL_STATE(3872)] = 107582,
  [SMALL_STATE(3873)] = 107596,
  [SMALL_STATE(3874)] = 107612,
  [SMALL_STATE(3875)] = 107628,
  [SMALL_STATE(3876)] = 107644,
  [SMALL_STATE(3877)] = 107660,
  [SMALL_STATE(3878)] = 107674,
  [SMALL_STATE(3879)] = 107688,
  [SMALL_STATE(3880)] = 107704,
  [SMALL_STATE(3881)] = 107718,
  [SMALL_STATE(3882)] = 107732,
  [SMALL_STATE(3883)] = 107746,
  [SMALL_STATE(3884)] = 107760,
  [SMALL_STATE(3885)] = 107776,
  [SMALL_STATE(3886)] = 107792,
  [SMALL_STATE(3887)] = 107808,
  [SMALL_STATE(3888)] = 107822,
  [SMALL_STATE(3889)] = 107836,
  [SMALL_STATE(3890)] = 107846,
  [SMALL_STATE(3891)] = 107862,
  [SMALL_STATE(3892)] = 107878,
  [SMALL_STATE(3893)] = 107894,
  [SMALL_STATE(3894)] = 107910,
  [SMALL_STATE(3895)] = 107924,
  [SMALL_STATE(3896)] = 107940,
  [SMALL_STATE(3897)] = 107954,
  [SMALL_STATE(3898)] = 107968,
  [SMALL_STATE(3899)] = 107984,
  [SMALL_STATE(3900)] = 107998,
  [SMALL_STATE(3901)] = 108014,
  [SMALL_STATE(3902)] = 108030,
  [SMALL_STATE(3903)] = 108044,
  [SMALL_STATE(3904)] = 108060,
  [SMALL_STATE(3905)] = 108076,
  [SMALL_STATE(3906)] = 108090,
  [SMALL_STATE(3907)] = 108104,
  [SMALL_STATE(3908)] = 108120,
  [SMALL_STATE(3909)] = 108136,
  [SMALL_STATE(3910)] = 108146,
  [SMALL_STATE(3911)] = 108162,
  [SMALL_STATE(3912)] = 108178,
  [SMALL_STATE(3913)] = 108194,
  [SMALL_STATE(3914)] = 108210,
  [SMALL_STATE(3915)] = 108226,
  [SMALL_STATE(3916)] = 108242,
  [SMALL_STATE(3917)] = 108256,
  [SMALL_STATE(3918)] = 108272,
  [SMALL_STATE(3919)] = 108288,
  [SMALL_STATE(3920)] = 108302,
  [SMALL_STATE(3921)] = 108316,
  [SMALL_STATE(3922)] = 108332,
  [SMALL_STATE(3923)] = 108348,
  [SMALL_STATE(3924)] = 108364,
  [SMALL_STATE(3925)] = 108378,
  [SMALL_STATE(3926)] = 108394,
  [SMALL_STATE(3927)] = 108410,
  [SMALL_STATE(3928)] = 108424,
  [SMALL_STATE(3929)] = 108437,
  [SMALL_STATE(3930)] = 108446,
  [SMALL_STATE(3931)] = 108459,
  [SMALL_STATE(3932)] = 108470,
  [SMALL_STATE(3933)] = 108483,
  [SMALL_STATE(3934)] = 108494,
  [SMALL_STATE(3935)] = 108505,
  [SMALL_STATE(3936)] = 108514,
  [SMALL_STATE(3937)] = 108527,
  [SMALL_STATE(3938)] = 108540,
  [SMALL_STATE(3939)] = 108553,
  [SMALL_STATE(3940)] = 108562,
  [SMALL_STATE(3941)] = 108571,
  [SMALL_STATE(3942)] = 108580,
  [SMALL_STATE(3943)] = 108593,
  [SMALL_STATE(3944)] = 108604,
  [SMALL_STATE(3945)] = 108615,
  [SMALL_STATE(3946)] = 108628,
  [SMALL_STATE(3947)] = 108637,
  [SMALL_STATE(3948)] = 108646,
  [SMALL_STATE(3949)] = 108659,
  [SMALL_STATE(3950)] = 108668,
  [SMALL_STATE(3951)] = 108679,
  [SMALL_STATE(3952)] = 108688,
  [SMALL_STATE(3953)] = 108697,
  [SMALL_STATE(3954)] = 108710,
  [SMALL_STATE(3955)] = 108723,
  [SMALL_STATE(3956)] = 108736,
  [SMALL_STATE(3957)] = 108749,
  [SMALL_STATE(3958)] = 108762,
  [SMALL_STATE(3959)] = 108775,
  [SMALL_STATE(3960)] = 108788,
  [SMALL_STATE(3961)] = 108797,
  [SMALL_STATE(3962)] = 108806,
  [SMALL_STATE(3963)] = 108815,
  [SMALL_STATE(3964)] = 108824,
  [SMALL_STATE(3965)] = 108833,
  [SMALL_STATE(3966)] = 108842,
  [SMALL_STATE(3967)] = 108851,
  [SMALL_STATE(3968)] = 108864,
  [SMALL_STATE(3969)] = 108877,
  [SMALL_STATE(3970)] = 108890,
  [SMALL_STATE(3971)] = 108901,
  [SMALL_STATE(3972)] = 108914,
  [SMALL_STATE(3973)] = 108923,
  [SMALL_STATE(3974)] = 108936,
  [SMALL_STATE(3975)] = 108947,
  [SMALL_STATE(3976)] = 108960,
  [SMALL_STATE(3977)] = 108973,
  [SMALL_STATE(3978)] = 108984,
  [SMALL_STATE(3979)] = 108995,
  [SMALL_STATE(3980)] = 109008,
  [SMALL_STATE(3981)] = 109021,
  [SMALL_STATE(3982)] = 109034,
  [SMALL_STATE(3983)] = 109047,
  [SMALL_STATE(3984)] = 109056,
  [SMALL_STATE(3985)] = 109065,
  [SMALL_STATE(3986)] = 109074,
  [SMALL_STATE(3987)] = 109087,
  [SMALL_STATE(3988)] = 109096,
  [SMALL_STATE(3989)] = 109105,
  [SMALL_STATE(3990)] = 109114,
  [SMALL_STATE(3991)] = 109123,
  [SMALL_STATE(3992)] = 109132,
  [SMALL_STATE(3993)] = 109141,
  [SMALL_STATE(3994)] = 109154,
  [SMALL_STATE(3995)] = 109167,
  [SMALL_STATE(3996)] = 109176,
  [SMALL_STATE(3997)] = 109189,
  [SMALL_STATE(3998)] = 109202,
  [SMALL_STATE(3999)] = 109215,
  [SMALL_STATE(4000)] = 109228,
  [SMALL_STATE(4001)] = 109241,
  [SMALL_STATE(4002)] = 109254,
  [SMALL_STATE(4003)] = 109267,
  [SMALL_STATE(4004)] = 109280,
  [SMALL_STATE(4005)] = 109293,
  [SMALL_STATE(4006)] = 109306,
  [SMALL_STATE(4007)] = 109319,
  [SMALL_STATE(4008)] = 109332,
  [SMALL_STATE(4009)] = 109345,
  [SMALL_STATE(4010)] = 109354,
  [SMALL_STATE(4011)] = 109363,
  [SMALL_STATE(4012)] = 109376,
  [SMALL_STATE(4013)] = 109385,
  [SMALL_STATE(4014)] = 109398,
  [SMALL_STATE(4015)] = 109407,
  [SMALL_STATE(4016)] = 109420,
  [SMALL_STATE(4017)] = 109429,
  [SMALL_STATE(4018)] = 109442,
  [SMALL_STATE(4019)] = 109453,
  [SMALL_STATE(4020)] = 109466,
  [SMALL_STATE(4021)] = 109479,
  [SMALL_STATE(4022)] = 109492,
  [SMALL_STATE(4023)] = 109505,
  [SMALL_STATE(4024)] = 109518,
  [SMALL_STATE(4025)] = 109527,
  [SMALL_STATE(4026)] = 109540,
  [SMALL_STATE(4027)] = 109549,
  [SMALL_STATE(4028)] = 109558,
  [SMALL_STATE(4029)] = 109567,
  [SMALL_STATE(4030)] = 109576,
  [SMALL_STATE(4031)] = 109585,
  [SMALL_STATE(4032)] = 109598,
  [SMALL_STATE(4033)] = 109607,
  [SMALL_STATE(4034)] = 109620,
  [SMALL_STATE(4035)] = 109629,
  [SMALL_STATE(4036)] = 109642,
  [SMALL_STATE(4037)] = 109651,
  [SMALL_STATE(4038)] = 109660,
  [SMALL_STATE(4039)] = 109673,
  [SMALL_STATE(4040)] = 109686,
  [SMALL_STATE(4041)] = 109699,
  [SMALL_STATE(4042)] = 109712,
  [SMALL_STATE(4043)] = 109725,
  [SMALL_STATE(4044)] = 109734,
  [SMALL_STATE(4045)] = 109747,
  [SMALL_STATE(4046)] = 109756,
  [SMALL_STATE(4047)] = 109769,
  [SMALL_STATE(4048)] = 109778,
  [SMALL_STATE(4049)] = 109791,
  [SMALL_STATE(4050)] = 109804,
  [SMALL_STATE(4051)] = 109817,
  [SMALL_STATE(4052)] = 109830,
  [SMALL_STATE(4053)] = 109841,
  [SMALL_STATE(4054)] = 109854,
  [SMALL_STATE(4055)] = 109865,
  [SMALL_STATE(4056)] = 109874,
  [SMALL_STATE(4057)] = 109883,
  [SMALL_STATE(4058)] = 109896,
  [SMALL_STATE(4059)] = 109909,
  [SMALL_STATE(4060)] = 109922,
  [SMALL_STATE(4061)] = 109935,
  [SMALL_STATE(4062)] = 109948,
  [SMALL_STATE(4063)] = 109957,
  [SMALL_STATE(4064)] = 109966,
  [SMALL_STATE(4065)] = 109979,
  [SMALL_STATE(4066)] = 109988,
  [SMALL_STATE(4067)] = 109997,
  [SMALL_STATE(4068)] = 110006,
  [SMALL_STATE(4069)] = 110015,
  [SMALL_STATE(4070)] = 110024,
  [SMALL_STATE(4071)] = 110033,
  [SMALL_STATE(4072)] = 110046,
  [SMALL_STATE(4073)] = 110059,
  [SMALL_STATE(4074)] = 110072,
  [SMALL_STATE(4075)] = 110081,
  [SMALL_STATE(4076)] = 110094,
  [SMALL_STATE(4077)] = 110107,
  [SMALL_STATE(4078)] = 110120,
  [SMALL_STATE(4079)] = 110133,
  [SMALL_STATE(4080)] = 110146,
  [SMALL_STATE(4081)] = 110159,
  [SMALL_STATE(4082)] = 110168,
  [SMALL_STATE(4083)] = 110181,
  [SMALL_STATE(4084)] = 110194,
  [SMALL_STATE(4085)] = 110207,
  [SMALL_STATE(4086)] = 110220,
  [SMALL_STATE(4087)] = 110233,
  [SMALL_STATE(4088)] = 110246,
  [SMALL_STATE(4089)] = 110259,
  [SMALL_STATE(4090)] = 110270,
  [SMALL_STATE(4091)] = 110281,
  [SMALL_STATE(4092)] = 110294,
  [SMALL_STATE(4093)] = 110307,
  [SMALL_STATE(4094)] = 110320,
  [SMALL_STATE(4095)] = 110333,
  [SMALL_STATE(4096)] = 110346,
  [SMALL_STATE(4097)] = 110359,
  [SMALL_STATE(4098)] = 110372,
  [SMALL_STATE(4099)] = 110385,
  [SMALL_STATE(4100)] = 110398,
  [SMALL_STATE(4101)] = 110411,
  [SMALL_STATE(4102)] = 110424,
  [SMALL_STATE(4103)] = 110437,
  [SMALL_STATE(4104)] = 110450,
  [SMALL_STATE(4105)] = 110463,
  [SMALL_STATE(4106)] = 110476,
  [SMALL_STATE(4107)] = 110489,
  [SMALL_STATE(4108)] = 110502,
  [SMALL_STATE(4109)] = 110515,
  [SMALL_STATE(4110)] = 110528,
  [SMALL_STATE(4111)] = 110541,
  [SMALL_STATE(4112)] = 110554,
  [SMALL_STATE(4113)] = 110567,
  [SMALL_STATE(4114)] = 110580,
  [SMALL_STATE(4115)] = 110593,
  [SMALL_STATE(4116)] = 110606,
  [SMALL_STATE(4117)] = 110619,
  [SMALL_STATE(4118)] = 110632,
  [SMALL_STATE(4119)] = 110641,
  [SMALL_STATE(4120)] = 110654,
  [SMALL_STATE(4121)] = 110667,
  [SMALL_STATE(4122)] = 110680,
  [SMALL_STATE(4123)] = 110693,
  [SMALL_STATE(4124)] = 110706,
  [SMALL_STATE(4125)] = 110719,
  [SMALL_STATE(4126)] = 110732,
  [SMALL_STATE(4127)] = 110745,
  [SMALL_STATE(4128)] = 110758,
  [SMALL_STATE(4129)] = 110771,
  [SMALL_STATE(4130)] = 110784,
  [SMALL_STATE(4131)] = 110797,
  [SMALL_STATE(4132)] = 110810,
  [SMALL_STATE(4133)] = 110823,
  [SMALL_STATE(4134)] = 110836,
  [SMALL_STATE(4135)] = 110845,
  [SMALL_STATE(4136)] = 110858,
  [SMALL_STATE(4137)] = 110871,
  [SMALL_STATE(4138)] = 110884,
  [SMALL_STATE(4139)] = 110897,
  [SMALL_STATE(4140)] = 110910,
  [SMALL_STATE(4141)] = 110923,
  [SMALL_STATE(4142)] = 110936,
  [SMALL_STATE(4143)] = 110949,
  [SMALL_STATE(4144)] = 110962,
  [SMALL_STATE(4145)] = 110975,
  [SMALL_STATE(4146)] = 110984,
  [SMALL_STATE(4147)] = 110995,
  [SMALL_STATE(4148)] = 111008,
  [SMALL_STATE(4149)] = 111021,
  [SMALL_STATE(4150)] = 111034,
  [SMALL_STATE(4151)] = 111047,
  [SMALL_STATE(4152)] = 111060,
  [SMALL_STATE(4153)] = 111073,
  [SMALL_STATE(4154)] = 111086,
  [SMALL_STATE(4155)] = 111099,
  [SMALL_STATE(4156)] = 111112,
  [SMALL_STATE(4157)] = 111125,
  [SMALL_STATE(4158)] = 111138,
  [SMALL_STATE(4159)] = 111151,
  [SMALL_STATE(4160)] = 111164,
  [SMALL_STATE(4161)] = 111177,
  [SMALL_STATE(4162)] = 111190,
  [SMALL_STATE(4163)] = 111203,
  [SMALL_STATE(4164)] = 111216,
  [SMALL_STATE(4165)] = 111229,
  [SMALL_STATE(4166)] = 111242,
  [SMALL_STATE(4167)] = 111255,
  [SMALL_STATE(4168)] = 111268,
  [SMALL_STATE(4169)] = 111281,
  [SMALL_STATE(4170)] = 111294,
  [SMALL_STATE(4171)] = 111307,
  [SMALL_STATE(4172)] = 111320,
  [SMALL_STATE(4173)] = 111333,
  [SMALL_STATE(4174)] = 111341,
  [SMALL_STATE(4175)] = 111351,
  [SMALL_STATE(4176)] = 111361,
  [SMALL_STATE(4177)] = 111371,
  [SMALL_STATE(4178)] = 111381,
  [SMALL_STATE(4179)] = 111391,
  [SMALL_STATE(4180)] = 111399,
  [SMALL_STATE(4181)] = 111407,
  [SMALL_STATE(4182)] = 111415,
  [SMALL_STATE(4183)] = 111425,
  [SMALL_STATE(4184)] = 111435,
  [SMALL_STATE(4185)] = 111445,
  [SMALL_STATE(4186)] = 111455,
  [SMALL_STATE(4187)] = 111465,
  [SMALL_STATE(4188)] = 111475,
  [SMALL_STATE(4189)] = 111485,
  [SMALL_STATE(4190)] = 111493,
  [SMALL_STATE(4191)] = 111503,
  [SMALL_STATE(4192)] = 111513,
  [SMALL_STATE(4193)] = 111523,
  [SMALL_STATE(4194)] = 111533,
  [SMALL_STATE(4195)] = 111543,
  [SMALL_STATE(4196)] = 111553,
  [SMALL_STATE(4197)] = 111563,
  [SMALL_STATE(4198)] = 111573,
  [SMALL_STATE(4199)] = 111583,
  [SMALL_STATE(4200)] = 111593,
  [SMALL_STATE(4201)] = 111603,
  [SMALL_STATE(4202)] = 111613,
  [SMALL_STATE(4203)] = 111623,
  [SMALL_STATE(4204)] = 111631,
  [SMALL_STATE(4205)] = 111641,
  [SMALL_STATE(4206)] = 111651,
  [SMALL_STATE(4207)] = 111659,
  [SMALL_STATE(4208)] = 111669,
  [SMALL_STATE(4209)] = 111679,
  [SMALL_STATE(4210)] = 111689,
  [SMALL_STATE(4211)] = 111697,
  [SMALL_STATE(4212)] = 111707,
  [SMALL_STATE(4213)] = 111717,
  [SMALL_STATE(4214)] = 111727,
  [SMALL_STATE(4215)] = 111737,
  [SMALL_STATE(4216)] = 111747,
  [SMALL_STATE(4217)] = 111757,
  [SMALL_STATE(4218)] = 111767,
  [SMALL_STATE(4219)] = 111777,
  [SMALL_STATE(4220)] = 111787,
  [SMALL_STATE(4221)] = 111795,
  [SMALL_STATE(4222)] = 111805,
  [SMALL_STATE(4223)] = 111813,
  [SMALL_STATE(4224)] = 111823,
  [SMALL_STATE(4225)] = 111833,
  [SMALL_STATE(4226)] = 111843,
  [SMALL_STATE(4227)] = 111853,
  [SMALL_STATE(4228)] = 111861,
  [SMALL_STATE(4229)] = 111871,
  [SMALL_STATE(4230)] = 111881,
  [SMALL_STATE(4231)] = 111889,
  [SMALL_STATE(4232)] = 111899,
  [SMALL_STATE(4233)] = 111909,
  [SMALL_STATE(4234)] = 111919,
  [SMALL_STATE(4235)] = 111929,
  [SMALL_STATE(4236)] = 111937,
  [SMALL_STATE(4237)] = 111947,
  [SMALL_STATE(4238)] = 111955,
  [SMALL_STATE(4239)] = 111963,
  [SMALL_STATE(4240)] = 111973,
  [SMALL_STATE(4241)] = 111983,
  [SMALL_STATE(4242)] = 111993,
  [SMALL_STATE(4243)] = 112003,
  [SMALL_STATE(4244)] = 112013,
  [SMALL_STATE(4245)] = 112023,
  [SMALL_STATE(4246)] = 112033,
  [SMALL_STATE(4247)] = 112041,
  [SMALL_STATE(4248)] = 112051,
  [SMALL_STATE(4249)] = 112061,
  [SMALL_STATE(4250)] = 112071,
  [SMALL_STATE(4251)] = 112081,
  [SMALL_STATE(4252)] = 112091,
  [SMALL_STATE(4253)] = 112099,
  [SMALL_STATE(4254)] = 112109,
  [SMALL_STATE(4255)] = 112117,
  [SMALL_STATE(4256)] = 112125,
  [SMALL_STATE(4257)] = 112135,
  [SMALL_STATE(4258)] = 112145,
  [SMALL_STATE(4259)] = 112155,
  [SMALL_STATE(4260)] = 112165,
  [SMALL_STATE(4261)] = 112175,
  [SMALL_STATE(4262)] = 112185,
  [SMALL_STATE(4263)] = 112193,
  [SMALL_STATE(4264)] = 112203,
  [SMALL_STATE(4265)] = 112213,
  [SMALL_STATE(4266)] = 112223,
  [SMALL_STATE(4267)] = 112231,
  [SMALL_STATE(4268)] = 112239,
  [SMALL_STATE(4269)] = 112249,
  [SMALL_STATE(4270)] = 112257,
  [SMALL_STATE(4271)] = 112267,
  [SMALL_STATE(4272)] = 112275,
  [SMALL_STATE(4273)] = 112285,
  [SMALL_STATE(4274)] = 112293,
  [SMALL_STATE(4275)] = 112303,
  [SMALL_STATE(4276)] = 112313,
  [SMALL_STATE(4277)] = 112321,
  [SMALL_STATE(4278)] = 112331,
  [SMALL_STATE(4279)] = 112341,
  [SMALL_STATE(4280)] = 112351,
  [SMALL_STATE(4281)] = 112361,
  [SMALL_STATE(4282)] = 112371,
  [SMALL_STATE(4283)] = 112381,
  [SMALL_STATE(4284)] = 112391,
  [SMALL_STATE(4285)] = 112401,
  [SMALL_STATE(4286)] = 112411,
  [SMALL_STATE(4287)] = 112421,
  [SMALL_STATE(4288)] = 112431,
  [SMALL_STATE(4289)] = 112441,
  [SMALL_STATE(4290)] = 112451,
  [SMALL_STATE(4291)] = 112461,
  [SMALL_STATE(4292)] = 112471,
  [SMALL_STATE(4293)] = 112481,
  [SMALL_STATE(4294)] = 112491,
  [SMALL_STATE(4295)] = 112499,
  [SMALL_STATE(4296)] = 112509,
  [SMALL_STATE(4297)] = 112517,
  [SMALL_STATE(4298)] = 112527,
  [SMALL_STATE(4299)] = 112537,
  [SMALL_STATE(4300)] = 112547,
  [SMALL_STATE(4301)] = 112557,
  [SMALL_STATE(4302)] = 112567,
  [SMALL_STATE(4303)] = 112577,
  [SMALL_STATE(4304)] = 112587,
  [SMALL_STATE(4305)] = 112595,
  [SMALL_STATE(4306)] = 112605,
  [SMALL_STATE(4307)] = 112615,
  [SMALL_STATE(4308)] = 112625,
  [SMALL_STATE(4309)] = 112635,
  [SMALL_STATE(4310)] = 112645,
  [SMALL_STATE(4311)] = 112655,
  [SMALL_STATE(4312)] = 112665,
  [SMALL_STATE(4313)] = 112675,
  [SMALL_STATE(4314)] = 112685,
  [SMALL_STATE(4315)] = 112695,
  [SMALL_STATE(4316)] = 112705,
  [SMALL_STATE(4317)] = 112715,
  [SMALL_STATE(4318)] = 112725,
  [SMALL_STATE(4319)] = 112735,
  [SMALL_STATE(4320)] = 112745,
  [SMALL_STATE(4321)] = 112755,
  [SMALL_STATE(4322)] = 112765,
  [SMALL_STATE(4323)] = 112775,
  [SMALL_STATE(4324)] = 112785,
  [SMALL_STATE(4325)] = 112795,
  [SMALL_STATE(4326)] = 112805,
  [SMALL_STATE(4327)] = 112815,
  [SMALL_STATE(4328)] = 112825,
  [SMALL_STATE(4329)] = 112835,
  [SMALL_STATE(4330)] = 112845,
  [SMALL_STATE(4331)] = 112855,
  [SMALL_STATE(4332)] = 112865,
  [SMALL_STATE(4333)] = 112873,
  [SMALL_STATE(4334)] = 112883,
  [SMALL_STATE(4335)] = 112893,
  [SMALL_STATE(4336)] = 112903,
  [SMALL_STATE(4337)] = 112913,
  [SMALL_STATE(4338)] = 112923,
  [SMALL_STATE(4339)] = 112931,
  [SMALL_STATE(4340)] = 112941,
  [SMALL_STATE(4341)] = 112951,
  [SMALL_STATE(4342)] = 112961,
  [SMALL_STATE(4343)] = 112971,
  [SMALL_STATE(4344)] = 112981,
  [SMALL_STATE(4345)] = 112989,
  [SMALL_STATE(4346)] = 112999,
  [SMALL_STATE(4347)] = 113009,
  [SMALL_STATE(4348)] = 113019,
  [SMALL_STATE(4349)] = 113027,
  [SMALL_STATE(4350)] = 113037,
  [SMALL_STATE(4351)] = 113045,
  [SMALL_STATE(4352)] = 113053,
  [SMALL_STATE(4353)] = 113063,
  [SMALL_STATE(4354)] = 113073,
  [SMALL_STATE(4355)] = 113083,
  [SMALL_STATE(4356)] = 113093,
  [SMALL_STATE(4357)] = 113103,
  [SMALL_STATE(4358)] = 113113,
  [SMALL_STATE(4359)] = 113123,
  [SMALL_STATE(4360)] = 113133,
  [SMALL_STATE(4361)] = 113143,
  [SMALL_STATE(4362)] = 113153,
  [SMALL_STATE(4363)] = 113161,
  [SMALL_STATE(4364)] = 113171,
  [SMALL_STATE(4365)] = 113181,
  [SMALL_STATE(4366)] = 113191,
  [SMALL_STATE(4367)] = 113201,
  [SMALL_STATE(4368)] = 113211,
  [SMALL_STATE(4369)] = 113221,
  [SMALL_STATE(4370)] = 113231,
  [SMALL_STATE(4371)] = 113241,
  [SMALL_STATE(4372)] = 113251,
  [SMALL_STATE(4373)] = 113261,
  [SMALL_STATE(4374)] = 113271,
  [SMALL_STATE(4375)] = 113281,
  [SMALL_STATE(4376)] = 113291,
  [SMALL_STATE(4377)] = 113301,
  [SMALL_STATE(4378)] = 113311,
  [SMALL_STATE(4379)] = 113321,
  [SMALL_STATE(4380)] = 113331,
  [SMALL_STATE(4381)] = 113341,
  [SMALL_STATE(4382)] = 113351,
  [SMALL_STATE(4383)] = 113361,
  [SMALL_STATE(4384)] = 113371,
  [SMALL_STATE(4385)] = 113381,
  [SMALL_STATE(4386)] = 113389,
  [SMALL_STATE(4387)] = 113399,
  [SMALL_STATE(4388)] = 113409,
  [SMALL_STATE(4389)] = 113417,
  [SMALL_STATE(4390)] = 113427,
  [SMALL_STATE(4391)] = 113437,
  [SMALL_STATE(4392)] = 113447,
  [SMALL_STATE(4393)] = 113457,
  [SMALL_STATE(4394)] = 113467,
  [SMALL_STATE(4395)] = 113477,
  [SMALL_STATE(4396)] = 113487,
  [SMALL_STATE(4397)] = 113497,
  [SMALL_STATE(4398)] = 113507,
  [SMALL_STATE(4399)] = 113515,
  [SMALL_STATE(4400)] = 113525,
  [SMALL_STATE(4401)] = 113533,
  [SMALL_STATE(4402)] = 113543,
  [SMALL_STATE(4403)] = 113553,
  [SMALL_STATE(4404)] = 113561,
  [SMALL_STATE(4405)] = 113571,
  [SMALL_STATE(4406)] = 113581,
  [SMALL_STATE(4407)] = 113591,
  [SMALL_STATE(4408)] = 113601,
  [SMALL_STATE(4409)] = 113611,
  [SMALL_STATE(4410)] = 113621,
  [SMALL_STATE(4411)] = 113631,
  [SMALL_STATE(4412)] = 113641,
  [SMALL_STATE(4413)] = 113651,
  [SMALL_STATE(4414)] = 113661,
  [SMALL_STATE(4415)] = 113671,
  [SMALL_STATE(4416)] = 113681,
  [SMALL_STATE(4417)] = 113691,
  [SMALL_STATE(4418)] = 113701,
  [SMALL_STATE(4419)] = 113709,
  [SMALL_STATE(4420)] = 113719,
  [SMALL_STATE(4421)] = 113729,
  [SMALL_STATE(4422)] = 113739,
  [SMALL_STATE(4423)] = 113749,
  [SMALL_STATE(4424)] = 113759,
  [SMALL_STATE(4425)] = 113767,
  [SMALL_STATE(4426)] = 113777,
  [SMALL_STATE(4427)] = 113785,
  [SMALL_STATE(4428)] = 113795,
  [SMALL_STATE(4429)] = 113805,
  [SMALL_STATE(4430)] = 113815,
  [SMALL_STATE(4431)] = 113825,
  [SMALL_STATE(4432)] = 113833,
  [SMALL_STATE(4433)] = 113843,
  [SMALL_STATE(4434)] = 113851,
  [SMALL_STATE(4435)] = 113859,
  [SMALL_STATE(4436)] = 113869,
  [SMALL_STATE(4437)] = 113879,
  [SMALL_STATE(4438)] = 113887,
  [SMALL_STATE(4439)] = 113895,
  [SMALL_STATE(4440)] = 113905,
  [SMALL_STATE(4441)] = 113915,
  [SMALL_STATE(4442)] = 113923,
  [SMALL_STATE(4443)] = 113933,
  [SMALL_STATE(4444)] = 113941,
  [SMALL_STATE(4445)] = 113951,
  [SMALL_STATE(4446)] = 113961,
  [SMALL_STATE(4447)] = 113971,
  [SMALL_STATE(4448)] = 113981,
  [SMALL_STATE(4449)] = 113991,
  [SMALL_STATE(4450)] = 113999,
  [SMALL_STATE(4451)] = 114009,
  [SMALL_STATE(4452)] = 114019,
  [SMALL_STATE(4453)] = 114029,
  [SMALL_STATE(4454)] = 114039,
  [SMALL_STATE(4455)] = 114049,
  [SMALL_STATE(4456)] = 114059,
  [SMALL_STATE(4457)] = 114069,
  [SMALL_STATE(4458)] = 114079,
  [SMALL_STATE(4459)] = 114089,
  [SMALL_STATE(4460)] = 114099,
  [SMALL_STATE(4461)] = 114107,
  [SMALL_STATE(4462)] = 114117,
  [SMALL_STATE(4463)] = 114125,
  [SMALL_STATE(4464)] = 114135,
  [SMALL_STATE(4465)] = 114143,
  [SMALL_STATE(4466)] = 114153,
  [SMALL_STATE(4467)] = 114161,
  [SMALL_STATE(4468)] = 114171,
  [SMALL_STATE(4469)] = 114181,
  [SMALL_STATE(4470)] = 114191,
  [SMALL_STATE(4471)] = 114201,
  [SMALL_STATE(4472)] = 114211,
  [SMALL_STATE(4473)] = 114221,
  [SMALL_STATE(4474)] = 114231,
  [SMALL_STATE(4475)] = 114241,
  [SMALL_STATE(4476)] = 114251,
  [SMALL_STATE(4477)] = 114261,
  [SMALL_STATE(4478)] = 114271,
  [SMALL_STATE(4479)] = 114281,
  [SMALL_STATE(4480)] = 114291,
  [SMALL_STATE(4481)] = 114301,
  [SMALL_STATE(4482)] = 114311,
  [SMALL_STATE(4483)] = 114321,
  [SMALL_STATE(4484)] = 114329,
  [SMALL_STATE(4485)] = 114339,
  [SMALL_STATE(4486)] = 114349,
  [SMALL_STATE(4487)] = 114359,
  [SMALL_STATE(4488)] = 114369,
  [SMALL_STATE(4489)] = 114379,
  [SMALL_STATE(4490)] = 114389,
  [SMALL_STATE(4491)] = 114399,
  [SMALL_STATE(4492)] = 114409,
  [SMALL_STATE(4493)] = 114419,
  [SMALL_STATE(4494)] = 114429,
  [SMALL_STATE(4495)] = 114439,
  [SMALL_STATE(4496)] = 114449,
  [SMALL_STATE(4497)] = 114459,
  [SMALL_STATE(4498)] = 114469,
  [SMALL_STATE(4499)] = 114479,
  [SMALL_STATE(4500)] = 114489,
  [SMALL_STATE(4501)] = 114499,
  [SMALL_STATE(4502)] = 114507,
  [SMALL_STATE(4503)] = 114517,
  [SMALL_STATE(4504)] = 114527,
  [SMALL_STATE(4505)] = 114537,
  [SMALL_STATE(4506)] = 114547,
  [SMALL_STATE(4507)] = 114557,
  [SMALL_STATE(4508)] = 114565,
  [SMALL_STATE(4509)] = 114575,
  [SMALL_STATE(4510)] = 114583,
  [SMALL_STATE(4511)] = 114593,
  [SMALL_STATE(4512)] = 114603,
  [SMALL_STATE(4513)] = 114613,
  [SMALL_STATE(4514)] = 114623,
  [SMALL_STATE(4515)] = 114633,
  [SMALL_STATE(4516)] = 114643,
  [SMALL_STATE(4517)] = 114653,
  [SMALL_STATE(4518)] = 114663,
  [SMALL_STATE(4519)] = 114673,
  [SMALL_STATE(4520)] = 114683,
  [SMALL_STATE(4521)] = 114693,
  [SMALL_STATE(4522)] = 114703,
  [SMALL_STATE(4523)] = 114711,
  [SMALL_STATE(4524)] = 114719,
  [SMALL_STATE(4525)] = 114727,
  [SMALL_STATE(4526)] = 114735,
  [SMALL_STATE(4527)] = 114745,
  [SMALL_STATE(4528)] = 114755,
  [SMALL_STATE(4529)] = 114765,
  [SMALL_STATE(4530)] = 114775,
  [SMALL_STATE(4531)] = 114785,
  [SMALL_STATE(4532)] = 114795,
  [SMALL_STATE(4533)] = 114805,
  [SMALL_STATE(4534)] = 114815,
  [SMALL_STATE(4535)] = 114825,
  [SMALL_STATE(4536)] = 114835,
  [SMALL_STATE(4537)] = 114845,
  [SMALL_STATE(4538)] = 114855,
  [SMALL_STATE(4539)] = 114865,
  [SMALL_STATE(4540)] = 114875,
  [SMALL_STATE(4541)] = 114885,
  [SMALL_STATE(4542)] = 114895,
  [SMALL_STATE(4543)] = 114905,
  [SMALL_STATE(4544)] = 114915,
  [SMALL_STATE(4545)] = 114925,
  [SMALL_STATE(4546)] = 114932,
  [SMALL_STATE(4547)] = 114939,
  [SMALL_STATE(4548)] = 114946,
  [SMALL_STATE(4549)] = 114953,
  [SMALL_STATE(4550)] = 114960,
  [SMALL_STATE(4551)] = 114967,
  [SMALL_STATE(4552)] = 114974,
  [SMALL_STATE(4553)] = 114981,
  [SMALL_STATE(4554)] = 114988,
  [SMALL_STATE(4555)] = 114995,
  [SMALL_STATE(4556)] = 115002,
  [SMALL_STATE(4557)] = 115009,
  [SMALL_STATE(4558)] = 115016,
  [SMALL_STATE(4559)] = 115023,
  [SMALL_STATE(4560)] = 115030,
  [SMALL_STATE(4561)] = 115037,
  [SMALL_STATE(4562)] = 115044,
  [SMALL_STATE(4563)] = 115051,
  [SMALL_STATE(4564)] = 115058,
  [SMALL_STATE(4565)] = 115065,
  [SMALL_STATE(4566)] = 115072,
  [SMALL_STATE(4567)] = 115079,
  [SMALL_STATE(4568)] = 115086,
  [SMALL_STATE(4569)] = 115093,
  [SMALL_STATE(4570)] = 115100,
  [SMALL_STATE(4571)] = 115107,
  [SMALL_STATE(4572)] = 115114,
  [SMALL_STATE(4573)] = 115121,
  [SMALL_STATE(4574)] = 115128,
  [SMALL_STATE(4575)] = 115135,
  [SMALL_STATE(4576)] = 115142,
  [SMALL_STATE(4577)] = 115149,
  [SMALL_STATE(4578)] = 115156,
  [SMALL_STATE(4579)] = 115163,
  [SMALL_STATE(4580)] = 115170,
  [SMALL_STATE(4581)] = 115177,
  [SMALL_STATE(4582)] = 115184,
  [SMALL_STATE(4583)] = 115191,
  [SMALL_STATE(4584)] = 115198,
  [SMALL_STATE(4585)] = 115205,
  [SMALL_STATE(4586)] = 115212,
  [SMALL_STATE(4587)] = 115219,
  [SMALL_STATE(4588)] = 115226,
  [SMALL_STATE(4589)] = 115233,
  [SMALL_STATE(4590)] = 115240,
  [SMALL_STATE(4591)] = 115247,
  [SMALL_STATE(4592)] = 115254,
  [SMALL_STATE(4593)] = 115261,
  [SMALL_STATE(4594)] = 115268,
  [SMALL_STATE(4595)] = 115275,
  [SMALL_STATE(4596)] = 115282,
  [SMALL_STATE(4597)] = 115289,
  [SMALL_STATE(4598)] = 115296,
  [SMALL_STATE(4599)] = 115303,
  [SMALL_STATE(4600)] = 115310,
  [SMALL_STATE(4601)] = 115317,
  [SMALL_STATE(4602)] = 115324,
  [SMALL_STATE(4603)] = 115331,
  [SMALL_STATE(4604)] = 115338,
  [SMALL_STATE(4605)] = 115345,
  [SMALL_STATE(4606)] = 115352,
  [SMALL_STATE(4607)] = 115359,
  [SMALL_STATE(4608)] = 115366,
  [SMALL_STATE(4609)] = 115373,
  [SMALL_STATE(4610)] = 115380,
  [SMALL_STATE(4611)] = 115387,
  [SMALL_STATE(4612)] = 115394,
  [SMALL_STATE(4613)] = 115401,
  [SMALL_STATE(4614)] = 115408,
  [SMALL_STATE(4615)] = 115415,
  [SMALL_STATE(4616)] = 115422,
  [SMALL_STATE(4617)] = 115429,
  [SMALL_STATE(4618)] = 115436,
  [SMALL_STATE(4619)] = 115443,
  [SMALL_STATE(4620)] = 115450,
  [SMALL_STATE(4621)] = 115457,
  [SMALL_STATE(4622)] = 115464,
  [SMALL_STATE(4623)] = 115471,
  [SMALL_STATE(4624)] = 115478,
  [SMALL_STATE(4625)] = 115485,
  [SMALL_STATE(4626)] = 115492,
  [SMALL_STATE(4627)] = 115499,
  [SMALL_STATE(4628)] = 115506,
  [SMALL_STATE(4629)] = 115513,
  [SMALL_STATE(4630)] = 115520,
  [SMALL_STATE(4631)] = 115527,
  [SMALL_STATE(4632)] = 115534,
  [SMALL_STATE(4633)] = 115541,
  [SMALL_STATE(4634)] = 115548,
  [SMALL_STATE(4635)] = 115555,
  [SMALL_STATE(4636)] = 115562,
  [SMALL_STATE(4637)] = 115569,
  [SMALL_STATE(4638)] = 115576,
  [SMALL_STATE(4639)] = 115583,
  [SMALL_STATE(4640)] = 115590,
  [SMALL_STATE(4641)] = 115597,
  [SMALL_STATE(4642)] = 115604,
  [SMALL_STATE(4643)] = 115611,
  [SMALL_STATE(4644)] = 115618,
  [SMALL_STATE(4645)] = 115625,
  [SMALL_STATE(4646)] = 115632,
  [SMALL_STATE(4647)] = 115639,
  [SMALL_STATE(4648)] = 115646,
  [SMALL_STATE(4649)] = 115653,
  [SMALL_STATE(4650)] = 115660,
  [SMALL_STATE(4651)] = 115667,
  [SMALL_STATE(4652)] = 115674,
  [SMALL_STATE(4653)] = 115681,
  [SMALL_STATE(4654)] = 115688,
  [SMALL_STATE(4655)] = 115695,
  [SMALL_STATE(4656)] = 115702,
  [SMALL_STATE(4657)] = 115709,
  [SMALL_STATE(4658)] = 115716,
  [SMALL_STATE(4659)] = 115723,
  [SMALL_STATE(4660)] = 115730,
  [SMALL_STATE(4661)] = 115737,
  [SMALL_STATE(4662)] = 115744,
  [SMALL_STATE(4663)] = 115751,
  [SMALL_STATE(4664)] = 115758,
  [SMALL_STATE(4665)] = 115765,
  [SMALL_STATE(4666)] = 115772,
  [SMALL_STATE(4667)] = 115779,
  [SMALL_STATE(4668)] = 115786,
  [SMALL_STATE(4669)] = 115793,
  [SMALL_STATE(4670)] = 115800,
  [SMALL_STATE(4671)] = 115807,
  [SMALL_STATE(4672)] = 115814,
  [SMALL_STATE(4673)] = 115821,
  [SMALL_STATE(4674)] = 115828,
  [SMALL_STATE(4675)] = 115835,
  [SMALL_STATE(4676)] = 115842,
  [SMALL_STATE(4677)] = 115849,
  [SMALL_STATE(4678)] = 115856,
  [SMALL_STATE(4679)] = 115863,
  [SMALL_STATE(4680)] = 115870,
  [SMALL_STATE(4681)] = 115877,
  [SMALL_STATE(4682)] = 115884,
  [SMALL_STATE(4683)] = 115891,
  [SMALL_STATE(4684)] = 115898,
  [SMALL_STATE(4685)] = 115905,
  [SMALL_STATE(4686)] = 115912,
  [SMALL_STATE(4687)] = 115919,
  [SMALL_STATE(4688)] = 115926,
  [SMALL_STATE(4689)] = 115933,
  [SMALL_STATE(4690)] = 115940,
  [SMALL_STATE(4691)] = 115947,
  [SMALL_STATE(4692)] = 115954,
  [SMALL_STATE(4693)] = 115961,
  [SMALL_STATE(4694)] = 115968,
  [SMALL_STATE(4695)] = 115975,
  [SMALL_STATE(4696)] = 115982,
  [SMALL_STATE(4697)] = 115989,
  [SMALL_STATE(4698)] = 115996,
  [SMALL_STATE(4699)] = 116003,
  [SMALL_STATE(4700)] = 116010,
  [SMALL_STATE(4701)] = 116017,
  [SMALL_STATE(4702)] = 116024,
  [SMALL_STATE(4703)] = 116031,
  [SMALL_STATE(4704)] = 116038,
  [SMALL_STATE(4705)] = 116045,
  [SMALL_STATE(4706)] = 116052,
  [SMALL_STATE(4707)] = 116059,
  [SMALL_STATE(4708)] = 116066,
  [SMALL_STATE(4709)] = 116073,
  [SMALL_STATE(4710)] = 116080,
  [SMALL_STATE(4711)] = 116087,
  [SMALL_STATE(4712)] = 116094,
  [SMALL_STATE(4713)] = 116101,
  [SMALL_STATE(4714)] = 116108,
  [SMALL_STATE(4715)] = 116115,
  [SMALL_STATE(4716)] = 116122,
  [SMALL_STATE(4717)] = 116129,
  [SMALL_STATE(4718)] = 116136,
  [SMALL_STATE(4719)] = 116143,
  [SMALL_STATE(4720)] = 116150,
  [SMALL_STATE(4721)] = 116157,
  [SMALL_STATE(4722)] = 116164,
  [SMALL_STATE(4723)] = 116171,
  [SMALL_STATE(4724)] = 116178,
  [SMALL_STATE(4725)] = 116185,
  [SMALL_STATE(4726)] = 116192,
  [SMALL_STATE(4727)] = 116199,
  [SMALL_STATE(4728)] = 116206,
  [SMALL_STATE(4729)] = 116213,
  [SMALL_STATE(4730)] = 116220,
  [SMALL_STATE(4731)] = 116227,
  [SMALL_STATE(4732)] = 116234,
  [SMALL_STATE(4733)] = 116241,
  [SMALL_STATE(4734)] = 116248,
  [SMALL_STATE(4735)] = 116255,
  [SMALL_STATE(4736)] = 116262,
  [SMALL_STATE(4737)] = 116269,
  [SMALL_STATE(4738)] = 116276,
  [SMALL_STATE(4739)] = 116283,
  [SMALL_STATE(4740)] = 116290,
  [SMALL_STATE(4741)] = 116297,
  [SMALL_STATE(4742)] = 116304,
  [SMALL_STATE(4743)] = 116311,
  [SMALL_STATE(4744)] = 116318,
  [SMALL_STATE(4745)] = 116325,
  [SMALL_STATE(4746)] = 116332,
  [SMALL_STATE(4747)] = 116339,
  [SMALL_STATE(4748)] = 116346,
  [SMALL_STATE(4749)] = 116353,
  [SMALL_STATE(4750)] = 116360,
  [SMALL_STATE(4751)] = 116367,
  [SMALL_STATE(4752)] = 116374,
  [SMALL_STATE(4753)] = 116381,
  [SMALL_STATE(4754)] = 116388,
  [SMALL_STATE(4755)] = 116395,
  [SMALL_STATE(4756)] = 116402,
  [SMALL_STATE(4757)] = 116409,
  [SMALL_STATE(4758)] = 116416,
  [SMALL_STATE(4759)] = 116423,
  [SMALL_STATE(4760)] = 116430,
  [SMALL_STATE(4761)] = 116437,
  [SMALL_STATE(4762)] = 116444,
  [SMALL_STATE(4763)] = 116451,
  [SMALL_STATE(4764)] = 116458,
  [SMALL_STATE(4765)] = 116465,
  [SMALL_STATE(4766)] = 116472,
  [SMALL_STATE(4767)] = 116479,
  [SMALL_STATE(4768)] = 116486,
  [SMALL_STATE(4769)] = 116493,
  [SMALL_STATE(4770)] = 116500,
  [SMALL_STATE(4771)] = 116507,
  [SMALL_STATE(4772)] = 116514,
  [SMALL_STATE(4773)] = 116521,
  [SMALL_STATE(4774)] = 116528,
  [SMALL_STATE(4775)] = 116535,
  [SMALL_STATE(4776)] = 116542,
  [SMALL_STATE(4777)] = 116549,
  [SMALL_STATE(4778)] = 116556,
  [SMALL_STATE(4779)] = 116563,
  [SMALL_STATE(4780)] = 116570,
  [SMALL_STATE(4781)] = 116577,
  [SMALL_STATE(4782)] = 116584,
  [SMALL_STATE(4783)] = 116591,
  [SMALL_STATE(4784)] = 116598,
  [SMALL_STATE(4785)] = 116605,
  [SMALL_STATE(4786)] = 116612,
  [SMALL_STATE(4787)] = 116619,
  [SMALL_STATE(4788)] = 116626,
  [SMALL_STATE(4789)] = 116633,
  [SMALL_STATE(4790)] = 116640,
  [SMALL_STATE(4791)] = 116647,
  [SMALL_STATE(4792)] = 116654,
  [SMALL_STATE(4793)] = 116661,
  [SMALL_STATE(4794)] = 116668,
  [SMALL_STATE(4795)] = 116675,
  [SMALL_STATE(4796)] = 116682,
  [SMALL_STATE(4797)] = 116689,
  [SMALL_STATE(4798)] = 116696,
  [SMALL_STATE(4799)] = 116703,
  [SMALL_STATE(4800)] = 116710,
  [SMALL_STATE(4801)] = 116717,
  [SMALL_STATE(4802)] = 116724,
  [SMALL_STATE(4803)] = 116731,
  [SMALL_STATE(4804)] = 116738,
  [SMALL_STATE(4805)] = 116745,
  [SMALL_STATE(4806)] = 116752,
  [SMALL_STATE(4807)] = 116759,
  [SMALL_STATE(4808)] = 116766,
  [SMALL_STATE(4809)] = 116773,
  [SMALL_STATE(4810)] = 116780,
  [SMALL_STATE(4811)] = 116787,
  [SMALL_STATE(4812)] = 116794,
  [SMALL_STATE(4813)] = 116801,
  [SMALL_STATE(4814)] = 116808,
  [SMALL_STATE(4815)] = 116815,
  [SMALL_STATE(4816)] = 116822,
  [SMALL_STATE(4817)] = 116829,
  [SMALL_STATE(4818)] = 116836,
  [SMALL_STATE(4819)] = 116843,
  [SMALL_STATE(4820)] = 116850,
  [SMALL_STATE(4821)] = 116857,
  [SMALL_STATE(4822)] = 116864,
  [SMALL_STATE(4823)] = 116871,
  [SMALL_STATE(4824)] = 116878,
  [SMALL_STATE(4825)] = 116885,
  [SMALL_STATE(4826)] = 116892,
  [SMALL_STATE(4827)] = 116899,
  [SMALL_STATE(4828)] = 116906,
  [SMALL_STATE(4829)] = 116913,
  [SMALL_STATE(4830)] = 116920,
  [SMALL_STATE(4831)] = 116927,
  [SMALL_STATE(4832)] = 116934,
  [SMALL_STATE(4833)] = 116941,
  [SMALL_STATE(4834)] = 116948,
  [SMALL_STATE(4835)] = 116955,
  [SMALL_STATE(4836)] = 116962,
  [SMALL_STATE(4837)] = 116969,
  [SMALL_STATE(4838)] = 116976,
  [SMALL_STATE(4839)] = 116983,
  [SMALL_STATE(4840)] = 116990,
  [SMALL_STATE(4841)] = 116997,
  [SMALL_STATE(4842)] = 117004,
  [SMALL_STATE(4843)] = 117011,
  [SMALL_STATE(4844)] = 117018,
  [SMALL_STATE(4845)] = 117025,
  [SMALL_STATE(4846)] = 117032,
  [SMALL_STATE(4847)] = 117039,
  [SMALL_STATE(4848)] = 117046,
  [SMALL_STATE(4849)] = 117053,
  [SMALL_STATE(4850)] = 117060,
  [SMALL_STATE(4851)] = 117067,
  [SMALL_STATE(4852)] = 117074,
  [SMALL_STATE(4853)] = 117081,
  [SMALL_STATE(4854)] = 117088,
  [SMALL_STATE(4855)] = 117095,
  [SMALL_STATE(4856)] = 117102,
  [SMALL_STATE(4857)] = 117109,
  [SMALL_STATE(4858)] = 117116,
  [SMALL_STATE(4859)] = 117123,
  [SMALL_STATE(4860)] = 117130,
  [SMALL_STATE(4861)] = 117137,
  [SMALL_STATE(4862)] = 117144,
  [SMALL_STATE(4863)] = 117151,
  [SMALL_STATE(4864)] = 117158,
  [SMALL_STATE(4865)] = 117165,
  [SMALL_STATE(4866)] = 117172,
  [SMALL_STATE(4867)] = 117179,
  [SMALL_STATE(4868)] = 117186,
  [SMALL_STATE(4869)] = 117193,
  [SMALL_STATE(4870)] = 117200,
  [SMALL_STATE(4871)] = 117207,
  [SMALL_STATE(4872)] = 117214,
  [SMALL_STATE(4873)] = 117221,
  [SMALL_STATE(4874)] = 117228,
  [SMALL_STATE(4875)] = 117235,
  [SMALL_STATE(4876)] = 117242,
  [SMALL_STATE(4877)] = 117249,
  [SMALL_STATE(4878)] = 117256,
  [SMALL_STATE(4879)] = 117263,
  [SMALL_STATE(4880)] = 117270,
  [SMALL_STATE(4881)] = 117277,
  [SMALL_STATE(4882)] = 117284,
  [SMALL_STATE(4883)] = 117291,
  [SMALL_STATE(4884)] = 117298,
  [SMALL_STATE(4885)] = 117305,
  [SMALL_STATE(4886)] = 117312,
  [SMALL_STATE(4887)] = 117319,
  [SMALL_STATE(4888)] = 117326,
  [SMALL_STATE(4889)] = 117333,
  [SMALL_STATE(4890)] = 117340,
  [SMALL_STATE(4891)] = 117347,
  [SMALL_STATE(4892)] = 117354,
  [SMALL_STATE(4893)] = 117361,
  [SMALL_STATE(4894)] = 117368,
  [SMALL_STATE(4895)] = 117375,
  [SMALL_STATE(4896)] = 117382,
  [SMALL_STATE(4897)] = 117389,
  [SMALL_STATE(4898)] = 117396,
  [SMALL_STATE(4899)] = 117403,
  [SMALL_STATE(4900)] = 117410,
  [SMALL_STATE(4901)] = 117417,
  [SMALL_STATE(4902)] = 117424,
  [SMALL_STATE(4903)] = 117431,
  [SMALL_STATE(4904)] = 117438,
  [SMALL_STATE(4905)] = 117445,
  [SMALL_STATE(4906)] = 117452,
  [SMALL_STATE(4907)] = 117459,
  [SMALL_STATE(4908)] = 117466,
  [SMALL_STATE(4909)] = 117473,
  [SMALL_STATE(4910)] = 117480,
  [SMALL_STATE(4911)] = 117487,
  [SMALL_STATE(4912)] = 117494,
  [SMALL_STATE(4913)] = 117501,
  [SMALL_STATE(4914)] = 117508,
  [SMALL_STATE(4915)] = 117515,
  [SMALL_STATE(4916)] = 117522,
  [SMALL_STATE(4917)] = 117529,
  [SMALL_STATE(4918)] = 117536,
  [SMALL_STATE(4919)] = 117543,
  [SMALL_STATE(4920)] = 117550,
  [SMALL_STATE(4921)] = 117557,
  [SMALL_STATE(4922)] = 117564,
  [SMALL_STATE(4923)] = 117571,
  [SMALL_STATE(4924)] = 117578,
  [SMALL_STATE(4925)] = 117585,
  [SMALL_STATE(4926)] = 117592,
  [SMALL_STATE(4927)] = 117599,
  [SMALL_STATE(4928)] = 117606,
  [SMALL_STATE(4929)] = 117613,
  [SMALL_STATE(4930)] = 117620,
  [SMALL_STATE(4931)] = 117627,
  [SMALL_STATE(4932)] = 117634,
  [SMALL_STATE(4933)] = 117641,
  [SMALL_STATE(4934)] = 117648,
  [SMALL_STATE(4935)] = 117655,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [25] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [29] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 5),
  [32] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [34] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [36] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(462),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [45] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 5), SHIFT(388),
  [48] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [50] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [52] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [54] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4848),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 5),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(480),
  [88] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [90] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [92] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [98] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 5),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 5), SHIFT(386),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 286),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 286),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1351),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1461),
  [361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(10),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1464),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(452),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1772),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3255),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3250),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3212),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(452),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4177),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4178),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3948),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(91),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(448),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4263),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(43),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4278),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4291),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3977),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3978),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4332),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(151),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(223),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(695),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(86),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(115),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4237),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1181),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4661),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3097),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(627),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3287),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(258),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4934),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(447),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3906),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3905),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3369),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2283),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2283),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2284),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3932),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1499),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(527),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1413),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1412),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4704),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4695),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4677),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3310),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 61),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 61),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 60),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 60),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(93),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(104),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(1181),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4934),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 5),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [1122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym_rest_pattern, 2, .production_id = 52),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 52),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [1239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1242] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2790),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [1252] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3009),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4851),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [1331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(102),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4277),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4844),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 15),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 15),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 15),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 15),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 124),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 5, .production_id = 124),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 124),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 5, .production_id = 124),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 123),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 5, .production_id = 123),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 123),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 5, .production_id = 123),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 162),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 162),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 162),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 162),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 161),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 161),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 161),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 161),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 94),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 5, .production_id = 94),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 94),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 5, .production_id = 94),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 157),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 157),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 157),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 157),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 157),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 157),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 157),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 157),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_body, 2),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_body, 2),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 203),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 203),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 203),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 203),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 204),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 204),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 204),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 204),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 153),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 153),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 153),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 153),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4647),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(4650),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 116),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 116),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 116),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 116),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 59),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 59),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 59),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 59),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 14),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 14),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 14),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 14),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 125),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 5, .production_id = 125),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 125),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 5, .production_id = 125),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 6, .production_id = 164),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 6, .production_id = 164),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 6, .production_id = 164),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 6, .production_id = 164),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 16),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 16),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 16),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 16),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 45),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 45),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 45),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 45),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 17),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 17),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 17),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 17),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_body, 3, .production_id = 43),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_body, 3, .production_id = 43),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 46),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 46),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 46),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 46),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 31),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 31),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 31),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 31),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 47),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 47),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 47),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 47),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 2, .production_id = 3),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 2, .production_id = 3),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 2, .production_id = 3),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 2, .production_id = 3),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 2, .production_id = 4),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 2, .production_id = 4),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 2, .production_id = 4),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 2, .production_id = 4),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 120),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 120),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 120),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 120),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 76),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 76),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 76),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 76),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 77),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 77),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 77),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 77),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 78),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 78),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 78),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 78),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 30),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 30),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 30),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 30),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 79),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 79),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 79),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 79),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(4589),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(3508),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(3402),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [1901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym__property_name, 1, .production_id = 18),
  [1904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(47),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym__property_name, 1, .production_id = 18),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 18),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [1970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(2691),
  [1973] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(102),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(404),
  [1980] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(4277),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [1998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 98),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 98),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 33),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 33),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 118),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 118),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 159),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 159),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [2060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2726),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2798),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1534),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3422),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(72),
  [2077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1115),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4277),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4806),
  [2086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3775),
  [2089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1287),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1225),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4804),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2757),
  [2101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3863),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3864),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3680),
  [2110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2774),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2789),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2774),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1136),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1269),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4798),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4797),
  [2131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1314),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4796),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4795),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1218),
  [2143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1534),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4283),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4284),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4792),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4791),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4790),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2692),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_import_path_segment, 1), SHIFT(616),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path_segment, 1),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path_segment, 1),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_import_path_segment, 1), SHIFT(616),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2725),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2798),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1534),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3422),
  [2246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(72),
  [2249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1115),
  [2252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4277),
  [2255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4806),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3775),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1287),
  [2264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1225),
  [2267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4804),
  [2270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2757),
  [2273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3863),
  [2276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3864),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3680),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2774),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2789),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2774),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4300),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1269),
  [2297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1314),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4796),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4795),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1218),
  [2309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1534),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4207),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4792),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4791),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4790),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 44), SHIFT_REPEAT(2684),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 52),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 3),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 3),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4584),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), SHIFT(275),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 3, .production_id = 2),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 3, .production_id = 2),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 2),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 2),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_import_path_segment, 2), SHIFT(624),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path_segment, 2),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path_segment, 2),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_import_path_segment, 2), SHIFT(624),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_path_segment_repeat1, 2), SHIFT_REPEAT(624),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_path_segment_repeat1, 2),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_path_segment_repeat1, 2),
  [2395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_path_segment_repeat1, 2), SHIFT_REPEAT(624),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_path_repeat1, 2),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_path_repeat1, 2),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_path_repeat1, 2), SHIFT_REPEAT(4191),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 1),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 1),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 2, .production_id = 2),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 2, .production_id = 2),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 47),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 47),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 4),
  [2427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 4),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_js_import_statement, 6, .production_id = 126),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_js_import_statement, 6, .production_id = 126),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 30),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 30),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 79),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 79),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 31),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 31),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 78),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 78),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_js_import_statement, 5, .production_id = 80),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_js_import_statement, 5, .production_id = 80),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_js_import_statement, 4, .production_id = 32),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_js_import_statement, 4, .production_id = 32),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 77),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 77),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 76),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 76),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 45),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 45),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 5, .production_id = 46),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 5, .production_id = 46),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 25),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 25),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_js_import_statement, 3, .production_id = 8),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_js_import_statement, 3, .production_id = 8),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_js_import_statement, 7, .production_id = 165),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_js_import_statement, 7, .production_id = 165),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 6, .production_id = 125),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 6, .production_id = 125),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 6, .production_id = 124),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 6, .production_id = 124),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 6, .production_id = 123),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 6, .production_id = 123),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 7, .production_id = 164),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 7, .production_id = 164),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 6, .production_id = 94),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 6, .production_id = 94),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 14),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 14),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 15),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 15),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 16),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 16),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 3, .production_id = 3),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 3, .production_id = 3),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_declaration, 4, .production_id = 17),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_declaration, 4, .production_id = 17),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_as, 2),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_as, 2),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_import_path, 1, .production_id = 2), SHIFT(623),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 1, .production_id = 2),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 1, .production_id = 2),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 192),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 192),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 289),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 289),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 300),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 300),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 23),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 23),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 10),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 10),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 3),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 3),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 188),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 188),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 247),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 247),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 190),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 190),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 264),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 264),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 35),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 35),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 267),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 267),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 153),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 153),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 158),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 158),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 157),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 157),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 189),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 189),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_listener_declaration, 6, .production_id = 222),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_listener_declaration, 6, .production_id = 222),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 187),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 187),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 157),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 157),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 186),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 186),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 187),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 187),
  [2764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment_expression, 1),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment_expression, 1),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 223),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 223),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 48),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 48),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 36),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 36),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 251),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 251),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 224),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 224),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_expression_initializer, 2, .production_id = 60),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_expression_initializer, 2, .production_id = 60),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 49),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 49),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 19),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 19),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 115),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 115),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 114),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 114),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 225),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 225),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 120),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 120),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 112),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 112),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 268),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 268),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 14),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 14),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 40),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 40),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 270),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 270),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 59),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 59),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 40),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 40),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 153),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 153),
  [2878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 248),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 248),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 3),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 204),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 204),
  [2890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 196),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 196),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 226),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 226),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 59),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 59),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 127),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 127),
  [2922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 116),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 116),
  [2926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 272),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 272),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 169),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 169),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 66),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 66),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 67),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 67),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 195),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 195),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 195),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 195),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 194),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 194),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 161),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 161),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 68),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 68),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 246),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 246),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 162),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 162),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 273),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 273),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 274),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 274),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 193),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 193),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 245),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 245),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 288),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 288),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 203),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 203),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 290),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 290),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 68),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 68),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 270),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 270),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 74),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 74),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 272),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 272),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 227),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 227),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 11),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 11),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 107),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 107),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 108),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 108),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 191),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 191),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 145),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 145),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 145),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 145),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 291),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 291),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 135),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 135),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 9),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 9),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 88),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 88),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 88),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 213),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 213),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 244),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 244),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 219),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 219),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 215),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 215),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 214),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 214),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [3169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 212),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 212),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 182),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 182),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 180),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 180),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 178),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 178),
  [3195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 12),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 12),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 177),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 177),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 176),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 176),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 65),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 65),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 118),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 118),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 142),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 142),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 37),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 37),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 140),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 140),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 133),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 133),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 160),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 160),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 53),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 53),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 134),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 134),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 33),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 33),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 50),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 50),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 51),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 41),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 41),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 39),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 39),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 93),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 93),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 85),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 85),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 38),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 38),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 84),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 84),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 19),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 19),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_expression, 3, .production_id = 24),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_expression, 3, .production_id = 24),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 156),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 156),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 27),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 27),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_expression, 5, .dynamic_precedence = 1, .production_id = 119),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_expression, 5, .dynamic_precedence = 1, .production_id = 119),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_expression, 4, .production_id = 24),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_expression, 4, .production_id = 24),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_expression, 4, .dynamic_precedence = 1, .production_id = 119),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_expression, 4, .dynamic_precedence = 1, .production_id = 119),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tripple_tagged_type_string, 3),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tripple_tagged_type_string, 3),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tagged_type_string, 3),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged_type_string, 3),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 61),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 61),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 26),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 26),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 62),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 62),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 63),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 63),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 64),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 64),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 122),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 122),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 121),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 121),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_tripple_tagged_component_expression, 3, .production_id = 25),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_tripple_tagged_component_expression, 3, .production_id = 25),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_tagged_component_expression, 3, .production_id = 25),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_tagged_component_expression, 3, .production_id = 25),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tripple_tagged_type_string, 2),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tripple_tagged_type_string, 2),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tagged_type_string, 2),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged_type_string, 2),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 163),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 163),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 3),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 3),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_body, 3, .production_id = 43),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_body, 3, .production_id = 43),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [3521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 73),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 73),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 30),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 30),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 117),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 117),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_body, 2),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_body, 2),
  [3537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_component_expression, 2, .production_id = 24),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_component_expression, 2, .production_id = 24),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_tagged_component_expression, 2, .production_id = 25),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_tagged_component_expression, 2, .production_id = 25),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_tripple_tagged_component_expression, 2, .production_id = 25),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_tripple_tagged_component_expression, 2, .production_id = 25),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 50),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 50),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 113),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 113),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 105),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 105),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 113),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 113),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 111),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 111),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 287),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 287),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 266),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 266),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 299),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, .production_id = 299),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 265),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 265),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 18),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 18),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4589),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3718] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 10),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(424),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 10),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1226),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4582),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 10),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1284),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4849),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 10), SHIFT(4383),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 10),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(449),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [4003] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 10), REDUCE(sym_rest_pattern, 2),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [4121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(273),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7), SHIFT(3069),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7), SHIFT(4934),
  [4263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7), SHIFT_REPEAT(4095),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7), SHIFT(3283),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym_predefined_type, 1),
  [4291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym_predefined_type, 1),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [4302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_repeat1, 1, .production_id = 1),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_repeat1, 1, .production_id = 1),
  [4306] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 5), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 52),
  [4310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 33),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 33),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_instance, 2),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_instance, 2),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration_name, 1),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration_name, 1),
  [4330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 2, .production_id = 42),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 2, .production_id = 42),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_property_declaration, 3, .production_id = 90),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_property_declaration, 3, .production_id = 90),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [4372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_property_declaration, 3, .production_id = 89),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_property_declaration, 3, .production_id = 89),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 2, .production_id = 40),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 2, .production_id = 40),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_new_component_expression, 4, .production_id = 24),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_new_component_expression, 4, .production_id = 24),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 6, .production_id = 216),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 6, .production_id = 216),
  [4404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 1, .production_id = 13),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 1, .production_id = 13),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_new_component_expression, 3, .production_id = 24),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_new_component_expression, 3, .production_id = 24),
  [4414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 5, .production_id = 179),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 5, .production_id = 179),
  [4418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 3, .production_id = 92),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 3, .production_id = 92),
  [4422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 5, .production_id = 185),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 5, .production_id = 185),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 3, .production_id = 87),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 3, .production_id = 87),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 3, .production_id = 86),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 3, .production_id = 86),
  [4434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_property_assignment, 3, .production_id = 25),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_property_assignment, 3, .production_id = 25),
  [4438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_new_component_expression, 5, .dynamic_precedence = 1, .production_id = 119),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_new_component_expression, 5, .dynamic_precedence = 1, .production_id = 119),
  [4442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 4, .production_id = 141),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 4, .production_id = 141),
  [4446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_type_parameters, 4),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_type_parameters, 4),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 3, .production_id = 91),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 3, .production_id = 91),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_property_declaration, 5, .production_id = 89),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_property_declaration, 5, .production_id = 89),
  [4458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_type_parameters, 2),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_type_parameters, 2),
  [4462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 7, .production_id = 243),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 7, .production_id = 243),
  [4466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, .production_id = 144),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 144),
  [4470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, .production_id = 143),
  [4472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 143),
  [4474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_accessor_declaration, 4, .production_id = 141),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_accessor_declaration, 4, .production_id = 141),
  [4478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_property_declaration, 4, .production_id = 90),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_property_declaration, 4, .production_id = 90),
  [4482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, .production_id = 183),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 183),
  [4486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, .production_id = 184),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 184),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_type_parameters, 5),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_type_parameters, 5),
  [4494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_accessor_declaration, 5, .production_id = 181),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_accessor_declaration, 5, .production_id = 181),
  [4498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_type_parameters, 3),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_type_parameters, 3),
  [4502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, .production_id = 221),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 221),
  [4506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, .production_id = 220),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 220),
  [4510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_new_component_expression, 2, .production_id = 24),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_new_component_expression, 2, .production_id = 24),
  [4514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_new_component_expression, 4, .dynamic_precedence = 1, .production_id = 119),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_new_component_expression, 4, .dynamic_precedence = 1, .production_id = 119),
  [4518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_method_declaration, 6, .production_id = 217),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_method_declaration, 6, .production_id = 217),
  [4522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_accessor_declaration, 6, .production_id = 218),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_accessor_declaration, 6, .production_id = 218),
  [4526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_property_declaration, 6, .production_id = 207),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_property_declaration, 6, .production_id = 207),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [4576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 13),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 13),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 1, .production_id = 13),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 1, .production_id = 13),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [4776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 88),
  [4779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 13),
  [4781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 13),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3027),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2695),
  [4789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [4791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(306),
  [4794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2472),
  [4797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(4549),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3776),
  [4803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3777),
  [4806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2876),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3957),
  [4812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1919),
  [4815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2313),
  [4818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2504),
  [4821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2109),
  [4824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2445),
  [4827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2502),
  [4830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2660),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 50), REDUCE(sym_object_pattern, 3, .production_id = 51),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(1679),
  [4957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(1891),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 66),
  [4980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(1781),
  [4983] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [4987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [4995] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 51),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(1802),
  [5024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 60),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), SHIFT(2316),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 60),
  [5169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 60), SHIFT(470),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 60),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 53),
  [5198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 11), REDUCE(sym__parameter_name, 2, .production_id = 53),
  [5201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 53),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 11),
  [5206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 11),
  [5209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 95), REDUCE(sym_assignment_expression, 3, .production_id = 48),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 95),
  [5214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 20),
  [5219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 20), REDUCE(sym__primary_type, 1, .production_id = 11),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 20),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_instance_statement, 2),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_instance_statement, 2),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [5239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 95), REDUCE(sym_assignment_expression, 3, .production_id = 66),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 66), REDUCE(sym_assignment_expression, 3, .production_id = 66),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 66),
  [5249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 20),
  [5252] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 20), REDUCE(sym__primary_type, 1, .production_id = 11),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 103),
  [5258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 103),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [5270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 50), REDUCE(sym_object_pattern, 3, .production_id = 51),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [5275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 99),
  [5277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 99),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 147),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 147),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 149),
  [5285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 149),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [5292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [5295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 66),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 198),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 198),
  [5327] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 56),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 56),
  [5339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [5355] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 18), REDUCE(aux_sym_object_repeat1, 2, .production_id = 50), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 51),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [5373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 96),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [5467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 17), REDUCE(sym_component, 4, .production_id = 79),
  [5470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 17), REDUCE(sym_component, 4, .production_id = 79),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 153), REDUCE(sym_class, 6, .production_id = 204),
  [5532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 153), REDUCE(sym_class, 6, .production_id = 204),
  [5535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 5, .production_id = 94), REDUCE(sym_component, 6, .production_id = 164),
  [5538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 5, .production_id = 94), REDUCE(sym_component, 6, .production_id = 164),
  [5541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 3), REDUCE(sym_class, 3, .production_id = 30),
  [5544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 3), REDUCE(sym_class, 3, .production_id = 30),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [5557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [5559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 59), REDUCE(sym_class, 4, .production_id = 120),
  [5562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 59), REDUCE(sym_class, 4, .production_id = 120),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [5571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 61), REDUCE(sym_class, 4, .production_id = 121),
  [5574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 61), REDUCE(sym_class, 4, .production_id = 121),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [5581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 62), REDUCE(sym_class, 4, .production_id = 122),
  [5584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 62), REDUCE(sym_class, 4, .production_id = 122),
  [5587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 2, .production_id = 3), REDUCE(sym_component, 3, .production_id = 30),
  [5590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 2, .production_id = 3), REDUCE(sym_component, 3, .production_id = 30),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [5595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 14), REDUCE(sym_component, 4, .production_id = 76),
  [5598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 14), REDUCE(sym_component, 4, .production_id = 76),
  [5601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 2, .production_id = 4), REDUCE(sym_component, 3, .production_id = 31),
  [5604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 2, .production_id = 4), REDUCE(sym_component, 3, .production_id = 31),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 15), REDUCE(sym_component, 4, .production_id = 77),
  [5612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 15), REDUCE(sym_component, 4, .production_id = 77),
  [5615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 3, .production_id = 16), REDUCE(sym_component, 4, .production_id = 78),
  [5618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 3, .production_id = 16), REDUCE(sym_component, 4, .production_id = 78),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [5625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [5627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 47), REDUCE(sym_component, 5, .production_id = 125),
  [5630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 47), REDUCE(sym_component, 5, .production_id = 125),
  [5633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 46), REDUCE(sym_component, 5, .production_id = 124),
  [5636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 46), REDUCE(sym_component, 5, .production_id = 124),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 45), REDUCE(sym_component, 5, .production_id = 123),
  [5642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 45), REDUCE(sym_component, 5, .production_id = 123),
  [5645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 111), REDUCE(sym_class, 5, .production_id = 163),
  [5648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 111), REDUCE(sym_class, 5, .production_id = 163),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 162),
  [5654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 162),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 161),
  [5668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 161),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [5677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [5711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 60), SHIFT(412),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [5808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 50), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 51),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [5817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 50),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [5825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [5837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 116),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 116),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 97),
  [5845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 97),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 203),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 203),
  [5851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 197),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 197),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 252),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 252),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 253),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 253),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 230),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 230),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 275),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 275),
  [5871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 157),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 157),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 146),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 146),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 301),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 301),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [5901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 293),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 293),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 292),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 292),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 276),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 276),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [5949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 3),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, .production_id = 3),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [6019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_narrow, 1, .production_id = 10),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym__type_query_member_expression, 3, .production_id = 33),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_short_heritage, 2),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [6068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [6078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3351),
  [6081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4934),
  [6084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3932),
  [6087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3345),
  [6090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4924),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [6127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 89),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 40),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [6147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_path_segment_repeat1, 2), SHIFT_REPEAT(2852),
  [6150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_path_segment_repeat1, 2), SHIFT_REPEAT(2852),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [6185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 25),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [6205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 173),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [6211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_component_short_heritage_repeat1, 2),
  [6219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_short_heritage_repeat1, 2), REDUCE(sym_nested_identifier, 3),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [6240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 173),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 89),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [6248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 211),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [6254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 10), REDUCE(sym_type_parameter, 1, .production_id = 22),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [6261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 10), SHIFT(1254),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 25),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [6286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 40),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [6308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 25),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 173),
  [6312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 40),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 89),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 40),
  [6318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 10), SHIFT(4383),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 25),
  [6323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 173),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 211),
  [6327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 89),
  [6329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 211),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [6355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_path_repeat1, 2), SHIFT_REPEAT(4272),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 29),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [6408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 6),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_narrow, 1, .production_id = 10),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [6418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 25),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [6432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [6464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 258),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 51),
  [6476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 260),
  [6544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(424),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_narrow, 1),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_narrow, 1),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 285),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 21),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [6565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 228),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 228),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 81),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 3),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [6607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(449),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [6632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 7), SHIFT_REPEAT(3932),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 258),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 298),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [6651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 284),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [6663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 259),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [6673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 240),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [6677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 239),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 206),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [6689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 131),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 205),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 166),
  [6719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 169),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [6723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 129),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 22),
  [6727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [6731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 82),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 175),
  [6735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 132),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 127),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 75),
  [6757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [6759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(3362),
  [6762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(251),
  [6765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [6767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 28),
  [6769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(1631),
  [6772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [6836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 228),
  [6838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 228),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 21),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [6864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [6934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(277),
  [6937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(4642),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [6990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [7002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [7006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(3502),
  [7009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(236),
  [7012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 229),
  [7014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 229),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [7076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 210),
  [7078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 209),
  [7080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 208),
  [7082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 207),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [7108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 172),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [7122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [7126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 6), SHIFT(1178),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [7137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 207),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 6), SHIFT(1333),
  [7148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 29), SHIFT(1202),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 208),
  [7157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 235),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [7165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 237),
  [7167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 238),
  [7169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 241),
  [7171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 34),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [7177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 83),
  [7179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 242),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 106),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 282),
  [7201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 6), SHIFT(1195),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 171),
  [7206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 174),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 172),
  [7210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 171),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 170),
  [7214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 168),
  [7220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 241),
  [7222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 29), SHIFT(1228),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 167),
  [7229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 83),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [7233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 242),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [7237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 133),
  [7239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 83),
  [7241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 130),
  [7243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 261),
  [7245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 262),
  [7247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [7255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 263),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [7263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [7265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [7273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 263),
  [7275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 281),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [7279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 6), SHIFT(1391),
  [7282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 283),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [7292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 29), SHIFT(1395),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 296),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [7301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1326),
  [7304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(3723),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 133),
  [7315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 29), SHIFT(1173),
  [7318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [7320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 130),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 128),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [7364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 40),
  [7366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_short_heritage, 3),
  [7368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 269),
  [7370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 269), SHIFT_REPEAT(3785),
  [7373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 269),
  [7375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 250),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 250),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 249),
  [7395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 249),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [7399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_heritage, 2),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [7403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 236),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [7418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(3295),
  [7421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [7441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_js_import_statement_repeat1, 2), SHIFT_REPEAT(4821),
  [7444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_js_import_statement_repeat1, 2),
  [7446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_component_short_heritage_repeat1, 2), SHIFT_REPEAT(4812),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter, 3, .production_id = 133),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [7467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 155),
  [7469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 155), SHIFT_REPEAT(399),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [7474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 4, .production_id = 154),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [7482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_type_parameter, 2, .production_id = 83),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [7486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_heritage, 3),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [7498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 110),
  [7500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 109),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [7504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 55),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [7514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(134),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 58),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [7539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3894),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [7544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [7546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(3896),
  [7549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [7551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 101),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 51),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [7585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [7589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [7591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 302),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [7597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 297),
  [7599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 295),
  [7601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 294),
  [7603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 278),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 280),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [7615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 279),
  [7617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 277),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 271), SHIFT_REPEAT(2667),
  [7626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 271),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [7634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 239),
  [7636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 257),
  [7638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 256),
  [7640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 255),
  [7642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 254),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [7654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1388),
  [7657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_identifier, 2),
  [7659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_identifier, 2),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [7677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(3982),
  [7680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 231),
  [7684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 205),
  [7686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 206),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [7692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 234),
  [7694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 233),
  [7696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 232),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [7726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 199),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 152),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 133),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [7748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [7750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 3, .production_id = 109),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [7754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 169),
  [7756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 202),
  [7758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 200),
  [7760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 166),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 201),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 96),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [7790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_type_parameters_repeat1, 2), SHIFT_REPEAT(3808),
  [7793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_type_parameters_repeat1, 2),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [7805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 152),
  [7807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 151),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [7815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 150),
  [7817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 127),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [7837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [7839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1135),
  [7842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [7862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(103),
  [7865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(2479),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [7908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(2456),
  [7911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [7913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1382),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [7946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 106),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [7964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(131),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [8023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(4475),
  [8026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 57),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [8050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_type_parameter, 1),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 54),
  [8062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 104),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [8098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 83),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 106),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 102),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [8126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 100),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 133),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter, 4, .production_id = 202),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [8174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 148),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [8198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_type_parameter, 3, .production_id = 152),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [8410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_function_return_type, 1),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [8606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [8738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [8742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [8876] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_elements_external_scanner_create(void);
void tree_sitter_elements_external_scanner_destroy(void *);
bool tree_sitter_elements_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_elements_external_scanner_serialize(void *, char *);
void tree_sitter_elements_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_elements(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_elements_external_scanner_create,
      tree_sitter_elements_external_scanner_destroy,
      tree_sitter_elements_external_scanner_scan,
      tree_sitter_elements_external_scanner_serialize,
      tree_sitter_elements_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
